/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2020-08-10 19:51:02 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_gf_draft_submissions` (
  `uuid` char(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `form_id` mediumint(8) unsigned NOT NULL,
  `date_created` datetime NOT NULL,
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci NOT NULL,
  `source_url` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `submission` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`uuid`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_entry` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` mediumint(8) unsigned NOT NULL,
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `date_created` datetime NOT NULL,
  `date_updated` datetime DEFAULT NULL,
  `is_starred` tinyint(1) NOT NULL DEFAULT '0',
  `is_read` tinyint(1) NOT NULL DEFAULT '0',
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci NOT NULL,
  `source_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_agent` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `currency` varchar(5) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_status` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_date` datetime DEFAULT NULL,
  `payment_amount` decimal(19,2) DEFAULT NULL,
  `payment_method` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_id` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_fulfilled` tinyint(1) DEFAULT NULL,
  `created_by` bigint(20) unsigned DEFAULT NULL,
  `transaction_type` tinyint(1) DEFAULT NULL,
  `status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  PRIMARY KEY (`id`),
  KEY `form_id` (`form_id`),
  KEY `form_id_status` (`form_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_entry_meta` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `entry_id` bigint(20) unsigned NOT NULL,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  `item_index` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_key` (`meta_key`(191)),
  KEY `entry_id` (`entry_id`),
  KEY `meta_value` (`meta_value`(191))
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_entry_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entry_id` int(10) unsigned NOT NULL,
  `user_name` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `date_created` datetime NOT NULL,
  `value` longtext COLLATE utf8mb4_unicode_ci,
  `note_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `entry_id` (`entry_id`),
  KEY `entry_user_key` (`entry_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_form` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date_created` datetime NOT NULL,
  `date_updated` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `is_trash` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_form_meta` (
  `form_id` mediumint(8) unsigned NOT NULL,
  `display_meta` longtext COLLATE utf8mb4_unicode_ci,
  `entries_grid_meta` longtext COLLATE utf8mb4_unicode_ci,
  `confirmations` longtext COLLATE utf8mb4_unicode_ci,
  `notifications` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_form_revisions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` mediumint(8) unsigned NOT NULL,
  `display_meta` longtext COLLATE utf8mb4_unicode_ci,
  `date_created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `date_created` (`date_created`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_gf_form_view` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` mediumint(8) unsigned NOT NULL,
  `date_created` datetime NOT NULL,
  `ip` char(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `count` mediumint(8) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `date_created` (`date_created`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=234 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=294501 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=79408 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_yoast_seo_links` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_id` bigint(20) unsigned NOT NULL,
  `target_post_id` bigint(20) unsigned NOT NULL,
  `type` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `link_direction` (`post_id`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=539 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_yoast_seo_meta` (
  `object_id` bigint(20) unsigned NOT NULL,
  `internal_link_count` int(10) unsigned DEFAULT NULL,
  `incoming_link_count` int(10) unsigned DEFAULT NULL,
  UNIQUE KEY `object_id` (`object_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20200810_melanieebenson", "9634d399047a00c18838_20200810195048", "21", "2020-08-10 19:51:02", "unknown", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2020-08-10 19:50:48\";s:7:\"Version\";s:6:\"1.3.36\";s:9:\"VersionWP\";s:5:\"5.3.4\";s:9:\"VersionDB\";s:6:\"5.7.23\";s:10:\"VersionPHP\";s:37:\"7.3.19-1+ubuntu18.04.1+deb.sury.org+1\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:1;s:4:\"Name\";s:23:\"20200810_melanieebenson\";s:4:\"Hash\";s:35:\"9634d399047a00c18838_20200810195048\";s:8:\"NameHash\";s:59:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:69:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"20.9\";s:6:\"WPUser\";s:7:\"unknown\";s:7:\"Archive\";O:11:\"DUP_Archive\":21:{s:10:\"FilterDirs\";s:57:\"/srv/www/melanieebenson.com/public_html/wp-content/cache;\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:22:\"zip;rar;tar;gz;bz2;7z;\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:1;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:71:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:39:\"/srv/www/melanieebenson.com/public_html\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2020-08-10 19:50:48\";s:7:\"Version\";s:6:\"1.3.36\";s:9:\"VersionWP\";s:5:\"5.3.4\";s:9:\"VersionDB\";s:6:\"5.7.23\";s:10:\"VersionPHP\";s:37:\"7.3.19-1+ubuntu18.04.1+deb.sury.org+1\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:23:\"20200810_melanieebenson\";s:4:\"Hash\";s:35:\"9634d399047a00c18838_20200810195048\";s:8:\"NameHash\";s:59:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:73:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:61;}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:72:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:8:\"(Ubuntu)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";N;s:13:\"collationList\";a:0:{}s:17:\"isTablesUpperCase\";N;s:15:\"isNameUpperCase\";N;s:4:\"name\";N;s:15:\"tablesBaseCount\";N;s:16:\"tablesFinalCount\";N;s:14:\"tablesRowCount\";N;s:16:\"tablesSizeOnDisk\";N;s:18:\"varLowerCaseTables\";i:0;s:7:\"version\";N;s:14:\"versionComment\";N;s:18:\"tableWiseRowCounts\";a:1:{s:14:\"wp_commentmeta\";s:1:\"0\";}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:144:\"/srv/www/melanieebenson.com/public_html/wp-content/backups-dup-lite/tmp/20200810_melanieebenson_9634d399047a00c18838_20200810195048_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:61;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:48:\"/srv/www/melanieebenson.com/public_html/wp-admin\";i:1;s:58:\"/srv/www/melanieebenson.com/public_html/wp-content/uploads\";i:2;s:60:\"/srv/www/melanieebenson.com/public_html/wp-content/languages\";i:3;s:57:\"/srv/www/melanieebenson.com/public_html/wp-content/themes\";i:4;s:51:\"/srv/www/melanieebenson.com/public_html/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:39:\"/srv/www/melanieebenson.com/public_html\";i:1;s:50:\"/srv/www/melanieebenson.com/public_html/wp-content\";}}s:9:\"Installer\";r:82;s:8:\"Database\";r:94;s:13:\"BuildProgress\";r:126;}");

/* INSERT TABLE DATA: wp_gf_form */
INSERT INTO `wp_gf_form` VALUES("5", "Booking Form", "2018-10-18 22:17:50", NULL, "1", "0");

/* INSERT TABLE DATA: wp_gf_form_meta */
INSERT INTO `wp_gf_form_meta` VALUES("5", "{\"title\":\"Booking Form\",\"description\":\"\",\"labelPlacement\":\"top_label\",\"descriptionPlacement\":\"above\",\"button\":{\"type\":\"text\",\"text\":\"Submit\",\"imageUrl\":\"\"},\"fields\":[{\"type\":\"name\",\"id\":1,\"label\":\"Name\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"nameFormat\":\"advanced\",\"inputs\":[{\"id\":\"1.2\",\"label\":\"Prefix\",\"name\":\"\",\"choices\":[{\"text\":\"Mr.\",\"value\":\"Mr.\",\"isSelected\":false,\"price\":\"\"},{\"text\":\"Mrs.\",\"value\":\"Mrs.\",\"isSelected\":false,\"price\":\"\"},{\"text\":\"Miss\",\"value\":\"Miss\",\"isSelected\":false,\"price\":\"\"},{\"text\":\"Ms.\",\"value\":\"Ms.\",\"isSelected\":false,\"price\":\"\"},{\"text\":\"Dr.\",\"value\":\"Dr.\",\"isSelected\":false,\"price\":\"\"},{\"text\":\"Prof.\",\"value\":\"Prof.\",\"isSelected\":false,\"price\":\"\"},{\"text\":\"Rev.\",\"value\":\"Rev.\",\"isSelected\":false,\"price\":\"\"}],\"isHidden\":true,\"inputType\":\"radio\"},{\"id\":\"1.3\",\"label\":\"First\",\"name\":\"\"},{\"id\":\"1.4\",\"label\":\"Middle\",\"name\":\"\",\"isHidden\":true},{\"id\":\"1.6\",\"label\":\"Last\",\"name\":\"\"},{\"id\":\"1.8\",\"label\":\"Suffix\",\"name\":\"\",\"isHidden\":true}],\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"displayOnly\":\"\",\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"useRichTextEditor\":false,\"pageNumber\":1,\"fields\":\"\",\"maxLength\":\"\"},{\"type\":\"email\",\"id\":4,\"label\":\"Email\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"gf_left_half\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"emailConfirmEnabled\":\"\",\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"useRichTextEditor\":false,\"displayOnly\":\"\",\"pageNumber\":1,\"fields\":\"\",\"maxLength\":\"\"},{\"type\":\"text\",\"id\":82,\"label\":\"Safe Contact Number\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"maxLength\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"gf_left_half\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"enablePasswordInput\":\"\",\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"useRichTextEditor\":false,\"pageNumber\":1,\"fields\":\"\",\"displayOnly\":\"\"},{\"type\":\"textarea\",\"id\":83,\"label\":\"Age and Brief Physical Description\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"small\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"maxLength\":3000,\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"form_id\":\"\",\"useRichTextEditor\":false,\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"pageNumber\":1,\"fields\":\"\",\"displayOnly\":\"\"},{\"type\":\"text\",\"id\":73,\"label\":\"Desired City\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"gf_left_half\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"enablePasswordInput\":\"\",\"maxLength\":\"\",\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"useRichTextEditor\":false,\"displayOnly\":\"\",\"pageNumber\":1,\"fields\":\"\"},{\"type\":\"text\",\"id\":85,\"label\":\"Incall or Outcall?\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"gf_left_half\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"enablePasswordInput\":\"\",\"maxLength\":\"\",\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"useRichTextEditor\":false,\"displayOnly\":\"\",\"pageNumber\":1,\"fields\":\"\"},{\"type\":\"textarea\",\"id\":84,\"label\":\"Date, Time, and Length of Appointment\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"small\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"maxLength\":3000,\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"form_id\":\"\",\"useRichTextEditor\":false,\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"pageNumber\":1,\"fields\":\"\",\"displayOnly\":\"\"},{\"type\":\"textarea\",\"id\":68,\"label\":\"References\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"Names and email addresses for two companions you\'ve seen in the last six months. Please also include how they will remember you.\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"form_id\":\"\",\"useRichTextEditor\":false,\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"displayOnly\":\"\",\"pageNumber\":1,\"fields\":\"\",\"checkboxLabel\":\"\",\"maxLength\":\"\"},{\"type\":\"textarea\",\"id\":71,\"label\":\"Brief Introduction\",\"adminLabel\":\"\",\"isRequired\":true,\"size\":\"medium\",\"errorMessage\":\"\",\"visibility\":\"visible\",\"inputs\":null,\"formId\":5,\"description\":\"\",\"allowsPrepopulate\":false,\"inputMask\":false,\"inputMaskValue\":\"\",\"inputType\":\"\",\"labelPlacement\":\"\",\"descriptionPlacement\":\"\",\"subLabelPlacement\":\"\",\"placeholder\":\"\",\"cssClass\":\"\",\"inputName\":\"\",\"noDuplicates\":false,\"defaultValue\":\"\",\"choices\":\"\",\"conditionalLogic\":\"\",\"productField\":\"\",\"form_id\":\"\",\"useRichTextEditor\":false,\"multipleFiles\":false,\"maxFiles\":\"\",\"calculationFormula\":\"\",\"calculationRounding\":\"\",\"enableCalculation\":\"\",\"disableQuantity\":false,\"displayAllCategories\":false,\"displayOnly\":\"\",\"pageNumber\":1,\"fields\":\"\",\"maxLength\":3000,\"checkboxLabel\":\"\"}],\"version\":\"2.4.3\",\"id\":5,\"subLabelPlacement\":\"below\",\"cssClass\":\"\",\"enableHoneypot\":true,\"enableAnimation\":false,\"save\":{\"enabled\":false,\"button\":{\"type\":\"link\",\"text\":\"Save and Continue Later\"}},\"limitEntries\":false,\"limitEntriesCount\":\"\",\"limitEntriesPeriod\":\"\",\"limitEntriesMessage\":\"\",\"scheduleForm\":false,\"scheduleStart\":\"\",\"scheduleStartHour\":\"\",\"scheduleStartMinute\":\"\",\"scheduleStartAmpm\":\"\",\"scheduleEnd\":\"\",\"scheduleEndHour\":\"\",\"scheduleEndMinute\":\"\",\"scheduleEndAmpm\":\"\",\"schedulePendingMessage\":\"\",\"scheduleMessage\":\"\",\"requireLogin\":false,\"requireLoginMessage\":\"\",\"useCurrentUserAsAuthor\":true,\"postContentTemplateEnabled\":false,\"postTitleTemplateEnabled\":false,\"postTitleTemplate\":\"\",\"postContentTemplate\":\"\",\"lastPageButton\":null,\"pagination\":null,\"firstPageCssClass\":null,\"is_active\":\"1\",\"date_created\":\"2018-09-11 19:33:05\",\"is_trash\":\"0\",\"preventEntryCreation\":\"\",\"hideFormUserSubmitted\":\"\",\"nextFieldId\":86}", NULL, "{\"5b8ef8f9c4b26\":{\"id\":\"5b8ef8f9c4b26\",\"name\":\"Default Confirmation\",\"isDefault\":true,\"type\":\"page\",\"message\":\"\",\"url\":\"\",\"pageId\":2460,\"queryString\":\"\",\"disableAutoformat\":false,\"conditionalLogic\":[]}}", "{\"5b8ef8f9c4709\":{\"isActive\":true,\"id\":\"5b8ef8f9c4709\",\"name\":\"Admin Notification\",\"service\":\"wordpress\",\"event\":\"form_submission\",\"to\":\"melanieebensonvip@gmail.com\",\"toType\":\"email\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Booking request from {Name (First):1.3} {Name (Last):1.6}\",\"message\":\"{all_fields}\\r\\n\\r\\n{ip}\",\"from\":\"noreply@melanieebenson.com\",\"fromName\":\"Melaniee Benson\",\"replyTo\":\"{Email:4}\",\"routing\":null,\"conditionalLogic\":null,\"disableAutoformat\":false,\"enableAttachments\":false}}");

/* INSERT TABLE DATA: wp_gf_form_view */
INSERT INTO `wp_gf_form_view` VALUES("18", "5", "2018-10-19 14:33:54", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("20", "5", "2018-10-20 16:47:55", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("23", "5", "2018-10-22 03:39:07", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("24", "5", "2018-10-23 21:58:51", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("26", "5", "2018-10-28 03:17:05", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("27", "5", "2018-10-29 03:45:40", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("28", "5", "2018-10-31 13:55:40", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("29", "5", "2018-11-06 01:50:42", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("30", "5", "2018-11-07 16:02:00", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("31", "5", "2018-11-09 13:48:27", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("32", "5", "2018-11-10 19:15:02", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("33", "5", "2018-11-14 20:37:48", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("34", "5", "2018-11-16 21:15:48", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("35", "5", "2018-11-28 00:31:27", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("36", "5", "2018-11-29 06:36:59", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("37", "5", "2018-11-30 07:07:51", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("38", "5", "2018-12-05 04:42:37", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("39", "5", "2018-12-07 23:06:53", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("40", "5", "2018-12-12 21:36:30", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("41", "5", "2018-12-15 02:19:42", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("42", "5", "2018-12-20 18:08:48", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("43", "5", "2018-12-22 05:56:13", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("44", "5", "2018-12-23 07:48:49", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("45", "5", "2018-12-28 06:52:51", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("46", "5", "2018-12-29 16:49:04", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("47", "5", "2018-12-31 05:20:36", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("48", "5", "2019-01-08 05:08:48", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("49", "5", "2019-01-11 01:29:57", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("50", "5", "2019-01-12 23:39:24", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("51", "5", "2019-01-16 01:26:29", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("52", "5", "2019-01-24 00:34:54", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("53", "5", "2019-02-05 23:35:12", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("54", "5", "2019-02-14 11:20:25", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("55", "5", "2019-02-19 17:28:00", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("56", "5", "2019-03-06 05:51:34", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("57", "5", "2019-03-18 19:13:33", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("58", "5", "2019-04-08 12:14:47", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("59", "5", "2019-04-24 22:08:50", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("60", "5", "2019-05-06 21:41:57", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("61", "5", "2019-05-11 15:07:50", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("62", "5", "2019-05-13 00:13:52", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("63", "5", "2019-05-16 15:34:31", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("64", "5", "2019-05-20 21:05:36", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("65", "5", "2019-05-25 18:41:58", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("66", "5", "2019-05-28 14:31:35", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("67", "5", "2019-06-07 21:05:50", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("68", "5", "2019-06-25 04:06:57", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("69", "5", "2019-07-01 18:42:22", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("70", "5", "2019-07-02 20:24:15", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("71", "5", "2019-07-04 13:16:03", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("72", "5", "2019-07-06 06:17:46", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("73", "5", "2019-07-17 04:43:08", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("74", "5", "2019-07-20 05:20:54", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("75", "5", "2019-07-22 06:23:40", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("76", "5", "2019-07-23 23:45:02", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("77", "5", "2019-07-27 05:36:14", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("78", "5", "2019-07-31 00:50:17", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("79", "5", "2019-08-01 02:01:49", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("80", "5", "2019-08-02 22:14:50", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("81", "5", "2019-08-06 08:02:38", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("82", "5", "2019-08-13 22:08:16", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("83", "5", "2019-08-19 06:15:08", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("84", "5", "2019-08-26 06:09:11", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("85", "5", "2019-08-28 08:15:50", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("86", "5", "2019-08-29 10:04:57", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("87", "5", "2019-09-03 08:12:06", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("88", "5", "2019-09-05 07:00:11", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("89", "5", "2019-09-10 02:48:08", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("90", "5", "2019-09-13 05:59:09", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("91", "5", "2019-09-15 22:18:44", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("92", "5", "2019-09-20 13:21:26", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("93", "5", "2019-09-23 04:46:52", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("94", "5", "2019-09-24 16:19:12", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("95", "5", "2019-09-27 20:25:19", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("96", "5", "2019-10-09 12:44:02", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("97", "5", "2019-10-15 20:23:04", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("98", "5", "2019-10-18 20:20:08", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("99", "5", "2019-11-05 22:06:33", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("100", "5", "2019-11-09 01:54:56", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("101", "5", "2019-11-10 09:40:58", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("102", "5", "2019-11-26 23:19:49", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("103", "5", "2019-11-29 11:50:17", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("104", "5", "2019-12-09 00:21:42", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("105", "5", "2019-12-17 18:43:07", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("106", "5", "2019-12-18 21:09:30", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("107", "5", "2019-12-20 05:42:10", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("108", "5", "2019-12-21 11:26:13", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("109", "5", "2019-12-23 20:03:40", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("110", "5", "2019-12-26 20:44:33", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("111", "5", "2019-12-31 22:16:31", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("112", "5", "2020-01-02 22:11:40", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("113", "5", "2020-01-05 04:43:25", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("114", "5", "2020-01-06 20:00:21", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("115", "5", "2020-01-07 23:59:34", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("116", "5", "2020-01-09 08:03:00", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("117", "5", "2020-01-10 15:43:25", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("118", "5", "2020-01-11 21:02:20", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("119", "5", "2020-01-13 10:40:34", "", "10");
INSERT INTO `wp_gf_form_view` VALUES("120", "5", "2020-01-15 00:39:05", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("121", "5", "2020-01-20 02:15:02", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("122", "5", "2020-01-22 00:31:26", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("123", "5", "2020-01-23 04:17:24", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("124", "5", "2020-01-25 08:50:49", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("125", "5", "2020-01-26 15:13:34", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("126", "5", "2020-01-28 03:36:17", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("127", "5", "2020-01-30 02:02:15", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("128", "5", "2020-02-06 10:18:25", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("129", "5", "2020-02-09 05:39:16", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("130", "5", "2020-02-13 11:18:00", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("131", "5", "2020-02-15 21:38:25", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("132", "5", "2020-02-19 06:21:19", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("133", "5", "2020-02-20 11:43:32", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("134", "5", "2020-02-21 14:14:32", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("135", "5", "2020-02-24 18:36:16", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("136", "5", "2020-02-27 12:21:31", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("137", "5", "2020-03-04 00:53:40", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("138", "5", "2020-03-05 03:00:26", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("139", "5", "2020-03-06 14:43:45", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("140", "5", "2020-03-07 19:28:39", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("141", "5", "2020-03-12 12:26:05", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("142", "5", "2020-03-19 13:22:12", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("143", "5", "2020-03-22 05:27:49", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("144", "5", "2020-03-23 12:01:43", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("145", "5", "2020-03-25 01:38:46", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("146", "5", "2020-03-26 12:24:01", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("147", "5", "2020-03-27 14:00:41", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("148", "5", "2020-03-28 20:25:46", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("149", "5", "2020-04-02 14:25:34", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("150", "5", "2020-04-05 15:27:54", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("151", "5", "2020-04-09 15:21:28", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("152", "5", "2020-04-13 15:06:20", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("153", "5", "2020-04-16 10:08:14", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("154", "5", "2020-04-17 23:38:39", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("155", "5", "2020-04-20 07:36:32", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("156", "5", "2020-04-23 16:45:53", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("157", "5", "2020-04-30 17:29:50", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("158", "5", "2020-05-02 13:08:19", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("159", "5", "2020-05-07 14:56:38", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("160", "5", "2020-05-08 17:44:19", "", "7");
INSERT INTO `wp_gf_form_view` VALUES("161", "5", "2020-05-09 21:14:50", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("162", "5", "2020-05-11 23:24:01", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("163", "5", "2020-05-13 01:21:00", "", "8");
INSERT INTO `wp_gf_form_view` VALUES("164", "5", "2020-05-14 01:34:06", "", "8");
INSERT INTO `wp_gf_form_view` VALUES("165", "5", "2020-05-15 02:52:41", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("166", "5", "2020-05-16 04:47:41", "", "9");
INSERT INTO `wp_gf_form_view` VALUES("167", "5", "2020-05-17 18:59:04", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("168", "5", "2020-05-18 21:19:34", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("169", "5", "2020-05-20 17:03:39", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("170", "5", "2020-05-22 01:15:49", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("171", "5", "2020-05-23 01:18:20", "", "9");
INSERT INTO `wp_gf_form_view` VALUES("172", "5", "2020-05-24 02:55:16", "", "10");
INSERT INTO `wp_gf_form_view` VALUES("173", "5", "2020-05-25 11:18:18", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("174", "5", "2020-05-26 13:15:20", "", "11");
INSERT INTO `wp_gf_form_view` VALUES("175", "5", "2020-05-27 17:14:55", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("176", "5", "2020-05-29 01:31:32", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("177", "5", "2020-05-30 14:24:43", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("178", "5", "2020-06-01 03:03:39", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("179", "5", "2020-06-02 03:24:11", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("180", "5", "2020-06-03 19:18:46", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("181", "5", "2020-06-04 23:57:43", "", "7");
INSERT INTO `wp_gf_form_view` VALUES("182", "5", "2020-06-06 03:27:14", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("183", "5", "2020-06-07 10:14:42", "", "1");
INSERT INTO `wp_gf_form_view` VALUES("184", "5", "2020-06-08 16:27:53", "", "8");
INSERT INTO `wp_gf_form_view` VALUES("185", "5", "2020-06-11 07:08:01", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("186", "5", "2020-06-12 12:55:00", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("187", "5", "2020-06-13 19:09:55", "", "7");
INSERT INTO `wp_gf_form_view` VALUES("188", "5", "2020-06-14 20:21:46", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("189", "5", "2020-06-16 05:47:09", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("190", "5", "2020-06-17 08:32:21", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("191", "5", "2020-06-18 10:55:00", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("192", "5", "2020-06-19 14:59:07", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("193", "5", "2020-06-21 03:21:28", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("194", "5", "2020-06-22 04:54:29", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("195", "5", "2020-06-24 01:44:40", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("196", "5", "2020-06-25 15:17:36", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("197", "5", "2020-06-26 16:07:56", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("198", "5", "2020-06-27 19:09:47", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("199", "5", "2020-06-29 18:43:06", "", "10");
INSERT INTO `wp_gf_form_view` VALUES("200", "5", "2020-06-30 23:21:51", "", "7");
INSERT INTO `wp_gf_form_view` VALUES("201", "5", "2020-07-02 00:48:25", "", "13");
INSERT INTO `wp_gf_form_view` VALUES("202", "5", "2020-07-03 01:30:31", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("203", "5", "2020-07-04 18:45:10", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("204", "5", "2020-07-05 21:33:20", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("205", "5", "2020-07-06 22:50:10", "", "8");
INSERT INTO `wp_gf_form_view` VALUES("206", "5", "2020-07-08 01:03:04", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("207", "5", "2020-07-09 04:55:23", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("208", "5", "2020-07-11 04:10:47", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("209", "5", "2020-07-12 07:26:57", "", "8");
INSERT INTO `wp_gf_form_view` VALUES("210", "5", "2020-07-13 15:35:53", "", "8");
INSERT INTO `wp_gf_form_view` VALUES("211", "5", "2020-07-14 17:56:55", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("212", "5", "2020-07-16 12:45:10", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("213", "5", "2020-07-17 16:40:47", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("214", "5", "2020-07-18 20:38:33", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("215", "5", "2020-07-19 22:20:25", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("216", "5", "2020-07-21 02:35:49", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("217", "5", "2020-07-22 15:33:21", "", "13");
INSERT INTO `wp_gf_form_view` VALUES("218", "5", "2020-07-23 20:20:03", "", "4");
INSERT INTO `wp_gf_form_view` VALUES("219", "5", "2020-07-24 21:48:00", "", "14");
INSERT INTO `wp_gf_form_view` VALUES("220", "5", "2020-07-26 03:54:09", "", "9");
INSERT INTO `wp_gf_form_view` VALUES("221", "5", "2020-07-27 05:06:36", "", "5");
INSERT INTO `wp_gf_form_view` VALUES("222", "5", "2020-07-28 16:41:35", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("223", "5", "2020-07-29 18:28:44", "", "14");
INSERT INTO `wp_gf_form_view` VALUES("224", "5", "2020-07-30 18:58:58", "", "7");
INSERT INTO `wp_gf_form_view` VALUES("225", "5", "2020-08-01 04:50:54", "", "10");
INSERT INTO `wp_gf_form_view` VALUES("226", "5", "2020-08-02 05:03:27", "", "2");
INSERT INTO `wp_gf_form_view` VALUES("227", "5", "2020-08-03 12:01:28", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("228", "5", "2020-08-04 12:53:38", "", "6");
INSERT INTO `wp_gf_form_view` VALUES("229", "5", "2020-08-05 13:30:52", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("230", "5", "2020-08-06 16:33:13", "", "7");
INSERT INTO `wp_gf_form_view` VALUES("231", "5", "2020-08-07 17:18:51", "", "10");
INSERT INTO `wp_gf_form_view` VALUES("232", "5", "2020-08-08 21:01:56", "", "3");
INSERT INTO `wp_gf_form_view` VALUES("233", "5", "2020-08-10 00:28:23", "", "4");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://melanieebenson.com", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://melanieebenson.com", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Melaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "NYC Escort in Manhattan", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "contact@courtesancreative.com", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "a:5:{i:0;s:84:\"/srv/www/melanieebenson.com/public_html/wp-content/themes/uncode-child/functions.php\";i:2;s:80:\"/srv/www/melanieebenson.com/public_html/wp-content/themes/uncode-child/style.css\";i:3;s:103:\"/srv/www/keira.courtesancreative.com/public_html/wp-content/plugins/disable-jpeg-compression/readme.txt\";i:4;s:121:\"/srv/www/keira.courtesancreative.com/public_html/wp-content/plugins/disable-jpeg-compression/disable-jpeg-compression.php\";i:5;s:119:\"/srv/www/keira.courtesancreative.com/public_html/wp-content/plugins/all-in-one-wp-migration/all-in-one-wp-migration.php\";}", "no");
INSERT INTO `wp_options` VALUES("42", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("43", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("44", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("46", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("47", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("48", "db_version", "45805", "yes");
INSERT INTO `wp_options` VALUES("49", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("50", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("51", "blog_public", "1", "yes");
INSERT INTO `wp_options` VALUES("52", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("53", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("54", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("55", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("56", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("57", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("61", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("63", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("64", "large_size_w", "0", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_link_type", "", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("69", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("71", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("73", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("74", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("75", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("76", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("77", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "uninstall_plugins", "a:4:{s:25:\"sucuri-scanner/sucuri.php\";s:19:\"sucuriscanUninstall\";s:21:\"wp-reset/wp-reset.php\";a:2:{i:0;s:8:\"WP_Reset\";i:1;s:9:\"uninstall\";}s:33:\"classic-editor/classic-editor.php\";a:2:{i:0;s:14:\"Classic_Editor\";i:1;s:9:\"uninstall\";}s:31:\"ga-germanized/ga-germanized.php\";a:2:{i:0;s:12:\"gaGermanized\";i:1;s:14:\"uninstall_hook\";}}", "no");
INSERT INTO `wp_options` VALUES("82", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("84", "page_on_front", "2105", "yes");
INSERT INTO `wp_options` VALUES("85", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("86", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("88", "site_icon", "79276", "yes");
INSERT INTO `wp_options` VALUES("89", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("90", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("91", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("92", "show_comments_cookies_opt_in", "0", "yes");
INSERT INTO `wp_options` VALUES("93", "initial_db_version", "38590", "yes");
INSERT INTO `wp_options` VALUES("94", "wp_user_roles", "a:7:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:86:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:24:\"vc_access_rules_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;s:20:\"wpseo_manage_options\";b:1;s:21:\"rocket_manage_options\";b:1;s:18:\"rocket_purge_cache\";b:1;s:18:\"rocket_purge_posts\";b:1;s:18:\"rocket_purge_terms\";b:1;s:18:\"rocket_purge_users\";b:1;s:20:\"rocket_purge_opcache\";b:1;s:29:\"rocket_purge_cloudflare_cache\";b:1;s:25:\"rocket_purge_sucuri_cache\";b:1;s:20:\"rocket_preload_cache\";b:1;s:30:\"rocket_regenerate_critical_css\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:48:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;s:15:\"wpseo_bulk_edit\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:23:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:13:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:26:\"vc_access_rules_post_types\";b:1;s:30:\"vc_access_rules_backend_editor\";b:1;s:29:\"vc_access_rules_post_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}s:13:\"wpseo_manager\";a:2:{s:4:\"name\";s:11:\"SEO Manager\";s:12:\"capabilities\";a:50:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;s:20:\"wpseo_manage_options\";b:1;}}s:12:\"wpseo_editor\";a:2:{s:4:\"name\";s:10:\"SEO Editor\";s:12:\"capabilities\";a:49:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("95", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("96", "widget_search", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("97", "widget_recent-posts", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("98", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("99", "widget_archives", "a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("100", "widget_meta", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("101", "sidebars_widgets", "a:3:{s:19:\"wp_inactive_widgets\";a:2:{i:0;s:6:\"meta-2\";i:1;s:10:\"archives-2\";}s:9:\"sidebar-1\";a:2:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("102", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("103", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "cron", "a:13:{i:1597089128;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1597090584;a:1:{s:23:\"rocket_purge_time_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1597117928;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1597123003;a:2:{s:27:\"pum_weekly_scheduled_events\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}s:26:\"pum_daily_scheduled_events\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597126595;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597126687;a:1:{s:21:\"ai1wm_storage_cleanup\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597161140;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597168312;a:1:{s:19:\"wpseo-reindex-links\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597170161;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597171367;a:1:{s:17:\"gravityforms_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1597184182;a:1:{s:27:\"rocket_cache_dir_size_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1597686712;a:1:{s:18:\"wpseo_onpage_fetch\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("112", "theme_mods_twentyseventeen", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1536689127;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("147", "current_theme", "Uncode Child", "yes");
INSERT INTO `wp_options` VALUES("148", "theme_mods_uncode", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:2;}s:18:\"custom_css_post_id\";i:411;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1537064437;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("149", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("150", "uncode_settings", "a:2:{s:8:\"sections\";a:24:{i:0;a:4:{s:2:\"id\";s:21:\"uncode_header_section\";s:5:\"title\";s:35:\"<i class=\"fa fa-heart3\"></i> Navbar\";s:5:\"group\";s:7:\"General\";s:10:\"group_icon\";s:9:\"fa-layout\";}i:1;a:3:{s:2:\"id\";s:19:\"uncode_main_section\";s:5:\"title\";s:35:\"<i class=\"fa fa-layers\"></i> Layout\";s:5:\"group\";s:7:\"General\";}i:2;a:3:{s:2:\"id\";s:21:\"uncode_footer_section\";s:5:\"title\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:5:\"group\";s:7:\"General\";}i:3;a:4:{s:2:\"id\";s:19:\"uncode_post_section\";s:5:\"title\";s:61:\"<span class=\"smaller\"><i class=\"fa fa-paper\"></i> Post</span>\";s:5:\"group\";s:6:\"Single\";s:10:\"group_icon\";s:8:\"fa-file2\";}i:4;a:3:{s:2:\"id\";s:19:\"uncode_page_section\";s:5:\"title\";s:61:\"<span class=\"smaller\"><i class=\"fa fa-paper\"></i> Page</span>\";s:5:\"group\";s:6:\"Single\";}i:5;a:3:{s:2:\"id\";s:24:\"uncode_portfolio_section\";s:5:\"title\";s:66:\"<span class=\"smaller\"><i class=\"fa fa-paper\"></i> Portfolio</span>\";s:5:\"group\";s:6:\"Single\";}i:6;a:3:{s:2:\"id\";s:20:\"uncode_popup_section\";s:5:\"title\";s:62:\"<span class=\"smaller\"><i class=\"fa fa-paper\"></i> Popup</span>\";s:5:\"group\";s:6:\"Single\";}i:7;a:4:{s:2:\"id\";s:25:\"uncode_post_index_section\";s:5:\"title\";s:65:\"<span class=\"smaller\"><i class=\"fa fa-archive2\"></i> Posts</span>\";s:5:\"group\";s:8:\"Archives\";s:10:\"group_icon\";s:11:\"fa-archive2\";}i:8;a:3:{s:2:\"id\";s:25:\"uncode_page_index_section\";s:5:\"title\";s:65:\"<span class=\"smaller\"><i class=\"fa fa-archive2\"></i> Pages</span>\";s:5:\"group\";s:8:\"Archives\";}i:9;a:3:{s:2:\"id\";s:30:\"uncode_portfolio_index_section\";s:5:\"title\";s:70:\"<span class=\"smaller\"><i class=\"fa fa-archive2\"></i> Portfolios</span>\";s:5:\"group\";s:8:\"Archives\";}i:10;a:3:{s:2:\"id\";s:26:\"uncode_popup_index_section\";s:5:\"title\";s:66:\"<span class=\"smaller\"><i class=\"fa fa-archive2\"></i> Popups</span>\";s:5:\"group\";s:8:\"Archives\";}i:11;a:3:{s:2:\"id\";s:27:\"uncode_author_index_section\";s:5:\"title\";s:67:\"<span class=\"smaller\"><i class=\"fa fa-archive2\"></i> Authors</span>\";s:5:\"group\";s:8:\"Archives\";}i:12;a:3:{s:2:\"id\";s:27:\"uncode_search_index_section\";s:5:\"title\";s:66:\"<span class=\"smaller\"><i class=\"fa fa-archive2\"></i> Search</span>\";s:5:\"group\";s:8:\"Archives\";}i:13;a:3:{s:2:\"id\";s:18:\"uncode_404_section\";s:5:\"title\";s:59:\"<span class=\"smaller\"><i class=\"fa fa-help\"></i> 404</span>\";s:5:\"group\";s:6:\"Single\";}i:14;a:4:{s:2:\"id\";s:21:\"uncode_colors_section\";s:5:\"title\";s:34:\"<i class=\"fa fa-drop\"></i> Palette\";s:5:\"group\";s:6:\"Visual\";s:10:\"group_icon\";s:7:\"fa-eye2\";}i:15;a:3:{s:2:\"id\";s:25:\"uncode_typography_section\";s:5:\"title\";s:37:\"<i class=\"fa fa-font\"></i> Typography\";s:5:\"group\";s:6:\"Visual\";}i:16;a:3:{s:2:\"id\";s:24:\"uncode_customize_section\";s:5:\"title\";s:35:\"<i class=\"fa fa-box\"></i> Customize\";s:5:\"group\";s:6:\"Visual\";}i:17;a:3:{s:2:\"id\";s:20:\"uncode_extra_section\";s:5:\"title\";s:5:\"Extra\";s:5:\"group\";s:6:\"Visual\";}i:18;a:4:{s:2:\"id\";s:23:\"uncode_sidebars_section\";s:5:\"title\";s:44:\"<i class=\"fa fa-content-right\"></i> Sidebars\";s:5:\"group\";s:7:\"Utility\";s:10:\"group_icon\";s:7:\"fa-cog2\";}i:19;a:3:{s:2:\"id\";s:26:\"uncode_connections_section\";s:5:\"title\";s:36:\"<i class=\"fa fa-share2\"></i> Socials\";s:5:\"group\";s:7:\"Utility\";}i:20;a:3:{s:2:\"id\";s:20:\"uncode_gmaps_section\";s:5:\"title\";s:39:\"<i class=\"fa fa-map-o\"></i> Google Maps\";s:5:\"group\";s:7:\"Utility\";}i:21;a:3:{s:2:\"id\";s:23:\"uncode_redirect_section\";s:5:\"title\";s:37:\"<i class=\"fa fa-reply2\"></i> Redirect\";s:5:\"group\";s:7:\"Utility\";}i:22;a:3:{s:2:\"id\";s:20:\"uncode_cssjs_section\";s:5:\"title\";s:39:\"<i class=\"fa fa-code\"></i> CSS &amp; JS\";s:5:\"group\";s:7:\"Utility\";}i:23;a:3:{s:2:\"id\";s:26:\"uncode_performance_section\";s:5:\"title\";s:40:\"<i class=\"fa fa-loader\"></i> Performance\";s:5:\"group\";s:7:\"Utility\";}}s:8:\"settings\";a:855:{i:0;a:6:{s:2:\"id\";s:27:\"_uncode_general_block_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-globe3\"></i> General\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_main_section\";}i:1;a:6:{s:2:\"id\";s:18:\"_uncode_main_width\";s:5:\"label\";s:12:\"Layout Width\";s:4:\"desc\";s:29:\"Enter the width of your site.\";s:3:\"std\";a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}s:4:\"type\";s:11:\"measurement\";s:7:\"section\";s:19:\"uncode_main_section\";}i:2;a:7:{s:2:\"id\";s:18:\"_uncode_main_align\";s:5:\"label\";s:12:\"Layout align\";s:4:\"desc\";s:71:\"Specify the alignment of the content area when is less then 100% width.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_main_section\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:3;a:6:{s:2:\"id\";s:13:\"_uncode_boxed\";s:5:\"label\";s:5:\"Boxed\";s:4:\"desc\";s:30:\"Activate for the boxed layout.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_main_section\";}i:4;a:9:{s:2:\"id\";s:19:\"_uncode_body_border\";s:5:\"label\";s:10:\"Body frame\";s:4:\"desc\";s:50:\"Specify the thickness of the frame around the body\";s:3:\"std\";s:1:\"0\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:6:\"0,36,9\";s:7:\"section\";s:19:\"uncode_main_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";s:8:\"operator\";s:3:\"and\";}i:5;a:7:{s:2:\"id\";s:25:\"_uncode_body_border_color\";s:5:\"label\";s:16:\"Body frame color\";s:4:\"desc\";s:29:\"Specify the body frame color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:19:\"uncode_main_section\";s:9:\"condition\";s:48:\"_uncode_boxed:is(off),_uncode_body_border:not(0)\";s:8:\"operator\";s:3:\"and\";}i:6;a:7:{s:2:\"id\";s:31:\"_uncode_main_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_main_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";}i:7;a:8:{s:2:\"id\";s:19:\"_uncode_header_full\";s:5:\"label\";s:20:\"Container full width\";s:4:\"desc\";s:54:\"Activate to expand the Header container to full width.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_main_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";s:8:\"operator\";s:3:\"and\";}i:8;a:7:{s:2:\"id\";s:23:\"_uncode_main_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_main_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";}i:9;a:8:{s:2:\"id\";s:17:\"_uncode_body_full\";s:5:\"label\";s:23:\"Content area full width\";s:4:\"desc\";s:50:\"Activate to expand the content area to full width.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_main_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";s:8:\"operator\";s:3:\"and\";}i:10;a:5:{s:2:\"id\";s:31:\"_uncode_custom_logo_block_title\";s:5:\"label\";s:33:\"<i class=\"fa fa-heart3\"></i> Logo\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_header_section\";}i:11;a:6:{s:2:\"id\";s:19:\"_uncode_logo_switch\";s:5:\"label\";s:15:\"Logo Switchable\";s:4:\"desc\";s:48:\"Activate to upload different Logo for each Skin.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:12;a:7:{s:2:\"id\";s:12:\"_uncode_logo\";s:5:\"label\";s:4:\"Logo\";s:4:\"desc\";s:57:\"Upload a Logo. You can use Images, SVG code or HTML code.\";s:4:\"type\";s:6:\"upload\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:27:\"_uncode_logo_switch:is(off)\";s:8:\"operator\";s:3:\"and\";}i:13;a:7:{s:2:\"id\";s:18:\"_uncode_logo_light\";s:5:\"label\";s:12:\"Logo - Light\";s:4:\"desc\";s:33:\"Upload a Logo for the Light Skin.\";s:4:\"type\";s:6:\"upload\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:26:\"_uncode_logo_switch:is(on)\";s:8:\"operator\";s:3:\"and\";}i:14;a:7:{s:2:\"id\";s:17:\"_uncode_logo_dark\";s:5:\"label\";s:11:\"Logo - Dark\";s:4:\"desc\";s:32:\"Upload a Logo for the Dark Skin.\";s:4:\"type\";s:6:\"upload\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:26:\"_uncode_logo_switch:is(on)\";s:8:\"operator\";s:3:\"and\";}i:15;a:6:{s:2:\"id\";s:26:\"_uncode_logo_mobile_switch\";s:5:\"label\";s:19:\"Logo Mobile Version\";s:4:\"desc\";s:53:\"Activate to upload different Logo for mobile devices.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:16;a:7:{s:2:\"id\";s:19:\"_uncode_logo_mobile\";s:5:\"label\";s:11:\"Logo Mobile\";s:4:\"desc\";s:68:\"Upload a Logo for mobile. You can use Images, SVG code or HTML code.\";s:4:\"type\";s:6:\"upload\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:61:\"_uncode_logo_mobile_switch:is(on),_uncode_logo_switch:is(off)\";s:8:\"operator\";s:3:\"and\";}i:17;a:7:{s:2:\"id\";s:25:\"_uncode_logo_mobile_light\";s:5:\"label\";s:19:\"Logo Mobile - Light\";s:4:\"desc\";s:40:\"Upload a Logo mobile for the Light Skin.\";s:4:\"type\";s:6:\"upload\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:60:\"_uncode_logo_mobile_switch:is(on),_uncode_logo_switch:is(on)\";s:8:\"operator\";s:3:\"and\";}i:18;a:7:{s:2:\"id\";s:24:\"_uncode_logo_mobile_dark\";s:5:\"label\";s:18:\"Logo Mobile - Dark\";s:4:\"desc\";s:39:\"Upload a Logo mobile for the Dark Skin.\";s:4:\"type\";s:6:\"upload\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:60:\"_uncode_logo_mobile_switch:is(on),_uncode_logo_switch:is(on)\";s:8:\"operator\";s:3:\"and\";}i:19;a:6:{s:2:\"id\";s:19:\"_uncode_logo_height\";s:5:\"label\";s:11:\"Logo height\";s:4:\"desc\";s:35:\"Enter the height of the Logo in px.\";s:3:\"std\";s:2:\"20\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:21:\"uncode_header_section\";}i:20;a:5:{s:2:\"id\";s:26:\"_uncode_logo_height_mobile\";s:5:\"label\";s:18:\"Logo height mobile\";s:4:\"desc\";s:54:\"Enter the height of the Logo in px for mobile version.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:21:\"uncode_header_section\";}i:21;a:5:{s:2:\"id\";s:27:\"_uncode_headers_block_title\";s:5:\"label\";s:31:\"<i class=\"fa fa-menu\"></i> Menu\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_header_section\";}i:22;a:6:{s:2:\"id\";s:15:\"_uncode_headers\";s:4:\"desc\";s:24:\"Specify the Menu layout.\";s:5:\"label\";s:0:\"\";s:3:\"std\";s:11:\"hmenu-right\";s:4:\"type\";s:11:\"radio-image\";s:7:\"section\";s:21:\"uncode_header_section\";}i:23;a:9:{s:2:\"id\";s:22:\"_uncode_hmenu_position\";s:5:\"label\";s:24:\"Menu horizontal position\";s:4:\"desc\";s:44:\"Specify the horizontal position of the Menu.\";s:3:\"std\";s:4:\"left\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:31:\"_uncode_headers:contains(hmenu)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:24;a:9:{s:2:\"id\";s:22:\"_uncode_vmenu_position\";s:5:\"label\";s:24:\"Menu horizontal position\";s:4:\"desc\";s:44:\"Specify the horizontal position of the Menu.\";s:3:\"std\";s:4:\"left\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:104:\"_uncode_headers:contains(vmenu),_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:25;a:9:{s:2:\"id\";s:24:\"_uncode_vmenu_v_position\";s:5:\"label\";s:23:\"Menu vertical alignment\";s:4:\"desc\";s:43:\"Specify the vertical alignment of the Menu.\";s:3:\"std\";s:6:\"middle\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:104:\"_uncode_headers:contains(vmenu),_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:3:\"top\";s:5:\"label\";s:3:\"Top\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"middle\";s:5:\"label\";s:6:\"Middle\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:6:\"bottom\";s:5:\"label\";s:6:\"Bottom\";s:3:\"src\";s:0:\"\";}}}i:26;a:9:{s:2:\"id\";s:19:\"_uncode_vmenu_align\";s:5:\"label\";s:25:\"Menu horizontal alignment\";s:4:\"desc\";s:45:\"Specify the horizontal alignment of the Menu.\";s:3:\"std\";s:4:\"left\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:104:\"_uncode_headers:contains(vmenu),_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:10:\"Left Align\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:12:\"Center Align\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:11:\"Right Align\";s:3:\"src\";s:0:\"\";}}}i:27;a:13:{s:2:\"id\";s:19:\"_uncode_vmenu_width\";s:5:\"label\";s:19:\"Vertical menu width\";s:4:\"desc\";s:25:\"Vertical menu width in px\";s:3:\"std\";s:3:\"252\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:21:\"uncode_header_section\";s:4:\"rows\";s:0:\"\";s:9:\"post_type\";s:0:\"\";s:8:\"taxonomy\";s:0:\"\";s:12:\"min_max_step\";s:10:\"108,504,12\";s:5:\"class\";s:0:\"\";s:9:\"condition\";s:31:\"_uncode_headers:contains(vmenu)\";s:8:\"operator\";s:2:\"or\";}i:28;a:8:{s:2:\"id\";s:29:\"_uncode_menu_accordion_active\";s:5:\"label\";s:18:\"Vertical Menu open\";s:4:\"desc\";s:65:\"Open the accordion Menu at the current item Menu on page loading.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:25:\"_uncode_headers:is(vmenu)\";s:8:\"operator\";s:2:\"or\";}i:29;a:8:{s:2:\"id\";s:17:\"_uncode_menu_full\";s:5:\"label\";s:15:\"Menu full width\";s:4:\"desc\";s:75:\"Activate to expand the Menu to full width. (Only for the horizontal menus).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";s:8:\"operator\";s:3:\"and\";}i:30;a:5:{s:2:\"id\";s:32:\"_uncode_menu_visuals_block_title\";s:5:\"label\";s:34:\"<i class=\"fa fa-eye2\"></i> Visuals\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_header_section\";}i:31;a:6:{s:2:\"id\";s:20:\"_uncode_menu_shadows\";s:5:\"label\";s:19:\"Menu divider shadow\";s:4:\"desc\";s:41:\"Activate to show the Menu divider shadow.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:32;a:9:{s:2:\"id\";s:23:\"_uncode_submenu_shadows\";s:5:\"label\";s:20:\"Menu dropdown shadow\";s:4:\"desc\";s:118:\"Activate this for the shadow effect on Menu dropdown on desktop view. NB. this option works for horizontal Menus only.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:7:\"choices\";a:6:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"xs\";s:5:\"label\";s:11:\"Extra Small\";}i:2;a:2:{s:5:\"value\";s:2:\"sm\";s:5:\"label\";s:5:\"Small\";}i:3;a:2:{s:5:\"value\";s:3:\"std\";s:5:\"label\";s:8:\"Standard\";}i:4;a:2:{s:5:\"value\";s:2:\"lg\";s:5:\"label\";s:5:\"Large\";}i:5;a:2:{s:5:\"value\";s:2:\"xl\";s:5:\"label\";s:11:\"Extra Large\";}}s:9:\"condition\";s:100:\"_uncode_headers:contains(hmenu),_uncode_headers:is(vmenu-offcanvas),_uncode_headers:is(menu-overlay)\";s:8:\"operator\";s:2:\"or\";}i:33;a:8:{s:2:\"id\";s:30:\"_uncode_submenu_darker_shadows\";s:5:\"label\";s:27:\"Menu dropdown darker shadow\";s:4:\"desc\";s:74:\"Activate this for the dark shadow effect on Menu dropdown on desktop view.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:29:\"_uncode_submenu_shadows:not()\";s:8:\"operator\";s:3:\"and\";}i:34;a:6:{s:2:\"id\";s:20:\"_uncode_menu_borders\";s:5:\"label\";s:12:\"Menu borders\";s:4:\"desc\";s:34:\"Activate to show the Menu borders.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:35;a:6:{s:2:\"id\";s:22:\"_uncode_menu_no_arrows\";s:5:\"label\";s:25:\"Menu Hide dropdown arrows\";s:4:\"desc\";s:36:\"Activate to hide the dropdow arrows.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:36;a:6:{s:2:\"id\";s:32:\"_uncode_menu_mobile_transparency\";s:5:\"label\";s:24:\"Menu mobile transparency\";s:4:\"desc\";s:45:\"Activate the Menu transparency when possible.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:37;a:6:{s:2:\"id\";s:27:\"_uncode_menu_custom_padding\";s:5:\"label\";s:28:\"Menu custom vertical padding\";s:4:\"desc\";s:49:\"Activate custom padding above and below the Logo.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:38;a:9:{s:2:\"id\";s:35:\"_uncode_menu_custom_padding_desktop\";s:5:\"label\";s:18:\"Padding on desktop\";s:4:\"desc\";s:38:\"Set custom padding on desktop devices.\";s:3:\"std\";s:2:\"27\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:6:\"0,36,9\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:34:\"_uncode_menu_custom_padding:is(on)\";s:8:\"operator\";s:3:\"and\";}i:39;a:9:{s:2:\"id\";s:34:\"_uncode_menu_custom_padding_mobile\";s:5:\"label\";s:17:\"Padding on mobile\";s:4:\"desc\";s:37:\"Set custom padding on mobile devices.\";s:3:\"std\";s:2:\"27\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:6:\"0,36,9\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:34:\"_uncode_menu_custom_padding:is(on)\";s:8:\"operator\";s:3:\"and\";}i:40;a:5:{s:2:\"id\";s:34:\"_uncode_menu_animation_block_title\";s:5:\"label\";s:45:\"<i class=\"fa fa-fast-forward2\"></i> Animation\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_header_section\";}i:41;a:8:{s:2:\"id\";s:19:\"_uncode_menu_sticky\";s:5:\"label\";s:11:\"Menu sticky\";s:4:\"desc\";s:133:\"Activate the Sticky Menu. This is a Menu that is locked into place so that it does not disappear when the user scrolls down the page.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:140:\"_uncode_headers:contains(hmenu),_uncode_headers:is(vmenu-offcanvas),_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center)\";s:8:\"operator\";s:2:\"or\";}i:42;a:6:{s:2:\"id\";s:26:\"_uncode_menu_sticky_mobile\";s:5:\"label\";s:18:\"Menu sticky mobile\";s:4:\"desc\";s:151:\"Activate the Sticky Menu on mobile devices. This is a Menu that is locked into place so that it does not disappear when the user scrolls down the page.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:43;a:8:{s:2:\"id\";s:28:\"_uncode_menu_mobile_centered\";s:5:\"label\";s:20:\"Menu centered mobile\";s:4:\"desc\";s:96:\"Activate the centered style for mobile Menu. NB. You need to have the Menu Sticky Mobile active.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:33:\"_uncode_menu_sticky_mobile:is(on)\";s:8:\"operator\";s:3:\"and\";}i:44;a:8:{s:2:\"id\";s:17:\"_uncode_menu_hide\";s:5:\"label\";s:9:\"Menu hide\";s:4:\"desc\";s:101:\"Activate the autohide Menu. This is a Menu that is hiding after the user have scrolled down the page.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:140:\"_uncode_headers:contains(hmenu),_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center),_uncode_headers:is(vmenu-offcanvas)\";s:8:\"operator\";s:2:\"or\";}i:45;a:6:{s:2:\"id\";s:24:\"_uncode_menu_hide_mobile\";s:5:\"label\";s:16:\"Menu hide mobile\";s:4:\"desc\";s:119:\"Activate the autohide Menu on mobile devices. This is a Menu that is hiding after the user have scrolled down the page.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:46;a:8:{s:2:\"id\";s:19:\"_uncode_menu_shrink\";s:5:\"label\";s:11:\"Menu shrink\";s:4:\"desc\";s:107:\"Activate the Shrink Menu. This is a Menu where the Logo shrinks after the user have scrolled down the page.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:140:\"_uncode_headers:contains(hmenu),_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center),_uncode_headers:is(vmenu-offcanvas)\";s:8:\"operator\";s:2:\"or\";}i:47;a:7:{s:2:\"id\";s:16:\"_uncode_min_logo\";s:5:\"label\";s:23:\"Menu Shrink logo height\";s:4:\"desc\";s:71:\"Enter the minimal height of the shrinked Logo in &lt;b&gt;px&lt;/b&gt;.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:53:\"_uncode_menu_shrink:is(on),_uncode_headers:not(vmenu)\";s:8:\"operator\";s:3:\"and\";}i:48;a:8:{s:2:\"id\";s:25:\"_uncode_menu_li_animation\";s:5:\"label\";s:24:\"Menu sub-levels animated\";s:4:\"desc\";s:92:\"Activate the animation for Menu sub-levels. NB. this option works for horizontal Menus only.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:26:\"_uncode_headers:not(vmenu)\";s:8:\"operator\";s:2:\"or\";}i:49;a:9:{s:2:\"id\";s:29:\"_uncode_menu_mobile_animation\";s:5:\"label\";s:25:\"Menu open items animation\";s:4:\"desc\";s:46:\"Specify the Menu items animation when opening.\";s:3:\"std\";s:4:\"none\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:65:\"_uncode_menu_sticky_mobile:is(on),_uncode_menu_hide_mobile:is(on)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:5:\"scale\";s:5:\"label\";s:5:\"Scale\";}}}i:50;a:9:{s:2:\"id\";s:30:\"_uncode_menu_overlay_animation\";s:5:\"label\";s:22:\"Menu overlay animation\";s:4:\"desc\";s:60:\"Specify the overlay Menu animation when opening and closing.\";s:3:\"std\";s:10:\"sequential\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:72:\"_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:2:\"3d\";s:5:\"label\";s:2:\"3D\";}i:1;a:2:{s:5:\"value\";s:10:\"sequential\";s:5:\"label\";s:4:\"Flat\";}}}i:51;a:5:{s:2:\"id\";s:28:\"_uncode_menu_add_block_title\";s:5:\"label\";s:45:\"<i class=\"fa fa-square-plus\"></i> Additionals\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_header_section\";}i:52;a:6:{s:2:\"id\";s:25:\"_uncode_menu_no_secondary\";s:5:\"label\";s:19:\"Hide secondary Menu\";s:4:\"desc\";s:36:\"Activate to hide the Secondary Menu.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:53;a:8:{s:2:\"id\";s:25:\"_uncode_secondary_padding\";s:5:\"label\";s:22:\"Secondary Menu padding\";s:4:\"desc\";s:44:\"Activate to increase secondary Menu padding.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:33:\"_uncode_menu_no_secondary:is(off)\";s:8:\"operator\";s:2:\"or\";}i:54;a:6:{s:2:\"id\";s:19:\"_uncode_menu_no_cta\";s:5:\"label\";s:24:\"Hide Call To Action Menu\";s:4:\"desc\";s:41:\"Activate to hide the Call To Action Menu.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:55;a:8:{s:2:\"id\";s:20:\"_uncode_menu_socials\";s:5:\"label\";s:12:\"Social icons\";s:4:\"desc\";s:61:\"Activate to show the social connection icons in the Menu bar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:56;a:8:{s:2:\"id\";s:19:\"_uncode_menu_search\";s:5:\"label\";s:11:\"Search icon\";s:4:\"desc\";s:49:\"Activate to show the search icon in the Menu bar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:57;a:9:{s:2:\"id\";s:29:\"_uncode_menu_search_animation\";s:5:\"label\";s:24:\"Search overlay animation\";s:4:\"desc\";s:62:\"Specify the search overlay animation when opening and closing.\";s:3:\"std\";s:10:\"sequential\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_header_section\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:2:\"3d\";s:5:\"label\";s:2:\"3D\";}i:1;a:2:{s:5:\"value\";s:10:\"sequential\";s:5:\"label\";s:4:\"Flat\";}}s:9:\"condition\";s:26:\"_uncode_menu_search:is(on)\";s:8:\"operator\";s:2:\"or\";}i:58;a:6:{s:2:\"id\";s:24:\"_uncode_woocommerce_cart\";s:5:\"label\";s:9:\"Cart Icon\";s:4:\"desc\";s:54:\"Activate to show the WooCommerce icon in the Menu bar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";}i:59;a:8:{s:2:\"id\";s:32:\"_uncode_woocommerce_cart_desktop\";s:5:\"label\";s:18:\"Cart Icon Menu bar\";s:4:\"desc\";s:116:\"Show the WooCommerce cart icon in the Menu bar when layout is on desktop mode (only for Overlay and Offcanvas Menu).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:31:\"_uncode_woocommerce_cart:is(on)\";s:8:\"operator\";s:3:\"and\";}i:60;a:8:{s:2:\"id\";s:31:\"_uncode_woocommerce_cart_mobile\";s:5:\"label\";s:25:\"Cart Icon Menu bar device\";s:4:\"desc\";s:77:\"Show the WooCommerce cart icon in the Menu bar when layout is on mobile mode.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:31:\"_uncode_woocommerce_cart:is(on)\";s:8:\"operator\";s:2:\"or\";}i:61;a:8:{s:2:\"id\";s:29:\"_uncode_woocommerce_cart_icon\";s:5:\"label\";s:16:\"Cart icon select\";s:4:\"desc\";s:21:\"Specify the cart icon\";s:3:\"std\";s:9:\"fa fa-bag\";s:4:\"type\";s:4:\"text\";s:5:\"class\";s:21:\"button_icon_container\";s:9:\"condition\";s:31:\"_uncode_woocommerce_cart:is(on)\";s:7:\"section\";s:21:\"uncode_header_section\";}i:62;a:7:{s:2:\"id\";s:21:\"_uncode_menu_bloginfo\";s:5:\"label\";s:13:\"Top line text\";s:4:\"desc\";s:86:\"Insert additional text on top of the Menu (it works combined with the Secodnary Menu).\";s:4:\"type\";s:8:\"textarea\";s:7:\"section\";s:21:\"uncode_header_section\";s:9:\"condition\";s:208:\"_uncode_headers:is(hmenu-right),_uncode_headers:is(hmenu-left),_uncode_headers:is(hmenu-justify),_uncode_headers:is(hmenu-center),_uncode_headers:is(hmenu-center-split),_uncode_headers:is(hmenu-center-double)\";s:8:\"operator\";s:2:\"or\";}i:63;a:6:{s:2:\"id\";s:29:\"_uncode_post_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:64;a:6:{s:2:\"id\";s:17:\"_uncode_post_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:65;a:6:{s:2:\"id\";s:23:\"_uncode_post_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:66;a:6:{s:2:\"id\";s:24:\"_uncode_post_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:67;a:6:{s:2:\"id\";s:31:\"_uncode_post_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:68;a:7:{s:2:\"id\";s:19:\"_uncode_post_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:19:\"uncode_post_section\";}i:69;a:8:{s:2:\"id\";s:19:\"_uncode_post_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:42:\"_uncode_post_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_post_section\";}i:70;a:8:{s:2:\"id\";s:22:\"_uncode_post_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:40:\"_uncode_post_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:19:\"uncode_post_section\";}i:71;a:8:{s:2:\"id\";s:24:\"_uncode_post_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:42:\"_uncode_post_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:19:\"uncode_post_section\";}i:72;a:8:{s:2:\"id\";s:25:\"_uncode_post_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:73;a:8:{s:2:\"id\";s:26:\"_uncode_post_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:19:\"uncode_post_section\";}i:74;a:8:{s:2:\"id\";s:30:\"_uncode_post_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:19:\"uncode_post_section\";}i:75;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:25:\"_uncode_post_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:76;a:9:{s:2:\"id\";s:25:\"_uncode_post_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:77;a:8:{s:2:\"id\";s:33:\"_uncode_post_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:78;a:9:{s:2:\"id\";s:32:\"_uncode_post_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:19:\"uncode_post_section\";}i:79;a:9:{s:2:\"id\";s:25:\"_uncode_post_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:80;a:9:{s:2:\"id\";s:28:\"_uncode_post_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:81;a:9:{s:2:\"id\";s:30:\"_uncode_post_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:82;a:8:{s:2:\"id\";s:30:\"_uncode_post_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:83;a:8:{s:2:\"id\";s:32:\"_uncode_post_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:84;a:8:{s:2:\"id\";s:33:\"_uncode_post_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:85;a:8:{s:2:\"id\";s:32:\"_uncode_post_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:86;a:8:{s:2:\"id\";s:35:\"_uncode_post_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:87;a:8:{s:2:\"id\";s:32:\"_uncode_post_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:88;a:8:{s:2:\"id\";s:34:\"_uncode_post_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:89;a:8:{s:2:\"id\";s:35:\"_uncode_post_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:110:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on),_uncode_post_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:90;a:8:{s:2:\"id\";s:35:\"_uncode_post_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:110:\"_uncode_post_header:is(header_basic),_uncode_post_header_title:is(on),_uncode_post_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:91;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:28:\"_uncode_post_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:92;a:8:{s:2:\"id\";s:30:\"_uncode_post_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:93;a:8:{s:2:\"id\";s:28:\"_uncode_post_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:94;a:8:{s:2:\"id\";s:26:\"_uncode_post_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:95;a:7:{s:2:\"id\";s:33:\"_uncode_post_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:96;a:9:{s:2:\"id\";s:39:\"_uncode_post_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:36:\"_uncode_post_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:97;a:8:{s:2:\"id\";s:34:\"_uncode_post_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:79:\"_uncode_post_header:is(header_basic),_uncode_post_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:98;a:8:{s:2:\"id\";s:30:\"_uncode_post_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:29:\"_uncode_post_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:99;a:6:{s:2:\"id\";s:23:\"_uncode_post_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:100;a:6:{s:2:\"id\";s:25:\"_uncode_post_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:101;a:7:{s:2:\"id\";s:32:\"_uncode_post_layout_width_custom\";s:5:\"label\";s:12:\"Custom width\";s:4:\"desc\";s:125:\"Define the custom width for the content area in px or in %. This option takes effect with normal contents (not Page Builder).\";s:4:\"type\";s:11:\"measurement\";s:9:\"condition\";s:35:\"_uncode_post_layout_width:is(limit)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:19:\"uncode_post_section\";}i:102;a:6:{s:2:\"id\";s:23:\"_uncode_post_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:103;a:8:{s:2:\"id\";s:29:\"_uncode_post_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:30:\"_uncode_post_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:104;a:7:{s:2:\"id\";s:18:\"_uncode_post_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";s:8:\"operator\";s:2:\"or\";}i:105;a:6:{s:2:\"id\";s:18:\"_uncode_post_media\";s:5:\"label\";s:10:\"Show media\";s:4:\"desc\";s:48:\"Activate to show the medias in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:106;a:7:{s:2:\"id\";s:35:\"_uncode_post_featured_media_display\";s:5:\"label\";s:12:\"Media layout\";s:4:\"desc\";s:47:\"Specify the layout mode for the images section.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:8:\"carousel\";s:5:\"label\";s:8:\"Carousel\";}i:1;a:2:{s:5:\"value\";s:5:\"stack\";s:5:\"label\";s:5:\"Stack\";}i:2;a:2:{s:5:\"value\";s:7:\"isotope\";s:5:\"label\";s:7:\"Isotope\";}}s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:25:\"_uncode_post_media:is(on)\";}i:107;a:7:{s:2:\"id\";s:27:\"_uncode_post_featured_media\";s:5:\"label\";s:19:\"Show featured image\";s:4:\"desc\";s:56:\"Activate to show the Featured Image in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:26:\"_uncode_post_media:not(on)\";s:7:\"section\";s:19:\"uncode_post_section\";}i:108;a:6:{s:2:\"id\";s:18:\"_uncode_post_share\";s:5:\"label\";s:10:\"Show share\";s:4:\"desc\";s:34:\"Activate to show the Share module.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:109;a:6:{s:2:\"id\";s:17:\"_uncode_post_tags\";s:5:\"label\";s:9:\"Show tags\";s:4:\"desc\";s:69:\"Activate to show the Tags and choose visbility by post to post bases.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:110;a:8:{s:2:\"id\";s:23:\"_uncode_post_tags_align\";s:5:\"label\";s:14:\"Tags alignment\";s:4:\"desc\";s:27:\"Specify the Tags alignment.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:10:\"Left align\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:12:\"Center align\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:11:\"Right align\";s:3:\"src\";s:0:\"\";}}s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:24:\"_uncode_post_tags:is(on)\";s:8:\"operator\";s:2:\"or\";}i:111;a:6:{s:2:\"id\";s:36:\"_uncode_post_content_block_after_pre\";s:5:\"label\";s:30:\"After Content (Author Profile)\";s:4:\"desc\";s:32:\"Define the Content Block to use.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_post_section\";}i:112;a:6:{s:2:\"id\";s:32:\"_uncode_post_content_block_after\";s:5:\"label\";s:29:\"After Content (Related Posts)\";s:4:\"desc\";s:32:\"Define the Content Block to use.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_post_section\";}i:113;a:6:{s:2:\"id\";s:21:\"_uncode_post_comments\";s:5:\"label\";s:13:\"Show comments\";s:4:\"desc\";s:73:\"Activate to show the comments and choose visbility by post to post bases.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:114;a:6:{s:2:\"id\";s:26:\"_uncode_post_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:115;a:6:{s:2:\"id\";s:29:\"_uncode_post_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:116;a:6:{s:2:\"id\";s:20:\"_uncode_post_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:38:\"_uncode_post_activate_sidebar:not(off)\";}i:117;a:7:{s:2:\"id\";s:29:\"_uncode_post_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:38:\"_uncode_post_activate_sidebar:not(off)\";s:7:\"section\";s:19:\"uncode_post_section\";}i:118;a:8:{s:2:\"id\";s:25:\"_uncode_post_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:38:\"_uncode_post_activate_sidebar:not(off)\";s:7:\"section\";s:19:\"uncode_post_section\";}i:119;a:7:{s:2:\"id\";s:27:\"_uncode_post_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:38:\"_uncode_post_activate_sidebar:not(off)\";s:7:\"section\";s:19:\"uncode_post_section\";}i:120;a:7:{s:2:\"id\";s:26:\"_uncode_post_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:38:\"_uncode_post_activate_sidebar:not(off)\";}i:121;a:6:{s:2:\"id\";s:28:\"_uncode_post_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:19:\"uncode_post_section\";s:9:\"condition\";s:38:\"_uncode_post_activate_sidebar:not(off)\";}i:122;a:8:{s:2:\"id\";s:25:\"_uncode_post_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:73:\"_uncode_post_sidebar_bgcolor:not(),_uncode_post_activate_sidebar:not(off)\";}i:123;a:6:{s:2:\"id\";s:29:\"_uncode_post_navigation_title\";s:5:\"label\";s:41:\"<i class=\"fa fa-location\"></i> Navigation\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:124;a:6:{s:2:\"id\";s:32:\"_uncode_post_navigation_activate\";s:5:\"label\";s:14:\"Navigation bar\";s:4:\"desc\";s:36:\"Activate to show the navigation bar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";}i:125;a:7:{s:2:\"id\";s:29:\"_uncode_post_navigation_index\";s:5:\"label\";s:16:\"Navigation index\";s:4:\"desc\";s:42:\"Specify the page you want to use as index.\";s:4:\"type\";s:11:\"page-select\";s:7:\"section\";s:19:\"uncode_post_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:41:\"_uncode_post_navigation_activate:not(off)\";}i:126;a:7:{s:2:\"id\";s:35:\"_uncode_post_navigation_index_label\";s:5:\"label\";s:18:\"Index custom label\";s:4:\"desc\";s:42:\"Enter a custom label for the index button.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:19:\"uncode_post_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:41:\"_uncode_post_navigation_activate:not(off)\";}i:127;a:8:{s:2:\"id\";s:38:\"_uncode_post_navigation_nextprev_title\";s:5:\"label\";s:17:\"Navigation titles\";s:4:\"desc\";s:42:\"Activate to show the next/prev post title.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_post_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:41:\"_uncode_post_navigation_activate:not(off)\";}i:128;a:6:{s:2:\"id\";s:31:\"_uncode_post_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:129;a:6:{s:2:\"id\";s:25:\"_uncode_post_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_post_section\";}i:130;a:6:{s:2:\"id\";s:25:\"_uncode_post_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:19:\"uncode_post_section\";}i:131;a:6:{s:2:\"id\";s:21:\"_uncode_post_cf_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-pencil3\"></i> Custom fields\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_post_section\";}i:132;a:7:{s:2:\"id\";s:26:\"_uncode_post_custom_fields\";s:5:\"class\";s:25:\"uncode-custom-fields-list\";s:5:\"label\";s:13:\"Custom fields\";s:4:\"desc\";s:75:\"Create here all the custom fields that can be used inside the posts module.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:19:\"uncode_post_section\";s:8:\"settings\";a:1:{i:0;a:6:{s:2:\"id\";s:20:\"_uncode_cf_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:7:\"detail-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:22:\"Unique custom field ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}}}i:133;a:6:{s:2:\"id\";s:29:\"_uncode_page_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_page_section\";}i:134;a:6:{s:2:\"id\";s:17:\"_uncode_page_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:135;a:6:{s:2:\"id\";s:23:\"_uncode_page_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:136;a:6:{s:2:\"id\";s:24:\"_uncode_page_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_page_section\";}i:137;a:6:{s:2:\"id\";s:31:\"_uncode_page_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_page_section\";}i:138;a:7:{s:2:\"id\";s:19:\"_uncode_page_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:4:\"none\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:19:\"uncode_page_section\";}i:139;a:8:{s:2:\"id\";s:19:\"_uncode_page_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:42:\"_uncode_page_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_page_section\";}i:140;a:8:{s:2:\"id\";s:22:\"_uncode_page_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:40:\"_uncode_page_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:19:\"uncode_page_section\";}i:141;a:8:{s:2:\"id\";s:24:\"_uncode_page_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:42:\"_uncode_page_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:19:\"uncode_page_section\";}i:142;a:8:{s:2:\"id\";s:25:\"_uncode_page_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:143;a:8:{s:2:\"id\";s:26:\"_uncode_page_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:19:\"uncode_page_section\";}i:144;a:8:{s:2:\"id\";s:30:\"_uncode_page_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:19:\"uncode_page_section\";}i:145;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:25:\"_uncode_page_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:146;a:9:{s:2:\"id\";s:25:\"_uncode_page_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:147;a:8:{s:2:\"id\";s:33:\"_uncode_page_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:148;a:9:{s:2:\"id\";s:32:\"_uncode_page_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:19:\"uncode_page_section\";}i:149;a:9:{s:2:\"id\";s:25:\"_uncode_page_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:150;a:9:{s:2:\"id\";s:28:\"_uncode_page_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:151;a:9:{s:2:\"id\";s:30:\"_uncode_page_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:152;a:8:{s:2:\"id\";s:30:\"_uncode_page_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:153;a:8:{s:2:\"id\";s:32:\"_uncode_page_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:154;a:8:{s:2:\"id\";s:33:\"_uncode_page_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:155;a:8:{s:2:\"id\";s:32:\"_uncode_page_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:156;a:8:{s:2:\"id\";s:35:\"_uncode_page_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:157;a:8:{s:2:\"id\";s:32:\"_uncode_page_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:158;a:8:{s:2:\"id\";s:34:\"_uncode_page_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:69:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:159;a:8:{s:2:\"id\";s:35:\"_uncode_page_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:110:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on),_uncode_page_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:160;a:8:{s:2:\"id\";s:35:\"_uncode_page_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:110:\"_uncode_page_header:is(header_basic),_uncode_page_header_title:is(on),_uncode_page_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:161;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:28:\"_uncode_page_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:162;a:8:{s:2:\"id\";s:30:\"_uncode_page_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:163;a:8:{s:2:\"id\";s:28:\"_uncode_page_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:164;a:8:{s:2:\"id\";s:26:\"_uncode_page_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:165;a:7:{s:2:\"id\";s:33:\"_uncode_page_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:166;a:9:{s:2:\"id\";s:39:\"_uncode_page_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:36:\"_uncode_page_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:167;a:8:{s:2:\"id\";s:34:\"_uncode_page_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:79:\"_uncode_page_header:is(header_basic),_uncode_page_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:168;a:8:{s:2:\"id\";s:30:\"_uncode_page_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:29:\"_uncode_page_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:169;a:6:{s:2:\"id\";s:23:\"_uncode_page_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_page_section\";}i:170;a:6:{s:2:\"id\";s:25:\"_uncode_page_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:171;a:7:{s:2:\"id\";s:32:\"_uncode_page_layout_width_custom\";s:5:\"label\";s:12:\"Custom width\";s:4:\"desc\";s:125:\"Define the custom width for the content area in px or in %. This option takes effect with normal contents (not Page Builder).\";s:4:\"type\";s:11:\"measurement\";s:9:\"condition\";s:35:\"_uncode_page_layout_width:is(limit)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:19:\"uncode_page_section\";}i:172;a:6:{s:2:\"id\";s:23:\"_uncode_page_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_page_section\";}i:173;a:8:{s:2:\"id\";s:29:\"_uncode_page_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:30:\"_uncode_page_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:174;a:7:{s:2:\"id\";s:18:\"_uncode_page_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_page_section\";s:8:\"operator\";s:2:\"or\";}i:175;a:6:{s:2:\"id\";s:18:\"_uncode_page_media\";s:5:\"label\";s:10:\"Show media\";s:4:\"desc\";s:48:\"Activate to show the medias in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_page_section\";}i:176;a:7:{s:2:\"id\";s:35:\"_uncode_page_featured_media_display\";s:5:\"label\";s:12:\"Media layout\";s:4:\"desc\";s:47:\"Specify the layout mode for the images section.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:8:\"carousel\";s:5:\"label\";s:8:\"Carousel\";}i:1;a:2:{s:5:\"value\";s:5:\"stack\";s:5:\"label\";s:5:\"Stack\";}i:2;a:2:{s:5:\"value\";s:7:\"isotope\";s:5:\"label\";s:7:\"Isotope\";}}s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:25:\"_uncode_page_media:is(on)\";}i:177;a:7:{s:2:\"id\";s:27:\"_uncode_page_featured_media\";s:5:\"label\";s:19:\"Show featured image\";s:4:\"desc\";s:56:\"Activate to show the Featured Image in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:26:\"_uncode_page_media:not(on)\";s:7:\"section\";s:19:\"uncode_page_section\";}i:178;a:6:{s:2:\"id\";s:32:\"_uncode_page_content_block_after\";s:5:\"label\";s:29:\"After Content (Related Posts)\";s:4:\"desc\";s:32:\"Define the Content Block to use.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_page_section\";}i:179;a:6:{s:2:\"id\";s:21:\"_uncode_page_comments\";s:5:\"label\";s:13:\"Show comments\";s:4:\"desc\";s:73:\"Activate to show the comments and choose visbility by post to post bases.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_page_section\";}i:180;a:6:{s:2:\"id\";s:26:\"_uncode_page_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_page_section\";}i:181;a:6:{s:2:\"id\";s:29:\"_uncode_page_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_page_section\";}i:182;a:6:{s:2:\"id\";s:20:\"_uncode_page_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:38:\"_uncode_page_activate_sidebar:not(off)\";}i:183;a:7:{s:2:\"id\";s:29:\"_uncode_page_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:38:\"_uncode_page_activate_sidebar:not(off)\";s:7:\"section\";s:19:\"uncode_page_section\";}i:184;a:8:{s:2:\"id\";s:25:\"_uncode_page_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:38:\"_uncode_page_activate_sidebar:not(off)\";s:7:\"section\";s:19:\"uncode_page_section\";}i:185;a:7:{s:2:\"id\";s:27:\"_uncode_page_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:38:\"_uncode_page_activate_sidebar:not(off)\";s:7:\"section\";s:19:\"uncode_page_section\";}i:186;a:7:{s:2:\"id\";s:26:\"_uncode_page_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:38:\"_uncode_page_activate_sidebar:not(off)\";}i:187;a:6:{s:2:\"id\";s:28:\"_uncode_page_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:19:\"uncode_page_section\";s:9:\"condition\";s:38:\"_uncode_page_activate_sidebar:not(off)\";}i:188;a:8:{s:2:\"id\";s:25:\"_uncode_page_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:19:\"uncode_page_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:73:\"_uncode_page_sidebar_bgcolor:not(),_uncode_page_activate_sidebar:not(off)\";}i:189;a:6:{s:2:\"id\";s:31:\"_uncode_page_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_page_section\";}i:190;a:6:{s:2:\"id\";s:25:\"_uncode_page_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:19:\"uncode_page_section\";}i:191;a:6:{s:2:\"id\";s:25:\"_uncode_page_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:19:\"uncode_page_section\";}i:192;a:6:{s:2:\"id\";s:21:\"_uncode_page_cf_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-pencil3\"></i> Custom fields\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:19:\"uncode_page_section\";}i:193;a:7:{s:2:\"id\";s:26:\"_uncode_page_custom_fields\";s:5:\"class\";s:25:\"uncode-custom-fields-list\";s:5:\"label\";s:13:\"Custom fields\";s:4:\"desc\";s:75:\"Create here all the custom fields that can be used inside the posts module.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:19:\"uncode_page_section\";s:8:\"settings\";a:1:{i:0;a:6:{s:2:\"id\";s:20:\"_uncode_cf_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:7:\"detail-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:22:\"Unique custom field ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}}}i:194;a:6:{s:2:\"id\";s:34:\"_uncode_portfolio_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:195;a:6:{s:2:\"id\";s:22:\"_uncode_portfolio_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:196;a:6:{s:2:\"id\";s:28:\"_uncode_portfolio_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:197;a:6:{s:2:\"id\";s:29:\"_uncode_portfolio_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:198;a:6:{s:2:\"id\";s:36:\"_uncode_portfolio_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:199;a:7:{s:2:\"id\";s:24:\"_uncode_portfolio_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:4:\"none\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:200;a:8:{s:2:\"id\";s:24:\"_uncode_portfolio_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:47:\"_uncode_portfolio_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:201;a:8:{s:2:\"id\";s:27:\"_uncode_portfolio_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:45:\"_uncode_portfolio_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:202;a:8:{s:2:\"id\";s:29:\"_uncode_portfolio_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:47:\"_uncode_portfolio_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:203;a:8:{s:2:\"id\";s:30:\"_uncode_portfolio_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:204;a:8:{s:2:\"id\";s:31:\"_uncode_portfolio_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:205;a:8:{s:2:\"id\";s:35:\"_uncode_portfolio_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:206;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:30:\"_uncode_portfolio_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:207;a:9:{s:2:\"id\";s:30:\"_uncode_portfolio_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:208;a:8:{s:2:\"id\";s:38:\"_uncode_portfolio_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:209;a:9:{s:2:\"id\";s:37:\"_uncode_portfolio_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:210;a:9:{s:2:\"id\";s:30:\"_uncode_portfolio_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:211;a:9:{s:2:\"id\";s:33:\"_uncode_portfolio_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:212;a:9:{s:2:\"id\";s:35:\"_uncode_portfolio_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:213;a:8:{s:2:\"id\";s:35:\"_uncode_portfolio_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:214;a:8:{s:2:\"id\";s:37:\"_uncode_portfolio_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:215;a:8:{s:2:\"id\";s:38:\"_uncode_portfolio_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:216;a:8:{s:2:\"id\";s:37:\"_uncode_portfolio_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:217;a:8:{s:2:\"id\";s:40:\"_uncode_portfolio_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:218;a:8:{s:2:\"id\";s:37:\"_uncode_portfolio_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:219;a:8:{s:2:\"id\";s:39:\"_uncode_portfolio_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:79:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:220;a:8:{s:2:\"id\";s:40:\"_uncode_portfolio_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:125:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on),_uncode_portfolio_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:221;a:8:{s:2:\"id\";s:40:\"_uncode_portfolio_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:125:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header_title:is(on),_uncode_portfolio_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:222;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:33:\"_uncode_portfolio_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:223;a:8:{s:2:\"id\";s:35:\"_uncode_portfolio_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:224;a:8:{s:2:\"id\";s:33:\"_uncode_portfolio_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:225;a:8:{s:2:\"id\";s:31:\"_uncode_portfolio_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:226;a:7:{s:2:\"id\";s:38:\"_uncode_portfolio_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:227;a:9:{s:2:\"id\";s:44:\"_uncode_portfolio_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:228;a:8:{s:2:\"id\";s:39:\"_uncode_portfolio_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:89:\"_uncode_portfolio_header:is(header_basic),_uncode_portfolio_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:229;a:8:{s:2:\"id\";s:35:\"_uncode_portfolio_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:34:\"_uncode_portfolio_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:230;a:6:{s:2:\"id\";s:28:\"_uncode_portfolio_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:231;a:6:{s:2:\"id\";s:30:\"_uncode_portfolio_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:232;a:7:{s:2:\"id\";s:37:\"_uncode_portfolio_layout_width_custom\";s:5:\"label\";s:12:\"Custom width\";s:4:\"desc\";s:125:\"Define the custom width for the content area in px or in %. This option takes effect with normal contents (not Page Builder).\";s:4:\"type\";s:11:\"measurement\";s:9:\"condition\";s:40:\"_uncode_portfolio_layout_width:is(limit)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:233;a:6:{s:2:\"id\";s:28:\"_uncode_portfolio_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:234;a:8:{s:2:\"id\";s:34:\"_uncode_portfolio_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:35:\"_uncode_portfolio_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:235;a:7:{s:2:\"id\";s:23:\"_uncode_portfolio_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"operator\";s:2:\"or\";}i:236;a:6:{s:2:\"id\";s:23:\"_uncode_portfolio_media\";s:5:\"label\";s:10:\"Show media\";s:4:\"desc\";s:48:\"Activate to show the medias in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:237;a:7:{s:2:\"id\";s:40:\"_uncode_portfolio_featured_media_display\";s:5:\"label\";s:12:\"Media layout\";s:4:\"desc\";s:47:\"Specify the layout mode for the images section.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:8:\"carousel\";s:5:\"label\";s:8:\"Carousel\";}i:1;a:2:{s:5:\"value\";s:5:\"stack\";s:5:\"label\";s:5:\"Stack\";}i:2;a:2:{s:5:\"value\";s:7:\"isotope\";s:5:\"label\";s:7:\"Isotope\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:30:\"_uncode_portfolio_media:is(on)\";}i:238;a:7:{s:2:\"id\";s:32:\"_uncode_portfolio_featured_media\";s:5:\"label\";s:19:\"Show featured image\";s:4:\"desc\";s:56:\"Activate to show the Featured Image in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:31:\"_uncode_portfolio_media:not(on)\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:239;a:6:{s:2:\"id\";s:23:\"_uncode_portfolio_share\";s:5:\"label\";s:10:\"Show share\";s:4:\"desc\";s:34:\"Activate to show the Share module.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:240;a:6:{s:2:\"id\";s:37:\"_uncode_portfolio_content_block_after\";s:5:\"label\";s:29:\"After Content (Related Posts)\";s:4:\"desc\";s:32:\"Define the Content Block to use.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:241;a:6:{s:2:\"id\";s:26:\"_uncode_portfolio_comments\";s:5:\"label\";s:13:\"Show comments\";s:4:\"desc\";s:73:\"Activate to show the comments and choose visbility by post to post bases.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:242;a:5:{s:2:\"id\";s:31:\"_uncode_portfolio_details_title\";s:5:\"label\";s:40:\"<i class=\"fa fa-briefcase3\"></i> Details\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:243;a:6:{s:2:\"id\";s:25:\"_uncode_portfolio_details\";s:5:\"label\";s:17:\"Portfolio details\";s:4:\"desc\";s:58:\"Create here all the portfolio details label that you need.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"settings\";a:1:{i:0;a:6:{s:2:\"id\";s:34:\"_uncode_portfolio_detail_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:7:\"detail-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:26:\"Unique portfolio detail ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}}}i:244;a:6:{s:2:\"id\";s:26:\"_uncode_portfolio_position\";s:5:\"label\";s:24:\"Portfolio details layout\";s:4:\"desc\";s:56:\"Specify the layout template for all the portfolio posts.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:13:\"portfolio_top\";s:5:\"label\";s:18:\"Details on the top\";}i:2;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:20:\"Details on the right\";}i:3;a:2:{s:5:\"value\";s:16:\"portfolio_bottom\";s:5:\"label\";s:21:\"Details on the bottom\";}i:4;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:19:\"Details on the left\";}}}i:245;a:9:{s:2:\"id\";s:30:\"_uncode_portfolio_sidebar_size\";s:5:\"label\";s:12:\"Sidebar size\";s:4:\"desc\";s:21:\"Set the Sidebar size.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,12,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:77:\"_uncode_portfolio_position:not(),_uncode_portfolio_position:contains(sidebar)\";}i:246;a:7:{s:2:\"id\";s:32:\"_uncode_portfolio_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:77:\"_uncode_portfolio_position:not(),_uncode_portfolio_position:contains(sidebar)\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:247;a:7:{s:2:\"id\";s:23:\"_uncode_portfolio_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:36:\"Specify the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:32:\"_uncode_portfolio_position:not()\";}i:248;a:6:{s:2:\"id\";s:25:\"_uncode_portfolio_bgcolor\";s:5:\"label\";s:13:\"Sidebar color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:9:\"condition\";s:32:\"_uncode_portfolio_position:not()\";}i:249;a:8:{s:2:\"id\";s:30:\"_uncode_portfolio_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:117:\"_uncode_portfolio_position:not(),_uncode_portfolio_sidebar_bgcolor:not(),_uncode_portfolio_position:contains(sidebar)\";}i:250;a:6:{s:2:\"id\";s:34:\"_uncode_portfolio_navigation_title\";s:5:\"label\";s:41:\"<i class=\"fa fa-location\"></i> Navigation\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:251;a:6:{s:2:\"id\";s:37:\"_uncode_portfolio_navigation_activate\";s:5:\"label\";s:14:\"Navigation bar\";s:4:\"desc\";s:36:\"Activate to show the navigation bar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:252;a:7:{s:2:\"id\";s:34:\"_uncode_portfolio_navigation_index\";s:5:\"label\";s:16:\"Navigation index\";s:4:\"desc\";s:42:\"Specify the page you want to use as index.\";s:4:\"type\";s:11:\"page-select\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:46:\"_uncode_portfolio_navigation_activate:not(off)\";}i:253;a:7:{s:2:\"id\";s:40:\"_uncode_portfolio_navigation_index_label\";s:5:\"label\";s:18:\"Index custom label\";s:4:\"desc\";s:42:\"Enter a custom label for the index button.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:46:\"_uncode_portfolio_navigation_activate:not(off)\";}i:254;a:8:{s:2:\"id\";s:43:\"_uncode_portfolio_navigation_nextprev_title\";s:5:\"label\";s:17:\"Navigation titles\";s:4:\"desc\";s:42:\"Activate to show the next/prev post title.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:46:\"_uncode_portfolio_navigation_activate:not(off)\";}i:255;a:6:{s:2:\"id\";s:36:\"_uncode_portfolio_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:256;a:6:{s:2:\"id\";s:30:\"_uncode_portfolio_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:257;a:6:{s:2:\"id\";s:30:\"_uncode_portfolio_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:258;a:6:{s:2:\"id\";s:26:\"_uncode_portfolio_cf_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-pencil3\"></i> Custom fields\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_portfolio_section\";}i:259;a:7:{s:2:\"id\";s:31:\"_uncode_portfolio_custom_fields\";s:5:\"class\";s:25:\"uncode-custom-fields-list\";s:5:\"label\";s:13:\"Custom fields\";s:4:\"desc\";s:75:\"Create here all the custom fields that can be used inside the posts module.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:24:\"uncode_portfolio_section\";s:8:\"settings\";a:1:{i:0;a:6:{s:2:\"id\";s:20:\"_uncode_cf_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:7:\"detail-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:22:\"Unique custom field ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}}}i:260;a:6:{s:2:\"id\";s:30:\"_uncode_popup_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:261;a:6:{s:2:\"id\";s:18:\"_uncode_popup_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:262;a:6:{s:2:\"id\";s:24:\"_uncode_popup_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:263;a:6:{s:2:\"id\";s:25:\"_uncode_popup_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:264;a:6:{s:2:\"id\";s:32:\"_uncode_popup_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:265;a:7:{s:2:\"id\";s:20:\"_uncode_popup_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:4:\"none\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:20:\"uncode_popup_section\";}i:266;a:8:{s:2:\"id\";s:20:\"_uncode_popup_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:43:\"_uncode_popup_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:267;a:8:{s:2:\"id\";s:23:\"_uncode_popup_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:41:\"_uncode_popup_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:268;a:8:{s:2:\"id\";s:25:\"_uncode_popup_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:43:\"_uncode_popup_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:269;a:8:{s:2:\"id\";s:26:\"_uncode_popup_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:270;a:8:{s:2:\"id\";s:27:\"_uncode_popup_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:271;a:8:{s:2:\"id\";s:31:\"_uncode_popup_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:272;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:26:\"_uncode_popup_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:273;a:9:{s:2:\"id\";s:26:\"_uncode_popup_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:274;a:8:{s:2:\"id\";s:34:\"_uncode_popup_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:275;a:9:{s:2:\"id\";s:33:\"_uncode_popup_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:276;a:9:{s:2:\"id\";s:26:\"_uncode_popup_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:277;a:9:{s:2:\"id\";s:29:\"_uncode_popup_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:278;a:9:{s:2:\"id\";s:31:\"_uncode_popup_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:279;a:8:{s:2:\"id\";s:31:\"_uncode_popup_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:280;a:8:{s:2:\"id\";s:33:\"_uncode_popup_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:281;a:8:{s:2:\"id\";s:34:\"_uncode_popup_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:282;a:8:{s:2:\"id\";s:33:\"_uncode_popup_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:283;a:8:{s:2:\"id\";s:36:\"_uncode_popup_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:284;a:8:{s:2:\"id\";s:33:\"_uncode_popup_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:285;a:8:{s:2:\"id\";s:35:\"_uncode_popup_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:71:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:286;a:8:{s:2:\"id\";s:36:\"_uncode_popup_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:113:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on),_uncode_popup_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:287;a:8:{s:2:\"id\";s:36:\"_uncode_popup_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:113:\"_uncode_popup_header:is(header_basic),_uncode_popup_header_title:is(on),_uncode_popup_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:288;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:29:\"_uncode_popup_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:289;a:8:{s:2:\"id\";s:31:\"_uncode_popup_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:290;a:8:{s:2:\"id\";s:29:\"_uncode_popup_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:291;a:8:{s:2:\"id\";s:27:\"_uncode_popup_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:292;a:7:{s:2:\"id\";s:34:\"_uncode_popup_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:293;a:9:{s:2:\"id\";s:40:\"_uncode_popup_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:37:\"_uncode_popup_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:294;a:8:{s:2:\"id\";s:35:\"_uncode_popup_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:81:\"_uncode_popup_header:is(header_basic),_uncode_popup_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:295;a:8:{s:2:\"id\";s:31:\"_uncode_popup_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:30:\"_uncode_popup_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:296;a:6:{s:2:\"id\";s:24:\"_uncode_popup_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:297;a:6:{s:2:\"id\";s:26:\"_uncode_popup_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:298;a:7:{s:2:\"id\";s:33:\"_uncode_popup_layout_width_custom\";s:5:\"label\";s:12:\"Custom width\";s:4:\"desc\";s:125:\"Define the custom width for the content area in px or in %. This option takes effect with normal contents (not Page Builder).\";s:4:\"type\";s:11:\"measurement\";s:9:\"condition\";s:36:\"_uncode_popup_layout_width:is(limit)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:299;a:6:{s:2:\"id\";s:24:\"_uncode_popup_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:300;a:8:{s:2:\"id\";s:30:\"_uncode_popup_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:31:\"_uncode_popup_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:301;a:7:{s:2:\"id\";s:19:\"_uncode_popup_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:8:\"operator\";s:2:\"or\";}i:302;a:6:{s:2:\"id\";s:19:\"_uncode_popup_media\";s:5:\"label\";s:10:\"Show media\";s:4:\"desc\";s:48:\"Activate to show the medias in the content area.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:303;a:7:{s:2:\"id\";s:28:\"_uncode_popup_featured_media\";s:5:\"label\";s:19:\"Show featured image\";s:4:\"desc\";s:56:\"Activate to show the Featured Image in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:27:\"_uncode_popup_media:not(on)\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:304;a:6:{s:2:\"id\";s:19:\"_uncode_popup_share\";s:5:\"label\";s:10:\"Show share\";s:4:\"desc\";s:34:\"Activate to show the Share module.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:305;a:7:{s:2:\"id\";s:26:\"_uncode_popup_image_layout\";s:5:\"label\";s:12:\"Media layout\";s:4:\"desc\";s:55:\"Specify the layout mode for the product images section.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:8:\"Standard\";}i:1;a:2:{s:5:\"value\";s:5:\"stack\";s:5:\"label\";s:5:\"Stack\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:306;a:7:{s:2:\"id\";s:24:\"_uncode_popup_media_size\";s:5:\"label\";s:17:\"Media layout size\";s:4:\"desc\";s:42:\"Specify the size of the Media layout area.\";s:3:\"std\";s:1:\"6\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:307;a:7:{s:2:\"id\";s:25:\"_uncode_popup_sticky_desc\";s:5:\"label\";s:14:\"Sticky content\";s:4:\"desc\";s:57:\"Activate to enable Sticky effect for product description.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:36:\"_uncode_popup_image_layout:is(stack)\";}i:308;a:6:{s:2:\"id\";s:25:\"_uncode_popup_enable_zoom\";s:5:\"label\";s:4:\"Zoom\";s:4:\"desc\";s:53:\"Activate to enable drag Zoom effect on product image.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:309;a:8:{s:2:\"id\";s:24:\"_uncode_popup_thumb_cols\";s:5:\"label\";s:18:\"Thumbnails columns\";s:4:\"desc\";s:68:\"Specify how many columns to display for your product Gallery thumbs.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:1:\"2\";}i:1;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:1:\"3\";}i:2;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:1:\"4\";}i:3;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:1:\"5\";}i:4;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:1:\"6\";}}s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:31:\"_uncode_popup_image_layout:is()\";}i:310;a:7:{s:2:\"id\";s:27:\"_uncode_popup_enable_slider\";s:5:\"label\";s:19:\"Thumbnails carousel\";s:4:\"desc\";s:65:\"Activate to enable Carousel Slider when you click Gallery thumbs.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:31:\"_uncode_popup_image_layout:is()\";}i:311;a:6:{s:2:\"id\";s:37:\"_uncode_popup_content_block_after_pre\";s:5:\"label\";s:30:\"After Content (Author Profile)\";s:4:\"desc\";s:32:\"Define the Content Block to use.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:312;a:6:{s:2:\"id\";s:33:\"_uncode_popup_content_block_after\";s:5:\"label\";s:29:\"After Content (Related Posts)\";s:4:\"desc\";s:32:\"Define the Content Block to use.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:313;a:6:{s:2:\"id\";s:22:\"_uncode_popup_comments\";s:5:\"label\";s:13:\"Show comments\";s:4:\"desc\";s:73:\"Activate to show the comments and choose visbility by post to post bases.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:314;a:6:{s:2:\"id\";s:27:\"_uncode_popup_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:315;a:6:{s:2:\"id\";s:30:\"_uncode_popup_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:316;a:6:{s:2:\"id\";s:21:\"_uncode_popup_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:39:\"_uncode_popup_activate_sidebar:not(off)\";}i:317;a:7:{s:2:\"id\";s:30:\"_uncode_popup_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:39:\"_uncode_popup_activate_sidebar:not(off)\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:318;a:8:{s:2:\"id\";s:26:\"_uncode_popup_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:39:\"_uncode_popup_activate_sidebar:not(off)\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:319;a:7:{s:2:\"id\";s:28:\"_uncode_popup_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:39:\"_uncode_popup_activate_sidebar:not(off)\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:320;a:7:{s:2:\"id\";s:27:\"_uncode_popup_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:39:\"_uncode_popup_activate_sidebar:not(off)\";}i:321;a:6:{s:2:\"id\";s:29:\"_uncode_popup_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:20:\"uncode_popup_section\";s:9:\"condition\";s:39:\"_uncode_popup_activate_sidebar:not(off)\";}i:322;a:8:{s:2:\"id\";s:26:\"_uncode_popup_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:75:\"_uncode_popup_sidebar_bgcolor:not(),_uncode_popup_activate_sidebar:not(off)\";}i:323;a:6:{s:2:\"id\";s:30:\"_uncode_popup_navigation_title\";s:5:\"label\";s:41:\"<i class=\"fa fa-location\"></i> Navigation\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:324;a:6:{s:2:\"id\";s:33:\"_uncode_popup_navigation_activate\";s:5:\"label\";s:14:\"Navigation bar\";s:4:\"desc\";s:36:\"Activate to show the navigation bar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:325;a:7:{s:2:\"id\";s:30:\"_uncode_popup_navigation_index\";s:5:\"label\";s:16:\"Navigation index\";s:4:\"desc\";s:42:\"Specify the page you want to use as index.\";s:4:\"type\";s:11:\"page-select\";s:7:\"section\";s:20:\"uncode_popup_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:42:\"_uncode_popup_navigation_activate:not(off)\";}i:326;a:7:{s:2:\"id\";s:36:\"_uncode_popup_navigation_index_label\";s:5:\"label\";s:18:\"Index custom label\";s:4:\"desc\";s:42:\"Enter a custom label for the index button.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:20:\"uncode_popup_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:42:\"_uncode_popup_navigation_activate:not(off)\";}i:327;a:8:{s:2:\"id\";s:39:\"_uncode_popup_navigation_nextprev_title\";s:5:\"label\";s:17:\"Navigation titles\";s:4:\"desc\";s:42:\"Activate to show the next/prev post title.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_popup_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:42:\"_uncode_popup_navigation_activate:not(off)\";}i:328;a:6:{s:2:\"id\";s:32:\"_uncode_popup_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:329;a:6:{s:2:\"id\";s:26:\"_uncode_popup_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:330;a:6:{s:2:\"id\";s:26:\"_uncode_popup_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:20:\"uncode_popup_section\";}i:331;a:6:{s:2:\"id\";s:22:\"_uncode_popup_cf_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-pencil3\"></i> Custom fields\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_popup_section\";}i:332;a:7:{s:2:\"id\";s:27:\"_uncode_popup_custom_fields\";s:5:\"class\";s:25:\"uncode-custom-fields-list\";s:5:\"label\";s:13:\"Custom fields\";s:4:\"desc\";s:75:\"Create here all the custom fields that can be used inside the posts module.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:20:\"uncode_popup_section\";s:8:\"settings\";a:1:{i:0;a:6:{s:2:\"id\";s:20:\"_uncode_cf_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:7:\"detail-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:22:\"Unique custom field ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}}}i:333;a:6:{s:2:\"id\";s:28:\"_uncode_404_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:18:\"uncode_404_section\";}i:334;a:6:{s:2:\"id\";s:16:\"_uncode_404_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:335;a:6:{s:2:\"id\";s:22:\"_uncode_404_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:336;a:6:{s:2:\"id\";s:23:\"_uncode_404_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:18:\"uncode_404_section\";}i:337;a:6:{s:2:\"id\";s:30:\"_uncode_404_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:18:\"uncode_404_section\";}i:338;a:7:{s:2:\"id\";s:18:\"_uncode_404_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:4:\"none\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:18:\"uncode_404_section\";}i:339;a:8:{s:2:\"id\";s:18:\"_uncode_404_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:41:\"_uncode_404_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:18:\"uncode_404_section\";}i:340;a:8:{s:2:\"id\";s:21:\"_uncode_404_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:39:\"_uncode_404_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:18:\"uncode_404_section\";}i:341;a:8:{s:2:\"id\";s:23:\"_uncode_404_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:41:\"_uncode_404_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:18:\"uncode_404_section\";}i:342;a:8:{s:2:\"id\";s:24:\"_uncode_404_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:343;a:8:{s:2:\"id\";s:25:\"_uncode_404_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:18:\"uncode_404_section\";}i:344;a:8:{s:2:\"id\";s:29:\"_uncode_404_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:18:\"uncode_404_section\";}i:345;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:24:\"_uncode_404_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:346;a:8:{s:2:\"id\";s:29:\"_uncode_404_header_title_text\";s:5:\"label\";s:11:\"Custom text\";s:4:\"desc\";s:86:\"Add custom text for the header. Every newline in the field is a new line in the Title.\";s:4:\"type\";s:15:\"textarea-simple\";s:4:\"rows\";s:2:\"15\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:347;a:9:{s:2:\"id\";s:24:\"_uncode_404_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:348;a:8:{s:2:\"id\";s:32:\"_uncode_404_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:349;a:9:{s:2:\"id\";s:31:\"_uncode_404_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:18:\"uncode_404_section\";}i:350;a:9:{s:2:\"id\";s:24:\"_uncode_404_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:351;a:9:{s:2:\"id\";s:27:\"_uncode_404_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:352;a:9:{s:2:\"id\";s:29:\"_uncode_404_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:353;a:8:{s:2:\"id\";s:29:\"_uncode_404_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:354;a:8:{s:2:\"id\";s:31:\"_uncode_404_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:355;a:8:{s:2:\"id\";s:32:\"_uncode_404_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:356;a:8:{s:2:\"id\";s:31:\"_uncode_404_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:357;a:8:{s:2:\"id\";s:34:\"_uncode_404_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:358;a:8:{s:2:\"id\";s:31:\"_uncode_404_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:359;a:8:{s:2:\"id\";s:33:\"_uncode_404_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:67:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:360;a:8:{s:2:\"id\";s:34:\"_uncode_404_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:107:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on),_uncode_404_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:361;a:8:{s:2:\"id\";s:34:\"_uncode_404_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:107:\"_uncode_404_header:is(header_basic),_uncode_404_header_title:is(on),_uncode_404_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:362;a:8:{s:2:\"id\";s:29:\"_uncode_404_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:363;a:8:{s:2:\"id\";s:27:\"_uncode_404_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:364;a:8:{s:2:\"id\";s:25:\"_uncode_404_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:365;a:7:{s:2:\"id\";s:32:\"_uncode_404_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:366;a:9:{s:2:\"id\";s:38:\"_uncode_404_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:35:\"_uncode_404_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:367;a:8:{s:2:\"id\";s:33:\"_uncode_404_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:77:\"_uncode_404_header:is(header_basic),_uncode_404_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:368;a:8:{s:2:\"id\";s:29:\"_uncode_404_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:18:\"uncode_404_section\";s:9:\"condition\";s:28:\"_uncode_404_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:369;a:6:{s:2:\"id\";s:22:\"_uncode_404_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:18:\"uncode_404_section\";}i:370;a:6:{s:2:\"id\";s:24:\"_uncode_404_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:371;a:7:{s:2:\"id\";s:16:\"_uncode_404_body\";s:5:\"label\";s:11:\"404 content\";s:4:\"desc\";s:35:\"Specify a content for the 404 page.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Default\";}i:1;a:2:{s:5:\"value\";s:16:\"body_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:372;a:8:{s:2:\"id\";s:22:\"_uncode_404_body_block\";s:5:\"label\";s:17:\"404 Content Block\";s:4:\"desc\";s:35:\"Specify a content for the 404 page.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:18:\"uncode_404_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:37:\"_uncode_404_body:is(body_uncodeblock)\";}i:373;a:6:{s:2:\"id\";s:30:\"_uncode_404_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:18:\"uncode_404_section\";}i:374;a:6:{s:2:\"id\";s:24:\"_uncode_404_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:18:\"uncode_404_section\";}i:375;a:6:{s:2:\"id\";s:24:\"_uncode_404_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:18:\"uncode_404_section\";}i:376;a:6:{s:2:\"id\";s:35:\"_uncode_post_index_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:377;a:6:{s:2:\"id\";s:23:\"_uncode_post_index_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:378;a:6:{s:2:\"id\";s:29:\"_uncode_post_index_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:379;a:6:{s:2:\"id\";s:30:\"_uncode_post_index_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:380;a:6:{s:2:\"id\";s:37:\"_uncode_post_index_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:381;a:7:{s:2:\"id\";s:25:\"_uncode_post_index_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:382;a:8:{s:2:\"id\";s:25:\"_uncode_post_index_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:48:\"_uncode_post_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:383;a:8:{s:2:\"id\";s:28:\"_uncode_post_index_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:46:\"_uncode_post_index_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:384;a:8:{s:2:\"id\";s:30:\"_uncode_post_index_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:48:\"_uncode_post_index_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:385;a:8:{s:2:\"id\";s:31:\"_uncode_post_index_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:386;a:8:{s:2:\"id\";s:32:\"_uncode_post_index_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:387;a:8:{s:2:\"id\";s:36:\"_uncode_post_index_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:388;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:31:\"_uncode_post_index_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:389;a:9:{s:2:\"id\";s:31:\"_uncode_post_index_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:390;a:8:{s:2:\"id\";s:39:\"_uncode_post_index_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:391;a:9:{s:2:\"id\";s:38:\"_uncode_post_index_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:392;a:9:{s:2:\"id\";s:31:\"_uncode_post_index_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:393;a:9:{s:2:\"id\";s:34:\"_uncode_post_index_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:394;a:9:{s:2:\"id\";s:36:\"_uncode_post_index_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:395;a:8:{s:2:\"id\";s:36:\"_uncode_post_index_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:396;a:8:{s:2:\"id\";s:38:\"_uncode_post_index_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:397;a:8:{s:2:\"id\";s:39:\"_uncode_post_index_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:398;a:8:{s:2:\"id\";s:38:\"_uncode_post_index_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:399;a:8:{s:2:\"id\";s:41:\"_uncode_post_index_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:400;a:8:{s:2:\"id\";s:38:\"_uncode_post_index_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:401;a:8:{s:2:\"id\";s:40:\"_uncode_post_index_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:402;a:8:{s:2:\"id\";s:41:\"_uncode_post_index_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:128:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on),_uncode_post_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:403;a:8:{s:2:\"id\";s:41:\"_uncode_post_index_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:128:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header_title:is(on),_uncode_post_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:404;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:34:\"_uncode_post_index_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:405;a:8:{s:2:\"id\";s:36:\"_uncode_post_index_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:406;a:8:{s:2:\"id\";s:34:\"_uncode_post_index_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:407;a:8:{s:2:\"id\";s:32:\"_uncode_post_index_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:408;a:7:{s:2:\"id\";s:39:\"_uncode_post_index_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:409;a:9:{s:2:\"id\";s:45:\"_uncode_post_index_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:42:\"_uncode_post_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:410;a:8:{s:2:\"id\";s:40:\"_uncode_post_index_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:91:\"_uncode_post_index_header:is(header_basic),_uncode_post_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:411;a:8:{s:2:\"id\";s:36:\"_uncode_post_index_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:35:\"_uncode_post_index_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:412;a:6:{s:2:\"id\";s:34:\"_uncode_post_index_menu_no_padding\";s:5:\"label\";s:18:\"No content padding\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:83:\"Remove the content additional top padding (equal to the menu height) in the Header.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:413;a:6:{s:2:\"id\";s:41:\"_uncode_post_index_menu_no_padding_mobile\";s:5:\"label\";s:25:\"No content padding mobile\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:93:\"Remove the content additional top padding (equal to the menu height) in the Header.on mobile.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:414;a:6:{s:2:\"id\";s:40:\"_uncode_post_index_custom_title_activate\";s:5:\"label\";s:25:\"Custom title and subtitle\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:54:\"Activate this to enable the custom title and subtitle.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:415;a:7:{s:2:\"id\";s:36:\"_uncode_post_index_custom_title_text\";s:5:\"label\";s:12:\"Custom title\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:43:\"Insert your custom main archive page title.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:47:\"_uncode_post_index_custom_title_activate:is(on)\";}i:416;a:7:{s:2:\"id\";s:39:\"_uncode_post_index_custom_subtitle_text\";s:5:\"label\";s:15:\"Custom subtitle\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:46:\"Insert your custom main archive page subtitle.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:47:\"_uncode_post_index_custom_title_activate:is(on)\";}i:417;a:6:{s:2:\"id\";s:29:\"_uncode_post_index_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:418;a:6:{s:2:\"id\";s:29:\"_uncode_post_index_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:419;a:8:{s:2:\"id\";s:35:\"_uncode_post_index_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:36:\"_uncode_post_index_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:420;a:6:{s:2:\"id\";s:32:\"_uncode_post_index_content_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:92:\"Define the Content Block to use. NB. Select &quot;Inherit&quot; to use the default template.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:421;a:6:{s:2:\"id\";s:31:\"_uncode_post_index_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:422;a:9:{s:2:\"id\";s:31:\"_uncode_post_index_single_width\";s:5:\"label\";s:17:\"Single post width\";s:4:\"desc\";s:43:\"Specify the Single Post width from 1 to 12.\";s:4:\"type\";s:6:\"select\";s:3:\"std\";s:1:\"4\";s:9:\"condition\";s:79:\"_uncode_post_index_content_block:is(),_uncode_post_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:12:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:1:\"1\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:1:\"2\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:1:\"3\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:1:\"4\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:1:\"5\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:1:\"6\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:1:\"7\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:1:\"8\";}i:8;a:2:{s:5:\"value\";s:1:\"9\";s:5:\"label\";s:1:\"9\";}i:9;a:2:{s:5:\"value\";s:2:\"10\";s:5:\"label\";s:2:\"10\";}i:10;a:2:{s:5:\"value\";s:2:\"11\";s:5:\"label\";s:2:\"11\";}i:11;a:2:{s:5:\"value\";s:2:\"12\";s:5:\"label\";s:2:\"12\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:423;a:7:{s:2:\"id\";s:37:\"_uncode_post_index_single_text_length\";s:5:\"label\";s:25:\"Single teaser text length\";s:4:\"desc\";s:105:\"Enter the number of words you want for the teaser. If nothing in entered the full content will be showed.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:79:\"_uncode_post_index_content_block:is(),_uncode_post_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";}i:424;a:7:{s:2:\"id\";s:24:\"_uncode_post_index_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:8:\"operator\";s:2:\"or\";}i:425;a:7:{s:2:\"id\";s:36:\"_uncode_post_index_remove_pagination\";s:5:\"label\";s:17:\"Remove pagination\";s:4:\"desc\";s:121:\"Activate this to remove the pagination (useful when you use a custom Content Block with Pagination or Load More options).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:8:\"operator\";s:2:\"or\";}i:426;a:6:{s:2:\"id\";s:32:\"_uncode_post_index_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:427;a:6:{s:2:\"id\";s:35:\"_uncode_post_index_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:428;a:6:{s:2:\"id\";s:26:\"_uncode_post_index_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:44:\"_uncode_post_index_activate_sidebar:not(off)\";}i:429;a:7:{s:2:\"id\";s:35:\"_uncode_post_index_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:44:\"_uncode_post_index_activate_sidebar:not(off)\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:430;a:8:{s:2:\"id\";s:31:\"_uncode_post_index_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:44:\"_uncode_post_index_activate_sidebar:not(off)\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:431;a:7:{s:2:\"id\";s:33:\"_uncode_post_index_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:44:\"_uncode_post_index_activate_sidebar:not(off)\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:432;a:7:{s:2:\"id\";s:32:\"_uncode_post_index_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:44:\"_uncode_post_index_activate_sidebar:not(off)\";}i:433;a:6:{s:2:\"id\";s:34:\"_uncode_post_index_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:9:\"condition\";s:44:\"_uncode_post_index_activate_sidebar:not(off)\";}i:434;a:8:{s:2:\"id\";s:31:\"_uncode_post_index_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_post_index_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:85:\"_uncode_post_index_sidebar_bgcolor:not(),_uncode_post_index_activate_sidebar:not(off)\";}i:435;a:6:{s:2:\"id\";s:37:\"_uncode_post_index_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:436;a:6:{s:2:\"id\";s:31:\"_uncode_post_index_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:25:\"uncode_post_index_section\";}i:437;a:6:{s:2:\"id\";s:31:\"_uncode_post_index_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:25:\"uncode_post_index_section\";}i:438;a:6:{s:2:\"id\";s:35:\"_uncode_page_index_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:439;a:6:{s:2:\"id\";s:23:\"_uncode_page_index_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:440;a:6:{s:2:\"id\";s:29:\"_uncode_page_index_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:441;a:6:{s:2:\"id\";s:30:\"_uncode_page_index_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:442;a:6:{s:2:\"id\";s:37:\"_uncode_page_index_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:443;a:7:{s:2:\"id\";s:25:\"_uncode_page_index_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:444;a:8:{s:2:\"id\";s:25:\"_uncode_page_index_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:48:\"_uncode_page_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:445;a:8:{s:2:\"id\";s:28:\"_uncode_page_index_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:46:\"_uncode_page_index_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:446;a:8:{s:2:\"id\";s:30:\"_uncode_page_index_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:48:\"_uncode_page_index_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:447;a:8:{s:2:\"id\";s:31:\"_uncode_page_index_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:448;a:8:{s:2:\"id\";s:32:\"_uncode_page_index_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:449;a:8:{s:2:\"id\";s:36:\"_uncode_page_index_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:450;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:31:\"_uncode_page_index_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:451;a:9:{s:2:\"id\";s:31:\"_uncode_page_index_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:452;a:8:{s:2:\"id\";s:39:\"_uncode_page_index_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:453;a:9:{s:2:\"id\";s:38:\"_uncode_page_index_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:454;a:9:{s:2:\"id\";s:31:\"_uncode_page_index_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:455;a:9:{s:2:\"id\";s:34:\"_uncode_page_index_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:456;a:9:{s:2:\"id\";s:36:\"_uncode_page_index_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:457;a:8:{s:2:\"id\";s:36:\"_uncode_page_index_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:458;a:8:{s:2:\"id\";s:38:\"_uncode_page_index_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:459;a:8:{s:2:\"id\";s:39:\"_uncode_page_index_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:460;a:8:{s:2:\"id\";s:38:\"_uncode_page_index_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:461;a:8:{s:2:\"id\";s:41:\"_uncode_page_index_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:462;a:8:{s:2:\"id\";s:38:\"_uncode_page_index_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:463;a:8:{s:2:\"id\";s:40:\"_uncode_page_index_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:81:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:464;a:8:{s:2:\"id\";s:41:\"_uncode_page_index_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:128:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on),_uncode_page_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:465;a:8:{s:2:\"id\";s:41:\"_uncode_page_index_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:128:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header_title:is(on),_uncode_page_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:466;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:34:\"_uncode_page_index_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:467;a:8:{s:2:\"id\";s:36:\"_uncode_page_index_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:468;a:8:{s:2:\"id\";s:34:\"_uncode_page_index_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:469;a:8:{s:2:\"id\";s:32:\"_uncode_page_index_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:470;a:7:{s:2:\"id\";s:39:\"_uncode_page_index_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:471;a:9:{s:2:\"id\";s:45:\"_uncode_page_index_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:42:\"_uncode_page_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:472;a:8:{s:2:\"id\";s:40:\"_uncode_page_index_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:91:\"_uncode_page_index_header:is(header_basic),_uncode_page_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:473;a:8:{s:2:\"id\";s:36:\"_uncode_page_index_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:35:\"_uncode_page_index_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:474;a:6:{s:2:\"id\";s:34:\"_uncode_page_index_menu_no_padding\";s:5:\"label\";s:18:\"No content padding\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:83:\"Remove the content additional top padding (equal to the menu height) in the Header.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:475;a:6:{s:2:\"id\";s:41:\"_uncode_page_index_menu_no_padding_mobile\";s:5:\"label\";s:25:\"No content padding mobile\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:93:\"Remove the content additional top padding (equal to the menu height) in the Header.on mobile.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:476;a:6:{s:2:\"id\";s:29:\"_uncode_page_index_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:477;a:6:{s:2:\"id\";s:29:\"_uncode_page_index_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:478;a:8:{s:2:\"id\";s:35:\"_uncode_page_index_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:36:\"_uncode_page_index_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:479;a:6:{s:2:\"id\";s:32:\"_uncode_page_index_content_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:92:\"Define the Content Block to use. NB. Select &quot;Inherit&quot; to use the default template.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:480;a:6:{s:2:\"id\";s:31:\"_uncode_page_index_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:481;a:9:{s:2:\"id\";s:31:\"_uncode_page_index_single_width\";s:5:\"label\";s:17:\"Single post width\";s:4:\"desc\";s:43:\"Specify the Single Post width from 1 to 12.\";s:4:\"type\";s:6:\"select\";s:3:\"std\";s:1:\"4\";s:9:\"condition\";s:79:\"_uncode_page_index_content_block:is(),_uncode_page_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:12:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:1:\"1\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:1:\"2\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:1:\"3\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:1:\"4\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:1:\"5\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:1:\"6\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:1:\"7\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:1:\"8\";}i:8;a:2:{s:5:\"value\";s:1:\"9\";s:5:\"label\";s:1:\"9\";}i:9;a:2:{s:5:\"value\";s:2:\"10\";s:5:\"label\";s:2:\"10\";}i:10;a:2:{s:5:\"value\";s:2:\"11\";s:5:\"label\";s:2:\"11\";}i:11;a:2:{s:5:\"value\";s:2:\"12\";s:5:\"label\";s:2:\"12\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:482;a:7:{s:2:\"id\";s:37:\"_uncode_page_index_single_text_length\";s:5:\"label\";s:25:\"Single teaser text length\";s:4:\"desc\";s:105:\"Enter the number of words you want for the teaser. If nothing in entered the full content will be showed.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:79:\"_uncode_page_index_content_block:is(),_uncode_page_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";}i:483;a:7:{s:2:\"id\";s:24:\"_uncode_page_index_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:8:\"operator\";s:2:\"or\";}i:484;a:7:{s:2:\"id\";s:36:\"_uncode_page_index_remove_pagination\";s:5:\"label\";s:17:\"Remove pagination\";s:4:\"desc\";s:121:\"Activate this to remove the pagination (useful when you use a custom Content Block with Pagination or Load More options).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:8:\"operator\";s:2:\"or\";}i:485;a:6:{s:2:\"id\";s:32:\"_uncode_page_index_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:486;a:6:{s:2:\"id\";s:35:\"_uncode_page_index_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:487;a:6:{s:2:\"id\";s:26:\"_uncode_page_index_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:44:\"_uncode_page_index_activate_sidebar:not(off)\";}i:488;a:7:{s:2:\"id\";s:35:\"_uncode_page_index_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:44:\"_uncode_page_index_activate_sidebar:not(off)\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:489;a:8:{s:2:\"id\";s:31:\"_uncode_page_index_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:44:\"_uncode_page_index_activate_sidebar:not(off)\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:490;a:7:{s:2:\"id\";s:33:\"_uncode_page_index_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:44:\"_uncode_page_index_activate_sidebar:not(off)\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:491;a:7:{s:2:\"id\";s:32:\"_uncode_page_index_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:44:\"_uncode_page_index_activate_sidebar:not(off)\";}i:492;a:6:{s:2:\"id\";s:34:\"_uncode_page_index_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:9:\"condition\";s:44:\"_uncode_page_index_activate_sidebar:not(off)\";}i:493;a:8:{s:2:\"id\";s:31:\"_uncode_page_index_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:25:\"uncode_page_index_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:85:\"_uncode_page_index_sidebar_bgcolor:not(),_uncode_page_index_activate_sidebar:not(off)\";}i:494;a:6:{s:2:\"id\";s:37:\"_uncode_page_index_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:495;a:6:{s:2:\"id\";s:31:\"_uncode_page_index_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:25:\"uncode_page_index_section\";}i:496;a:6:{s:2:\"id\";s:31:\"_uncode_page_index_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:25:\"uncode_page_index_section\";}i:497;a:6:{s:2:\"id\";s:40:\"_uncode_portfolio_index_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:498;a:6:{s:2:\"id\";s:28:\"_uncode_portfolio_index_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:499;a:6:{s:2:\"id\";s:34:\"_uncode_portfolio_index_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:500;a:6:{s:2:\"id\";s:35:\"_uncode_portfolio_index_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:501;a:6:{s:2:\"id\";s:42:\"_uncode_portfolio_index_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:502;a:7:{s:2:\"id\";s:30:\"_uncode_portfolio_index_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:503;a:8:{s:2:\"id\";s:30:\"_uncode_portfolio_index_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:53:\"_uncode_portfolio_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:504;a:8:{s:2:\"id\";s:33:\"_uncode_portfolio_index_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:51:\"_uncode_portfolio_index_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:505;a:8:{s:2:\"id\";s:35:\"_uncode_portfolio_index_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:53:\"_uncode_portfolio_index_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:506;a:8:{s:2:\"id\";s:36:\"_uncode_portfolio_index_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:507;a:8:{s:2:\"id\";s:37:\"_uncode_portfolio_index_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:508;a:8:{s:2:\"id\";s:41:\"_uncode_portfolio_index_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:509;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:36:\"_uncode_portfolio_index_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:510;a:9:{s:2:\"id\";s:36:\"_uncode_portfolio_index_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:511;a:8:{s:2:\"id\";s:44:\"_uncode_portfolio_index_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:512;a:9:{s:2:\"id\";s:43:\"_uncode_portfolio_index_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:513;a:9:{s:2:\"id\";s:36:\"_uncode_portfolio_index_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:514;a:9:{s:2:\"id\";s:39:\"_uncode_portfolio_index_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:515;a:9:{s:2:\"id\";s:41:\"_uncode_portfolio_index_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:516;a:8:{s:2:\"id\";s:41:\"_uncode_portfolio_index_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:517;a:8:{s:2:\"id\";s:43:\"_uncode_portfolio_index_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:518;a:8:{s:2:\"id\";s:44:\"_uncode_portfolio_index_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:519;a:8:{s:2:\"id\";s:43:\"_uncode_portfolio_index_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:520;a:8:{s:2:\"id\";s:46:\"_uncode_portfolio_index_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:521;a:8:{s:2:\"id\";s:43:\"_uncode_portfolio_index_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:522;a:8:{s:2:\"id\";s:45:\"_uncode_portfolio_index_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:91:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:523;a:8:{s:2:\"id\";s:46:\"_uncode_portfolio_index_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:143:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on),_uncode_portfolio_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:524;a:8:{s:2:\"id\";s:46:\"_uncode_portfolio_index_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:143:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header_title:is(on),_uncode_portfolio_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:525;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:39:\"_uncode_portfolio_index_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:526;a:8:{s:2:\"id\";s:41:\"_uncode_portfolio_index_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:527;a:8:{s:2:\"id\";s:39:\"_uncode_portfolio_index_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:528;a:8:{s:2:\"id\";s:37:\"_uncode_portfolio_index_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:529;a:7:{s:2:\"id\";s:44:\"_uncode_portfolio_index_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:530;a:9:{s:2:\"id\";s:50:\"_uncode_portfolio_index_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:47:\"_uncode_portfolio_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:531;a:8:{s:2:\"id\";s:45:\"_uncode_portfolio_index_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:101:\"_uncode_portfolio_index_header:is(header_basic),_uncode_portfolio_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:532;a:8:{s:2:\"id\";s:41:\"_uncode_portfolio_index_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:40:\"_uncode_portfolio_index_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:533;a:6:{s:2:\"id\";s:39:\"_uncode_portfolio_index_menu_no_padding\";s:5:\"label\";s:18:\"No content padding\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:83:\"Remove the content additional top padding (equal to the menu height) in the Header.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:534;a:6:{s:2:\"id\";s:46:\"_uncode_portfolio_index_menu_no_padding_mobile\";s:5:\"label\";s:25:\"No content padding mobile\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:93:\"Remove the content additional top padding (equal to the menu height) in the Header.on mobile.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:535;a:6:{s:2:\"id\";s:45:\"_uncode_portfolio_index_custom_title_activate\";s:5:\"label\";s:25:\"Custom title and subtitle\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:54:\"Activate this to enable the custom title and subtitle.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:536;a:7:{s:2:\"id\";s:41:\"_uncode_portfolio_index_custom_title_text\";s:5:\"label\";s:12:\"Custom title\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:43:\"Insert your custom main archive page title.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:52:\"_uncode_portfolio_index_custom_title_activate:is(on)\";}i:537;a:7:{s:2:\"id\";s:44:\"_uncode_portfolio_index_custom_subtitle_text\";s:5:\"label\";s:15:\"Custom subtitle\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:46:\"Insert your custom main archive page subtitle.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:52:\"_uncode_portfolio_index_custom_title_activate:is(on)\";}i:538;a:6:{s:2:\"id\";s:34:\"_uncode_portfolio_index_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:539;a:6:{s:2:\"id\";s:34:\"_uncode_portfolio_index_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:540;a:8:{s:2:\"id\";s:40:\"_uncode_portfolio_index_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:41:\"_uncode_portfolio_index_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:541;a:6:{s:2:\"id\";s:37:\"_uncode_portfolio_index_content_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:92:\"Define the Content Block to use. NB. Select &quot;Inherit&quot; to use the default template.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:542;a:6:{s:2:\"id\";s:36:\"_uncode_portfolio_index_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:543;a:9:{s:2:\"id\";s:36:\"_uncode_portfolio_index_single_width\";s:5:\"label\";s:17:\"Single post width\";s:4:\"desc\";s:43:\"Specify the Single Post width from 1 to 12.\";s:4:\"type\";s:6:\"select\";s:3:\"std\";s:1:\"4\";s:9:\"condition\";s:89:\"_uncode_portfolio_index_content_block:is(),_uncode_portfolio_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:12:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:1:\"1\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:1:\"2\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:1:\"3\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:1:\"4\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:1:\"5\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:1:\"6\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:1:\"7\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:1:\"8\";}i:8;a:2:{s:5:\"value\";s:1:\"9\";s:5:\"label\";s:1:\"9\";}i:9;a:2:{s:5:\"value\";s:2:\"10\";s:5:\"label\";s:2:\"10\";}i:10;a:2:{s:5:\"value\";s:2:\"11\";s:5:\"label\";s:2:\"11\";}i:11;a:2:{s:5:\"value\";s:2:\"12\";s:5:\"label\";s:2:\"12\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:544;a:7:{s:2:\"id\";s:29:\"_uncode_portfolio_index_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:8:\"operator\";s:2:\"or\";}i:545;a:7:{s:2:\"id\";s:41:\"_uncode_portfolio_index_remove_pagination\";s:5:\"label\";s:17:\"Remove pagination\";s:4:\"desc\";s:121:\"Activate this to remove the pagination (useful when you use a custom Content Block with Pagination or Load More options).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:8:\"operator\";s:2:\"or\";}i:546;a:6:{s:2:\"id\";s:37:\"_uncode_portfolio_index_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:547;a:6:{s:2:\"id\";s:40:\"_uncode_portfolio_index_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:548;a:6:{s:2:\"id\";s:31:\"_uncode_portfolio_index_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:49:\"_uncode_portfolio_index_activate_sidebar:not(off)\";}i:549;a:7:{s:2:\"id\";s:40:\"_uncode_portfolio_index_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:49:\"_uncode_portfolio_index_activate_sidebar:not(off)\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:550;a:8:{s:2:\"id\";s:36:\"_uncode_portfolio_index_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:49:\"_uncode_portfolio_index_activate_sidebar:not(off)\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:551;a:7:{s:2:\"id\";s:38:\"_uncode_portfolio_index_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:49:\"_uncode_portfolio_index_activate_sidebar:not(off)\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:552;a:7:{s:2:\"id\";s:37:\"_uncode_portfolio_index_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:49:\"_uncode_portfolio_index_activate_sidebar:not(off)\";}i:553;a:6:{s:2:\"id\";s:39:\"_uncode_portfolio_index_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:9:\"condition\";s:49:\"_uncode_portfolio_index_activate_sidebar:not(off)\";}i:554;a:8:{s:2:\"id\";s:36:\"_uncode_portfolio_index_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:95:\"_uncode_portfolio_index_sidebar_bgcolor:not(),_uncode_portfolio_index_activate_sidebar:not(off)\";}i:555;a:6:{s:2:\"id\";s:42:\"_uncode_portfolio_index_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:556;a:6:{s:2:\"id\";s:36:\"_uncode_portfolio_index_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:557;a:6:{s:2:\"id\";s:36:\"_uncode_portfolio_index_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:30:\"uncode_portfolio_index_section\";}i:558;a:6:{s:2:\"id\";s:36:\"_uncode_popup_index_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:559;a:6:{s:2:\"id\";s:24:\"_uncode_popup_index_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:560;a:6:{s:2:\"id\";s:30:\"_uncode_popup_index_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:561;a:6:{s:2:\"id\";s:31:\"_uncode_popup_index_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:562;a:6:{s:2:\"id\";s:38:\"_uncode_popup_index_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:563;a:7:{s:2:\"id\";s:26:\"_uncode_popup_index_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:564;a:8:{s:2:\"id\";s:26:\"_uncode_popup_index_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:49:\"_uncode_popup_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:565;a:8:{s:2:\"id\";s:29:\"_uncode_popup_index_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:47:\"_uncode_popup_index_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:566;a:8:{s:2:\"id\";s:31:\"_uncode_popup_index_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:49:\"_uncode_popup_index_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:567;a:8:{s:2:\"id\";s:32:\"_uncode_popup_index_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:568;a:8:{s:2:\"id\";s:33:\"_uncode_popup_index_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:569;a:8:{s:2:\"id\";s:37:\"_uncode_popup_index_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:570;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:32:\"_uncode_popup_index_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:571;a:9:{s:2:\"id\";s:32:\"_uncode_popup_index_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:572;a:8:{s:2:\"id\";s:40:\"_uncode_popup_index_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:573;a:9:{s:2:\"id\";s:39:\"_uncode_popup_index_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:574;a:9:{s:2:\"id\";s:32:\"_uncode_popup_index_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:575;a:9:{s:2:\"id\";s:35:\"_uncode_popup_index_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:576;a:9:{s:2:\"id\";s:37:\"_uncode_popup_index_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:577;a:8:{s:2:\"id\";s:37:\"_uncode_popup_index_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:578;a:8:{s:2:\"id\";s:39:\"_uncode_popup_index_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:579;a:8:{s:2:\"id\";s:40:\"_uncode_popup_index_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:580;a:8:{s:2:\"id\";s:39:\"_uncode_popup_index_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:581;a:8:{s:2:\"id\";s:42:\"_uncode_popup_index_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:582;a:8:{s:2:\"id\";s:39:\"_uncode_popup_index_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:583;a:8:{s:2:\"id\";s:41:\"_uncode_popup_index_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:83:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:584;a:8:{s:2:\"id\";s:42:\"_uncode_popup_index_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:131:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on),_uncode_popup_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:585;a:8:{s:2:\"id\";s:42:\"_uncode_popup_index_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:131:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header_title:is(on),_uncode_popup_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:586;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:35:\"_uncode_popup_index_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:587;a:8:{s:2:\"id\";s:37:\"_uncode_popup_index_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:588;a:8:{s:2:\"id\";s:35:\"_uncode_popup_index_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:589;a:8:{s:2:\"id\";s:33:\"_uncode_popup_index_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:590;a:7:{s:2:\"id\";s:40:\"_uncode_popup_index_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:591;a:9:{s:2:\"id\";s:46:\"_uncode_popup_index_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:43:\"_uncode_popup_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:592;a:8:{s:2:\"id\";s:41:\"_uncode_popup_index_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:93:\"_uncode_popup_index_header:is(header_basic),_uncode_popup_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:593;a:8:{s:2:\"id\";s:37:\"_uncode_popup_index_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:36:\"_uncode_popup_index_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:594;a:6:{s:2:\"id\";s:35:\"_uncode_popup_index_menu_no_padding\";s:5:\"label\";s:18:\"No content padding\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:83:\"Remove the content additional top padding (equal to the menu height) in the Header.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:595;a:6:{s:2:\"id\";s:42:\"_uncode_popup_index_menu_no_padding_mobile\";s:5:\"label\";s:25:\"No content padding mobile\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:93:\"Remove the content additional top padding (equal to the menu height) in the Header.on mobile.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:596;a:6:{s:2:\"id\";s:41:\"_uncode_popup_index_custom_title_activate\";s:5:\"label\";s:25:\"Custom title and subtitle\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:54:\"Activate this to enable the custom title and subtitle.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:597;a:7:{s:2:\"id\";s:37:\"_uncode_popup_index_custom_title_text\";s:5:\"label\";s:12:\"Custom title\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:43:\"Insert your custom main archive page title.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:48:\"_uncode_popup_index_custom_title_activate:is(on)\";}i:598;a:7:{s:2:\"id\";s:40:\"_uncode_popup_index_custom_subtitle_text\";s:5:\"label\";s:15:\"Custom subtitle\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:46:\"Insert your custom main archive page subtitle.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:48:\"_uncode_popup_index_custom_title_activate:is(on)\";}i:599;a:6:{s:2:\"id\";s:30:\"_uncode_popup_index_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:600;a:6:{s:2:\"id\";s:30:\"_uncode_popup_index_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:601;a:8:{s:2:\"id\";s:36:\"_uncode_popup_index_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:37:\"_uncode_popup_index_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:602;a:6:{s:2:\"id\";s:33:\"_uncode_popup_index_content_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:92:\"Define the Content Block to use. NB. Select &quot;Inherit&quot; to use the default template.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:603;a:6:{s:2:\"id\";s:32:\"_uncode_popup_index_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:604;a:9:{s:2:\"id\";s:32:\"_uncode_popup_index_single_width\";s:5:\"label\";s:17:\"Single post width\";s:4:\"desc\";s:43:\"Specify the Single Post width from 1 to 12.\";s:4:\"type\";s:6:\"select\";s:3:\"std\";s:1:\"4\";s:9:\"condition\";s:81:\"_uncode_popup_index_content_block:is(),_uncode_popup_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:12:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:1:\"1\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:1:\"2\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:1:\"3\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:1:\"4\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:1:\"5\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:1:\"6\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:1:\"7\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:1:\"8\";}i:8;a:2:{s:5:\"value\";s:1:\"9\";s:5:\"label\";s:1:\"9\";}i:9;a:2:{s:5:\"value\";s:2:\"10\";s:5:\"label\";s:2:\"10\";}i:10;a:2:{s:5:\"value\";s:2:\"11\";s:5:\"label\";s:2:\"11\";}i:11;a:2:{s:5:\"value\";s:2:\"12\";s:5:\"label\";s:2:\"12\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:605;a:7:{s:2:\"id\";s:38:\"_uncode_popup_index_single_text_length\";s:5:\"label\";s:25:\"Single teaser text length\";s:4:\"desc\";s:105:\"Enter the number of words you want for the teaser. If nothing in entered the full content will be showed.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:81:\"_uncode_popup_index_content_block:is(),_uncode_popup_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";}i:606;a:7:{s:2:\"id\";s:25:\"_uncode_popup_index_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:8:\"operator\";s:2:\"or\";}i:607;a:7:{s:2:\"id\";s:37:\"_uncode_popup_index_remove_pagination\";s:5:\"label\";s:17:\"Remove pagination\";s:4:\"desc\";s:121:\"Activate this to remove the pagination (useful when you use a custom Content Block with Pagination or Load More options).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:8:\"operator\";s:2:\"or\";}i:608;a:6:{s:2:\"id\";s:33:\"_uncode_popup_index_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:609;a:6:{s:2:\"id\";s:36:\"_uncode_popup_index_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:610;a:6:{s:2:\"id\";s:27:\"_uncode_popup_index_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:45:\"_uncode_popup_index_activate_sidebar:not(off)\";}i:611;a:7:{s:2:\"id\";s:36:\"_uncode_popup_index_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:45:\"_uncode_popup_index_activate_sidebar:not(off)\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:612;a:8:{s:2:\"id\";s:32:\"_uncode_popup_index_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:45:\"_uncode_popup_index_activate_sidebar:not(off)\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:613;a:7:{s:2:\"id\";s:34:\"_uncode_popup_index_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:45:\"_uncode_popup_index_activate_sidebar:not(off)\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:614;a:7:{s:2:\"id\";s:33:\"_uncode_popup_index_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:45:\"_uncode_popup_index_activate_sidebar:not(off)\";}i:615;a:6:{s:2:\"id\";s:35:\"_uncode_popup_index_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:9:\"condition\";s:45:\"_uncode_popup_index_activate_sidebar:not(off)\";}i:616;a:8:{s:2:\"id\";s:32:\"_uncode_popup_index_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_popup_index_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:87:\"_uncode_popup_index_sidebar_bgcolor:not(),_uncode_popup_index_activate_sidebar:not(off)\";}i:617;a:6:{s:2:\"id\";s:38:\"_uncode_popup_index_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:618;a:6:{s:2:\"id\";s:32:\"_uncode_popup_index_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:619;a:6:{s:2:\"id\";s:32:\"_uncode_popup_index_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:26:\"uncode_popup_index_section\";}i:620;a:6:{s:2:\"id\";s:37:\"_uncode_author_index_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:621;a:6:{s:2:\"id\";s:25:\"_uncode_author_index_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:622;a:6:{s:2:\"id\";s:31:\"_uncode_author_index_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:623;a:6:{s:2:\"id\";s:32:\"_uncode_author_index_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:624;a:6:{s:2:\"id\";s:39:\"_uncode_author_index_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:625;a:7:{s:2:\"id\";s:27:\"_uncode_author_index_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:626;a:8:{s:2:\"id\";s:27:\"_uncode_author_index_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:50:\"_uncode_author_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:627;a:8:{s:2:\"id\";s:30:\"_uncode_author_index_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:48:\"_uncode_author_index_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:628;a:8:{s:2:\"id\";s:32:\"_uncode_author_index_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:50:\"_uncode_author_index_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:629;a:8:{s:2:\"id\";s:33:\"_uncode_author_index_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:630;a:8:{s:2:\"id\";s:34:\"_uncode_author_index_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:631;a:8:{s:2:\"id\";s:38:\"_uncode_author_index_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:632;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:33:\"_uncode_author_index_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:633;a:9:{s:2:\"id\";s:33:\"_uncode_author_index_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:634;a:8:{s:2:\"id\";s:41:\"_uncode_author_index_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:635;a:9:{s:2:\"id\";s:40:\"_uncode_author_index_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:636;a:9:{s:2:\"id\";s:33:\"_uncode_author_index_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:637;a:9:{s:2:\"id\";s:36:\"_uncode_author_index_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:638;a:9:{s:2:\"id\";s:38:\"_uncode_author_index_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:639;a:8:{s:2:\"id\";s:38:\"_uncode_author_index_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:640;a:8:{s:2:\"id\";s:40:\"_uncode_author_index_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:641;a:8:{s:2:\"id\";s:41:\"_uncode_author_index_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:642;a:8:{s:2:\"id\";s:40:\"_uncode_author_index_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:643;a:8:{s:2:\"id\";s:43:\"_uncode_author_index_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:644;a:8:{s:2:\"id\";s:40:\"_uncode_author_index_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:645;a:8:{s:2:\"id\";s:42:\"_uncode_author_index_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:646;a:8:{s:2:\"id\";s:43:\"_uncode_author_index_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:134:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on),_uncode_author_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:647;a:8:{s:2:\"id\";s:43:\"_uncode_author_index_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:134:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header_title:is(on),_uncode_author_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:648;a:8:{s:5:\"label\";s:24:\"Featured media in header\";s:2:\"id\";s:36:\"_uncode_author_index_header_featured\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:49:\"Activate to use the Featured Image in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:649;a:8:{s:2:\"id\";s:38:\"_uncode_author_index_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:650;a:8:{s:2:\"id\";s:36:\"_uncode_author_index_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:651;a:8:{s:2:\"id\";s:34:\"_uncode_author_index_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:652;a:7:{s:2:\"id\";s:41:\"_uncode_author_index_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:653;a:9:{s:2:\"id\";s:47:\"_uncode_author_index_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:44:\"_uncode_author_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:654;a:8:{s:2:\"id\";s:42:\"_uncode_author_index_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:95:\"_uncode_author_index_header:is(header_basic),_uncode_author_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:655;a:8:{s:2:\"id\";s:38:\"_uncode_author_index_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:37:\"_uncode_author_index_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:656;a:6:{s:2:\"id\";s:36:\"_uncode_author_index_menu_no_padding\";s:5:\"label\";s:18:\"No content padding\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:83:\"Remove the content additional top padding (equal to the menu height) in the Header.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:657;a:6:{s:2:\"id\";s:43:\"_uncode_author_index_menu_no_padding_mobile\";s:5:\"label\";s:25:\"No content padding mobile\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:93:\"Remove the content additional top padding (equal to the menu height) in the Header.on mobile.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:658;a:6:{s:2:\"id\";s:31:\"_uncode_author_index_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:659;a:6:{s:2:\"id\";s:31:\"_uncode_author_index_breadcrumb\";s:5:\"label\";s:15:\"Show Breadcrumb\";s:4:\"desc\";s:43:\"Activate to show the navigation Breadcrumb.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:660;a:8:{s:2:\"id\";s:37:\"_uncode_author_index_breadcrumb_align\";s:5:\"label\";s:16:\"Breadcrumb align\";s:4:\"desc\";s:32:\"Specify the Breadcrumb alignment\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:38:\"_uncode_author_index_breadcrumb:is(on)\";s:8:\"operator\";s:2:\"or\";}i:661;a:6:{s:2:\"id\";s:34:\"_uncode_author_index_content_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:92:\"Define the Content Block to use. NB. Select &quot;Inherit&quot; to use the default template.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:662;a:6:{s:2:\"id\";s:33:\"_uncode_author_index_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:663;a:9:{s:2:\"id\";s:33:\"_uncode_author_index_single_width\";s:5:\"label\";s:17:\"Single post width\";s:4:\"desc\";s:43:\"Specify the Single Post width from 1 to 12.\";s:4:\"type\";s:6:\"select\";s:3:\"std\";s:1:\"4\";s:9:\"condition\";s:83:\"_uncode_author_index_content_block:is(),_uncode_author_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:12:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:1:\"1\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:1:\"2\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:1:\"3\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:1:\"4\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:1:\"5\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:1:\"6\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:1:\"7\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:1:\"8\";}i:8;a:2:{s:5:\"value\";s:1:\"9\";s:5:\"label\";s:1:\"9\";}i:9;a:2:{s:5:\"value\";s:2:\"10\";s:5:\"label\";s:2:\"10\";}i:10;a:2:{s:5:\"value\";s:2:\"11\";s:5:\"label\";s:2:\"11\";}i:11;a:2:{s:5:\"value\";s:2:\"12\";s:5:\"label\";s:2:\"12\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:664;a:7:{s:2:\"id\";s:39:\"_uncode_author_index_single_text_length\";s:5:\"label\";s:25:\"Single teaser text length\";s:4:\"desc\";s:105:\"Enter the number of words you want for the teaser. If nothing in entered the full content will be showed.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:83:\"_uncode_author_index_content_block:is(),_uncode_author_index_content_block:is(none)\";s:8:\"operator\";s:2:\"or\";}i:665;a:7:{s:2:\"id\";s:26:\"_uncode_author_index_title\";s:5:\"label\";s:10:\"Show title\";s:4:\"desc\";s:47:\"Activate to show the Title in the content area.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:8:\"operator\";s:2:\"or\";}i:666;a:7:{s:2:\"id\";s:38:\"_uncode_author_index_remove_pagination\";s:5:\"label\";s:17:\"Remove pagination\";s:4:\"desc\";s:121:\"Activate this to remove the pagination (useful when you use a custom Content Block with Pagination or Load More options).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:8:\"operator\";s:2:\"or\";}i:667;a:6:{s:2:\"id\";s:34:\"_uncode_author_index_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:668;a:6:{s:2:\"id\";s:37:\"_uncode_author_index_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:669;a:6:{s:2:\"id\";s:28:\"_uncode_author_index_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:46:\"_uncode_author_index_activate_sidebar:not(off)\";}i:670;a:7:{s:2:\"id\";s:37:\"_uncode_author_index_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:46:\"_uncode_author_index_activate_sidebar:not(off)\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:671;a:8:{s:2:\"id\";s:33:\"_uncode_author_index_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:46:\"_uncode_author_index_activate_sidebar:not(off)\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:672;a:7:{s:2:\"id\";s:35:\"_uncode_author_index_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:46:\"_uncode_author_index_activate_sidebar:not(off)\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:673;a:7:{s:2:\"id\";s:34:\"_uncode_author_index_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:46:\"_uncode_author_index_activate_sidebar:not(off)\";}i:674;a:6:{s:2:\"id\";s:36:\"_uncode_author_index_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:9:\"condition\";s:46:\"_uncode_author_index_activate_sidebar:not(off)\";}i:675;a:8:{s:2:\"id\";s:33:\"_uncode_author_index_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_author_index_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:89:\"_uncode_author_index_sidebar_bgcolor:not(),_uncode_author_index_activate_sidebar:not(off)\";}i:676;a:6:{s:2:\"id\";s:39:\"_uncode_author_index_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:677;a:6:{s:2:\"id\";s:33:\"_uncode_author_index_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:27:\"uncode_author_index_section\";}i:678;a:6:{s:2:\"id\";s:33:\"_uncode_author_index_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:27:\"uncode_author_index_section\";}i:679;a:6:{s:2:\"id\";s:37:\"_uncode_search_index_menu_block_title\";s:5:\"label\";s:32:\" <i class=\"fa fa-menu\"></i> Menu\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:680;a:6:{s:2:\"id\";s:25:\"_uncode_search_index_menu\";s:5:\"label\";s:4:\"Menu\";s:4:\"desc\";s:72:\"Override the Primary Menu created in &#039;Appearance -&gt; Menus&#039;.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:7:\"primary\";s:5:\"label\";s:7:\"Primary\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:681;a:6:{s:2:\"id\";s:31:\"_uncode_search_index_menu_width\";s:5:\"label\";s:10:\"Menu width\";s:4:\"desc\";s:24:\"Override the Menu width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:682;a:6:{s:2:\"id\";s:32:\"_uncode_search_index_menu_opaque\";s:5:\"label\";s:19:\"Remove transparency\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:103:\"Override to remove the transparency eventually declared in &#039;Customize -&gt; Light/Dark Skin&#039;.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:683;a:6:{s:2:\"id\";s:39:\"_uncode_search_index_header_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-columns2\"></i> Header\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:684;a:7:{s:2:\"id\";s:27:\"_uncode_search_index_header\";s:5:\"label\";s:4:\"Type\";s:4:\"desc\";s:24:\"Specify the Header type.\";s:3:\"std\";s:12:\"header_basic\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:5:{i:0;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"header_basic\";s:5:\"label\";s:5:\"Basic\";}i:2;a:2:{s:5:\"value\";s:18:\"header_uncodeblock\";s:5:\"label\";s:13:\"Content Block\";}i:3;s:0:\"\";i:4;s:0:\"\";}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:685;a:8:{s:2:\"id\";s:27:\"_uncode_search_index_blocks\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:26:\"Specify the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"condition\";s:50:\"_uncode_search_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:686;a:8:{s:2:\"id\";s:30:\"_uncode_search_index_revslider\";s:5:\"label\";s:9:\"Revslider\";s:4:\"desc\";s:22:\"Specify the RevSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:48:\"_uncode_search_index_header:is(header_revslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:687;a:8:{s:2:\"id\";s:32:\"_uncode_search_index_layerslider\";s:5:\"label\";s:11:\"LayerSlider\";s:4:\"desc\";s:24:\"Specify the LayerSlider.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:50:\"_uncode_search_index_header:is(header_layerslider)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";s:0:\"\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:688;a:8:{s:2:\"id\";s:33:\"_uncode_search_index_header_width\";s:5:\"label\";s:12:\"Header width\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:4:\"desc\";s:26:\"Override the Header width.\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:689;a:8:{s:2:\"id\";s:34:\"_uncode_search_index_header_height\";s:5:\"label\";s:6:\"Height\";s:4:\"desc\";s:78:\"Define the height of the Header in px or in % (relative to the window height).\";s:4:\"type\";s:11:\"measurement\";s:3:\"std\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:690;a:8:{s:2:\"id\";s:38:\"_uncode_search_index_header_min_height\";s:5:\"label\";s:14:\"Minimal height\";s:4:\"desc\";s:47:\"Enter a minimun height for the Header in pixel.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:3:\"300\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:691;a:8:{s:5:\"label\";s:15:\"Title in header\";s:2:\"id\";s:33:\"_uncode_search_index_header_title\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:37:\"Activate to show title in the Header.\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:692;a:8:{s:2:\"id\";s:38:\"_uncode_search_index_header_title_text\";s:5:\"label\";s:11:\"Custom text\";s:4:\"desc\";s:86:\"Add custom text for the header. Every newline in the field is a new line in the Title.\";s:4:\"type\";s:15:\"textarea-simple\";s:4:\"rows\";s:2:\"15\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:693;a:9:{s:2:\"id\";s:33:\"_uncode_search_index_header_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:29:\"Specify the Header text Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:694;a:8:{s:2:\"id\";s:41:\"_uncode_search_index_header_content_width\";s:5:\"label\";s:18:\"Content full width\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:52:\"Activate to expand the Header content to full width.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";}i:695;a:9:{s:2:\"id\";s:40:\"_uncode_search_index_header_custom_width\";s:5:\"label\";s:18:\"Custom inner width\";s:4:\"desc\";s:36:\"Adjust the inner content width in %.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:696;a:9:{s:2:\"id\";s:33:\"_uncode_search_index_header_align\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:35:\"Specify the text/content alignment.\";s:3:\"std\";s:6:\"center\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:3:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";s:3:\"src\";s:0:\"\";}i:2;a:3:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";s:3:\"src\";s:0:\"\";}}}i:697;a:9:{s:2:\"id\";s:36:\"_uncode_search_index_header_position\";s:5:\"label\";s:16:\"Content Position\";s:4:\"desc\";s:64:\"Specify the position of the Header content inside the container.\";s:3:\"std\";s:27:\"header-center header-middle\";s:4:\"type\";s:6:\"select\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:7:\"choices\";a:9:{i:0;a:2:{s:5:\"value\";s:22:\"header-left header-top\";s:5:\"label\";s:8:\"Left Top\";}i:1;a:2:{s:5:\"value\";s:25:\"header-left header-center\";s:5:\"label\";s:11:\"Left Center\";}i:2;a:2:{s:5:\"value\";s:25:\"header-left header-bottom\";s:5:\"label\";s:11:\"Left Bottom\";}i:3;a:2:{s:5:\"value\";s:24:\"header-center header-top\";s:5:\"label\";s:10:\"Center Top\";}i:4;a:2:{s:5:\"value\";s:27:\"header-center header-middle\";s:5:\"label\";s:13:\"Center Center\";}i:5;a:2:{s:5:\"value\";s:27:\"header-center header-bottom\";s:5:\"label\";s:13:\"Center Bottom\";}i:6;a:2:{s:5:\"value\";s:23:\"header-right header-top\";s:5:\"label\";s:9:\"Right Top\";}i:7;a:2:{s:5:\"value\";s:26:\"header-right header-center\";s:5:\"label\";s:12:\"Right Center\";}i:8;a:2:{s:5:\"value\";s:26:\"header-right header-bottom\";s:5:\"label\";s:12:\"Right Bottom\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:698;a:9:{s:2:\"id\";s:38:\"_uncode_search_index_header_title_font\";s:5:\"label\";s:17:\"Title font family\";s:4:\"desc\";s:31:\"Specify the font for the Title.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:699;a:8:{s:2:\"id\";s:38:\"_uncode_search_index_header_title_size\";s:5:\"label\";s:15:\"Title font size\";s:4:\"desc\";s:36:\"Specify the font size for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:24:{i:0;a:2:{s:5:\"value\";s:2:\"h1\";s:5:\"label\";s:2:\"h1\";}i:1;a:2:{s:5:\"value\";s:2:\"h2\";s:5:\"label\";s:2:\"h2\";}i:2;a:2:{s:5:\"value\";s:2:\"h3\";s:5:\"label\";s:2:\"h3\";}i:3;a:2:{s:5:\"value\";s:2:\"h4\";s:5:\"label\";s:2:\"h4\";}i:4;a:2:{s:5:\"value\";s:2:\"h5\";s:5:\"label\";s:2:\"h5\";}i:5;a:2:{s:5:\"value\";s:2:\"h6\";s:5:\"label\";s:2:\"h6\";}i:6;a:2:{s:5:\"value\";s:10:\"fontsize-9\";s:5:\"label\";s:6:\"Size 9\";}i:7;a:2:{s:5:\"value\";s:11:\"fontsize-10\";s:5:\"label\";s:7:\"Size 10\";}i:8;a:2:{s:5:\"value\";s:11:\"fontsize-11\";s:5:\"label\";s:7:\"Size 11\";}i:9;a:2:{s:5:\"value\";s:11:\"fontsize-12\";s:5:\"label\";s:7:\"Size 12\";}i:10;a:2:{s:5:\"value\";s:11:\"fontsize-13\";s:5:\"label\";s:7:\"Size 13\";}i:11;a:2:{s:5:\"value\";s:11:\"fontsize-14\";s:5:\"label\";s:7:\"Size 14\";}i:12;a:2:{s:5:\"value\";s:11:\"fontsize-16\";s:5:\"label\";s:7:\"Size 16\";}i:13;a:2:{s:5:\"value\";s:11:\"fontsize-18\";s:5:\"label\";s:7:\"Size 18\";}i:14;a:2:{s:5:\"value\";s:11:\"fontsize-24\";s:5:\"label\";s:7:\"Size 24\";}i:15;a:2:{s:5:\"value\";s:11:\"fontsize-28\";s:5:\"label\";s:7:\"Size 28\";}i:16;a:2:{s:5:\"value\";s:11:\"fontsize-32\";s:5:\"label\";s:7:\"Size 32\";}i:17;a:2:{s:5:\"value\";s:11:\"fontsize-36\";s:5:\"label\";s:7:\"Size 36\";}i:18;a:2:{s:5:\"value\";s:11:\"fontsize-48\";s:5:\"label\";s:7:\"Size 48\";}i:19;a:2:{s:5:\"value\";s:11:\"fontsize-64\";s:5:\"label\";s:7:\"Size 64\";}i:20;a:2:{s:5:\"value\";s:11:\"fontsize-72\";s:5:\"label\";s:7:\"Size 72\";}i:21;a:2:{s:5:\"value\";s:11:\"fontsize-84\";s:5:\"label\";s:7:\"Size 84\";}i:22;a:2:{s:5:\"value\";s:12:\"fontsize-108\";s:5:\"label\";s:8:\"Size 108\";}i:23;a:2:{s:5:\"value\";s:7:\"bigtext\";s:5:\"label\";s:7:\"BigText\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:700;a:8:{s:2:\"id\";s:40:\"_uncode_search_index_header_title_height\";s:5:\"label\";s:17:\"Title line height\";s:4:\"desc\";s:38:\"Specify the line height for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:18:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:13:\"fontheight-04\";s:5:\"label\";s:15:\"Line height 0.4\";}i:2;a:2:{s:5:\"value\";s:13:\"fontheight-05\";s:5:\"label\";s:15:\"Line height 0.5\";}i:3;a:2:{s:5:\"value\";s:13:\"fontheight-06\";s:5:\"label\";s:15:\"Line height 0.6\";}i:4;a:2:{s:5:\"value\";s:13:\"fontheight-07\";s:5:\"label\";s:15:\"Line height 0.7\";}i:5;a:2:{s:5:\"value\";s:13:\"fontheight-08\";s:5:\"label\";s:15:\"Line height 0.8\";}i:6;a:2:{s:5:\"value\";s:13:\"fontheight-09\";s:5:\"label\";s:15:\"Line height 0.9\";}i:7;a:2:{s:5:\"value\";s:12:\"fontheight-1\";s:5:\"label\";s:13:\"Line height 1\";}i:8;a:2:{s:5:\"value\";s:13:\"fontheight-11\";s:5:\"label\";s:15:\"Line height 1.1\";}i:9;a:2:{s:5:\"value\";s:13:\"fontheight-12\";s:5:\"label\";s:15:\"Line height 1.2\";}i:10;a:2:{s:5:\"value\";s:14:\"fontheight-125\";s:5:\"label\";s:16:\"Line height 1.25\";}i:11;a:2:{s:5:\"value\";s:13:\"fontheight-13\";s:5:\"label\";s:15:\"Line height 1.3\";}i:12;a:2:{s:5:\"value\";s:13:\"fontheight-14\";s:5:\"label\";s:15:\"Line height 1.4\";}i:13;a:2:{s:5:\"value\";s:13:\"fontheight-15\";s:5:\"label\";s:15:\"Line height 1.5\";}i:14;a:2:{s:5:\"value\";s:13:\"fontheight-16\";s:5:\"label\";s:15:\"Line height 1.6\";}i:15;a:2:{s:5:\"value\";s:14:\"fontheight-165\";s:5:\"label\";s:16:\"Line height 1.65\";}i:16;a:2:{s:5:\"value\";s:13:\"fontheight-17\";s:5:\"label\";s:15:\"Line height 1.7\";}i:17;a:2:{s:5:\"value\";s:13:\"fontheight-18\";s:5:\"label\";s:15:\"Line height 1.8\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:701;a:8:{s:2:\"id\";s:41:\"_uncode_search_index_header_title_spacing\";s:5:\"label\";s:20:\"Title letter spacing\";s:4:\"desc\";s:41:\"Specify the letter spacing for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:3;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:4;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:5;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:6;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:7;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:8;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:9;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:10;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:11;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:12;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:14;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:15;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:16;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:17;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:18;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:19;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:20;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:702;a:8:{s:2:\"id\";s:40:\"_uncode_search_index_header_title_weight\";s:5:\"label\";s:17:\"Title font weight\";s:4:\"desc\";s:38:\"Specify the font weight for the Title.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:703;a:8:{s:2:\"id\";s:43:\"_uncode_search_index_header_title_transform\";s:5:\"label\";s:20:\"Title text transform\";s:4:\"desc\";s:38:\"Specify the Title text transformation.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:704;a:8:{s:2:\"id\";s:40:\"_uncode_search_index_header_title_italic\";s:5:\"label\";s:12:\"Title italic\";s:4:\"desc\";s:45:\"Activate the font style italic for the Title.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";}i:705;a:8:{s:2:\"id\";s:42:\"_uncode_search_index_header_text_animation\";s:5:\"label\";s:14:\"Text animation\";s:4:\"desc\";s:49:\"Specify the entrance animation of the Title text.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:85:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:8:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:9:\"Select…\";}i:1;a:2:{s:5:\"value\";s:12:\"top-t-bottom\";s:5:\"label\";s:13:\"Top to bottom\";}i:2;a:2:{s:5:\"value\";s:12:\"left-t-right\";s:5:\"label\";s:13:\"Left to right\";}i:3;a:2:{s:5:\"value\";s:12:\"right-t-left\";s:5:\"label\";s:13:\"Right to left\";}i:4;a:2:{s:5:\"value\";s:12:\"bottom-t-top\";s:5:\"label\";s:13:\"Bottom to top\";}i:5;a:2:{s:5:\"value\";s:7:\"zoom-in\";s:5:\"label\";s:7:\"Zoom in\";}i:6;a:2:{s:5:\"value\";s:8:\"zoom-out\";s:5:\"label\";s:8:\"Zoom out\";}i:7;a:2:{s:5:\"value\";s:10:\"alpha-anim\";s:5:\"label\";s:5:\"Alpha\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:706;a:8:{s:2:\"id\";s:43:\"_uncode_search_index_header_animation_speed\";s:5:\"label\";s:15:\"Animation speed\";s:4:\"desc\";s:71:\"Specify the entrance animation speed of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:134:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on),_uncode_search_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:11:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:13:\"Default (400)\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:707;a:8:{s:2:\"id\";s:43:\"_uncode_search_index_header_animation_delay\";s:5:\"label\";s:15:\"Animation delay\";s:4:\"desc\";s:71:\"Specify the entrance animation delay of the Title text in milliseconds.\";s:4:\"type\";s:6:\"select\";s:9:\"condition\";s:134:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header_title:is(on),_uncode_search_index_header_text_animation:not()\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:21:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:3:\"100\";s:5:\"label\";s:6:\"ms 100\";}i:2;a:2:{s:5:\"value\";s:3:\"200\";s:5:\"label\";s:6:\"ms 200\";}i:3;a:2:{s:5:\"value\";s:3:\"300\";s:5:\"label\";s:6:\"ms 300\";}i:4;a:2:{s:5:\"value\";s:3:\"400\";s:5:\"label\";s:6:\"ms 400\";}i:5;a:2:{s:5:\"value\";s:3:\"500\";s:5:\"label\";s:6:\"ms 500\";}i:6;a:2:{s:5:\"value\";s:3:\"600\";s:5:\"label\";s:6:\"ms 600\";}i:7;a:2:{s:5:\"value\";s:3:\"700\";s:5:\"label\";s:6:\"ms 700\";}i:8;a:2:{s:5:\"value\";s:3:\"800\";s:5:\"label\";s:6:\"ms 800\";}i:9;a:2:{s:5:\"value\";s:3:\"900\";s:5:\"label\";s:6:\"ms 900\";}i:10;a:2:{s:5:\"value\";s:4:\"1000\";s:5:\"label\";s:7:\"ms 1000\";}i:11;a:2:{s:5:\"value\";s:4:\"1100\";s:5:\"label\";s:7:\"ms 1100\";}i:12;a:2:{s:5:\"value\";s:4:\"1200\";s:5:\"label\";s:7:\"ms 1200\";}i:13;a:2:{s:5:\"value\";s:4:\"1300\";s:5:\"label\";s:7:\"ms 1300\";}i:14;a:2:{s:5:\"value\";s:4:\"1400\";s:5:\"label\";s:7:\"ms 1400\";}i:15;a:2:{s:5:\"value\";s:4:\"1500\";s:5:\"label\";s:7:\"ms 1500\";}i:16;a:2:{s:5:\"value\";s:4:\"1600\";s:5:\"label\";s:7:\"ms 1600\";}i:17;a:2:{s:5:\"value\";s:4:\"1700\";s:5:\"label\";s:7:\"ms 1700\";}i:18;a:2:{s:5:\"value\";s:4:\"1800\";s:5:\"label\";s:7:\"ms 1800\";}i:19;a:2:{s:5:\"value\";s:4:\"1900\";s:5:\"label\";s:7:\"ms 1900\";}i:20;a:2:{s:5:\"value\";s:4:\"2000\";s:5:\"label\";s:7:\"ms 2000\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:708;a:8:{s:2:\"id\";s:38:\"_uncode_search_index_header_background\";s:5:\"label\";s:10:\"Background\";s:4:\"desc\";s:39:\"Specify the background media and color.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-gyho\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:709;a:8:{s:2:\"id\";s:36:\"_uncode_search_index_header_parallax\";s:5:\"label\";s:8:\"Parallax\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:40:\"Activate the background Parallax effect.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:710;a:8:{s:2:\"id\";s:34:\"_uncode_search_index_header_kburns\";s:5:\"label\";s:11:\"Zoom Effect\";s:4:\"desc\";s:45:\"Select the background Zoom effect you prefer.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:4:\"None\";}i:1;a:2:{s:5:\"value\";s:2:\"on\";s:5:\"label\";s:9:\"Ken Burns\";}i:2;a:2:{s:5:\"value\";s:4:\"zoom\";s:5:\"label\";s:8:\"Zoom Out\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:711;a:7:{s:2:\"id\";s:41:\"_uncode_search_index_header_overlay_color\";s:5:\"label\";s:13:\"Overlay color\";s:4:\"desc\";s:37:\"Specify the overlay background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:712;a:9:{s:2:\"id\";s:47:\"_uncode_search_index_header_overlay_color_alpha\";s:5:\"label\";s:21:\"Overlay color opacity\";s:4:\"desc\";s:24:\"Set the overlay opacity.\";s:3:\"std\";s:3:\"100\";s:12:\"min_max_step\";s:7:\"0,100,1\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:44:\"_uncode_search_index_header:is(header_basic)\";s:8:\"operator\";s:2:\"or\";}i:713;a:8:{s:2:\"id\";s:42:\"_uncode_search_index_header_scroll_opacity\";s:5:\"label\";s:14:\"Scroll opacity\";s:4:\"desc\";s:45:\"Activate alpha animation when scrolling down.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:95:\"_uncode_search_index_header:is(header_basic),_uncode_search_index_header:is(header_uncodeblock)\";s:8:\"operator\";s:2:\"or\";}i:714;a:8:{s:2:\"id\";s:38:\"_uncode_search_index_header_scrolldown\";s:5:\"label\";s:17:\"Scroll down arrow\";s:4:\"desc\";s:38:\"Activate the scroll down arrow button.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:37:\"_uncode_search_index_header:not(none)\";s:8:\"operator\";s:2:\"or\";}i:715;a:6:{s:2:\"id\";s:36:\"_uncode_search_index_menu_no_padding\";s:5:\"label\";s:18:\"No content padding\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:83:\"Remove the content additional top padding (equal to the menu height) in the Header.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:716;a:6:{s:2:\"id\";s:43:\"_uncode_search_index_menu_no_padding_mobile\";s:5:\"label\";s:25:\"No content padding mobile\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:93:\"Remove the content additional top padding (equal to the menu height) in the Header.on mobile.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:717;a:6:{s:2:\"id\";s:42:\"_uncode_search_index_custom_title_activate\";s:5:\"label\";s:25:\"Custom title and subtitle\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:54:\"Activate this to enable the custom title and subtitle.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:718;a:7:{s:2:\"id\";s:38:\"_uncode_search_index_custom_title_text\";s:5:\"label\";s:12:\"Custom title\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:43:\"Insert your custom main archive page title.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:49:\"_uncode_search_index_custom_title_activate:is(on)\";}i:719;a:7:{s:2:\"id\";s:41:\"_uncode_search_index_custom_subtitle_text\";s:5:\"label\";s:15:\"Custom subtitle\";s:4:\"type\";s:4:\"text\";s:4:\"desc\";s:46:\"Insert your custom main archive page subtitle.\";s:3:\"std\";s:0:\"\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:49:\"_uncode_search_index_custom_title_activate:is(on)\";}i:720;a:6:{s:2:\"id\";s:31:\"_uncode_search_index_body_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:721;a:6:{s:2:\"id\";s:34:\"_uncode_search_index_content_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:92:\"Define the Content Block to use. NB. Select &quot;Inherit&quot; to use the default template.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"none\";s:5:\"label\";s:4:\"None\";}i:2;a:3:{s:5:\"value\";i:2649;s:5:\"label\";s:14:\"Footer Widgets\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=2649&amp;action=edit\";}i:3;a:3:{s:5:\"value\";i:1544;s:5:\"label\";s:6:\"Header\";s:8:\"postlink\";s:70:\"https://melanieebenson.com/wp-admin/post.php?post=1544&amp;action=edit\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:722;a:6:{s:2:\"id\";s:33:\"_uncode_search_index_layout_width\";s:5:\"label\";s:13:\"Content width\";s:4:\"desc\";s:26:\"Specify the content width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:723;a:7:{s:2:\"id\";s:38:\"_uncode_search_index_remove_pagination\";s:5:\"label\";s:17:\"Remove pagination\";s:4:\"desc\";s:121:\"Activate this to remove the pagination (useful when you use a custom Content Block with Pagination or Load More options).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:8:\"operator\";s:2:\"or\";}i:724;a:6:{s:2:\"id\";s:34:\"_uncode_search_index_sidebar_title\";s:5:\"label\";s:43:\"<i class=\"fa fa-content-right\"></i> Sidebar\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:725;a:6:{s:2:\"id\";s:37:\"_uncode_search_index_activate_sidebar\";s:5:\"label\";s:16:\"Activate sidebar\";s:4:\"desc\";s:29:\"Activate to show the Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:726;a:6:{s:2:\"id\";s:28:\"_uncode_search_index_sidebar\";s:5:\"label\";s:7:\"Sidebar\";s:4:\"desc\";s:20:\"Specify the Sidebar.\";s:4:\"type\";s:14:\"sidebar-select\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:46:\"_uncode_search_index_activate_sidebar:not(off)\";}i:727;a:7:{s:2:\"id\";s:37:\"_uncode_search_index_sidebar_position\";s:5:\"label\";s:8:\"Position\";s:4:\"desc\";s:36:\"Specify the position of the Sidebar.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:13:\"sidebar_right\";s:5:\"label\";s:5:\"Right\";}i:1;a:2:{s:5:\"value\";s:12:\"sidebar_left\";s:5:\"label\";s:4:\"Left\";}}s:9:\"condition\";s:46:\"_uncode_search_index_activate_sidebar:not(off)\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:728;a:8:{s:2:\"id\";s:33:\"_uncode_search_index_sidebar_size\";s:5:\"label\";s:4:\"Size\";s:4:\"desc\";s:28:\"Set the size of the Sidebar.\";s:3:\"std\";s:1:\"4\";s:12:\"min_max_step\";s:6:\"1,11,1\";s:4:\"type\";s:14:\"numeric-slider\";s:9:\"condition\";s:46:\"_uncode_search_index_activate_sidebar:not(off)\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:729;a:7:{s:2:\"id\";s:35:\"_uncode_search_index_sidebar_sticky\";s:5:\"label\";s:14:\"Sticky sidebar\";s:4:\"desc\";s:34:\"Activate to have a Sticky Sidebar.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:46:\"_uncode_search_index_activate_sidebar:not(off)\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:730;a:7:{s:2:\"id\";s:34:\"_uncode_search_index_sidebar_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:37:\"Override the Sidebar text Skin color.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";}i:2;a:2:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:46:\"_uncode_search_index_activate_sidebar:not(off)\";}i:731;a:6:{s:2:\"id\";s:36:\"_uncode_search_index_sidebar_bgcolor\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:37:\"Specify the Sidebar background color.\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:9:\"condition\";s:46:\"_uncode_search_index_activate_sidebar:not(off)\";}i:732;a:8:{s:2:\"id\";s:33:\"_uncode_search_index_sidebar_fill\";s:5:\"label\";s:21:\"Sidebar filling space\";s:4:\"desc\";s:66:\"Activate to remove padding around the Sidebar and fill the height.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:27:\"uncode_search_index_section\";s:3:\"std\";s:3:\"off\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:89:\"_uncode_search_index_sidebar_bgcolor:not(),_uncode_search_index_activate_sidebar:not(off)\";}i:733;a:6:{s:2:\"id\";s:39:\"_uncode_search_index_footer_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"desc\";s:0:\"\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:734;a:6:{s:2:\"id\";s:33:\"_uncode_search_index_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:27:\"Override the Content Block.\";s:4:\"type\";s:23:\"custom-post-type-select\";s:9:\"post_type\";s:11:\"uncodeblock\";s:7:\"section\";s:27:\"uncode_search_index_section\";}i:735;a:6:{s:2:\"id\";s:33:\"_uncode_search_index_footer_width\";s:5:\"label\";s:20:\"Copyright area width\";s:4:\"desc\";s:34:\"Override the Copyright area width.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Inherit\";}i:1;a:2:{s:5:\"value\";s:4:\"full\";s:5:\"label\";s:4:\"Full\";}i:2;a:2:{s:5:\"value\";s:5:\"limit\";s:5:\"label\";s:5:\"Limit\";}}s:7:\"section\";s:27:\"uncode_search_index_section\";}i:736;a:7:{s:2:\"id\";s:16:\"_uncode_sidebars\";s:5:\"label\";s:13:\"Site sidebars\";s:4:\"desc\";s:81:\"Define here all the sidebars you will need. A default Sidebar is already defined.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:23:\"uncode_sidebars_section\";s:5:\"class\";s:9:\"list-item\";s:8:\"settings\";a:1:{i:0;a:6:{s:2:\"id\";s:25:\"_uncode_sidebar_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:8:\"sidebar-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:17:\"Unique sidebar ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}}}i:737;a:7:{s:2:\"id\";s:19:\"_uncode_font_groups\";s:5:\"label\";s:20:\"Custom font families\";s:4:\"desc\";s:40:\"Define here all the fonts you will need.\";s:3:\"std\";a:1:{i:0;a:4:{s:5:\"title\";s:12:\"Font Default\";s:28:\"_uncode_font_group_unique_id\";s:11:\"font-555555\";s:18:\"_uncode_font_group\";s:6:\"manual\";s:19:\"_uncode_font_manual\";s:107:\"-apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,Oxygen-Sans,Ubuntu,Cantarell,\"Helvetica Neue\",sans-serif\";}}s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:25:\"uncode_typography_section\";s:8:\"settings\";a:3:{i:0;a:6:{s:2:\"id\";s:28:\"_uncode_font_group_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:5:\"font-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:14:\"Unique font ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}i:1;a:5:{s:2:\"id\";s:18:\"_uncode_font_group\";s:5:\"label\";s:11:\"Uncode font\";s:4:\"desc\";s:15:\"Specify a font.\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:7:\"Poppins\";s:5:\"label\";s:136:\"Poppins - 100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic\";}i:1;a:2:{s:5:\"value\";s:18:\"Cormorant+Garamond\";s:5:\"label\";s:91:\"Cormorant Garamond - 300,300italic,regular,italic,500,500italic,600,600italic,700,700italic\";}i:2;a:2:{s:5:\"value\";s:6:\"manual\";s:5:\"label\";s:16:\"Manually entered\";}}}i:2;a:6:{s:2:\"id\";s:19:\"_uncode_font_manual\";s:5:\"label\";s:11:\"Font family\";s:4:\"desc\";s:20:\"Enter a font family.\";s:4:\"type\";s:4:\"text\";s:9:\"condition\";s:29:\"_uncode_font_group:is(manual)\";s:8:\"operator\";s:3:\"and\";}}}i:738;a:6:{s:2:\"id\";s:17:\"_uncode_font_size\";s:5:\"label\";s:17:\"Default font size\";s:4:\"desc\";s:58:\"Font size for p,li,dt,dd,dl,address,label,small,pre in px.\";s:3:\"std\";s:2:\"15\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:739;a:6:{s:2:\"id\";s:23:\"_uncode_large_text_size\";s:5:\"label\";s:20:\"Large text font size\";s:4:\"desc\";s:31:\"Font size for large text in px.\";s:3:\"std\";s:2:\"18\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:740;a:6:{s:2:\"id\";s:18:\"_uncode_heading_h1\";s:5:\"label\";s:12:\"Font size H1\";s:4:\"desc\";s:42:\"Font size for H1 in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:2:\"35\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:741;a:6:{s:2:\"id\";s:18:\"_uncode_heading_h2\";s:5:\"label\";s:12:\"Font size H2\";s:4:\"desc\";s:42:\"Font size for H2 in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:2:\"29\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:742;a:6:{s:2:\"id\";s:18:\"_uncode_heading_h3\";s:5:\"label\";s:12:\"Font size H3\";s:4:\"desc\";s:42:\"Font size for H3 in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:2:\"24\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:743;a:6:{s:2:\"id\";s:18:\"_uncode_heading_h4\";s:5:\"label\";s:12:\"Font size H4\";s:4:\"desc\";s:42:\"Font size for H4 in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:2:\"20\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:744;a:6:{s:2:\"id\";s:18:\"_uncode_heading_h5\";s:5:\"label\";s:12:\"Font size H5\";s:4:\"desc\";s:42:\"Font size for H5 in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:2:\"17\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:745;a:6:{s:2:\"id\";s:18:\"_uncode_heading_h6\";s:5:\"label\";s:12:\"Font size H6\";s:4:\"desc\";s:42:\"Font size for H6 in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:2:\"14\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:25:\"uncode_typography_section\";}i:746;a:7:{s:2:\"id\";s:26:\"_uncode_heading_font_sizes\";s:5:\"label\";s:16:\"Custom font size\";s:4:\"desc\";s:56:\"Define here all the additional font sizes you will need.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:25:\"uncode_typography_section\";s:8:\"settings\";a:2:{i:0;a:6:{s:2:\"id\";s:35:\"_uncode_heading_font_size_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:9:\"fontsize-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:19:\"Unique font size ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}i:1;a:5:{s:2:\"id\";s:25:\"_uncode_heading_font_size\";s:5:\"label\";s:9:\"Font size\";s:4:\"desc\";s:35:\"Font size in &lt;b&gt;px&lt;/b&gt;.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:4:\"text\";}}}i:747;a:7:{s:2:\"id\";s:28:\"_uncode_heading_font_heights\";s:5:\"label\";s:18:\"Custom line height\";s:4:\"desc\";s:63:\"Define here all the additional font line heights you will need.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:25:\"uncode_typography_section\";s:8:\"settings\";a:2:{i:0;a:6:{s:2:\"id\";s:37:\"_uncode_heading_font_height_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:11:\"fontheight-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:21:\"Unique font height ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}i:1;a:5:{s:2:\"id\";s:27:\"_uncode_heading_font_height\";s:5:\"label\";s:16:\"Font line height\";s:4:\"desc\";s:21:\"Insert a line height.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:4:\"text\";}}}i:748;a:7:{s:2:\"id\";s:29:\"_uncode_heading_font_spacings\";s:5:\"label\";s:21:\"Custom letter spacing\";s:4:\"desc\";s:50:\"Define here all the letter spacings you will need.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:25:\"uncode_typography_section\";s:8:\"settings\";a:2:{i:0;a:6:{s:2:\"id\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:10:\"fontspace-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:24:\"Unique letter spacing ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}i:1;a:5:{s:2:\"id\";s:28:\"_uncode_heading_font_spacing\";s:5:\"label\";s:14:\"Letter spacing\";s:4:\"desc\";s:50:\"Letter spacing with the unit (em or px). Ex. 0.2em\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:4:\"text\";}}}i:749;a:8:{s:2:\"id\";s:26:\"_uncode_custom_colors_list\";s:5:\"label\";s:14:\"Color palettes\";s:4:\"desc\";s:36:\"Define all the colors you will need.\";s:3:\"std\";a:12:{i:0;a:4:{s:5:\"title\";s:5:\"Black\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-jevc\";s:20:\"_uncode_custom_color\";s:7:\"#000000\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:1;a:4:{s:5:\"title\";s:6:\"Dark 1\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-nhtu\";s:20:\"_uncode_custom_color\";s:7:\"#101213\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:2;a:4:{s:5:\"title\";s:6:\"Dark 2\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-wayh\";s:20:\"_uncode_custom_color\";s:7:\"#141618\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:3;a:4:{s:5:\"title\";s:6:\"Dark 3\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-rgdb\";s:20:\"_uncode_custom_color\";s:7:\"#1b1d1f\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:4;a:4:{s:5:\"title\";s:6:\"Dark 4\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-prif\";s:20:\"_uncode_custom_color\";s:7:\"#303133\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:5;a:4:{s:5:\"title\";s:5:\"White\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-xsdn\";s:20:\"_uncode_custom_color\";s:7:\"#ffffff\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:6;a:4:{s:5:\"title\";s:7:\"Light 1\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-lxmt\";s:20:\"_uncode_custom_color\";s:7:\"#f7f7f7\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:7;a:4:{s:5:\"title\";s:7:\"Light 2\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-gyho\";s:20:\"_uncode_custom_color\";s:7:\"#eaeaea\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:8;a:4:{s:5:\"title\";s:7:\"Light 3\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-uydo\";s:20:\"_uncode_custom_color\";s:7:\"#dddddd\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:9;a:4:{s:5:\"title\";s:7:\"Light 4\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-wvjs\";s:20:\"_uncode_custom_color\";s:4:\"#777\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:10;a:4:{s:5:\"title\";s:8:\"Cerulean\";s:30:\"_uncode_custom_color_unique_id\";s:10:\"color-vyce\";s:20:\"_uncode_custom_color\";s:7:\"#0cb4ce\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}i:11;a:4:{s:5:\"title\";s:11:\"Blue Ribbon\";s:30:\"_uncode_custom_color_unique_id\";s:12:\"color-210407\";s:20:\"_uncode_custom_color\";s:7:\"#006cff\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";}}s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:21:\"uncode_colors_section\";s:5:\"class\";s:11:\"list-colors\";s:8:\"settings\";a:4:{i:0;a:6:{s:2:\"id\";s:30:\"_uncode_custom_color_unique_id\";s:3:\"std\";s:6:\"color-\";s:5:\"class\";s:9:\"unique_id\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:15:\"Unique color ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}i:1;a:6:{s:2:\"id\";s:28:\"_uncode_custom_color_regular\";s:5:\"label\";s:10:\"Monochrome\";s:4:\"desc\";s:76:\"Activate to assign a monochromatic color, otherwise a gradient will be used.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:2;a:6:{s:2:\"id\";s:20:\"_uncode_custom_color\";s:5:\"label\";s:11:\"Colorpicker\";s:4:\"desc\";s:85:\"Specify the color for this palette. You can also define a color with the alpha value.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:11:\"colorpicker\";s:9:\"condition\";s:35:\"_uncode_custom_color_regular:is(on)\";}i:3;a:6:{s:2:\"id\";s:29:\"_uncode_custom_color_gradient\";s:5:\"label\";s:8:\"Gradient\";s:4:\"desc\";s:105:\"Specify the gradient color for this palette. NB. You can use a gradient color only as a background color.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:14:\"gradientpicker\";s:9:\"condition\";s:36:\"_uncode_custom_color_regular:is(off)\";}}}i:750;a:5:{s:2:\"id\";s:32:\"_uncode_custom_light_block_title\";s:5:\"label\";s:41:\"<i class=\"fa fa-square-o\"></i> Light Skin\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:751;a:6:{s:2:\"id\";s:24:\"_uncode_logo_color_light\";s:5:\"label\";s:19:\"SVG/Text logo color\";s:4:\"desc\";s:53:\"Specify the Logo color if it&#039;s a SVG or textual.\";s:3:\"std\";s:10:\"color-prif\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:752;a:6:{s:2:\"id\";s:24:\"_uncode_menu_color_light\";s:5:\"label\";s:15:\"Menu text color\";s:4:\"desc\";s:28:\"Specify the Menu text color.\";s:3:\"std\";s:10:\"color-prif\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:753;a:6:{s:2:\"id\";s:27:\"_uncode_menu_bg_color_light\";s:5:\"label\";s:23:\"Primary Menu background\";s:4:\"desc\";s:42:\"Specify the Primary Menu background color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:754;a:6:{s:2:\"id\";s:27:\"_uncode_menu_bg_alpha_light\";s:5:\"label\";s:23:\"Primary Menu Bg Opacity\";s:4:\"desc\";s:48:\"Adjust the Primary Menu background transparency.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:755;a:6:{s:2:\"id\";s:30:\"_uncode_submenu_bg_color_light\";s:5:\"label\";s:26:\"Primary Submenu background\";s:4:\"desc\";s:45:\"Specify the Primary Submenu background color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:756;a:6:{s:2:\"id\";s:31:\"_uncode_menu_border_color_light\";s:5:\"label\";s:25:\"Primary Menu border color\";s:4:\"desc\";s:38:\"Specify the Primary Menu border color.\";s:3:\"std\";s:10:\"color-gyho\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:757;a:6:{s:2:\"id\";s:31:\"_uncode_menu_border_alpha_light\";s:5:\"label\";s:27:\"Primary Menu border opacity\";s:4:\"desc\";s:44:\"Adjust the Primary Menu border transparency.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:758;a:6:{s:2:\"id\";s:30:\"_uncode_secmenu_bg_color_light\";s:5:\"label\";s:25:\"Secondary Menu background\";s:4:\"desc\";s:44:\"Specify the Secondary Menu background color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:759;a:6:{s:2:\"id\";s:27:\"_uncode_heading_color_light\";s:5:\"label\";s:14:\"Headings color\";s:4:\"desc\";s:32:\"Specify the headings text color.\";s:3:\"std\";s:10:\"color-prif\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:760;a:6:{s:2:\"id\";s:24:\"_uncode_text_color_light\";s:5:\"label\";s:18:\"Content text color\";s:4:\"desc\";s:36:\"Specify the content area text color.\";s:3:\"std\";s:10:\"color-wvjs\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:761;a:6:{s:2:\"id\";s:30:\"_uncode_background_color_light\";s:5:\"label\";s:18:\"Content background\";s:4:\"desc\";s:37:\"Specify the content background color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:762;a:5:{s:2:\"id\";s:31:\"_uncode_custom_dark_block_title\";s:5:\"label\";s:38:\"<i class=\"fa fa-square\"></i> Dark Skin\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:763;a:6:{s:2:\"id\";s:23:\"_uncode_logo_color_dark\";s:5:\"label\";s:19:\"SVG/Text logo color\";s:4:\"desc\";s:53:\"Specify the Logo color if it&#039;s a SVG or textual.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:764;a:6:{s:2:\"id\";s:23:\"_uncode_menu_color_dark\";s:5:\"label\";s:15:\"Menu text color\";s:4:\"desc\";s:28:\"Specify the Menu text color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:765;a:6:{s:2:\"id\";s:26:\"_uncode_menu_bg_color_dark\";s:5:\"label\";s:23:\"Primary Menu background\";s:4:\"desc\";s:42:\"Specify the Primary Menu background color.\";s:3:\"std\";s:10:\"color-wayh\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:766;a:6:{s:2:\"id\";s:26:\"_uncode_menu_bg_alpha_dark\";s:5:\"label\";s:23:\"Primary Menu Bg Opacity\";s:4:\"desc\";s:48:\"Adjust the Primary Menu background transparency.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:767;a:6:{s:2:\"id\";s:29:\"_uncode_submenu_bg_color_dark\";s:5:\"label\";s:26:\"Primary Submenu background\";s:4:\"desc\";s:45:\"Specify the Primary Submenu background color.\";s:3:\"std\";s:10:\"color-rgdb\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:768;a:6:{s:2:\"id\";s:30:\"_uncode_menu_border_color_dark\";s:5:\"label\";s:25:\"Primary Menu border color\";s:4:\"desc\";s:38:\"Specify the Primary Menu border color.\";s:3:\"std\";s:10:\"color-prif\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:769;a:6:{s:2:\"id\";s:30:\"_uncode_menu_border_alpha_dark\";s:5:\"label\";s:27:\"Primary Menu border opacity\";s:4:\"desc\";s:44:\"Adjust the Primary Menu border transparency.\";s:3:\"std\";s:3:\"100\";s:4:\"type\";s:14:\"numeric-slider\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:770;a:6:{s:2:\"id\";s:29:\"_uncode_secmenu_bg_color_dark\";s:5:\"label\";s:25:\"Secondary Menu background\";s:4:\"desc\";s:44:\"Specify the Secondary Menu background color.\";s:3:\"std\";s:10:\"color-wayh\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:771;a:6:{s:2:\"id\";s:26:\"_uncode_heading_color_dark\";s:5:\"label\";s:14:\"Headings color\";s:4:\"desc\";s:32:\"Specify the headings text color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:772;a:6:{s:2:\"id\";s:23:\"_uncode_text_color_dark\";s:5:\"label\";s:18:\"Content text color\";s:4:\"desc\";s:36:\"Specify the content area text color.\";s:3:\"std\";s:10:\"color-xsdn\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:773;a:6:{s:2:\"id\";s:29:\"_uncode_background_color_dark\";s:5:\"label\";s:18:\"Content background\";s:4:\"desc\";s:37:\"Specify the content background color.\";s:3:\"std\";s:10:\"color-wayh\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:774;a:5:{s:2:\"id\";s:34:\"_uncode_custom_general_block_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-globe3\"></i> General\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:775;a:6:{s:2:\"id\";s:23:\"_uncode_body_background\";s:5:\"label\";s:20:\"HTML body background\";s:4:\"desc\";s:44:\"Specify the body background color and media.\";s:4:\"type\";s:10:\"background\";s:3:\"std\";a:6:{s:16:\"Background Color\";s:10:\"color-lxmt\";s:17:\"Background Repeat\";s:0:\"\";s:21:\"Background Attachment\";s:0:\"\";s:19:\"Background Position\";s:0:\"\";s:15:\"Background Size\";s:0:\"\";s:16:\"Background Image\";s:0:\"\";}s:7:\"section\";s:24:\"uncode_customize_section\";}i:776;a:6:{s:2:\"id\";s:20:\"_uncode_accent_color\";s:5:\"label\";s:12:\"Accent color\";s:4:\"desc\";s:25:\"Specify the accent color.\";s:3:\"std\";s:12:\"color-210407\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:777;a:8:{s:2:\"id\";s:23:\"_uncode_body_link_color\";s:5:\"label\";s:11:\"Links color\";s:4:\"desc\";s:52:\"Specify the color of links in page textual contents.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:7:\"Default\";}i:1;a:2:{s:5:\"value\";s:6:\"accent\";s:5:\"label\";s:12:\"Accent color\";}}}i:778;a:8:{s:2:\"id\";s:24:\"_uncode_body_font_family\";s:5:\"label\";s:16:\"Body font family\";s:4:\"desc\";s:29:\"Specify the body font family.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}}i:779;a:8:{s:2:\"id\";s:24:\"_uncode_body_font_weight\";s:5:\"label\";s:16:\"Body font weight\";s:4:\"desc\";s:29:\"Specify the body font weight.\";s:3:\"std\";s:3:\"400\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}}i:780;a:8:{s:2:\"id\";s:22:\"_uncode_ui_font_family\";s:5:\"label\";s:14:\"UI font family\";s:4:\"desc\";s:27:\"Specify the UI font family.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}}i:781;a:8:{s:2:\"id\";s:22:\"_uncode_ui_font_weight\";s:5:\"label\";s:14:\"UI font weight\";s:4:\"desc\";s:27:\"Specify the UI font weight.\";s:3:\"std\";s:3:\"600\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}}i:782;a:8:{s:2:\"id\";s:27:\"_uncode_heading_font_family\";s:5:\"label\";s:20:\"Headings font family\";s:4:\"desc\";s:33:\"Specify the headings font family.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}}i:783;a:8:{s:2:\"id\";s:27:\"_uncode_heading_font_weight\";s:5:\"label\";s:20:\"Headings font weight\";s:4:\"desc\";s:33:\"Specify the Headings font weight.\";s:3:\"std\";s:3:\"600\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}}i:784;a:6:{s:2:\"id\";s:30:\"_uncode_heading_letter_spacing\";s:5:\"label\";s:23:\"Headings letter spacing\";s:4:\"desc\";s:34:\"Specify the letter spacing in EMs.\";s:3:\"std\";s:4:\"0.00\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:785;a:6:{s:2:\"id\";s:23:\"_uncode_input_underline\";s:5:\"label\";s:21:\"Input text underlined\";s:4:\"desc\";s:56:\"Activate to style all the input text with the underline.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:786;a:8:{s:2:\"id\";s:21:\"_uncode_fallback_font\";s:5:\"label\";s:13:\"Fallback font\";s:4:\"desc\";s:75:\"Select a font to use as fallback when Google Fonts import is not available.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}}i:787;a:5:{s:2:\"id\";s:30:\"_uncode_menu_style_block_title\";s:5:\"label\";s:31:\"<i class=\"fa fa-menu\"></i> Menu\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:788;a:9:{s:2:\"id\";s:26:\"_uncode_overlay_menu_style\";s:5:\"label\";s:17:\"Overlay Menu Skin\";s:4:\"desc\";s:30:\"Specify the overlay Menu Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:9:\"condition\";s:72:\"_uncode_headers:is(menu-overlay),_uncode_headers:is(menu-overlay-center)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:789;a:6:{s:2:\"id\";s:24:\"_uncode_menu_color_hover\";s:5:\"label\";s:20:\"Menu highlight color\";s:4:\"desc\";s:115:\"Specify the Menu active and hover effect color (If not specified an opaque version of the Menu color will be used).\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:790;a:7:{s:2:\"id\";s:26:\"_uncode_primary_menu_style\";s:5:\"label\";s:17:\"Primary Menu skin\";s:4:\"desc\";s:30:\"Specify the Primary Menu Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:791;a:7:{s:2:\"id\";s:29:\"_uncode_primary_submenu_style\";s:5:\"label\";s:20:\"Primary Submenu skin\";s:4:\"desc\";s:33:\"Specify the Primary Submenu Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:792;a:9:{s:2:\"id\";s:28:\"_uncode_secondary_menu_style\";s:5:\"label\";s:19:\"Secondary Menu skin\";s:4:\"desc\";s:32:\"Specify the Secondary Menu Skin.\";s:3:\"std\";s:4:\"dark\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:9:\"condition\";s:129:\"_uncode_headers:is(hmenu-right),_uncode_headers:is(hmenu-left),_uncode_headers:is(hmenu-justify),_uncode_headers:is(hmenu-center)\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:793;a:6:{s:2:\"id\";s:22:\"_uncode_menu_font_size\";s:5:\"label\";s:14:\"Menu font size\";s:4:\"desc\";s:97:\"Specify the Menu font size. NB: the Overlay Menu font size is automatic relative to the viewport.\";s:3:\"std\";s:2:\"12\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:794;a:6:{s:2:\"id\";s:25:\"_uncode_submenu_font_size\";s:5:\"label\";s:17:\"Submenu font size\";s:4:\"desc\";s:103:\"Specify the Submenu font size. NB. The Overlay Submenu font size is automatic relative to the viewport.\";s:3:\"std\";s:2:\"12\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:795;a:6:{s:2:\"id\";s:29:\"_uncode_menu_mobile_font_size\";s:5:\"label\";s:21:\"Mobile Menu font size\";s:4:\"desc\";s:104:\"Specify the Menu font size for mobile (when the Navbar &gt; Animation &gt; is not Menu Centered Mobile).\";s:3:\"std\";s:2:\"12\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:796;a:8:{s:2:\"id\";s:24:\"_uncode_menu_font_family\";s:5:\"label\";s:16:\"Menu font family\";s:4:\"desc\";s:29:\"Specify the Menu font family.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}}i:797;a:8:{s:2:\"id\";s:24:\"_uncode_menu_font_weight\";s:5:\"label\";s:16:\"Menu font weight\";s:4:\"desc\";s:29:\"Specify the Menu font weight.\";s:3:\"std\";s:3:\"600\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}}i:798;a:6:{s:2:\"id\";s:27:\"_uncode_menu_letter_spacing\";s:5:\"label\";s:19:\"Menu letter spacing\";s:4:\"desc\";s:62:\"Specify the letter spacing in EMs (the default value is 0.05).\";s:3:\"std\";s:4:\"0.05\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:799;a:6:{s:2:\"id\";s:28:\"_uncode_menu_first_uppercase\";s:5:\"label\";s:26:\"Menu first level uppercase\";s:4:\"desc\";s:56:\"Activate to transform the first Menu level to uppercase.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:800;a:6:{s:2:\"id\";s:28:\"_uncode_menu_other_uppercase\";s:5:\"label\";s:27:\"Menu other levels uppercase\";s:4:\"desc\";s:61:\"Activate to transform all the others Menu level to uppercase.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:801;a:5:{s:2:\"id\";s:34:\"_uncode_custom_content_block_title\";s:5:\"label\";s:36:\"<i class=\"fa fa-layout\"></i> Content\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:802;a:9:{s:2:\"id\";s:21:\"_uncode_general_style\";s:5:\"label\";s:4:\"Skin\";s:4:\"desc\";s:25:\"Specify the content Skin.\";s:3:\"std\";s:5:\"light\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:803;a:6:{s:2:\"id\";s:24:\"_uncode_general_bg_color\";s:5:\"label\";s:16:\"Background color\";s:4:\"desc\";s:42:\"Specify a custom content background color.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:804;a:5:{s:2:\"id\";s:34:\"_uncode_custom_buttons_block_title\";s:5:\"label\";s:49:\"<i class=\"fa fa-download3\"></i> Buttons and Forms\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:805;a:8:{s:2:\"id\";s:27:\"_uncode_buttons_font_family\";s:5:\"label\";s:19:\"Buttons font family\";s:4:\"desc\";s:32:\"Specify the buttons font family.\";s:3:\"std\";s:11:\"font-555555\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:12:\"font-default\";s:5:\"label\";s:12:\"Font Default\";}i:2;a:2:{s:5:\"value\";s:13:\"font-headings\";s:5:\"label\";s:8:\"Headings\";}}}i:806;a:8:{s:2:\"id\";s:27:\"_uncode_buttons_font_weight\";s:5:\"label\";s:19:\"Buttons font weight\";s:4:\"desc\";s:32:\"Specify the buttons font weight.\";s:3:\"std\";s:3:\"600\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:10:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";i:100;s:5:\"label\";s:3:\"100\";}i:2;a:2:{s:5:\"value\";i:200;s:5:\"label\";s:3:\"200\";}i:3;a:2:{s:5:\"value\";i:300;s:5:\"label\";s:3:\"300\";}i:4;a:2:{s:5:\"value\";i:400;s:5:\"label\";s:3:\"400\";}i:5;a:2:{s:5:\"value\";i:500;s:5:\"label\";s:3:\"500\";}i:6;a:2:{s:5:\"value\";i:600;s:5:\"label\";s:3:\"600\";}i:7;a:2:{s:5:\"value\";i:700;s:5:\"label\";s:3:\"700\";}i:8;a:2:{s:5:\"value\";i:800;s:5:\"label\";s:3:\"800\";}i:9;a:2:{s:5:\"value\";i:900;s:5:\"label\";s:3:\"900\";}}}i:807;a:8:{s:2:\"id\";s:30:\"_uncode_buttons_text_transform\";s:5:\"label\";s:22:\"Buttons text transform\";s:4:\"desc\";s:35:\"Specify the buttons text transform.\";s:3:\"std\";s:9:\"uppercase\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:4:{i:0;a:2:{s:5:\"value\";s:7:\"initial\";s:5:\"label\";s:7:\"Default\";}i:1;a:2:{s:5:\"value\";s:9:\"uppercase\";s:5:\"label\";s:9:\"Uppercase\";}i:2;a:2:{s:5:\"value\";s:9:\"lowercase\";s:5:\"label\";s:9:\"Lowercase\";}i:3;a:2:{s:5:\"value\";s:10:\"capitalize\";s:5:\"label\";s:10:\"Capitalize\";}}}i:808;a:7:{s:2:\"id\";s:30:\"_uncode_buttons_letter_spacing\";s:5:\"label\";s:22:\"Buttons letter spacing\";s:4:\"desc\";s:33:\"Specify the letter spacing value.\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:8:\"operator\";s:2:\"or\";s:7:\"choices\";a:22:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:11:\"Default CSS\";}i:1;a:2:{s:5:\"value\";s:21:\"uncode-fontspace-zero\";s:5:\"label\";s:16:\"Letter Spacing 0\";}i:2;a:2:{s:5:\"value\";s:17:\"fontspace-neg-002\";s:5:\"label\";s:7:\"-0.02em\";}i:3;a:2:{s:5:\"value\";s:17:\"fontspace-neg-005\";s:5:\"label\";s:7:\"-0.05em\";}i:4;a:2:{s:5:\"value\";s:18:\"fontspace-neg-0075\";s:5:\"label\";s:8:\"-0.075em\";}i:5;a:2:{s:5:\"value\";s:16:\"fontspace-neg-01\";s:5:\"label\";s:6:\"-0.1em\";}i:6;a:2:{s:5:\"value\";s:17:\"fontspace-pos-001\";s:5:\"label\";s:6:\"0.01em\";}i:7;a:2:{s:5:\"value\";s:18:\"fontspace-pos-0025\";s:5:\"label\";s:7:\"0.025em\";}i:8;a:2:{s:5:\"value\";s:17:\"fontspace-pos-005\";s:5:\"label\";s:6:\"0.05em\";}i:9;a:2:{s:5:\"value\";s:16:\"fontspace-pos-01\";s:5:\"label\";s:5:\"0.1em\";}i:10;a:2:{s:5:\"value\";s:17:\"fontspace-pos-015\";s:5:\"label\";s:6:\"0.15em\";}i:11;a:2:{s:5:\"value\";s:16:\"fontspace-pos-02\";s:5:\"label\";s:5:\"0.2em\";}i:12;a:2:{s:5:\"value\";s:19:\"fontspace-pos-025em\";s:5:\"label\";s:6:\"0.25em\";}i:13;a:2:{s:5:\"value\";s:16:\"fontspace-pos-03\";s:5:\"label\";s:5:\"0.3em\";}i:14;a:2:{s:5:\"value\";s:16:\"fontspace-pos-04\";s:5:\"label\";s:5:\"0.4em\";}i:15;a:2:{s:5:\"value\";s:12:\"fontspace-05\";s:5:\"label\";s:5:\"0.5em\";}i:16;a:2:{s:5:\"value\";s:13:\"fontspace-075\";s:5:\"label\";s:6:\"0.75em\";}i:17;a:2:{s:5:\"value\";s:11:\"fontspace-1\";s:5:\"label\";s:3:\"1em\";}i:18;a:2:{s:5:\"value\";s:13:\"fontspace-125\";s:5:\"label\";s:6:\"1.25em\";}i:19;a:2:{s:5:\"value\";s:12:\"fontspace-15\";s:5:\"label\";s:5:\"1.5em\";}i:20;a:2:{s:5:\"value\";s:13:\"fontspace-175\";s:5:\"label\";s:6:\"1.75em\";}i:21;a:2:{s:5:\"value\";s:11:\"fontspace-2\";s:5:\"label\";s:3:\"2em\";}}}i:809;a:7:{s:2:\"id\";s:28:\"_uncode_buttons_border_width\";s:5:\"label\";s:25:\"Button-Form fields border\";s:4:\"desc\";s:60:\"Specify the width of the borders for buttons and form fields\";s:3:\"std\";s:1:\"1\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:5:\"1,5,1\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:810;a:7:{s:2:\"id\";s:20:\"_uncode_button_hover\";s:5:\"label\";s:19:\"Button hover effect\";s:4:\"desc\";s:33:\"Specify an effect on hover state.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:7:\"choices\";a:2:{i:0;a:2:{s:5:\"value\";s:0:\"\";s:5:\"label\";s:8:\"Outlined\";}i:1;a:2:{s:5:\"value\";s:12:\"full-colored\";s:5:\"label\";s:4:\"Flat\";}}}i:811;a:5:{s:2:\"id\";s:32:\"_uncode_footer_style_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-ellipsis\"></i> Footer\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:812;a:9:{s:2:\"id\";s:25:\"_uncode_footer_last_style\";s:5:\"label\";s:19:\"Copyright area skin\";s:4:\"desc\";s:38:\"Specify the copyright area Skin color.\";s:3:\"std\";s:4:\"dark\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:24:\"uncode_customize_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";s:7:\"choices\";a:2:{i:0;a:3:{s:5:\"value\";s:5:\"light\";s:5:\"label\";s:5:\"Light\";s:3:\"src\";s:0:\"\";}i:1;a:3:{s:5:\"value\";s:4:\"dark\";s:5:\"label\";s:4:\"Dark\";s:3:\"src\";s:0:\"\";}}}i:813;a:6:{s:2:\"id\";s:23:\"_uncode_footer_bg_color\";s:5:\"label\";s:25:\"Copyright area background\";s:4:\"desc\";s:49:\"Specify a custom copyright area background color.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:12:\"uncode_color\";s:7:\"section\";s:24:\"uncode_customize_section\";}i:814;a:5:{s:2:\"id\";s:35:\"_uncode_customize_extra_block_title\";s:5:\"label\";s:53:\"<i class=\"fa fa-download3\"></i> Scroll &amp; Parallax\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:815;a:6:{s:2:\"id\";s:23:\"_uncode_scroll_constant\";s:5:\"label\";s:23:\"ScrollTo constant speed\";s:4:\"desc\";s:70:\"Activate this to always have a constant speed when scrolling to point.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:816;a:9:{s:2:\"id\";s:30:\"_uncode_scroll_constant_factor\";s:5:\"label\";s:30:\"ScrollTo constant speed factor\";s:4:\"desc\";s:50:\"Adjust the constant scroll speed factor. Default 2\";s:3:\"std\";s:1:\"2\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:9:\"1,15,0.25\";s:7:\"section\";s:20:\"uncode_extra_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:30:\"_uncode_scroll_constant:is(on)\";}i:817;a:8:{s:2:\"id\";s:26:\"_uncode_scroll_speed_value\";s:5:\"label\";s:20:\"ScrollTo speed fixed\";s:4:\"desc\";s:46:\"Specify the scroll speed time in milliseconds.\";s:3:\"std\";s:4:\"1000\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:20:\"uncode_extra_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:31:\"_uncode_scroll_constant:is(off)\";}i:818;a:7:{s:2:\"id\";s:23:\"_uncode_parallax_factor\";s:5:\"label\";s:21:\"Parallax speed factor\";s:4:\"desc\";s:45:\"Adjust the Parallax speed factor. Default 2.5\";s:3:\"std\";s:3:\"2.5\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:9:\"0.5,3,0.5\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:819;a:5:{s:2:\"id\";s:36:\"_uncode_custom_portfolio_block_title\";s:5:\"label\";s:46:\"<i class=\"fa fa-briefcase3\"></i> Portfolio CPT\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:820;a:6:{s:2:\"id\";s:21:\"_uncode_portfolio_cpt\";s:5:\"label\";s:19:\"Portfolio CPT label\";s:4:\"desc\";s:41:\"Enter a custom Portfolio Post Type label.\";s:3:\"std\";s:9:\"portfolio\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:821;a:6:{s:2:\"id\";s:26:\"_uncode_portfolio_cpt_slug\";s:5:\"label\";s:18:\"Portfolio CPT slug\";s:4:\"desc\";s:40:\"Enter a custom Portfolio Post Type slug.\";s:3:\"std\";s:9:\"portfolio\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:822;a:5:{s:2:\"id\";s:35:\"_uncode_customize_admin_block_title\";s:5:\"label\";s:37:\"<i class=\"fa fa-dashboard\"></i> Admin\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:823;a:6:{s:2:\"id\";s:18:\"_uncode_admin_help\";s:5:\"label\";s:24:\"Help button in admin bar\";s:4:\"desc\";s:60:\"Activate to show the Uncode help button in the WP admin bar.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:20:\"uncode_extra_section\";}i:824;a:5:{s:2:\"id\";s:33:\"_uncode_footer_layout_block_title\";s:5:\"label\";s:35:\"<i class=\"fa fa-layers\"></i> Layout\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:825;a:8:{s:2:\"id\";s:19:\"_uncode_footer_full\";s:5:\"label\";s:17:\"Footer full width\";s:4:\"desc\";s:32:\"Expand the Footer to full width.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_footer_section\";s:9:\"condition\";s:21:\"_uncode_boxed:is(off)\";s:8:\"operator\";s:3:\"and\";}i:826;a:5:{s:2:\"id\";s:34:\"_uncode_footer_content_block_title\";s:5:\"label\";s:38:\"<i class=\"fa fa-cog2\"></i> Widget area\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:827;a:9:{s:2:\"id\";s:20:\"_uncode_footer_block\";s:5:\"label\";s:13:\"Content Block\";s:4:\"desc\";s:53:\"Specify the Content Block to use as a footer content.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:23:\"custom-post-type-select\";s:7:\"section\";s:21:\"uncode_footer_section\";s:9:\"post_type\";s:11:\"uncodeblock\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:828;a:5:{s:2:\"id\";s:31:\"_uncode_footer_last_block_title\";s:5:\"label\";s:46:\"<i class=\"fa fa-copyright\"></i> Copyright area\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:829;a:6:{s:2:\"id\";s:17:\"_uncode_copy_hide\";s:5:\"label\";s:19:\"Hide Copyright Area\";s:4:\"type\";s:6:\"on-off\";s:4:\"desc\";s:41:\"Activate this to hide the Copyright Area.\";s:3:\"std\";s:3:\"off\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:830;a:6:{s:2:\"id\";s:24:\"_uncode_footer_copyright\";s:5:\"label\";s:24:\"Automatic copyright text\";s:4:\"desc\";s:44:\"Activate to use an automatic copyright text.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:831;a:7:{s:2:\"id\";s:19:\"_uncode_footer_text\";s:5:\"label\";s:21:\"Custom copyright text\";s:4:\"desc\";s:51:\"Insert a custom text for the Footer copyright area.\";s:4:\"type\";s:8:\"textarea\";s:7:\"section\";s:21:\"uncode_footer_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:32:\"_uncode_footer_copyright:is(off)\";}i:832;a:7:{s:2:\"id\";s:23:\"_uncode_footer_position\";s:5:\"label\";s:17:\"Content alignment\";s:4:\"desc\";s:44:\"Specify the Footer copyright text alignment.\";s:3:\"std\";s:4:\"left\";s:4:\"type\";s:6:\"select\";s:7:\"section\";s:21:\"uncode_footer_section\";s:7:\"choices\";a:3:{i:0;a:2:{s:5:\"value\";s:4:\"left\";s:5:\"label\";s:4:\"Left\";}i:1;a:2:{s:5:\"value\";s:6:\"center\";s:5:\"label\";s:6:\"Center\";}i:2;a:2:{s:5:\"value\";s:5:\"right\";s:5:\"label\";s:5:\"Right\";}}}i:833;a:5:{s:2:\"id\";s:21:\"_uncode_footer_social\";s:5:\"label\";s:12:\"Social links\";s:4:\"desc\";s:63:\"Activate to have the social icons in the Footer copyright area.\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:834;a:5:{s:2:\"id\";s:30:\"_uncode_footer_add_block_title\";s:5:\"label\";s:45:\"<i class=\"fa fa-square-plus\"></i> Additionals\";s:4:\"type\";s:16:\"textblock-titled\";s:5:\"class\";s:13:\"section-title\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:835;a:6:{s:2:\"id\";s:22:\"_uncode_footer_uparrow\";s:5:\"label\";s:16:\"Scroll up button\";s:4:\"desc\";s:49:\"Activate to add a scroll up button in the Footer.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:2:\"on\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:836;a:8:{s:2:\"id\";s:29:\"_uncode_footer_uparrow_mobile\";s:5:\"label\";s:23:\"Scroll up button mobile\";s:4:\"desc\";s:68:\"Activate to add a scroll up button in the Footer for mobile devices.\";s:4:\"type\";s:6:\"on-off\";s:3:\"std\";s:2:\"on\";s:9:\"condition\";s:29:\"_uncode_footer_uparrow:is(on)\";s:8:\"operator\";s:3:\"and\";s:7:\"section\";s:21:\"uncode_footer_section\";}i:837;a:7:{s:2:\"id\";s:19:\"_uncode_social_list\";s:5:\"label\";s:15:\"Social Networks\";s:4:\"desc\";s:50:\"Define here all the Social Networks you will need.\";s:4:\"type\";s:9:\"list-item\";s:7:\"section\";s:26:\"uncode_connections_section\";s:5:\"class\";s:11:\"list-social\";s:8:\"settings\";a:4:{i:0;a:6:{s:2:\"id\";s:24:\"_uncode_social_unique_id\";s:5:\"class\";s:9:\"unique_id\";s:3:\"std\";s:7:\"social-\";s:4:\"type\";s:4:\"text\";s:5:\"label\";s:16:\"Unique social ID\";s:4:\"desc\";s:103:\"This value is created automatically and it shouldn&#039;t be edited unless you know what you are doing.\";}i:1;a:5:{s:2:\"id\";s:14:\"_uncode_social\";s:5:\"label\";s:19:\"Social Network Icon\";s:4:\"desc\";s:32:\"Specify the social network icon.\";s:4:\"type\";s:4:\"text\";s:5:\"class\";s:21:\"button_icon_container\";}i:2;a:7:{s:2:\"id\";s:12:\"_uncode_link\";s:5:\"label\";s:19:\"Social Network Link\";s:4:\"desc\";s:31:\"Enter your social network link.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:3;a:7:{s:2:\"id\";s:19:\"_uncode_menu_hidden\";s:5:\"label\";s:16:\"Hide In The Menu\";s:4:\"desc\";s:95:\"Activate to hide the social icon in the Menu (if the social connections in the Menu is active).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}}}i:838;a:5:{s:2:\"id\";s:17:\"_uncode_gmaps_api\";s:5:\"label\";s:19:\"Google Maps API KEY\";s:4:\"desc\";s:227:\"To use Uncode custom styled Google Maps you need to create <a href=\"https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key\" target=\"_blank\">here the Google API KEY</a> and paste it in this field.\";s:4:\"type\";s:4:\"text\";s:7:\"section\";s:20:\"uncode_gmaps_section\";}i:839;a:9:{s:2:\"id\";s:18:\"_uncode_custom_css\";s:5:\"label\";s:3:\"CSS\";s:4:\"desc\";s:27:\"Enter here your custom CSS.\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:3:\"css\";s:7:\"section\";s:20:\"uncode_cssjs_section\";s:4:\"rows\";s:2:\"13\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:840;a:9:{s:2:\"id\";s:17:\"_uncode_custom_js\";s:5:\"label\";s:10:\"JavaScript\";s:4:\"desc\";s:245:\"Enter here your custom JavaScript code. You can wrap your code in a &quot;script&quot; tag or just write the body of your function. Both methods are allowed. However, the syntax highlighter works in the second case only (without the script tag).\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:2:\"js\";s:7:\"section\";s:20:\"uncode_cssjs_section\";s:4:\"rows\";s:2:\"13\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:841;a:9:{s:2:\"id\";s:23:\"_uncode_custom_tracking\";s:5:\"label\";s:8:\"Tracking\";s:4:\"desc\";s:243:\"Enter here your custom Tracking code. You can wrap your code in a &quot;script&quot; tag or just write the body of your function. Both methods are allowed. However, the syntax highlighter works in the second case only (without the script tag).\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:2:\"js\";s:7:\"section\";s:20:\"uncode_cssjs_section\";s:4:\"rows\";s:2:\"13\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:842;a:8:{s:2:\"id\";s:16:\"_uncode_adaptive\";s:5:\"label\";s:15:\"Adaptive Images\";s:4:\"desc\";s:177:\"Activate to take advantage of the Adaptive Images system. Adaptive Images detects your visitor&#039;s screen size and automatically delivers device appropriate re-scaled images.\";s:3:\"std\";s:2:\"on\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:843;a:8:{s:2:\"id\";s:22:\"_uncode_adaptive_async\";s:5:\"label\";s:21:\"Adaptive Images Async\";s:4:\"desc\";s:156:\"Activate to load the Adaptive Images asynchronously, this will improve the loading performance and it&#039;s necessary if using an aggresive caching system.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:23:\"_uncode_adaptive:is(on)\";}i:844;a:8:{s:2:\"id\";s:27:\"_uncode_adaptive_async_blur\";s:5:\"label\";s:26:\"Adaptive Images Async Blur\";s:4:\"desc\";s:57:\"Activate to use a bluring effect when loading the images.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:53:\"_uncode_adaptive:is(on),_uncode_adaptive_async:is(on)\";}i:845;a:8:{s:2:\"id\";s:32:\"_uncode_adaptive_mobile_advanced\";s:5:\"label\";s:15:\"Mobile settings\";s:4:\"desc\";s:40:\"Activate to set specific mobile options.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:23:\"_uncode_adaptive:is(on)\";}i:846;a:8:{s:2:\"id\";s:38:\"_uncode_adaptive_use_orientation_width\";s:5:\"label\";s:26:\"Current mobile orientation\";s:4:\"desc\";s:128:\"Activate to use the current mobile orientation width (portrait or landscape) instead of the max device&#039;s width (landscape).\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:63:\"_uncode_adaptive:is(on),_uncode_adaptive_mobile_advanced:is(on)\";}i:847;a:8:{s:2:\"id\";s:30:\"_uncode_adaptive_limit_density\";s:5:\"label\";s:20:\"Limit device density\";s:4:\"desc\";s:116:\"Activate to limit the pixel density to 2 when generating the most appropriate image for high pixel density displays.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:3:\"and\";s:9:\"condition\";s:63:\"_uncode_adaptive:is(on),_uncode_adaptive_mobile_advanced:is(on)\";}i:848;a:9:{s:2:\"id\";s:24:\"_uncode_adaptive_quality\";s:5:\"label\";s:13:\"Image quality\";s:4:\"desc\";s:38:\"Adjust the images compression quality.\";s:3:\"std\";s:2:\"90\";s:4:\"type\";s:14:\"numeric-slider\";s:12:\"min_max_step\";s:8:\"60,100,1\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:23:\"_uncode_adaptive:is(on)\";}i:849;a:8:{s:2:\"id\";s:22:\"_uncode_adaptive_sizes\";s:5:\"label\";s:17:\"Image sizes range\";s:4:\"desc\";s:114:\"Enter all the image sizes you want use for the Adaptive Images system. NB. The values needs to be comma separated.\";s:4:\"type\";s:4:\"text\";s:3:\"std\";s:31:\"258,516,720,1032,1440,2064,2880\";s:7:\"section\";s:26:\"uncode_performance_section\";s:8:\"operator\";s:2:\"or\";s:9:\"condition\";s:23:\"_uncode_adaptive:is(on)\";}i:850;a:8:{s:2:\"id\";s:30:\"_uncode_adaptive_register_meta\";s:5:\"label\";s:17:\"Register Metadata\";s:4:\"desc\";s:164:\"Activate to register the image metadata when generating thumbnails and Adaptive Images. Useful if you intend to use a plugin for image optimization like ShortPixel.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:851;a:8:{s:2:\"id\";s:16:\"_uncode_htaccess\";s:5:\"label\";s:21:\"Apache Server Configs\";s:4:\"desc\";s:96:\"Activate the enhanced .htaccess, this will improve the web site&#039;s performance and security.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:852;a:8:{s:2:\"id\";s:18:\"_uncode_production\";s:5:\"label\";s:15:\"Production mode\";s:4:\"desc\";s:109:\"Activate this to switch to production mode, the CSS and JS will be cached by the browser and the JS minified.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:26:\"uncode_performance_section\";s:9:\"condition\";s:0:\"\";s:8:\"operator\";s:3:\"and\";}i:853;a:6:{s:2:\"id\";s:16:\"_uncode_redirect\";s:5:\"label\";s:22:\"Activate page redirect\";s:4:\"desc\";s:123:\"Activate to redirect all the website calls to a specific page. NB. This can only be visible when the user is not logged in.\";s:3:\"std\";s:3:\"off\";s:4:\"type\";s:6:\"on-off\";s:7:\"section\";s:23:\"uncode_redirect_section\";}i:854;a:8:{s:2:\"id\";s:21:\"_uncode_redirect_page\";s:5:\"label\";s:13:\"Redirect page\";s:4:\"desc\";s:83:\"Specify the redirect page. NB. This page will be presented without Menu and footer.\";s:4:\"type\";s:11:\"page_select\";s:7:\"section\";s:23:\"uncode_redirect_section\";s:9:\"post_type\";s:4:\"page\";s:9:\"condition\";s:23:\"_uncode_redirect:is(on)\";s:8:\"operator\";s:3:\"and\";}}}", "yes");
INSERT INTO `wp_options` VALUES("151", "uncode_check_for_author_module", "1", "yes");
INSERT INTO `wp_options` VALUES("152", "uncode_latest_version", "2.2.6", "yes");
INSERT INTO `wp_options` VALUES("153", "uncode", "a:744:{s:19:\"_uncode_logo_switch\";s:2:\"on\";s:12:\"_uncode_logo\";s:0:\"\";s:18:\"_uncode_logo_light\";s:5:\"79282\";s:17:\"_uncode_logo_dark\";s:5:\"79283\";s:26:\"_uncode_logo_mobile_switch\";s:3:\"off\";s:19:\"_uncode_logo_mobile\";s:0:\"\";s:25:\"_uncode_logo_mobile_light\";s:0:\"\";s:24:\"_uncode_logo_mobile_dark\";s:0:\"\";s:19:\"_uncode_logo_height\";s:3:\"120\";s:26:\"_uncode_logo_height_mobile\";s:2:\"80\";s:15:\"_uncode_headers\";s:18:\"hmenu-center-split\";s:22:\"_uncode_hmenu_position\";s:4:\"left\";s:22:\"_uncode_vmenu_position\";s:5:\"right\";s:24:\"_uncode_vmenu_v_position\";s:3:\"top\";s:19:\"_uncode_vmenu_align\";s:4:\"left\";s:19:\"_uncode_vmenu_width\";s:3:\"300\";s:29:\"_uncode_menu_accordion_active\";s:3:\"off\";s:17:\"_uncode_menu_full\";s:2:\"on\";s:20:\"_uncode_menu_shadows\";s:3:\"off\";s:23:\"_uncode_submenu_shadows\";s:3:\"std\";s:30:\"_uncode_submenu_darker_shadows\";s:2:\"on\";s:20:\"_uncode_menu_borders\";s:3:\"off\";s:22:\"_uncode_menu_no_arrows\";s:3:\"off\";s:32:\"_uncode_menu_mobile_transparency\";s:3:\"off\";s:27:\"_uncode_menu_custom_padding\";s:2:\"on\";s:35:\"_uncode_menu_custom_padding_desktop\";s:2:\"27\";s:34:\"_uncode_menu_custom_padding_mobile\";s:1:\"9\";s:19:\"_uncode_menu_sticky\";s:3:\"off\";s:26:\"_uncode_menu_sticky_mobile\";s:3:\"off\";s:28:\"_uncode_menu_mobile_centered\";s:3:\"off\";s:17:\"_uncode_menu_hide\";s:3:\"off\";s:24:\"_uncode_menu_hide_mobile\";s:3:\"off\";s:19:\"_uncode_menu_shrink\";s:3:\"off\";s:16:\"_uncode_min_logo\";s:2:\"60\";s:25:\"_uncode_menu_li_animation\";s:2:\"on\";s:29:\"_uncode_menu_mobile_animation\";s:4:\"none\";s:30:\"_uncode_menu_overlay_animation\";s:10:\"sequential\";s:25:\"_uncode_menu_no_secondary\";s:3:\"off\";s:25:\"_uncode_secondary_padding\";s:3:\"off\";s:19:\"_uncode_menu_no_cta\";s:3:\"off\";s:20:\"_uncode_menu_socials\";s:3:\"off\";s:19:\"_uncode_menu_search\";s:3:\"off\";s:29:\"_uncode_menu_search_animation\";s:10:\"sequential\";s:24:\"_uncode_woocommerce_cart\";s:3:\"off\";s:32:\"_uncode_woocommerce_cart_desktop\";s:3:\"off\";s:31:\"_uncode_woocommerce_cart_mobile\";s:3:\"off\";s:29:\"_uncode_woocommerce_cart_icon\";s:9:\"fa fa-bag\";s:21:\"_uncode_menu_bloginfo\";s:0:\"\";s:18:\"_uncode_main_width\";a:2:{i:0;s:4:\"1380\";i:1;s:2:\"px\";}s:18:\"_uncode_main_align\";s:6:\"center\";s:13:\"_uncode_boxed\";s:2:\"on\";s:19:\"_uncode_body_border\";s:1:\"0\";s:25:\"_uncode_body_border_color\";s:11:\"color-black\";s:19:\"_uncode_header_full\";s:2:\"on\";s:17:\"_uncode_body_full\";s:3:\"off\";s:19:\"_uncode_footer_full\";s:2:\"on\";s:20:\"_uncode_footer_block\";s:4:\"2649\";s:17:\"_uncode_copy_hide\";s:2:\"on\";s:24:\"_uncode_footer_copyright\";s:3:\"off\";s:19:\"_uncode_footer_text\";s:906:\"<p>© 2020 Melaniee Benson. Made by <a class=\"decoration-none\" href=\"https://courtesancreative.com/\" rel=\"nofollow\">Courtesan Creative</a>.</p>\r\n\r\n<a href=\"https://preferred411.com/index.cfm?fx=Client&Refer=324897\" target=\"_blank\" rel=\"noopener\"><img src=\"https://preferred411.com/a/preferredSeal-bw-1.png\" border=\"0\" width=\"109\"></a> <span style=\"text-align: center;min-width: 120px !important;min-height: 120px !important;display:inline-block;\">\r\n<a href=\"https://www.slixa.com/new-york/new-york/melaniee-benson\" target=\"_blank\" rel=\"noopener\"><img src=\"https://badge.slixa.com/melaniee-benson/slixa_badge120x120_v8.jpg\" alt=\"\" width=\"120\" height=\"120\"></a><br><a href=\"https://www.slixa.com/new-york/new-york/\" target=\"_blank\" rel=\"noopener\">Escorts</a></span> <a href=\"https://www.theeroticreview.com\"><img src=\"https://www.theeroticreview.com/images/reviewed_seal.gif\" border=\"0\" alt=\"banner\"></a>\r\n\r\n\";s:23:\"_uncode_footer_position\";s:6:\"center\";s:21:\"_uncode_footer_social\";s:3:\"off\";s:22:\"_uncode_footer_uparrow\";s:3:\"off\";s:29:\"_uncode_footer_uparrow_mobile\";s:2:\"on\";s:17:\"_uncode_post_menu\";s:0:\"\";s:23:\"_uncode_post_menu_width\";s:0:\"\";s:24:\"_uncode_post_menu_opaque\";s:3:\"off\";s:19:\"_uncode_post_header\";s:4:\"none\";s:19:\"_uncode_post_blocks\";s:4:\"1544\";s:25:\"_uncode_post_header_width\";s:0:\"\";s:26:\"_uncode_post_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:30:\"_uncode_post_header_min_height\";s:3:\"300\";s:25:\"_uncode_post_header_title\";s:2:\"on\";s:25:\"_uncode_post_header_style\";s:4:\"dark\";s:33:\"_uncode_post_header_content_width\";s:3:\"off\";s:32:\"_uncode_post_header_custom_width\";s:3:\"100\";s:25:\"_uncode_post_header_align\";s:6:\"center\";s:28:\"_uncode_post_header_position\";s:27:\"header-center header-middle\";s:30:\"_uncode_post_header_title_font\";s:0:\"\";s:30:\"_uncode_post_header_title_size\";s:2:\"h1\";s:32:\"_uncode_post_header_title_height\";s:0:\"\";s:33:\"_uncode_post_header_title_spacing\";s:0:\"\";s:32:\"_uncode_post_header_title_weight\";s:0:\"\";s:35:\"_uncode_post_header_title_transform\";s:9:\"uppercase\";s:32:\"_uncode_post_header_title_italic\";s:3:\"off\";s:34:\"_uncode_post_header_text_animation\";s:12:\"bottom-t-top\";s:35:\"_uncode_post_header_animation_speed\";s:0:\"\";s:35:\"_uncode_post_header_animation_delay\";s:0:\"\";s:28:\"_uncode_post_header_featured\";s:2:\"on\";s:30:\"_uncode_post_header_background\";s:0:\"\";s:28:\"_uncode_post_header_parallax\";s:2:\"on\";s:26:\"_uncode_post_header_kburns\";s:0:\"\";s:33:\"_uncode_post_header_overlay_color\";s:11:\"color-white\";s:39:\"_uncode_post_header_overlay_color_alpha\";s:2:\"80\";s:34:\"_uncode_post_header_scroll_opacity\";s:3:\"off\";s:30:\"_uncode_post_header_scrolldown\";s:3:\"off\";s:25:\"_uncode_post_layout_width\";s:0:\"\";s:32:\"_uncode_post_layout_width_custom\";a:2:{i:0;s:3:\"840\";i:1;s:2:\"px\";}s:23:\"_uncode_post_breadcrumb\";s:3:\"off\";s:29:\"_uncode_post_breadcrumb_align\";s:0:\"\";s:18:\"_uncode_post_title\";s:2:\"on\";s:18:\"_uncode_post_media\";s:2:\"on\";s:35:\"_uncode_post_featured_media_display\";s:8:\"carousel\";s:27:\"_uncode_post_featured_media\";s:3:\"off\";s:18:\"_uncode_post_share\";s:3:\"off\";s:17:\"_uncode_post_tags\";s:2:\"on\";s:23:\"_uncode_post_tags_align\";s:4:\"left\";s:36:\"_uncode_post_content_block_after_pre\";s:0:\"\";s:32:\"_uncode_post_content_block_after\";s:0:\"\";s:21:\"_uncode_post_comments\";s:3:\"off\";s:29:\"_uncode_post_activate_sidebar\";s:3:\"off\";s:20:\"_uncode_post_sidebar\";s:9:\"sidebar-1\";s:29:\"_uncode_post_sidebar_position\";s:13:\"sidebar_right\";s:25:\"_uncode_post_sidebar_size\";s:1:\"4\";s:27:\"_uncode_post_sidebar_sticky\";s:3:\"off\";s:26:\"_uncode_post_sidebar_style\";s:0:\"\";s:28:\"_uncode_post_sidebar_bgcolor\";s:0:\"\";s:25:\"_uncode_post_sidebar_fill\";s:3:\"off\";s:32:\"_uncode_post_navigation_activate\";s:3:\"off\";s:29:\"_uncode_post_navigation_index\";s:0:\"\";s:35:\"_uncode_post_navigation_index_label\";s:0:\"\";s:38:\"_uncode_post_navigation_nextprev_title\";s:3:\"off\";s:25:\"_uncode_post_footer_block\";s:0:\"\";s:25:\"_uncode_post_footer_width\";s:0:\"\";s:17:\"_uncode_page_menu\";s:0:\"\";s:23:\"_uncode_page_menu_width\";s:0:\"\";s:24:\"_uncode_page_menu_opaque\";s:3:\"off\";s:19:\"_uncode_page_header\";s:18:\"header_uncodeblock\";s:19:\"_uncode_page_blocks\";s:4:\"1544\";s:25:\"_uncode_page_header_width\";s:0:\"\";s:26:\"_uncode_page_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:30:\"_uncode_page_header_min_height\";s:3:\"300\";s:25:\"_uncode_page_header_title\";s:2:\"on\";s:25:\"_uncode_page_header_style\";s:5:\"light\";s:33:\"_uncode_page_header_content_width\";s:3:\"off\";s:32:\"_uncode_page_header_custom_width\";s:3:\"100\";s:25:\"_uncode_page_header_align\";s:6:\"center\";s:28:\"_uncode_page_header_position\";s:27:\"header-center header-middle\";s:30:\"_uncode_page_header_title_font\";s:0:\"\";s:30:\"_uncode_page_header_title_size\";s:2:\"h1\";s:32:\"_uncode_page_header_title_height\";s:0:\"\";s:33:\"_uncode_page_header_title_spacing\";s:0:\"\";s:32:\"_uncode_page_header_title_weight\";s:0:\"\";s:35:\"_uncode_page_header_title_transform\";s:9:\"uppercase\";s:32:\"_uncode_page_header_title_italic\";s:3:\"off\";s:34:\"_uncode_page_header_text_animation\";s:0:\"\";s:35:\"_uncode_page_header_animation_speed\";s:0:\"\";s:35:\"_uncode_page_header_animation_delay\";s:0:\"\";s:28:\"_uncode_page_header_featured\";s:2:\"on\";s:30:\"_uncode_page_header_background\";s:0:\"\";s:28:\"_uncode_page_header_parallax\";s:2:\"on\";s:26:\"_uncode_page_header_kburns\";s:0:\"\";s:33:\"_uncode_page_header_overlay_color\";s:11:\"color-white\";s:39:\"_uncode_page_header_overlay_color_alpha\";s:2:\"80\";s:34:\"_uncode_page_header_scroll_opacity\";s:3:\"off\";s:30:\"_uncode_page_header_scrolldown\";s:3:\"off\";s:25:\"_uncode_page_layout_width\";s:0:\"\";s:32:\"_uncode_page_layout_width_custom\";a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}s:23:\"_uncode_page_breadcrumb\";s:3:\"off\";s:29:\"_uncode_page_breadcrumb_align\";s:0:\"\";s:18:\"_uncode_page_title\";s:3:\"off\";s:18:\"_uncode_page_media\";s:3:\"off\";s:35:\"_uncode_page_featured_media_display\";s:8:\"carousel\";s:27:\"_uncode_page_featured_media\";s:3:\"off\";s:32:\"_uncode_page_content_block_after\";s:0:\"\";s:21:\"_uncode_page_comments\";s:3:\"off\";s:29:\"_uncode_page_activate_sidebar\";s:3:\"off\";s:20:\"_uncode_page_sidebar\";s:0:\"\";s:29:\"_uncode_page_sidebar_position\";s:13:\"sidebar_right\";s:25:\"_uncode_page_sidebar_size\";s:1:\"4\";s:27:\"_uncode_page_sidebar_sticky\";s:3:\"off\";s:26:\"_uncode_page_sidebar_style\";s:0:\"\";s:28:\"_uncode_page_sidebar_bgcolor\";s:0:\"\";s:25:\"_uncode_page_sidebar_fill\";s:3:\"off\";s:25:\"_uncode_page_footer_block\";s:0:\"\";s:25:\"_uncode_page_footer_width\";s:0:\"\";s:22:\"_uncode_portfolio_menu\";s:0:\"\";s:28:\"_uncode_portfolio_menu_width\";s:0:\"\";s:29:\"_uncode_portfolio_menu_opaque\";s:3:\"off\";s:24:\"_uncode_portfolio_header\";s:18:\"header_uncodeblock\";s:24:\"_uncode_portfolio_blocks\";s:4:\"1544\";s:30:\"_uncode_portfolio_header_width\";s:0:\"\";s:31:\"_uncode_portfolio_header_height\";a:2:{i:0;s:2:\"38\";i:1;s:1:\"%\";}s:35:\"_uncode_portfolio_header_min_height\";s:3:\"300\";s:30:\"_uncode_portfolio_header_title\";s:2:\"on\";s:30:\"_uncode_portfolio_header_style\";s:5:\"light\";s:38:\"_uncode_portfolio_header_content_width\";s:3:\"off\";s:37:\"_uncode_portfolio_header_custom_width\";s:3:\"100\";s:30:\"_uncode_portfolio_header_align\";s:6:\"center\";s:33:\"_uncode_portfolio_header_position\";s:27:\"header-center header-middle\";s:35:\"_uncode_portfolio_header_title_font\";s:0:\"\";s:35:\"_uncode_portfolio_header_title_size\";s:2:\"h1\";s:37:\"_uncode_portfolio_header_title_height\";s:0:\"\";s:38:\"_uncode_portfolio_header_title_spacing\";s:0:\"\";s:37:\"_uncode_portfolio_header_title_weight\";s:3:\"900\";s:40:\"_uncode_portfolio_header_title_transform\";s:9:\"uppercase\";s:37:\"_uncode_portfolio_header_title_italic\";s:3:\"off\";s:39:\"_uncode_portfolio_header_text_animation\";s:12:\"bottom-t-top\";s:40:\"_uncode_portfolio_header_animation_speed\";s:0:\"\";s:40:\"_uncode_portfolio_header_animation_delay\";s:0:\"\";s:33:\"_uncode_portfolio_header_featured\";s:3:\"off\";s:35:\"_uncode_portfolio_header_background\";s:0:\"\";s:33:\"_uncode_portfolio_header_parallax\";s:3:\"off\";s:31:\"_uncode_portfolio_header_kburns\";s:0:\"\";s:38:\"_uncode_portfolio_header_overlay_color\";s:11:\"color-white\";s:44:\"_uncode_portfolio_header_overlay_color_alpha\";s:2:\"80\";s:39:\"_uncode_portfolio_header_scroll_opacity\";s:3:\"off\";s:35:\"_uncode_portfolio_header_scrolldown\";s:3:\"off\";s:30:\"_uncode_portfolio_layout_width\";s:0:\"\";s:37:\"_uncode_portfolio_layout_width_custom\";a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}s:28:\"_uncode_portfolio_breadcrumb\";s:3:\"off\";s:34:\"_uncode_portfolio_breadcrumb_align\";s:0:\"\";s:23:\"_uncode_portfolio_title\";s:3:\"off\";s:23:\"_uncode_portfolio_media\";s:2:\"on\";s:40:\"_uncode_portfolio_featured_media_display\";s:8:\"carousel\";s:32:\"_uncode_portfolio_featured_media\";s:3:\"off\";s:23:\"_uncode_portfolio_share\";s:3:\"off\";s:37:\"_uncode_portfolio_content_block_after\";s:0:\"\";s:26:\"_uncode_portfolio_comments\";s:3:\"off\";s:26:\"_uncode_portfolio_position\";s:0:\"\";s:30:\"_uncode_portfolio_sidebar_size\";s:1:\"4\";s:32:\"_uncode_portfolio_sidebar_sticky\";s:3:\"off\";s:23:\"_uncode_portfolio_style\";s:0:\"\";s:25:\"_uncode_portfolio_bgcolor\";s:0:\"\";s:30:\"_uncode_portfolio_sidebar_fill\";s:3:\"off\";s:37:\"_uncode_portfolio_navigation_activate\";s:2:\"on\";s:34:\"_uncode_portfolio_navigation_index\";s:0:\"\";s:40:\"_uncode_portfolio_navigation_index_label\";s:0:\"\";s:43:\"_uncode_portfolio_navigation_nextprev_title\";s:3:\"off\";s:30:\"_uncode_portfolio_footer_block\";s:0:\"\";s:30:\"_uncode_portfolio_footer_width\";s:0:\"\";s:18:\"_uncode_popup_menu\";s:0:\"\";s:24:\"_uncode_popup_menu_width\";s:0:\"\";s:25:\"_uncode_popup_menu_opaque\";s:3:\"off\";s:20:\"_uncode_popup_header\";s:4:\"none\";s:20:\"_uncode_popup_blocks\";s:0:\"\";s:26:\"_uncode_popup_header_width\";s:0:\"\";s:27:\"_uncode_popup_header_height\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:31:\"_uncode_popup_header_min_height\";s:3:\"300\";s:26:\"_uncode_popup_header_title\";s:2:\"on\";s:26:\"_uncode_popup_header_style\";s:5:\"light\";s:34:\"_uncode_popup_header_content_width\";s:3:\"off\";s:33:\"_uncode_popup_header_custom_width\";s:3:\"100\";s:26:\"_uncode_popup_header_align\";s:6:\"center\";s:29:\"_uncode_popup_header_position\";s:27:\"header-center header-middle\";s:31:\"_uncode_popup_header_title_font\";s:0:\"\";s:31:\"_uncode_popup_header_title_size\";s:2:\"h1\";s:33:\"_uncode_popup_header_title_height\";s:0:\"\";s:34:\"_uncode_popup_header_title_spacing\";s:0:\"\";s:33:\"_uncode_popup_header_title_weight\";s:0:\"\";s:36:\"_uncode_popup_header_title_transform\";s:0:\"\";s:33:\"_uncode_popup_header_title_italic\";s:3:\"off\";s:35:\"_uncode_popup_header_text_animation\";s:0:\"\";s:36:\"_uncode_popup_header_animation_speed\";s:0:\"\";s:36:\"_uncode_popup_header_animation_delay\";s:0:\"\";s:29:\"_uncode_popup_header_featured\";s:2:\"on\";s:31:\"_uncode_popup_header_background\";s:0:\"\";s:29:\"_uncode_popup_header_parallax\";s:3:\"off\";s:27:\"_uncode_popup_header_kburns\";s:0:\"\";s:34:\"_uncode_popup_header_overlay_color\";s:0:\"\";s:40:\"_uncode_popup_header_overlay_color_alpha\";s:3:\"100\";s:35:\"_uncode_popup_header_scroll_opacity\";s:3:\"off\";s:31:\"_uncode_popup_header_scrolldown\";s:3:\"off\";s:26:\"_uncode_popup_layout_width\";s:0:\"\";s:33:\"_uncode_popup_layout_width_custom\";a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}s:24:\"_uncode_popup_breadcrumb\";s:3:\"off\";s:30:\"_uncode_popup_breadcrumb_align\";s:0:\"\";s:19:\"_uncode_popup_title\";s:2:\"on\";s:19:\"_uncode_popup_media\";s:2:\"on\";s:28:\"_uncode_popup_featured_media\";s:3:\"off\";s:19:\"_uncode_popup_share\";s:3:\"off\";s:26:\"_uncode_popup_image_layout\";s:0:\"\";s:24:\"_uncode_popup_media_size\";s:1:\"6\";s:25:\"_uncode_popup_sticky_desc\";s:2:\"on\";s:25:\"_uncode_popup_enable_zoom\";s:3:\"off\";s:24:\"_uncode_popup_thumb_cols\";s:0:\"\";s:27:\"_uncode_popup_enable_slider\";s:3:\"off\";s:37:\"_uncode_popup_content_block_after_pre\";s:0:\"\";s:33:\"_uncode_popup_content_block_after\";s:0:\"\";s:22:\"_uncode_popup_comments\";s:2:\"on\";s:30:\"_uncode_popup_activate_sidebar\";s:3:\"off\";s:21:\"_uncode_popup_sidebar\";s:0:\"\";s:30:\"_uncode_popup_sidebar_position\";s:13:\"sidebar_right\";s:26:\"_uncode_popup_sidebar_size\";s:1:\"4\";s:28:\"_uncode_popup_sidebar_sticky\";s:3:\"off\";s:27:\"_uncode_popup_sidebar_style\";s:0:\"\";s:29:\"_uncode_popup_sidebar_bgcolor\";s:0:\"\";s:26:\"_uncode_popup_sidebar_fill\";s:3:\"off\";s:33:\"_uncode_popup_navigation_activate\";s:2:\"on\";s:30:\"_uncode_popup_navigation_index\";s:0:\"\";s:36:\"_uncode_popup_navigation_index_label\";s:0:\"\";s:39:\"_uncode_popup_navigation_nextprev_title\";s:3:\"off\";s:26:\"_uncode_popup_footer_block\";s:0:\"\";s:26:\"_uncode_popup_footer_width\";s:0:\"\";s:23:\"_uncode_post_index_menu\";s:0:\"\";s:29:\"_uncode_post_index_menu_width\";s:0:\"\";s:30:\"_uncode_post_index_menu_opaque\";s:3:\"off\";s:25:\"_uncode_post_index_header\";s:18:\"header_uncodeblock\";s:25:\"_uncode_post_index_blocks\";s:4:\"1544\";s:31:\"_uncode_post_index_header_width\";s:0:\"\";s:32:\"_uncode_post_index_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:36:\"_uncode_post_index_header_min_height\";s:3:\"300\";s:31:\"_uncode_post_index_header_title\";s:2:\"on\";s:31:\"_uncode_post_index_header_style\";s:5:\"light\";s:39:\"_uncode_post_index_header_content_width\";s:3:\"off\";s:38:\"_uncode_post_index_header_custom_width\";s:3:\"100\";s:31:\"_uncode_post_index_header_align\";s:6:\"center\";s:34:\"_uncode_post_index_header_position\";s:27:\"header-center header-middle\";s:36:\"_uncode_post_index_header_title_font\";s:0:\"\";s:36:\"_uncode_post_index_header_title_size\";s:2:\"h1\";s:38:\"_uncode_post_index_header_title_height\";s:0:\"\";s:39:\"_uncode_post_index_header_title_spacing\";s:0:\"\";s:38:\"_uncode_post_index_header_title_weight\";s:0:\"\";s:41:\"_uncode_post_index_header_title_transform\";s:9:\"uppercase\";s:38:\"_uncode_post_index_header_title_italic\";s:3:\"off\";s:40:\"_uncode_post_index_header_text_animation\";s:12:\"bottom-t-top\";s:41:\"_uncode_post_index_header_animation_speed\";s:0:\"\";s:41:\"_uncode_post_index_header_animation_delay\";s:0:\"\";s:34:\"_uncode_post_index_header_featured\";s:2:\"on\";s:36:\"_uncode_post_index_header_background\";s:0:\"\";s:34:\"_uncode_post_index_header_parallax\";s:3:\"off\";s:32:\"_uncode_post_index_header_kburns\";s:0:\"\";s:39:\"_uncode_post_index_header_overlay_color\";s:11:\"color-white\";s:45:\"_uncode_post_index_header_overlay_color_alpha\";s:2:\"80\";s:40:\"_uncode_post_index_header_scroll_opacity\";s:3:\"off\";s:36:\"_uncode_post_index_header_scrolldown\";s:3:\"off\";s:34:\"_uncode_post_index_menu_no_padding\";s:2:\"on\";s:41:\"_uncode_post_index_menu_no_padding_mobile\";s:2:\"on\";s:40:\"_uncode_post_index_custom_title_activate\";s:3:\"off\";s:36:\"_uncode_post_index_custom_title_text\";s:0:\"\";s:39:\"_uncode_post_index_custom_subtitle_text\";s:0:\"\";s:29:\"_uncode_post_index_breadcrumb\";s:3:\"off\";s:35:\"_uncode_post_index_breadcrumb_align\";s:0:\"\";s:32:\"_uncode_post_index_content_block\";s:0:\"\";s:31:\"_uncode_post_index_layout_width\";s:0:\"\";s:31:\"_uncode_post_index_single_width\";s:1:\"4\";s:37:\"_uncode_post_index_single_text_length\";s:3:\"180\";s:24:\"_uncode_post_index_title\";s:3:\"off\";s:36:\"_uncode_post_index_remove_pagination\";s:3:\"off\";s:35:\"_uncode_post_index_activate_sidebar\";s:3:\"off\";s:26:\"_uncode_post_index_sidebar\";s:0:\"\";s:35:\"_uncode_post_index_sidebar_position\";s:13:\"sidebar_right\";s:31:\"_uncode_post_index_sidebar_size\";s:1:\"4\";s:33:\"_uncode_post_index_sidebar_sticky\";s:3:\"off\";s:32:\"_uncode_post_index_sidebar_style\";s:0:\"\";s:34:\"_uncode_post_index_sidebar_bgcolor\";s:0:\"\";s:31:\"_uncode_post_index_sidebar_fill\";s:3:\"off\";s:31:\"_uncode_post_index_footer_block\";s:0:\"\";s:31:\"_uncode_post_index_footer_width\";s:0:\"\";s:23:\"_uncode_page_index_menu\";s:0:\"\";s:29:\"_uncode_page_index_menu_width\";s:0:\"\";s:30:\"_uncode_page_index_menu_opaque\";s:3:\"off\";s:25:\"_uncode_page_index_header\";s:18:\"header_uncodeblock\";s:25:\"_uncode_page_index_blocks\";s:4:\"1544\";s:31:\"_uncode_page_index_header_width\";s:0:\"\";s:32:\"_uncode_page_index_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:36:\"_uncode_page_index_header_min_height\";s:3:\"300\";s:31:\"_uncode_page_index_header_title\";s:2:\"on\";s:31:\"_uncode_page_index_header_style\";s:5:\"light\";s:39:\"_uncode_page_index_header_content_width\";s:3:\"off\";s:38:\"_uncode_page_index_header_custom_width\";s:3:\"100\";s:31:\"_uncode_page_index_header_align\";s:6:\"center\";s:34:\"_uncode_page_index_header_position\";s:27:\"header-center header-middle\";s:36:\"_uncode_page_index_header_title_font\";s:0:\"\";s:36:\"_uncode_page_index_header_title_size\";s:2:\"h1\";s:38:\"_uncode_page_index_header_title_height\";s:0:\"\";s:39:\"_uncode_page_index_header_title_spacing\";s:0:\"\";s:38:\"_uncode_page_index_header_title_weight\";s:0:\"\";s:41:\"_uncode_page_index_header_title_transform\";s:9:\"uppercase\";s:38:\"_uncode_page_index_header_title_italic\";s:3:\"off\";s:40:\"_uncode_page_index_header_text_animation\";s:12:\"bottom-t-top\";s:41:\"_uncode_page_index_header_animation_speed\";s:0:\"\";s:41:\"_uncode_page_index_header_animation_delay\";s:0:\"\";s:34:\"_uncode_page_index_header_featured\";s:2:\"on\";s:36:\"_uncode_page_index_header_background\";s:0:\"\";s:34:\"_uncode_page_index_header_parallax\";s:2:\"on\";s:32:\"_uncode_page_index_header_kburns\";s:0:\"\";s:39:\"_uncode_page_index_header_overlay_color\";s:11:\"color-white\";s:45:\"_uncode_page_index_header_overlay_color_alpha\";s:2:\"80\";s:40:\"_uncode_page_index_header_scroll_opacity\";s:3:\"off\";s:36:\"_uncode_page_index_header_scrolldown\";s:3:\"off\";s:34:\"_uncode_page_index_menu_no_padding\";s:2:\"on\";s:41:\"_uncode_page_index_menu_no_padding_mobile\";s:2:\"on\";s:29:\"_uncode_page_index_breadcrumb\";s:3:\"off\";s:35:\"_uncode_page_index_breadcrumb_align\";s:0:\"\";s:32:\"_uncode_page_index_content_block\";s:0:\"\";s:31:\"_uncode_page_index_layout_width\";s:0:\"\";s:31:\"_uncode_page_index_single_width\";s:1:\"4\";s:37:\"_uncode_page_index_single_text_length\";s:3:\"180\";s:24:\"_uncode_page_index_title\";s:3:\"off\";s:36:\"_uncode_page_index_remove_pagination\";s:3:\"off\";s:35:\"_uncode_page_index_activate_sidebar\";s:3:\"off\";s:26:\"_uncode_page_index_sidebar\";s:0:\"\";s:35:\"_uncode_page_index_sidebar_position\";s:13:\"sidebar_right\";s:31:\"_uncode_page_index_sidebar_size\";s:1:\"4\";s:33:\"_uncode_page_index_sidebar_sticky\";s:3:\"off\";s:32:\"_uncode_page_index_sidebar_style\";s:0:\"\";s:34:\"_uncode_page_index_sidebar_bgcolor\";s:0:\"\";s:31:\"_uncode_page_index_sidebar_fill\";s:3:\"off\";s:31:\"_uncode_page_index_footer_block\";s:0:\"\";s:31:\"_uncode_page_index_footer_width\";s:0:\"\";s:28:\"_uncode_portfolio_index_menu\";s:0:\"\";s:34:\"_uncode_portfolio_index_menu_width\";s:0:\"\";s:35:\"_uncode_portfolio_index_menu_opaque\";s:3:\"off\";s:30:\"_uncode_portfolio_index_header\";s:18:\"header_uncodeblock\";s:30:\"_uncode_portfolio_index_blocks\";s:4:\"1544\";s:36:\"_uncode_portfolio_index_header_width\";s:0:\"\";s:37:\"_uncode_portfolio_index_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:41:\"_uncode_portfolio_index_header_min_height\";s:3:\"300\";s:36:\"_uncode_portfolio_index_header_title\";s:2:\"on\";s:36:\"_uncode_portfolio_index_header_style\";s:5:\"light\";s:44:\"_uncode_portfolio_index_header_content_width\";s:3:\"off\";s:43:\"_uncode_portfolio_index_header_custom_width\";s:3:\"100\";s:36:\"_uncode_portfolio_index_header_align\";s:6:\"center\";s:39:\"_uncode_portfolio_index_header_position\";s:27:\"header-center header-middle\";s:41:\"_uncode_portfolio_index_header_title_font\";s:0:\"\";s:41:\"_uncode_portfolio_index_header_title_size\";s:2:\"h1\";s:43:\"_uncode_portfolio_index_header_title_height\";s:0:\"\";s:44:\"_uncode_portfolio_index_header_title_spacing\";s:0:\"\";s:43:\"_uncode_portfolio_index_header_title_weight\";s:0:\"\";s:46:\"_uncode_portfolio_index_header_title_transform\";s:0:\"\";s:43:\"_uncode_portfolio_index_header_title_italic\";s:3:\"off\";s:45:\"_uncode_portfolio_index_header_text_animation\";s:12:\"bottom-t-top\";s:46:\"_uncode_portfolio_index_header_animation_speed\";s:0:\"\";s:46:\"_uncode_portfolio_index_header_animation_delay\";s:0:\"\";s:39:\"_uncode_portfolio_index_header_featured\";s:2:\"on\";s:41:\"_uncode_portfolio_index_header_background\";s:0:\"\";s:39:\"_uncode_portfolio_index_header_parallax\";s:2:\"on\";s:37:\"_uncode_portfolio_index_header_kburns\";s:0:\"\";s:44:\"_uncode_portfolio_index_header_overlay_color\";s:11:\"color-white\";s:50:\"_uncode_portfolio_index_header_overlay_color_alpha\";s:2:\"80\";s:45:\"_uncode_portfolio_index_header_scroll_opacity\";s:3:\"off\";s:41:\"_uncode_portfolio_index_header_scrolldown\";s:3:\"off\";s:39:\"_uncode_portfolio_index_menu_no_padding\";s:2:\"on\";s:46:\"_uncode_portfolio_index_menu_no_padding_mobile\";s:2:\"on\";s:45:\"_uncode_portfolio_index_custom_title_activate\";s:3:\"off\";s:41:\"_uncode_portfolio_index_custom_title_text\";s:0:\"\";s:44:\"_uncode_portfolio_index_custom_subtitle_text\";s:0:\"\";s:34:\"_uncode_portfolio_index_breadcrumb\";s:3:\"off\";s:40:\"_uncode_portfolio_index_breadcrumb_align\";s:0:\"\";s:37:\"_uncode_portfolio_index_content_block\";s:0:\"\";s:36:\"_uncode_portfolio_index_layout_width\";s:0:\"\";s:36:\"_uncode_portfolio_index_single_width\";s:1:\"4\";s:29:\"_uncode_portfolio_index_title\";s:3:\"off\";s:41:\"_uncode_portfolio_index_remove_pagination\";s:3:\"off\";s:40:\"_uncode_portfolio_index_activate_sidebar\";s:3:\"off\";s:31:\"_uncode_portfolio_index_sidebar\";s:0:\"\";s:40:\"_uncode_portfolio_index_sidebar_position\";s:13:\"sidebar_right\";s:36:\"_uncode_portfolio_index_sidebar_size\";s:1:\"4\";s:38:\"_uncode_portfolio_index_sidebar_sticky\";s:3:\"off\";s:37:\"_uncode_portfolio_index_sidebar_style\";s:0:\"\";s:39:\"_uncode_portfolio_index_sidebar_bgcolor\";s:0:\"\";s:36:\"_uncode_portfolio_index_sidebar_fill\";s:3:\"off\";s:36:\"_uncode_portfolio_index_footer_block\";s:0:\"\";s:36:\"_uncode_portfolio_index_footer_width\";s:0:\"\";s:24:\"_uncode_popup_index_menu\";s:0:\"\";s:30:\"_uncode_popup_index_menu_width\";s:0:\"\";s:31:\"_uncode_popup_index_menu_opaque\";s:3:\"off\";s:26:\"_uncode_popup_index_header\";s:12:\"header_basic\";s:26:\"_uncode_popup_index_blocks\";s:0:\"\";s:32:\"_uncode_popup_index_header_width\";s:0:\"\";s:33:\"_uncode_popup_index_header_height\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:37:\"_uncode_popup_index_header_min_height\";s:3:\"300\";s:32:\"_uncode_popup_index_header_title\";s:2:\"on\";s:32:\"_uncode_popup_index_header_style\";s:5:\"light\";s:40:\"_uncode_popup_index_header_content_width\";s:3:\"off\";s:39:\"_uncode_popup_index_header_custom_width\";s:3:\"100\";s:32:\"_uncode_popup_index_header_align\";s:6:\"center\";s:35:\"_uncode_popup_index_header_position\";s:27:\"header-center header-middle\";s:37:\"_uncode_popup_index_header_title_font\";s:0:\"\";s:37:\"_uncode_popup_index_header_title_size\";s:2:\"h1\";s:39:\"_uncode_popup_index_header_title_height\";s:0:\"\";s:40:\"_uncode_popup_index_header_title_spacing\";s:0:\"\";s:39:\"_uncode_popup_index_header_title_weight\";s:0:\"\";s:42:\"_uncode_popup_index_header_title_transform\";s:0:\"\";s:39:\"_uncode_popup_index_header_title_italic\";s:3:\"off\";s:41:\"_uncode_popup_index_header_text_animation\";s:0:\"\";s:42:\"_uncode_popup_index_header_animation_speed\";s:0:\"\";s:42:\"_uncode_popup_index_header_animation_delay\";s:0:\"\";s:35:\"_uncode_popup_index_header_featured\";s:2:\"on\";s:37:\"_uncode_popup_index_header_background\";s:0:\"\";s:35:\"_uncode_popup_index_header_parallax\";s:3:\"off\";s:33:\"_uncode_popup_index_header_kburns\";s:0:\"\";s:40:\"_uncode_popup_index_header_overlay_color\";s:0:\"\";s:46:\"_uncode_popup_index_header_overlay_color_alpha\";s:3:\"100\";s:41:\"_uncode_popup_index_header_scroll_opacity\";s:3:\"off\";s:37:\"_uncode_popup_index_header_scrolldown\";s:3:\"off\";s:35:\"_uncode_popup_index_menu_no_padding\";s:3:\"off\";s:42:\"_uncode_popup_index_menu_no_padding_mobile\";s:3:\"off\";s:41:\"_uncode_popup_index_custom_title_activate\";s:3:\"off\";s:37:\"_uncode_popup_index_custom_title_text\";s:0:\"\";s:40:\"_uncode_popup_index_custom_subtitle_text\";s:0:\"\";s:30:\"_uncode_popup_index_breadcrumb\";s:3:\"off\";s:36:\"_uncode_popup_index_breadcrumb_align\";s:0:\"\";s:33:\"_uncode_popup_index_content_block\";s:0:\"\";s:32:\"_uncode_popup_index_layout_width\";s:0:\"\";s:32:\"_uncode_popup_index_single_width\";s:1:\"4\";s:38:\"_uncode_popup_index_single_text_length\";s:0:\"\";s:25:\"_uncode_popup_index_title\";s:3:\"off\";s:37:\"_uncode_popup_index_remove_pagination\";s:3:\"off\";s:36:\"_uncode_popup_index_activate_sidebar\";s:2:\"on\";s:27:\"_uncode_popup_index_sidebar\";s:0:\"\";s:36:\"_uncode_popup_index_sidebar_position\";s:13:\"sidebar_right\";s:32:\"_uncode_popup_index_sidebar_size\";s:1:\"4\";s:34:\"_uncode_popup_index_sidebar_sticky\";s:3:\"off\";s:33:\"_uncode_popup_index_sidebar_style\";s:0:\"\";s:35:\"_uncode_popup_index_sidebar_bgcolor\";s:0:\"\";s:32:\"_uncode_popup_index_sidebar_fill\";s:3:\"off\";s:32:\"_uncode_popup_index_footer_block\";s:0:\"\";s:32:\"_uncode_popup_index_footer_width\";s:0:\"\";s:25:\"_uncode_author_index_menu\";s:0:\"\";s:31:\"_uncode_author_index_menu_width\";s:0:\"\";s:32:\"_uncode_author_index_menu_opaque\";s:3:\"off\";s:27:\"_uncode_author_index_header\";s:18:\"header_uncodeblock\";s:27:\"_uncode_author_index_blocks\";s:4:\"1544\";s:33:\"_uncode_author_index_header_width\";s:0:\"\";s:34:\"_uncode_author_index_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:38:\"_uncode_author_index_header_min_height\";s:3:\"300\";s:33:\"_uncode_author_index_header_title\";s:2:\"on\";s:33:\"_uncode_author_index_header_style\";s:5:\"light\";s:41:\"_uncode_author_index_header_content_width\";s:3:\"off\";s:40:\"_uncode_author_index_header_custom_width\";s:3:\"100\";s:33:\"_uncode_author_index_header_align\";s:6:\"center\";s:36:\"_uncode_author_index_header_position\";s:27:\"header-center header-middle\";s:38:\"_uncode_author_index_header_title_font\";s:0:\"\";s:38:\"_uncode_author_index_header_title_size\";s:2:\"h1\";s:40:\"_uncode_author_index_header_title_height\";s:0:\"\";s:41:\"_uncode_author_index_header_title_spacing\";s:0:\"\";s:40:\"_uncode_author_index_header_title_weight\";s:0:\"\";s:43:\"_uncode_author_index_header_title_transform\";s:9:\"uppercase\";s:40:\"_uncode_author_index_header_title_italic\";s:3:\"off\";s:42:\"_uncode_author_index_header_text_animation\";s:12:\"bottom-t-top\";s:43:\"_uncode_author_index_header_animation_speed\";s:0:\"\";s:43:\"_uncode_author_index_header_animation_delay\";s:0:\"\";s:36:\"_uncode_author_index_header_featured\";s:2:\"on\";s:38:\"_uncode_author_index_header_background\";s:0:\"\";s:36:\"_uncode_author_index_header_parallax\";s:2:\"on\";s:34:\"_uncode_author_index_header_kburns\";s:0:\"\";s:41:\"_uncode_author_index_header_overlay_color\";s:11:\"color-white\";s:47:\"_uncode_author_index_header_overlay_color_alpha\";s:2:\"80\";s:42:\"_uncode_author_index_header_scroll_opacity\";s:3:\"off\";s:38:\"_uncode_author_index_header_scrolldown\";s:3:\"off\";s:36:\"_uncode_author_index_menu_no_padding\";s:2:\"on\";s:43:\"_uncode_author_index_menu_no_padding_mobile\";s:2:\"on\";s:31:\"_uncode_author_index_breadcrumb\";s:3:\"off\";s:37:\"_uncode_author_index_breadcrumb_align\";s:0:\"\";s:34:\"_uncode_author_index_content_block\";s:0:\"\";s:33:\"_uncode_author_index_layout_width\";s:0:\"\";s:33:\"_uncode_author_index_single_width\";s:1:\"4\";s:39:\"_uncode_author_index_single_text_length\";s:3:\"180\";s:26:\"_uncode_author_index_title\";s:3:\"off\";s:38:\"_uncode_author_index_remove_pagination\";s:3:\"off\";s:37:\"_uncode_author_index_activate_sidebar\";s:3:\"off\";s:28:\"_uncode_author_index_sidebar\";s:0:\"\";s:37:\"_uncode_author_index_sidebar_position\";s:13:\"sidebar_right\";s:33:\"_uncode_author_index_sidebar_size\";s:1:\"4\";s:35:\"_uncode_author_index_sidebar_sticky\";s:3:\"off\";s:34:\"_uncode_author_index_sidebar_style\";s:0:\"\";s:36:\"_uncode_author_index_sidebar_bgcolor\";s:0:\"\";s:33:\"_uncode_author_index_sidebar_fill\";s:3:\"off\";s:33:\"_uncode_author_index_footer_block\";s:0:\"\";s:33:\"_uncode_author_index_footer_width\";s:0:\"\";s:25:\"_uncode_search_index_menu\";s:0:\"\";s:31:\"_uncode_search_index_menu_width\";s:0:\"\";s:32:\"_uncode_search_index_menu_opaque\";s:3:\"off\";s:27:\"_uncode_search_index_header\";s:18:\"header_uncodeblock\";s:27:\"_uncode_search_index_blocks\";s:4:\"1544\";s:33:\"_uncode_search_index_header_width\";s:0:\"\";s:34:\"_uncode_search_index_header_height\";a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}s:38:\"_uncode_search_index_header_min_height\";s:3:\"300\";s:33:\"_uncode_search_index_header_title\";s:2:\"on\";s:38:\"_uncode_search_index_header_title_text\";s:0:\"\";s:33:\"_uncode_search_index_header_style\";s:5:\"light\";s:41:\"_uncode_search_index_header_content_width\";s:3:\"off\";s:40:\"_uncode_search_index_header_custom_width\";s:3:\"100\";s:33:\"_uncode_search_index_header_align\";s:6:\"center\";s:36:\"_uncode_search_index_header_position\";s:27:\"header-center header-middle\";s:38:\"_uncode_search_index_header_title_font\";s:0:\"\";s:38:\"_uncode_search_index_header_title_size\";s:2:\"h1\";s:40:\"_uncode_search_index_header_title_height\";s:0:\"\";s:41:\"_uncode_search_index_header_title_spacing\";s:0:\"\";s:40:\"_uncode_search_index_header_title_weight\";s:0:\"\";s:43:\"_uncode_search_index_header_title_transform\";s:9:\"uppercase\";s:40:\"_uncode_search_index_header_title_italic\";s:3:\"off\";s:42:\"_uncode_search_index_header_text_animation\";s:12:\"bottom-t-top\";s:43:\"_uncode_search_index_header_animation_speed\";s:0:\"\";s:43:\"_uncode_search_index_header_animation_delay\";s:0:\"\";s:38:\"_uncode_search_index_header_background\";s:0:\"\";s:36:\"_uncode_search_index_header_parallax\";s:2:\"on\";s:34:\"_uncode_search_index_header_kburns\";s:0:\"\";s:41:\"_uncode_search_index_header_overlay_color\";s:11:\"color-white\";s:47:\"_uncode_search_index_header_overlay_color_alpha\";s:2:\"80\";s:42:\"_uncode_search_index_header_scroll_opacity\";s:3:\"off\";s:38:\"_uncode_search_index_header_scrolldown\";s:3:\"off\";s:36:\"_uncode_search_index_menu_no_padding\";s:2:\"on\";s:43:\"_uncode_search_index_menu_no_padding_mobile\";s:2:\"on\";s:42:\"_uncode_search_index_custom_title_activate\";s:3:\"off\";s:38:\"_uncode_search_index_custom_title_text\";s:0:\"\";s:41:\"_uncode_search_index_custom_subtitle_text\";s:0:\"\";s:34:\"_uncode_search_index_content_block\";s:0:\"\";s:33:\"_uncode_search_index_layout_width\";s:0:\"\";s:38:\"_uncode_search_index_remove_pagination\";s:3:\"off\";s:37:\"_uncode_search_index_activate_sidebar\";s:3:\"off\";s:28:\"_uncode_search_index_sidebar\";s:0:\"\";s:37:\"_uncode_search_index_sidebar_position\";s:13:\"sidebar_right\";s:33:\"_uncode_search_index_sidebar_size\";s:1:\"4\";s:35:\"_uncode_search_index_sidebar_sticky\";s:3:\"off\";s:34:\"_uncode_search_index_sidebar_style\";s:0:\"\";s:36:\"_uncode_search_index_sidebar_bgcolor\";s:0:\"\";s:33:\"_uncode_search_index_sidebar_fill\";s:3:\"off\";s:33:\"_uncode_search_index_footer_block\";s:0:\"\";s:33:\"_uncode_search_index_footer_width\";s:0:\"\";s:16:\"_uncode_404_menu\";s:0:\"\";s:22:\"_uncode_404_menu_width\";s:0:\"\";s:23:\"_uncode_404_menu_opaque\";s:3:\"off\";s:18:\"_uncode_404_header\";s:4:\"none\";s:18:\"_uncode_404_blocks\";s:0:\"\";s:24:\"_uncode_404_header_width\";s:0:\"\";s:25:\"_uncode_404_header_height\";a:2:{i:0;s:2:\"60\";i:1;s:1:\"%\";}s:29:\"_uncode_404_header_min_height\";s:3:\"300\";s:24:\"_uncode_404_header_title\";s:2:\"on\";s:29:\"_uncode_404_header_title_text\";s:0:\"\";s:24:\"_uncode_404_header_style\";s:5:\"light\";s:32:\"_uncode_404_header_content_width\";s:3:\"off\";s:31:\"_uncode_404_header_custom_width\";s:3:\"100\";s:24:\"_uncode_404_header_align\";s:6:\"center\";s:27:\"_uncode_404_header_position\";s:27:\"header-center header-middle\";s:29:\"_uncode_404_header_title_font\";s:0:\"\";s:29:\"_uncode_404_header_title_size\";s:2:\"h1\";s:31:\"_uncode_404_header_title_height\";s:0:\"\";s:32:\"_uncode_404_header_title_spacing\";s:0:\"\";s:31:\"_uncode_404_header_title_weight\";s:0:\"\";s:34:\"_uncode_404_header_title_transform\";s:0:\"\";s:31:\"_uncode_404_header_title_italic\";s:3:\"off\";s:33:\"_uncode_404_header_text_animation\";s:0:\"\";s:34:\"_uncode_404_header_animation_speed\";s:0:\"\";s:34:\"_uncode_404_header_animation_delay\";s:0:\"\";s:29:\"_uncode_404_header_background\";s:0:\"\";s:27:\"_uncode_404_header_parallax\";s:3:\"off\";s:25:\"_uncode_404_header_kburns\";s:0:\"\";s:32:\"_uncode_404_header_overlay_color\";s:0:\"\";s:38:\"_uncode_404_header_overlay_color_alpha\";s:3:\"100\";s:33:\"_uncode_404_header_scroll_opacity\";s:3:\"off\";s:29:\"_uncode_404_header_scrolldown\";s:2:\"on\";s:24:\"_uncode_404_layout_width\";s:0:\"\";s:16:\"_uncode_404_body\";s:0:\"\";s:22:\"_uncode_404_body_block\";s:0:\"\";s:24:\"_uncode_404_footer_block\";s:0:\"\";s:24:\"_uncode_404_footer_width\";s:0:\"\";s:26:\"_uncode_custom_colors_list\";a:21:{i:0;a:5:{s:5:\"title\";s:5:\"Black\";s:30:\"_uncode_custom_color_unique_id\";s:11:\"color-black\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#000000\";s:29:\"_uncode_custom_color_gradient\";s:227:\"{\"css\":\"background: linear-gradient(to right , rgb(52, 191, 190) 8% , rgb(232, 27, 79) 48%);\",\"sliders\":[{\"color\":\"rgb(52, 191, 190)\",\"position\":8},{\"color\":\"rgb(232, 27, 79)\",\"position\":48}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:5;a:5:{s:5:\"title\";s:5:\"White\";s:30:\"_uncode_custom_color_unique_id\";s:11:\"color-white\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#ffffff\";s:29:\"_uncode_custom_color_gradient\";s:569:\"{\"css\":\"background: linear-gradient(left , rgb(193, 166, 200) 32% , rgb(64, 16, 58) 35%);background: -o-linear-gradient(left , rgb(193, 166, 200) 32% , rgb(64, 16, 58) 35%);background: -ms-linear-gradient(left , rgb(193, 166, 200) 32% , rgb(64, 16, 58) 35%);background: -moz-linear-gradient(left , rgb(193, 166, 200) 32% , rgb(64, 16, 58) 35%);background: -webkit-linear-gradient(left , rgb(193, 166, 200) 32% , rgb(64, 16, 58) 35%);\",\"sliders\":[{\"color\":\"rgb(193, 166, 200)\",\"position\":32},{\"color\":\"rgb(64, 16, 58)\",\"position\":35}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:42;a:5:{s:5:\"title\";s:11:\"Transparent\";s:30:\"_uncode_custom_color_unique_id\";s:17:\"color-transparent\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:22:\"rgba(255,255,255,0.01)\";s:29:\"_uncode_custom_color_gradient\";s:581:\"{\"css\":\"background: linear-gradient(left , rgb(212, 20, 132) 19% , rgb(135, 230, 156) 56%);background: -o-linear-gradient(left , rgb(212, 20, 132) 19% , rgb(135, 230, 156) 56%);background: -ms-linear-gradient(left , rgb(212, 20, 132) 19% , rgb(135, 230, 156) 56%);background: -moz-linear-gradient(left , rgb(212, 20, 132) 19% , rgb(135, 230, 156) 56%);background: -webkit-linear-gradient(left , rgb(212, 20, 132) 19% , rgb(135, 230, 156) 56%);\",\"sliders\":[{\"color\":\"rgb(212, 20, 132)\",\"position\":19},{\"color\":\"rgb(135, 230, 156)\",\"position\":56}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:1;a:5:{s:5:\"title\";s:8:\"Dark 111\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-111\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#111111\";s:29:\"_uncode_custom_color_gradient\";s:233:\"{\"css\":\"background: linear-gradient(to right , rgb(127, 199, 133) 17% , rgb(251, 17, 117) 68%);\",\"sliders\":[{\"color\":\"rgb(127, 199, 133)\",\"position\":17},{\"color\":\"rgb(251, 17, 117)\",\"position\":68}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:2;a:5:{s:5:\"title\";s:11:\"Dark 171717\";s:30:\"_uncode_custom_color_unique_id\";s:12:\"color-171717\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#171717\";s:29:\"_uncode_custom_color_gradient\";s:557:\"{\"css\":\"background: linear-gradient(left , rgb(165, 226, 98) 39% , rgb(10, 3, 11) 84%);background: -o-linear-gradient(left , rgb(165, 226, 98) 39% , rgb(10, 3, 11) 84%);background: -ms-linear-gradient(left , rgb(165, 226, 98) 39% , rgb(10, 3, 11) 84%);background: -moz-linear-gradient(left , rgb(165, 226, 98) 39% , rgb(10, 3, 11) 84%);background: -webkit-linear-gradient(left , rgb(165, 226, 98) 39% , rgb(10, 3, 11) 84%);\",\"sliders\":[{\"color\":\"rgb(165, 226, 98)\",\"position\":39},{\"color\":\"rgb(10, 3, 11)\",\"position\":84}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:3;a:5:{s:5:\"title\";s:11:\"Dark 1F1F1F\";s:30:\"_uncode_custom_color_unique_id\";s:12:\"color-1f1f1f\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#1f1f1f\";s:29:\"_uncode_custom_color_gradient\";s:563:\"{\"css\":\"background: linear-gradient(left , rgb(140, 254, 89) 20% , rgb(12, 5, 187) 33%);background: -o-linear-gradient(left , rgb(140, 254, 89) 20% , rgb(12, 5, 187) 33%);background: -ms-linear-gradient(left , rgb(140, 254, 89) 20% , rgb(12, 5, 187) 33%);background: -moz-linear-gradient(left , rgb(140, 254, 89) 20% , rgb(12, 5, 187) 33%);background: -webkit-linear-gradient(left , rgb(140, 254, 89) 20% , rgb(12, 5, 187) 33%);\",\"sliders\":[{\"color\":\"rgb(140, 254, 89)\",\"position\":20},{\"color\":\"rgb(12, 5, 187)\",\"position\":33}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:45;a:5:{s:5:\"title\";s:8:\"Dark 222\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-222\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#222222\";s:29:\"_uncode_custom_color_gradient\";s:231:\"{\"css\":\"background: linear-gradient(to right , rgb(166, 124, 79) 13% , rgb(32, 252, 130) 52%);\",\"sliders\":[{\"color\":\"rgb(166, 124, 79)\",\"position\":13},{\"color\":\"rgb(32, 252, 130)\",\"position\":52}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:4;a:5:{s:5:\"title\";s:8:\"Dark 333\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-333\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#333333\";s:29:\"_uncode_custom_color_gradient\";s:563:\"{\"css\":\"background: linear-gradient(left , rgb(70, 225, 73) 46% , rgb(43, 238, 30) 86%);background: -o-linear-gradient(left , rgb(70, 225, 73) 46% , rgb(43, 238, 30) 86%);background: -ms-linear-gradient(left , rgb(70, 225, 73) 46% , rgb(43, 238, 30) 86%);background: -moz-linear-gradient(left , rgb(70, 225, 73) 46% , rgb(43, 238, 30) 86%);background: -webkit-linear-gradient(left , rgb(70, 225, 73) 46% , rgb(43, 238, 30) 86%);\",\"sliders\":[{\"color\":\"rgb(70, 225, 73)\",\"position\":46},{\"color\":\"rgb(43, 238, 30)\",\"position\":86}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:46;a:5:{s:5:\"title\";s:8:\"Dark 444\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-444\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#444444\";s:29:\"_uncode_custom_color_gradient\";s:581:\"{\"css\":\"background: linear-gradient(left , rgb(246, 185, 66) 11% , rgb(148, 110, 196) 37%);background: -o-linear-gradient(left , rgb(246, 185, 66) 11% , rgb(148, 110, 196) 37%);background: -ms-linear-gradient(left , rgb(246, 185, 66) 11% , rgb(148, 110, 196) 37%);background: -moz-linear-gradient(left , rgb(246, 185, 66) 11% , rgb(148, 110, 196) 37%);background: -webkit-linear-gradient(left , rgb(246, 185, 66) 11% , rgb(148, 110, 196) 37%);\",\"sliders\":[{\"color\":\"rgb(246, 185, 66)\",\"position\":11},{\"color\":\"rgb(148, 110, 196)\",\"position\":37}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:47;a:5:{s:5:\"title\";s:8:\"Dark 555\";s:30:\"_uncode_custom_color_unique_id\";s:12:\"color-554713\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#555555\";s:29:\"_uncode_custom_color_gradient\";s:569:\"{\"css\":\"background: linear-gradient(left , rgb(170, 114, 22) 4% , rgb(210, 26, 112) 63%);background: -o-linear-gradient(left , rgb(170, 114, 22) 4% , rgb(210, 26, 112) 63%);background: -ms-linear-gradient(left , rgb(170, 114, 22) 4% , rgb(210, 26, 112) 63%);background: -moz-linear-gradient(left , rgb(170, 114, 22) 4% , rgb(210, 26, 112) 63%);background: -webkit-linear-gradient(left , rgb(170, 114, 22) 4% , rgb(210, 26, 112) 63%);\",\"sliders\":[{\"color\":\"rgb(170, 114, 22)\",\"position\":4},{\"color\":\"rgb(210, 26, 112)\",\"position\":63}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:9;a:5:{s:5:\"title\";s:8:\"Dark 666\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-666\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#666666\";s:29:\"_uncode_custom_color_gradient\";s:569:\"{\"css\":\"background: linear-gradient(left , rgb(1, 126, 141) 35% , rgb(238, 181, 63) 74%);background: -o-linear-gradient(left , rgb(1, 126, 141) 35% , rgb(238, 181, 63) 74%);background: -ms-linear-gradient(left , rgb(1, 126, 141) 35% , rgb(238, 181, 63) 74%);background: -moz-linear-gradient(left , rgb(1, 126, 141) 35% , rgb(238, 181, 63) 74%);background: -webkit-linear-gradient(left , rgb(1, 126, 141) 35% , rgb(238, 181, 63) 74%);\",\"sliders\":[{\"color\":\"rgb(1, 126, 141)\",\"position\":35},{\"color\":\"rgb(238, 181, 63)\",\"position\":74}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:48;a:5:{s:5:\"title\";s:8:\"Dark 777\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-777\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#777777\";s:29:\"_uncode_custom_color_gradient\";s:557:\"{\"css\":\"background: linear-gradient(left , rgb(245, 39, 16) 64% , rgb(4, 63, 194) 76%);background: -o-linear-gradient(left , rgb(245, 39, 16) 64% , rgb(4, 63, 194) 76%);background: -ms-linear-gradient(left , rgb(245, 39, 16) 64% , rgb(4, 63, 194) 76%);background: -moz-linear-gradient(left , rgb(245, 39, 16) 64% , rgb(4, 63, 194) 76%);background: -webkit-linear-gradient(left , rgb(245, 39, 16) 64% , rgb(4, 63, 194) 76%);\",\"sliders\":[{\"color\":\"rgb(245, 39, 16)\",\"position\":64},{\"color\":\"rgb(4, 63, 194)\",\"position\":76}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:52;a:5:{s:5:\"title\";s:8:\"Dark 888\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-888\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#888888\";s:29:\"_uncode_custom_color_gradient\";s:557:\"{\"css\":\"background: linear-gradient(left , rgb(69, 7, 3) 32% , rgb(129, 147, 200) 85%);background: -o-linear-gradient(left , rgb(69, 7, 3) 32% , rgb(129, 147, 200) 85%);background: -ms-linear-gradient(left , rgb(69, 7, 3) 32% , rgb(129, 147, 200) 85%);background: -moz-linear-gradient(left , rgb(69, 7, 3) 32% , rgb(129, 147, 200) 85%);background: -webkit-linear-gradient(left , rgb(69, 7, 3) 32% , rgb(129, 147, 200) 85%);\",\"sliders\":[{\"color\":\"rgb(69, 7, 3)\",\"position\":32},{\"color\":\"rgb(129, 147, 200)\",\"position\":85}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:49;a:5:{s:5:\"title\";s:12:\"Light FAFAFA\";s:30:\"_uncode_custom_color_unique_id\";s:12:\"color-fafafa\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#fafafa\";s:29:\"_uncode_custom_color_gradient\";s:575:\"{\"css\":\"background: linear-gradient(left , rgb(201, 119, 31) 18% , rgb(161, 79, 232) 50%);background: -o-linear-gradient(left , rgb(201, 119, 31) 18% , rgb(161, 79, 232) 50%);background: -ms-linear-gradient(left , rgb(201, 119, 31) 18% , rgb(161, 79, 232) 50%);background: -moz-linear-gradient(left , rgb(201, 119, 31) 18% , rgb(161, 79, 232) 50%);background: -webkit-linear-gradient(left , rgb(201, 119, 31) 18% , rgb(161, 79, 232) 50%);\",\"sliders\":[{\"color\":\"rgb(201, 119, 31)\",\"position\":18},{\"color\":\"rgb(161, 79, 232)\",\"position\":50}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:6;a:5:{s:5:\"title\";s:12:\"Light F7F7F7\";s:30:\"_uncode_custom_color_unique_id\";s:12:\"color-f7f7f7\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#f7f7f7\";s:29:\"_uncode_custom_color_gradient\";s:569:\"{\"css\":\"background: linear-gradient(left , rgb(238, 227, 37) 50% , rgb(6, 123, 239) 92%);background: -o-linear-gradient(left , rgb(238, 227, 37) 50% , rgb(6, 123, 239) 92%);background: -ms-linear-gradient(left , rgb(238, 227, 37) 50% , rgb(6, 123, 239) 92%);background: -moz-linear-gradient(left , rgb(238, 227, 37) 50% , rgb(6, 123, 239) 92%);background: -webkit-linear-gradient(left , rgb(238, 227, 37) 50% , rgb(6, 123, 239) 92%);\",\"sliders\":[{\"color\":\"rgb(238, 227, 37)\",\"position\":50},{\"color\":\"rgb(6, 123, 239)\",\"position\":92}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:7;a:5:{s:5:\"title\";s:9:\"Light EEE\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-eee\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#eeeeee\";s:29:\"_uncode_custom_color_gradient\";s:563:\"{\"css\":\"background: linear-gradient(left , rgb(165, 181, 245) 2% , rgb(95, 50, 39) 76%);background: -o-linear-gradient(left , rgb(165, 181, 245) 2% , rgb(95, 50, 39) 76%);background: -ms-linear-gradient(left , rgb(165, 181, 245) 2% , rgb(95, 50, 39) 76%);background: -moz-linear-gradient(left , rgb(165, 181, 245) 2% , rgb(95, 50, 39) 76%);background: -webkit-linear-gradient(left , rgb(165, 181, 245) 2% , rgb(95, 50, 39) 76%);\",\"sliders\":[{\"color\":\"rgb(165, 181, 245)\",\"position\":2},{\"color\":\"rgb(95, 50, 39)\",\"position\":76}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:8;a:5:{s:5:\"title\";s:9:\"Light DDD\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-ddd\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#dddddd\";s:29:\"_uncode_custom_color_gradient\";s:563:\"{\"css\":\"background: linear-gradient(left , rgb(7, 70, 183) 4% , rgb(218, 134, 125) 72%);background: -o-linear-gradient(left , rgb(7, 70, 183) 4% , rgb(218, 134, 125) 72%);background: -ms-linear-gradient(left , rgb(7, 70, 183) 4% , rgb(218, 134, 125) 72%);background: -moz-linear-gradient(left , rgb(7, 70, 183) 4% , rgb(218, 134, 125) 72%);background: -webkit-linear-gradient(left , rgb(7, 70, 183) 4% , rgb(218, 134, 125) 72%);\",\"sliders\":[{\"color\":\"rgb(7, 70, 183)\",\"position\":4},{\"color\":\"rgb(218, 134, 125)\",\"position\":72}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:16;a:5:{s:5:\"title\";s:9:\"Light CCC\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-ccc\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#cccccc\";s:29:\"_uncode_custom_color_gradient\";s:569:\"{\"css\":\"background: linear-gradient(left , rgb(57, 42, 76) 52% , rgb(125, 144, 109) 55%);background: -o-linear-gradient(left , rgb(57, 42, 76) 52% , rgb(125, 144, 109) 55%);background: -ms-linear-gradient(left , rgb(57, 42, 76) 52% , rgb(125, 144, 109) 55%);background: -moz-linear-gradient(left , rgb(57, 42, 76) 52% , rgb(125, 144, 109) 55%);background: -webkit-linear-gradient(left , rgb(57, 42, 76) 52% , rgb(125, 144, 109) 55%);\",\"sliders\":[{\"color\":\"rgb(57, 42, 76)\",\"position\":52},{\"color\":\"rgb(125, 144, 109)\",\"position\":55}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:51;a:5:{s:5:\"title\";s:9:\"Light BBB\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-bbb\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#bbbbbb\";s:29:\"_uncode_custom_color_gradient\";s:581:\"{\"css\":\"background: linear-gradient(left , rgb(183, 118, 128) 30% , rgb(121, 75, 144) 59%);background: -o-linear-gradient(left , rgb(183, 118, 128) 30% , rgb(121, 75, 144) 59%);background: -ms-linear-gradient(left , rgb(183, 118, 128) 30% , rgb(121, 75, 144) 59%);background: -moz-linear-gradient(left , rgb(183, 118, 128) 30% , rgb(121, 75, 144) 59%);background: -webkit-linear-gradient(left , rgb(183, 118, 128) 30% , rgb(121, 75, 144) 59%);\",\"sliders\":[{\"color\":\"rgb(183, 118, 128)\",\"position\":30},{\"color\":\"rgb(121, 75, 144)\",\"position\":59}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:50;a:5:{s:5:\"title\";s:9:\"Light AAA\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-aaa\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#aaaaaa\";s:29:\"_uncode_custom_color_gradient\";s:581:\"{\"css\":\"background: linear-gradient(left , rgb(101, 241, 201) 39% , rgb(161, 90, 173) 69%);background: -o-linear-gradient(left , rgb(101, 241, 201) 39% , rgb(161, 90, 173) 69%);background: -ms-linear-gradient(left , rgb(101, 241, 201) 39% , rgb(161, 90, 173) 69%);background: -moz-linear-gradient(left , rgb(101, 241, 201) 39% , rgb(161, 90, 173) 69%);background: -webkit-linear-gradient(left , rgb(101, 241, 201) 39% , rgb(161, 90, 173) 69%);\",\"sliders\":[{\"color\":\"rgb(101, 241, 201)\",\"position\":39},{\"color\":\"rgb(161, 90, 173)\",\"position\":69}],\"type\":\"linear\",\"direction\":\"left\"}\";}i:17;a:5:{s:5:\"title\";s:9:\"Light 999\";s:30:\"_uncode_custom_color_unique_id\";s:9:\"color-999\";s:28:\"_uncode_custom_color_regular\";s:2:\"on\";s:20:\"_uncode_custom_color\";s:7:\"#999999\";s:29:\"_uncode_custom_color_gradient\";s:563:\"{\"css\":\"background: linear-gradient(left , rgb(12, 100, 242) 30% , rgb(142, 4, 28) 98%);background: -o-linear-gradient(left , rgb(12, 100, 242) 30% , rgb(142, 4, 28) 98%);background: -ms-linear-gradient(left , rgb(12, 100, 242) 30% , rgb(142, 4, 28) 98%);background: -moz-linear-gradient(left , rgb(12, 100, 242) 30% , rgb(142, 4, 28) 98%);background: -webkit-linear-gradient(left , rgb(12, 100, 242) 30% , rgb(142, 4, 28) 98%);\",\"sliders\":[{\"color\":\"rgb(12, 100, 242)\",\"position\":30},{\"color\":\"rgb(142, 4, 28)\",\"position\":98}],\"type\":\"linear\",\"direction\":\"left\"}\";}}s:19:\"_uncode_font_groups\";a:2:{i:0;a:4:{s:5:\"title\";s:12:\"Font Default\";s:28:\"_uncode_font_group_unique_id\";s:12:\"font-default\";s:18:\"_uncode_font_group\";s:7:\"Poppins\";s:19:\"_uncode_font_manual\";s:107:\"-apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,Oxygen-Sans,Ubuntu,Cantarell,\"Helvetica Neue\",sans-serif\";}i:1;a:4:{s:5:\"title\";s:8:\"Headings\";s:28:\"_uncode_font_group_unique_id\";s:13:\"font-headings\";s:18:\"_uncode_font_group\";s:18:\"Cormorant+Garamond\";s:19:\"_uncode_font_manual\";s:18:\"made_canvas_custom\";}}s:17:\"_uncode_font_size\";s:2:\"15\";s:23:\"_uncode_large_text_size\";s:2:\"18\";s:18:\"_uncode_heading_h1\";s:2:\"32\";s:18:\"_uncode_heading_h2\";s:2:\"24\";s:18:\"_uncode_heading_h3\";s:2:\"18\";s:18:\"_uncode_heading_h4\";s:2:\"16\";s:18:\"_uncode_heading_h5\";s:2:\"14\";s:18:\"_uncode_heading_h6\";s:2:\"12\";s:26:\"_uncode_heading_font_sizes\";a:17:{i:10;a:3:{s:5:\"title\";s:6:\"Size 9\";s:35:\"_uncode_heading_font_size_unique_id\";s:10:\"fontsize-9\";s:25:\"_uncode_heading_font_size\";s:1:\"9\";}i:9;a:3:{s:5:\"title\";s:7:\"Size 10\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-10\";s:25:\"_uncode_heading_font_size\";s:2:\"10\";}i:5;a:3:{s:5:\"title\";s:7:\"Size 11\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-11\";s:25:\"_uncode_heading_font_size\";s:2:\"11\";}i:6;a:3:{s:5:\"title\";s:7:\"Size 12\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-12\";s:25:\"_uncode_heading_font_size\";s:2:\"12\";}i:7;a:3:{s:5:\"title\";s:7:\"Size 13\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-13\";s:25:\"_uncode_heading_font_size\";s:2:\"13\";}i:13;a:3:{s:5:\"title\";s:7:\"Size 14\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-14\";s:25:\"_uncode_heading_font_size\";s:2:\"14\";}i:14;a:3:{s:5:\"title\";s:7:\"Size 16\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-16\";s:25:\"_uncode_heading_font_size\";s:2:\"16\";}i:15;a:3:{s:5:\"title\";s:7:\"Size 18\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-18\";s:25:\"_uncode_heading_font_size\";s:2:\"18\";}i:16;a:3:{s:5:\"title\";s:7:\"Size 24\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-24\";s:25:\"_uncode_heading_font_size\";s:2:\"24\";}i:12;a:3:{s:5:\"title\";s:7:\"Size 28\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-28\";s:25:\"_uncode_heading_font_size\";s:2:\"28\";}i:17;a:3:{s:5:\"title\";s:7:\"Size 32\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-32\";s:25:\"_uncode_heading_font_size\";s:2:\"32\";}i:11;a:3:{s:5:\"title\";s:7:\"Size 36\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-36\";s:25:\"_uncode_heading_font_size\";s:2:\"36\";}i:2;a:3:{s:5:\"title\";s:7:\"Size 48\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-48\";s:25:\"_uncode_heading_font_size\";s:2:\"48\";}i:1;a:3:{s:5:\"title\";s:7:\"Size 64\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-64\";s:25:\"_uncode_heading_font_size\";s:2:\"64\";}i:0;a:3:{s:5:\"title\";s:7:\"Size 72\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-72\";s:25:\"_uncode_heading_font_size\";s:2:\"72\";}i:18;a:3:{s:5:\"title\";s:7:\"Size 84\";s:35:\"_uncode_heading_font_size_unique_id\";s:11:\"fontsize-84\";s:25:\"_uncode_heading_font_size\";s:2:\"84\";}i:19;a:3:{s:5:\"title\";s:8:\"Size 108\";s:35:\"_uncode_heading_font_size_unique_id\";s:12:\"fontsize-108\";s:25:\"_uncode_heading_font_size\";s:3:\"108\";}}s:28:\"_uncode_heading_font_heights\";a:17:{i:16;a:3:{s:5:\"title\";s:15:\"Line height 0.4\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-04\";s:27:\"_uncode_heading_font_height\";s:3:\"0.4\";}i:15;a:3:{s:5:\"title\";s:15:\"Line height 0.5\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-05\";s:27:\"_uncode_heading_font_height\";s:3:\"0.5\";}i:14;a:3:{s:5:\"title\";s:15:\"Line height 0.6\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-06\";s:27:\"_uncode_heading_font_height\";s:3:\"0.6\";}i:13;a:3:{s:5:\"title\";s:15:\"Line height 0.7\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-07\";s:27:\"_uncode_heading_font_height\";s:3:\"0.7\";}i:12;a:3:{s:5:\"title\";s:15:\"Line height 0.8\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-08\";s:27:\"_uncode_heading_font_height\";s:3:\"0.8\";}i:11;a:3:{s:5:\"title\";s:15:\"Line height 0.9\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-09\";s:27:\"_uncode_heading_font_height\";s:3:\"0.9\";}i:0;a:3:{s:5:\"title\";s:13:\"Line height 1\";s:37:\"_uncode_heading_font_height_unique_id\";s:12:\"fontheight-1\";s:27:\"_uncode_heading_font_height\";s:1:\"1\";}i:1;a:3:{s:5:\"title\";s:15:\"Line height 1.1\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-11\";s:27:\"_uncode_heading_font_height\";s:3:\"1.1\";}i:2;a:3:{s:5:\"title\";s:15:\"Line height 1.2\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-12\";s:27:\"_uncode_heading_font_height\";s:3:\"1.2\";}i:3;a:3:{s:5:\"title\";s:16:\"Line height 1.25\";s:37:\"_uncode_heading_font_height_unique_id\";s:14:\"fontheight-125\";s:27:\"_uncode_heading_font_height\";s:4:\"1.25\";}i:4;a:3:{s:5:\"title\";s:15:\"Line height 1.3\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-13\";s:27:\"_uncode_heading_font_height\";s:3:\"1.3\";}i:5;a:3:{s:5:\"title\";s:15:\"Line height 1.4\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-14\";s:27:\"_uncode_heading_font_height\";s:3:\"1.4\";}i:6;a:3:{s:5:\"title\";s:15:\"Line height 1.5\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-15\";s:27:\"_uncode_heading_font_height\";s:3:\"1.5\";}i:7;a:3:{s:5:\"title\";s:15:\"Line height 1.6\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-16\";s:27:\"_uncode_heading_font_height\";s:3:\"1.6\";}i:8;a:3:{s:5:\"title\";s:16:\"Line height 1.65\";s:37:\"_uncode_heading_font_height_unique_id\";s:14:\"fontheight-165\";s:27:\"_uncode_heading_font_height\";s:4:\"1.65\";}i:9;a:3:{s:5:\"title\";s:15:\"Line height 1.7\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-17\";s:27:\"_uncode_heading_font_height\";s:3:\"1.7\";}i:10;a:3:{s:5:\"title\";s:15:\"Line height 1.8\";s:37:\"_uncode_heading_font_height_unique_id\";s:13:\"fontheight-18\";s:27:\"_uncode_heading_font_height\";s:3:\"1.8\";}}s:29:\"_uncode_heading_font_spacings\";a:20:{i:0;a:3:{s:5:\"title\";s:7:\"-0.02em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:17:\"fontspace-neg-002\";s:28:\"_uncode_heading_font_spacing\";s:7:\"-0.02em\";}i:1;a:3:{s:5:\"title\";s:7:\"-0.05em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:17:\"fontspace-neg-005\";s:28:\"_uncode_heading_font_spacing\";s:7:\"-0.05em\";}i:3;a:3:{s:5:\"title\";s:8:\"-0.075em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:18:\"fontspace-neg-0075\";s:28:\"_uncode_heading_font_spacing\";s:8:\"-0.075em\";}i:2;a:3:{s:5:\"title\";s:6:\"-0.1em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:16:\"fontspace-neg-01\";s:28:\"_uncode_heading_font_spacing\";s:6:\"-0.1em\";}i:4;a:3:{s:5:\"title\";s:6:\"0.01em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:17:\"fontspace-pos-001\";s:28:\"_uncode_heading_font_spacing\";s:6:\"0.01em\";}i:5;a:3:{s:5:\"title\";s:7:\"0.025em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:18:\"fontspace-pos-0025\";s:28:\"_uncode_heading_font_spacing\";s:7:\"0.025em\";}i:6;a:3:{s:5:\"title\";s:6:\"0.05em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:17:\"fontspace-pos-005\";s:28:\"_uncode_heading_font_spacing\";s:6:\"0.05em\";}i:7;a:3:{s:5:\"title\";s:5:\"0.1em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:16:\"fontspace-pos-01\";s:28:\"_uncode_heading_font_spacing\";s:5:\"0.1em\";}i:8;a:3:{s:5:\"title\";s:6:\"0.15em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:17:\"fontspace-pos-015\";s:28:\"_uncode_heading_font_spacing\";s:6:\"0.15em\";}i:9;a:3:{s:5:\"title\";s:5:\"0.2em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:16:\"fontspace-pos-02\";s:28:\"_uncode_heading_font_spacing\";s:5:\"0.2em\";}i:10;a:3:{s:5:\"title\";s:6:\"0.25em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:19:\"fontspace-pos-025em\";s:28:\"_uncode_heading_font_spacing\";s:6:\"0.25em\";}i:11;a:3:{s:5:\"title\";s:5:\"0.3em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:16:\"fontspace-pos-03\";s:28:\"_uncode_heading_font_spacing\";s:5:\"0.3em\";}i:12;a:3:{s:5:\"title\";s:5:\"0.4em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:16:\"fontspace-pos-04\";s:28:\"_uncode_heading_font_spacing\";s:5:\"0.4em\";}i:13;a:3:{s:5:\"title\";s:5:\"0.5em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:12:\"fontspace-05\";s:28:\"_uncode_heading_font_spacing\";s:5:\"0.5em\";}i:17;a:3:{s:5:\"title\";s:6:\"0.75em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:13:\"fontspace-075\";s:28:\"_uncode_heading_font_spacing\";s:6:\"0.75em\";}i:14;a:3:{s:5:\"title\";s:3:\"1em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:11:\"fontspace-1\";s:28:\"_uncode_heading_font_spacing\";s:3:\"1em\";}i:18;a:3:{s:5:\"title\";s:6:\"1.25em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:13:\"fontspace-125\";s:28:\"_uncode_heading_font_spacing\";s:6:\"1.25em\";}i:16;a:3:{s:5:\"title\";s:5:\"1.5em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:12:\"fontspace-15\";s:28:\"_uncode_heading_font_spacing\";s:5:\"1.5em\";}i:19;a:3:{s:5:\"title\";s:6:\"1.75em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:13:\"fontspace-175\";s:28:\"_uncode_heading_font_spacing\";s:6:\"1.75em\";}i:15;a:3:{s:5:\"title\";s:3:\"2em\";s:38:\"_uncode_heading_font_spacing_unique_id\";s:11:\"fontspace-2\";s:28:\"_uncode_heading_font_spacing\";s:3:\"2em\";}}s:24:\"_uncode_logo_color_light\";s:9:\"color-222\";s:24:\"_uncode_menu_color_light\";s:9:\"color-222\";s:27:\"_uncode_menu_bg_color_light\";s:0:\"\";s:27:\"_uncode_menu_bg_alpha_light\";s:1:\"0\";s:30:\"_uncode_submenu_bg_color_light\";s:9:\"color-eee\";s:31:\"_uncode_menu_border_color_light\";s:11:\"color-black\";s:31:\"_uncode_menu_border_alpha_light\";s:1:\"5\";s:30:\"_uncode_secmenu_bg_color_light\";s:11:\"color-white\";s:27:\"_uncode_heading_color_light\";s:9:\"color-222\";s:24:\"_uncode_text_color_light\";s:9:\"color-222\";s:30:\"_uncode_background_color_light\";s:0:\"\";s:23:\"_uncode_logo_color_dark\";s:11:\"color-white\";s:23:\"_uncode_menu_color_dark\";s:11:\"color-white\";s:26:\"_uncode_menu_bg_color_dark\";s:9:\"color-111\";s:26:\"_uncode_menu_bg_alpha_dark\";s:1:\"0\";s:29:\"_uncode_submenu_bg_color_dark\";s:9:\"color-222\";s:30:\"_uncode_menu_border_color_dark\";s:11:\"color-white\";s:30:\"_uncode_menu_border_alpha_dark\";s:1:\"5\";s:29:\"_uncode_secmenu_bg_color_dark\";s:11:\"color-black\";s:26:\"_uncode_heading_color_dark\";s:11:\"color-white\";s:23:\"_uncode_text_color_dark\";s:11:\"color-white\";s:29:\"_uncode_background_color_dark\";s:11:\"color-black\";s:23:\"_uncode_body_background\";a:5:{s:16:\"background-color\";s:9:\"color-111\";s:21:\"background-attachment\";s:0:\"\";s:19:\"background-position\";s:0:\"\";s:15:\"background-size\";s:0:\"\";s:16:\"background-image\";s:0:\"\";}s:20:\"_uncode_accent_color\";s:0:\"\";s:23:\"_uncode_body_link_color\";s:0:\"\";s:24:\"_uncode_body_font_family\";s:12:\"font-default\";s:24:\"_uncode_body_font_weight\";s:3:\"300\";s:22:\"_uncode_ui_font_family\";s:12:\"font-default\";s:22:\"_uncode_ui_font_weight\";s:3:\"400\";s:27:\"_uncode_heading_font_family\";s:13:\"font-headings\";s:27:\"_uncode_heading_font_weight\";s:3:\"300\";s:30:\"_uncode_heading_letter_spacing\";s:4:\"0.00\";s:23:\"_uncode_input_underline\";s:3:\"off\";s:21:\"_uncode_fallback_font\";s:0:\"\";s:26:\"_uncode_overlay_menu_style\";s:5:\"light\";s:24:\"_uncode_menu_color_hover\";s:9:\"color-999\";s:26:\"_uncode_primary_menu_style\";s:4:\"dark\";s:29:\"_uncode_primary_submenu_style\";s:4:\"dark\";s:28:\"_uncode_secondary_menu_style\";s:5:\"light\";s:22:\"_uncode_menu_font_size\";s:2:\"13\";s:25:\"_uncode_submenu_font_size\";s:2:\"13\";s:29:\"_uncode_menu_mobile_font_size\";s:2:\"13\";s:24:\"_uncode_menu_font_family\";s:12:\"font-default\";s:24:\"_uncode_menu_font_weight\";s:3:\"400\";s:27:\"_uncode_menu_letter_spacing\";s:3:\"0.2\";s:28:\"_uncode_menu_first_uppercase\";s:2:\"on\";s:28:\"_uncode_menu_other_uppercase\";s:3:\"off\";s:21:\"_uncode_general_style\";s:4:\"dark\";s:24:\"_uncode_general_bg_color\";s:0:\"\";s:27:\"_uncode_buttons_font_family\";s:12:\"font-default\";s:27:\"_uncode_buttons_font_weight\";s:3:\"400\";s:30:\"_uncode_buttons_text_transform\";s:7:\"initial\";s:30:\"_uncode_buttons_letter_spacing\";s:17:\"fontspace-pos-005\";s:28:\"_uncode_buttons_border_width\";s:1:\"2\";s:20:\"_uncode_button_hover\";s:12:\"full-colored\";s:25:\"_uncode_footer_last_style\";s:4:\"dark\";s:23:\"_uncode_footer_bg_color\";s:9:\"color-111\";s:23:\"_uncode_scroll_constant\";s:2:\"on\";s:30:\"_uncode_scroll_constant_factor\";s:1:\"2\";s:26:\"_uncode_scroll_speed_value\";s:4:\"1000\";s:23:\"_uncode_parallax_factor\";s:3:\"2.5\";s:21:\"_uncode_portfolio_cpt\";s:9:\"portfolio\";s:26:\"_uncode_portfolio_cpt_slug\";s:9:\"portfolio\";s:18:\"_uncode_admin_help\";s:2:\"on\";s:19:\"_uncode_social_list\";a:1:{i:0;a:5:{s:5:\"title\";s:7:\"Twitter\";s:24:\"_uncode_social_unique_id\";s:13:\"social-425202\";s:14:\"_uncode_social\";s:13:\"fa fa-twitter\";s:12:\"_uncode_link\";s:34:\"https://twitter.com/courtesanteam/\";s:19:\"_uncode_menu_hidden\";s:3:\"off\";}}s:17:\"_uncode_gmaps_api\";s:0:\"\";s:16:\"_uncode_redirect\";s:3:\"off\";s:21:\"_uncode_redirect_page\";s:0:\"\";s:18:\"_uncode_custom_css\";s:0:\"\";s:17:\"_uncode_custom_js\";s:0:\"\";s:23:\"_uncode_custom_tracking\";s:0:\"\";s:16:\"_uncode_adaptive\";s:2:\"on\";s:22:\"_uncode_adaptive_async\";s:2:\"on\";s:27:\"_uncode_adaptive_async_blur\";s:3:\"off\";s:32:\"_uncode_adaptive_mobile_advanced\";s:3:\"off\";s:38:\"_uncode_adaptive_use_orientation_width\";s:3:\"off\";s:30:\"_uncode_adaptive_limit_density\";s:3:\"off\";s:24:\"_uncode_adaptive_quality\";s:2:\"80\";s:22:\"_uncode_adaptive_sizes\";s:31:\"258,516,720,1032,1440,2064,2880\";s:30:\"_uncode_adaptive_register_meta\";s:3:\"off\";s:16:\"_uncode_htaccess\";s:2:\"on\";s:18:\"_uncode_production\";s:2:\"on\";}", "yes");
INSERT INTO `wp_options` VALUES("154", "ot_media_post_ID", "5", "yes");
INSERT INTO `wp_options` VALUES("155", "uncode_test_max_input_vars", "5000", "yes");
INSERT INTO `wp_options` VALUES("158", "dot-irecommendthis-version", "3.0.0", "yes");
INSERT INTO `wp_options` VALUES("159", "dot_irecommendthis_db_version", "3.0.0", "yes");
INSERT INTO `wp_options` VALUES("160", "widget_most-recommended-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("165", "vc_version", "6.1.0", "yes");
INSERT INTO `wp_options` VALUES("173", "uncode_ajax_theme_panel", "1", "yes");
INSERT INTO `wp_options` VALUES("185", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("186", "duplicate_page_options", "a:3:{s:21:\"duplicate_post_status\";s:5:\"draft\";s:23:\"duplicate_post_redirect\";s:7:\"to_list\";s:21:\"duplicate_post_suffix\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("188", "rg_form_version", "2.4.3", "yes");
INSERT INTO `wp_options` VALUES("189", "gform_enable_background_updates", "1", "yes");
INSERT INTO `wp_options` VALUES("190", "gform_pending_installation", "", "yes");
INSERT INTO `wp_options` VALUES("191", "revslider_servers", "a:10:{i:0;s:16:\"themepunch.tools\";i:1;s:22:\"themepunch-ext-a.tools\";i:2;s:22:\"themepunch-ext-a.tools\";i:3;s:22:\"themepunch-ext-a.tools\";i:4;s:22:\"themepunch-ext-a.tools\";i:5;s:22:\"themepunch-ext-a.tools\";i:6;s:22:\"themepunch-ext-a.tools\";i:7;s:22:\"themepunch-ext-a.tools\";i:8;s:22:\"themepunch-ext-a.tools\";i:9;s:22:\"themepunch-ext-a.tools\";}", "yes");
INSERT INTO `wp_options` VALUES("192", "revslider_server_refresh", "1539627425", "yes");
INSERT INTO `wp_options` VALUES("193", "revslider-update-check-short", "1540672922", "yes");
INSERT INTO `wp_options` VALUES("194", "revslider-templates-check", "1540668377", "yes");
INSERT INTO `wp_options` VALUES("198", "widget_gform_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("213", "gravityformsaddon_gravityformswebapi_version", "1.0", "yes");
INSERT INTO `wp_options` VALUES("214", "gform_version_info", "a:6:{s:12:\"is_valid_key\";s:1:\"0\";s:15:\"expiration_time\";i:0;s:7:\"version\";s:5:\"1.7.9\";s:3:\"url\";s:0:\"\";s:9:\"offerings\";a:0:{}s:9:\"timestamp\";i:1597031604;}", "yes");
INSERT INTO `wp_options` VALUES("215", "revslider-library-check", "1539628052", "yes");
INSERT INTO `wp_options` VALUES("216", "rs-library", "a:2:{s:7:\"objects\";a:169:{i:198;a:11:{s:2:\"id\";s:3:\"198\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_dvd_1.png\";s:4:\"name\";s:3:\"DVD\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:43:17\";s:6:\"active\";s:1:\"1\";}i:197;a:11:{s:2:\"id\";s:3:\"197\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"relax_hammock.jpg\";s:4:\"name\";s:13:\"Relax Hammock\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"24\";s:6:\"handle\";s:6:\"People\";s:4:\"name\";s:6:\"People\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:196;a:11:{s:2:\"id\";s:3:\"196\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"beach_houses.jpg\";s:4:\"name\";s:12:\"Beach Houses\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:195;a:11:{s:2:\"id\";s:3:\"195\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"forest_road_2.jpg\";s:4:\"name\";s:13:\"Forest Road 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:194;a:11:{s:2:\"id\";s:3:\"194\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:14:\"clean_desk.jpg\";s:4:\"name\";s:10:\"Clean Desk\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:193;a:11:{s:2:\"id\";s:3:\"193\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"mountain_view_6.jpg\";s:4:\"name\";s:15:\"Mountain View 6\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1249\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:192;a:11:{s:2:\"id\";s:3:\"192\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:14:\"corn_field.jpg\";s:4:\"name\";s:10:\"Corn Field\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1320\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:191;a:11:{s:2:\"id\";s:3:\"191\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:21:\"stylish_apartment.jpg\";s:4:\"name\";s:17:\"Stylish Apartment\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1281\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:190;a:11:{s:2:\"id\";s:3:\"190\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:24:\"hipster_coffee_house.jpg\";s:4:\"name\";s:20:\"Hipster Coffee House\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1080\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:189;a:11:{s:2:\"id\";s:3:\"189\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"blurry_beach.jpg\";s:4:\"name\";s:12:\"Blurry Beach\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1080\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-10-17 12:41:12\";s:6:\"active\";s:1:\"1\";}i:188;a:11:{s:2:\"id\";s:3:\"188\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_plant_1.png\";s:4:\"name\";s:7:\"Plant 1\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-12 16:25:27\";s:6:\"active\";s:1:\"1\";}i:187;a:11:{s:2:\"id\";s:3:\"187\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_pen_1.png\";s:4:\"name\";s:5:\"Pen 1\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-12 16:25:27\";s:6:\"active\";s:1:\"1\";}i:186;a:11:{s:2:\"id\";s:3:\"186\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"greens_street.jpg\";s:4:\"name\";s:13:\"Greens Street\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1277\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:185;a:11:{s:2:\"id\";s:3:\"185\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:10:\"desert.jpg\";s:4:\"name\";s:6:\"Desert\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:184;a:11:{s:2:\"id\";s:3:\"184\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"mountain_view_5.jpg\";s:4:\"name\";s:15:\"Mountain View 5\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1080\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:183;a:11:{s:2:\"id\";s:3:\"183\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:10:\"laptop.jpg\";s:4:\"name\";s:6:\"Laptop\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1391\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:182;a:11:{s:2:\"id\";s:3:\"182\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"grand_canyon.jpg\";s:4:\"name\";s:12:\"Grand Canyon\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1287\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:181;a:11:{s:2:\"id\";s:3:\"181\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:20:\"landscape_clouds.jpg\";s:4:\"name\";s:16:\"Landscape Clouds\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1272\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:180;a:11:{s:2:\"id\";s:3:\"180\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"highway_night.jpg\";s:4:\"name\";s:13:\"Highway Night\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1440\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:179;a:11:{s:2:\"id\";s:3:\"179\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:15:\"beach_water.jpg\";s:4:\"name\";s:11:\"Beach Water\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:177;a:11:{s:2:\"id\";s:3:\"177\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:15:\"woman_beach.jpg\";s:4:\"name\";s:11:\"Woman Beach\";s:4:\"tags\";a:4:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:2;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:3;a:3:{s:2:\"id\";s:2:\"24\";s:6:\"handle\";s:6:\"People\";s:4:\"name\";s:6:\"People\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:175;a:11:{s:2:\"id\";s:3:\"175\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:12:\"cool_guy.jpg\";s:4:\"name\";s:8:\"Cool Guy\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"24\";s:6:\"handle\";s:6:\"People\";s:4:\"name\";s:6:\"People\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:174;a:11:{s:2:\"id\";s:3:\"174\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:13:\"beach_sea.jpg\";s:4:\"name\";s:9:\"Beach Sea\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:2;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:173;a:11:{s:2:\"id\";s:3:\"173\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"bridge_clouds.jpg\";s:4:\"name\";s:13:\"Bridge Clouds\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:2;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1281\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-09-05 15:29:22\";s:6:\"active\";s:1:\"1\";}i:172;a:11:{s:2:\"id\";s:3:\"172\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_egg_1.png\";s:4:\"name\";s:3:\"Egg\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"600\";s:6:\"height\";s:3:\"600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:171;a:11:{s:2:\"id\";s:3:\"171\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_guitar_1.png\";s:4:\"name\";s:6:\"Guitar\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:170;a:11:{s:2:\"id\";s:3:\"170\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_envelope_1.png\";s:4:\"name\";s:15:\"Closed Envelope\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:169;a:11:{s:2:\"id\";s:3:\"169\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_postit_2.png\";s:4:\"name\";s:18:\"Postit Label White\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"900\";s:6:\"height\";s:3:\"900\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:168;a:11:{s:2:\"id\";s:3:\"168\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_envelope_2.png\";s:4:\"name\";s:13:\"Open Envelope\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:167;a:11:{s:2:\"id\";s:3:\"167\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_eggs_1.png\";s:4:\"name\";s:10:\"Egg Carton\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:166;a:11:{s:2:\"id\";s:3:\"166\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:25:\"object_bottleopener_1.png\";s:4:\"name\";s:13:\"Bottle Opener\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:1;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:165;a:11:{s:2:\"id\";s:3:\"165\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_blueprints_1.png\";s:4:\"name\";s:10:\"Blueprints\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:164;a:11:{s:2:\"id\";s:3:\"164\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_holepunch_1.png\";s:4:\"name\";s:10:\"Hole-punch\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:163;a:11:{s:2:\"id\";s:3:\"163\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_speaker_1.png\";s:4:\"name\";s:13:\"Black Speaker\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:162;a:11:{s:2:\"id\";s:3:\"162\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_eraser_1.png\";s:4:\"name\";s:6:\"Eraser\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"500\";s:6:\"height\";s:3:\"500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:161;a:11:{s:2:\"id\";s:3:\"161\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_vinylcover_1.png\";s:4:\"name\";s:11:\"Vinyl Cover\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:160;a:11:{s:2:\"id\";s:3:\"160\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_booklet_1.png\";s:4:\"name\";s:9:\"Booklet 1\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:159;a:11:{s:2:\"id\";s:3:\"159\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_earphones_2.png\";s:4:\"name\";s:11:\"Earphones 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:158;a:11:{s:2:\"id\";s:3:\"158\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_vinyl_1.png\";s:4:\"name\";s:5:\"Vinyl\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:157;a:11:{s:2:\"id\";s:3:\"157\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_postit_1.png\";s:4:\"name\";s:17:\"Postit Label Pink\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"900\";s:6:\"height\";s:3:\"900\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:156;a:11:{s:2:\"id\";s:3:\"156\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_mechpencil_1.png\";s:4:\"name\";s:17:\"Mechanical Pencil\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:155;a:11:{s:2:\"id\";s:3:\"155\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_turntable_1.png\";s:4:\"name\";s:9:\"Turntable\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:154;a:11:{s:2:\"id\";s:3:\"154\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_folder_2.png\";s:4:\"name\";s:19:\"Closed Folder Black\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:153;a:11:{s:2:\"id\";s:3:\"153\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_postit_4.png\";s:4:\"name\";s:18:\"Postit Label Green\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"900\";s:6:\"height\";s:3:\"900\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:152;a:11:{s:2:\"id\";s:3:\"152\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_folder_1.png\";s:4:\"name\";s:12:\"Blank Folder\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:151;a:11:{s:2:\"id\";s:3:\"151\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_pencup_1.png\";s:4:\"name\";s:7:\"Pen Cup\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:150;a:11:{s:2:\"id\";s:3:\"150\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_winebottle_1.png\";s:4:\"name\";s:15:\"Red Wine Bottle\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:149;a:11:{s:2:\"id\";s:3:\"149\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_headphones_1.png\";s:4:\"name\";s:10:\"Headphones\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:148;a:11:{s:2:\"id\";s:3:\"148\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_earphones_1.png\";s:4:\"name\";s:9:\"Earphones\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:147;a:11:{s:2:\"id\";s:3:\"147\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_postit_3.png\";s:4:\"name\";s:19:\"Postit Label Yellow\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"900\";s:6:\"height\";s:3:\"900\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:146;a:11:{s:2:\"id\";s:3:\"146\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_corkscrew_1.png\";s:4:\"name\";s:23:\"Corkscrew Bottle Opener\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:1;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1300\";s:6:\"height\";s:4:\"1300\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-18 15:34:49\";s:6:\"active\";s:1:\"1\";}i:145;a:11:{s:2:\"id\";s:3:\"145\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_muffin_1.png\";s:4:\"name\";s:16:\"Chocolate Muffin\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"900\";s:6:\"height\";s:3:\"900\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:144;a:11:{s:2:\"id\";s:3:\"144\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_chair_2.png\";s:4:\"name\";s:12:\"Yellow Chair\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:143;a:11:{s:2:\"id\";s:3:\"143\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_knife_2.png\";s:4:\"name\";s:7:\"Knife 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:142;a:11:{s:2:\"id\";s:3:\"142\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:26:\"object_choppingboard_2.png\";s:4:\"name\";s:16:\"Chopping Board 3\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:141;a:11:{s:2:\"id\";s:3:\"141\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:26:\"object_choppingboard_3.png\";s:4:\"name\";s:16:\"Chopping Board 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:140;a:11:{s:2:\"id\";s:3:\"140\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_coffee_2.png\";s:4:\"name\";s:12:\"Coffee Cup 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1200\";s:6:\"height\";s:4:\"1200\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:139;a:11:{s:2:\"id\";s:3:\"139\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_bread_1.png\";s:4:\"name\";s:15:\"Croissant Bread\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:138;a:11:{s:2:\"id\";s:3:\"138\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_spoon_2.png\";s:4:\"name\";s:12:\"Wodden Spoon\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:137;a:11:{s:2:\"id\";s:3:\"137\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:26:\"object_choppingboard_1.png\";s:4:\"name\";s:16:\"Chopping Board 1\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:136;a:11:{s:2:\"id\";s:3:\"136\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_cup_2.png\";s:4:\"name\";s:11:\"Empty Cup 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:4:\"1400\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:135;a:11:{s:2:\"id\";s:3:\"135\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_knife_1.png\";s:4:\"name\";s:5:\"Knife\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:134;a:11:{s:2:\"id\";s:3:\"134\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_spoon_1.png\";s:4:\"name\";s:5:\"Spoon\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:133;a:11:{s:2:\"id\";s:3:\"133\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_cup_1.png\";s:4:\"name\";s:9:\"Empty Cup\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:4:\"1400\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:132;a:11:{s:2:\"id\";s:3:\"132\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_chair_3.png\";s:4:\"name\";s:11:\"White Chair\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:131;a:11:{s:2:\"id\";s:3:\"131\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_coffee_1.png\";s:4:\"name\";s:10:\"Coffee Cup\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:130;a:11:{s:2:\"id\";s:3:\"130\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_frypan_2.png\";s:4:\"name\";s:9:\"Fry Pan 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:129;a:11:{s:2:\"id\";s:3:\"129\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_frypan_1.png\";s:4:\"name\";s:9:\"Fry Pan 1\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:128;a:11:{s:2:\"id\";s:3:\"128\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_fork_1.png\";s:4:\"name\";s:4:\"Fork\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:127;a:11:{s:2:\"id\";s:3:\"127\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_dishrag_1.png\";s:4:\"name\";s:13:\"Dishrag Cloth\";s:4:\"tags\";a:0:{}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-17 13:48:44\";s:6:\"active\";s:1:\"1\";}i:126;a:11:{s:2:\"id\";s:3:\"126\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_wacom_pen.png\";s:4:\"name\";s:17:\"Wacom Drawing Pen\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}i:2;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1060\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:125;a:11:{s:2:\"id\";s:3:\"125\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_occulus_vr.png\";s:4:\"name\";s:23:\"Occulus Virtual Reality\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:124;a:11:{s:2:\"id\";s:3:\"124\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_antenna.png\";s:4:\"name\";s:13:\"Antenna Radar\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:123;a:11:{s:2:\"id\";s:3:\"123\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_solarpanel.png\";s:4:\"name\";s:11:\"Solar Panel\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:122;a:11:{s:2:\"id\";s:3:\"122\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_wacom.png\";s:4:\"name\";s:20:\"Wacom Drawing Tablet\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}i:2;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:121;a:11:{s:2:\"id\";s:3:\"121\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_earth_2.png\";s:4:\"name\";s:20:\"Earth Globe Planet 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:120;a:11:{s:2:\"id\";s:3:\"120\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_chair_1.png\";s:4:\"name\";s:12:\"Office Chair\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:119;a:11:{s:2:\"id\";s:3:\"119\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:24:\"object_windturbine_2.png\";s:4:\"name\";s:14:\"Wind Turbine 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:118;a:11:{s:2:\"id\";s:3:\"118\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_windturbine.png\";s:4:\"name\";s:12:\"Wind Turbine\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:117;a:11:{s:2:\"id\";s:3:\"117\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:16:\"object_earth.png\";s:4:\"name\";s:18:\"Earth Globe Planet\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 16:50:55\";s:6:\"active\";s:1:\"1\";}i:116;a:11:{s:2:\"id\";s:3:\"116\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"mountain_view_2.jpg\";s:4:\"name\";s:15:\"Mountain View 2\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1275\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:115;a:11:{s:2:\"id\";s:3:\"115\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"desert_trees.jpg\";s:4:\"name\";s:12:\"Desert Trees\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1275\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:114;a:11:{s:2:\"id\";s:3:\"114\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:20:\"explore_moutains.jpg\";s:4:\"name\";s:17:\"Explore Mountains\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1080\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:113;a:11:{s:2:\"id\";s:3:\"113\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"night_skyline_2.jpg\";s:4:\"name\";s:15:\"Night Skyline 2\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:112;a:11:{s:2:\"id\";s:3:\"112\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:15:\"cliff_ocean.jpg\";s:4:\"name\";s:11:\"Cliff Ocean\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:111;a:11:{s:2:\"id\";s:3:\"111\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:14:\"city_smoke.jpg\";s:4:\"name\";s:10:\"City Smoke\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"24\";s:6:\"handle\";s:6:\"People\";s:4:\"name\";s:6:\"People\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:110;a:11:{s:2:\"id\";s:3:\"110\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"surfer_beach.jpg\";s:4:\"name\";s:12:\"Surfer Beach\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:2;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1278\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:109;a:11:{s:2:\"id\";s:3:\"109\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:13:\"sky_night.jpg\";s:4:\"name\";s:9:\"Sky Night\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:2;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1282\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:108;a:11:{s:2:\"id\";s:3:\"108\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:15:\"palm_sunset.jpg\";s:4:\"name\";s:11:\"Palm Sunset\";s:4:\"tags\";a:4:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:2;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}i:3;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1372\";s:6:\"height\";s:4:\"1920\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:107;a:11:{s:2:\"id\";s:3:\"107\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:18:\"concert_people.jpg\";s:4:\"name\";s:14:\"Concert People\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"24\";s:6:\"handle\";s:6:\"People\";s:4:\"name\";s:6:\"People\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1277\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:106;a:11:{s:2:\"id\";s:3:\"106\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:15:\"forest_road.jpg\";s:4:\"name\";s:11:\"Forest Road\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1282\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:105;a:11:{s:2:\"id\";s:3:\"105\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:15:\"beach_ocean.jpg\";s:4:\"name\";s:11:\"Beach Ocean\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:2;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:104;a:11:{s:2:\"id\";s:3:\"104\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:18:\"mountain_night.jpg\";s:4:\"name\";s:14:\"Mountain Night\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:2;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1277\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:103;a:11:{s:2:\"id\";s:3:\"103\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"ocean_mountains.jpg\";s:4:\"name\";s:15:\"Ocean Mountains\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1282\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:102;a:11:{s:2:\"id\";s:3:\"102\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:10:\"forest.jpg\";s:4:\"name\";s:6:\"Forest\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:101;a:11:{s:2:\"id\";s:3:\"101\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"ocean_stones.jpg\";s:4:\"name\";s:12:\"Ocean Stones\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:2;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:100;a:11:{s:2:\"id\";s:3:\"100\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"country_road.jpg\";s:4:\"name\";s:12:\"Country Road\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:2;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:99;a:11:{s:2:\"id\";s:2:\"99\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:9:\"beach.jpg\";s:4:\"name\";s:5:\"Beach\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:98;a:11:{s:2:\"id\";s:2:\"98\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:16:\"city_skyline.jpg\";s:4:\"name\";s:12:\"City Skyline\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:97;a:11:{s:2:\"id\";s:2:\"97\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"night_skyline.jpg\";s:4:\"name\";s:13:\"Night Skyline\";s:4:\"tags\";a:3:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}i:2;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:96;a:11:{s:2:\"id\";s:2:\"96\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:14:\"city_river.jpg\";s:4:\"name\";s:10:\"City River\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:95;a:11:{s:2:\"id\";s:2:\"95\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"mountain_view_3.jpg\";s:4:\"name\";s:15:\"Mountain View 3\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1281\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:94;a:11:{s:2:\"id\";s:2:\"94\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:14:\"misty_farm.jpg\";s:4:\"name\";s:10:\"Misty Farm\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:93;a:11:{s:2:\"id\";s:2:\"93\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"mountain_path.jpg\";s:4:\"name\";s:13:\"Mountain Path\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1280\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:92;a:11:{s:2:\"id\";s:2:\"92\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"night_skyline_3.jpg\";s:4:\"name\";s:15:\"Night Skyline 3\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1080\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:91;a:11:{s:2:\"id\";s:2:\"91\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:17:\"mountain_view.jpg\";s:4:\"name\";s:13:\"Mountain View\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1160\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:90;a:11:{s:2:\"id\";s:2:\"90\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"rocky_landscape.jpg\";s:4:\"name\";s:15:\"Rocky Landscape\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1080\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:89;a:11:{s:2:\"id\";s:2:\"89\";s:4:\"type\";s:1:\"2\";s:6:\"handle\";s:19:\"mountain_view_4.jpg\";s:4:\"name\";s:15:\"Mountain View 4\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}i:1;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:4:\"1203\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-15 14:29:46\";s:6:\"active\";s:1:\"1\";}i:88;a:11:{s:2:\"id\";s:2:\"88\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:24:\"object_eiffeltower_2.png\";s:4:\"name\";s:13:\"Eiffeltower 2\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:1;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"700\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:87;a:11:{s:2:\"id\";s:2:\"87\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_notebook_1.png\";s:4:\"name\";s:11:\"Notebook PC\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"2000\";s:6:\"height\";s:4:\"2000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:86;a:11:{s:2:\"id\";s:2:\"86\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_macbook_1.png\";s:4:\"name\";s:20:\"Apple Macbook Silver\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"2000\";s:6:\"height\";s:4:\"2000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:85;a:11:{s:2:\"id\";s:2:\"85\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_canon_2.png\";s:4:\"name\";s:21:\"Canon Camera DSLR Top\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:84;a:11:{s:2:\"id\";s:2:\"84\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_iphone_3.png\";s:4:\"name\";s:25:\"Apple iPhone Silver White\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:83;a:11:{s:2:\"id\";s:2:\"83\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_candy_2.png\";s:4:\"name\";s:15:\"Candy Colored 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:82;a:11:{s:2:\"id\";s:2:\"82\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_macmouse_1.png\";s:4:\"name\";s:15:\"Apple Mac Mouse\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:81;a:11:{s:2:\"id\";s:2:\"81\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_iphone_1.png\";s:4:\"name\";s:18:\"Apple iPhone Black\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:80;a:11:{s:2:\"id\";s:2:\"80\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_deco_1.png\";s:4:\"name\";s:17:\"White Deco Object\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:1;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:79;a:11:{s:2:\"id\";s:2:\"79\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_applewatch_1.png\";s:4:\"name\";s:24:\"Apple Watch White Silver\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:78;a:11:{s:2:\"id\";s:2:\"78\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_swissknife_1.png\";s:4:\"name\";s:11:\"Swiss Knife\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:1;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:77;a:11:{s:2:\"id\";s:2:\"77\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_applewatch_2.png\";s:4:\"name\";s:17:\"Apple Watch Black\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:76;a:11:{s:2:\"id\";s:2:\"76\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_candy_1.png\";s:4:\"name\";s:13:\"Candy Colored\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:75;a:11:{s:2:\"id\";s:2:\"75\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_ipad_1.png\";s:4:\"name\";s:16:\"Apple iPad Black\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"2000\";s:6:\"height\";s:4:\"2000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:74;a:11:{s:2:\"id\";s:2:\"74\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_lamp_2.png\";s:4:\"name\";s:15:\"Black Desk Lamp\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:73;a:11:{s:2:\"id\";s:2:\"73\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_canon_1.png\";s:4:\"name\";s:17:\"Canon Camera DLSR\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:72;a:11:{s:2:\"id\";s:2:\"72\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_blackberry_2.png\";s:4:\"name\";s:12:\"Blackberry 3\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:71;a:11:{s:2:\"id\";s:2:\"71\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_iphone_2.png\";s:4:\"name\";s:19:\"Apple iPhone Silver\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:70;a:11:{s:2:\"id\";s:2:\"70\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_ipad_2.png\";s:4:\"name\";s:15:\"Apple iPad Gold\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"2000\";s:6:\"height\";s:4:\"2000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:69;a:11:{s:2:\"id\";s:2:\"69\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_printer_1.png\";s:4:\"name\";s:7:\"Printer\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:68;a:11:{s:2:\"id\";s:2:\"68\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_pcmouse_1.png\";s:4:\"name\";s:14:\"Black PC Mouse\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:67;a:11:{s:2:\"id\";s:2:\"67\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_ipad_3.png\";s:4:\"name\";s:17:\"Apple iPad Silver\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"2000\";s:6:\"height\";s:4:\"2000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:66;a:11:{s:2:\"id\";s:2:\"66\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_lamp_1.png\";s:4:\"name\";s:13:\"Desk Lamp Top\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:65;a:11:{s:2:\"id\";s:2:\"65\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:22:\"object_macscreen_1.png\";s:4:\"name\";s:16:\"Apple Mac Screen\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"2000\";s:6:\"height\";s:4:\"2000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:64;a:11:{s:2:\"id\";s:2:\"64\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_blackberry_3.png\";s:4:\"name\";s:12:\"Blackberry 2\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:63;a:11:{s:2:\"id\";s:2:\"63\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_applewatch_3.png\";s:4:\"name\";s:16:\"Apple Watch Gold\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"800\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:62;a:11:{s:2:\"id\";s:2:\"62\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_blackberry_1.png\";s:4:\"name\";s:10:\"Blackberry\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 16:51:11\";s:6:\"active\";s:1:\"1\";}i:49;a:11:{s:2:\"id\";s:2:\"49\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_bottle_1.png\";s:4:\"name\";s:18:\"Brown Glass Bottle\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:1;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:48;a:11:{s:2:\"id\";s:2:\"48\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_glasses_1.png\";s:4:\"name\";s:19:\"Hipster Glasses Top\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:47;a:11:{s:2:\"id\";s:2:\"47\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_magazine_1.png\";s:4:\"name\";s:14:\"Blank Magazine\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:46;a:11:{s:2:\"id\";s:2:\"46\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:28:\"object_leatherdocument_2.png\";s:4:\"name\";s:24:\"Black Leather Document 2\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}i:1;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:45;a:11:{s:2:\"id\";s:2:\"45\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_purse_2.png\";s:4:\"name\";s:13:\"Black Purse 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:44;a:11:{s:2:\"id\";s:2:\"44\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_typewriter_1.png\";s:4:\"name\";s:18:\"Retro Typewriter 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:43;a:11:{s:2:\"id\";s:2:\"43\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_book_5.png\";s:4:\"name\";s:9:\"Old Books\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:42;a:11:{s:2:\"id\";s:2:\"42\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:28:\"object_leatherdocument_1.png\";s:4:\"name\";s:29:\"Black Leather Document Closed\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:41;a:11:{s:2:\"id\";s:2:\"41\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_book_4.png\";s:4:\"name\";s:8:\"Old Book\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:40;a:11:{s:2:\"id\";s:2:\"40\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_wallet_2.png\";s:4:\"name\";s:22:\"Black Leather Document\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:39;a:11:{s:2:\"id\";s:2:\"39\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_quill_2.png\";s:4:\"name\";s:15:\"Quill Feather 2\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:38;a:11:{s:2:\"id\";s:2:\"38\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:24:\"object_eiffeltower_1.png\";s:4:\"name\";s:11:\"Eiffeltower\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:37;a:11:{s:2:\"id\";s:2:\"37\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_magazine_2.png\";s:4:\"name\";s:11:\"Open Book 3\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1333\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:36;a:11:{s:2:\"id\";s:2:\"36\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_book_1.png\";s:4:\"name\";s:10:\"Blank Book\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:35;a:11:{s:2:\"id\";s:2:\"35\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"object_glasses_2.png\";s:4:\"name\";s:15:\"Hipster Glasses\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:34;a:11:{s:2:\"id\";s:2:\"34\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_book_2.png\";s:4:\"name\";s:11:\"Open Book 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:33;a:11:{s:2:\"id\";s:2:\"33\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_gloves_1.png\";s:4:\"name\";s:12:\"Black Gloves\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:32;a:11:{s:2:\"id\";s:2:\"32\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_typewriter_2.png\";s:4:\"name\";s:16:\"Retro Typewriter\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:31;a:11:{s:2:\"id\";s:2:\"31\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:17:\"object_book_3.png\";s:4:\"name\";s:9:\"Open Book\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:30;a:11:{s:2:\"id\";s:2:\"30\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_wallet_1.png\";s:4:\"name\";s:12:\"Black Wallet\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1500\";s:6:\"height\";s:4:\"1500\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:29;a:11:{s:2:\"id\";s:2:\"29\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_purse_1.png\";s:4:\"name\";s:11:\"Black Purse\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:28;a:11:{s:2:\"id\";s:2:\"28\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_quill_1.png\";s:4:\"name\";s:13:\"Quill Feather\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 12:57:32\";s:6:\"active\";s:1:\"1\";}i:27;a:11:{s:2:\"id\";s:2:\"27\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_artbox_2.png\";s:4:\"name\";s:16:\"Art Box Colors 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:26;a:11:{s:2:\"id\";s:2:\"26\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"object_cloth_1.png\";s:4:\"name\";s:17:\"Cloth Paint Color\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:4:\"1400\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:25;a:11:{s:2:\"id\";s:2:\"25\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"object_brushpot_1.png\";s:4:\"name\";s:9:\"Brush Pot\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"984\";s:6:\"height\";s:3:\"984\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:24;a:11:{s:2:\"id\";s:2:\"24\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:24:\"object_paintbucket_1.png\";s:4:\"name\";s:12:\"Paint Bucket\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:4:\"1400\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:23;a:11:{s:2:\"id\";s:2:\"23\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_paintbrush_2.png\";s:4:\"name\";s:12:\"Paintbrush 3\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"700\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:22;a:11:{s:2:\"id\";s:2:\"22\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:19:\"object_artbox_1.png\";s:4:\"name\";s:14:\"Art Box Colors\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:21;a:11:{s:2:\"id\";s:2:\"21\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_paintbrush_3.png\";s:4:\"name\";s:12:\"Paintbrush 2\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:20;a:11:{s:2:\"id\";s:2:\"20\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:23:\"object_paintbrush_1.png\";s:4:\"name\";s:12:\"Paintbrush 1\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:4:\"1000\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-12 10:59:23\";s:6:\"active\";s:1:\"1\";}i:11;a:11:{s:2:\"id\";s:2:\"11\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"table_radio_right.png\";s:4:\"name\";s:18:\"Radio Speaker Wood\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-11 13:37:51\";s:6:\"active\";s:1:\"1\";}i:10;a:11:{s:2:\"id\";s:2:\"10\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:18:\"keyboard_apple.png\";s:4:\"name\";s:14:\"Apple Keyboard\";s:4:\"tags\";a:1:{i:0;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-11 13:37:51\";s:6:\"active\";s:1:\"1\";}i:9;a:11:{s:2:\"id\";s:1:\"9\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:20:\"macbook_top_gold.png\";s:4:\"name\";s:18:\"Apple Macbook Gold\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1600\";s:6:\"height\";s:4:\"1600\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-11 13:37:51\";s:6:\"active\";s:1:\"1\";}i:8;a:11:{s:2:\"id\";s:1:\"8\";s:4:\"type\";s:1:\"1\";s:6:\"handle\";s:21:\"nexus6_front_blue.png\";s:4:\"name\";s:19:\"Google Nexus 6 Blue\";s:4:\"tags\";a:2:{i:0;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:1;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}}s:11:\"description\";s:8:\"New File\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";s:7:\"version\";s:3:\"1.0\";s:5:\"added\";s:19:\"2016-08-11 13:37:51\";s:6:\"active\";s:1:\"1\";}}s:4:\"tags\";a:13:{i:1;a:3:{s:2:\"id\";s:1:\"1\";s:6:\"handle\";s:11:\"accessories\";s:4:\"name\";s:11:\"Accessories\";}i:5;a:3:{s:2:\"id\";s:1:\"5\";s:6:\"handle\";s:3:\"art\";s:4:\"name\";s:3:\"Art\";}i:20;a:3:{s:2:\"id\";s:2:\"20\";s:6:\"handle\";s:5:\"Beach\";s:4:\"name\";s:5:\"Beach\";}i:21;a:3:{s:2:\"id\";s:2:\"21\";s:6:\"handle\";s:4:\"City\";s:4:\"name\";s:4:\"City\";}i:2;a:3:{s:2:\"id\";s:1:\"2\";s:6:\"handle\";s:6:\"device\";s:4:\"name\";s:6:\"Device\";}i:16;a:3:{s:2:\"id\";s:2:\"16\";s:6:\"handle\";s:4:\"food\";s:4:\"name\";s:4:\"Food\";}i:18;a:3:{s:2:\"id\";s:2:\"18\";s:6:\"handle\";s:4:\"misc\";s:4:\"name\";s:4:\"Misc\";}i:4;a:3:{s:2:\"id\";s:1:\"4\";s:6:\"handle\";s:5:\"music\";s:4:\"name\";s:5:\"Music\";}i:19;a:3:{s:2:\"id\";s:2:\"19\";s:6:\"handle\";s:6:\"nature\";s:4:\"name\";s:6:\"Nature\";}i:23;a:3:{s:2:\"id\";s:2:\"23\";s:6:\"handle\";s:5:\"Night\";s:4:\"name\";s:5:\"Night\";}i:3;a:3:{s:2:\"id\";s:1:\"3\";s:6:\"handle\";s:6:\"office\";s:4:\"name\";s:6:\"Office\";}i:24;a:3:{s:2:\"id\";s:2:\"24\";s:6:\"handle\";s:6:\"People\";s:4:\"name\";s:6:\"People\";}i:22;a:3:{s:2:\"id\";s:2:\"22\";s:6:\"handle\";s:3:\"Sky\";s:4:\"name\";s:3:\"Sky\";}}}", "no");
INSERT INTO `wp_options` VALUES("218", "rs_tables_created", "1", "yes");
INSERT INTO `wp_options` VALUES("220", "revslider-global-settings", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("221", "revslider_update_version", "5.2.5.5", "yes");
INSERT INTO `wp_options` VALUES("222", "widget_rev-slider-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("226", "stla_licenses", "", "yes");
INSERT INTO `wp_options` VALUES("234", "gform_enable_noconflict", "1", "yes");
INSERT INTO `wp_options` VALUES("235", "rg_gforms_enable_akismet", "1", "yes");
INSERT INTO `wp_options` VALUES("236", "rg_gforms_currency", "USD", "yes");
INSERT INTO `wp_options` VALUES("237", "gform_enable_toolbar_menu", "1", "yes");
INSERT INTO `wp_options` VALUES("323", "gform_upload_page_slug", "c714bd280cfcc36", "yes");
INSERT INTO `wp_options` VALUES("356", "ai1wm_updater", "a:1:{s:38:\"all-in-one-wp-migration-file-extension\";a:13:{s:4:\"name\";s:14:\"File Extension\";s:4:\"slug\";s:14:\"file-extension\";s:8:\"homepage\";s:31:\"https://import.wp-migration.com\";s:13:\"download_link\";s:74:\"https://import.wp-migration.com/all-in-one-wp-migration-file-extension.zip\";s:7:\"version\";s:3:\"1.6\";s:6:\"author\";s:8:\"ServMask\";s:15:\"author_homepage\";s:20:\"https://servmask.com\";s:8:\"sections\";a:1:{s:11:\"description\";s:60:\"<ul class=\"description\"><li>Import from file</li></ul><br />\";}s:7:\"banners\";a:2:{s:3:\"low\";s:71:\"https://import.wp-migration.com/img/products/file-extension-772x250.png\";s:4:\"high\";s:72:\"https://import.wp-migration.com/img/products/file-extension-1544x500.png\";}s:5:\"icons\";a:3:{s:2:\"1x\";s:71:\"https://import.wp-migration.com/img/products/file-extension-128x128.png\";s:2:\"2x\";s:71:\"https://import.wp-migration.com/img/products/file-extension-256x256.png\";s:7:\"default\";s:71:\"https://import.wp-migration.com/img/products/file-extension-256x256.png\";}s:6:\"rating\";i:99;s:11:\"num_ratings\";i:309;s:10:\"downloaded\";i:40188;}}", "yes");
INSERT INTO `wp_options` VALUES("431", "lbdic_dismissed_on", "1536698563", "yes");
INSERT INTO `wp_options` VALUES("432", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("446", "uncode_font_options", "a:1:{s:10:\"font_stack\";s:1162:\"[{&quot;family&quot;:&quot;Poppins&quot;,&quot;familyID&quot;:&quot;&quot;,&quot;source&quot;:&quot;Google Web Fonts&quot;,&quot;stub&quot;:&quot;&quot;,&quot;generic&quot;:&quot;&quot;,&quot;variants&quot;:&quot;100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic&quot;,&quot;selvariants&quot;:&quot;300,regular,700&quot;,&quot;variantselectors&quot;:&quot;&quot;,&quot;files&quot;:&quot;&quot;,&quot;subsets&quot;:&quot;devanagari,latin,latin-ext&quot;,&quot;selsubsets&quot;:&quot;devanagari,latin,latin-ext&quot;},{&quot;family&quot;:&quot;Cormorant Garamond&quot;,&quot;familyID&quot;:&quot;&quot;,&quot;source&quot;:&quot;Google Web Fonts&quot;,&quot;stub&quot;:&quot;&quot;,&quot;generic&quot;:&quot;&quot;,&quot;variants&quot;:&quot;300,300italic,regular,italic,500,500italic,600,600italic,700,700italic&quot;,&quot;selvariants&quot;:&quot;300,regular,700&quot;,&quot;variantselectors&quot;:&quot;&quot;,&quot;files&quot;:&quot;&quot;,&quot;subsets&quot;:&quot;vietnamese,cyrillic,latin,cyrillic-ext,latin-ext&quot;,&quot;selsubsets&quot;:&quot;vietnamese,latin,latin-ext&quot;}]\";}", "yes");
INSERT INTO `wp_options` VALUES("1917", "jetpack_active_modules", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("1925", "wpb_js_composer_license_activation_notified", "yes", "yes");
INSERT INTO `wp_options` VALUES("1961", "wpbase_cache_options", "a:1:{s:7:\"send_as\";s:7:\"noreply\";}", "yes");
INSERT INTO `wp_options` VALUES("2735", "rs_cache_overlay", "5.4.8", "yes");
INSERT INTO `wp_options` VALUES("2818", "rs_obj_favorites", "a:12:{i:0;s:119:\"http://keira.courtesancreative.com/wp-content/plugins/revslider/public/assets/assets/svg/action/ic_3d_rotation_24px.svg\";i:1;s:121:\"http://keira.courtesancreative.com/wp-content/plugins/revslider/public/assets/assets/svg/action/ic_accessibility_24px.svg\";i:2;s:118:\"http://keira.courtesancreative.com/wp-content/plugins/revslider/public/assets/assets/svg/action/ic_accessible_24px.svg\";i:3;s:16:\"object_dvd_1.png\";i:4;s:17:\"relax_hammock.jpg\";i:5;s:16:\"beach_houses.jpg\";i:6;s:17:\"forest_road_2.jpg\";i:7;s:18:\"object_plant_1.png\";i:8;s:16:\"object_pen_1.png\";i:9;s:13:\"fa-icon-glass\";i:10;s:13:\"fa-icon-music\";i:11;s:14:\"fa-icon-search\";}", "yes");
INSERT INTO `wp_options` VALUES("2977", "ot_css_file_paths", "a:1:{s:18:\"_uncode_custom_css\";s:85:\"/srv/www/keira.courtesancreative.com/public_html/wp-content/themes/uncode/dynamic.css\";}", "yes");
INSERT INTO `wp_options` VALUES("4374", "gf_stla_select_form_id", "1", "yes");
INSERT INTO `wp_options` VALUES("4375", "gf_stla_general_settings", "a:1:{s:12:\"reset-styles\";i:-1;}", "yes");
INSERT INTO `wp_options` VALUES("4386", "gf_stla_form_id_1", "a:1:{s:13:\"submit-button\";a:7:{s:12:\"button-color\";s:7:\"#ed1e79\";s:11:\"hover-color\";s:7:\"#ffffff\";s:10:\"font-color\";s:7:\"#ffffff\";s:16:\"font-hover-color\";s:7:\"#ed1e79\";s:11:\"border-size\";s:3:\"2px\";s:12:\"border-color\";s:7:\"#ed1e79\";s:13:\"border-radius\";s:3:\"0px\";}}", "yes");
INSERT INTO `wp_options` VALUES("4393", "gf_stla_form_id_3", "a:1:{s:13:\"submit-button\";a:8:{s:12:\"button-color\";s:7:\"#7f4baf\";s:11:\"hover-color\";s:7:\"#ffffff\";s:10:\"font-color\";s:7:\"#ffffff\";s:16:\"font-hover-color\";s:7:\"#7f4baf\";s:11:\"border-size\";s:3:\"1px\";s:12:\"border-color\";s:7:\"#7f4baf\";s:13:\"border-radius\";s:3:\"0px\";s:10:\"font-style\";s:4:\"bold\";}}", "yes");
INSERT INTO `wp_options` VALUES("4447", "revslider-connection", "1", "yes");
INSERT INTO `wp_options` VALUES("4448", "revslider-latest-version", "5.4.8", "yes");
INSERT INTO `wp_options` VALUES("4449", "revslider-stable-version", "4.2", "yes");
INSERT INTO `wp_options` VALUES("4450", "revslider-notices", "a:10:{i:0;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.0.9\";s:4:\"text\";s:220:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow51_banner.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.1 is out\" ></a>\";s:4:\"code\";s:9:\"TPRS51-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:1;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.1.4\";s:4:\"text\";s:232:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=515b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_banner515.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.1.5 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS515-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:2;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.1.6\";s:4:\"text\";s:230:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=52b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_banner52.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.1.5 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS515-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:3;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.2.9\";s:4:\"text\";s:239:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=530b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_banner_large_5.3.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.3.0 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS530-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:4;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.3.9\";s:4:\"text\";s:222:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=54b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_54.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.4 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS540-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:5;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.4.1\";s:4:\"text\";s:239:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=542b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_banner_large_542.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.4.2 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS540-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:6;O:8:\"stdClass\":7:{s:7:\"version\";s:5:\"5.4.4\";s:4:\"text\";s:226:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=545b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_545.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.4.5 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS545-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:7;O:8:\"stdClass\":7:{s:7:\"version\";s:7:\"5.4.5.1\";s:4:\"text\";s:242:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=5452b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/updatenow_banner_large5452.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.4.5.2 is out\" ></a>\";s:4:\"code\";s:11:\"TPRS5452-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:8;O:8:\"stdClass\":7:{s:7:\"version\";s:7:\"5.4.5.2\";s:4:\"text\";s:223:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=546b\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/546_update.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.4.6 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS546-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}i:9;O:8:\"stdClass\":7:{s:7:\"version\";s:7:\"5.4.7.9\";s:4:\"text\";s:231:\"<a href=\"//revolution.themepunch.com/direct-customer-benefits/?ref=548\" target=\"_blank\"><img src=\"//updates.themepunch.tools/banners/revsliderbanner_548.jpg\" style=\"min-width: 50%; max-width:100%\" alt=\"revslider 5.4.8 is out\" ></a>\";s:4:\"code\";s:10:\"TPRS548-01\";s:5:\"color\";s:5:\"green\";s:7:\"disable\";b:0;s:9:\"is_global\";b:0;s:10:\"additional\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("4451", "revslider-dashboard", "O:8:\"stdClass\":1:{s:11:\"test-handle\";O:8:\"stdClass\":5:{s:12:\"version_from\";s:5:\"5.0.0\";s:10:\"version_to\";s:5:\"5.0.0\";s:5:\"order\";i:5;s:7:\"content\";s:181:\"<div class=\"rs-dash-widget\"><div class=\"rs-dash-title-wrap\"><div class=\"rs-dash-title\">your version is: {{current_version}}</div></div><div class=\"rs-dash-widget-inner\"></div></div>\";s:4:\"code\";s:0:\"\";}}", "yes");
INSERT INTO `wp_options` VALUES("4452", "revslider-addons", "O:8:\"stdClass\":26:{s:26:\"revslider-whiteboard-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:26:\"revslider-whiteboard-addon\";s:12:\"version_from\";s:5:\"5.2.0\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:10:\"Whiteboard\";s:6:\"line_1\";s:31:\"Create Hand-Drawn Presentations\";s:6:\"line_2\";s:45:\"that are understandable, memorable & engaging\";s:9:\"available\";s:5:\"1.0.6\";s:10:\"background\";s:65:\"//updates.themepunch.tools/addons/images/whiteboard_widget_bg.jpg\";s:6:\"button\";s:11:\"How to use?\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:61:\"//updates.themepunch.tools/addons/images/addon_whiteboard.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"WB\";}}s:22:\"revslider-backup-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:22:\"revslider-backup-addon\";s:12:\"version_from\";s:5:\"5.2.0\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:6:\"Backup\";s:6:\"line_1\";s:12:\"Make Backups\";s:6:\"line_2\";s:25:\"Revisions for your safety\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:11:\"How to use?\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:57:\"//updates.themepunch.tools/addons/images/addon_backup.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"BU\";}}s:23:\"revslider-gallery-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:23:\"revslider-gallery-addon\";s:12:\"version_from\";s:5:\"5.2.0\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:17:\"WordPress Gallery\";s:6:\"line_1\";s:31:\"Replace the standard WP Gallery\";s:6:\"line_2\";s:31:\"with the Sliders of your choice\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:60:\"//updates.themepunch.tools/addons/images/addon_wpgallery.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"GA\";}}s:25:\"revslider-rel-posts-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:25:\"revslider-rel-posts-addon\";s:12:\"version_from\";s:7:\"5.2.4.1\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:13:\"Related Posts\";s:6:\"line_1\";s:25:\"Add related Posts Sliders\";s:6:\"line_2\";s:31:\"at the end of your post content\";s:9:\"available\";s:5:\"1.0.1\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:60:\"//updates.themepunch.tools/addons/images/addon_wprelated.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"RP\";}}s:26:\"revslider-typewriter-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:26:\"revslider-typewriter-addon\";s:12:\"version_from\";s:5:\"5.3.0\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:17:\"Typewriter Effect\";s:6:\"line_1\";s:27:\"Enhance your slider\'s text \";s:6:\"line_2\";s:24:\"with typewriter effects \";s:9:\"available\";s:5:\"1.0.3\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:61:\"//updates.themepunch.tools/addons/images/addon_typewriter.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"TW\";}}s:23:\"revslider-sharing-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:23:\"revslider-sharing-addon\";s:12:\"version_from\";s:5:\"5.3.1\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:14:\"Social Sharing\";s:6:\"line_1\";s:17:\"Share your slides\";s:6:\"line_2\";s:50:\"with RevSlider \"actions\" because sharing is caring\";s:9:\"available\";s:5:\"1.1.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:11:\"How to use?\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:64:\"//updates.themepunch.tools/addons/images/addon_socialsharing.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"SH\";}}s:27:\"revslider-maintenance-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:27:\"revslider-maintenance-addon\";s:12:\"version_from\";s:5:\"5.3.1\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:15:\"Coming & Maint.\";s:6:\"line_1\";s:37:\"Simple Coming Soon & Maintenance Page\";s:6:\"line_2\";s:42:\"Let your visitors know what\'s up and when!\";s:9:\"available\";s:5:\"1.0.5\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:68:\"//updates.themepunch.tools/addons/images/addon_underconstruction.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"MT\";}}s:20:\"revslider-snow-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:20:\"revslider-snow-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:12:\"Holiday Snow\";s:6:\"line_1\";s:12:\"Let it snow!\";s:6:\"line_2\";s:32:\"Add animated snow to any Slider \";s:9:\"available\";s:5:\"1.0.5\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:11:\"How to use?\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:55:\"//updates.themepunch.tools/addons/images/addon_snow.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"SN\";}}s:25:\"revslider-particles-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:25:\"revslider-particles-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:16:\"Particle Effects\";s:6:\"line_1\";s:17:\"Let\'s Parti(cle)!\";s:6:\"line_2\";s:51:\"Add interactive particle animations to your sliders\";s:9:\"available\";s:5:\"1.0.6\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:11:\"How to use?\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:60:\"//updates.themepunch.tools/addons/images/addon_particles.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"PT\";}}s:24:\"revslider-polyfold-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:24:\"revslider-polyfold-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:22:\"Polyfold Scroll Effect\";s:6:\"line_1\";s:32:\"Add sharp edges to your sliders \";s:6:\"line_2\";s:35:\"as they scroll into and out of view\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:11:\"How to use?\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:59:\"//updates.themepunch.tools/addons/images/addon_polyfold.jpg\";s:5:\"color\";s:7:\"#3e186f\";s:4:\"text\";s:2:\"PF\";}}s:19:\"revslider-404-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:19:\"revslider-404-addon\";s:12:\"version_from\";s:3:\"5.3\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:3:\"404\";s:6:\"line_1\";s:39:\"Build custom 404 \"Page not Found\" Pages\";s:6:\"line_2\";s:28:\"with Slider Revolution swag!\";s:9:\"available\";s:5:\"1.0.1\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:54:\"//updates.themepunch.tools/addons/images/addon_404.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:3:\"404\";}}s:30:\"revslider-prevnext-posts-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:30:\"revslider-prevnext-posts-addon\";s:12:\"version_from\";s:3:\"5.4\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:14:\"Adjacent Posts\";s:6:\"line_1\";s:30:\"Display previous and next post\";s:6:\"line_2\";s:28:\"to the currently showing one\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:61:\"//updates.themepunch.tools/addons/images/addon_wpadjacent.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"PN\";}}s:25:\"revslider-filmstrip-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:25:\"revslider-filmstrip-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:9:\"Filmstrip\";s:6:\"line_1\";s:44:\"Display a continously rotating set of images\";s:6:\"line_2\";s:26:\"for your slide backgrounds\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:60:\"//updates.themepunch.tools/addons/images/addon_filmstrip.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"FS\";}}s:21:\"revslider-login-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:21:\"revslider-login-addon\";s:12:\"version_from\";s:3:\"5.4\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:10:\"Login Page\";s:6:\"line_1\";s:25:\"Very simple WP Login Page\";s:6:\"line_2\";s:34:\"enhanced with your favorite slider\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:56:\"//updates.themepunch.tools/addons/images/addon_login.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"LI\";}}s:24:\"revslider-featured-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:24:\"revslider-featured-addon\";s:12:\"version_from\";s:3:\"5.4\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:20:\"Post Featured Slider\";s:6:\"line_1\";s:25:\"Display a featured Slider\";s:6:\"line_2\";s:41:\"instead of a featured Image in your Posts\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:9:\"Configure\";s:6:\"global\";b:1;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:61:\"//updates.themepunch.tools/addons/images/addon_wpfeatured.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"FT\";}}s:22:\"revslider-slicey-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:22:\"revslider-slicey-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:6:\"Slicey\";s:6:\"line_1\";s:20:\"Slice \'em up nicely!\";s:6:\"line_2\";s:38:\"Create image slices of your background\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:57:\"//updates.themepunch.tools/addons/images/addon_slicey.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"SL\";}}s:27:\"revslider-beforeafter-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:27:\"revslider-beforeafter-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:14:\"Before & After\";s:6:\"line_1\";s:35:\"Compare two slides before and after\";s:6:\"line_2\";s:33:\"use it vertically or horizontally\";s:9:\"available\";s:5:\"1.0.3\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:62:\"//updates.themepunch.tools/addons/images/addon_beforeafter.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"BA\";}}s:23:\"revslider-weather-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:23:\"revslider-weather-addon\";s:12:\"version_from\";s:7:\"5.4.5.2\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:7:\"Weather\";s:6:\"line_1\";s:21:\"Every where you go...\";s:6:\"line_2\";s:36:\"...always take the weather with you!\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:58:\"//updates.themepunch.tools/addons/images/addon_weather.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"WT\";}}s:24:\"revslider-panorama-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:24:\"revslider-panorama-addon\";s:12:\"version_from\";s:7:\"5.4.5.2\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:8:\"Panorama\";s:6:\"line_1\";s:14:\"Panorama AddOn\";s:6:\"line_2\";s:23:\"Display images in 360°\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:59:\"//updates.themepunch.tools/addons/images/addon_panorama.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"PN\";}}s:30:\"revslider-duotonefilters-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:30:\"revslider-duotonefilters-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:7:\"Duotone\";s:6:\"line_1\";s:7:\"Duotone\";s:6:\"line_2\";s:25:\"Because one is not enough\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:58:\"//updates.themepunch.tools/addons/images/addon_duotone.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:3:\"DTF\";}}s:24:\"revslider-revealer-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:24:\"revslider-revealer-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:6:\"Reveal\";s:6:\"line_1\";s:9:\"Reveal...\";s:6:\"line_2\";s:37:\"...your inner beast... and RevSliders\";s:9:\"available\";s:5:\"1.0.1\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:57:\"//updates.themepunch.tools/addons/images/addon_reveal.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"RV\";}}s:23:\"revslider-refresh-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:23:\"revslider-refresh-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:8:\"(Re)Load\";s:6:\"line_1\";s:39:\"Reload the current page or a custom URL\";s:6:\"line_2\";s:34:\"after a certain time, loops, slide\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:57:\"//updates.themepunch.tools/addons/images/addon_reload.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"RF\";}}s:27:\"revslider-bubblemorph-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:27:\"revslider-bubblemorph-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:11:\"BubbleMorph\";s:6:\"line_1\";s:26:\"Include BubbleMorph Layers\";s:6:\"line_2\";s:33:\"for a decorative lava lamp effect\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:62:\"//updates.themepunch.tools/addons/images/addon_bubblemorph.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"BM\";}}s:28:\"revslider-liquideffect-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:28:\"revslider-liquideffect-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:10:\"Distortion\";s:6:\"line_1\";s:22:\"Add Distortion Effects\";s:6:\"line_2\";s:30:\"to your slides and transitions\";s:9:\"available\";s:5:\"1.0.2\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:61:\"//updates.themepunch.tools/addons/images/addon_distortion.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"LE\";}}s:31:\"revslider-explodinglayers-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:31:\"revslider-explodinglayers-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:16:\"Exploding Layers\";s:6:\"line_1\";s:23:\"Add explosive particles\";s:6:\"line_2\";s:24:\"to your layers animation\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:60:\"//updates.themepunch.tools/addons/images/addon_exploding.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"EL\";}}s:26:\"revslider-paintbrush-addon\";O:8:\"stdClass\":11:{s:4:\"slug\";s:26:\"revslider-paintbrush-addon\";s:12:\"version_from\";s:5:\"5.4.6\";s:10:\"version_to\";s:5:\"9.9.9\";s:5:\"title\";s:10:\"Paintbrush\";s:6:\"line_1\";s:14:\"Paint or Erase\";s:6:\"line_2\";s:22:\"your background images\";s:9:\"available\";s:5:\"1.0.0\";s:10:\"background\";s:0:\"\";s:6:\"button\";s:6:\"How To\";s:6:\"global\";b:0;s:4:\"logo\";O:8:\"stdClass\":3:{s:3:\"img\";s:61:\"//updates.themepunch.tools/addons/images/addon_paintbrush.jpg\";s:5:\"color\";s:0:\"\";s:4:\"text\";s:2:\"PB\";}}}", "yes");
INSERT INTO `wp_options` VALUES("7843", "email-subscribers", "2.9", "yes");
INSERT INTO `wp_options` VALUES("7844", "ig_es_fromname", "Melaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("7845", "ig_es_fromemail", "contact@courtesancreative.com", "yes");
INSERT INTO `wp_options` VALUES("7846", "ig_es_emailtype", "WP HTML MAIL", "yes");
INSERT INTO `wp_options` VALUES("7847", "ig_es_notifyadmin", "NO", "yes");
INSERT INTO `wp_options` VALUES("7848", "ig_es_adminemail", "contact@courtesancreative.com", "yes");
INSERT INTO `wp_options` VALUES("7849", "ig_es_admin_new_sub_subject", "Melaniee Benson - New email subscription", "yes");
INSERT INTO `wp_options` VALUES("7850", "ig_es_admin_new_sub_content", "Hi Admin,\r\n\r\nCongratulations! You have a new subscriber.\r\n\r\nName : {{NAME}}\r\nEmail: {{EMAIL}}\r\nGroup: {{GROUP}}\r\n\r\nHave a nice day :)\r\nMelaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("7851", "ig_es_welcomeemail", "YES", "yes");
INSERT INTO `wp_options` VALUES("7852", "ig_es_welcomesubject", "Melaniee Benson - Welcome!", "yes");
INSERT INTO `wp_options` VALUES("7853", "ig_es_welcomecontent", "Hi {{NAME}},\r\n\r\nThank you for subscribing to Melaniee Benson.\r\n\r\nxoxo,\r\nMelaniee Benson\r\n\r\nGot subscribed to Melaniee Benson by mistake? Click <a href=\\\'{{LINK}}\\\'>here</a> to unsubscribe.", "yes");
INSERT INTO `wp_options` VALUES("7854", "ig_es_optintype", "Double Opt In", "yes");
INSERT INTO `wp_options` VALUES("7855", "ig_es_confirmsubject", "Melaniee Benson - Please confirm your subscription", "yes");
INSERT INTO `wp_options` VALUES("7856", "ig_es_confirmcontent", "Hi {{NAME}},\r\n\r\nWe have received a subscription request from this email address. Please confirm it by <a href=\\\'{{LINK}}\\\'>clicking here</a>.\r\n\r\nIf you still cannot subscribe, please copy this link and paste it in your browser :\r\n{{LINK}} \r\n\r\nThank You\r\nMelaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("7857", "ig_es_optinlink", "http://keira.courtesancreative.com/?es=optin&db={{DBID}}&email={{EMAIL}}&guid={{GUID}}", "yes");
INSERT INTO `wp_options` VALUES("7858", "ig_es_unsublink", "http://keira.courtesancreative.com/?es=unsubscribe&db={{DBID}}&email={{EMAIL}}&guid={{GUID}}", "yes");
INSERT INTO `wp_options` VALUES("7859", "ig_es_unsubcontent", "No longer interested in emails from Melaniee Benson? Please <a href=\\\'{{LINK}}\\\'>click here</a> to unsubscribe.", "yes");
INSERT INTO `wp_options` VALUES("7860", "ig_es_unsubtext", "Thank You, You have been successfully unsubscribed.", "yes");
INSERT INTO `wp_options` VALUES("7861", "ig_es_successmsg", "You have been successfully subscribed.", "yes");
INSERT INTO `wp_options` VALUES("7862", "ig_es_suberror", "Oops.. Your request couldn\\\'t be completed. This email address seems to be already subscribed / blocked.", "yes");
INSERT INTO `wp_options` VALUES("7863", "ig_es_unsuberror", "Oops.. There was some technical error. Please try again later.", "yes");
INSERT INTO `wp_options` VALUES("7864", "ig_es_sample_data_imported", "yes", "yes");
INSERT INTO `wp_options` VALUES("7865", "ig_es_current_version_date_details", "a:2:{s:18:\"es_current_version\";s:5:\"4.1.8\";s:15:\"es_current_date\";s:19:\"2019-07-22 22:27:46\";}", "no");
INSERT INTO `wp_options` VALUES("7868", "widget_email-subscribers", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("7869", "ig_es_sync_wp_users", "s:1:\"1\";", "yes");
INSERT INTO `wp_options` VALUES("7870", "current_sa_email_subscribers_db_version", "3.5.16", "yes");
INSERT INTO `wp_options` VALUES("7879", "ig_es_post_image_size", "full", "yes");
INSERT INTO `wp_options` VALUES("7880", "ig_es_sentreport", "Hi Admin,\r\n\r\nEmail has been sent successfully to {{COUNT}} email(s). Please find the details below:\r\n\r\nUnique ID: {{UNIQUE}}\r\nStart Time: {{STARTTIME}}\r\nEnd Time: {{ENDTIME}}\r\nFor more information, login to your dashboard and go to Reports menu in Email Subscribers.\r\n\r\nThank You.", "yes");
INSERT INTO `wp_options` VALUES("7881", "ig_es_sentreport_subject", "Your email has been sent", "yes");
INSERT INTO `wp_options` VALUES("7882", "ig_es_cronurl", "http://melanieebenson.com?es=cron&guid=egmydw-qdgcnk-dxzrpk-atpkic-pgcvnw", "yes");
INSERT INTO `wp_options` VALUES("7883", "ig_es_cron_mailcount", "50", "yes");
INSERT INTO `wp_options` VALUES("7884", "ig_es_cron_adminmail", "Hi Admin,\r\n\r\nCron URL has been triggered successfully on {{DATE}} for the email \\\'{{SUBJECT}}\\\'. And it sent email to {{COUNT}} recipient(s).\r\n\r\nBest,\r\nMelaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("7893", "es_roles_subscriber", "manage_options", "yes");
INSERT INTO `wp_options` VALUES("7894", "es_roles_mail", "manage_options", "yes");
INSERT INTO `wp_options` VALUES("7895", "es_roles_notification", "manage_options", "yes");
INSERT INTO `wp_options` VALUES("7896", "es_roles_sendmail", "manage_options", "yes");
INSERT INTO `wp_options` VALUES("7897", "es_roles_sentmail", "manage_options", "yes");
INSERT INTO `wp_options` VALUES("7898", "ig_es_enable_cron_adminmail", "no", "yes");
INSERT INTO `wp_options` VALUES("7899", "ig_es_rolesandcapabilities", "a:5:{s:19:\"es_roles_subscriber\";s:14:\"manage_options\";s:13:\"es_roles_mail\";s:14:\"manage_options\";s:21:\"es_roles_notification\";s:14:\"manage_options\";s:17:\"es_roles_sendmail\";s:14:\"manage_options\";s:17:\"es_roles_sentmail\";s:14:\"manage_options\";}", "yes");
INSERT INTO `wp_options` VALUES("8380", "wpbase_req_cache", "a:6:{s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 14 Sep 2018 22:57:27 GMT\";s:12:\"content-type\";s:9:\"text/html\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:12:\"x-powered-by\";s:35:\"PHP/5.5.31-1+deb.sury.org~precise+1\";s:10:\"set-cookie\";s:44:\"b_session=u9gfva6r7oorqv5pa3oceo29b1; path=/\";s:7:\"expires\";s:29:\"Thu, 19 Nov 1981 08:52:00 GMT\";s:13:\"cache-control\";s:62:\"no-store, no-cache, must-revalidate, post-check=0, pre-check=0\";s:6:\"pragma\";s:8:\"no-cache\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:4:\"body\";s:44:\"{\"status\":\"false\",\"created_at\":\"2018-09-15\"}\";s:8:\"response\";a:2:{s:4:\"code\";i:200;s:7:\"message\";s:2:\"OK\";}s:7:\"cookies\";a:1:{i:0;O:14:\"WP_Http_Cookie\":6:{s:4:\"name\";s:9:\"b_session\";s:5:\"value\";s:26:\"u9gfva6r7oorqv5pa3oceo29b1\";s:7:\"expires\";N;s:4:\"path\";s:1:\"/\";s:6:\"domain\";s:14:\"www.wpoven.com\";s:9:\"host_only\";N;}}s:8:\"filename\";N;s:13:\"http_response\";O:25:\"WP_HTTP_Requests_Response\":5:{s:11:\"\0*\0response\";O:17:\"Requests_Response\":10:{s:4:\"body\";s:44:\"{\"status\":\"false\",\"created_at\":\"2018-09-15\"}\";s:3:\"raw\";s:480:\"HTTP/1.1 200 OK\r\nServer: nginx\r\nDate: Fri, 14 Sep 2018 22:57:27 GMT\r\nContent-Type: text/html\r\nTransfer-Encoding: chunked\r\nConnection: close\r\nVary: Accept-Encoding\r\nX-Powered-By: PHP/5.5.31-1+deb.sury.org~precise+1\r\nSet-Cookie: b_session=u9gfva6r7oorqv5pa3oceo29b1; path=/\r\nExpires: Thu, 19 Nov 1981 08:52:00 GMT\r\nCache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0\r\nPragma: no-cache\r\nContent-Encoding: gzip\r\n\r\n{\"status\":\"false\",\"created_at\":\"2018-09-15\"}\";s:7:\"headers\";O:25:\"Requests_Response_Headers\":1:{s:7:\"\0*\0data\";a:10:{s:6:\"server\";a:1:{i:0;s:5:\"nginx\";}s:4:\"date\";a:1:{i:0;s:29:\"Fri, 14 Sep 2018 22:57:27 GMT\";}s:12:\"content-type\";a:1:{i:0;s:9:\"text/html\";}s:4:\"vary\";a:1:{i:0;s:15:\"Accept-Encoding\";}s:12:\"x-powered-by\";a:1:{i:0;s:35:\"PHP/5.5.31-1+deb.sury.org~precise+1\";}s:10:\"set-cookie\";a:1:{i:0;s:44:\"b_session=u9gfva6r7oorqv5pa3oceo29b1; path=/\";}s:7:\"expires\";a:1:{i:0;s:29:\"Thu, 19 Nov 1981 08:52:00 GMT\";}s:13:\"cache-control\";a:1:{i:0;s:62:\"no-store, no-cache, must-revalidate, post-check=0, pre-check=0\";}s:6:\"pragma\";a:1:{i:0;s:8:\"no-cache\";}s:16:\"content-encoding\";a:1:{i:0;s:4:\"gzip\";}}}s:11:\"status_code\";i:200;s:16:\"protocol_version\";d:1.1000000000000001;s:7:\"success\";b:1;s:9:\"redirects\";i:1;s:3:\"url\";s:49:\"https://www.wpoven.com/sites/checksiteinfo/QDKK3T\";s:7:\"history\";a:1:{i:0;O:17:\"Requests_Response\":10:{s:4:\"body\";s:44:\"{\"status\":\"false\",\"created_at\":\"2018-09-15\"}\";s:3:\"raw\";s:509:\"HTTP/1.1 302 Moved Temporarily\r\nServer: nginx\r\nDate: Fri, 14 Sep 2018 22:57:27 GMT\r\nContent-Type: text/html\r\nTransfer-Encoding: chunked\r\nConnection: close\r\nX-Powered-By: PHP/5.5.31-1+deb.sury.org~precise+1\r\nLocation: https://www.wpoven.com/sites/checksiteinfo/QDKK3T\r\nSet-Cookie: b_session=6aq97pura82ptpse58vjdm1o20; path=/\r\nExpires: Thu, 19 Nov 1981 08:52:00 GMT\r\nCache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0\r\nPragma: no-cache\r\n\r\n{\"status\":\"false\",\"created_at\":\"2018-09-15\"}\";s:7:\"headers\";O:25:\"Requests_Response_Headers\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";a:1:{i:0;s:5:\"nginx\";}s:4:\"date\";a:1:{i:0;s:29:\"Fri, 14 Sep 2018 22:57:27 GMT\";}s:12:\"content-type\";a:1:{i:0;s:9:\"text/html\";}s:12:\"x-powered-by\";a:1:{i:0;s:35:\"PHP/5.5.31-1+deb.sury.org~precise+1\";}s:8:\"location\";a:1:{i:0;s:49:\"https://www.wpoven.com/sites/checksiteinfo/QDKK3T\";}s:10:\"set-cookie\";a:1:{i:0;s:44:\"b_session=6aq97pura82ptpse58vjdm1o20; path=/\";}s:7:\"expires\";a:1:{i:0;s:29:\"Thu, 19 Nov 1981 08:52:00 GMT\";}s:13:\"cache-control\";a:1:{i:0;s:62:\"no-store, no-cache, must-revalidate, post-check=0, pre-check=0\";}s:6:\"pragma\";a:1:{i:0;s:8:\"no-cache\";}}}s:11:\"status_code\";i:302;s:16:\"protocol_version\";d:1.1000000000000001;s:7:\"success\";b:0;s:9:\"redirects\";i:0;s:3:\"url\";s:45:\"https://wpoven.com/sites/checksiteinfo/QDKK3T\";s:7:\"history\";a:0:{}s:7:\"cookies\";O:19:\"Requests_Cookie_Jar\":1:{s:10:\"\0*\0cookies\";a:1:{s:9:\"b_session\";O:15:\"Requests_Cookie\":5:{s:4:\"name\";s:9:\"b_session\";s:5:\"value\";s:26:\"u9gfva6r7oorqv5pa3oceo29b1\";s:10:\"attributes\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:2:{s:4:\"path\";s:1:\"/\";s:6:\"domain\";s:14:\"www.wpoven.com\";}}s:5:\"flags\";a:4:{s:8:\"creation\";i:1536965847;s:11:\"last-access\";i:1536965847;s:10:\"persistent\";b:0;s:9:\"host-only\";b:1;}s:14:\"reference_time\";i:1536965847;}}}}}s:7:\"cookies\";r:88;}s:11:\"\0*\0filename\";N;s:4:\"data\";N;s:7:\"headers\";N;s:6:\"status\";N;}}", "yes");
INSERT INTO `wp_options` VALUES("8658", "theme_mods_uncode-child", "a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:8;}s:18:\"custom_css_post_id\";i:431;}", "yes");
INSERT INTO `wp_options` VALUES("8661", "uncode_default_header_image", "429", "yes");
INSERT INTO `wp_options` VALUES("12773", "frmsvr_last_folder", "/srv/www/keira.courtesancreative.com/public_html/wp-content/uploads/2018/09", "yes");
INSERT INTO `wp_options` VALUES("12905", "wp_mail_smtp_initial_version", "1.3.3", "no");
INSERT INTO `wp_options` VALUES("12906", "wp_mail_smtp_version", "1.8.1", "no");
INSERT INTO `wp_options` VALUES("12907", "wp_mail_smtp", "a:7:{s:4:\"mail\";a:6:{s:10:\"from_email\";s:26:\"noreply@melanieebenson.com\";s:9:\"from_name\";s:18:\"MelanieeBenson.com\";s:6:\"mailer\";s:8:\"sendgrid\";s:11:\"return_path\";b:1;s:16:\"from_email_force\";b:1;s:15:\"from_name_force\";b:1;}s:4:\"smtp\";a:7:{s:7:\"autotls\";s:3:\"yes\";s:4:\"host\";s:0:\"\";s:10:\"encryption\";s:4:\"none\";s:4:\"port\";s:0:\"\";s:4:\"user\";s:0:\"\";s:4:\"pass\";s:0:\"\";s:4:\"auth\";b:0;}s:5:\"gmail\";a:2:{s:9:\"client_id\";s:0:\"\";s:13:\"client_secret\";s:0:\"\";}s:7:\"mailgun\";a:3:{s:7:\"api_key\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"region\";s:2:\"US\";}s:8:\"sendgrid\";a:1:{s:7:\"api_key\";s:69:\"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\";}s:11:\"pepipostapi\";a:1:{s:7:\"api_key\";s:0:\"\";}s:10:\"sendinblue\";a:1:{s:7:\"api_key\";s:0:\"\";}}", "no");
INSERT INTO `wp_options` VALUES("12908", "_amn_smtp_last_checked", "1577404800", "yes");
INSERT INTO `wp_options` VALUES("12917", "wp_mail_smtp_debug", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("17595", "uncode_privacy_privacy_policy_page", "808", "yes");
INSERT INTO `wp_options` VALUES("17596", "uncode_privacy_cookie_banner_content", "Banner text", "yes");
INSERT INTO `wp_options` VALUES("17597", "uncode_privacy_cookie_privacy_excerpt", "Privacy text", "yes");
INSERT INTO `wp_options` VALUES("17598", "uncode_privacy_fallback", "This content is blocked. Please review your [uncode_privacy_box]Privacy Settings[/uncode_privacy_box].", "yes");
INSERT INTO `wp_options` VALUES("17599", "uncode_privacy_consent_types", "a:1:{s:16:\"google-analytics\";a:3:{s:4:\"name\";s:16:\"Google Analytics\";s:8:\"required\";b:1;s:11:\"description\";s:16:\"google analytics\";}}", "yes");
INSERT INTO `wp_options` VALUES("18060", "revision-control", "a:2:{s:8:\"per-type\";a:9:{s:4:\"post\";s:1:\"5\";s:4:\"page\";s:1:\"5\";s:3:\"all\";s:9:\"unlimited\";s:10:\"custom_css\";s:9:\"unlimited\";s:9:\"portfolio\";s:1:\"5\";s:11:\"uncodeblock\";s:1:\"5\";s:14:\"uncode_gallery\";s:1:\"5\";s:5:\"popup\";s:9:\"unlimited\";s:11:\"popup_theme\";s:9:\"unlimited\";}s:14:\"revision-range\";s:17:\"2..5,10,20,50,100\";}", "yes");
INSERT INTO `wp_options` VALUES("18072", "bsr_page_size", "16000", "yes");
INSERT INTO `wp_options` VALUES("18223", "gform_email_count", "29", "yes");
INSERT INTO `wp_options` VALUES("24061", "rsssl_activation_timestamp", "1562108529", "yes");
INSERT INTO `wp_options` VALUES("34187", "widget_mc4wp_form_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("34188", "mc4wp_version", "4.2.5", "yes");
INSERT INTO `wp_options` VALUES("34191", "mc4wp_flash_messages", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("34194", "mc4wp", "a:4:{s:7:\"api_key\";s:37:\"ce3eaf4dbe489f759c1ec2d765d88a43-us19\";s:20:\"allow_usage_tracking\";i:0;s:15:\"debug_log_level\";s:7:\"warning\";s:18:\"first_activated_on\";i:1539815835;}", "yes");
INSERT INTO `wp_options` VALUES("34305", "mc4wp_default_form_id", "1557", "yes");
INSERT INTO `wp_options` VALUES("34308", "mc4wp_form_stylesheets", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("42851", "widget_gce_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("42856", "simple-calendar_version", "3.1.19", "yes");
INSERT INTO `wp_options` VALUES("42861", "calendar_feed_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("42862", "calendar_type_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("42863", "simple-calendar_admin_notices", "a:1:{s:13:\"calendar_2051\";a:1:{s:17:\"google-no-api-key\";O:27:\"SimpleCalendar\\Admin\\Notice\":9:{s:2:\"id\";a:1:{s:13:\"calendar_2051\";s:17:\"google-no-api-key\";}s:4:\"type\";s:5:\"error\";s:5:\"class\";s:0:\"\";s:10:\"capability\";s:0:\"\";s:6:\"screen\";a:1:{i:0;s:8:\"calendar\";}s:4:\"post\";a:1:{i:0;i:2051;}s:11:\"dismissible\";b:1;s:7:\"visible\";b:1;s:7:\"content\";s:253:\"<p><i class=\"simcal-icon-warning\"></i> Your Google Calendar events will not show up until you <a href=\"http://localhost/amber/wp-admin/edit.php?post_type=calendar&amp;page=simple-calendar_settings&amp;tab=feeds\">create and save a Google API key</a>.</p>\";}}}", "yes");
INSERT INTO `wp_options` VALUES("42881", "revslider-valid-notice", "false", "yes");
INSERT INTO `wp_options` VALUES("52291", "rs-templates-new", "", "no");
INSERT INTO `wp_options` VALUES("52296", "rs-templates", "a:2:{s:6:\"slider\";a:232:{i:0;a:20:{s:2:\"id\";s:1:\"1\";s:5:\"title\";s:16:\"Classic Carousel\";s:5:\"alias\";s:16:\"classic-carousel\";s:3:\"zip\";s:20:\"classic-carousel.zip\";s:3:\"uid\";s:32:\"146a01dd380c0cdee85c4456ee68cd84\";s:3:\"img\";s:27:\"classic-carousel/slider.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/carousel-slider-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:141:\"<span class=\"ttm_content\">Our classic, full-width carousel example. Drag, swipe or click to navigate!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:310:\"<span class=\"ttm_content\">This is a \"Default\" content carousel. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-22 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:1;a:20:{s:2:\"id\";s:1:\"2\";s:5:\"title\";s:14:\"Classic Slider\";s:5:\"alias\";s:13:\"classicslider\";s:3:\"zip\";s:17:\"classicslider.zip\";s:3:\"uid\";s:32:\"a0d6a9248c9066b404ba0f1cdadc5cf2\";s:3:\"img\";s:24:\"classicslider/slider.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/wordpress-slideshow-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:136:\" <span class=\"ttm_content\">A classic slideshow example with timer, bullets and arrow navigation.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:2;a:20:{s:2:\"id\";s:1:\"3\";s:5:\"title\";s:12:\"Content Tabs\";s:5:\"alias\";s:11:\"contenttabs\";s:3:\"zip\";s:15:\"contenttabs.zip\";s:3:\"uid\";s:32:\"e02e91604b690123a3d07a65582c4fd0\";s:3:\"img\";s:22:\"contenttabs/slider.jpg\";s:7:\"preview\";s:63:\"http://revolution.themepunch.com/wordpress-content-tabs-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:170:\" <span class=\"ttm_content\">An auto-size slider with a cool split-text animation effect. Navigate with vertical bullets and thumbs.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:3;a:20:{s:2:\"id\";s:1:\"4\";s:5:\"title\";s:13:\"Facebook Feed\";s:5:\"alias\";s:13:\"facebook-feed\";s:3:\"zip\";s:17:\"facebook-feed.zip\";s:3:\"uid\";s:32:\"5506431d5b1babcb25dcf52c508d42e3\";s:3:\"img\";s:24:\"facebook-feed/slider.jpg\";s:7:\"preview\";s:57:\"http://revolution.themepunch.com/wordpress-facebook-feed/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:174:\"<span class=\"ttm_content\"> This slider is automatically populated by a Facebook stream. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:439:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Facebook Stream\"</a>. Make sure to input your correct API information in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:11:\"socialmedia\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:4;a:20:{s:2:\"id\";s:1:\"5\";s:5:\"title\";s:7:\"Fashion\";s:5:\"alias\";s:7:\"fashion\";s:3:\"zip\";s:11:\"fashion.zip\";s:3:\"uid\";s:32:\"4f4b914d6db35e19101ff003c4e7ea3a\";s:3:\"img\";s:18:\"fashion/slider.jpg\";s:7:\"preview\";s:65:\"http://revolution.themepunch.com/wordpress-one-page-slider-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:183:\"  <span class=\"ttm_content\">A front-page slider that can be used as an intro for your website. Navigate by using mouse-wheel scroll or bullets.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:5;a:20:{s:2:\"id\";s:1:\"6\";s:5:\"title\";s:14:\"Flickr Gallery\";s:5:\"alias\";s:14:\"flickr-gallery\";s:3:\"zip\";s:18:\"flickr-gallery.zip\";s:3:\"uid\";s:32:\"ad85cfac7acfa678e6a1b8febfee51ed\";s:3:\"img\";s:25:\"flickr-gallery/slider.jpg\";s:7:\"preview\";s:57:\"http://revolution.themepunch.com/wordpress-flickr-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"640\";s:11:\"description\";s:173:\" <span class=\"ttm_content\"> This slider is automatically populated by a Flickr stream. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:437:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Flickr Stream\"</a>. Make sure to input your correct API information in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:11:\"socialmedia\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:6;a:20:{s:2:\"id\";s:1:\"7\";s:5:\"title\";s:3:\"Gym\";s:5:\"alias\";s:3:\"gym\";s:3:\"zip\";s:7:\"gym.zip\";s:3:\"uid\";s:32:\"e4d81f13f96fb9bc905f4ad89615032b\";s:3:\"img\";s:14:\"gym/slider.jpg\";s:7:\"preview\";s:59:\"http://revolution.themepunch.com/one-page-wordpress-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:189:\"<span class=\"ttm_content\">A front-page slider that can be used as an intro for your website. Navigate by using mouse-wheel scroll or the slider menu.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:7;a:20:{s:2:\"id\";s:1:\"8\";s:5:\"title\";s:18:\"Highlight Carousel\";s:5:\"alias\";s:18:\"highlight-carousel\";s:3:\"zip\";s:22:\"highlight-carousel.zip\";s:3:\"uid\";s:32:\"ada52163f723a942f782351fa0396b3d\";s:3:\"img\";s:29:\"highlight-carousel/slider.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/wordpress-swipe-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"720\";s:11:\"description\";s:138:\"  <span class=\"ttm_content\">A swipe-controlled carousel with an additional tab-based navigation.</span>\r\n<span class=\"ttm_space\"></span>\r\n\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:8;a:20:{s:2:\"id\";s:1:\"9\";s:5:\"title\";s:18:\"Highlight Showcase\";s:5:\"alias\";s:18:\"highlight-showcase\";s:3:\"zip\";s:22:\"highlight-showcase.zip\";s:3:\"uid\";s:32:\"2bfe0bd410fb48fec9d942eab1e21530\";s:3:\"img\";s:29:\"highlight-showcase/slider.jpg\";s:7:\"preview\";s:62:\"http://revolution.themepunch.com/wordpress-parallax-slideshow/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1230\";s:6:\"height\";s:3:\"720\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">A tab-based navigation, a slideshow timer and cool animations make this slider interesting!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:9;a:20:{s:2:\"id\";s:2:\"10\";s:5:\"title\";s:10:\"Image Hero\";s:5:\"alias\";s:10:\"image-hero\";s:3:\"zip\";s:13:\"imagehero.zip\";s:3:\"uid\";s:32:\"7db18781d44f2adc28c962440894aac1\";s:3:\"img\";s:20:\"imagehero/slider.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/wordpress-hero-image/\";s:7:\"version\";s:5:\"1.0.2\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:121:\"<span class=\"ttm_content\">A commonly used full-width image hero block with texts.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:10;a:20:{s:2:\"id\";s:2:\"11\";s:5:\"title\";s:17:\"Instagram Gallery\";s:5:\"alias\";s:13:\"insta-gallery\";s:3:\"zip\";s:17:\"insta-gallery.zip\";s:3:\"uid\";s:32:\"711732b0d42ec2b57818a2b9b1d86cba\";s:3:\"img\";s:24:\"insta-gallery/slider.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/wordpress-instagram-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"640\";s:6:\"height\";s:3:\"640\";s:11:\"description\";s:174:\"<span class=\"ttm_content\">This slider is automatically populated by a Instagram stream. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:440:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Instagram Stream\"</a>. Make sure to input your correct API information in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:11:\"socialmedia\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:11;a:20:{s:2:\"id\";s:2:\"12\";s:5:\"title\";s:21:\"Levano Restaurant Bar\";s:5:\"alias\";s:19:\"levanorestaurantbar\";s:3:\"zip\";s:23:\"levanorestaurantbar.zip\";s:3:\"uid\";s:32:\"4178f837db67d1b2eb6cb5840bbd0b42\";s:3:\"img\";s:30:\"levanorestaurantbar/slider.jpg\";s:7:\"preview\";s:63:\"http://revolution.themepunch.com/wordpress-front-page-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:181:\"<span class=\"ttm_content\">A front-page slider that can be used as an intro for your website. Navigate by using mouse-wheel scroll or bullets.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:12;a:20:{s:2:\"id\";s:2:\"13\";s:5:\"title\";s:19:\"Main Feature Slider\";s:5:\"alias\";s:11:\"mainfeature\";s:3:\"zip\";s:15:\"mainfeature.zip\";s:3:\"uid\";s:32:\"1e002a3230ab00095bedc6f60393ee7f\";s:3:\"img\";s:22:\"mainfeature/slider.jpg\";s:7:\"preview\";s:33:\"http://revolution.themepunch.com/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1230\";s:6:\"height\";s:3:\"750\";s:11:\"description\";s:127:\" <span class=\"ttm_content\">A slightly stripped down version of the main preview slider.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:13;a:20:{s:2:\"id\";s:2:\"14\";s:5:\"title\";s:17:\"Media Gallery Two\";s:5:\"alias\";s:17:\"media-gallery-two\";s:3:\"zip\";s:21:\"media-gallery-two.zip\";s:3:\"uid\";s:32:\"d002f1b1b55805f9322c264c5504ba5a\";s:3:\"img\";s:28:\"media-gallery-two/slider.jpg\";s:7:\"preview\";s:64:\"http://revolution.themepunch.com/wordpress-media-gallery-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1230\";s:6:\"height\";s:3:\"692\";s:11:\"description\";s:127:\"<span class=\"ttm_content\">A media gallery example with Vimeo, HTML5 and Youtube videos.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change media and titles.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:14;a:20:{s:2:\"id\";s:2:\"15\";s:5:\"title\";s:23:\"Media Carousel Autoplay\";s:5:\"alias\";s:23:\"media-carousel-autoplay\";s:3:\"zip\";s:27:\"media-carousel-autoplay.zip\";s:3:\"uid\";s:32:\"393d7875b1cc9d933378b35e4f645d76\";s:3:\"img\";s:34:\"media-carousel-autoplay/slider.jpg\";s:7:\"preview\";s:57:\"http://revolution.themepunch.com/wordpress-media-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"720\";s:6:\"height\";s:3:\"405\";s:11:\"description\";s:153:\"<span class=\"ttm_content\">A media carousel with \"autoplay\" activated. Swipe or click tabs to navigate the slider.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:315:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change media and caption texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:15;a:20:{s:2:\"id\";s:2:\"16\";s:5:\"title\";s:21:\"News Background Video\";s:5:\"alias\";s:21:\"news-background-video\";s:3:\"zip\";s:17:\"news-bg-video.zip\";s:3:\"uid\";s:32:\"a0efe44ac3af0f958b3f84c816a08272\";s:3:\"img\";s:24:\"news-bg-video/slider.jpg\";s:7:\"preview\";s:58:\"http://revolution.themepunch.com/wordpress-content-blocks/\";s:7:\"version\";s:5:\"1.0.2\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:143:\"<span class=\"ttm_content\">A hero block with HTML5 background video that plays when entering the screen.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background video and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:16;a:20:{s:2:\"id\";s:2:\"17\";s:5:\"title\";s:12:\"News Gallery\";s:5:\"alias\";s:12:\"news-gallery\";s:3:\"zip\";s:16:\"news-gallery.zip\";s:3:\"uid\";s:32:\"3a069c3b286dbb9ee435563f747e3300\";s:3:\"img\";s:23:\"news-gallery/slider.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/wordpress-news-rotator/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:131:\"<span class=\"ttm_content\">A news gallery slideshow with tab navigation. Great for any blog!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:17;a:20:{s:2:\"id\";s:2:\"18\";s:5:\"title\";s:23:\"News Gallery Post Based\";s:5:\"alias\";s:23:\"news-gallery-post-based\";s:3:\"zip\";s:27:\"news-gallery-post-based.zip\";s:3:\"uid\";s:32:\"32fe05b1039c29ab9420bfd15aec5488\";s:3:\"img\";s:34:\"news-gallery-post-based/slider.jpg\";s:7:\"preview\";s:55:\"http://revolution.themepunch.com/wordpress-post-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:125:\"<span class=\"ttm_content\"> This slider is automatically populated by WordPress posts.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:447:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Post-Based Slider\"</a>. Make sure to select the post type you want to display in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:9:\"postbased\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:18;a:20:{s:2:\"id\";s:2:\"19\";s:5:\"title\";s:9:\"News Hero\";s:5:\"alias\";s:9:\"news-hero\";s:3:\"zip\";s:13:\"news-hero.zip\";s:3:\"uid\";s:32:\"96a0385538a17c8c81ed8175740f70ea\";s:3:\"img\";s:20:\"news-hero/slider.jpg\";s:7:\"preview\";s:58:\"http://revolution.themepunch.com/wordpress-content-blocks/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:107:\"<span class=\"ttm_content\">A image hero block with ken burns effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:19;a:20:{s:2:\"id\";s:2:\"20\";s:5:\"title\";s:10:\"News Video\";s:5:\"alias\";s:10:\"news-video\";s:3:\"zip\";s:14:\"news-video.zip\";s:3:\"uid\";s:32:\"f901e9e16e0363248156c2209eb584e9\";s:3:\"img\";s:21:\"news-video/slider.jpg\";s:7:\"preview\";s:58:\"http://revolution.themepunch.com/wordpress-content-blocks/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:128:\"<span class=\"ttm_content\">A Vimeo background video hero block with play / pause buttons.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:315:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the video and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:20;a:20:{s:2:\"id\";s:2:\"21\";s:5:\"title\";s:15:\"Newsletter Hero\";s:5:\"alias\";s:15:\"newsletter-hero\";s:3:\"zip\";s:19:\"newsletter-hero.zip\";s:3:\"uid\";s:32:\"6290a9864d8c4c6311784586ed1cc5fe\";s:3:\"img\";s:26:\"newsletter-hero/slider.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/wordpress-newsletter-signup/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:137:\"<span class=\"ttm_content\">This hero block uses a custom styled Mailchimp newsletter signup field.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:461:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image, texts, and <a href=\"https://www.themepunch.com/faq/how-to-setup-mailchimp-for-the-newsletter-hero-template/\" target=\"_blank\">Mailchimp code</a>.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:21;a:20:{s:2:\"id\";s:2:\"22\";s:5:\"title\";s:11:\"Not Generic\";s:5:\"alias\";s:10:\"notgeneric\";s:3:\"zip\";s:14:\"notgeneric.zip\";s:3:\"uid\";s:32:\"9d87ba95e02210a9f82387add2ceadf9\";s:3:\"img\";s:21:\"notgeneric/slider.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/wordpress-fullscreen-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:144:\"<span class=\"ttm_content\">A full-screen slider with a layer based navigation and sleek content elements.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:22;a:20:{s:2:\"id\";s:2:\"23\";s:5:\"title\";s:11:\"Photography\";s:5:\"alias\";s:11:\"photography\";s:3:\"zip\";s:15:\"photography.zip\";s:3:\"uid\";s:32:\"1b2072547afb75e49f33b016751ed360\";s:3:\"img\";s:22:\"photography/slider.jpg\";s:7:\"preview\";s:62:\"http://revolution.themepunch.com/wordpress-photography-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:194:\"<span class=\"ttm_content\">A front-page slider that can be used as an intro for your website. Navigate by using mouse-wheel scroll or the layer-based menu.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:23;a:20:{s:2:\"id\";s:2:\"24\";s:5:\"title\";s:20:\"Photography Carousel\";s:5:\"alias\";s:20:\"photography-carousel\";s:3:\"zip\";s:24:\"photography-carousel.zip\";s:3:\"uid\";s:32:\"9a84b859ba23dc49ba8784e3a86545fa\";s:3:\"img\";s:31:\"photography-carousel/slider.jpg\";s:7:\"preview\";s:57:\"http://revolution.themepunch.com/wordpress-photo-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">A front-page carousel that can be used as an intro for your website. Navigate by using mouse-wheel scroll or the layer-based menu.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:24;a:20:{s:2:\"id\";s:2:\"25\";s:5:\"title\";s:16:\"Search Form Hero\";s:5:\"alias\";s:16:\"search-form-hero\";s:3:\"zip\";s:20:\"search-form-hero.zip\";s:3:\"uid\";s:32:\"e09eb1bd0f22b3a2b02a1aa251dd1f3e\";s:3:\"img\";s:27:\"search-form-hero/slider.jpg\";s:7:\"preview\";s:60:\"http://revolution.themepunch.com/wordpress-search-form-hero/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">This hero block uses a custom styled input field to show search results on a WordPress site.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:346:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image, texts, and search field code.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:25;a:20:{s:2:\"id\";s:2:\"26\";s:5:\"title\";s:17:\"Showcase Carousel\";s:5:\"alias\";s:16:\"showcasecarousel\";s:3:\"zip\";s:20:\"showcasecarousel.zip\";s:3:\"uid\";s:32:\"c5ca218398331bd2c064efc2f62eae56\";s:3:\"img\";s:27:\"showcasecarousel/slider.jpg\";s:7:\"preview\";s:62:\"http://revolution.themepunch.com/wordpress-cover-flow-gallery/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"600\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:129:\"<span class=\"ttm_content\">A fancy carousel that rotates, fades and scales slider items.</span>\r\n<span class=\"ttm_space\"></span>\r\n\";s:11:\"setup_notes\";s:310:\"<span class=\"ttm_content\">This is a \"Default\" content carousel. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:26;a:20:{s:2:\"id\";s:2:\"27\";s:5:\"title\";s:11:\"Sports Hero\";s:5:\"alias\";s:11:\"sports-hero\";s:3:\"zip\";s:14:\"sportshero.zip\";s:3:\"uid\";s:32:\"8de7a145f32a362d618d2595ffa2f724\";s:3:\"img\";s:21:\"sportshero/slider.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/wordpress-image-hero/\";s:7:\"version\";s:5:\"1.0.2\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"720\";s:11:\"description\";s:113:\"<span class=\"ttm_content\">An sports themed image hero block with buttons.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:27;a:20:{s:2:\"id\";s:2:\"28\";s:5:\"title\";s:12:\"Twitter Feed\";s:5:\"alias\";s:12:\"twitter-feed\";s:3:\"zip\";s:16:\"twitter-feed.zip\";s:3:\"uid\";s:32:\"efbfc2af5da5258e7b7bed8598e483cc\";s:3:\"img\";s:23:\"twitter-feed/slider.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/wordpress-twitter-feed/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:3:\"800\";s:6:\"height\";s:3:\"640\";s:11:\"description\";s:173:\"<span class=\"ttm_content\"> This slider is automatically populated by a Twitter stream. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:438:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Twitter Stream\"</a>. Make sure to input your correct API information in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:11:\"socialmedia\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:28;a:20:{s:2:\"id\";s:2:\"29\";s:5:\"title\";s:13:\"Vimeo Gallery\";s:5:\"alias\";s:13:\"vimeo-gallery\";s:3:\"zip\";s:17:\"vimeo-gallery.zip\";s:3:\"uid\";s:32:\"fa824ce1ff3942ec268fc9eda60df539\";s:3:\"img\";s:24:\"vimeo-gallery/slider.jpg\";s:7:\"preview\";s:57:\"http://revolution.themepunch.com/wordpress-vimeo-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1230\";s:6:\"height\";s:3:\"692\";s:11:\"description\";s:170:\"<span class=\"ttm_content\">This slider is automatically populated by a Vimeo stream. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:436:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Vimeo Stream\"</a>. Make sure to input your correct API information in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:11:\"socialmedia\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:29;a:20:{s:2:\"id\";s:2:\"30\";s:5:\"title\";s:10:\"Vimeo Hero\";s:5:\"alias\";s:9:\"vimeohero\";s:3:\"zip\";s:13:\"vimeohero.zip\";s:3:\"uid\";s:32:\"c575575f96173d88589cddcb06120b77\";s:3:\"img\";s:20:\"vimeohero/slider.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/wordpress-hero-vimeo/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:116:\"<span class=\"ttm_content\">A commonly used Vimeo video background hero block.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:461:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background video and texts.<br/><br/></span>\r\nScreencast for <a href=\"https://www.youtube.com/watch?v=I4qGepR4aWw\" target=\"_blank\">mobile video</a> considerations.</a>\r\n<br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:30;a:20:{s:2:\"id\";s:2:\"31\";s:5:\"title\";s:16:\"Web Product Dark\";s:5:\"alias\";s:16:\"web-product-dark\";s:3:\"zip\";s:20:\"web-product-dark.zip\";s:3:\"uid\";s:32:\"39b872cf0608e63c3a503e58374dc30a\";s:3:\"img\";s:27:\"web-product-dark/slider.jpg\";s:7:\"preview\";s:60:\"http://revolution.themepunch.com/wordpress-frontpage-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:194:\"<span class=\"ttm_content\">A front-page slider that can be used as an intro for your website. Navigate by using mouse-wheel scroll or the layer-based menu.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:31;a:20:{s:2:\"id\";s:2:\"32\";s:5:\"title\";s:21:\"Web Product Dark Hero\";s:5:\"alias\";s:21:\"web-product-dark-hero\";s:3:\"zip\";s:25:\"web-product-dark-hero.zip\";s:3:\"uid\";s:32:\"b6784e8925221f36677217979d26e6f0\";s:3:\"img\";s:32:\"web-product-dark-hero/slider.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/wordpress-header-image/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:162:\"<span class=\"ttm_content\">A modern hero block with three common devices. The screens of each device can be changed easily!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:32;a:20:{s:2:\"id\";s:2:\"33\";s:5:\"title\";s:22:\"Web Product Light Hero\";s:5:\"alias\";s:22:\"web-product-light-hero\";s:3:\"zip\";s:26:\"web-product-light-hero.zip\";s:3:\"uid\";s:32:\"428e65d6aaa6ef775429989d50516492\";s:3:\"img\";s:33:\"web-product-light-hero/slider.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/hero-image-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:162:\"<span class=\"ttm_content\">A modern hero block with three common devices. The screens of each device can be changed easily!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:315:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:33;a:20:{s:2:\"id\";s:2:\"34\";s:5:\"title\";s:17:\"Web Product Light\";s:5:\"alias\";s:15:\"webproductlight\";s:3:\"zip\";s:19:\"webproductlight.zip\";s:3:\"uid\";s:32:\"fa23dab5bf1139c6393828647a9de4e0\";s:3:\"img\";s:26:\"webproductlight/slider.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/wordpress-cover-page/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:194:\"<span class=\"ttm_content\">A front-page slider that can be used as an intro for your website. Navigate by using mouse-wheel scroll or the layer-based menu.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:617:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Instructions for <a href=\"https://www.themepunch.com/faq/modify-burger-menu/\" target=\"_blank\">changing the menu</a>.</span><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:34;a:20:{s:2:\"id\";s:2:\"35\";s:5:\"title\";s:15:\"Youtube Gallery\";s:5:\"alias\";s:15:\"youtube-gallery\";s:3:\"zip\";s:19:\"youtube-gallery.zip\";s:3:\"uid\";s:32:\"ee9e4928ac74f5f0c0b697ce708f5aa7\";s:3:\"img\";s:26:\"youtube-gallery/slider.jpg\";s:7:\"preview\";s:59:\"http://revolution.themepunch.com/wordpress-youtube-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:173:\"<span class=\"ttm_content\"> This slider is automatically populated by a YouTube stream. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:438:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"YouTube Stream\"</a>. Make sure to input your correct API information in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:11:\"socialmedia\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:35;a:20:{s:2:\"id\";s:2:\"36\";s:5:\"title\";s:12:\"Youtube Hero\";s:5:\"alias\";s:11:\"youtubehero\";s:3:\"zip\";s:15:\"youtubehero.zip\";s:3:\"uid\";s:32:\"e0b2c12a45841bdf21cb96305f2c85bf\";s:3:\"img\";s:22:\"youtubehero/slider.jpg\";s:7:\"preview\";s:58:\"http://revolution.themepunch.com/wordpress-youtube-header/\";s:7:\"version\";s:5:\"1.0.2\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:104:\"<span class=\"ttm_content\">A YouTube video background hero block.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:630:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background video and texts.<br/><br/></span>\r\nScreencast for <a href=\"https://www.youtube.com/watch?v=I4qGepR4aWw\" target=\"_blank\">mobile video</a> considerations.</a>\r\n<br/><br/>\r\nLearn how to <a href=\"https://www.themepunch.com/faq/enable-sound-for-the-youtube-hero-template/\" target=\"_blank\">enable sound for the background video</a><br /><br />\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:15:\"Revolution Base\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:36;a:20:{s:2:\"id\";s:2:\"37\";s:5:\"title\";s:13:\"Scroll Effect\";s:5:\"alias\";s:13:\"scroll-effect\";s:3:\"zip\";s:17:\"scroll-effect.zip\";s:3:\"uid\";s:32:\"417f59e9db87aa7e47c8509eb88d4af6\";s:3:\"img\";s:23:\"scrolleffect/slide1.jpg\";s:7:\"preview\";s:60:\"http://revolution.themepunch.com/big-bold-fullscreen-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:134:\"<span class=\"ttm_content\">A full-screen slider with a unique scroll effect and big, bold text.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:508:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>For further configuration options please view the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">\"Custom CSS/JS\"</a> section in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:37;a:20:{s:2:\"id\";s:2:\"38\";s:5:\"title\";s:12:\"Content Zoom\";s:5:\"alias\";s:12:\"content-zoom\";s:3:\"zip\";s:16:\"content-zoom.zip\";s:3:\"uid\";s:32:\"42ef8cdb70d42ec6ff6fa3b69a027b5f\";s:3:\"img\";s:22:\"contentzoom/slide1.jpg\";s:7:\"preview\";s:53:\"http://revolution.themepunch.com/content-zoom-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:243:\"<span class=\"ttm_content\">A very unique full-width slider that uses <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> to their potential.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:397:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:38;a:20:{s:2:\"id\";s:2:\"39\";s:5:\"title\";s:13:\"Food Carousel\";s:5:\"alias\";s:13:\"food-carousel\";s:3:\"zip\";s:17:\"food-carousel.zip\";s:3:\"uid\";s:32:\"a7bf54527b6658a0a308c70c729779fe\";s:3:\"img\";s:29:\"foodcarousel/slider_cover.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/food-carousel-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:267:\"<span class=\"ttm_content\">A fancy carousel with detail content on each slide. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> are used to show and hide layers.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:397:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:39;a:20:{s:2:\"id\";s:2:\"40\";s:5:\"title\";s:14:\"Rotating Words\";s:5:\"alias\";s:14:\"rotating-words\";s:3:\"zip\";s:18:\"rotating-words.zip\";s:3:\"uid\";s:32:\"70190463d9376f278c8197b7b2ef6c1b\";s:3:\"img\";s:24:\"rotatingwords/slide1.jpg\";s:7:\"preview\";s:53:\"http://revolution.themepunch.com/rotating-words-hero/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:134:\"<span class=\"ttm_content\">A full-screen hero block with unique animated text and blur effects.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:518:\"<span class=\"ttm_content\">This is a \"Default\" hero slider. Edit the slide to change the background media and texts.<br/>For further configuration options please view the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">\"Custom CSS/JS\"</a> section in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:40;a:20:{s:2:\"id\";s:2:\"41\";s:5:\"title\";s:22:\"Travel Static Captions\";s:5:\"alias\";s:22:\"travel-static-captions\";s:3:\"zip\";s:26:\"travel-static-captions.zip\";s:3:\"uid\";s:32:\"bbe7d61c7c741ebc7aa1ce1082b0cb71\";s:3:\"img\";s:33:\"travel-static-captions/slide1.jpg\";s:7:\"preview\";s:50:\"http://revolution.themepunch.com/travel-slideshow/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:148:\"<span class=\"ttm_content\">A slideshow example with static captions layers above a rotating image background.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:41;a:20:{s:2:\"id\";s:2:\"42\";s:5:\"title\";s:7:\"Concept\";s:5:\"alias\";s:7:\"concept\";s:3:\"zip\";s:11:\"concept.zip\";s:3:\"uid\";s:32:\"47cb06083e87503762f6746725117a3c\";s:3:\"img\";s:18:\"concept/slide1.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/fullscreen-wordpress-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:232:\"<span class=\"ttm_content\">A full-screen slider that uses <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> to their potential.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:397:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:42;a:20:{s:2:\"id\";s:2:\"43\";s:5:\"title\";s:15:\"True Fullscreen\";s:5:\"alias\";s:17:\"fullscreen-button\";s:3:\"zip\";s:21:\"fullscreen-button.zip\";s:3:\"uid\";s:32:\"618a43bdf89333b555531f6d6ecde359\";s:3:\"img\";s:28:\"fullscreen-button/slide1.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/wordpress-sidebar-slideshow/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:246:\"<span class=\"ttm_content\">A slider with a full-screen button that uses <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> to their potential.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:323:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change the background images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:43;a:20:{s:2:\"id\";s:2:\"44\";s:5:\"title\";s:16:\"Creative Freedom\";s:5:\"alias\";s:15:\"creativefreedom\";s:3:\"zip\";s:19:\"creativefreedom.zip\";s:3:\"uid\";s:32:\"8902bf6c93126c2c6323626b9e872621\";s:3:\"img\";s:26:\"creativefreedom/slide1.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/wordpress-touch-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:145:\"<span class=\"ttm_content\">A full-screen slider with a unique vertical navigation and 3D-parallax effects.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:316:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images, videos and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:44;a:20:{s:2:\"id\";s:2:\"45\";s:5:\"title\";s:17:\"3D Parallax Scene\";s:5:\"alias\";s:13:\"parallaxscene\";s:3:\"zip\";s:17:\"parallaxscene.zip\";s:3:\"uid\";s:32:\"51566f1ce649708e97a0f5dfaf05ea19\";s:3:\"img\";s:24:\"parallaxscene/slide1.jpg\";s:7:\"preview\";s:55:\"http://revolution.themepunch.com/wordpress-3d-parallax/\";s:7:\"version\";s:5:\"1.0.2\";s:8:\"required\";s:3:\"5.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"700\";s:11:\"description\";s:328:\"<span class=\"ttm_content\">A 3D-parallax hero scene with mouse-controlled effects. Smart image arrangement creates a convincing 3D effect. Tooltips are shown using <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a>.</span>\r\n</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:45;a:20:{s:2:\"id\";s:2:\"46\";s:5:\"title\";s:10:\"Wow Factor\";s:5:\"alias\";s:15:\"slidingoverlays\";s:3:\"zip\";s:19:\"slidingoverlays.zip\";s:3:\"uid\";s:32:\"18002d17e8bc7ca61b0951f5305a759e\";s:3:\"img\";s:26:\"slidingoverlays/slide1.jpg\";s:7:\"preview\";s:61:\"http://revolution.themepunch.com/responsive-wordpress-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:106:\"<span class=\"ttm_content\">A 3D-parallax effect full-screen slider.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:443:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\nScreencast for <a href=\"https://www.youtube.com/watch?v=I4qGepR4aWw\" target=\"_blank\">mobile video</a> considerations.</a>\r\n<br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:46;a:20:{s:2:\"id\";s:2:\"47\";s:5:\"title\";s:14:\"3D Web Product\";s:5:\"alias\";s:25:\"web-product-light-hero-3d\";s:3:\"zip\";s:29:\"web-product-light-hero-3d.zip\";s:3:\"uid\";s:32:\"efd345c5da805414093e46066cefd751\";s:3:\"img\";s:36:\"web-product-light-hero-3d/slide1.jpg\";s:7:\"preview\";s:52:\"http://revolution.themepunch.com/wordpress-3d-scene/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.1\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:3:\"668\";s:11:\"description\";s:149:\"<span class=\"ttm_content\">A 3D-parallax hero scene slider with a convincing depth-effect and animated clouds.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:47;a:20:{s:2:\"id\";s:2:\"48\";s:5:\"title\";s:15:\"WooCommerce Big\";s:5:\"alias\";s:6:\"woobig\";s:3:\"zip\";s:10:\"woobig.zip\";s:3:\"uid\";s:32:\"bfb09a39656c7c80e86b468fc5b3403c\";s:3:\"img\";s:17:\"woobig/slide1.jpg\";s:7:\"preview\";s:52:\"http://revolution.themepunch.com/woocommerce-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1200\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:173:\"<span class=\"ttm_content\">This slider is automatically populated by WooCommerce posts. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:444:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"WooCommerce Slider\"</a>. Make sure to select the products you want to show in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:9:\"postbased\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:48;a:20:{s:2:\"id\";s:2:\"49\";s:5:\"title\";s:17:\"WooCommerce Small\";s:5:\"alias\";s:16:\"woocommercesmall\";s:3:\"zip\";s:20:\"woocommercesmall.zip\";s:3:\"uid\";s:32:\"b17c2adcc5c4c4b68a7ac6fee32fa030\";s:3:\"img\";s:27:\"woocommercesmall/slide1.jpg\";s:7:\"preview\";s:52:\"http://revolution.themepunch.com/woocommerce-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.1\";s:5:\"width\";s:3:\"400\";s:6:\"height\";s:3:\"266\";s:11:\"description\";s:174:\" <span class=\"ttm_content\">This slider is automatically populated by WooCommerce posts. Just one slide is needed to show a whole feed!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:444:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"WooCommerce Slider\"</a>. Make sure to select the products you want to show in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:9:\"postbased\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:49;a:20:{s:2:\"id\";s:2:\"50\";s:5:\"title\";s:17:\"Restaurant Header\";s:5:\"alias\";s:10:\"finedining\";s:3:\"zip\";s:14:\"finedining.zip\";s:3:\"uid\";s:32:\"03481a9e258501fbe3888b48830ea845\";s:3:\"img\";s:21:\"finedining/slide1.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/restaurant-hero-header/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:275:\"<span class=\"ttm_content\">A full-screen hero block slider that shows different background layers on button hover using <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a>.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:461:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\nScreencast for <a href=\"https://www.youtube.com/watch?v=I4qGepR4aWw\" target=\"_blank\">mobile video</a> considerations.</a>\r\n<br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:50;a:20:{s:2:\"id\";s:2:\"51\";s:5:\"title\";s:21:\"Agency Website Header\";s:5:\"alias\";s:12:\"agency-intro\";s:3:\"zip\";s:16:\"agency-intro.zip\";s:3:\"uid\";s:32:\"e9be2afdd55a0c8d0d8d0cc12ba4c82f\";s:3:\"img\";s:23:\"agency-intro/slide1.jpg\";s:7:\"preview\";s:60:\"http://revolution.themepunch.com/agency-website-hero-header/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:302:\" <span class=\"ttm_content\">A full-screen hero block slider with ken burns effect and video modal on button click. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> are used to achieve this effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:397:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:51;a:20:{s:2:\"id\";s:2:\"52\";s:5:\"title\";s:11:\"Team Slider\";s:5:\"alias\";s:7:\"ourteam\";s:3:\"zip\";s:11:\"ourteam.zip\";s:3:\"uid\";s:32:\"d8eb1fec07a79202d1118bb17f70c233\";s:3:\"img\";s:18:\"ourteam/slide1.jpg\";s:7:\"preview\";s:74:\"http://revolution.themepunch.com/thumbnail-hover-slider-revolution-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.4\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:303:\"<span class=\"ttm_content\">A team slider that changes slides and displays additional information on thumbnail hover. It uses <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> to achieve this effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:691:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\nLearn how to <a href=\"https://www.themepunch.com/faq/modify-thumbnails-for-our-team-template/\" target=\"_blank\">modify the thumbnails</a><br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:52;a:20:{s:2:\"id\";s:2:\"53\";s:5:\"title\";s:13:\"Team Carousel\";s:5:\"alias\";s:17:\"our-team-carousel\";s:3:\"zip\";s:21:\"our-team-carousel.zip\";s:3:\"uid\";s:32:\"37656d5dcab1f265c025cb2a3d669809\";s:3:\"img\";s:26:\"ourteamcarousel/slide1.jpg\";s:7:\"preview\";s:83:\"http://revolution.themepunch.com/thumbnail-hover-carousel-slider-revolution-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.4\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:306:\" <span class=\"ttm_content\">A team carousel that changes slides and displays additional information on thumbnail hover. It uses <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> to achieve this effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:693:\"<span class=\"ttm_content\">This is a \"Default\" content carousel. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\nLearn how to <a href=\"https://www.themepunch.com/faq/modify-thumbnails-for-our-team-template/\" target=\"_blank\">modify the thumbnails</a><br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:53;a:20:{s:2:\"id\";s:2:\"54\";s:5:\"title\";s:17:\"4K Youtube Slider\";s:5:\"alias\";s:13:\"betteryoutube\";s:3:\"zip\";s:17:\"betteryoutube.zip\";s:3:\"uid\";s:32:\"d7c5fef9f257037d7a148038aa2a1857\";s:3:\"img\";s:24:\"betteryoutube/slide1.jpg\";s:7:\"preview\";s:94:\"http://revolution.themepunch.com/fullscreen-4k-youtube-video-gallery-slider-revolution-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.4\";s:5:\"width\";s:4:\"1200\";s:6:\"height\";s:3:\"675\";s:11:\"description\";s:293:\" <span class=\"ttm_content\">A full-screen youtube gallery with 4K videos as an example. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> are used to breathe life into navigation elements.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:532:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change videos and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/><br/></span>\r\nScreencast for <a href=\"https://www.youtube.com/watch?v=I4qGepR4aWw\" target=\"_blank\">mobile video</a> considerations.</a>\r\n<br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:54;a:20:{s:2:\"id\";s:2:\"55\";s:5:\"title\";s:21:\"Agency Website Header\";s:5:\"alias\";s:19:\"agencywebsiteheader\";s:3:\"zip\";s:23:\"agencywebsiteheader.zip\";s:3:\"uid\";s:32:\"c11d272c87277a7a38d9e7fd13e27947\";s:3:\"img\";s:30:\"agencywebsiteheader/slide1.jpg\";s:7:\"preview\";s:56:\"http://revolution.themepunch.com/fullscreen-hero-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:245:\" <span class=\"ttm_content\">A very unique full-screen slider that uses <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> to their potential.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:543:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:55;a:20:{s:2:\"id\";s:2:\"56\";s:5:\"title\";s:11:\"Coming Soon\";s:5:\"alias\";s:10:\"comingsoon\";s:3:\"zip\";s:14:\"comingsoon.zip\";s:3:\"uid\";s:32:\"0f89edf995512e6d6e864a2ee7221829\";s:3:\"img\";s:21:\"comingsoon/slide1.jpg\";s:7:\"preview\";s:79:\"http://revolution.themepunch.com/coming-soon-wordpress-under-construction-site/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:299:\"<span class=\"ttm_content\">A full-screen slider that can be used as a \"Coming Soon\" page. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a> are used to achieve various interaction possibilities.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:661:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>For further configuration options please view the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">\"Custom CSS/JS\"</a> section in the slider settings.<br/><br/></span>\r\nInstructions for <a href=\"https://www.themepunch.com/faq/change-date-for-coming-soon-template/\" target=\"_blank\">how to change the date.</a><br /><br />\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:56;a:20:{s:2:\"id\";s:2:\"57\";s:5:\"title\";s:20:\"Christmas Snow Scene\";s:5:\"alias\";s:9:\"snowscene\";s:3:\"zip\";s:13:\"snowscene.zip\";s:3:\"uid\";s:32:\"a747bf0837caff86c62419a746690209\";s:3:\"img\";s:20:\"snowscene/slide1.jpg\";s:7:\"preview\";s:54:\"http://revolution.themepunch.com/christmas-snow-scene/\";s:7:\"version\";s:5:\"1.0.5\";s:8:\"required\";s:5:\"5.0.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:141:\"<span class=\"ttm_content\">A slider with multiple christmas themed slides and a neat snow fall effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:508:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>For further configuration options please view the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">\"Custom CSS/JS\"</a> section in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:57;a:20:{s:2:\"id\";s:2:\"58\";s:5:\"title\";s:15:\"Rock Band Music\";s:5:\"alias\";s:8:\"rockband\";s:3:\"zip\";s:12:\"rockband.zip\";s:3:\"uid\";s:32:\"5f557a5fad2fd6ca982a6ae6e9619637\";s:3:\"img\";s:19:\"rockband/slide1.jpg\";s:7:\"preview\";s:80:\"http://revolution.themepunch.com/rock-band-music-theme-slider-revolution-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:140:\" <span class=\"ttm_content\">A rock band themed hero block slider with an embedded SoundCloud element.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:461:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background video and texts.<br/><br/></span>\r\nScreencast for <a href=\"https://www.youtube.com/watch?v=I4qGepR4aWw\" target=\"_blank\">mobile video</a> considerations.</a>\r\n<br/><br/>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-24 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:58;a:20:{s:2:\"id\";s:2:\"59\";s:5:\"title\";s:18:\"Sleek Landing Page\";s:5:\"alias\";s:16:\"sleeklandingpage\";s:3:\"zip\";s:20:\"sleeklandingpage.zip\";s:3:\"uid\";s:32:\"07f7f2608936a8ae226213b7d99eee3f\";s:3:\"img\";s:27:\"sleeklandingpage/slide1.jpg\";s:7:\"preview\";s:70:\"http://revolution.themepunch.com/landing-page-free-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.1.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:191:\"<span class=\"ttm_content\">A full-screen slider that can be used as an App-Landing-Page. The object layers and custom animations create a unique effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-02-22 13:21:33\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:59;a:20:{s:2:\"id\";s:2:\"60\";s:5:\"title\";s:16:\"App Landing Page\";s:5:\"alias\";s:14:\"applandingpage\";s:3:\"zip\";s:18:\"applandingpage.zip\";s:3:\"uid\";s:32:\"38eb600893c1484ab8fd2a3dce3678d7\";s:3:\"img\";s:25:\"applandingpage/slide1.jpg\";s:7:\"preview\";s:64:\"http://revolution.themepunch.com/app-landing-page-free-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:263:\"<span class=\"ttm_content\">A full-screen hero block that can be used as an app landing page. The detail view is build using <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a>.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:397:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>It might be helpful to use the \"hide/show layer\" feature to efficiently edit all content.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:60;a:20:{s:2:\"id\";s:2:\"61\";s:5:\"title\";s:10:\"Desk Scene\";s:5:\"alias\";s:9:\"deskscene\";s:3:\"zip\";s:13:\"deskscene.zip\";s:3:\"uid\";s:32:\"172a1a89a3e3b333cb4dbeb238f534c5\";s:3:\"img\";s:20:\"deskscene/slide1.jpg\";s:7:\"preview\";s:49:\"http://revolution.themepunch.com/hero-desk-scene/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:135:\"<span class=\"ttm_content\">A beautiful desk scene with a cool reveal effect when scrolling down.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:61;a:20:{s:2:\"id\";s:2:\"62\";s:5:\"title\";s:17:\"Clean News Slider\";s:5:\"alias\";s:15:\"cleannewsslider\";s:3:\"zip\";s:19:\"cleannewsslider.zip\";s:3:\"uid\";s:32:\"82c3f521fe31b80984be0f19e1a9899e\";s:3:\"img\";s:26:\"cleannewsslider/slide1.jpg\";s:7:\"preview\";s:55:\"http://revolution.themepunch.com/wordpress-news-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:132:\"<span class=\"ttm_content\">A slideshow example with clean content and thumbnail navigation.</span>\r\n<span class=\"ttm_space\"></span>\r\n\";s:11:\"setup_notes\";s:308:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:62;a:20:{s:2:\"id\";s:2:\"63\";s:5:\"title\";s:13:\"Image Gallery\";s:5:\"alias\";s:12:\"imagegallery\";s:3:\"zip\";s:16:\"imagegallery.zip\";s:3:\"uid\";s:32:\"cef1d75357df2cb53b990c74a214813e\";s:3:\"img\";s:23:\"imagegallery/slide1.jpg\";s:7:\"preview\";s:64:\"http://revolution.themepunch.com/wordpress-photo-gallery-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:3:\"667\";s:11:\"description\";s:239:\"<span class=\"ttm_content\">A photo gallery suitable to display your images using <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> to their potential.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:63;a:20:{s:2:\"id\";s:2:\"64\";s:5:\"title\";s:19:\"Standard WP Gallery\";s:5:\"alias\";s:19:\"standard-wp-gallery\";s:3:\"zip\";s:23:\"standard-wp-gallery.zip\";s:3:\"uid\";s:32:\"632035b8a27652d8081dbdfa343dc93d\";s:3:\"img\";s:30:\"standard-wp-gallery/slide1.jpg\";s:7:\"preview\";s:64:\"http://revolution.themepunch.com/wordpress-photo-gallery-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1000\";s:6:\"height\";s:3:\"667\";s:11:\"description\";s:143:\"<span class=\"ttm_content\">A photo gallery that uses the \"Standard WP Gallery\" add-on to display images.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:441:\"<span class=\"ttm_content\">Please follow the setup guide on the \"Standard WP Gallery\" add-on page.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:9:\"postbased\";}s:14:\"plugin_require\";s:166:\"[{\"path\":\"revslider-gallery-addon\\/revslider-gallery-addon.php\",\"name\":\"WP Gallery AddOn\",\"url\":\"http:\\/\\/revolution.themepunch.com\\/wordpress-photo-gallery-plugin\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:64;a:20:{s:2:\"id\";s:2:\"65\";s:5:\"title\";s:21:\"Clean News Post Based\";s:5:\"alias\";s:21:\"clean-news-post-based\";s:3:\"zip\";s:25:\"clean-news-post-based.zip\";s:3:\"uid\";s:32:\"f4cf5bbe51afa5a361754bb081cbabf2\";s:3:\"img\";s:32:\"clean-news-post-based/slide1.jpg\";s:7:\"preview\";s:55:\"http://revolution.themepunch.com/wordpress-news-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1200\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:125:\"<span class=\"ttm_content\"> This slider is automatically populated by WordPress posts.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:447:\"<span class=\"ttm_content\">The content source is set to <a href=\"https://www.themepunch.com/revslider-doc/special-content-sources/\" target=\"_blank\">\"Post-Based Slider\"</a>. Make sure to select the post type you want to display in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:9:\"postbased\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:65;a:20:{s:2:\"id\";s:2:\"66\";s:5:\"title\";s:22:\"Interactive Whiteboard\";s:5:\"alias\";s:21:\"interactivewhiteboard\";s:3:\"zip\";s:25:\"interactivewhiteboard.zip\";s:3:\"uid\";s:32:\"058b4af535d6c6c7bcec5225845e3eb4\";s:3:\"img\";s:32:\"interactivewhiteboard/slide1.jpg\";s:7:\"preview\";s:77:\"http://revolution.themepunch.com/interactive-whiteboard-animation-free-addon/\";s:7:\"version\";s:5:\"1.0.5\";s:8:\"required\";s:5:\"5.2.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:269:\"<span class=\"ttm_content\">This is the example slider from the Whiteboard add-on preview.<br/><a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> are used to achieve certain effects.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:572:\"<span class=\"ttm_content\">This slider template requires the <a href=\"https://www.themepunch.com/revslider-doc/add-on-whiteboard/\" target=\"_blank\">Whiteboard add-on</a> to be installed. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:185:\"[{\"path\":\"revslider-whiteboard-addon\\/revslider-whiteboard-addon.php\",\"name\":\"Whiteboard AddOn\",\"url\":\"http:\\/\\/revolution.themepunch.com\\/interactive-whiteboard-animation-free-addon\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:66;a:20:{s:2:\"id\";s:2:\"68\";s:5:\"title\";s:17:\"Innovation Slider\";s:5:\"alias\";s:10:\"innovation\";s:3:\"zip\";s:14:\"innovation.zip\";s:3:\"uid\";s:32:\"d3440b69126d9c186fddc713b18b0002\";s:3:\"img\";s:21:\"innovation/slide1.jpg\";s:7:\"preview\";s:68:\"https://revolution.themepunch.com/best-wordpress-slider-plugin-2016/\";s:7:\"version\";s:5:\"1.0.5\";s:8:\"required\";s:7:\"5.2.3.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:258:\"<span class=\"ttm_content\">A full-screen slider with an elegant fade-out parallax effect. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> are used for links on layers.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:516:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images, videos and texts.<br/>For further configuration options please view the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">\"Custom CSS/JS\"</a> section in the slider settings.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"2016-03-29 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:67;a:23:{s:2:\"id\";s:2:\"69\";s:5:\"title\";s:25:\"Dark Content Block - Menu\";s:5:\"alias\";s:24:\"dark-fullsite-block-menu\";s:3:\"zip\";s:34:\"packs/dark-fullsite-block-menu.zip\";s:3:\"uid\";s:32:\"bf4bd226719d3c3d3146592976e31ca1\";s:3:\"img\";s:35:\"dark-fullsite-block-menu/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:68;a:23:{s:2:\"id\";s:2:\"70\";s:5:\"title\";s:25:\"Dark Content Block - Hero\";s:5:\"alias\";s:21:\"dark-fullsite-block-1\";s:3:\"zip\";s:31:\"packs/dark-fullsite-block-1.zip\";s:3:\"uid\";s:32:\"d8859245fe600288ca932dc29aca751f\";s:3:\"img\";s:32:\"dark-fullsite-block-1/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:69;a:23:{s:2:\"id\";s:2:\"71\";s:5:\"title\";s:26:\"Dark Content Block - About\";s:5:\"alias\";s:27:\"dark-fullsite-block-2-about\";s:3:\"zip\";s:37:\"packs/dark-fullsite-block-2-about.zip\";s:3:\"uid\";s:32:\"298401901521a197a8294c1b4f73df3e\";s:3:\"img\";s:38:\"dark-fullsite-block-2-about/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:70;a:23:{s:2:\"id\";s:2:\"72\";s:5:\"title\";s:29:\"Dark Content Block - Services\";s:5:\"alias\";s:30:\"dark-fullsite-block-3-services\";s:3:\"zip\";s:40:\"packs/dark-fullsite-block-3-services.zip\";s:3:\"uid\";s:32:\"8da3ed605472ed6a26c745fb52f85f82\";s:3:\"img\";s:41:\"dark-fullsite-block-3-services/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:71;a:23:{s:2:\"id\";s:2:\"73\";s:5:\"title\";s:29:\"Dark Content Block - Products\";s:5:\"alias\";s:30:\"dark-fullsite-block-4-products\";s:3:\"zip\";s:40:\"packs/dark-fullsite-block-4-products.zip\";s:3:\"uid\";s:32:\"99e4f40399d20261a6131043d0e50b0c\";s:3:\"img\";s:41:\"dark-fullsite-block-4-products/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:448:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\r\n\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:72;a:23:{s:2:\"id\";s:2:\"74\";s:5:\"title\";s:33:\"Dark Content Block - Testimonials\";s:5:\"alias\";s:34:\"dark-fullsite-block-5-testimonials\";s:3:\"zip\";s:44:\"packs/dark-fullsite-block-5-testimonials.zip\";s:3:\"uid\";s:32:\"2f9121e0eedd51afe85e233d0743acab\";s:3:\"img\";s:45:\"dark-fullsite-block-5-testimonials/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:73;a:23:{s:2:\"id\";s:2:\"75\";s:5:\"title\";s:28:\"Dark Content Block - Callout\";s:5:\"alias\";s:29:\"dark-fullsite-block-6-callout\";s:3:\"zip\";s:39:\"packs/dark-fullsite-block-6-callout.zip\";s:3:\"uid\";s:32:\"55fbecb113ff21f050be7adc08637329\";s:3:\"img\";s:40:\"dark-fullsite-block-6-callout/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:74;a:23:{s:2:\"id\";s:2:\"76\";s:5:\"title\";s:27:\"Dark Content Block - Footer\";s:5:\"alias\";s:28:\"dark-fullsite-block-7-footer\";s:3:\"zip\";s:38:\"packs/dark-fullsite-block-7-footer.zip\";s:3:\"uid\";s:32:\"2ff517f5c7c54e3e0c2dd733cfd3400e\";s:3:\"img\";s:39:\"dark-fullsite-block-7-footer/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:75;a:23:{s:2:\"id\";s:2:\"77\";s:5:\"title\";s:26:\"Light Content Block - Menu\";s:5:\"alias\";s:19:\"fullsite-block-menu\";s:3:\"zip\";s:29:\"packs/fullsite-block-menu.zip\";s:3:\"uid\";s:32:\"8010971f34387d5f94a1f4e577ef382a\";s:3:\"img\";s:30:\"fullsite-block-menu/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:76;a:23:{s:2:\"id\";s:2:\"78\";s:5:\"title\";s:26:\"Light Content Block - Hero\";s:5:\"alias\";s:15:\"fullsite-block1\";s:3:\"zip\";s:25:\"packs/fullsite-block1.zip\";s:3:\"uid\";s:32:\"45bf7179843e01ce112e8ec754b0455c\";s:3:\"img\";s:26:\"fullsite-block1/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:77;a:23:{s:2:\"id\";s:2:\"79\";s:5:\"title\";s:27:\"Light Content Block - About\";s:5:\"alias\";s:22:\"fullsite-block-2-about\";s:3:\"zip\";s:32:\"packs/fullsite-block-2-about.zip\";s:3:\"uid\";s:32:\"8402b460638a746d36433cb161440b7d\";s:3:\"img\";s:33:\"fullsite-block-2-about/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:78;a:23:{s:2:\"id\";s:2:\"80\";s:5:\"title\";s:30:\"Light Content Block - Services\";s:5:\"alias\";s:25:\"fullsite-block-3-services\";s:3:\"zip\";s:35:\"packs/fullsite-block-3-services.zip\";s:3:\"uid\";s:32:\"7b8cea27f4d6ae17c5e1eae12457bd06\";s:3:\"img\";s:36:\"fullsite-block-3-services/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:79;a:23:{s:2:\"id\";s:2:\"81\";s:5:\"title\";s:30:\"Light Content Block - Products\";s:5:\"alias\";s:25:\"fullsite-block-4-products\";s:3:\"zip\";s:35:\"packs/fullsite-block-4-products.zip\";s:3:\"uid\";s:32:\"d148935362d7122636cda0635eae4be7\";s:3:\"img\";s:36:\"fullsite-block-4-products/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:80;a:23:{s:2:\"id\";s:2:\"82\";s:5:\"title\";s:34:\"Light Content Block - Testimonials\";s:5:\"alias\";s:29:\"fullsite-block-5-testimonials\";s:3:\"zip\";s:39:\"packs/fullsite-block-5-testimonials.zip\";s:3:\"uid\";s:32:\"06255bfd421e40f71fa8197b839dbf03\";s:3:\"img\";s:40:\"fullsite-block-5-testimonials/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:81;a:23:{s:2:\"id\";s:2:\"83\";s:5:\"title\";s:29:\"Light Content Block - Callout\";s:5:\"alias\";s:24:\"fullsite-block-6-callout\";s:3:\"zip\";s:34:\"packs/fullsite-block-6-callout.zip\";s:3:\"uid\";s:32:\"8a88c3447676b613ec5db2fe5d63315c\";s:3:\"img\";s:35:\"fullsite-block-6-callout/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:82;a:23:{s:2:\"id\";s:2:\"84\";s:5:\"title\";s:28:\"Light Content Block - Footer\";s:5:\"alias\";s:23:\"fullsite-block-7-footer\";s:3:\"zip\";s:33:\"packs/fullsite-block-7-footer.zip\";s:3:\"uid\";s:32:\"34300b4407a2093eb2e1e08868fa8319\";s:3:\"img\";s:34:\"fullsite-block-7-footer/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:83;a:20:{s:2:\"id\";s:2:\"85\";s:5:\"title\";s:12:\"Tech Journal\";s:5:\"alias\";s:11:\"techjournal\";s:3:\"zip\";s:15:\"techjournal.zip\";s:3:\"uid\";s:32:\"7f92d70d1c108378f915b18c2ceb71d6\";s:3:\"img\";s:22:\"techjournal/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.1\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:130:\"<span class=\"ttm_content\">A full-width slider with navigation direction-based transitions.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:303:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:84;a:20:{s:2:\"id\";s:2:\"86\";s:5:\"title\";s:14:\"Car Dealership\";s:5:\"alias\";s:13:\"cardealership\";s:3:\"zip\";s:17:\"cardealership.zip\";s:3:\"uid\";s:32:\"bb010838855a8ae4d1dd68e139bf169e\";s:3:\"img\";s:24:\"cardealership/slide1.jpg\";s:7:\"preview\";s:56:\"https://revolution.themepunch.com/car-dealership-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"650\";s:11:\"description\";s:130:\"<span class=\"ttm_content\">A full-width slider with navigation direction-based transitions.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:303:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:85;a:20:{s:2:\"id\";s:2:\"87\";s:5:\"title\";s:22:\"FullScreen Menu Slider\";s:5:\"alias\";s:14:\"fullscreenmenu\";s:3:\"zip\";s:18:\"fullscreenmenu.zip\";s:3:\"uid\";s:32:\"6de81d74c4bf193e2e274d43038adc85\";s:3:\"img\";s:25:\"fullscreenmenu/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-fullscreen-menu/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:131:\"<span class=\"ttm_content\">A full-screen slider that contains a menu with slide blur effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:86;a:20:{s:2:\"id\";s:2:\"88\";s:5:\"title\";s:18:\"Creative Frontpage\";s:5:\"alias\";s:17:\"creativefrontpage\";s:3:\"zip\";s:21:\"creativefrontpage.zip\";s:3:\"uid\";s:32:\"0636cb368af3bcaa2f68eb0ebefe6439\";s:3:\"img\";s:28:\"creativefrontpage/slide1.jpg\";s:7:\"preview\";s:56:\"https://revolution.themepunch.com/best-wordpress-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:246:\"<span class=\"ttm_content\">A full-screen slider with hidden slides that are triggered via  <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\" target=\"_blank\">\"Layer Actions\"</a>.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:87;a:23:{s:2:\"id\";s:2:\"89\";s:5:\"title\";s:20:\"Website Builder Menu\";s:5:\"alias\";s:19:\"websitebuilder-menu\";s:3:\"zip\";s:29:\"packs/websitebuilder-menu.zip\";s:3:\"uid\";s:32:\"d9e6d9c961f123a3a4847b51fc3ba3a2\";s:3:\"img\";s:30:\"websitebuilder-menu/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:2:\"60\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:88;a:23:{s:2:\"id\";s:2:\"90\";s:5:\"title\";s:20:\"Website Builder Hero\";s:5:\"alias\";s:19:\"websitebuilder-hero\";s:3:\"zip\";s:29:\"packs/websitebuilder-hero.zip\";s:3:\"uid\";s:32:\"6cb2df9a41ad2e7865bb9bbea7e39cb5\";s:3:\"img\";s:30:\"websitebuilder-hero/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1230\";s:6:\"height\";s:3:\"700\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:89;a:23:{s:2:\"id\";s:2:\"91\";s:5:\"title\";s:23:\"Website Builder Clients\";s:5:\"alias\";s:22:\"websitebuilder-clients\";s:3:\"zip\";s:32:\"packs/websitebuilder-clients.zip\";s:3:\"uid\";s:32:\"050e59c43c9a693510d01f29532088cf\";s:3:\"img\";s:33:\"websitebuilder-clients/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"120\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:90;a:23:{s:2:\"id\";s:2:\"92\";s:5:\"title\";s:24:\"Website Builder Services\";s:5:\"alias\";s:23:\"websitebuilder-services\";s:3:\"zip\";s:33:\"packs/websitebuilder-services.zip\";s:3:\"uid\";s:32:\"48d56d67615efce619ae973ab4358c07\";s:3:\"img\";s:34:\"websitebuilder-services/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"558\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:91;a:23:{s:2:\"id\";s:2:\"93\";s:5:\"title\";s:24:\"Website Builder Discover\";s:5:\"alias\";s:23:\"websitebuilder-discover\";s:3:\"zip\";s:33:\"packs/websitebuilder-discover.zip\";s:3:\"uid\";s:32:\"425a08a7be338daea3df02a07ff5c316\";s:3:\"img\";s:34:\"websitebuilder-discover/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"955\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:92;a:23:{s:2:\"id\";s:2:\"94\";s:5:\"title\";s:22:\"Website Builder Slider\";s:5:\"alias\";s:21:\"websitebuilder-slider\";s:3:\"zip\";s:31:\"packs/websitebuilder-slider.zip\";s:3:\"uid\";s:32:\"9d670b7335016accb590dc8d52bfb6f0\";s:3:\"img\";s:32:\"websitebuilder-slider/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:93;a:23:{s:2:\"id\";s:2:\"95\";s:5:\"title\";s:28:\"Website Builder CallToAction\";s:5:\"alias\";s:27:\"websitebuilder-calltoaction\";s:3:\"zip\";s:37:\"packs/websitebuilder-calltoaction.zip\";s:3:\"uid\";s:32:\"45851baf9e61f55ed9f5fa9d0beff77e\";s:3:\"img\";s:38:\"websitebuilder-calltoaction/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"960\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:94;a:23:{s:2:\"id\";s:2:\"96\";s:5:\"title\";s:22:\"Website Builder Footer\";s:5:\"alias\";s:21:\"websitebuilder-footer\";s:3:\"zip\";s:31:\"packs/websitebuilder-footer.zip\";s:3:\"uid\";s:32:\"2732bbe66ef28219d6cc53ce8cc78863\";s:3:\"img\";s:32:\"websitebuilder-footer/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:95;a:20:{s:2:\"id\";s:2:\"97\";s:5:\"title\";s:21:\"Focus Parallax Effect\";s:5:\"alias\";s:13:\"focusparallax\";s:3:\"zip\";s:17:\"focusparallax.zip\";s:3:\"uid\";s:32:\"13bd15fb3ddf8b9841cb55b89389cc73\";s:3:\"img\";s:24:\"focusparallax/slide1.jpg\";s:7:\"preview\";s:68:\" https://revolution.themepunch.com/parallax-effect-wordpress-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:256:\"<span class=\"ttm_content\">A full-screen slider with mouse controlled parallax effects. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> are used for links on layers.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:449:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/>Some content is in <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">\"Static / Global Layers\"</a><br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:96;a:20:{s:2:\"id\";s:2:\"98\";s:5:\"title\";s:14:\"Duotone Slider\";s:5:\"alias\";s:7:\"duotone\";s:3:\"zip\";s:11:\"duotone.zip\";s:3:\"uid\";s:32:\"494862ceb6cb7c6658ad7cd36848cccd\";s:3:\"img\";s:18:\"duotone/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/wordpress-header-image-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.4\";s:5:\"width\";s:4:\"1200\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:252:\"<span class=\"ttm_content\">A full-screen slider with unique parallax scroll effect. <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> are used for links on layers.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:303:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:97;a:23:{s:2:\"id\";s:2:\"99\";s:5:\"title\";s:12:\"Minimal Menu\";s:5:\"alias\";s:6:\"r_menu\";s:3:\"zip\";s:16:\"packs/r_menu.zip\";s:3:\"uid\";s:32:\"30d6a6895db1a5f29b1679061551c9f0\";s:3:\"img\";s:17:\"r_menu/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/minimal-website-template/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"110\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:913:\"<span class=\"ttm_content\">\r\nIn the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">Custom JavaScript</a> section of the \"Minimal Menu\" Template you can scroll down to the color change section.<br/>\r\nFor any elements you want to background color change in addition to the sites body, add this class to the <a href=\"https://www.themepunch.com/revslider-doc/layer-attributes/\" target=\"_blank\">Layers Attributes</a> \".tp-colorchange\".<br/><br/>\r\nIf you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:24:\"Minimal Website Template\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"4\";s:9:\"installed\";b:0;}i:98;a:23:{s:2:\"id\";s:3:\"100\";s:5:\"title\";s:12:\"Minimal Hero\";s:5:\"alias\";s:5:\"rhero\";s:3:\"zip\";s:16:\"packs/r_hero.zip\";s:3:\"uid\";s:32:\"b8b46186956f6e66ad0c08e4532bbbde\";s:3:\"img\";s:17:\"r_hero/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/minimal-website-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"700\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:913:\"<span class=\"ttm_content\">\r\nIn the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">Custom JavaScript</a> section of the \"Minimal Menu\" Template you can scroll down to the color change section.<br/>\r\nFor any elements you want to background color change in addition to the sites body, add this class to the <a href=\"https://www.themepunch.com/revslider-doc/layer-attributes/\" target=\"_blank\">Layers Attributes</a> \".tp-colorchange\".<br/><br/>\r\nIf you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:24:\"Minimal Website Template\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"4\";s:9:\"installed\";b:0;}i:99;a:23:{s:2:\"id\";s:3:\"101\";s:5:\"title\";s:13:\"Minimal About\";s:5:\"alias\";s:7:\"r_about\";s:3:\"zip\";s:17:\"packs/r_about.zip\";s:3:\"uid\";s:32:\"343010c4b4c03f92888c3e9e95bc2bb1\";s:3:\"img\";s:18:\"r_about/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/minimal-website-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:913:\"<span class=\"ttm_content\">\r\nIn the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">Custom JavaScript</a> section of the \"Minimal Menu\" Template you can scroll down to the color change section.<br/>\r\nFor any elements you want to background color change in addition to the sites body, add this class to the <a href=\"https://www.themepunch.com/revslider-doc/layer-attributes/\" target=\"_blank\">Layers Attributes</a> \".tp-colorchange\".<br/><br/>\r\nIf you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:24:\"Minimal Website Template\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"4\";s:9:\"installed\";b:0;}i:100;a:23:{s:2:\"id\";s:3:\"102\";s:5:\"title\";s:16:\"Minimal Products\";s:5:\"alias\";s:10:\"r_products\";s:3:\"zip\";s:20:\"packs/r_products.zip\";s:3:\"uid\";s:32:\"dda93e85c6a4456d132040147f087f39\";s:3:\"img\";s:21:\"r_products/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/minimal-website-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:4:\"1100\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:913:\"<span class=\"ttm_content\">\r\nIn the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">Custom JavaScript</a> section of the \"Minimal Menu\" Template you can scroll down to the color change section.<br/>\r\nFor any elements you want to background color change in addition to the sites body, add this class to the <a href=\"https://www.themepunch.com/revslider-doc/layer-attributes/\" target=\"_blank\">Layers Attributes</a> \".tp-colorchange\".<br/><br/>\r\nIf you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:24:\"Minimal Website Template\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"4\";s:9:\"installed\";b:0;}i:101;a:23:{s:2:\"id\";s:3:\"103\";s:5:\"title\";s:12:\"Minimal Info\";s:5:\"alias\";s:6:\"r_info\";s:3:\"zip\";s:16:\"packs/r_info.zip\";s:3:\"uid\";s:32:\"d6e368e8fd4862174af6c980389ae530\";s:3:\"img\";s:17:\"r_info/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/minimal-website-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:913:\"<span class=\"ttm_content\">\r\nIn the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">Custom JavaScript</a> section of the \"Minimal Menu\" Template you can scroll down to the color change section.<br/>\r\nFor any elements you want to background color change in addition to the sites body, add this class to the <a href=\"https://www.themepunch.com/revslider-doc/layer-attributes/\" target=\"_blank\">Layers Attributes</a> \".tp-colorchange\".<br/><br/>\r\nIf you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:24:\"Minimal Website Template\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"4\";s:9:\"installed\";b:0;}i:102;a:20:{s:2:\"id\";s:3:\"104\";s:5:\"title\";s:18:\"Inspiration Header\";s:5:\"alias\";s:17:\"inspirationheader\";s:3:\"zip\";s:21:\"inspirationheader.zip\";s:3:\"uid\";s:32:\"69f04b2be0b618fa7e184af83b86b7e7\";s:3:\"img\";s:28:\"inspirationheader/slide1.jpg\";s:7:\"preview\";s:57:\"https://revolution.themepunch.com/wordpress-theme-header/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:159:\"<span class=\"ttm_content\">This full-screen hero slider features sequentially animated texts and cool parallax elements.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:103;a:20:{s:2:\"id\";s:3:\"105\";s:5:\"title\";s:15:\"Magazine Slider\";s:5:\"alias\";s:13:\"magazineposts\";s:3:\"zip\";s:17:\"magazineposts.zip\";s:3:\"uid\";s:32:\"c562f3457e4edbd030959f7c5e6e0f7c\";s:3:\"img\";s:24:\"magazineposts/slide1.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-magazine-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1400\";s:6:\"height\";s:4:\"1000\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">A full-width slider with a mouse-controlled 3D-Parallax effect. Enjoy! <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> are used for links on layers.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:303:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:104;a:20:{s:2:\"id\";s:3:\"106\";s:5:\"title\";s:11:\"News Header\";s:5:\"alias\";s:17:\"explorationheader\";s:3:\"zip\";s:21:\"explorationheader.zip\";s:3:\"uid\";s:32:\"8f20d5a868c90ded08b835fb9e8307d7\";s:3:\"img\";s:28:\"explorationheader/slide1.jpg\";s:7:\"preview\";s:56:\"https://revolution.themepunch.com/wordpress-news-header/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:288:\"<span class=\"ttm_content\">A full-screen slider that is a perfect fit for displaying news on your websites header! Check out <a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> to add links to buttons.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:303:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:105;a:23:{s:2:\"id\";s:3:\"107\";s:5:\"title\";s:23:\"Minimal Website Package\";s:5:\"alias\";s:23:\"minimal-website-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:23:\"minimal-website-package\";s:3:\"img\";s:31:\"packages/template_group_1_1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/minimal-website-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"110\";s:11:\"description\";s:181:\"<span class=\"ttm_content\">The Minimal Website Template is a one-pager website with a unique background color change effect on scrolling down.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:913:\"<span class=\"ttm_content\">\r\nIn the <a href=\"https://www.themepunch.com/faq/custom-css-or-javascript-for-version-5-0/\" target=\"_blank\">Custom JavaScript</a> section of the \"Minimal Menu\" Template you can scroll down to the color change section.<br/>\r\nFor any elements you want to background color change in addition to the sites body, add this class to the <a href=\"https://www.themepunch.com/revslider-doc/layer-attributes/\" target=\"_blank\">Layers Attributes</a> \".tp-colorchange\".<br/><br/>\r\nIf you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:24:\"Minimal Website Template\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"4\";s:9:\"installed\";b:0;}i:106;a:23:{s:2:\"id\";s:3:\"108\";s:5:\"title\";s:23:\"Website Builder Package\";s:5:\"alias\";s:22:\"websitebuilder-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:22:\"websitebuilder-package\";s:3:\"img\";s:29:\"packages/template_group_2.jpg\";s:7:\"preview\";s:60:\"https://revolution.themepunch.com/wordpress-website-builder/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.2.5.3\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:2:\"60\";s:11:\"description\";s:191:\"<span class=\"ttm_content\">The Website Builder Package is a clean, usable collection website modules that can be used all together or each on their own.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:15:\"Website Builder\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"3\";s:9:\"installed\";b:0;}i:107;a:23:{s:2:\"id\";s:3:\"109\";s:5:\"title\";s:26:\"Dark Content Block Package\";s:5:\"alias\";s:27:\"dark-fullsite-block-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:27:\"dark-fullsite-block-package\";s:3:\"img\";s:29:\"packages/template_group_4.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/dark-wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">This Minimal Website Template has some sleek parallax effects and on-demand loading modules.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:13:\"Fullsite Dark\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"2\";s:9:\"installed\";b:0;}i:108;a:23:{s:2:\"id\";s:3:\"110\";s:5:\"title\";s:27:\"Light Content Block Package\";s:5:\"alias\";s:22:\"fullsite-block-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:22:\"fullsite-block-package\";s:3:\"img\";s:29:\"packages/template_group_3.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/wordpress-parallax-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.2.5\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">This Minimal Website Template has some sleek parallax effects and on-demand loading modules.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:8:\"Fullsite\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"1\";s:9:\"installed\";b:0;}i:109;a:20:{s:2:\"id\";s:3:\"111\";s:5:\"title\";s:17:\"Typewriter Effect\";s:5:\"alias\";s:16:\"typewritereffect\";s:3:\"zip\";s:20:\"typewritereffect.zip\";s:3:\"uid\";s:32:\"d6f8bae06cc4a7b158d680c01e59ddc2\";s:3:\"img\";s:27:\"typewritereffect/slide1.jpg\";s:7:\"preview\";s:62:\"https://revolution.themepunch.com/wordpress-typewriter-effect/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:263:\"<span class=\"ttm_content\">This is the example slider from the Typewriter add-on preview.<br/><a href=\"https://www.themepunch.com/revslider-doc/layer-settings/#layeractions\">\"Layer Actions\"</a> are used for links on buttons.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:426:\"<span class=\"ttm_content\">This slider template requires the <a href=\"https://www.themepunch.com/revslider-doc/add-on-typewriter/\" target=\"_blank\">Typewriter add-on</a> to be installed. Edit the slides to change images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:170:\"[{\"path\":\"revslider-typewriter-addon\\/revslider-typewriter-addon.php\",\"name\":\"Typewriter AddOn\",\"url\":\"https:\\/\\/www.themepunch.com\\/revslider-doc\\/add-on-typewriter\\/\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:110;a:20:{s:2:\"id\";s:3:\"112\";s:5:\"title\";s:17:\"Blend Mode Header\";s:5:\"alias\";s:15:\"blendmodeheader\";s:3:\"zip\";s:19:\"blendmodeheader.zip\";s:3:\"uid\";s:32:\"2e44e976596d757aab40ffa28086dcf9\";s:3:\"img\";s:26:\"blendmodeheader/slide1.jpg\";s:7:\"preview\";s:57:\"https://revolution.themepunch.com/blend-mode-hero-header/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:4:\"1000\";s:11:\"description\";s:163:\"<span class=\"ttm_content\">This full-screen hero header with HMTL5 background video, utilizes the new 5.3 blend mode effect.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:326:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:111;a:23:{s:2:\"id\";s:3:\"113\";s:5:\"title\";s:17:\"Themeplicity Menu\";s:5:\"alias\";s:17:\"themeplicity_menu\";s:3:\"zip\";s:27:\"packs/themeplicity_menu.zip\";s:3:\"uid\";s:32:\"7d5c1e75eaafa63683895a32a62f4ce0\";s:3:\"img\";s:28:\"themeplicity_menu/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:2:\"90\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:112;a:23:{s:2:\"id\";s:3:\"114\";s:5:\"title\";s:19:\"Themeplicity Header\";s:5:\"alias\";s:19:\"themeplicity_header\";s:3:\"zip\";s:29:\"packs/themeplicity_header.zip\";s:3:\"uid\";s:32:\"907091e4d58acc7d12f802de2f280b7d\";s:3:\"img\";s:30:\"themeplicity_header/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:4:\"1000\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:113;a:23:{s:2:\"id\";s:3:\"115\";s:5:\"title\";s:18:\"Themeplicity Offer\";s:5:\"alias\";s:18:\"themeplicity_offer\";s:3:\"zip\";s:28:\"packs/themeplicity_offer.zip\";s:3:\"uid\";s:32:\"1bd8f9aa2f3e340449664c65ba17fb51\";s:3:\"img\";s:29:\"themeplicity_offer/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"330\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:114;a:23:{s:2:\"id\";s:3:\"116\";s:5:\"title\";s:23:\"Themeplicity What We Do\";s:5:\"alias\";s:21:\"themeplicity_whatwedo\";s:3:\"zip\";s:31:\"packs/themeplicity_whatwedo.zip\";s:3:\"uid\";s:32:\"aa800a44b5a3eab30414dde1f32bfed7\";s:3:\"img\";s:32:\"themeplicity_whatwedo/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"813\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:115;a:23:{s:2:\"id\";s:3:\"117\";s:5:\"title\";s:21:\"Themeplicity Projects\";s:5:\"alias\";s:21:\"themeplicity_projects\";s:3:\"zip\";s:31:\"packs/themeplicity_projects.zip\";s:3:\"uid\";s:32:\"5f61b3a13033ba6a51a18270163e0a50\";s:3:\"img\";s:32:\"themeplicity_projects/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"813\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:116;a:23:{s:2:\"id\";s:3:\"118\";s:5:\"title\";s:24:\"Themeplicity Whats Great\";s:5:\"alias\";s:23:\"themeplicity_whatsgreat\";s:3:\"zip\";s:33:\"packs/themeplicity_whatsgreat.zip\";s:3:\"uid\";s:32:\"ce9faf8c55ed2e33e091b23667e7173b\";s:3:\"img\";s:34:\"themeplicity_whatsgreat/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:117;a:23:{s:2:\"id\";s:3:\"119\";s:5:\"title\";s:19:\"Themeplicity Tables\";s:5:\"alias\";s:19:\"themeplicity_tables\";s:3:\"zip\";s:29:\"packs/themeplicity_tables.zip\";s:3:\"uid\";s:32:\"f28bb4cd20ec1f29a1de7da5ad09c293\";s:3:\"img\";s:30:\"themeplicity_tables/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:4:\"1059\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:118;a:23:{s:2:\"id\";s:3:\"120\";s:5:\"title\";s:24:\"Themeplicity Contactform\";s:5:\"alias\";s:24:\"themeplicity_contactform\";s:3:\"zip\";s:34:\"packs/themeplicity_contactform.zip\";s:3:\"uid\";s:32:\"3e59da970f534490774fa8e053f5b5ed\";s:3:\"img\";s:35:\"themeplicity_contactform/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:4:\"1067\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:119;a:23:{s:2:\"id\";s:3:\"121\";s:5:\"title\";s:19:\"Themeplicity Footer\";s:5:\"alias\";s:19:\"themeplicity_footer\";s:3:\"zip\";s:29:\"packs/themeplicity_footer.zip\";s:3:\"uid\";s:32:\"89eeb0b4b852c5f743e1bd76e3e8f2ef\";s:3:\"img\";s:30:\"themeplicity_footer/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"780\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"8\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:120;a:23:{s:2:\"id\";s:3:\"122\";s:5:\"title\";s:20:\"Themeplicity Package\";s:5:\"alias\";s:20:\"themeplicity-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:20:\"themeplicity-package\";s:3:\"img\";s:38:\"packages/templatepack_themeplicity.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:175:\"<span class=\"ttm_content\">The Themeplicity Website Template uses the new groups & rows feature introduced in 5.3 to its full potential.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:29:\"Themeplicity Website Template\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"5\";s:9:\"installed\";b:0;}i:121;a:23:{s:2:\"id\";s:3:\"123\";s:5:\"title\";s:19:\"Nice And Clean Menu\";s:5:\"alias\";s:17:\"NiceAndClean_Menu\";s:3:\"zip\";s:27:\"packs/NiceAndClean_Menu.zip\";s:3:\"uid\";s:32:\"3f8c01e26c7446428e045c4b1180776d\";s:3:\"img\";s:28:\"NiceAndClean_Menu/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:2:\"90\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:122;a:23:{s:2:\"id\";s:3:\"124\";s:5:\"title\";s:21:\"Nice And Clean Header\";s:5:\"alias\";s:19:\"NiceAndClean_Header\";s:3:\"zip\";s:29:\"packs/NiceAndClean_Header.zip\";s:3:\"uid\";s:32:\"76931033addb20a62557c2845a4d6a11\";s:3:\"img\";s:30:\"NiceAndClean_Header/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:123;a:23:{s:2:\"id\";s:3:\"125\";s:5:\"title\";s:23:\"Nice And Clean Services\";s:5:\"alias\";s:21:\"NiceAndClean_Services\";s:3:\"zip\";s:31:\"packs/NiceAndClean_Services.zip\";s:3:\"uid\";s:32:\"02f72ec606800c8215bcadea09624e87\";s:3:\"img\";s:32:\"NiceAndClean_Services/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"360\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:124;a:23:{s:2:\"id\";s:3:\"126\";s:5:\"title\";s:20:\"Nice And Clean About\";s:5:\"alias\";s:18:\"NiceAndClean_About\";s:3:\"zip\";s:28:\"packs/NiceAndClean_About.zip\";s:3:\"uid\";s:32:\"9510f6fdbb8e9473e8c22f692a6bc89f\";s:3:\"img\";s:29:\"NiceAndClean_About/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:125;a:23:{s:2:\"id\";s:3:\"127\";s:5:\"title\";s:20:\"Nice And Clean Video\";s:5:\"alias\";s:18:\"niceandclean_video\";s:3:\"zip\";s:28:\"packs/niceandclean_video.zip\";s:3:\"uid\";s:32:\"2bb9e1ad329435cc500542d0c7025e15\";s:3:\"img\";s:29:\"niceandclean_video/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:126;a:23:{s:2:\"id\";s:3:\"128\";s:5:\"title\";s:25:\"Nice And Clean Highlights\";s:5:\"alias\";s:23:\"niceandclean_highlights\";s:3:\"zip\";s:33:\"packs/niceandclean_highlights.zip\";s:3:\"uid\";s:32:\"ff396af163a79d2d5b35db17c1ea7aa6\";s:3:\"img\";s:34:\"niceandclean_highlights/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:127;a:23:{s:2:\"id\";s:3:\"129\";s:5:\"title\";s:23:\"Nice And Clean Projects\";s:5:\"alias\";s:21:\"NiceAndClean_Projects\";s:3:\"zip\";s:31:\"packs/NiceAndClean_Projects.zip\";s:3:\"uid\";s:32:\"1e6695959ef83f8975b52289c08a4d44\";s:3:\"img\";s:32:\"NiceAndClean_Projects/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:3:\"600\";s:6:\"height\";s:3:\"600\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:128;a:23:{s:2:\"id\";s:3:\"130\";s:5:\"title\";s:25:\"Nice And Clean TextBlocks\";s:5:\"alias\";s:23:\"niceandclean_textblocks\";s:3:\"zip\";s:33:\"packs/niceandclean_textblocks.zip\";s:3:\"uid\";s:32:\"1f33eb839c96ea3225faff1c8d382b05\";s:3:\"img\";s:34:\"niceandclean_textblocks/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:129;a:23:{s:2:\"id\";s:3:\"131\";s:5:\"title\";s:22:\"Nice And Clean CallOut\";s:5:\"alias\";s:20:\"niceandclean_callout\";s:3:\"zip\";s:30:\"packs/niceandclean_callout.zip\";s:3:\"uid\";s:32:\"54d4d9bcf79d357de0e614700e909863\";s:3:\"img\";s:31:\"niceandclean_callout/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"500\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"8\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:130;a:23:{s:2:\"id\";s:3:\"132\";s:5:\"title\";s:21:\"Nice And Clean Footer\";s:5:\"alias\";s:19:\"niceandclean_footer\";s:3:\"zip\";s:29:\"packs/niceandclean_footer.zip\";s:3:\"uid\";s:32:\"5492d7f72b3771a4e754f91bda063b15\";s:3:\"img\";s:30:\"niceandclean_footer/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"400\";s:11:\"description\";s:157:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:568:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">For using the social sharing buttons, please install the social sharing add-on.<br><br></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"9\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:131;a:20:{s:2:\"id\";s:3:\"134\";s:5:\"title\";s:15:\"80s Style Intro\";s:5:\"alias\";s:3:\"80s\";s:3:\"zip\";s:7:\"80s.zip\";s:3:\"uid\";s:32:\"98881ab51f71b2fbdb220752d321b15a\";s:3:\"img\";s:14:\"80s/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/80s-style-intro/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:139:\"<span class=\"ttm_content\">This intro hero block takes you back to the 80\'s with some funky effects.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:343:\"<span class=\"ttm_content\">This is a \"Default\" content hero slider. Just edit the slide to change the background image and text.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:132;a:20:{s:2:\"id\";s:3:\"135\";s:5:\"title\";s:18:\"Blur Effect Slider\";s:5:\"alias\";s:10:\"blurslider\";s:3:\"zip\";s:14:\"blurslider.zip\";s:3:\"uid\";s:32:\"83bd6e1ccef83f03c944fa05b0a2d879\";s:3:\"img\";s:21:\"blurslider/slide1.jpg\";s:7:\"preview\";s:53:\"https://revolution.themepunch.com/blur-effect-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:147:\"<span class=\"ttm_content\">This slider makes use of the brand new blur effects available with version 5.3.1.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:341:\"<span class=\"ttm_content\">This is a \"Default\" content slider. Just edit the slides to change the background images and texts.<br/><br/></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:133;a:20:{s:2:\"id\";s:3:\"136\";s:5:\"title\";s:18:\"Coming Soon Add-On\";s:5:\"alias\";s:15:\"ComingSoonAddon\";s:3:\"zip\";s:19:\"ComingSoonAddon.zip\";s:3:\"uid\";s:32:\"51258492055b940099eb96ba52901fa9\";s:3:\"img\";s:26:\"ComingSoonAddon/slide1.jpg\";s:7:\"preview\";s:53:\"https://revolution.themepunch.com/coming-soon-add-on/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:133:\"<span class=\"ttm_content\">This slider template makes use of the brand new Coming Soon Add-On.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:197:\"[{\"path\":\"revslider-maintenance-addon\\/revslider-maintenance-addon.php\",\"name\":\"Coming Soon & Maintenance AddOn\",\"url\":\"https:\\/\\/www.themepunch.com\\/revslider-doc\\/add-coming-soon-maintenance\\/\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:134;a:23:{s:2:\"id\";s:3:\"137\";s:5:\"title\";s:22:\"Nice And Clean Package\";s:5:\"alias\";s:22:\"nice-and-clean-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:22:\"nice-and-clean-package\";s:3:\"img\";s:38:\"packages/templatepack_niceandclean.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/nice-clean-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"800\";s:11:\"description\";s:242:\"<span class=\"ttm_content\">The Nice & Clean Website Template uses groups & rows for a fully responsive website experience. Elegant blur effects available since version 5.3.1 make this template stand out!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"Nice & Clean Template\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"6\";s:9:\"installed\";b:0;}i:135;a:20:{s:2:\"id\";s:3:\"138\";s:5:\"title\";s:18:\"Snow Effect Add-On\";s:5:\"alias\";s:9:\"snowaddon\";s:3:\"zip\";s:13:\"snowaddon.zip\";s:3:\"uid\";s:32:\"7408d8567b8af5716eaabd390422e51b\";s:3:\"img\";s:20:\"snowaddon/slide1.jpg\";s:7:\"preview\";s:53:\"https://revolution.themepunch.com/snow-effect-add-on/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.1\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:183:\"<span class=\"ttm_content\">Add a pleasant Snow Effect to your website with this slider template. Make sure to install the \"Holiday Snow\" Add-On.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:164:\"[{\"path\":\"revslider-snow-addon\\/revslider-snow-addon.php\",\"name\":\"Snow AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:136;a:20:{s:2:\"id\";s:3:\"139\";s:5:\"title\";s:19:\"Particle Effect One\";s:5:\"alias\";s:19:\"particle-effect-one\";s:3:\"zip\";s:23:\"particle-effect-one.zip\";s:3:\"uid\";s:32:\"a4611c906e35ca60f617da86217b5299\";s:3:\"img\";s:30:\"particle-effect-one/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/particle-effect-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:143:\"<span class=\"ttm_content\">A unique particle effect that can serve as a stunning intro for your website.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:468:\"<span class=\"ttm_content\">The blend mode effect is achieved through a layer image with CSS blend mode. If you want to customize this effect, select the \"BLEND MODE IMAGE\" layer and go to \"advanced style -> filters -> blend mode\".</span>\r\n<span class=\"ttm_space\"></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:137;a:20:{s:2:\"id\";s:3:\"140\";s:5:\"title\";s:19:\"Particle Effect Two\";s:5:\"alias\";s:19:\"particle-effect-two\";s:3:\"zip\";s:23:\"particle-effect-two.zip\";s:3:\"uid\";s:32:\"b8ecbf43374a69e4ab329ea834862ef8\";s:3:\"img\";s:30:\"particle-effect-two/slide1.jpg\";s:7:\"preview\";s:56:\"https://revolution.themepunch.com/particle-effect-intro/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:143:\"<span class=\"ttm_content\">A unique particle effect that can serve as a stunning intro for your website.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:138;a:20:{s:2:\"id\";s:3:\"141\";s:5:\"title\";s:21:\"Particle Effect Three\";s:5:\"alias\";s:21:\"particle-effect-three\";s:3:\"zip\";s:25:\"particle-effect-three.zip\";s:3:\"uid\";s:32:\"b33bc2c5655d8d51cd17c3740f72e748\";s:3:\"img\";s:32:\"particle-effect-three/slide1.jpg\";s:7:\"preview\";s:61:\"https://revolution.themepunch.com/particle-background-effect/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:143:\"<span class=\"ttm_content\">A unique particle effect that can serve as a stunning intro for your website.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:463:\"<span class=\"ttm_content\">The blend mode effect is achieved through a layer image with CSS blend mode. If you want to customize this effect, select the \"BLEND IMAGE\" layer and go to \"advanced style -> filters -> blend mode\".</span>\r\n<span class=\"ttm_space\"></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:139;a:20:{s:2:\"id\";s:3:\"142\";s:5:\"title\";s:16:\"Portfolio Viewer\";s:5:\"alias\";s:15:\"portfolioviewer\";s:3:\"zip\";s:19:\"portfolioviewer.zip\";s:3:\"uid\";s:32:\"9ac7230ff5b880fb6c8f28fbbc123b3b\";s:3:\"img\";s:26:\"portfolioviewer/slide1.jpg\";s:7:\"preview\";s:61:\"https://revolution.themepunch.com/wordpress-portfolio-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:207:\"<span class=\"ttm_content\">This slider template can be used to display your portfolio highlights in a stunning way, utilising out free particles add-on and blend modes.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:421:\"<span class=\"ttm_content\">The navigation for the slides is found in the <a href=\"https://www.themepunch.com/revslider-doc/second-steps/#staticlayers\" target=\"_blank\">Static Layers</a>.</span><span class=\"ttm_space\"></span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:140;a:20:{s:2:\"id\";s:3:\"143\";s:5:\"title\";s:12:\"App Showcase\";s:5:\"alias\";s:11:\"appshowcase\";s:3:\"zip\";s:15:\"appshowcase.zip\";s:3:\"uid\";s:32:\"082aef931b0369080bc30c3a2a0c331f\";s:3:\"img\";s:22:\"appshowcase/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/app-showcase-wordpress-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.3.0\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:239:\"<span class=\"ttm_content\">This template shows off our new \"Polyfold Effects\" Add-On in form of an App product showcase module. Get started now and illustrate your Apps key features in a striking way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:190:\"[{\"path\":\"revslider-polyfold-addon\\/revslider-polyfold-addon.php\",\"name\":\"Polyfold Scroll Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:141;a:20:{s:2:\"id\";s:3:\"144\";s:5:\"title\";s:19:\"Gravity Design Hero\";s:5:\"alias\";s:13:\"gravitydesign\";s:3:\"zip\";s:17:\"gravitydesign.zip\";s:3:\"uid\";s:32:\"7bdbe73a6e5bf290cb4412708ac4134d\";s:3:\"img\";s:24:\"gravitydesign/slide1.jpg\";s:7:\"preview\";s:68:\"https://revolution.themepunch.com/best-wordpress-slider-plugin-2017/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.3.1.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:205:\"<span class=\"ttm_content\">This hero template shows a striking mouse-parallax scene and cool particle effects. Requires our \"Particle Effects\" Add-on to be installed.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:142;a:20:{s:2:\"id\";s:3:\"145\";s:5:\"title\";s:14:\"404 Error Page\";s:5:\"alias\";s:12:\"404errorpage\";s:3:\"zip\";s:16:\"404errorpage.zip\";s:3:\"uid\";s:32:\"2dc62d802b42b73088651cac17d0c486\";s:3:\"img\";s:23:\"404errorpage/slide1.jpg\";s:7:\"preview\";s:58:\"https://revolution.themepunch.com/404-error-page-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.3.1.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:227:\"<span class=\"ttm_content\">This template can be used as a custom error page on your website with our new 404 page Add-On. Of course you can also use this template as a regular hero header.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:190:\"{\"1\":{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}}\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:143;a:20:{s:2:\"id\";s:3:\"146\";s:5:\"title\";s:16:\"Carousel Gallery\";s:5:\"alias\";s:15:\"carouselgallery\";s:3:\"zip\";s:19:\"carouselgallery.zip\";s:3:\"uid\";s:32:\"041838fd32923c40e15c998f0ea19526\";s:3:\"img\";s:26:\"carouselgallery/slide1.jpg\";s:7:\"preview\";s:61:\"https://revolution.themepunch.com/wordpress-carousel-gallery/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.4\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:159:\"<span class=\"ttm_content\">This carousel gallery features a subtle parallax effect, html5 video and a fullscreen button.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:144;a:20:{s:2:\"id\";s:3:\"147\";s:5:\"title\";s:16:\"Filmstrip Effect\";s:5:\"alias\";s:9:\"filmstrip\";s:3:\"zip\";s:13:\"filmstrip.zip\";s:3:\"uid\";s:32:\"7bd142f272cc15d86998a79520e9e581\";s:3:\"img\";s:20:\"filmstrip/slide1.jpg\";s:7:\"preview\";s:61:\"https://revolution.themepunch.com/filmstrip-wordpress-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.4\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">This template uses our Filmstrip Add-On to display a continuous scrolling set of images per slide.\r\n There is lots of customization options like animation speed and direction.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:191:\"[{\"path\":\"revslider-filmstrip-addon\\/revslider-filmstrip-addon.php\",\"name\":\"Background FilmStrip Add-On\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:145;a:20:{s:2:\"id\";s:3:\"148\";s:5:\"title\";s:11:\"Space Opera\";s:5:\"alias\";s:10:\"spaceopera\";s:3:\"zip\";s:14:\"spaceopera.zip\";s:3:\"uid\";s:32:\"a2c8bffcb138a86c0f373adebb6de046\";s:3:\"img\";s:21:\"spaceopera/slide1.jpg\";s:7:\"preview\";s:59:\"https://revolution.themepunch.com/space-opera-presentation/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.4\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:201:\"<span class=\"ttm_content\">The Space Opera template can be enjoyed as a slow paced, full-screen slider experience and is great to show your most prominent photos.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:146;a:20:{s:2:\"id\";s:3:\"149\";s:5:\"title\";s:13:\"Website Intro\";s:5:\"alias\";s:12:\"websiteintro\";s:3:\"zip\";s:16:\"websiteintro.zip\";s:3:\"uid\";s:32:\"348df76d999456aa19be58c9df56ae20\";s:3:\"img\";s:23:\"websiteintro/slide1.jpg\";s:7:\"preview\";s:65:\"https://revolution.themepunch.com/website-intro-wordpress-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.4\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:274:\"<span class=\"ttm_content\">Making use of our new Slicey Add-On, this slider show a really cool effect you just have to experience yourself! Just change the slides background images and the existing slices will automatically be applied.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:182:\"[{\"path\":\"revslider-slicey-addon\\/revslider-slicey-addon.php\",\"name\":\"Background Slicey Add-On\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:147;a:20:{s:2:\"id\";s:3:\"150\";s:5:\"title\";s:13:\"Mask Showcase\";s:5:\"alias\";s:12:\"maskshowcase\";s:3:\"zip\";s:16:\"maskshowcase.zip\";s:3:\"uid\";s:32:\"fc943c31e2da9c63b252aeabf554d128\";s:3:\"img\";s:23:\"maskshowcase/slide1.jpg\";s:7:\"preview\";s:56:\"https://revolution.themepunch.com/minimal-mask-showcase/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.4\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:187:\"<span class=\"ttm_content\">The Mask Showcase template uses gradients and the amazing block layer animations. A minimal slider treat for any website!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:148;a:20:{s:2:\"id\";s:3:\"151\";s:5:\"title\";s:20:\"Parallax Zoom Slices\";s:5:\"alias\";s:18:\"parallaxzoomslices\";s:3:\"zip\";s:22:\"parallaxzoomslices.zip\";s:3:\"uid\";s:32:\"83537cae05709ddb9bcb7375470a5894\";s:3:\"img\";s:29:\"parallaxzoomslices/slide1.jpg\";s:7:\"preview\";s:72:\"https://revolution.themepunch.com/parallax-zoom-slices-wordpress-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:3:\"5.4\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:249:\"<span class=\"ttm_content\">This template uses the Slicey Add-On to add a unique effect to slide background images. You can simple change the background images and the slice effect will automatically be applied.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:182:\"[{\"path\":\"revslider-slicey-addon\\/revslider-slicey-addon.php\",\"name\":\"Background Slicey Add-On\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:149;a:20:{s:2:\"id\";s:3:\"152\";s:5:\"title\";s:22:\"Double Exposure Effect\";s:5:\"alias\";s:20:\"doubleexposureeffect\";s:3:\"zip\";s:24:\"doubleexposureeffect.zip\";s:3:\"uid\";s:32:\"8d9229b5cbcf5bda5fbdc6a8e01a2b8c\";s:3:\"img\";s:31:\"doubleexposureeffect/slide1.jpg\";s:7:\"preview\";s:67:\"https://revolution.themepunch.com/wordpress-double-exposure-effect/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:175:\"<span class=\"ttm_content\">Make any website special with the double exposure effect slider. Use as a header module or anywhere you want!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:150;a:20:{s:2:\"id\";s:3:\"153\";s:5:\"title\";s:24:\"Mountain Parallax Header\";s:5:\"alias\";s:22:\"mountainparallaxheader\";s:3:\"zip\";s:26:\"mountainparallaxheader.zip\";s:3:\"uid\";s:32:\"8dc64663f317a2abdf179bbe341d016e\";s:3:\"img\";s:33:\"mountainparallaxheader/slide1.jpg\";s:7:\"preview\";s:69:\"https://revolution.themepunch.com/mountain-wordpress-parallax-header/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:192:\"<span class=\"ttm_content\">This template is a cool intro for any page, featuring a striking parallax effect. Just change texts and links and you\'re done!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:151;a:23:{s:2:\"id\";s:3:\"154\";s:5:\"title\";s:26:\"GoodNews One-Pager Package\";s:5:\"alias\";s:26:\"goodnews-one-pager-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:26:\"goodnews-one-pager-package\";s:3:\"img\";s:44:\"packages/templatepack_goodnews_one_pager.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:3:{i:0;s:8:\"carousel\";i:1;s:6:\"slider\";i:2;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:152;a:23:{s:2:\"id\";s:3:\"155\";s:5:\"title\";s:13:\"GoodNews Menu\";s:5:\"alias\";s:12:\"goodnewsmenu\";s:3:\"zip\";s:22:\"packs/goodnewsmenu.zip\";s:3:\"uid\";s:32:\"4cbc82501ff340fcdc0acf7eb3ba2640\";s:3:\"img\";s:23:\"goodnewsmenu/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:158:\"<span class=\"ttm_content\">You can use this slider as a module on your website or install it as part of a slider pack. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:153;a:23:{s:2:\"id\";s:3:\"156\";s:5:\"title\";s:15:\"GoodNews Header\";s:5:\"alias\";s:14:\"goodnewsheader\";s:3:\"zip\";s:24:\"packs/goodnewsheader.zip\";s:3:\"uid\";s:32:\"c6660b6bdbf596f38466f569596f5259\";s:3:\"img\";s:25:\"goodnewsheader/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:154;a:23:{s:2:\"id\";s:3:\"157\";s:5:\"title\";s:18:\"GoodNews Whats Hot\";s:5:\"alias\";s:16:\"goodnewswhatshot\";s:3:\"zip\";s:26:\"packs/goodnewswhatshot.zip\";s:3:\"uid\";s:32:\"cb841ce64a99a6644adab049cf5405cd\";s:3:\"img\";s:27:\"goodnewswhatshot/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:155;a:23:{s:2:\"id\";s:3:\"158\";s:5:\"title\";s:17:\"GoodNews Featured\";s:5:\"alias\";s:16:\"goodnewsfeatured\";s:3:\"zip\";s:26:\"packs/goodnewsfeatured.zip\";s:3:\"uid\";s:32:\"00bde4b09e3700da7183999eaf137ccc\";s:3:\"img\";s:27:\"goodnewsfeatured/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:156;a:23:{s:2:\"id\";s:3:\"159\";s:5:\"title\";s:18:\"GoodNews Spotlight\";s:5:\"alias\";s:17:\"goodnewsspotlight\";s:3:\"zip\";s:27:\"packs/goodnewsspotlight.zip\";s:3:\"uid\";s:32:\"138076241a828e1c5764379944755f2b\";s:3:\"img\";s:28:\"goodnewsspotlight/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:157;a:23:{s:2:\"id\";s:3:\"160\";s:5:\"title\";s:17:\"GoodNews Carousel\";s:5:\"alias\";s:16:\"goodnewscarousel\";s:3:\"zip\";s:26:\"packs/goodnewscarousel.zip\";s:3:\"uid\";s:32:\"d29d4460a6015e30d08d2714232d3768\";s:3:\"img\";s:27:\"goodnewscarousel/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:8:\"carousel\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:158;a:23:{s:2:\"id\";s:3:\"161\";s:5:\"title\";s:16:\"GoodNews Callout\";s:5:\"alias\";s:15:\"goodnewscallout\";s:3:\"zip\";s:25:\"packs/goodnewscallout.zip\";s:3:\"uid\";s:32:\"d9568b3193e96577fae630b3a6728785\";s:3:\"img\";s:26:\"goodnewscallout/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:159;a:23:{s:2:\"id\";s:3:\"162\";s:5:\"title\";s:15:\"GoodNews Footer\";s:5:\"alias\";s:14:\"goodnewsfooter\";s:3:\"zip\";s:24:\"packs/goodnewsfooter.zip\";s:3:\"uid\";s:32:\"34f43f891cb8d55375149dc4bbc38298\";s:3:\"img\";s:25:\"goodnewsfooter/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"GoodNews One-Pager\";s:13:\"package_order\";s:1:\"8\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"7\";s:9:\"installed\";b:0;}i:160;a:23:{s:2:\"id\";s:3:\"163\";s:5:\"title\";s:29:\"GoodNews Content Page Package\";s:5:\"alias\";s:29:\"goodnews-content-page-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:29:\"goodnews-content-page-package\";s:3:\"img\";s:55:\"packages/templatepack_goodnews_content_page_package.jpg\";s:7:\"preview\";s:78:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme-content/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"GoodNews Content Page\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"8\";s:9:\"installed\";b:0;}i:161;a:23:{s:2:\"id\";s:3:\"164\";s:5:\"title\";s:18:\"GoodNews Menu Back\";s:5:\"alias\";s:16:\"goodnewsmenuback\";s:3:\"zip\";s:26:\"packs/goodnewsmenuback.zip\";s:3:\"uid\";s:32:\"1340d1aeefba497a7d404d12a1fceed4\";s:3:\"img\";s:27:\"goodnewsmenuback/slide1.jpg\";s:7:\"preview\";s:78:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme-content/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"GoodNews Content Page\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"8\";s:9:\"installed\";b:0;}i:162;a:23:{s:2:\"id\";s:3:\"165\";s:5:\"title\";s:20:\"GoodNews Blog Header\";s:5:\"alias\";s:18:\"goodnewsblogheader\";s:3:\"zip\";s:28:\"packs/goodnewsblogheader.zip\";s:3:\"uid\";s:32:\"abc4d7c1e48475c6def05f1f6d8bf564\";s:3:\"img\";s:29:\"goodnewsblogheader/slide1.jpg\";s:7:\"preview\";s:78:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme-content/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"GoodNews Content Page\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"8\";s:9:\"installed\";b:0;}i:163;a:23:{s:2:\"id\";s:3:\"166\";s:5:\"title\";s:21:\"GoodNews Blog Content\";s:5:\"alias\";s:19:\"goodnewsblogcontent\";s:3:\"zip\";s:29:\"packs/goodnewsblogcontent.zip\";s:3:\"uid\";s:32:\"bbf34563da6db2779c29599b503b07e9\";s:3:\"img\";s:30:\"goodnewsblogcontent/slide1.jpg\";s:7:\"preview\";s:78:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme-content/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"GoodNews Content Page\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"8\";s:9:\"installed\";b:0;}i:164;a:23:{s:2:\"id\";s:3:\"167\";s:5:\"title\";s:21:\"GoodNews Testimonials\";s:5:\"alias\";s:20:\"goodnewstestimonials\";s:3:\"zip\";s:30:\"packs/goodnewstestimonials.zip\";s:3:\"uid\";s:32:\"606b7336e86f69c567542d3f43712b56\";s:3:\"img\";s:31:\"goodnewstestimonials/slide1.jpg\";s:7:\"preview\";s:78:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme-content/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"GoodNews Content Page\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"8\";s:9:\"installed\";b:0;}i:165;a:23:{s:2:\"id\";s:3:\"168\";s:5:\"title\";s:20:\"GoodNews Blog Footer\";s:5:\"alias\";s:18:\"goodnewsblogfooter\";s:3:\"zip\";s:28:\"packs/goodnewsblogfooter.zip\";s:3:\"uid\";s:32:\"1fb88aecfb116fde67ce8d52bd3b5f05\";s:3:\"img\";s:29:\"goodnewsblogfooter/slide1.jpg\";s:7:\"preview\";s:78:\"https://revolution.themepunch.com/goodnews-responsive-wordpress-theme-content/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:268:\"<span class=\"ttm_content\">The GoodNews One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:21:\"GoodNews Content Page\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"8\";s:9:\"installed\";b:0;}i:166;a:20:{s:2:\"id\";s:3:\"169\";s:5:\"title\";s:19:\"Before After Slider\";s:5:\"alias\";s:17:\"beforeafterslider\";s:3:\"zip\";s:21:\"beforeafterslider.zip\";s:3:\"uid\";s:32:\"6e615091a1fc3037c24b985ce5136fb2\";s:3:\"img\";s:28:\"beforeafterslider/slide1.jpg\";s:7:\"preview\";s:54:\"https://revolution.themepunch.com/before-after-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.3.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:201:\"<span class=\"ttm_content\">This is the example slider for our Before / After Add-On that allows you to create unique presentations with a comparing functionality.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:358:\"<span class=\"ttm_content\">How to install <a href=\"https://revolution.themepunch.com/direct-customer-benefits/#addoninstall\" target=\"_blank\">Add-Ons</a>.</span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-beforeafter-addon\\/revslider-beforeafter-addon.php\",\"name\":\"Before After AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:167;a:20:{s:2:\"id\";s:3:\"170\";s:5:\"title\";s:16:\"Product Showcase\";s:5:\"alias\";s:15:\"productshowcase\";s:3:\"zip\";s:19:\"productshowcase.zip\";s:3:\"uid\";s:32:\"a43447670260aaa7e8ff66cedfddb57a\";s:3:\"img\";s:26:\"productshowcase/slide1.jpg\";s:7:\"preview\";s:68:\"https://revolution.themepunch.com/wordpress-product-showcase-slider/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:165:\"<span class=\"ttm_content\">Looking to sell products effectively? Our product showcase slider is just what you are looking for!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:168;a:20:{s:2:\"id\";s:3:\"171\";s:5:\"title\";s:23:\"Overexposure Transition\";s:5:\"alias\";s:22:\"overexposuretransition\";s:3:\"zip\";s:26:\"overexposuretransition.zip\";s:3:\"uid\";s:32:\"13f16bbe6c6d646c7d0cb817a0d3d181\";s:3:\"img\";s:33:\"overexposuretransition/slide1.jpg\";s:7:\"preview\";s:65:\"https://revolution.themepunch.com/overexposure-transition-effect/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:155:\"<span class=\"ttm_content\">Subtle overexposure transitions and smooth color fade effects make this slider stand out.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:358:\"<span class=\"ttm_content\">How to install <a href=\"https://revolution.themepunch.com/direct-customer-benefits/#addoninstall\" target=\"_blank\">Add-Ons</a>.</span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:169;a:20:{s:2:\"id\";s:3:\"172\";s:5:\"title\";s:15:\"Parallax Scroll\";s:5:\"alias\";s:14:\"parallaxscroll\";s:3:\"zip\";s:18:\"parallaxscroll.zip\";s:3:\"uid\";s:32:\"82546ee2f6af6c6682852f495109b3c3\";s:3:\"img\";s:25:\"parallaxscroll/slide1.jpg\";s:7:\"preview\";s:50:\"https://revolution.themepunch.com/parallax-scroll/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.5\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:148:\"<span class=\"ttm_content\">A strikingly colourful header for your website with super smooth parallax effects.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:170;a:23:{s:2:\"id\";s:3:\"173\";s:5:\"title\";s:24:\"TechCo One-Pager Package\";s:5:\"alias\";s:24:\"techco-one-pager-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:24:\"techco-one-pager-package\";s:3:\"img\";s:28:\"packages/techco_overview.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:4:\"hero\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:171;a:23:{s:2:\"id\";s:3:\"174\";s:5:\"title\";s:11:\"TechCo Menu\";s:5:\"alias\";s:11:\"techco-menu\";s:3:\"zip\";s:21:\"packs/techco-menu.zip\";s:3:\"uid\";s:32:\"55e5efee828cdf1ff7e2d3b90a301ea9\";s:3:\"img\";s:22:\"techco-menu/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:172;a:23:{s:2:\"id\";s:3:\"175\";s:5:\"title\";s:13:\"TechCo Header\";s:5:\"alias\";s:13:\"techco-header\";s:3:\"zip\";s:23:\"packs/techco-header.zip\";s:3:\"uid\";s:32:\"fb574d1376de9b1e408c91f51e6497d7\";s:3:\"img\";s:24:\"techco-header/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:173;a:23:{s:2:\"id\";s:3:\"176\";s:5:\"title\";s:12:\"TechCo About\";s:5:\"alias\";s:12:\"techco-about\";s:3:\"zip\";s:22:\"packs/techco-about.zip\";s:3:\"uid\";s:32:\"ba216da8231e55118d87e37d2358812c\";s:3:\"img\";s:23:\"techco-about/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:174;a:23:{s:2:\"id\";s:3:\"177\";s:5:\"title\";s:15:\"TechCo Services\";s:5:\"alias\";s:15:\"techco-services\";s:3:\"zip\";s:25:\"packs/techco-services.zip\";s:3:\"uid\";s:32:\"ef4a8ddbb5e1136133f7bc1227248e22\";s:3:\"img\";s:26:\"techco-services/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:175;a:23:{s:2:\"id\";s:3:\"178\";s:5:\"title\";s:12:\"TechCo Video\";s:5:\"alias\";s:12:\"techco-video\";s:3:\"zip\";s:22:\"packs/techco-video.zip\";s:3:\"uid\";s:32:\"d7bb92281d05f39f9bc9eca71f90e402\";s:3:\"img\";s:23:\"techco-video/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:176;a:23:{s:2:\"id\";s:3:\"179\";s:5:\"title\";s:13:\"TechCo Prices\";s:5:\"alias\";s:13:\"techco-prices\";s:3:\"zip\";s:23:\"packs/techco-prices.zip\";s:3:\"uid\";s:32:\"6291f404efbea12bb181352aba71ef11\";s:3:\"img\";s:24:\"techco-prices/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:177;a:23:{s:2:\"id\";s:3:\"180\";s:5:\"title\";s:19:\"TechCo Testimonials\";s:5:\"alias\";s:19:\"techco-testimonials\";s:3:\"zip\";s:29:\"packs/techco-testimonials.zip\";s:3:\"uid\";s:32:\"3460bd51f6b80599266fecb7fbb918be\";s:3:\"img\";s:30:\"techco-testimonials/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:178;a:23:{s:2:\"id\";s:3:\"181\";s:5:\"title\";s:13:\"TechCo Footer\";s:5:\"alias\";s:13:\"techco-footer\";s:3:\"zip\";s:23:\"packs/techco-footer.zip\";s:3:\"uid\";s:32:\"640abcd549137520461a4a71ff758a3b\";s:3:\"img\";s:24:\"techco-footer/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/techco-one-page-wordpress-theme/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:266:\"<span class=\"ttm_content\">The TechCo One-Pager template pack is a fantastic solution if you want to get a simple website going fast. Use all modules at once as seen in the preview or pick individual modules for usage anywhere!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:16:\"TechCo One-Pager\";s:13:\"package_order\";s:1:\"8\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:1:\"9\";s:9:\"installed\";b:0;}i:179;a:20:{s:2:\"id\";s:3:\"182\";s:5:\"title\";s:12:\"Live Weather\";s:5:\"alias\";s:7:\"weather\";s:3:\"zip\";s:11:\"weather.zip\";s:3:\"uid\";s:32:\"aab92e69374e4c7b8c6741fe02e574b9\";s:3:\"img\";s:18:\"weather/slide1.jpg\";s:7:\"preview\";s:64:\"https://revolution.themepunch.com/wordpress-live-weather-add-on/\";s:7:\"version\";s:5:\"1.0.1\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:173:\"<span class=\"ttm_content\">Showcasing our weather add-on, this slider show a different cities temperatures and forecast on each slide.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:179:\"[{\"path\":\"revslider-weather-addon\\/revslider-weather-addon.php\",\"name\":\"Live Weather Add-On\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:180;a:20:{s:2:\"id\";s:3:\"183\";s:5:\"title\";s:17:\"360 Panorama Tour\";s:5:\"alias\";s:11:\"360panorama\";s:3:\"zip\";s:15:\"360panorama.zip\";s:3:\"uid\";s:32:\"332720fdacdbb38f65e8327a2a96c52d\";s:3:\"img\";s:22:\"360panorama/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/360-degree-real-estate-virtual-tour/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:7:\"5.4.5.2\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:155:\"<span class=\"ttm_content\">An example template for our Panorama 360 tour add-on, created for the real estate market.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:176:\"[{\"path\":\"revslider-panorama-addon\\/revslider-panorama-addon.php\",\"name\":\"Panorama AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:181;a:20:{s:2:\"id\";s:3:\"184\";s:5:\"title\";s:14:\"Duotone Add-on\";s:5:\"alias\";s:14:\"duotone-add-on\";s:3:\"zip\";s:18:\"duotone-add-on.zip\";s:3:\"uid\";s:32:\"a428c6f363b3146e96d20a6f44958922\";s:3:\"img\";s:25:\"duotone-add-on/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/wordpress-duotone-effect-add-on/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:168:\"<span class=\"ttm_content\">This example template showcases 3 of the 30 Duotone filters available in our brand new Duotone Add-On.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:372:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"},{\"path\":\"revslider-duotonefilters-addon\\/revslider-duotonefilters-addon.php\",\"name\":\"Duotone AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:182;a:20:{s:2:\"id\";s:3:\"185\";s:5:\"title\";s:13:\"Reveal Add-on\";s:5:\"alias\";s:13:\"reveal-add-on\";s:3:\"zip\";s:17:\"reveal-add-on.zip\";s:3:\"uid\";s:32:\"7fa7525d8ff7fa7365cb98a437e88e32\";s:3:\"img\";s:24:\"reveal-add-on/slide1.jpg\";s:7:\"preview\";s:66:\"https://revolution.themepunch.com/wordpress-content-reveal-effect/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:204:\"<span class=\"ttm_content\">An example template that uses our Reveal Add-On, which adds 14 new preloaders combined with reveal loading effects for any slider or hero.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:359:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"},{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:201;a:20:{s:2:\"id\";s:3:\"210\";s:5:\"title\";s:21:\"Cryptocurrency Prices\";s:5:\"alias\";s:12:\"cryptoslider\";s:3:\"zip\";s:16:\"cryptoslider.zip\";s:3:\"uid\";s:32:\"c4b02210387f11946223977e940d9e9e\";s:3:\"img\";s:23:\"cryptoslider/slide1.jpg\";s:7:\"preview\";s:95:\"https://revolution.themepunch.com/cryptocurrency-wordpress-price-api-bitcoin-ethereum-litecoin/\";s:7:\"version\";s:5:\"1.0.2\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"900\";s:11:\"description\";s:209:\"<span class=\"ttm_content\">This Template can show live, animated cryptocurrency prices. More than 1300 currencies are supported, getting prices via the cryptocompare API.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:436:\"<span class=\"ttm_content\">Please refer to the \"Custom JavaScript\" section of this sliders settings, for info on how to modify currencies. Provide a class to the row / column / group where the currency text elements are located in.</span>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:202;a:23:{s:2:\"id\";s:3:\"211\";s:5:\"title\";s:18:\"Immersion One Page\";s:5:\"alias\";s:26:\"immersion-one-page-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:26:\"immersion-one-page-package\";s:3:\"img\";s:31:\"packages/immersion_overview.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:2:{i:0;s:6:\"slider\";i:1;s:4:\"hero\";}s:14:\"plugin_require\";s:351:\"[{\"path\":\"revslider-typewriter-addon\\/revslider-typewriter-addon.php\",\"name\":\"Typewriter AddOn\",\"url\":\"https:\\/\\/www.themepunch.com\\/revslider-doc\\/add-on-typewriter\\/\"},{\"path\":\"revslider-slicey-addon\\/revslider-slicey-addon.php\",\"name\":\"Background Slicey Add-On\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:203;a:23:{s:2:\"id\";s:3:\"212\";s:5:\"title\";s:16:\"Immersion Header\";s:5:\"alias\";s:16:\"immersion_header\";s:3:\"zip\";s:26:\"packs/immersion_header.zip\";s:3:\"uid\";s:32:\"853da51256308b341ecd030bd4883229\";s:3:\"img\";s:27:\"immersion_header/slide1.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:170:\"[{\"path\":\"revslider-typewriter-addon\\/revslider-typewriter-addon.php\",\"name\":\"Typewriter AddOn\",\"url\":\"https:\\/\\/www.themepunch.com\\/revslider-doc\\/add-on-typewriter\\/\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:204;a:23:{s:2:\"id\";s:3:\"213\";s:5:\"title\";s:19:\"Immersion Mountains\";s:5:\"alias\";s:19:\"immersion-mountains\";s:3:\"zip\";s:29:\"packs/immersion-mountains.zip\";s:3:\"uid\";s:32:\"817167eb3fe22b7e065ba210cbe6d53c\";s:3:\"img\";s:30:\"immersion-mountains/slide1.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:182:\"[{\"path\":\"revslider-slicey-addon\\/revslider-slicey-addon.php\",\"name\":\"Background Slicey Add-On\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:205;a:23:{s:2:\"id\";s:3:\"214\";s:5:\"title\";s:17:\"Immersion Product\";s:5:\"alias\";s:17:\"immersion-product\";s:3:\"zip\";s:27:\"packs/immersion-product.zip\";s:3:\"uid\";s:32:\"64134f263484d2bbcd7ef088ffbbfb4b\";s:3:\"img\";s:28:\"immersion-product/slide1.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:206;a:23:{s:2:\"id\";s:3:\"215\";s:5:\"title\";s:16:\"Immersion Design\";s:5:\"alias\";s:16:\"immersion-design\";s:3:\"zip\";s:26:\"packs/immersion-design.zip\";s:3:\"uid\";s:32:\"91e1d77c1a2826438763804f4d02bc26\";s:3:\"img\";s:27:\"immersion-design/slide1.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:207;a:23:{s:2:\"id\";s:3:\"216\";s:5:\"title\";s:22:\"Immersion Phototgraphy\";s:5:\"alias\";s:21:\"immersion-photography\";s:3:\"zip\";s:31:\"packs/immersion-photography.zip\";s:3:\"uid\";s:32:\"e3ddf0c577b09740f5cbf2e38ffd684d\";s:3:\"img\";s:32:\"immersion-photography/slide1.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:208;a:23:{s:2:\"id\";s:3:\"217\";s:5:\"title\";s:14:\"Immersion Grid\";s:5:\"alias\";s:14:\"immersion-grid\";s:3:\"zip\";s:24:\"packs/immersion-grid.zip\";s:3:\"uid\";s:32:\"b6903868189bb83b2c7a852fde3a7dc3\";s:3:\"img\";s:25:\"immersion-grid/slide1.jpg\";s:7:\"preview\";s:74:\"https://revolution.themepunch.com/immersion-wordpress-one-page-theme-2018/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:292:\"<span class=\"ttm_content\">The Immersion WordPress one page theme is a great fit if you quickly want to setup a visually oriented one page website. Using the power of Slider Revolution, we added some interesting effects like slicing and smooth parallax.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Immersion One Page\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"10\";s:9:\"installed\";b:0;}i:209;a:20:{s:2:\"id\";s:3:\"218\";s:5:\"title\";s:18:\"Funky Intro Slider\";s:5:\"alias\";s:11:\"funkyslider\";s:3:\"zip\";s:15:\"funkyslider.zip\";s:3:\"uid\";s:32:\"2d4187e3fdad19b976be335253c8925d\";s:3:\"img\";s:22:\"funkyslider/slide1.jpg\";s:7:\"preview\";s:70:\"https://revolution.themepunch.com/funky-intro-slider-wordpress-plugin/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:200:\"<span class=\"ttm_content\">This funky intro slider fits just right if you need a striking introduction to your website! Sleek, beautiful and easily customizable!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:343:\"[{\"path\":\"revslider-typewriter-addon\\/revslider-typewriter-addon.php\",\"name\":\"Typewriter AddOn\",\"url\":\"https:\\/\\/www.themepunch.com\\/revslider-doc\\/add-on-typewriter\\/\"},{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:210;a:23:{s:2:\"id\";s:3:\"219\";s:5:\"title\";s:19:\"Clear View Magazine\";s:5:\"alias\";s:27:\"clear-view-magazine-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:27:\"clear-view-magazine-package\";s:3:\"img\";s:41:\"packages/clear_view_magazine_overview.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";s:174:\"[{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:211;a:23:{s:2:\"id\";s:3:\"220\";s:5:\"title\";s:15:\"Clear View Menu\";s:5:\"alias\";s:14:\"clearview_menu\";s:3:\"zip\";s:24:\"packs/clearview_menu.zip\";s:3:\"uid\";s:32:\"eaecee5fa5f3c3a7f4d2a96c4616a353\";s:3:\"img\";s:25:\"clearview_menu/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:212;a:23:{s:2:\"id\";s:3:\"221\";s:5:\"title\";s:17:\"Clear View Header\";s:5:\"alias\";s:16:\"clearview_header\";s:3:\"zip\";s:26:\"packs/clearview_header.zip\";s:3:\"uid\";s:32:\"25e3dd80ad130875d7438a07952cb0cd\";s:3:\"img\";s:27:\"clearview_header/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:174:\"[{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:213;a:23:{s:2:\"id\";s:3:\"222\";s:5:\"title\";s:18:\"Clear View Mission\";s:5:\"alias\";s:17:\"clearview_mission\";s:3:\"zip\";s:27:\"packs/clearview_mission.zip\";s:3:\"uid\";s:32:\"35b2092a49fd2beb549342e69097eb5b\";s:3:\"img\";s:28:\"clearview_mission/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:214;a:23:{s:2:\"id\";s:3:\"223\";s:5:\"title\";s:17:\"Clear View Slider\";s:5:\"alias\";s:17:\"clear-view-slider\";s:3:\"zip\";s:27:\"packs/clear-view-slider.zip\";s:3:\"uid\";s:32:\"d2e17edffce16ed78c54b0ef23fd7e05\";s:3:\"img\";s:28:\"clear-view-slider/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:215;a:23:{s:2:\"id\";s:3:\"224\";s:5:\"title\";s:15:\"Clear View News\";s:5:\"alias\";s:15:\"clear-view-news\";s:3:\"zip\";s:25:\"packs/clear-view-news.zip\";s:3:\"uid\";s:32:\"5698d3131ba141e9afcfd2906739dd00\";s:3:\"img\";s:26:\"clear-view-news/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:216;a:23:{s:2:\"id\";s:3:\"225\";s:5:\"title\";s:18:\"Clear View Clients\";s:5:\"alias\";s:18:\"clear-view-clients\";s:3:\"zip\";s:28:\"packs/clear-view-clients.zip\";s:3:\"uid\";s:32:\"b95616a94832e22bdfac5ce60232be1b\";s:3:\"img\";s:29:\"clear-view-clients/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:217;a:23:{s:2:\"id\";s:3:\"226\";s:5:\"title\";s:18:\"Clear View Contact\";s:5:\"alias\";s:18:\"clear-view-contact\";s:3:\"zip\";s:28:\"packs/clear-view-contact.zip\";s:3:\"uid\";s:32:\"0e0cc1d8f6f6500e5f8a2b091fa3b4cb\";s:3:\"img\";s:29:\"clear-view-contact/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-minimal-magazine-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:19:\"Clear View Magazine\";s:13:\"package_order\";s:1:\"7\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"11\";s:9:\"installed\";b:0;}i:218;a:23:{s:2:\"id\";s:3:\"227\";s:5:\"title\";s:20:\"Clear View Post Page\";s:5:\"alias\";s:28:\"clear-view-post-page-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:28:\"clear-view-post-page-package\";s:3:\"img\";s:42:\"packages/clear_view_post_page_overview.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-single-post-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";s:174:\"[{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:20:\"Clear View Post Page\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"12\";s:9:\"installed\";b:0;}i:219;a:23:{s:2:\"id\";s:3:\"228\";s:5:\"title\";s:22:\"Clear View Single Menu\";s:5:\"alias\";s:22:\"clear-view-single-menu\";s:3:\"zip\";s:32:\"packs/clear-view-single-menu.zip\";s:3:\"uid\";s:32:\"1e80f81982f8a4ea763482d4fa99d321\";s:3:\"img\";s:33:\"clear-view-single-menu/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-single-post-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:20:\"Clear View Post Page\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"12\";s:9:\"installed\";b:0;}i:220;a:23:{s:2:\"id\";s:3:\"229\";s:5:\"title\";s:24:\"Clear View Single Header\";s:5:\"alias\";s:24:\"clear-view-single-header\";s:3:\"zip\";s:34:\"packs/clear-view-single-header.zip\";s:3:\"uid\";s:32:\"c8d717627be6cd5e70922ab609694dbf\";s:3:\"img\";s:35:\"clear-view-single-header/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-single-post-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:174:\"[{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:20:\"Clear View Post Page\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"12\";s:9:\"installed\";b:0;}i:221;a:23:{s:2:\"id\";s:3:\"230\";s:5:\"title\";s:23:\"Clear View Single Media\";s:5:\"alias\";s:23:\"clear-view-single-media\";s:3:\"zip\";s:33:\"packs/clear-view-single-media.zip\";s:3:\"uid\";s:32:\"c480368ded2a64f0cdd44f1674213814\";s:3:\"img\";s:34:\"clear-view-single-media/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-single-post-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:20:\"Clear View Post Page\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"12\";s:9:\"installed\";b:0;}i:222;a:23:{s:2:\"id\";s:3:\"231\";s:5:\"title\";s:22:\"Clear View Single More\";s:5:\"alias\";s:22:\"clear-view-single-more\";s:3:\"zip\";s:32:\"packs/clear-view-single-more.zip\";s:3:\"uid\";s:32:\"9c693190df26218366d1f77e10cf550a\";s:3:\"img\";s:33:\"clear-view-single-more/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-single-post-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:20:\"Clear View Post Page\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"12\";s:9:\"installed\";b:0;}i:223;a:23:{s:2:\"id\";s:3:\"232\";s:5:\"title\";s:25:\"Clear View Single Contact\";s:5:\"alias\";s:25:\"clear-view-single-contact\";s:3:\"zip\";s:35:\"packs/clear-view-single-contact.zip\";s:3:\"uid\";s:32:\"73c0a889f2b654a87b5aba1ff76fbc5c\";s:3:\"img\";s:36:\"clear-view-single-contact/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/clear-view-single-post-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.6\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:196:\"<span class=\"ttm_content\">The Clear View Minimal Magazine WordPress Template is a full Slider Revolution module arrangement with fully customizable content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:20:\"Clear View Post Page\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"12\";s:9:\"installed\";b:0;}i:224;a:20:{s:2:\"id\";s:3:\"233\";s:5:\"title\";s:18:\"Clean Landing Page\";s:5:\"alias\";s:16:\"cleanlandingpage\";s:3:\"zip\";s:20:\"cleanlandingpage.zip\";s:3:\"uid\";s:32:\"727a3680d312f22c6a5998ebdb9afe52\";s:3:\"img\";s:27:\"cleanlandingpage/slide1.jpg\";s:7:\"preview\";s:67:\"https://revolution.themepunch.com/clean-landing-page-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:203:\"<span class=\"ttm_content\">The Clean Landing Page is a fullscreen Intro Module that is a striking introduction to any minimal website, with no unnecessary elements.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:170:\"[{\"path\":\"revslider-typewriter-addon\\/revslider-typewriter-addon.php\",\"name\":\"Typewriter AddOn\",\"url\":\"https:\\/\\/www.themepunch.com\\/revslider-doc\\/add-on-typewriter\\/\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:225;a:20:{s:2:\"id\";s:3:\"234\";s:5:\"title\";s:9:\"Clear Cut\";s:5:\"alias\";s:8:\"clearcut\";s:3:\"zip\";s:12:\"clearcut.zip\";s:3:\"uid\";s:32:\"07f43c00e9b4d3057a03cdb3385ad2b7\";s:3:\"img\";s:19:\"clearcut/slide1.jpg\";s:7:\"preview\";s:76:\"https://revolution.themepunch.com/clear-cut-portfolio-website-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:240:\"<span class=\"ttm_content\">The Clear Cut Template is an All-In-One Portfolio Website solution that works best for smaller portfolios. Highlight your best work in a striking and mobile friendly fashion!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:226;a:23:{s:2:\"id\";s:3:\"235\";s:5:\"title\";s:22:\"Wonderstruck One-Pager\";s:5:\"alias\";s:30:\"wonderstruck-one-pager-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:30:\"wonderstruck-one-pager-package\";s:3:\"img\";s:44:\"packages/wonderstruck-one-pager-overview.jpg\";s:7:\"preview\";s:77:\"https://revolution.themepunch.com/wonderstruck-one-page-website-for-wordpress\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">The Wonderstruck One-Pager Template is a clean, colorful way to showcase your portfolio online. Just install, change the content and you have a mobile ready online experience!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:22:\"Wonderstruck One-Pager\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"13\";s:9:\"installed\";b:0;}i:227;a:23:{s:2:\"id\";s:3:\"236\";s:5:\"title\";s:17:\"Wonderstruck Menu\";s:5:\"alias\";s:17:\"wonderstruck_menu\";s:3:\"zip\";s:27:\"packs/wonderstruck_menu.zip\";s:3:\"uid\";s:32:\"0a976e9aaae59c4f795b38f59f5a08d8\";s:3:\"img\";s:28:\"wonderstruck_menu/slide1.jpg\";s:7:\"preview\";s:77:\"https://revolution.themepunch.com/wonderstruck-one-page-website-for-wordpress\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">The Wonderstruck One-Pager Template is a clean, colorful way to showcase your portfolio online. Just install, change the content and you have a mobile ready online experience!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:22:\"Wonderstruck One-Pager\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"13\";s:9:\"installed\";b:0;}i:228;a:23:{s:2:\"id\";s:3:\"237\";s:5:\"title\";s:19:\"Wonderstruck Header\";s:5:\"alias\";s:19:\"wonderstruck_header\";s:3:\"zip\";s:29:\"packs/wonderstruck_header.zip\";s:3:\"uid\";s:32:\"e1379f77a902960a0ce12d44d85a9e0a\";s:3:\"img\";s:30:\"wonderstruck_header/slide1.jpg\";s:7:\"preview\";s:77:\"https://revolution.themepunch.com/wonderstruck-one-page-website-for-wordpress\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">The Wonderstruck One-Pager Template is a clean, colorful way to showcase your portfolio online. Just install, change the content and you have a mobile ready online experience!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:22:\"Wonderstruck One-Pager\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"13\";s:9:\"installed\";b:0;}i:229;a:23:{s:2:\"id\";s:3:\"238\";s:5:\"title\";s:18:\"Wonderstruck About\";s:5:\"alias\";s:18:\"wonderstruck_about\";s:3:\"zip\";s:28:\"packs/wonderstruck_about.zip\";s:3:\"uid\";s:32:\"d207fb140fd328acc3038300ea52082a\";s:3:\"img\";s:29:\"wonderstruck_about/slide1.jpg\";s:7:\"preview\";s:77:\"https://revolution.themepunch.com/wonderstruck-one-page-website-for-wordpress\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">The Wonderstruck One-Pager Template is a clean, colorful way to showcase your portfolio online. Just install, change the content and you have a mobile ready online experience!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:22:\"Wonderstruck One-Pager\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"13\";s:9:\"installed\";b:0;}i:230;a:23:{s:2:\"id\";s:3:\"239\";s:5:\"title\";s:18:\"Wonderstruck Works\";s:5:\"alias\";s:18:\"wonderstruck-works\";s:3:\"zip\";s:28:\"packs/wonderstruck-works.zip\";s:3:\"uid\";s:32:\"4476935097e27d92454b0011b7700c1d\";s:3:\"img\";s:29:\"wonderstruck-works/slide1.jpg\";s:7:\"preview\";s:77:\"https://revolution.themepunch.com/wonderstruck-one-page-website-for-wordpress\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">The Wonderstruck One-Pager Template is a clean, colorful way to showcase your portfolio online. Just install, change the content and you have a mobile ready online experience!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:22:\"Wonderstruck One-Pager\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"13\";s:9:\"installed\";b:0;}i:231;a:23:{s:2:\"id\";s:3:\"240\";s:5:\"title\";s:20:\"Wonderstruck Contact\";s:5:\"alias\";s:20:\"wonderstruck-contact\";s:3:\"zip\";s:30:\"packs/wonderstruck-contact.zip\";s:3:\"uid\";s:32:\"9e4911521f77bce2b8efa40f4c2adc22\";s:3:\"img\";s:31:\"wonderstruck-contact/slide1.jpg\";s:7:\"preview\";s:77:\"https://revolution.themepunch.com/wonderstruck-one-page-website-for-wordpress\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:241:\"<span class=\"ttm_content\">The Wonderstruck One-Pager Template is a clean, colorful way to showcase your portfolio online. Just install, change the content and you have a mobile ready online experience!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:22:\"Wonderstruck One-Pager\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"13\";s:9:\"installed\";b:0;}i:232;a:20:{s:2:\"id\";s:3:\"241\";s:5:\"title\";s:12:\"Bubble Morph\";s:5:\"alias\";s:11:\"bubblemorph\";s:3:\"zip\";s:15:\"bubblemorph.zip\";s:3:\"uid\";s:32:\"1102d6f5460ab82cb612cbe9f1d9514b\";s:3:\"img\";s:22:\"bubblemorph/slide1.jpg\";s:7:\"preview\";s:75:\"https://revolution.themepunch.com/bubble-morph-effect-add-on-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:188:\"<span class=\"ttm_content\">The Bubble Morph Add-On allows you to create interesting Lava-Lamp style effects on any of your Slider Revolution content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:185:\"[{\"path\":\"revslider-bubblemorph-addon\\/revslider-bubblemorph-addon.php\",\"name\":\"BubbleMorph AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:233;a:20:{s:2:\"id\";s:3:\"242\";s:5:\"title\";s:16:\"Distortion AddOn\";s:5:\"alias\";s:15:\"distortionaddon\";s:3:\"zip\";s:19:\"distortionaddon.zip\";s:3:\"uid\";s:32:\"0ad46c9929bb2fa6316f1e6ced301aaf\";s:3:\"img\";s:26:\"distortionaddon/slide1.jpg\";s:7:\"preview\";s:73:\"https://revolution.themepunch.com/distortion-effect-add-on-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.7\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:187:\"<span class=\"ttm_content\">The Distortion Add-On allows you to create interesting Distortion style effects on any of your Slider Revolution content.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:193:\"[{\"path\":\"revslider-liquideffect-addon\\/revslider-liquideffect-addon.php\",\"name\":\"Distortion Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:234;a:20:{s:2:\"id\";s:3:\"243\";s:5:\"title\";s:10:\"Club Flyer\";s:5:\"alias\";s:9:\"clubflyer\";s:3:\"zip\";s:13:\"clubflyer.zip\";s:3:\"uid\";s:32:\"dab73b9904d0e643a35b0475980998bd\";s:3:\"img\";s:20:\"clubflyer/slide1.jpg\";s:7:\"preview\";s:81:\"https://revolution.themepunch.com/club-flyer-landing-page-template-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:227:\"<span class=\"ttm_content\">This Club Fyler Template for Slider Revolution uses the brand new Exploding Layers Add-On to create a captivating effect. Tap into unlimited creative potential. </span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:198:\"[{\"path\":\"revslider-explodinglayers-addon\\/revslider-explodinglayers-addon.php\",\"name\":\"Exploding Layers AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:235;a:20:{s:2:\"id\";s:3:\"244\";s:5:\"title\";s:16:\"Paintbrush AddOn\";s:5:\"alias\";s:15:\"paintbrushaddon\";s:3:\"zip\";s:19:\"paintbrushaddon.zip\";s:3:\"uid\";s:32:\"c85c48a6742b4bf72a2590cc1b50f6a0\";s:3:\"img\";s:26:\"paintbrushaddon/slide1.jpg\";s:7:\"preview\";s:73:\"https://revolution.themepunch.com/paintbrush-effect-add-on-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:239:\"<span class=\"ttm_content\">The Paintbrush Add-On for WordPress allows you to add cool mouse interaction effects to your Slider Revolution content. Examples: Blur Reveal, Color Reveal, Scratch Me Free.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:182:\"[{\"path\":\"revslider-paintbrush-addon\\/revslider-paintbrush-addon.php\",\"name\":\"Paintbrush AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:236;a:23:{s:2:\"id\";s:3:\"245\";s:5:\"title\";s:18:\"Parallax One-Pager\";s:5:\"alias\";s:26:\"parallax-one-pager-package\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:26:\"parallax-one-pager-package\";s:3:\"img\";s:39:\"packages/parallax-one-pager-package.jpg\";s:7:\"preview\";s:71:\"https://revolution.themepunch.com/parallax-one-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:230:\"<span class=\"ttm_content\">The Parallax One-Page WordPress Template is consisting of 3 hero blocks and contains a beautiful parallax mountain scene. An impactful opening to your web presence!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Parallax One-Pager\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"14\";s:9:\"installed\";b:0;}i:237;a:23:{s:2:\"id\";s:3:\"246\";s:5:\"title\";s:15:\"Parallax Header\";s:5:\"alias\";s:15:\"parallax_header\";s:3:\"zip\";s:25:\"packs/parallax_header.zip\";s:3:\"uid\";s:32:\"32bf4a0f5136853bd6bd366275a7a60b\";s:3:\"img\";s:26:\"parallax_header/slide1.jpg\";s:7:\"preview\";s:71:\"https://revolution.themepunch.com/parallax-one-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:230:\"<span class=\"ttm_content\">The Parallax One-Page WordPress Template is consisting of 3 hero blocks and contains a beautiful parallax mountain scene. An impactful opening to your web presence!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Parallax One-Pager\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"14\";s:9:\"installed\";b:0;}i:238;a:23:{s:2:\"id\";s:3:\"247\";s:5:\"title\";s:16:\"Parallax Content\";s:5:\"alias\";s:16:\"parallax_content\";s:3:\"zip\";s:26:\"packs/parallax_content.zip\";s:3:\"uid\";s:32:\"a25c5fb8f74757476ab4dc038e56f90d\";s:3:\"img\";s:27:\"parallax_content/slide1.jpg\";s:7:\"preview\";s:71:\"https://revolution.themepunch.com/parallax-one-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:230:\"<span class=\"ttm_content\">The Parallax One-Page WordPress Template is consisting of 3 hero blocks and contains a beautiful parallax mountain scene. An impactful opening to your web presence!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Parallax One-Pager\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"14\";s:9:\"installed\";b:0;}i:239;a:23:{s:2:\"id\";s:3:\"248\";s:5:\"title\";s:15:\"Parallax Footer\";s:5:\"alias\";s:15:\"parallax_footer\";s:3:\"zip\";s:25:\"packs/parallax_footer.zip\";s:3:\"uid\";s:32:\"665dff9ea6eaf162a2a1f160f51a9ddb\";s:3:\"img\";s:26:\"parallax_footer/slide1.jpg\";s:7:\"preview\";s:71:\"https://revolution.themepunch.com/parallax-one-page-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:230:\"<span class=\"ttm_content\">The Parallax One-Page WordPress Template is consisting of 3 hero blocks and contains a beautiful parallax mountain scene. An impactful opening to your web presence!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Parallax One-Pager\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"14\";s:9:\"installed\";b:0;}i:240;a:23:{s:2:\"id\";s:3:\"249\";s:5:\"title\";s:18:\"Le Chef Restaurant\";s:5:\"alias\";s:18:\"le-chef-restaurant\";s:3:\"zip\";s:0:\"\";s:3:\"uid\";s:26:\"le-chef-restaurant-package\";s:3:\"img\";s:39:\"packages/le-chef-restaurant-package.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1024\";s:6:\"height\";s:3:\"768\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;N;}s:14:\"plugin_require\";s:186:\"[{\"path\":\"revslider-particles-addon\\/revslider-particles-addon.php\",\"name\":\"Particles Effect AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"0\";s:14:\"package_parent\";s:4:\"true\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:241;a:23:{s:2:\"id\";s:3:\"250\";s:5:\"title\";s:12:\"Le Chef Menu\";s:5:\"alias\";s:12:\"le-chef-menu\";s:3:\"zip\";s:22:\"packs/le-chef-menu.zip\";s:3:\"uid\";s:32:\"2f2a6a333431fefe4a7b3b6a982b2ff5\";s:3:\"img\";s:23:\"le-chef-menu/slide1.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"1\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:242;a:23:{s:2:\"id\";s:3:\"251\";s:5:\"title\";s:14:\"Le Chef Header\";s:5:\"alias\";s:14:\"le-chef-header\";s:3:\"zip\";s:24:\"packs/le-chef-header.zip\";s:3:\"uid\";s:32:\"06450ca3be5a4a8959f3752ab974e574\";s:3:\"img\";s:25:\"le-chef-header/slide1.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"2\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:243;a:23:{s:2:\"id\";s:3:\"252\";s:5:\"title\";s:18:\"Le Chef Philosophy\";s:5:\"alias\";s:18:\"le-chef-philosophy\";s:3:\"zip\";s:28:\"packs/le-chef-philosophy.zip\";s:3:\"uid\";s:32:\"a532fd029addeb18106e751409b8e20a\";s:3:\"img\";s:29:\"le-chef-philosophy/slide1.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"3\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:244;a:23:{s:2:\"id\";s:3:\"253\";s:5:\"title\";s:12:\"Le Chef Food\";s:5:\"alias\";s:12:\"le-chef-food\";s:3:\"zip\";s:22:\"packs/le-chef-food.zip\";s:3:\"uid\";s:32:\"cd4b6a2cb5de2dd20a0e8ba0c35451df\";s:3:\"img\";s:23:\"le-chef-food/slide1.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"4\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:245;a:23:{s:2:\"id\";s:3:\"254\";s:5:\"title\";s:16:\"Le Chef La Carte\";s:5:\"alias\";s:16:\"le-chef-la-carte\";s:3:\"zip\";s:26:\"packs/le-chef-la-carte.zip\";s:3:\"uid\";s:32:\"6f312749679c3ba52c41189a6b8bf729\";s:3:\"img\";s:27:\"le-chef-la-carte/slide1.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"5\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:246;a:23:{s:2:\"id\";s:3:\"255\";s:5:\"title\";s:14:\"Le Chef Footer\";s:5:\"alias\";s:14:\"le-chef-footer\";s:3:\"zip\";s:24:\"packs/le-chef-footer.zip\";s:3:\"uid\";s:32:\"12fc241e8e5b9e5df9758c43448e2907\";s:3:\"img\";s:25:\"le-chef-footer/slide1.jpg\";s:7:\"preview\";s:80:\"https://revolution.themepunch.com/le-chef-restaurant-website-wordpress-template/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:261:\"<span class=\"ttm_content\">The Le Chef Restaurant Template is a One-Page Website and a full solution for your clients Restaurant. Showcase images in the header slideshow and present the Restaurants offering in a clear way!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:446:\"<span class=\"ttm_content\">If you want to setup the full website example as seen in the preview, please follow the <a href=\"https://www.themepunch.com/faq/setup-content-blocks-template/\" target=\"_blank\">Content Blocks instructions here</a>.<br><br>\r\n<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:4:\"hero\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:7:\"package\";s:18:\"Le Chef Restaurant\";s:13:\"package_order\";s:1:\"6\";s:14:\"package_parent\";s:0:\"\";s:6:\"active\";s:1:\"1\";s:10:\"package_id\";s:2:\"15\";s:9:\"installed\";b:0;}i:247;a:20:{s:2:\"id\";s:3:\"256\";s:5:\"title\";s:20:\"News Magazine Slider\";s:5:\"alias\";s:20:\"news-magazine-slider\";s:3:\"zip\";s:24:\"news-magazine-slider.zip\";s:3:\"uid\";s:32:\"31f2c1506babb1fef459401f051d2d52\";s:3:\"img\";s:31:\"news-magazine-slider/slide1.jpg\";s:7:\"preview\";s:69:\"https://revolution.themepunch.com/news-magazine-slider-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:205:\"<span class=\"ttm_content\">The Magazine Slider offers various layouts that support static content images, HTML5 and Youtube video. Great for any blog or news website!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:174:\"[{\"path\":\"revslider-revealer-addon\\/revslider-revealer-addon.php\",\"name\":\"Reveal AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:248;a:20:{s:2:\"id\";s:3:\"257\";s:5:\"title\";s:18:\"Real Estate Slider\";s:5:\"alias\";s:18:\"real-estate-slider\";s:3:\"zip\";s:22:\"real-estate-slider.zip\";s:3:\"uid\";s:32:\"739ce6336e46815094387c9448e6c804\";s:3:\"img\";s:29:\"real-estate-slider/slide1.jpg\";s:7:\"preview\";s:67:\"https://revolution.themepunch.com/real-estate-slider-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:204:\"<span class=\"ttm_content\">The Real Estate Slider allows to display real estate offers with a large ken burns background image and additional thumbnail hover images.</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";N;s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}i:249;a:20:{s:2:\"id\";s:3:\"258\";s:5:\"title\";s:14:\"Fashion Header\";s:5:\"alias\";s:14:\"fashion-header\";s:3:\"zip\";s:18:\"fashion-header.zip\";s:3:\"uid\";s:32:\"24ece4e7f4d31cd90377c62abbd9e25a\";s:3:\"img\";s:25:\"fashion-header/slide1.jpg\";s:7:\"preview\";s:75:\"https://revolution.themepunch.com/fashion-shop-header-slider-for-wordpress/\";s:7:\"version\";s:5:\"1.0.0\";s:8:\"required\";s:5:\"5.4.8\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"868\";s:11:\"description\";s:254:\"<span class=\"ttm_content\">The Fashion Shop Header ist the ideal Slider to display as an intro to your shop website or as a separator in between content. Our unique \"Bubble Morph\" effect makes this module stand out!</span>\r\n<span class=\"ttm_space\"></span>\";s:11:\"setup_notes\";s:197:\"<span class=\"ttm_content\">Checkout our <a href=\"https://www.themepunch.com/revslider-doc/slider-revolution-documentation/\" target=\"_blank\">Documentation</a> for basic Slider Revolution help.</span>\";s:3:\"cat\";s:7:\"Premium\";s:6:\"filter\";a:1:{i:0;s:6:\"slider\";}s:14:\"plugin_require\";s:185:\"[{\"path\":\"revslider-bubblemorph-addon\\/revslider-bubblemorph-addon.php\",\"name\":\"BubbleMorph AddOn\",\"url\":\"https:\\/\\/revolution.themepunch.com\\/direct-customer-benefits\\/#addoninstall\"}]\";s:4:\"date\";s:19:\"0000-00-00 00:00:00\";s:13:\"package_order\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:9:\"installed\";b:0;}}s:6:\"slides\";a:235:{s:16:\"classic-carousel\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"classic-carousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:27:\"classic-carousel/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:27:\"classic-carousel/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:27:\"classic-carousel/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:27:\"classic-carousel/slide5.jpg\";}}s:13:\"classicslider\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"classicslider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:24:\"classicslider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:24:\"classicslider/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:24:\"classicslider/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:24:\"classicslider/slide5.jpg\";}}s:11:\"contenttabs\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"contenttabs/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"contenttabs/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"contenttabs/slide3.jpg\";}}s:13:\"facebook-feed\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"facebook-feed/slide1.jpg\";}}s:7:\"fashion\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:18:\"fashion/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:18:\"fashion/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:18:\"fashion/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:18:\"fashion/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:18:\"fashion/slide5.jpg\";}}s:14:\"flickr-gallery\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"flickr-gallery/slide1.jpg\";}}s:3:\"gym\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:14:\"gym/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:14:\"gym/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:14:\"gym/slide3.jpg\";}}s:18:\"highlight-carousel\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"highlight-carousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:29:\"highlight-carousel/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:29:\"highlight-carousel/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:29:\"highlight-carousel/slide4.jpg\";}}s:18:\"highlight-showcase\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"highlight-showcase/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:29:\"highlight-showcase/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:29:\"highlight-showcase/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:29:\"highlight-showcase/slide4.jpg\";}}s:10:\"image-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"imagehero/slide1.jpg\";}}s:13:\"insta-gallery\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"insta-gallery/slide1.jpg\";}}s:19:\"levanorestaurantbar\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"levanorestaurantbar/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:30:\"levanorestaurantbar/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:30:\"levanorestaurantbar/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:30:\"levanorestaurantbar/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:30:\"levanorestaurantbar/slide5.jpg\";}}s:11:\"mainfeature\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"mainfeature/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"mainfeature/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"mainfeature/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:22:\"mainfeature/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:22:\"mainfeature/slide7.jpg\";}}s:17:\"media-gallery-two\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"media-gallery-two/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"media-gallery-two/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"media-gallery-two/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:28:\"media-gallery-two/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:28:\"media-gallery-two/slide6.jpg\";}}s:23:\"media-carousel-autoplay\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"media-carousel-autoplay/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:34:\"media-carousel-autoplay/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:34:\"media-carousel-autoplay/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:34:\"media-carousel-autoplay/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:34:\"media-carousel-autoplay/slide6.jpg\";}}s:21:\"news-background-video\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"news-bg-video/slide1.jpg\";}}s:12:\"news-gallery\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"news-gallery/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"news-gallery/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"news-gallery/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:23:\"news-gallery/slide4.jpg\";}}s:23:\"news-gallery-post-based\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"news-gallery-post-based/slide1.jpg\";}}s:9:\"news-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"news-hero/slide1.jpg\";}}s:10:\"news-video\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"news-video/slide1.jpg\";}}s:15:\"newsletter-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"newsletter-hero/slide1.jpg\";}}s:10:\"notgeneric\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"notgeneric/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:21:\"notgeneric/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:21:\"notgeneric/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:21:\"notgeneric/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:21:\"notgeneric/slide5.jpg\";}}s:11:\"photography\";a:10:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"photography/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"photography/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"photography/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:22:\"photography/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:22:\"photography/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:22:\"photography/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:22:\"photography/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:22:\"photography/slide8.jpg\";}i:8;a:2:{s:5:\"title\";s:7:\"Slide 9\";s:3:\"img\";s:22:\"photography/slide9.jpg\";}i:9;a:2:{s:5:\"title\";s:8:\"Slide 10\";s:3:\"img\";s:23:\"photography/slide10.jpg\";}}s:20:\"photography-carousel\";a:10:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"photography-carousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:31:\"photography-carousel/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:31:\"photography-carousel/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:31:\"photography-carousel/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:31:\"photography-carousel/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:31:\"photography-carousel/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:31:\"photography-carousel/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:31:\"photography-carousel/slide8.jpg\";}i:8;a:2:{s:5:\"title\";s:7:\"Slide 9\";s:3:\"img\";s:31:\"photography-carousel/slide9.jpg\";}i:9;a:2:{s:5:\"title\";s:8:\"Slide 10\";s:3:\"img\";s:32:\"photography-carousel/slide10.jpg\";}}s:16:\"search-form-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"search-form-hero/slide1.jpg\";}}s:16:\"showcasecarousel\";a:9:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"showcasecarousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:27:\"showcasecarousel/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:27:\"showcasecarousel/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:27:\"showcasecarousel/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:27:\"showcasecarousel/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:27:\"showcasecarousel/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:27:\"showcasecarousel/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:27:\"showcasecarousel/slide8.jpg\";}i:8;a:2:{s:5:\"title\";s:7:\"Slide 9\";s:3:\"img\";s:27:\"showcasecarousel/slide9.jpg\";}}s:11:\"sports-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"sportshero/slide1.jpg\";}}s:12:\"twitter-feed\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"twitter-feed/slide1.jpg\";}}s:13:\"vimeo-gallery\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"vimeo-gallery/slide1.jpg\";}}s:9:\"vimeohero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"vimeohero/slide1.jpg\";}}s:16:\"web-product-dark\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"web-product-dark/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:27:\"web-product-dark/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:27:\"web-product-dark/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:27:\"web-product-dark/slide4.jpg\";}}s:21:\"web-product-dark-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"web-product-dark-hero/slide1.jpg\";}}s:22:\"web-product-light-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"web-product-light-hero/slide1.jpg\";}}s:15:\"webproductlight\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"webproductlight/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"webproductlight/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"webproductlight/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:26:\"webproductlight/slide4.jpg\";}}s:15:\"youtube-gallery\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"youtube-gallery/slide1.jpg\";}}s:11:\"youtubehero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"youtubehero/slide1.jpg\";}}s:13:\"scroll-effect\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"scrolleffect/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"scrolleffect/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"scrolleffect/slide3.jpg\";}}s:12:\"content-zoom\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"contentzoom/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"contentzoom/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"contentzoom/slide3.jpg\";}}s:13:\"food-carousel\";a:7:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"foodcarousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"foodcarousel/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"foodcarousel/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:23:\"foodcarousel/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:23:\"foodcarousel/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:23:\"foodcarousel/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:23:\"foodcarousel/slide7.jpg\";}}s:14:\"rotating-words\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"rotatingwords/slide1.jpg\";}}s:22:\"travel-static-captions\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"travel-static-captions/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:33:\"travel-static-captions/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:33:\"travel-static-captions/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:33:\"travel-static-captions/slide4.jpg\";}}s:7:\"concept\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:18:\"concept/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:18:\"concept/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:18:\"concept/slide3.jpg\";}}s:17:\"fullscreen-button\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"fullscreen-button/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"fullscreen-button/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"fullscreen-button/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:28:\"fullscreen-button/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:28:\"fullscreen-button/slide5.jpg\";}}s:15:\"creativefreedom\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"creativefreedom/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"creativefreedom/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"creativefreedom/slide3.jpg\";}}s:13:\"parallaxscene\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"parallaxscene/slide1.jpg\";}}s:15:\"slidingoverlays\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"slidingoverlays/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"slidingoverlays/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"slidingoverlays/slide3.jpg\";}}s:25:\"web-product-light-hero-3d\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:36:\"web-product-light-hero-3d/slide1.jpg\";}}s:6:\"woobig\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:17:\"woobig/slide1.jpg\";}}s:16:\"woocommercesmall\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"woocommercesmall/slide1.jpg\";}}s:10:\"finedining\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"finedining/slide1.jpg\";}}s:12:\"agency-intro\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"agency-intro/slide1.jpg\";}}s:7:\"ourteam\";a:7:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:18:\"ourteam/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:18:\"ourteam/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:18:\"ourteam/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:18:\"ourteam/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:18:\"ourteam/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:18:\"ourteam/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:18:\"ourteam/slide7.jpg\";}}s:17:\"our-team-carousel\";a:7:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"ourteamcarousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"ourteamcarousel/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"ourteamcarousel/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:26:\"ourteamcarousel/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:26:\"ourteamcarousel/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:26:\"ourteamcarousel/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:26:\"ourteamcarousel/slide7.jpg\";}}s:13:\"betteryoutube\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"betteryoutube/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:24:\"betteryoutube/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:24:\"betteryoutube/slide3.jpg\";}}s:19:\"agencywebsiteheader\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"agencywebsiteheader/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:30:\"agencywebsiteheader/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:30:\"agencywebsiteheader/slide3.jpg\";}}s:10:\"comingsoon\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"comingsoon/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:21:\"comingsoon/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:21:\"comingsoon/slide3.jpg\";}}s:9:\"snowscene\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"snowscene/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:20:\"snowscene/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:20:\"snowscene/slide3.jpg\";}}s:8:\"rockband\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:19:\"rockband/slide1.jpg\";}}s:16:\"sleeklandingpage\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"sleeklandingpage/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:27:\"sleeklandingpage/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:27:\"sleeklandingpage/slide3.jpg\";}}s:14:\"applandingpage\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"applandingpage/slide1.jpg\";}}s:9:\"deskscene\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"deskscene/slide1.jpg\";}}s:15:\"cleannewsslider\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"cleannewsslider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"cleannewsslider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"cleannewsslider/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:26:\"cleannewsslider/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:26:\"cleannewsslider/slide5.jpg\";}}s:12:\"imagegallery\";a:8:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"imagegallery/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"imagegallery/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"imagegallery/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:23:\"imagegallery/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:23:\"imagegallery/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:23:\"imagegallery/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:23:\"imagegallery/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:23:\"imagegallery/slide8.jpg\";}}s:19:\"standard-wp-gallery\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"standard-wp-gallery/slide1.jpg\";}}s:21:\"clean-news-post-based\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"clean-news-post-based/slide1.jpg\";}}s:21:\"interactivewhiteboard\";a:8:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"interactivewhiteboard/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:32:\"interactivewhiteboard/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:32:\"interactivewhiteboard/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:32:\"interactivewhiteboard/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:32:\"interactivewhiteboard/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:32:\"interactivewhiteboard/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:32:\"interactivewhiteboard/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:32:\"interactivewhiteboard/slide8.jpg\";}}s:10:\"innovation\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"innovation/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:21:\"innovation/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:21:\"innovation/slide3.jpg\";}}s:24:\"dark-fullsite-block-menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:35:\"dark-fullsite-block-menu/slide1.jpg\";}}s:21:\"dark-fullsite-block-1\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"dark-fullsite-block-1/slide1.jpg\";}}s:27:\"dark-fullsite-block-2-about\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:38:\"dark-fullsite-block-2-about/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:38:\"dark-fullsite-block-2-about/slide2.jpg\";}}s:30:\"dark-fullsite-block-3-services\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:41:\"dark-fullsite-block-3-services/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:41:\"dark-fullsite-block-3-services/slide2.jpg\";}}s:30:\"dark-fullsite-block-4-products\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:41:\"dark-fullsite-block-4-products/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:41:\"dark-fullsite-block-4-products/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:41:\"dark-fullsite-block-4-products/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:41:\"dark-fullsite-block-4-products/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:41:\"dark-fullsite-block-4-products/slide5.jpg\";}}s:34:\"dark-fullsite-block-5-testimonials\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:45:\"dark-fullsite-block-5-testimonials/slide1.jpg\";}}s:29:\"dark-fullsite-block-6-callout\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:40:\"dark-fullsite-block-6-callout/slide1.jpg\";}}s:28:\"dark-fullsite-block-7-footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:39:\"dark-fullsite-block-7-footer/slide1.jpg\";}}s:19:\"fullsite-block-menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"fullsite-block-menu/slide1.jpg\";}}s:15:\"fullsite-block1\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"fullsite-block1/slide1.jpg\";}}s:22:\"fullsite-block-2-about\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"fullsite-block-2-about/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:33:\"fullsite-block-2-about/slide2.jpg\";}}s:25:\"fullsite-block-3-services\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:36:\"fullsite-block-3-services/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:36:\"fullsite-block-3-services/slide2.jpg\";}}s:25:\"fullsite-block-4-products\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:36:\"fullsite-block-4-products/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:36:\"fullsite-block-4-products/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:36:\"fullsite-block-4-products/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:36:\"fullsite-block-4-products/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:36:\"fullsite-block-4-products/slide5.jpg\";}}s:29:\"fullsite-block-5-testimonials\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:40:\"fullsite-block-5-testimonials/slide1.jpg\";}}s:24:\"fullsite-block-6-callout\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:35:\"fullsite-block-6-callout/slide1.jpg\";}}s:23:\"fullsite-block-7-footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"fullsite-block-7-footer/slide1.jpg\";}}s:11:\"techjournal\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"techjournal/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"techjournal/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"techjournal/slide3.jpg\";}}s:13:\"cardealership\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"cardealership/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:24:\"cardealership/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:24:\"cardealership/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:24:\"cardealership/slide4.jpg\";}}s:14:\"fullscreenmenu\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"fullscreenmenu/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:25:\"fullscreenmenu/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:25:\"fullscreenmenu/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:25:\"fullscreenmenu/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:25:\"fullscreenmenu/slide5.jpg\";}}s:17:\"creativefrontpage\";a:8:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"creativefrontpage/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"creativefrontpage/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"creativefrontpage/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:28:\"creativefrontpage/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:28:\"creativefrontpage/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:28:\"creativefrontpage/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:28:\"creativefrontpage/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:28:\"creativefrontpage/slide8.jpg\";}}s:19:\"websitebuilder-menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"websitebuilder-menu/slide1.jpg\";}}s:19:\"websitebuilder-hero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"websitebuilder-hero/slide1.jpg\";}}s:22:\"websitebuilder-clients\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"websitebuilder-clients/slide1.jpg\";}}s:23:\"websitebuilder-services\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"websitebuilder-services/slide1.jpg\";}}s:23:\"websitebuilder-discover\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"websitebuilder-discover/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:34:\"websitebuilder-discover/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:34:\"websitebuilder-discover/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:34:\"websitebuilder-discover/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:34:\"websitebuilder-discover/slide5.jpg\";}}s:21:\"websitebuilder-slider\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"websitebuilder-slider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:32:\"websitebuilder-slider/slide2.jpg\";}}s:27:\"websitebuilder-calltoaction\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:38:\"websitebuilder-calltoaction/slide1.jpg\";}}s:21:\"websitebuilder-footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"websitebuilder-footer/slide1.jpg\";}}s:13:\"focusparallax\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"focusparallax/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:24:\"focusparallax/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:24:\"focusparallax/slide3.jpg\";}}s:7:\"duotone\";a:6:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:18:\"duotone/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:18:\"duotone/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:18:\"duotone/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:18:\"duotone/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:18:\"duotone/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:18:\"duotone/slide6.jpg\";}}s:6:\"r_menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:17:\"r_menu/slide1.jpg\";}}s:5:\"rhero\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:17:\"r_hero/slide1.jpg\";}}s:7:\"r_about\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:18:\"r_about/slide1.jpg\";}}s:10:\"r_products\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"r_products/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:21:\"r_products/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:21:\"r_products/slide3.jpg\";}}s:6:\"r_info\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:17:\"r_info/slide1.jpg\";}}s:17:\"inspirationheader\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"inspirationheader/slide1.jpg\";}}s:13:\"magazineposts\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"magazineposts/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:24:\"magazineposts/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:24:\"magazineposts/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:24:\"magazineposts/slide4.jpg\";}}s:17:\"explorationheader\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"explorationheader/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"explorationheader/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"explorationheader/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:28:\"explorationheader/slide4.jpg\";}}s:16:\"typewritereffect\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"typewritereffect/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:27:\"typewritereffect/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:27:\"typewritereffect/slide3.jpg\";}}s:15:\"blendmodeheader\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"blendmodeheader/slide1.jpg\";}}s:17:\"themeplicity_menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"themeplicity_menu/slide1.jpg\";}}s:19:\"themeplicity_header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"themeplicity_header/slide1.jpg\";}}s:18:\"themeplicity_offer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"themeplicity_offer/slide1.jpg\";}}s:21:\"themeplicity_whatwedo\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"themeplicity_whatwedo/slide1.jpg\";}}s:21:\"themeplicity_projects\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"themeplicity_projects/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:32:\"themeplicity_projects/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:32:\"themeplicity_projects/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:32:\"themeplicity_projects/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:32:\"themeplicity_projects/slide5.jpg\";s:3:\"img\";s:7:\"Slide 5\";}}s:23:\"themeplicity_whatsgreat\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"themeplicity_whatsgreat/slide1.jpg\";}}s:19:\"themeplicity_tables\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"themeplicity_tables/slide1.jpg\";}}s:24:\"themeplicity_contactform\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:35:\"themeplicity_contactform/slide1.jpg\";}}s:19:\"themeplicity_footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"themeplicity_footer/slide1.jpg\";}}s:17:\"NiceAndClean_Menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"NiceAndClean_Menu/slide1.jpg\";}}s:19:\"NiceAndClean_Header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"NiceAndClean_Header/slide1.jpg\";}}s:21:\"NiceAndClean_Services\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"NiceAndClean_Services/slide1.jpg\";}}s:18:\"NiceAndClean_About\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"NiceAndClean_About/slide1.jpg\";}}s:18:\"niceandclean_video\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"niceandclean_video/slide1.jpg\";}}s:23:\"niceandclean_highlights\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"niceandclean_highlights/slide1.jpg\";}}s:21:\"NiceAndClean_Projects\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"NiceAndClean_Projects/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:32:\"NiceAndClean_Projects/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:32:\"NiceAndClean_Projects/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:32:\"NiceAndClean_Projects/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:32:\"NiceAndClean_Projects/slide5.jpg\";}}s:23:\"niceandclean_textblocks\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"niceandclean_textblocks/slide1.jpg\";}}s:20:\"niceandclean_callout\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"niceandclean_callout/slide1.jpg\";}}s:19:\"niceandclean_footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"niceandclean_footer/slide1.jpg\";}}s:3:\"80s\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:14:\"80s/slide1.jpg\";}}s:10:\"blurslider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"blurslider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:21:\"blurslider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:21:\"blurslider/slide3.jpg\";}}s:15:\"ComingSoonAddon\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"ComingSoonAddon/slide1.jpg\";}}s:9:\"snowaddon\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"snowaddon/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:20:\"snowaddon/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:20:\"snowaddon/slide3.jpg\";}}s:19:\"particle-effect-one\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"particle-effect-one/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:30:\"particle-effect-one/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:30:\"particle-effect-one/slide3.jpg\";}}s:19:\"particle-effect-two\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"particle-effect-two/slide1.jpg\";}}s:21:\"particle-effect-three\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"particle-effect-three/slide1.jpg\";}}s:15:\"portfolioviewer\";a:6:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"portfolioviewer/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"portfolioviewer/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"portfolioviewer/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:26:\"portfolioviewer/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:26:\"portfolioviewer/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:26:\"portfolioviewer/slide6.jpg\";}}s:11:\"appshowcase\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"appshowcase/slide1.jpg\";}}s:13:\"gravitydesign\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"gravitydesign/slide1.jpg\";}}s:12:\"404errorpage\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"404errorpage/slide1.jpg\";}}s:15:\"carouselgallery\";a:6:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"carouselgallery/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"carouselgallery/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"carouselgallery/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:26:\"carouselgallery/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:26:\"carouselgallery/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:26:\"carouselgallery/slide6.jpg\";}}s:9:\"filmstrip\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"filmstrip/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:20:\"filmstrip/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:20:\"filmstrip/slide3.jpg\";}}s:10:\"spaceopera\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:21:\"spaceopera/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:21:\"spaceopera/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:21:\"spaceopera/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:21:\"spaceopera/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:21:\"spaceopera/slide5.jpg\";}}s:12:\"websiteintro\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"websiteintro/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"websiteintro/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"websiteintro/slide3.jpg\";}}s:12:\"maskshowcase\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"maskshowcase/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"maskshowcase/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"maskshowcase/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:23:\"maskshowcase/slide4.jpg\";}}s:18:\"parallaxzoomslices\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"parallaxzoomslices/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:29:\"parallaxzoomslices/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:29:\"parallaxzoomslices/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:29:\"parallaxzoomslices/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:29:\"parallaxzoomslices/slide5.jpg\";}}s:20:\"doubleexposureeffect\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"doubleexposureeffect/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:31:\"doubleexposureeffect/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:31:\"doubleexposureeffect/slide3.jpg\";}}s:22:\"mountainparallaxheader\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"mountainparallaxheader/slide1.jpg\";}}s:12:\"goodnewsmenu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"goodnewsmenu/slide1.jpg\";}}s:14:\"goodnewsheader\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"goodnewsheader/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:25:\"goodnewsheader/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:25:\"goodnewsheader/slide3.jpg\";}}s:16:\"goodnewswhatshot\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"goodnewswhatshot/slide1.jpg\";}}s:16:\"goodnewsfeatured\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"goodnewsfeatured/slide1.jpg\";}}s:17:\"goodnewsspotlight\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"goodnewsspotlight/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"goodnewsspotlight/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"goodnewsspotlight/slide3.jpg\";}}s:16:\"goodnewscarousel\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"goodnewscarousel/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:27:\"goodnewscarousel/slide2.jpg\";}}s:15:\"goodnewscallout\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"goodnewscallout/slide1.jpg\";}}s:14:\"goodnewsfooter\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"goodnewsfooter/slide1.jpg\";}}s:16:\"goodnewsmenuback\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"goodnewsmenuback/slide1.jpg\";}}s:18:\"goodnewsblogheader\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"goodnewsblogheader/slide1.jpg\";}}s:19:\"goodnewsblogcontent\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"goodnewsblogcontent/slide1.jpg\";}}s:20:\"goodnewstestimonials\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"goodnewstestimonials/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:31:\"goodnewstestimonials/slide2.jpg\";}}s:18:\"goodnewsblogfooter\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"goodnewsblogfooter/slide1.jpg\";}}s:17:\"beforeafterslider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"beforeafterslider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"beforeafterslider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"beforeafterslider/slide3.jpg\";}}s:15:\"productshowcase\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"productshowcase/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"productshowcase/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"productshowcase/slide3.jpg\";}}s:22:\"overexposuretransition\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"overexposuretransition/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:33:\"overexposuretransition/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:33:\"overexposuretransition/slide3.jpg\";}}s:14:\"parallaxscroll\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"parallaxscroll/slide1.jpg\";}}s:11:\"techco-menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"techco-menu/slide1.jpg\";}}s:13:\"techco-header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"techco-header/slide1.jpg\";}}s:12:\"techco-about\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"techco-about/slide1.jpg\";}}s:15:\"techco-services\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"techco-services/slide1.jpg\";}}s:12:\"techco-video\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"techco-video/slide1.jpg\";}}s:13:\"techco-prices\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"techco-prices/slide1.jpg\";}}s:19:\"techco-testimonials\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"techco-testimonials/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:30:\"techco-testimonials/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:30:\"techco-testimonials/slide3.jpg\";}}s:13:\"techco-footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"techco-footer/slide1.jpg\";}}s:7:\"weather\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:18:\"weather/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:18:\"weather/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:18:\"weather/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:18:\"weather/slide4.jpg\";}}s:11:\"360panorama\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"360panorama/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"360panorama/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"360panorama/slide3.jpg\";}}s:14:\"duotone-add-on\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"duotone-add-on/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:25:\"duotone-add-on/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:25:\"duotone-add-on/slide3.jpg\";}}s:13:\"reveal-add-on\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:24:\"reveal-add-on/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:24:\"reveal-add-on/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:24:\"reveal-add-on/slide3.jpg\";}}s:16:\"band-tour-poster\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:40:\"smartcontent/band-tour-poster/slide1.png\";}}s:14:\"brewery-slider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:38:\"smartcontent/brewery-slider/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:38:\"smartcontent/brewery-slider/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:38:\"smartcontent/brewery-slider/slide3.png\";}}s:9:\"burgerbar\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"smartcontent/burgerbar/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:33:\"smartcontent/burgerbar/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:33:\"smartcontent/burgerbar/slide3.png\";}}s:19:\"burger-bar-portrait\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:43:\"smartcontent/burger-bar-portrait/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:43:\"smartcontent/burger-bar-portrait/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:43:\"smartcontent/burger-bar-portrait/slide3.png\";}}s:8:\"car-rent\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"smartcontent/car-rent/slide1.png\";}}s:6:\"coffee\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"smartcontent/coffee/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:30:\"smartcontent/coffee/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:30:\"smartcontent/coffee/slide3.png\";}}s:14:\"holiday-advert\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:38:\"smartcontent/holiday-advert/slide1.png\";}}s:18:\"iphone-cases-light\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:42:\"smartcontent/iphone-cases-light/slide1.png\";}}s:7:\"medical\";a:2:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"smartcontent/medical/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:31:\"smartcontent/medical/slide2.png\";}}s:13:\"mexican-grill\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:37:\"smartcontent/mexican-grill/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:37:\"smartcontent/mexican-grill/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:37:\"smartcontent/mexican-grill/slide3.png\";}}s:20:\"mobile-retail-slider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:44:\"smartcontent/mobile-retail-slider/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:44:\"smartcontent/mobile-retail-slider/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:44:\"smartcontent/mobile-retail-slider/slide3.png\";}}s:14:\"money-exchange\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:38:\"smartcontent/money-exchange/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:38:\"smartcontent/money-exchange/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:38:\"smartcontent/money-exchange/slide3.png\";}}s:28:\"restaurant-menu-first-screen\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:52:\"smartcontent/restaurant-menu-first-screen/slide1.png\";}}s:29:\"restaurant-menu-second-screen\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:53:\"smartcontent/restaurant-menu-second-screen/slide1.png\";}}s:28:\"restaurant-menu-third-screen\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:52:\"smartcontent/restaurant-menu-third-screen/slide1.png\";}}s:11:\"shoes-store\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:35:\"smartcontent/shoes-store/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:35:\"smartcontent/shoes-store/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:35:\"smartcontent/shoes-store/slide3.png\";}}s:20:\"supermarket-products\";a:5:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:44:\"smartcontent/supermarket-products/slide1.png\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:44:\"smartcontent/supermarket-products/slide2.png\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:44:\"smartcontent/supermarket-products/slide3.png\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:44:\"smartcontent/supermarket-products/slide4.png\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:44:\"smartcontent/supermarket-products/slide5.png\";}}s:16:\"travel-insurance\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:40:\"smartcontent/travel-insurance/slide1.png\";}}s:12:\"cryptoslider\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"cryptoslider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:23:\"cryptoslider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:23:\"cryptoslider/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:23:\"cryptoslider/slide4.jpg\";}}s:16:\"immersion_header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"immersion_header/slide1.jpg\";}}s:19:\"immersion-mountains\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"immersion-mountains/slide1.jpg\";}}s:17:\"immersion-product\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"immersion-product/slide1.jpg\";}}s:16:\"immersion-design\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"immersion-design/slide1.jpg\";}}s:21:\"immersion-photography\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:32:\"immersion-photography/slide1.jpg\";}}s:14:\"immersion-grid\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"immersion-grid/slide1.jpg\";}}s:11:\"funkyslider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"funkyslider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"funkyslider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"funkyslider/slide3.jpg\";}}s:14:\"clearview_menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"clearview_menu/slide1.jpg\";}}s:16:\"clearview_header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"clearview_header/slide1.jpg\";}}s:17:\"clearview_mission\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"clearview_mission/slide1.jpg\";}}s:17:\"clear-view-slider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"clear-view-slider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:28:\"clear-view-slider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:28:\"clear-view-slider/slide3.jpg\";}}s:15:\"clear-view-news\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"clear-view-news/slide1.jpg\";}}s:18:\"clear-view-clients\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"clear-view-clients/slide1.jpg\";}}s:18:\"clear-view-contact\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"clear-view-contact/slide1.jpg\";}}s:22:\"clear-view-single-menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"clear-view-single-menu/slide1.jpg\";}}s:24:\"clear-view-single-header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:35:\"clear-view-single-header/slide1.jpg\";}}s:23:\"clear-view-single-media\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:34:\"clear-view-single-media/slide1.jpg\";}}s:22:\"clear-view-single-more\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:33:\"clear-view-single-more/slide1.jpg\";}}s:25:\"clear-view-single-contact\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:36:\"clear-view-single-contact/slide1.jpg\";}}s:16:\"cleanlandingpage\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"cleanlandingpage/slide1.jpg\";}}s:8:\"clearcut\";a:10:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:19:\"clearcut/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:19:\"clearcut/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:19:\"clearcut/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:19:\"clearcut/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:19:\"clearcut/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:19:\"clearcut/slide6.jpg\";}i:6;a:2:{s:5:\"title\";s:7:\"Slide 7\";s:3:\"img\";s:19:\"clearcut/slide7.jpg\";}i:7;a:2:{s:5:\"title\";s:7:\"Slide 8\";s:3:\"img\";s:19:\"clearcut/slide8.jpg\";}i:8;a:2:{s:5:\"title\";s:7:\"Slide 9\";s:3:\"img\";s:19:\"clearcut/slide9.jpg\";}i:9;a:2:{s:5:\"title\";s:8:\"Slide 10\";s:3:\"img\";s:20:\"clearcut/slide10.jpg\";}}s:17:\"wonderstruck_menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:28:\"wonderstruck_menu/slide1.jpg\";}}s:19:\"wonderstruck_header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:30:\"wonderstruck_header/slide1.jpg\";}}s:18:\"wonderstruck_about\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"wonderstruck_about/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:29:\"wonderstruck_about/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:29:\"wonderstruck_about/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:29:\"wonderstruck_about/slide4.jpg\";}}s:18:\"wonderstruck-works\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"wonderstruck-works/slide1.jpg\";}}s:20:\"wonderstruck-contact\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"wonderstruck-contact/slide1.jpg\";}}s:11:\"bubblemorph\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:22:\"bubblemorph/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:22:\"bubblemorph/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:22:\"bubblemorph/slide3.jpg\";}}s:15:\"distortionaddon\";a:6:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"distortionaddon/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"distortionaddon/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"distortionaddon/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:26:\"distortionaddon/slide4.jpg\";}i:4;a:2:{s:5:\"title\";s:7:\"Slide 5\";s:3:\"img\";s:26:\"distortionaddon/slide5.jpg\";}i:5;a:2:{s:5:\"title\";s:7:\"Slide 6\";s:3:\"img\";s:26:\"distortionaddon/slide6.jpg\";}}s:9:\"clubflyer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:20:\"clubflyer/slide1.jpg\";}}s:15:\"paintbrushaddon\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"paintbrushaddon/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:26:\"paintbrushaddon/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:26:\"paintbrushaddon/slide3.jpg\";}}s:15:\"parallax_header\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"parallax_header/slide1.jpg\";}}s:16:\"parallax_content\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"parallax_content/slide1.jpg\";}}s:15:\"parallax_footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:26:\"parallax_footer/slide1.jpg\";}}s:12:\"le-chef-menu\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"le-chef-menu/slide1.jpg\";}}s:14:\"le-chef-header\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"le-chef-header/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:25:\"le-chef-header/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:25:\"le-chef-header/slide3.jpg\";}}s:18:\"le-chef-philosophy\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"le-chef-philosophy/slide1.jpg\";}}s:12:\"le-chef-food\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:23:\"le-chef-food/slide1.jpg\";}}s:16:\"le-chef-la-carte\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:27:\"le-chef-la-carte/slide1.jpg\";}}s:14:\"le-chef-footer\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"le-chef-footer/slide1.jpg\";}}s:20:\"news-magazine-slider\";a:4:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:31:\"news-magazine-slider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:31:\"news-magazine-slider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:31:\"news-magazine-slider/slide3.jpg\";}i:3;a:2:{s:5:\"title\";s:7:\"Slide 4\";s:3:\"img\";s:31:\"news-magazine-slider/slide4.jpg\";}}s:18:\"real-estate-slider\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:29:\"real-estate-slider/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:29:\"real-estate-slider/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:29:\"real-estate-slider/slide3.jpg\";}}s:14:\"fashion-header\";a:3:{i:0;a:2:{s:5:\"title\";s:7:\"Slide 1\";s:3:\"img\";s:25:\"fashion-header/slide1.jpg\";}i:1;a:2:{s:5:\"title\";s:7:\"Slide 2\";s:3:\"img\";s:25:\"fashion-header/slide2.jpg\";}i:2;a:2:{s:5:\"title\";s:7:\"Slide 3\";s:3:\"img\";s:25:\"fashion-header/slide3.jpg\";}}}}", "no");
INSERT INTO `wp_options` VALUES("53922", "ai1wmte_plugin_key", "1", "yes");
INSERT INTO `wp_options` VALUES("57229", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("57256", "wpb_js_gutenberg_disable", "1", "yes");
INSERT INTO `wp_options` VALUES("57257", "uncode_check_for_vc_gutenberg_disable_option", "1", "yes");
INSERT INTO `wp_options` VALUES("57343", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:29:\"contact@courtesancreative.com\";s:7:\"version\";s:5:\"5.3.4\";s:9:\"timestamp\";i:1591848025;}", "no");
INSERT INTO `wp_options` VALUES("58016", "wpseo", "a:20:{s:15:\"ms_defaults_set\";b:0;s:7:\"version\";s:6:\"12.9.1\";s:20:\"disableadvanced_meta\";b:1;s:19:\"onpage_indexability\";b:1;s:11:\"baiduverify\";s:0:\"\";s:12:\"googleverify\";s:0:\"\";s:8:\"msverify\";s:0:\"\";s:12:\"yandexverify\";s:0:\"\";s:9:\"site_type\";s:0:\"\";s:20:\"has_multiple_authors\";s:0:\"\";s:16:\"environment_type\";s:0:\"\";s:23:\"content_analysis_active\";b:1;s:23:\"keyword_analysis_active\";b:1;s:21:\"enable_admin_bar_menu\";b:1;s:26:\"enable_cornerstone_content\";b:1;s:18:\"enable_xml_sitemap\";b:1;s:24:\"enable_text_link_counter\";b:1;s:22:\"show_onboarding_notice\";b:1;s:18:\"first_activated_on\";i:1545673912;s:13:\"myyoast-oauth\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("58017", "wpseo_titles", "a:106:{s:10:\"title_test\";i:0;s:17:\"forcerewritetitle\";b:0;s:9:\"separator\";s:7:\"sc-pipe\";s:16:\"title-home-wpseo\";s:42:\"%%sitename%% %%page%% %%sep%% %%sitedesc%%\";s:18:\"title-author-wpseo\";s:41:\"%%name%%, Author at %%sitename%% %%page%%\";s:19:\"title-archive-wpseo\";s:38:\"%%date%% %%page%% %%sep%% %%sitename%%\";s:18:\"title-search-wpseo\";s:63:\"You searched for %%searchphrase%% %%page%% %%sep%% %%sitename%%\";s:15:\"title-404-wpseo\";s:35:\"Page not found %%sep%% %%sitename%%\";s:19:\"metadesc-home-wpseo\";s:0:\"\";s:21:\"metadesc-author-wpseo\";s:0:\"\";s:22:\"metadesc-archive-wpseo\";s:0:\"\";s:9:\"rssbefore\";s:0:\"\";s:8:\"rssafter\";s:53:\"The post %%POSTLINK%% appeared first on %%BLOGLINK%%.\";s:20:\"noindex-author-wpseo\";b:1;s:28:\"noindex-author-noposts-wpseo\";b:1;s:21:\"noindex-archive-wpseo\";b:1;s:14:\"disable-author\";b:0;s:12:\"disable-date\";b:0;s:19:\"disable-post_format\";b:0;s:18:\"disable-attachment\";b:1;s:23:\"is-media-purge-relevant\";b:0;s:20:\"breadcrumbs-404crumb\";s:25:\"Error 404: Page not found\";s:29:\"breadcrumbs-display-blog-page\";b:0;s:20:\"breadcrumbs-boldlast\";b:0;s:25:\"breadcrumbs-archiveprefix\";s:12:\"Archives for\";s:18:\"breadcrumbs-enable\";b:0;s:16:\"breadcrumbs-home\";s:4:\"Home\";s:18:\"breadcrumbs-prefix\";s:0:\"\";s:24:\"breadcrumbs-searchprefix\";s:16:\"You searched for\";s:15:\"breadcrumbs-sep\";s:2:\"»\";s:12:\"website_name\";s:0:\"\";s:11:\"person_name\";s:0:\"\";s:11:\"person_logo\";s:0:\"\";s:14:\"person_logo_id\";i:0;s:22:\"alternate_website_name\";s:0:\"\";s:12:\"company_logo\";s:0:\"\";s:15:\"company_logo_id\";i:0;s:12:\"company_name\";s:0:\"\";s:17:\"company_or_person\";s:7:\"company\";s:25:\"company_or_person_user_id\";b:0;s:17:\"stripcategorybase\";b:0;s:10:\"title-post\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:13:\"metadesc-post\";s:0:\"\";s:12:\"noindex-post\";b:0;s:13:\"showdate-post\";b:0;s:23:\"display-metabox-pt-post\";b:1;s:23:\"post_types-post-maintax\";i:0;s:10:\"title-page\";s:65:\"%%title%% %%page%% %%sep%% %%sitename%% | NYC Escort in Manhattan\";s:13:\"metadesc-page\";s:0:\"\";s:12:\"noindex-page\";b:0;s:13:\"showdate-page\";b:0;s:23:\"display-metabox-pt-page\";b:1;s:23:\"post_types-page-maintax\";i:0;s:16:\"title-attachment\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:19:\"metadesc-attachment\";s:0:\"\";s:18:\"noindex-attachment\";b:0;s:19:\"showdate-attachment\";b:0;s:29:\"display-metabox-pt-attachment\";b:1;s:29:\"post_types-attachment-maintax\";i:0;s:18:\"title-tax-category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-category\";s:0:\"\";s:28:\"display-metabox-tax-category\";b:1;s:20:\"noindex-tax-category\";b:1;s:18:\"title-tax-post_tag\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-post_tag\";s:0:\"\";s:28:\"display-metabox-tax-post_tag\";b:1;s:20:\"noindex-tax-post_tag\";b:1;s:21:\"title-tax-post_format\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-post_format\";s:0:\"\";s:31:\"display-metabox-tax-post_format\";b:0;s:23:\"noindex-tax-post_format\";b:1;s:15:\"title-portfolio\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:18:\"metadesc-portfolio\";s:0:\"\";s:17:\"noindex-portfolio\";b:0;s:18:\"showdate-portfolio\";b:0;s:28:\"display-metabox-pt-portfolio\";b:1;s:28:\"post_types-portfolio-maintax\";i:0;s:25:\"title-ptarchive-portfolio\";s:51:\"%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%\";s:28:\"metadesc-ptarchive-portfolio\";s:0:\"\";s:27:\"bctitle-ptarchive-portfolio\";s:0:\"\";s:27:\"noindex-ptarchive-portfolio\";b:0;s:17:\"title-uncodeblock\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:20:\"metadesc-uncodeblock\";s:0:\"\";s:19:\"noindex-uncodeblock\";b:1;s:20:\"showdate-uncodeblock\";b:0;s:30:\"display-metabox-pt-uncodeblock\";b:1;s:30:\"post_types-uncodeblock-maintax\";i:0;s:20:\"title-uncode_gallery\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:23:\"metadesc-uncode_gallery\";s:0:\"\";s:22:\"noindex-uncode_gallery\";b:1;s:23:\"showdate-uncode_gallery\";b:0;s:33:\"display-metabox-pt-uncode_gallery\";b:1;s:33:\"post_types-uncode_gallery-maintax\";i:0;s:28:\"title-tax-portfolio_category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:31:\"metadesc-tax-portfolio_category\";s:0:\"\";s:38:\"display-metabox-tax-portfolio_category\";b:1;s:30:\"noindex-tax-portfolio_category\";b:1;s:36:\"taxonomy-portfolio_category-ptparent\";i:0;s:23:\"title-tax-page_category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:26:\"metadesc-tax-page_category\";s:0:\"\";s:33:\"display-metabox-tax-page_category\";b:1;s:25:\"noindex-tax-page_category\";b:1;s:31:\"taxonomy-page_category-ptparent\";i:0;s:26:\"taxonomy-category-ptparent\";s:1:\"0\";s:26:\"taxonomy-post_tag-ptparent\";s:1:\"0\";s:29:\"taxonomy-post_format-ptparent\";s:1:\"0\";}", "yes");
INSERT INTO `wp_options` VALUES("58018", "wpseo_social", "a:19:{s:13:\"facebook_site\";s:0:\"\";s:13:\"instagram_url\";s:0:\"\";s:12:\"linkedin_url\";s:0:\"\";s:11:\"myspace_url\";s:0:\"\";s:16:\"og_default_image\";s:0:\"\";s:19:\"og_default_image_id\";s:0:\"\";s:18:\"og_frontpage_title\";s:0:\"\";s:17:\"og_frontpage_desc\";s:0:\"\";s:18:\"og_frontpage_image\";s:0:\"\";s:21:\"og_frontpage_image_id\";s:0:\"\";s:9:\"opengraph\";b:1;s:13:\"pinterest_url\";s:0:\"\";s:15:\"pinterestverify\";s:0:\"\";s:7:\"twitter\";b:1;s:12:\"twitter_site\";s:0:\"\";s:17:\"twitter_card_type\";s:19:\"summary_large_image\";s:11:\"youtube_url\";s:0:\"\";s:13:\"wikipedia_url\";s:0:\"\";s:10:\"fbadminapp\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("58019", "wpseo_flush_rewrite", "1", "yes");
INSERT INTO `wp_options` VALUES("58028", "wpseo_onpage", "a:2:{s:6:\"status\";i:1;s:10:\"last_fetch\";i:1597082723;}", "yes");
INSERT INTO `wp_options` VALUES("58237", "lead_call_buttons_settings", "a:19:{s:39:\"lead_call_buttons_general_callnow-title\";s:11:\"Book A Date\";s:38:\"lead_call_buttons_general_callnow-icon\";s:0:\"\";s:40:\"lead_call_buttons_general_callnow-number\";s:35:\"https://melanieebenson.com/booking/\";s:41:\"lead_call_buttons_general_callnow-onclick\";s:96:\"gtag(\'event\', \'Click\', { \'event_category\': \'Links\', \'event_label\': \'Go to Booking on mobile\' });\";s:40:\"lead_call_buttons_general_schedule-title\";s:8:\"Email Me\";s:39:\"lead_call_buttons_general_schedule-icon\";s:0:\"\";s:39:\"lead_call_buttons_general_schedule-link\";s:34:\"mailto:MelanieeBensonVip@gmail.com\";s:42:\"lead_call_buttons_general_schedule-onclick\";s:88:\"gtag(\'event\', \'Click\', { \'event_category\': \'Links\', \'event_label\': \'Email on mobile\' });\";s:35:\"lead_call_buttons_general_map-title\";s:0:\"\";s:34:\"lead_call_buttons_general_map-icon\";s:0:\"\";s:34:\"lead_call_buttons_general_map-link\";s:0:\"\";s:37:\"lead_call_buttons_general_map-onclick\";s:0:\"\";s:34:\"lead_call_buttons_general_bg-color\";s:1:\"0\";s:37:\"lead_call_buttons_general_bg-sl-color\";s:7:\"#ffffff\";s:38:\"lead_call_buttons_general_bg-gd-color1\";s:0:\"\";s:38:\"lead_call_buttons_general_bg-gd-color2\";s:0:\"\";s:36:\"lead_call_buttons_general_text-color\";s:7:\"#000000\";s:39:\"lead_call_buttons_general_btn-animation\";s:1:\"0\";s:36:\"lead_call_buttons_general_custom-css\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("58253", "mtsnb_stats", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("58254", "wp_notification_bar_activated", "1545677426", "yes");
INSERT INTO `wp_options` VALUES("58255", "wp_notification_bar_notice_views", "3", "yes");
INSERT INTO `wp_options` VALUES("60926", "ig_es_default_subscriber_imported", "yes", "yes");
INSERT INTO `wp_options` VALUES("64354", "gf_previous_db_version", "2.3.3.6", "yes");
INSERT INTO `wp_options` VALUES("64355", "gf_upgrade_lock", "", "yes");
INSERT INTO `wp_options` VALUES("64356", "gform_sticky_admin_messages", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("64358", "gf_db_version", "2.4.3", "yes");
INSERT INTO `wp_options` VALUES("64377", "wider-gf-stop-entries", "a:1:{i:5;s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("64380", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("70257", "rlrsssl_options", "a:15:{s:12:\"site_has_ssl\";b:1;s:4:\"hsts\";b:0;s:22:\"htaccess_warning_shown\";b:0;s:19:\"review_notice_shown\";b:1;s:25:\"ssl_success_message_shown\";b:1;s:26:\"autoreplace_insecure_links\";b:1;s:17:\"plugin_db_version\";s:5:\"3.2.8\";s:5:\"debug\";b:0;s:20:\"do_not_edit_htaccess\";b:0;s:17:\"htaccess_redirect\";b:0;s:11:\"ssl_enabled\";b:1;s:19:\"javascript_redirect\";b:1;s:11:\"wp_redirect\";b:1;s:31:\"switch_mixed_content_fixer_hook\";b:0;s:19:\"dismiss_all_notices\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("70637", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("70642", "widget_email-subscribers-form", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("70654", "ig_es_from_name", "Melaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("70655", "ig_es_from_email", "contact@courtesancreative.com", "yes");
INSERT INTO `wp_options` VALUES("70656", "ig_es_admin_new_contact_email_subject", "Melaniee Benson - New email subscription", "yes");
INSERT INTO `wp_options` VALUES("70657", "ig_es_admin_new_contact_email_content", "Hi Admin,\r\n\r\nCongratulations! You have a new subscriber.\r\n\r\nName : {{NAME}}\r\nEmail: {{EMAIL}}\r\nGroup: {{GROUP}}\r\n\r\nHave a nice day :)\r\nMelaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("70658", "ig_es_admin_emails", "contact@courtesancreative.com", "yes");
INSERT INTO `wp_options` VALUES("70659", "ig_es_confirmation_mail_subject", "Melaniee Benson - Please confirm your subscription", "yes");
INSERT INTO `wp_options` VALUES("70660", "ig_es_confirmation_mail_content", "Hi {{NAME}},\r\n\r\nWe have received a subscription request from this email address. Please confirm it by <a href=\\\'{{LINK}}\\\'>clicking here</a>.\r\n\r\nIf you still cannot subscribe, please copy this link and paste it in your browser :\r\n{{LINK}} \r\n\r\nThank You\r\nMelaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("70661", "ig_es_enable_welcome_email", "yes", "yes");
INSERT INTO `wp_options` VALUES("70662", "ig_es_welcome_email_subject", "Melaniee Benson - Welcome!", "yes");
INSERT INTO `wp_options` VALUES("70663", "ig_es_welcome_email_content", "Hi {{NAME}},\r\n\r\nThank you for subscribing to Melaniee Benson.\r\n\r\nxoxo,\r\nMelaniee Benson\r\n\r\nGot subscribed to Melaniee Benson by mistake? Click <a href=\\\'{{LINK}}\\\'>here</a> to unsubscribe.", "yes");
INSERT INTO `wp_options` VALUES("70664", "ig_es_enable_cron_admin_email", "no", "yes");
INSERT INTO `wp_options` VALUES("70665", "ig_es_cron_admin_email", "Hi Admin,\r\n\r\nCron URL has been triggered successfully on {{DATE}} for the email \\\'{{SUBJECT}}\\\'. And it sent email to {{COUNT}} recipient(s).\r\n\r\nBest,\r\nMelaniee Benson", "yes");
INSERT INTO `wp_options` VALUES("70666", "ig_es_hourly_email_send_limit", "50", "yes");
INSERT INTO `wp_options` VALUES("70667", "ig_es_sent_report_subject", "Your email has been sent", "yes");
INSERT INTO `wp_options` VALUES("70668", "ig_es_sent_report_content", "Hi Admin,\r\n\r\nEmail has been sent successfully to {{COUNT}} email(s). Please find the details below:\r\n\r\nUnique ID: {{UNIQUE}}\r\nStart Time: {{STARTTIME}}\r\nEnd Time: {{ENDTIME}}\r\nFor more information, login to your dashboard and go to Reports menu in Email Subscribers.\r\n\r\nThank You.", "yes");
INSERT INTO `wp_options` VALUES("70669", "ig_es_unsubscribe_link", "http://keira.courtesancreative.com/?es=unsubscribe&db={{DBID}}&email={{EMAIL}}&guid={{GUID}}", "yes");
INSERT INTO `wp_options` VALUES("70670", "ig_es_optin_link", "http://keira.courtesancreative.com/?es=optin&db={{DBID}}&email={{EMAIL}}&guid={{GUID}}", "yes");
INSERT INTO `wp_options` VALUES("70671", "ig_es_unsubscribe_link_content", "No longer interested in emails from Melaniee Benson? Please <a href=\\\'{{LINK}}\\\'>click here</a> to unsubscribe.", "yes");
INSERT INTO `wp_options` VALUES("70672", "ig_es_email_type", "wp_html_mail", "yes");
INSERT INTO `wp_options` VALUES("70673", "ig_es_notify_admin", "no", "yes");
INSERT INTO `wp_options` VALUES("70674", "ig_es_optin_type", "double_opt_in", "yes");
INSERT INTO `wp_options` VALUES("70675", "ig_es_subscription_error_messsage", "Oops.. Your request couldn\\\'t be completed. This email address seems to be already subscribed / blocked.", "yes");
INSERT INTO `wp_options` VALUES("70676", "ig_es_subscription_success_message", "You have been successfully subscribed.", "yes");
INSERT INTO `wp_options` VALUES("70677", "ig_es_unsubscribe_error_message", "Oops.. There was some technical error. Please try again later.", "yes");
INSERT INTO `wp_options` VALUES("70678", "ig_es_unsubscribe_success_message", "Thank You, You have been successfully unsubscribed.", "yes");
INSERT INTO `wp_options` VALUES("70679", "ig_es_db_version", "4.1.8", "yes");
INSERT INTO `wp_options` VALUES("70680", "ig_es_roles_and_capabilities", "a:5:{s:19:\"es_roles_subscriber\";s:14:\"manage_options\";s:13:\"es_roles_mail\";s:14:\"manage_options\";s:21:\"es_roles_notification\";s:14:\"manage_options\";s:17:\"es_roles_sendmail\";s:14:\"manage_options\";s:17:\"es_roles_sentmail\";s:14:\"manage_options\";}", "yes");
INSERT INTO `wp_options` VALUES("70695", "ig_es_400_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70700", "ig_es_401_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70705", "ig_es_402_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70712", "ig_es_403_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70721", "ig_es_405_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70724", "ig_es_4010_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70731", "ig_es_4011_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70736", "ig_es_4015_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70741", "ig_es_411_db_updated_at", "2019-07-05 06:17:51", "no");
INSERT INTO `wp_options` VALUES("70744", "ig_admin_notices", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("70753", "uncode_registration_legacy_check", "1", "yes");
INSERT INTO `wp_options` VALUES("70760", "uncode_core_latest_version", "2.2.4", "yes");
INSERT INTO `wp_options` VALUES("71081", "uncode_theme_options_number_of_inputs", "1118", "yes");
INSERT INTO `wp_options` VALUES("71873", "uncode_wireframes_placeholders", "a:9:{i:0;a:3:{s:2:\"id\";i:2829;s:5:\"thumb\";s:6:\"image1\";s:4:\"type\";s:7:\"generic\";}i:1;a:3:{s:2:\"id\";i:2830;s:5:\"thumb\";s:6:\"image2\";s:4:\"type\";s:7:\"generic\";}i:2;a:3:{s:2:\"id\";i:2831;s:5:\"thumb\";s:6:\"image3\";s:4:\"type\";s:7:\"generic\";}i:3;a:3:{s:2:\"id\";i:2832;s:5:\"thumb\";s:6:\"image4\";s:4:\"type\";s:7:\"generic\";}i:4;a:3:{s:2:\"id\";i:2833;s:5:\"thumb\";s:6:\"image5\";s:4:\"type\";s:7:\"generic\";}i:5;a:3:{s:2:\"id\";i:2834;s:5:\"thumb\";s:6:\"image6\";s:4:\"type\";s:7:\"generic\";}i:6;a:3:{s:2:\"id\";i:2835;s:5:\"thumb\";s:5:\"team1\";s:4:\"type\";s:4:\"team\";}i:7;a:3:{s:2:\"id\";i:2836;s:5:\"thumb\";s:5:\"logo1\";s:4:\"type\";s:4:\"logo\";}i:8;a:3:{s:2:\"id\";i:2837;s:5:\"thumb\";s:6:\"quote1\";s:4:\"type\";s:5:\"quote\";}}", "yes");
INSERT INTO `wp_options` VALUES("72024", "envato_purchase_code_13373220", "3492addc-21e9-4e7b-8c0d-946122d697a0", "yes");
INSERT INTO `wp_options` VALUES("72025", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("73477", "rn-pbwp-text", "<p style=\"text-align: center;\"> </p>", "yes");
INSERT INTO `wp_options` VALUES("73478", "rn-pbwp-dot_color", "#ffffff", "yes");
INSERT INTO `wp_options` VALUES("73479", "rn-pbwp-bg_color", "#000000", "yes");
INSERT INTO `wp_options` VALUES("73480", "rn-pbwp-particle_density", "1", "yes");
INSERT INTO `wp_options` VALUES("73481", "rn-pbwp-enable_front_page", "1", "yes");
INSERT INTO `wp_options` VALUES("76625", "ig_es_update_processed_tasks", "a:1:{i:0;s:27:\"ig_es_update_417_db_version\";}", "yes");
INSERT INTO `wp_options` VALUES("76626", "ig_es_417_db_updated_at", "2019-07-22 22:27:48", "no");
INSERT INTO `wp_options` VALUES("76640", "ig_es_feedback_data", "a:1:{s:26:\"esfree.plugin.deactivation\";a:1:{i:0;a:5:{s:4:\"type\";s:5:\"radio\";s:5:\"title\";s:43:\"Why are you deactivating Email Subscribers?\";s:4:\"slug\";s:42:\"why-are-you-deactivating-email-subscribers\";s:5:\"value\";s:27:\"i-no-longer-need-the-plugin\";s:10:\"created_on\";s:19:\"2019-07-22 22:30:05\";}}}", "yes");
INSERT INTO `wp_options` VALUES("77065", "uncode_gallery_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77496", "uncodeblock_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77545", "media-category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77571", "page_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77585", "portfolio_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78276", "seed_csp4_initial_version", "5.0.25", "no");
INSERT INTO `wp_options` VALUES("78277", "seed_csp4_version", "5.1.0", "no");
INSERT INTO `wp_options` VALUES("78278", "seed_csp4_settings_content", "a:9:{s:6:\"status\";s:1:\"0\";s:4:\"logo\";s:0:\"\";s:8:\"headline\";s:28:\"Website is under maintenance\";s:11:\"description\";s:0:\"\";s:13:\"footer_credit\";s:1:\"0\";s:7:\"favicon\";s:0:\"\";s:9:\"seo_title\";s:0:\"\";s:15:\"seo_description\";s:0:\"\";s:12:\"ga_analytics\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("78279", "seed_csp4_settings_design", "a:12:{s:8:\"bg_color\";s:7:\"#fafafa\";s:8:\"bg_image\";s:0:\"\";s:8:\"bg_cover\";a:1:{i:0;s:1:\"1\";}s:9:\"bg_repeat\";s:9:\"no-repeat\";s:11:\"bg_position\";s:8:\"left top\";s:13:\"bg_attahcment\";s:5:\"fixed\";s:9:\"max_width\";s:0:\"\";s:10:\"text_color\";s:7:\"#666666\";s:10:\"link_color\";s:7:\"#27AE60\";s:14:\"headline_color\";s:7:\"#444444\";s:9:\"text_font\";s:6:\"_arial\";s:10:\"custom_css\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("78280", "seed_csp4_settings_advanced", "a:2:{s:14:\"header_scripts\";s:0:\"\";s:14:\"footer_scripts\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("96940", "active_plugins", "a:25:{i:0;s:29:\"gravityforms/gravityforms.php\";i:1;s:81:\"all-in-one-wp-migration-file-extension/all-in-one-wp-migration-file-extension.php\";i:2;s:51:\"all-in-one-wp-migration/all-in-one-wp-migration.php\";i:3;s:47:\"better-search-replace/better-search-replace.php\";i:4;s:33:\"classic-editor/classic-editor.php\";i:5;s:27:\"coming-soon/coming-soon.php\";i:6;s:53:\"disable-jpeg-compression/disable-jpeg-compression.php\";i:7;s:32:\"duplicate-page/duplicatepage.php\";i:8;s:25:\"duplicator/duplicator.php\";i:9;s:45:\"enable-media-replace/enable-media-replace.php\";i:10;s:31:\"ga-germanized/ga-germanized.php\";i:11;s:33:\"lead-call-buttons/plugin-main.php\";i:12;s:27:\"popup-maker/popup-maker.php\";i:13;s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";i:14;s:37:\"revision-control/revision-control.php\";i:15;s:27:\"uncode-core/uncode-core.php\";i:16;s:34:\"uncode-js_composer/js_composer.php\";i:17;s:29:\"vc_clipboard/vc_clipboard.php\";i:18;s:69:\"wider-gravity-forms-stop-entries/wider-gravity-forms-stop-entries.php\";i:19;s:24:\"wordpress-seo/wp-seo.php\";i:20;s:45:\"wp-content-copy-protector/preventer-index.php\";i:21;s:29:\"wp-mail-smtp/wp_mail_smtp.php\";i:22;s:45:\"wp-notification-bars/wp-notification-bars.php\";i:23;s:23:\"wp-rocket/wp-rocket.php\";i:24;s:29:\"wpbase-cache/wpbase-cache.php\";}", "yes");
INSERT INTO `wp_options` VALUES("96941", "ai1wm_secret_key", "FKKNJdgayB3U", "yes");
INSERT INTO `wp_options` VALUES("96942", "ai1wm_backups_labels", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("96943", "ai1wm_sites_links", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("96944", "ai1wm_status", "a:2:{s:4:\"type\";s:8:\"download\";s:7:\"message\";s:322:\"<a href=\"https://melanieebenson.com/wp-content/ai1wm-backups/melanieebenson.com-20191231-225602-643.wpress\" class=\"ai1wm-button-green ai1wm-emphasize ai1wm-button-download\" title=\"melanieebenson.com\" download=\"melanieebenson.com-20191231-225602-643.wpress\"><span>Download melanieebenson.com</span><em>Size: 216 MB</em></a>\";}", "yes");
INSERT INTO `wp_options` VALUES("96945", "template", "uncode", "yes");
INSERT INTO `wp_options` VALUES("96946", "stylesheet", "uncode-child", "yes");
INSERT INTO `wp_options` VALUES("96951", "_transient_uncode_transient_users", "a:2:{i:0;O:7:\"WP_User\":8:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"3\";s:10:\"user_login\";s:11:\"bensonadmin\";s:9:\"user_pass\";s:34:\"$P$BWAhA6E8pkjLF7O.X1sVWEFUfQbGa61\";s:13:\"user_nicename\";s:11:\"bensonadmin\";s:10:\"user_email\";s:27:\"melanieebensonvip@gmail.com\";s:8:\"user_url\";s:25:\"http://melanieebenson.com\";s:15:\"user_registered\";s:19:\"2019-12-31 05:00:16\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:15:\"Melaniee Benson\";}s:2:\"ID\";i:3;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:77:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:24:\"vc_access_rules_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;s:20:\"wpseo_manage_options\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;s:16:\"\0WP_User\0site_id\";i:1;}i:1;O:7:\"WP_User\":8:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"2\";s:10:\"user_login\";s:9:\"courtesan\";s:9:\"user_pass\";s:34:\"$P$Bv8OkKFoVOg1nS/qXTRMKwj4bk3ra1/\";s:13:\"user_nicename\";s:9:\"courtesan\";s:10:\"user_email\";s:29:\"contact@courtesancreative.com\";s:8:\"user_url\";s:0:\"\";s:15:\"user_registered\";s:19:\"2018-09-12 05:35:08\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:9:\"courtesan\";}s:2:\"ID\";i:2;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:77:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:31:\"vc_access_rules_post_types/page\";b:1;s:36:\"vc_access_rules_post_types/portfolio\";b:1;s:38:\"vc_access_rules_post_types/uncodeblock\";b:1;s:41:\"vc_access_rules_post_types/uncode_gallery\";b:1;s:26:\"vc_access_rules_post_types\";s:6:\"custom\";s:30:\"vc_access_rules_backend_editor\";s:7:\"default\";s:29:\"vc_access_rules_post_settings\";b:1;s:24:\"vc_access_rules_settings\";b:1;s:25:\"vc_access_rules_templates\";b:1;s:26:\"vc_access_rules_shortcodes\";b:1;s:28:\"vc_access_rules_grid_builder\";b:1;s:23:\"vc_access_rules_presets\";b:1;s:25:\"vc_access_rules_dragndrop\";b:1;s:31:\"vc_access_rules_post_types/post\";b:1;s:20:\"wpseo_manage_options\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;s:16:\"\0WP_User\0site_id\";i:1;}}", "yes");
INSERT INTO `wp_options` VALUES("96952", "_transient_timeout_wpseo_link_table_inaccessible", "1609026360", "no");
INSERT INTO `wp_options` VALUES("96953", "_transient_wpseo_link_table_inaccessible", "0", "no");
INSERT INTO `wp_options` VALUES("96954", "_transient_timeout_wpseo_meta_table_inaccessible", "1609026360", "no");
INSERT INTO `wp_options` VALUES("96955", "_transient_wpseo_meta_table_inaccessible", "0", "no");
INSERT INTO `wp_options` VALUES("96956", "admin_email_lifespan", "1610155455", "yes");
INSERT INTO `wp_options` VALUES("96969", "can_compress_scripts", "0", "no");
INSERT INTO `wp_options` VALUES("96970", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("98916", "bsr_data", "a:8:{s:13:\"select_tables\";a:22:{i:0;s:14:\"wp_commentmeta\";i:1;s:11:\"wp_comments\";i:2;s:23:\"wp_gf_draft_submissions\";i:3;s:11:\"wp_gf_entry\";i:4;s:16:\"wp_gf_entry_meta\";i:5;s:17:\"wp_gf_entry_notes\";i:6;s:10:\"wp_gf_form\";i:7;s:15:\"wp_gf_form_meta\";i:8;s:20:\"wp_gf_form_revisions\";i:9;s:15:\"wp_gf_form_view\";i:10;s:8:\"wp_links\";i:11;s:10:\"wp_options\";i:12;s:11:\"wp_postmeta\";i:13;s:8:\"wp_posts\";i:14;s:21:\"wp_term_relationships\";i:15;s:16:\"wp_term_taxonomy\";i:16;s:11:\"wp_termmeta\";i:17;s:8:\"wp_terms\";i:18;s:11:\"wp_usermeta\";i:19;s:8:\"wp_users\";i:20;s:18:\"wp_yoast_seo_links\";i:21;s:17:\"wp_yoast_seo_meta\";}s:16:\"case_insensitive\";s:3:\"off\";s:13:\"replace_guids\";s:3:\"off\";s:7:\"dry_run\";s:2:\"on\";s:10:\"search_for\";s:16:\"Heather Matthews\";s:12:\"replace_with\";s:15:\"Melaniee Benson\";s:15:\"completed_pages\";i:22;s:11:\"total_pages\";i:22;}", "yes");
INSERT INTO `wp_options` VALUES("99397", "emr_news", "1", "yes");
INSERT INTO `wp_options` VALUES("100870", "gag_analytics-id", "UA-155197116-1", "no");
INSERT INTO `wp_options` VALUES("100871", "gag_analytics-mode", "gst", "no");
INSERT INTO `wp_options` VALUES("100872", "gag_disable-analytics-integration", "", "no");
INSERT INTO `wp_options` VALUES("100873", "gag_anonymize_ip", "1", "no");
INSERT INTO `wp_options` VALUES("100874", "gag_displayfeatures", "1", "no");
INSERT INTO `wp_options` VALUES("100875", "gag_link-tracking", "", "no");
INSERT INTO `wp_options` VALUES("100876", "gag_linkid", "", "no");
INSERT INTO `wp_options` VALUES("100877", "gag_domain", "", "no");
INSERT INTO `wp_options` VALUES("100878", "gag_custom-code", "", "no");
INSERT INTO `wp_options` VALUES("100879", "gag_ga-dnt", "", "no");
INSERT INTO `wp_options` VALUES("100880", "gag_disable-cookie-notice", "1", "no");
INSERT INTO `wp_options` VALUES("100881", "gag_cc-revocable-cookie-notice", "1", "no");
INSERT INTO `wp_options` VALUES("100882", "gag_cc-revocable-button-text", "Cookie Policy", "no");
INSERT INTO `wp_options` VALUES("100883", "gag_compliance-type", "note", "no");
INSERT INTO `wp_options` VALUES("100884", "gag_cc-position", "bottom", "no");
INSERT INTO `wp_options` VALUES("100885", "gag_cc-layout", "classic", "no");
INSERT INTO `wp_options` VALUES("100886", "gag_cc-banner-text", "This website uses cookies to ensure you get the best experience on our website.", "no");
INSERT INTO `wp_options` VALUES("100887", "gag_cc-button-text", "Got it!", "no");
INSERT INTO `wp_options` VALUES("100888", "gag_cc-accept-button-text", "Allow Cookies", "no");
INSERT INTO `wp_options` VALUES("100889", "gag_cc-deny-button-text", "Refuse Cookies", "no");
INSERT INTO `wp_options` VALUES("100890", "gag_enable-policy-link", "", "no");
INSERT INTO `wp_options` VALUES("100891", "gag_cc-policy-link-text", "Learn more", "no");
INSERT INTO `wp_options` VALUES("100892", "gag_cc-policy-link", "https://cookiesandyou.com/", "no");
INSERT INTO `wp_options` VALUES("100893", "gag_cc-banner-background-color", "#edeff5", "no");
INSERT INTO `wp_options` VALUES("100894", "gag_cc-banner-text-color", "#838391", "no");
INSERT INTO `wp_options` VALUES("100895", "gag_cc-button-background-color", "#4b81e8", "no");
INSERT INTO `wp_options` VALUES("100896", "gag_cc-button-text-color", "#ffffff", "no");
INSERT INTO `wp_options` VALUES("100897", "gag_custom-tracker-head", "", "no");
INSERT INTO `wp_options` VALUES("100898", "gag_custom-tracker-footer", "", "no");
INSERT INTO `wp_options` VALUES("100899", "gag_other-tracking-compliance", "", "no");
INSERT INTO `wp_options` VALUES("100900", "gag_custom-tracker-dnt", "", "no");
INSERT INTO `wp_options` VALUES("100964", "_uncode_htaccess_performace", "on", "yes");
INSERT INTO `wp_options` VALUES("101033", "pum_ver", "1.8.14", "yes");
INSERT INTO `wp_options` VALUES("101034", "pum_initial_version", "1.8.14", "yes");
INSERT INTO `wp_options` VALUES("101035", "pum_ver_upgraded_from", "0.0.0", "yes");
INSERT INTO `wp_options` VALUES("101036", "pum_db_ver", "8", "yes");
INSERT INTO `wp_options` VALUES("101037", "pum_installed_on", "2019-12-31 05:14:29", "yes");
INSERT INTO `wp_options` VALUES("101038", "fs_active_plugins", "O:8:\"stdClass\":3:{s:7:\"plugins\";a:1:{s:37:\"popup-maker/includes/pum-sdk/freemius\";O:8:\"stdClass\":4:{s:7:\"version\";s:5:\"2.2.4\";s:4:\"type\";s:6:\"plugin\";s:9:\"timestamp\";i:1577769269;s:11:\"plugin_path\";s:27:\"popup-maker/popup-maker.php\";}}s:7:\"abspath\";s:40:\"/srv/www/melanieebenson.com/public_html/\";s:6:\"newest\";O:8:\"stdClass\":5:{s:11:\"plugin_path\";s:27:\"popup-maker/popup-maker.php\";s:8:\"sdk_path\";s:37:\"popup-maker/includes/pum-sdk/freemius\";s:7:\"version\";s:5:\"2.2.4\";s:13:\"in_activation\";b:1;s:9:\"timestamp\";i:1577769269;}}", "yes");
INSERT INTO `wp_options` VALUES("101039", "fs_debug_mode", "", "yes");
INSERT INTO `wp_options` VALUES("101040", "fs_accounts", "a:5:{s:21:\"id_slug_type_path_map\";a:1:{i:147;a:3:{s:4:\"slug\";s:11:\"popup-maker\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:27:\"popup-maker/popup-maker.php\";}}s:11:\"plugin_data\";a:1:{s:11:\"popup-maker\";a:13:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:27:\"popup-maker/popup-maker.php\";}s:17:\"install_timestamp\";i:1577769269;s:16:\"sdk_last_version\";N;s:11:\"sdk_version\";s:5:\"2.2.4\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:6:\"1.8.14\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:21:\"is_plugin_new_install\";b:1;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:18:\"melanieebenson.com\";s:9:\"server_ip\";s:14:\"73.235.128.233\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1577769269;s:7:\"version\";s:6:\"1.8.14\";}s:17:\"was_plugin_loaded\";b:1;}}s:13:\"file_slug_map\";a:1:{s:27:\"popup-maker/popup-maker.php\";s:11:\"popup-maker\";}s:7:\"plugins\";a:1:{s:11:\"popup-maker\";O:9:\"FS_Plugin\":20:{s:16:\"parent_plugin_id\";N;s:5:\"title\";s:11:\"Popup Maker\";s:4:\"slug\";s:11:\"popup-maker\";s:12:\"premium_slug\";s:19:\"popup-maker-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:4:\"file\";s:27:\"popup-maker/popup-maker.php\";s:7:\"version\";s:6:\"1.8.14\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:10:\"public_key\";s:32:\"pk_0a02cbd99443e0ab7211b19222fe3\";s:10:\"secret_key\";N;s:2:\"id\";s:3:\"147\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:1;}}s:9:\"unique_id\";s:32:\"a09ee747e2989268f4d786063b8ede8a\";}", "yes");
INSERT INTO `wp_options` VALUES("101041", "pum_previously_opted_using_freemius", "0", "yes");
INSERT INTO `wp_options` VALUES("101042", "fs_api_cache", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("101043", "fs_gdpr", "a:1:{s:2:\"u2\";a:1:{s:8:\"required\";b:0;}}", "yes");
INSERT INTO `wp_options` VALUES("101046", "popmake_settings", "a:2:{s:26:\"disable_popup_category_tag\";i:1;s:16:\"default_theme_id\";i:79332;}", "yes");
INSERT INTO `wp_options` VALUES("101047", "pum_version", "1.8.14", "yes");
INSERT INTO `wp_options` VALUES("101050", "_pum_installed_themes", "a:5:{i:0;s:8:\"lightbox\";i:1;s:15:\"enterprise-blue\";i:2;s:9:\"hello-box\";i:3;s:12:\"cutting-edge\";i:4;s:13:\"framed-border\";}", "yes");
INSERT INTO `wp_options` VALUES("101051", "pum_completed_upgrades", "a:1:{i:0;s:16:\"core-v1_8-themes\";}", "yes");
INSERT INTO `wp_options` VALUES("101052", "pum_extend_viewed_extensions", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("101053", "pum_reviews_installed_on", "2019-12-31 05:14:31", "yes");
INSERT INTO `wp_options` VALUES("101054", "_pum_installed", "1", "yes");
INSERT INTO `wp_options` VALUES("101070", "pum-has-cached-css", "1577770722", "yes");
INSERT INTO `wp_options` VALUES("101071", "pum-has-cached-js", "1577770726", "yes");
INSERT INTO `wp_options` VALUES("101079", "pum_all_theme_close_text_cache", "a:6:{i:79332;s:1:\"X\";i:79333;s:7:\"&times;\";i:79334;s:2:\"×\";i:79335;s:2:\"×\";i:79336;s:2:\"×\";i:79337;s:2:\"×\";}", "yes");
INSERT INTO `wp_options` VALUES("101092", "pum_total_open_count", "9316", "yes");
INSERT INTO `wp_options` VALUES("101148", "pum_privacy_cookie_list", "a:2:{s:7:\"cookies\";a:1:{s:9:\"pum-79338\";a:3:{s:5:\"label\";s:56:\"Cookie used to prevent popup from displaying repeatedly.\";s:4:\"name\";s:9:\"pum-79338\";s:4:\"time\";s:7:\"1 month\";}}s:9:\"timestamp\";i:1596659152;}", "yes");
INSERT INTO `wp_options` VALUES("101638", "wp_rocket_settings", "a:74:{s:19:\"purge_cron_interval\";i:168;s:15:\"purge_cron_unit\";s:15:\"HOUR_IN_SECONDS\";s:19:\"minify_google_fonts\";i:1;s:10:\"minify_css\";i:1;s:11:\"exclude_css\";a:0:{}s:12:\"critical_css\";s:0:\"\";s:9:\"minify_js\";i:1;s:17:\"exclude_inline_js\";a:0:{}s:10:\"exclude_js\";a:4:{i:0;s:44:\"/wp-content/themes/uncode/library/js/init.js\";i:1;s:52:\"/wp-content/themes/uncode/library/js/min/init.min.js\";i:2;s:49:\"/wp-content/themes/uncode/library/js/ai-uncode.js\";i:3;s:57:\"/wp-content/themes/uncode/library/js/min/ai-uncode.min.js\";}s:17:\"defer_all_js_safe\";i:1;s:5:\"emoji\";i:1;s:14:\"manual_preload\";i:1;s:15:\"sitemap_preload\";i:1;s:17:\"yoast_xml_sitemap\";s:1:\"1\";s:8:\"sitemaps\";a:0:{}s:12:\"dns_prefetch\";a:1:{i:0;s:18:\"//fonts.google.com\";}s:16:\"cache_reject_uri\";a:0:{}s:20:\"cache_reject_cookies\";a:0:{}s:15:\"cache_reject_ua\";a:0:{}s:17:\"cache_purge_pages\";a:0:{}s:19:\"cache_query_strings\";a:0:{}s:18:\"database_revisions\";i:1;s:20:\"database_auto_drafts\";i:1;s:22:\"database_trashed_posts\";i:1;s:27:\"automatic_cleanup_frequency\";s:0:\"\";s:10:\"cdn_cnames\";a:0:{}s:8:\"cdn_zone\";a:0:{}s:16:\"cdn_reject_files\";a:0:{}s:24:\"heartbeat_admin_behavior\";s:18:\"reduce_periodicity\";s:25:\"heartbeat_editor_behavior\";s:18:\"reduce_periodicity\";s:23:\"heartbeat_site_behavior\";s:18:\"reduce_periodicity\";s:18:\"cloudflare_api_key\";s:0:\"\";s:16:\"cloudflare_email\";s:0:\"\";s:18:\"cloudflare_zone_id\";s:0:\"\";s:18:\"sucury_waf_api_key\";s:0:\"\";s:12:\"consumer_key\";s:0:\"\";s:14:\"consumer_email\";s:0:\"\";s:10:\"secret_key\";s:0:\"\";s:7:\"license\";s:0:\"\";s:16:\"secret_cache_key\";s:22:\"5e0bc8b65f54c864027183\";s:14:\"minify_css_key\";s:22:\"5ee5523cbd6b5621167097\";s:13:\"minify_js_key\";s:22:\"5ee5523cbd6bd901354261\";s:7:\"version\";s:7:\"3.4.2.1\";s:23:\"cloudflare_old_settings\";s:0:\"\";s:25:\"sitemap_preload_url_crawl\";s:6:\"500000\";s:9:\"cache_ssl\";i:1;s:7:\"do_beta\";i:0;s:17:\"cache_logged_user\";i:0;s:12:\"cache_mobile\";i:0;s:23:\"do_caching_mobile_files\";i:0;s:11:\"minify_html\";i:0;s:22:\"minify_concatenate_css\";i:0;s:21:\"minify_concatenate_js\";i:0;s:12:\"defer_all_js\";i:0;s:6:\"embeds\";i:0;s:8:\"lazyload\";i:0;s:16:\"lazyload_iframes\";i:0;s:16:\"lazyload_youtube\";i:0;s:20:\"remove_query_strings\";i:0;s:9:\"async_css\";i:0;s:22:\"database_spam_comments\";i:0;s:25:\"database_trashed_comments\";i:0;s:27:\"database_expired_transients\";i:0;s:23:\"database_all_transients\";i:0;s:24:\"database_optimize_tables\";i:0;s:26:\"schedule_automatic_cleanup\";i:0;s:13:\"do_cloudflare\";i:0;s:18:\"cloudflare_devmode\";i:0;s:24:\"cloudflare_auto_settings\";i:0;s:27:\"cloudflare_protocol_rewrite\";i:0;s:21:\"sucury_waf_cache_sync\";i:0;s:17:\"control_heartbeat\";i:0;s:3:\"cdn\";i:0;s:18:\"varnish_auto_purge\";i:0;}", "yes");
INSERT INTO `wp_options` VALUES("101642", "rocket_cache_dir_size_check", "1", "yes");
INSERT INTO `wp_options` VALUES("101658", "rocket_analytics_notice_displayed", "1", "yes");
INSERT INTO `wp_options` VALUES("106664", "_transient_rocket_notice_missing_tags", "a:3:{i:0;s:7:\"</html>\";i:1;s:7:\"</body>\";i:2;s:11:\"wp_footer()\";}", "yes");
INSERT INTO `wp_options` VALUES("117116", "rewrite_rules", "a:128:{s:19:\"sitemap_index\\.xml$\";s:19:\"index.php?sitemap=1\";s:31:\"([^/]+?)-sitemap([0-9]+)?\\.xml$\";s:51:\"index.php?sitemap=$matches[1]&sitemap_n=$matches[2]\";s:24:\"([a-z]+)?-?sitemap\\.xsl$\";s:39:\"index.php?yoast-sitemap-xsl=$matches[1]\";s:12:\"portfolio/?$\";s:29:\"index.php?post_type=portfolio\";s:42:\"portfolio/feed/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?post_type=portfolio&feed=$matches[1]\";s:37:\"portfolio/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?post_type=portfolio&feed=$matches[1]\";s:29:\"portfolio/page/([0-9]{1,})/?$\";s:47:\"index.php?post_type=portfolio&paged=$matches[1]\";s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:35:\"portfolio/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"portfolio/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"portfolio/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"portfolio/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"portfolio/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"portfolio/.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:24:\"portfolio/(.+?)/embed/?$\";s:42:\"index.php?portfolio=$matches[1]&embed=true\";s:28:\"portfolio/(.+?)/trackback/?$\";s:36:\"index.php?portfolio=$matches[1]&tb=1\";s:48:\"portfolio/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?portfolio=$matches[1]&feed=$matches[2]\";s:43:\"portfolio/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?portfolio=$matches[1]&feed=$matches[2]\";s:36:\"portfolio/(.+?)/page/?([0-9]{1,})/?$\";s:49:\"index.php?portfolio=$matches[1]&paged=$matches[2]\";s:43:\"portfolio/(.+?)/comment-page-([0-9]{1,})/?$\";s:49:\"index.php?portfolio=$matches[1]&cpage=$matches[2]\";s:32:\"portfolio/(.+?)(?:/([0-9]+))?/?$\";s:48:\"index.php?portfolio=$matches[1]&page=$matches[2]\";s:54:\"portfolio_cat/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:57:\"index.php?portfolio_category=$matches[1]&feed=$matches[2]\";s:49:\"portfolio_cat/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:57:\"index.php?portfolio_category=$matches[1]&feed=$matches[2]\";s:30:\"portfolio_cat/([^/]+)/embed/?$\";s:51:\"index.php?portfolio_category=$matches[1]&embed=true\";s:42:\"portfolio_cat/([^/]+)/page/?([0-9]{1,})/?$\";s:58:\"index.php?portfolio_category=$matches[1]&paged=$matches[2]\";s:24:\"portfolio_cat/([^/]+)/?$\";s:40:\"index.php?portfolio_category=$matches[1]\";s:54:\"page_category/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?page_category=$matches[1]&feed=$matches[2]\";s:49:\"page_category/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?page_category=$matches[1]&feed=$matches[2]\";s:30:\"page_category/([^/]+)/embed/?$\";s:46:\"index.php?page_category=$matches[1]&embed=true\";s:42:\"page_category/([^/]+)/page/?([0-9]{1,})/?$\";s:53:\"index.php?page_category=$matches[1]&paged=$matches[2]\";s:24:\"page_category/([^/]+)/?$\";s:35:\"index.php?page_category=$matches[1]\";s:56:\"uncodeblock_cat/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:59:\"index.php?uncodeblock_category=$matches[1]&feed=$matches[2]\";s:51:\"uncodeblock_cat/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:59:\"index.php?uncodeblock_category=$matches[1]&feed=$matches[2]\";s:32:\"uncodeblock_cat/([^/]+)/embed/?$\";s:53:\"index.php?uncodeblock_category=$matches[1]&embed=true\";s:44:\"uncodeblock_cat/([^/]+)/page/?([0-9]{1,})/?$\";s:60:\"index.php?uncodeblock_category=$matches[1]&paged=$matches[2]\";s:26:\"uncodeblock_cat/([^/]+)/?$\";s:42:\"index.php?uncodeblock_category=$matches[1]\";s:55:\"media-category/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:53:\"index.php?media-category=$matches[1]&feed=$matches[2]\";s:50:\"media-category/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:53:\"index.php?media-category=$matches[1]&feed=$matches[2]\";s:31:\"media-category/([^/]+)/embed/?$\";s:47:\"index.php?media-category=$matches[1]&embed=true\";s:43:\"media-category/([^/]+)/page/?([0-9]{1,})/?$\";s:54:\"index.php?media-category=$matches[1]&paged=$matches[2]\";s:25:\"media-category/([^/]+)/?$\";s:36:\"index.php?media-category=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:41:\"index.php?&page_id=2105&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\"[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:24:\"([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:22:\"[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}", "yes");
INSERT INTO `wp_options` VALUES("117121", "_transient_rsssl_plusone_count", "0", "yes");
INSERT INTO `wp_options` VALUES("211620", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:2:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:7:\"upgrade\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.4.2.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.4.2.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-5.4.2-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-5.4.2-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.4.2\";s:7:\"version\";s:5:\"5.4.2\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.3\";s:15:\"partial_version\";s:0:\"\";}i:1;O:8:\"stdClass\":11:{s:8:\"response\";s:10:\"autoupdate\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.4.2.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.4.2.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-5.4.2-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-5.4.2-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.4.2\";s:7:\"version\";s:5:\"5.4.2\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.3\";s:15:\"partial_version\";s:0:\"\";s:9:\"new_files\";s:1:\"1\";}}s:12:\"last_checked\";i:1597089009;s:15:\"version_checked\";s:5:\"5.3.4\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("294159", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1597089011;s:7:\"checked\";a:6:{s:14:\"twentynineteen\";s:3:\"1.0\";s:15:\"twentyseventeen\";s:3:\"1.9\";s:13:\"twentysixteen\";s:3:\"1.7\";s:12:\"twentytwenty\";s:3:\"1.1\";s:12:\"uncode-child\";s:5:\"1.0.0\";s:6:\"uncode\";s:5:\"2.2.6\";}s:8:\"response\";a:5:{s:14:\"twentynineteen\";a:6:{s:5:\"theme\";s:14:\"twentynineteen\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:44:\"https://wordpress.org/themes/twentynineteen/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/theme/twentynineteen.1.6.zip\";s:8:\"requires\";s:5:\"4.9.6\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:15:\"twentyseventeen\";a:6:{s:5:\"theme\";s:15:\"twentyseventeen\";s:11:\"new_version\";s:3:\"2.3\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentyseventeen/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentyseventeen.2.3.zip\";s:8:\"requires\";s:3:\"4.7\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:13:\"twentysixteen\";a:6:{s:5:\"theme\";s:13:\"twentysixteen\";s:11:\"new_version\";s:3:\"2.1\";s:3:\"url\";s:43:\"https://wordpress.org/themes/twentysixteen/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/theme/twentysixteen.2.1.zip\";s:8:\"requires\";s:3:\"4.4\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:12:\"twentytwenty\";a:6:{s:5:\"theme\";s:12:\"twentytwenty\";s:11:\"new_version\";s:3:\"1.4\";s:3:\"url\";s:42:\"https://wordpress.org/themes/twentytwenty/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/theme/twentytwenty.1.4.zip\";s:8:\"requires\";s:3:\"4.7\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:6:\"uncode\";a:4:{s:5:\"theme\";s:6:\"uncode\";s:11:\"new_version\";s:7:\"2.2.8.2\";s:3:\"url\";s:78:\"https://themeforest.net/item/uncode-creative-multiuse-wordpress-theme/13373220\";s:7:\"package\";s:56:\"https://api.undsgn.com/downloads/uncode/theme/uncode.zip\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("294452", "_transient_timeout_GFCache_a20855ff2e009b18e7d7872bd7f7aceb", "1597089092", "no");
INSERT INTO `wp_options` VALUES("294453", "_transient_GFCache_a20855ff2e009b18e7d7872bd7f7aceb", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("294456", "_site_transient_timeout_available_translations", "1597099781", "no");
INSERT INTO `wp_options` VALUES("294457", "_site_transient_available_translations", "a:121:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-17 12:47:05\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-10 16:01:43\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:5:\"4.7.7\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.7/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-22 18:59:07\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-12 20:34:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.15\";s:7:\"updated\";s:19:\"2019-10-29 07:54:22\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.15/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-01-22 10:57:09\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:6:\"4.8.14\";s:7:\"updated\";s:19:\"2017-10-01 12:57:10\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.8.14/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:23:\"এগিয়ে চল.\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-19 11:34:21\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:33:\"མུ་མཐུད་དུ།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-24 08:04:42\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-27 07:17:53\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-11 08:59:48\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-12 08:30:51\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2019-12-15 20:45:17\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-02 17:15:35\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-02 17:15:46\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/5.3.4/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2019-12-12 08:02:09\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2019-12-12 08:02:56\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/translation/core/5.3.3/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-17 18:24:32\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 19:35:42\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-03 08:38:10\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 19:05:13\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-02-14 09:40:29\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-11 06:02:49\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-18 22:29:01\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-02-14 12:06:57\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.3/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-17 21:25:28\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-26 20:03:50\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-01-23 23:02:03\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-13 05:44:24\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-02-10 15:47:49\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2019-11-12 04:43:11\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:3:\"5.1\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.1/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-09 09:36:22\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 21:29:36\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 20:23:33\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:9:\"5.0-beta3\";s:7:\"updated\";s:19:\"2018-11-28 16:04:33\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.0-beta3/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2019-12-08 17:55:03\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.3/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-16 16:44:44\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-16 12:41:52\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 21:55:26\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:6:\"4.9.15\";s:7:\"updated\";s:19:\"2020-07-04 16:43:09\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.15/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-04 11:58:26\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:5:\"4.8.6\";s:7:\"updated\";s:19:\"2018-01-29 17:32:35\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.6/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-11 12:25:16\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:5:\"4.9.8\";s:7:\"updated\";s:19:\"2018-09-14 12:33:48\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.9.8/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:31:\"ચાલુ રાખવું\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:5:\"4.4.2\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.4.2/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-16 16:33:37\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:5:\"4.9.7\";s:7:\"updated\";s:19:\"2018-06-17 09:33:44\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.7/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"जारी\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-06-05 20:32:13\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.3/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 20:26:35\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.3.4/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"5.1.1\";s:7:\"updated\";s:19:\"2019-03-19 14:36:40\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.1.1/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-01-04 22:54:51\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.7.11\";s:7:\"updated\";s:19:\"2018-09-20 11:13:37\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.7.11/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-12 21:35:30\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-05-19 07:43:57\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"次へ\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-03-24 13:53:29\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Nerusaké\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-03-25 11:03:02\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-02-28 21:59:12\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.3.3/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-03-12 08:08:32\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.9.5/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:5:\"5.0.3\";s:7:\"updated\";s:19:\"2019-01-09 07:34:10\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.0.3/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:6:\"4.9.15\";s:7:\"updated\";s:19:\"2019-12-04 12:22:34\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.15/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರೆಸಿ\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-29 06:09:28\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:5:\"4.9.9\";s:7:\"updated\";s:19:\"2018-12-18 14:32:44\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.9/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"5.2.7\";s:7:\"updated\";s:19:\"2020-07-14 08:45:32\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.7/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:6:\"4.7.18\";s:7:\"updated\";s:19:\"2020-07-14 09:04:42\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.18/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"5.2.3\";s:7:\"updated\";s:19:\"2019-09-08 12:57:25\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.3/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-12 07:29:35\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"Үргэлжлүүлэх\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:6:\"4.8.14\";s:7:\"updated\";s:19:\"2018-02-13 07:38:55\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.14/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:6:\"4.9.15\";s:7:\"updated\";s:19:\"2018-08-31 11:57:07\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.15/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.1.20\";s:7:\"updated\";s:19:\"2015-03-26 15:57:42\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.1.20/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-13 22:20:11\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-03-27 10:30:26\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 20:46:26\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-22 15:40:41\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 20:47:20\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/5.3.4/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-01-01 08:53:00\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:5:\"4.8.3\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.3/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:7:\"Punjabi\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-22 13:24:47\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.1.20\";s:7:\"updated\";s:19:\"2015-03-29 22:19:48\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.1.20/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-25 10:44:19\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-18 23:47:49\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-01-08 13:01:50\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/5.3.3/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-10 19:31:47\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-28 11:14:18\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-06 17:31:43\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:3:\"5.3\";s:7:\"updated\";s:19:\"2019-11-12 04:37:38\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/5.3/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:3:\"snd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-10 07:02:46\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:5:\"5.2.3\";s:7:\"updated\";s:19:\"2019-06-26 11:40:37\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.2.3/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"4.9.2\";s:7:\"updated\";s:19:\"2018-01-04 13:33:13\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.2/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-13 09:13:17\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2019-12-15 22:50:02\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-26 23:48:18\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:5:\"5.2.6\";s:7:\"updated\";s:19:\"2019-10-22 00:19:41\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.2.6/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"5.2.7\";s:7:\"updated\";s:19:\"2020-06-04 18:07:56\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.2.7/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-30 02:38:08\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-06-16 22:44:16\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-04-12 12:31:53\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-07-27 13:00:28\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.4/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:5:\"5.1.6\";s:7:\"updated\";s:19:\"2020-04-09 10:48:08\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.1.6/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:6:\"5.0.10\";s:7:\"updated\";s:19:\"2019-01-23 12:32:40\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.0.10/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2019-12-07 15:52:24\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.3/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2020-08-02 01:01:25\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:5:\"5.3.4\";s:7:\"updated\";s:19:\"2019-12-08 21:26:25\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.4/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"5.3.3\";s:7:\"updated\";s:19:\"2020-03-08 12:12:22\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:16:\"香港中文版	\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.3/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}", "no");
INSERT INTO `wp_options` VALUES("294458", "_transient_timeout_pum_alerts_translation_status", "1597693781", "no");
INSERT INTO `wp_options` VALUES("294459", "_transient_pum_alerts_translation_status", "a:8:{i:0;a:7:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-11-21 20:58:12\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}}i:1;a:7:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-03-21 08:30:16\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}}i:2;a:7:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-11-14 00:21:22\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}}i:3;a:7:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-03-22 22:04:21\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}}i:4;a:7:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-10-09 10:28:24\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}}i:5;a:7:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"1.6.6\";s:7:\"updated\";s:19:\"2017-05-17 21:00:26\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:78:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.6.6/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}}i:6;a:7:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-03-22 03:01:15\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}}i:7;a:7:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:6:\"1.8.14\";s:7:\"updated\";s:19:\"2019-07-30 11:35:16\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/popup-maker/1.8.14/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}}}", "no");
INSERT INTO `wp_options` VALUES("294460", "_site_transient_timeout_browser_72f533ef66d493b897f3cfc643e15448", "1597693781", "no");
INSERT INTO `wp_options` VALUES("294461", "_site_transient_browser_72f533ef66d493b897f3cfc643e15448", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"84.0.4147.105\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("294462", "_site_transient_timeout_php_check_f156eb042996097af6b05559886a123b", "1597693782", "no");
INSERT INTO `wp_options` VALUES("294463", "_site_transient_php_check_f156eb042996097af6b05559886a123b", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("294464", "_transient_timeout_wpseo-statistics-totals", "1597175386", "no");
INSERT INTO `wp_options` VALUES("294465", "_transient_wpseo-statistics-totals", "a:1:{i:3;a:2:{s:6:\"scores\";a:0:{}s:8:\"division\";b:0;}}", "no");
INSERT INTO `wp_options` VALUES("294466", "_site_transient_timeout_community-events-8918b9eab4504d02e1ec352c567824ce", "1597132187", "no");
INSERT INTO `wp_options` VALUES("294467", "_site_transient_community-events-8918b9eab4504d02e1ec352c567824ce", "a:3:{s:9:\"sandboxed\";b:0;s:8:\"location\";a:1:{s:2:\"ip\";s:11:\"88.14.161.0\";}s:6:\"events\";a:2:{i:0;a:8:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:35:\"WordCamp Minneapolis, Minnesota USA\";s:3:\"url\";s:38:\"https://2020.minneapolis.wordcamp.org/\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2020-08-21 13:45:00\";s:8:\"end_date\";s:19:\"2020-08-21 13:45:00\";s:8:\"location\";a:4:{s:8:\"location\";s:6:\"Online\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:44.977753;s:9:\"longitude\";d:-93.2650108;}}i:1;a:8:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:78:\"Elementor práctico: Primeros pasos e introducción a la barra de herramientas\";s:3:\"url\";s:57:\"https://www.meetup.com/WordPress-Xativa/events/269152347/\";s:6:\"meetup\";s:18:\"WordPress  Xàtiva\";s:10:\"meetup_url\";s:40:\"https://www.meetup.com/WordPress-Xativa/\";s:4:\"date\";s:19:\"2020-09-04 16:00:00\";s:8:\"end_date\";s:19:\"2020-09-04 17:30:00\";s:8:\"location\";a:4:{s:8:\"location\";s:14:\"Xàtiva, Spain\";s:7:\"country\";s:2:\"es\";s:8:\"latitude\";d:38.9899559021;s:9:\"longitude\";d:-0.52354699373245;}}}}", "no");
INSERT INTO `wp_options` VALUES("294468", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1597132187", "no");
INSERT INTO `wp_options` VALUES("294469", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"News –  – WordPress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Aug 2020 13:07:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=5.6-alpha-48778\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 5.5 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2020/08/wordpress-5-5-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Aug 2020 19:12:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8764\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:420:\"The second release candidate for WordPress 5.5 is here! WordPress 5.5 is slated for release&#160;on&#160;August 11, 2020, but we need&#160;your&#160;help to get there—if you haven’t tried 5.5 yet,&#160;now is the time! You can test the WordPress 5.5 release candidate in two ways: Try the&#160;WordPress Beta Tester&#160;plugin (choose the “bleeding edge nightlies” option) Or&#160;download the release [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2503:\"\n<p>The second release candidate for WordPress 5.5 is here!</p>\n\n\n\n<p>WordPress 5.5 is slated for release&nbsp;on&nbsp;<strong>August 11, 2020</strong>, but we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.5 yet,&nbsp;now is the time!</p>\n\n\n\n<p>You can test the WordPress 5.5 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-RC2.zip\">download the release candidate here (zip)</a>.</li></ul>\n\n\n\n<p>Thank you to all of the contributors who tested the&nbsp;Beta releases and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.5 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme file to 5.5. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>,&nbsp;so those can be figured out before the final release.</p>\n\n\n\n<p>For a more detailed breakdown of the changes included in WordPress 5.5, check out the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1/\">WordPress 5.5 beta 1 post</a>. The&nbsp;<a href=\"https://make.wordpress.org/core/2020/07/30/wordpress-5-5-field-guide/\">WordPress 5.5 Field Guide</a>&nbsp;is also out! It’s your source for details on all the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a>&nbsp;This release also marks the&nbsp;<a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a>&nbsp;point of the 5.5 release schedule.</p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">fill one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8764\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"The Month in WordPress: July 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2020/08/the-month-in-wordpress-july-2020/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Aug 2020 13:54:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8755\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:340:\"July was an action-packed month for the WordPress project. The month saw a lot of updates on one of the most anticipated releases &#8211; WordPress 5.5! WordCamp US 2020 was canceled and the WordPress community team started experimenting with different formats for engaging online events, in July. Read on to catch up with all the [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Hari Shanker R\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11539:\"\n<p>July was an action-packed month for the WordPress project. The month saw a lot of updates on one of the most anticipated releases &#8211; WordPress 5.5! WordCamp US 2020 was canceled and the WordPress community team started experimenting with different formats for engaging online events, in July. Read on to catch up with all the updates from the WordPress world.</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>WordPress 5.5 Updates</h2>\n\n\n\n<p>July was full of WordPress 5.5 updates! The WordPress 5.5 <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1\">Beta 1</a> came out on July 7, followed by <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-2/\">Beta 2</a> on July 14, <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\">Beta 3</a> on July 21, and <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-4/\">Beta 4</a> on July 27. Subsequently, the team also published the first <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-release-candidate/\">release candidate</a> of WordPress 5.5 on July 28.&nbsp;</p>\n\n\n\n<p>WordPress 5.5, which is slated for release on <a href=\"https://make.wordpress.org/core/5-5/\">August 11, 2020</a>, is a major update with features like <a href=\"https://make.wordpress.org/core/tag/feature-autoupdates/\">automatic updates for plugins and themes</a>, a <a href=\"https://make.wordpress.org/plugins/2020/07/22/proposed-block-directory-guidelines/\">block directory</a>, <a href=\"https://make.wordpress.org/core/2020/06/10/merge-announcement-extensible-core-sitemaps/\">XML sitemaps</a>, <a href=\"https://make.wordpress.org/core/2020/07/16/block-patterns-in-wordpress-5-5/\">block patterns</a>, and <a href=\"https://make.wordpress.org/core/2020/07/14/lazy-loading-images-in-5-5/\">lazy-loading images</a>, among others. To learn more about the release, check out its <a href=\"https://make.wordpress.org/core/2020/07/30/wordpress-5-5-field-guide/\">field guide post</a>.</p>\n\n\n\n<p>Want to get involved in building WordPress Core? Follow<a href=\"https://make.wordpress.org/core/\"> the Core team blog</a>, and join the #core channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Gutenberg 8.5 and 8.6</h2>\n\n\n\n<p>The core team launched Gutenberg <a href=\"https://make.wordpress.org/core/2020/07/08/whats-new-in-gutenberg-8-july/\">8.5</a> and <a href=\"https://make.wordpress.org/core/2020/07/22/whats-new-in-gutenberg-july-22/\">8.6</a>. Version 8.5 &#8211; the last plugin release will be included entirely (without experimental features) in WordPress 5.5, introduced improvements to block drag-and-drop and accessibility, easier updates for external images, and support for the block directory. Version 8.6 comes with features like Cover block video position controls and block pattern updates. For full details on the latest versions on these Gutenberg releases, visit these posts about <a href=\"https://make.wordpress.org/core/2020/07/08/whats-new-in-gutenberg-8-july/\">8.5</a> and <a href=\"https://make.wordpress.org/core/2020/07/22/whats-new-in-gutenberg-july-22/\">8.6</a>.</p>\n\n\n\n<p>Want to get involved in building Gutenberg? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, contribute to <a href=\"https://github.com/WordPress/gutenberg/\">Gutenberg on GitHub</a>, and join the #core-editor channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Reimagining Online WordPress Events</h2>\n\n\n\n<p>The Community team made the difficult decision <a href=\"https://make.wordpress.org/community/2020/07/27/in-person-events-in-rest-of-year-2020/\">to suspend in-person WordPress events for the rest of 2020</a> in light of the COVID-19 pandemic. The team has also started working on <a href=\"https://make.wordpress.org/community/2020/07/13/reimagining-online-events/\">reimagining online events</a>. Based on <a href=\"https://make.wordpress.org/community/2020/07/13/reimagining-online-events/#comment-28505\">feedback from the community members</a>, the team decided to <a href=\"https://make.wordpress.org/community/2020/07/23/moving-forward-with-online-events/\">make changes to the current online WordCamp format</a>. Key changes include wrapping up financial support for A/V vendors, ending event swag support for newer online WordCamps, and suspending the Global Community Sponsorship program for 2020. The team encourages upcoming online WordCamps to experiment with their events to facilitate an effective learning experience for attendees while avoiding online event fatigue. The team is currently working on a proposal to organize community-supported <a href=\"https://make.wordpress.org/community/2020/07/23/building-community-beyond-events/\">recorded workshops and synchronous discussion groups</a> to help community members learn WordPress.<br><br>Want to get involved with the Community team? <a href=\"https://make.wordpress.org/community/\">Follow the Community blog here</a>, or join them in the #community-events channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>. To organize a Meetup or WordCamp, <a href=\"https://make.wordpress.org/community/handbook/virtual-events/welcome/applying-for-a-virtual-event/\">visit the handbook page</a>.&nbsp;</p>\n\n\n\n<h2>WordCamp US 2020 is canceled</h2>\n\n\n\n<p>The organizers of WordCamp US 2020 have <a href=\"https://2020.us.wordcamp.org/2020/07/30/wcus-2020-an-update/\">canceled the event</a> in light of the continued pandemic and online event fatigue. The flagship event, which was originally scheduled for October 27-29 as an in-person event, had already planned to transition to an online event. Several WCUS Organizers will be working with the WordPress Community team to focus on other formats and ideas for online events, including a 24-hour contributor day, and contributing to the workshops initiative <a href=\"https://make.wordpress.org/community/2020/07/23/building-community-beyond-events/\">currently being discussed</a>. Matt Mullenweg’s State of the Word (which typically accompanies WordCamp US) is likely to take place in a different format later in 2020.</p>\n\n\n\n<h2>Plugin and theme updates are now available over zip files</h2>\n\n\n\n<p>After eleven years, WordPress now allows users to update plugins and themes by <a href=\"https://core.trac.wordpress.org/changeset/48390\">uploading a ZIP file, in WordPress 5.5</a>.&nbsp; The feature, which was merged on July 7, has been one of the most requested features in WordPress. Now, when a user tries to upload a plugin or theme zip file from the WordPress dashboard by clicking the “Install Now” button, WordPress will direct users to a new screen that compares the currently-installed extension with the uploaded versions. Users can then choose between continuing with the installation or canceling. WordPress 5.5 will also offer <a href=\"https://make.wordpress.org/core/tag/feature-autoupdates/\">automatic plugin and theme updates</a>.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>Further Reading:</h2>\n\n\n\n<ul><li>The <a href=\"https://make.wordpress.org/plugins/2020/07/22/proposed-block-directory-guidelines/\">Block directory</a> is coming to WordPress with the 5.5 release. Plugin authors can now <a href=\"https://make.wordpress.org/plugins/2020/07/11/you-can-now-add-your-own-plugins-to-the-block-directory/\">submit their Block plugins to the directory</a>.</li><li>The Core team has opened up the <a href=\"https://make.wordpress.org/core/2020/07/31/wordpress-5-6-whats-on-your-wishlist/\">call for features</a> in the WordPress 5.6 release. You can <a href=\"https://make.wordpress.org/core/2020/07/31/wordpress-5-6-whats-on-your-wishlist/\">comment on the post</a> with features that you’d like to be included, current UX pain points, or maintenance tickets that need to be addressed. August 20 is the deadline for feature requests. </li><li>Editor features such as the new Navigation block, the navigation screen, and the widget screen that were originally <a href=\"https://make.wordpress.org/updates/2020/03/06/update-progress-on-goals/\">planned to be merged with WordPress 5.5</a> have been <a href=\"https://make.wordpress.org/core/2020/07/02/editor-features-for-wordpress-5-5-update/\">pushed for the next release</a>. </li><li>The Theme team is inviting proposals on whether to allow themes to <a href=\"https://make.wordpress.org/themes/2020/07/13/proposal-allow-themes-to-add-a-top-level-admin-menu/\">place an additional top-level menu link</a> in the admin.</li><li><a href=\"https://buddypress.org/2020/07/buddypress-6-2-0-beta/\">BuddyPress 6.2 beta </a>is out in the wild, and the team will soon release the stable version. The update includes changes that will make BuddyPress fully compatible with WordPress 5.5.</li><li>WordCamp EU 2021, which was being planned as an in-person event in Porto, Portugal, <a href=\"https://europe.wordcamp.org/2021/wordcamp-europe-2021-will-be-online/\">is moving online</a>. The team is considering an in-person WordCamp EU in 2022. </li><li>The Polyglots team has prepared and finalized a <a href=\"https://make.wordpress.org/polyglots/2020/07/09/translation-editor-locale-manager-vetting-criteria-page-draft/\">Translation Editor &amp; Locale Manager Vetting Criteria</a> to provide more clarity on how global mentors assign PTE/GTE/Locale Managers and to help locale teams set their own guidelines. The document, which was finalized <a href=\"https://make.wordpress.org/polyglots/2020/07/09/translation-editor-locale-manager-vetting-criteria-page-draft/\">after a lot of discussion</a>, is now available in the <a href=\"https://make.wordpress.org/polyglots/handbook/translating/expectations/translation-editor-locale-manager-vetting-criteria/\">Polyglots handbook</a>.</li><li>Members of the Community team <a href=\"https://make.wordpress.org/community/2020/07/03/proposal-recognition-for-event-volunteers-and-attendees-in-wordpress-org-profile/\">are discussing</a> whether WordCamp volunteers, WordCamp attendees, or Meetup attendees should be awarded a WordPress.org profile badge. The ongoing discussion will be open for comments until August 13.</li><li>The <a href=\"https://make.wordpress.org/core/tag/feature-notifications/\">WP Notify project</a>, which aims to create a better way to manage and deliver notifications to the relevant audience, is on to its next steps. The team has finalized the initial requirements, and is <a href=\"https://make.wordpress.org/core/2020/07/09/wp-notify-next-steps/\">kicking off the project build</a>.</li><li>The WordPress documentation team is <a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/docs/tag/external-linking-policy/\" target=\"_blank\">considering a ban on links to commercial websites</a> in a revision to its external linking policy. The policy change does not remove external links to commercial sites from WordPress.org and only applies to documentation sites. The idea is to protect documentation from being abused, and to prevent the WordPress project from being biased. Discussion on this post is still ongoing, and a decision has not yet been made. Feel free to<a href=\"https://make.wordpress.org/docs/tag/external-linking-policy/\"> comment on the discussion posts</a>, if you would like to share your thoughts on the topic. </li></ul>\n\n\n\n<p><em>Have a story that we should include in the next “Month in WordPress” post? Please </em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><em>submit it here</em></a><em>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8755\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 5.5 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2020/07/wordpress-5-5-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Jul 2020 19:08:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8732\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:370:\"The first release candidate for WordPress 5.5 is now available! This is an important milestone in the community&#8217;s progress toward the final release of WordPress 5.5. “Release Candidate” means that the new version is ready for release, but with millions of users and thousands of plugins and themes, it’s possible something was missed. WordPress 5.5 [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2970:\"\n<p>The first release candidate for WordPress 5.5 is now available!</p>\n\n\n\n<p>This is an important milestone in the community&#8217;s progress toward the final release of WordPress 5.5. </p>\n\n\n\n<p>“Release Candidate” means that the new version is ready for release, but with millions of users and thousands of plugins and themes, it’s possible something was missed. WordPress 5.5 is slated for release&nbsp;on&nbsp;<strong>August 11, 2020</strong>, but we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.5 yet,&nbsp;<strong>now is the time</strong>!</p>\n\n\n\n<p>You can test the WordPress 5.5 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-RC1.zip\">download the release candidate here (zip)</a>.</li></ul>\n\n\n\n<p>Thank you to all of the contributors who tested the&nbsp;Beta releases and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress.</p>\n\n\n\n<h2>What’s in WordPress 5.5?</h2>\n\n\n\n<p>WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the&nbsp;<a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>&nbsp;and pay special attention to the&nbsp;<a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developer notes</a>&nbsp;tag for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.5 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme file to 5.5. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>,&nbsp;so those can be figured out before the final release.</p>\n\n\n\n<p>The&nbsp;WordPress 5.5 Field Guide, due very shortly, will give you a more detailed dive into the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a>&nbsp;This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a>&nbsp;point of the 5.5 release schedule.</p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">fill one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8732\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 5.5 Beta 4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jul 2020 20:56:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8719\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:313:\"WordPress 5.5 Beta 4 is now available! This software is still in development, so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version. You can test WordPress 5.5 Beta 4 in two ways: Try the WordPress Beta Tester plugin (choose the [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3812:\"\n<p>WordPress 5.5 Beta 4 is now available!</p>\n\n\n\n<p id=\"block-81bd56b9-ea44-43ad-ab36-a5ae78b54375\"><strong>This software is still in development,</strong> so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p id=\"block-7cc1bbc6-17f9-44c5-8f67-da4e3059ad69\">You can test WordPress 5.5 Beta 4 in two ways:</p>\n\n\n\n<ul id=\"block-4840af57-f44b-4d9f-aa64-c6a452392e42\"><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.5-beta4.zip\">download the beta here</a> (zip).</li></ul>\n\n\n\n<p id=\"block-a40528cb-eb3b-4c8a-8f5e-aa700f1ba086\">WordPress 5.5 is slated for release on <a href=\"https://make.wordpress.org/core/5-5/\">August 11th, 2020</a>, and <strong>we need your help to get there</strong>!</p>\n\n\n\n<p>Thank you to all of the contributors who tested the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\">beta 3</a> development release and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress. </p>\n\n\n\n<h2 id=\"block-15d6d57f-905d-4a47-9f66-839468a5375a\">Some highlights</h2>\n\n\n\n<p id=\"block-85da84ec-c841-42f9-8d3b-1a4537a61d10\">Since <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-3/\">beta 3</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=07%2F22%2F2020..07%2F28%2F2020&amp;milestone=5.5&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">43 bugs</a> have been fixed. Here are a few changes in beta 4:</p>\n\n\n\n<ul><li>Add <code>\"loading\"</code> as an allowed kses image attribute (see <a href=\"https://core.trac.wordpress.org/ticket/50731\">#50731</a>).</li><li>Add filter for the plugin/theme auto-update message in the Info tab of Site health (see <a rel=\"noreferrer noopener\" target=\"_blank\" href=\"https://core.trac.wordpress.org/ticket/50663\">#50663</a>).</li><li><code>$_SERVER[\'SERVER_NAME\']</code> not a reliable when generating email host names (see <a href=\"https://core.trac.wordpress.org/ticket/25239\">#25239</a>)</li><li>Several backported fixes from Gutenberg are included in WordPress 5.5 Beta 4 (<a href=\"https://github.com/WordPress/gutenberg/pull/24218\">See PR #24218</a>)</li></ul>\n\n\n\n<h2 id=\"block-76156b2b-0a52-4502-b585-6cbe9481f55b\">Developer notes</h2>\n\n\n\n<p id=\"block-3fe5e264-0a95-4f12-9a18-0cb9dc5955d1\">WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> and pay special attention to the <a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developers’ notes</a> for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2 id=\"block-bc89fd56-47b0-439f-8e2c-4a642c80a616\">How to Help</h2>\n\n\n\n<p id=\"block-3ff83a77-8b54-4061-ae2d-45fc984cbd76\">Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p id=\"block-9d871099-ec49-446c-8322-9e49b7498c10\">If you think you’ve found a bug, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. We’d love to hear from you!</p>\n\n\n\n<p id=\"block-bd71c1d3-39d9-4b2a-8193-3486497b45fd\">If you’re comfortable writing a reproducible bug report, <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>, where you can also find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8719\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 5.5 Beta 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Jul 2020 17:51:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8706\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:324:\"WordPress 5.5 Beta 3 is now available! This software is still in development,so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version. You can test WordPress 5.5 Beta 3 in two ways: Try the WordPress Beta Tester plugin (choose the “bleeding [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3876:\"\n<p>WordPress 5.5 Beta 3 is now available!</p>\n\n\n\n<p id=\"block-81bd56b9-ea44-43ad-ab36-a5ae78b54375\"><strong>This software is still in development,</strong>so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p id=\"block-7cc1bbc6-17f9-44c5-8f67-da4e3059ad69\">You can test WordPress 5.5 Beta 3 in two ways:</p>\n\n\n\n<ul id=\"block-4840af57-f44b-4d9f-aa64-c6a452392e42\"><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.5-beta3.zip\">download the beta here</a> (zip).</li></ul>\n\n\n\n<p id=\"block-a40528cb-eb3b-4c8a-8f5e-aa700f1ba086\">WordPress 5.5 is slated for release on <a href=\"https://make.wordpress.org/core/5-5/\">August 11th, 2020</a>, and <strong>we need your help to get there</strong>!</p>\n\n\n\n<p>Thank you to all of the contributors who tested the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-2/\">beta 2</a> development release and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress. </p>\n\n\n\n<h2 id=\"block-15d6d57f-905d-4a47-9f66-839468a5375a\">Some highlights</h2>\n\n\n\n<p id=\"block-85da84ec-c841-42f9-8d3b-1a4537a61d10\">Since <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-2/\">beta 2</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=07%2F15%2F2020..07%2F21%2F2020&amp;milestone=5.5&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">43 bugs</a> have been fixed. Here are a few changes in beta 3:</p>\n\n\n\n<ul><li>Plugin and theme versions are now shared in the emails when automatically updated (see <a href=\"https://core.trac.wordpress.org/ticket/50350\">#50350</a>).</li><li>REST API routes without a <code>permission_callback</code> now trigger a <code>_doing_it_wrong()</code> warning (see <a rel=\"noreferrer noopener\" target=\"_blank\" href=\"https://core.trac.wordpress.org/ticket/50075\">#50075</a>).</li><li>Over 23 Gutenberg changes and updates (see <a href=\"https://github.com/WordPress/gutenberg/pull/24068\">#24068</a> and <a href=\"https://core.trac.wordpress.org/ticket/50712\">#50712</a>).</li><li>A bug with the new import and export database Dashicons has been fixed (see <a href=\"https://core.trac.wordpress.org/ticket/49913\">#49913</a>).</li></ul>\n\n\n\n<h2 id=\"block-76156b2b-0a52-4502-b585-6cbe9481f55b\">Developer notes</h2>\n\n\n\n<p id=\"block-3fe5e264-0a95-4f12-9a18-0cb9dc5955d1\">WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> and pay special attention to the <a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developers’ notes</a> for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2 id=\"block-bc89fd56-47b0-439f-8e2c-4a642c80a616\">How to Help</h2>\n\n\n\n<p id=\"block-3ff83a77-8b54-4061-ae2d-45fc984cbd76\">Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p id=\"block-9d871099-ec49-446c-8322-9e49b7498c10\">If you think you’ve found a bug, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. We’d love to hear from you!</p>\n\n\n\n<p id=\"block-bd71c1d3-39d9-4b2a-8193-3486497b45fd\">If you’re comfortable writing a reproducible bug report, <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>, where you can also find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8706\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 5.5 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Jul 2020 17:24:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8681\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:358:\"WordPress 5.5 Beta 2 is now available! This software is still in development,&#160;so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version. You can test WordPress 5.5 beta 2 in two ways: Try the&#160;WordPress Beta Tester&#160;plugin (choose the “bleeding edge nightlies” [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4552:\"\n<p id=\"block-000046ff-d8e6-40a8-9869-2dd39e50f270\"><br>WordPress 5.5 Beta 2 is now available!</p>\n\n\n\n<p id=\"block-81bd56b9-ea44-43ad-ab36-a5ae78b54375\"><strong><strong>This software is still in development,</strong>&nbsp;</strong>so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p id=\"block-7cc1bbc6-17f9-44c5-8f67-da4e3059ad69\">You can test WordPress 5.5 beta 2 in two ways:</p>\n\n\n\n<ul id=\"block-4840af57-f44b-4d9f-aa64-c6a452392e42\"><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-beta2.zip\">download the beta here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p id=\"block-a40528cb-eb3b-4c8a-8f5e-aa700f1ba086\">WordPress 5.5 is slated for release on&nbsp;<a href=\"https://make.wordpress.org/core/5-5/\">August 11th, 2020</a>, and <strong>we need your help to get there</strong>!</p>\n\n\n\n<p>Thank you to all of the contributors that tested the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1/\">beta 1</a> development release and provided feedback. Testing for bugs is an important part of polishing each release and a great way to contribute to WordPress. Here are some of the changes since beta 1 to pay close attention to while testing.</p>\n\n\n\n<h2 id=\"block-15d6d57f-905d-4a47-9f66-839468a5375a\">Some highlights</h2>\n\n\n\n<p id=\"block-85da84ec-c841-42f9-8d3b-1a4537a61d10\">Since <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-1/\">beta 1</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=07%2F08%2F2020..07%2F14%2F2020&amp;milestone=5.5&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">48 bugs</a> have been fixed. Here is a summary of a few changes included in beta 2:</p>\n\n\n\n<ul><li>19 additional bugs have been fixed in the block editor (see <a href=\"https://github.com/WordPress/gutenberg/pull/23903\">#23903</a> and <a href=\"https://github.com/WordPress/gutenberg/pull/23905\">#23905</a>).</li><li>The Dashicons icon font has been updated (see <a href=\"https://core.trac.wordpress.org/ticket/49913\">#49913</a>).</li><li>Broken widgets stemming from changes in Beta 1 have been fixed (see <a href=\"https://core.trac.wordpress.org/ticket/50609\">#50609</a>).</li><li>Query handling when counting revisions has been improved (see <a href=\"https://core.trac.wordpress.org/ticket/34560\">#34560</a>).</li><li>An alternate, expanded view was added for <code>wp_list_table</code> (see <a href=\"https://core.trac.wordpress.org/ticket/49715\">#49715</a>).</li><li>Some adjustments were made to the handling of default terms for custom taxonomies (see <a href=\"https://core.trac.wordpress.org/ticket/43517\">#43517</a>)</li></ul>\n\n\n\n<p>Several updates have been made to the block editor. For details, see <a href=\"https://github.com/WordPress/gutenberg/pull/23903\">#23903</a> and <a href=\"https://github.com/WordPress/gutenberg/pull/23905\">#23905</a>.</p>\n\n\n\n<h2 id=\"block-76156b2b-0a52-4502-b585-6cbe9481f55b\">Developer notes</h2>\n\n\n\n<p id=\"block-3fe5e264-0a95-4f12-9a18-0cb9dc5955d1\">WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the&nbsp;<a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>&nbsp;and pay special attention to the&nbsp;<a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developers’ notes</a>&nbsp;for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2 id=\"block-bc89fd56-47b0-439f-8e2c-4a642c80a616\">How to Help</h2>\n\n\n\n<p id=\"block-3ff83a77-8b54-4061-ae2d-45fc984cbd76\">Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help us translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p id=\"block-9d871099-ec49-446c-8322-9e49b7498c10\">If you think you’ve found a bug, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you!</p>\n\n\n\n<p id=\"block-bd71c1d3-39d9-4b2a-8193-3486497b45fd\">If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>,&nbsp;where you can also find a list of&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8681\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 5.5 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Jul 2020 21:49:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8624\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:358:\"WordPress 5.5 Beta 1 is now available for testing! This software is still in development,&#160;so it&#8217;s not recommended to run this version on a production site. Consider setting up a test site to play with the new version. You can test the WordPress 5.5 beta in two ways: Try the&#160;WordPress Beta Tester&#160;plugin (choose the “bleeding [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9697:\"\n<p>WordPress 5.5 Beta 1 is now available for testing!</p>\n\n\n\n<p><strong>This software is still in development,</strong>&nbsp;so it&#8217;s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p>You can test the WordPress 5.5 beta in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-beta1.zip\">download the beta here&nbsp;(zip)</a>.</li></ul>\n\n\n\n<p>The current target for final release is August 11, 2020. This is only <strong>five weeks away</strong>. Your help is needed to ensure this release is tested properly.</p>\n\n\n\n<p>Testing for bugs is an important part of polishing the release during the beta stage and a great way to contribute. Here are some of the big changes and features to pay close attention to while testing.</p>\n\n\n\n<h2><strong>Block editor: features and improvements</strong></h2>\n\n\n\n<p>WordPress 5.5 will include eleven releases of the Gutenberg plugin, bringing with it a long list of exciting new features. Here are just a few:</p>\n\n\n\n<ul><li><strong>Inline image editing &#8211; </strong>Crop, rotate, and zoom photos inline right from image blocks.</li><li><strong>Block patterns</strong> &#8211; Building elaborate pages can be a breeze with new block patterns. Several are included by default.</li><li><strong>Device previews</strong> &#8211; See how your content will look to users on many different screen sizes. </li><li><strong>End block overwhelm</strong>. The new block inserter panel displays streamlined categories and collections. As a bonus, it supports patterns and integrates with the new block directory right out of the box.</li><li><strong>Discover, install, and insert third-party blocks</strong> from your editor using the new block directory.</li><li>A better, <strong>smoother editing experience </strong>with:&nbsp;<ul><li>Refined drag-and-drop</li><li>Block movers that you can see and grab</li><li>Parent block selection</li><li>Contextual focus highlights</li><li>Multi-select formatting lets you change a bunch of blocks at once&nbsp;</li><li>Ability to copy and relocate blocks easily</li><li>And, better performance</li></ul></li><li><strong>An expanded design toolset for themes.</strong></li><li>Now <strong>add backgrounds and gradients</strong> to more kinds of blocks, like groups, columns, media &amp; text</li><li>And <strong>support for more types of measurements</strong> &#8212; not just pixels. Choose ems, rems, percentages, vh, vw, and more! Plus, adjust line heights while typing, turning writing and typesetting into the seamless act.</li></ul>\n\n\n\n<p>In all, WordPress 5.5 brings more than 1,500 useful improvements to the block editor experience.&nbsp;</p>\n\n\n\n<p>To see all of the features for each release in detail check out the release posts: <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v7.5.0\">7.5</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v7.6.0\">7.6</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v7.7.0\">7.7</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v7.8.0\">7.8</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v7.9.0\">7.9</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v8.0.0\">8.0</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v8.1.0\">8.1</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v8.2.0\">8.2</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v8.3.0\">8.3</a>, <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v8.4.0\">8.4</a>, and <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v8.5.0\">8.5</a>.</p>\n\n\n\n<h2><strong>Wait! There’s more!</strong></h2>\n\n\n\n<h3><strong>XML sitemaps</strong></h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2020/06/10/merge-announcement-extensible-core-sitemaps/\">XML Sitemaps are now included in WordPress</a> and enabled by default. Sitemaps are essential to search engines discovering the content on your website. Your site&#8217;s home page, posts, pages, custom post types, and more will be included to improve your site&#8217;s visibility.</p>\n\n\n\n<h3><strong>Auto-updates for plugins and themes</strong></h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/tag/core-auto-updates/\">WordPress 5.5 also brings auto-updates for plugins and themes</a>. Easily control which plugins and themes keep themselves up to date on their own. It&#8217;s always recommended that you run the latest versions of all plugins and themes. The addition of this feature makes that easier than ever!</p>\n\n\n\n<h3><strong>Lazy-loading images</strong></h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2020/04/08/lazy-loading-of-images-is-in-core/\">WordPress 5.5 will include native support for lazy-loaded images</a> utilizing new browser standards. With lazy-loading, images will not be sent to users until they approach the viewport. This saves bandwidth for everyone (users, hosts, ISPs), makes it easier for those with slower internet speeds to browse the web, saves electricity, and more.</p>\n\n\n\n<h3><strong>Better accessibility</strong></h3>\n\n\n\n<p>With every release, WordPress works hard to improve accessibility. Version 5.5 is no different and packs a parcel of accessibility fixes and enhancements. Take a look:</p>\n\n\n\n<ul><li>List tables now come with extensive, alternate view modes.</li><li>Link-list widgets can now be converted to HTML5 navigation blocks.</li><li>Copying links in media screens and modal dialogs can now be done with a simple click of a button.</li><li>Disabled buttons now actually look disabled.</li><li>Meta boxes can now be moved with the keyboard.</li><li>A custom logo on the front page no longer links to the front page.</li><li>Assistive devices can now see status messages in the Image Editor.</li><li>The shake animation indicating a login failure now respects the user&#8217;s choices in the <code>prefers-reduced-motion</code> media query.</li><li>Redundant <code>Error:</code> prefixes have been removed from error notices.</li></ul>\n\n\n\n<h2><strong>Miscellaneous Changes</strong></h2>\n\n\n\n<ul><li>Plugins and themes can now be updated by uploading a ZIP file.</li><li><a href=\"https://make.wordpress.org/core/2020/06/26/wordpress-5-5-better-fine-grained-control-of-redirect_guess_404_permalink/\">More finely grained control of redirect_guess_404_permalink()</a>.</li><li><a href=\"https://make.wordpress.org/core/2020/07/01/external-library-updates-in-wordpress-5-5-call-for-testing/\">Several packaged external libraries have been updated</a>, including PHPMailer, SimplePie, Twemoji, Masonry, and more!</li></ul>\n\n\n\n<p>Keep your eyes on the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">5.5-related developer notes</a> in the coming weeks, breaking down these and other changes in greater detail.</p>\n\n\n\n<p>So far, contributors have fixed more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=5.5&amp;group=component&amp;max=500&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">360 tickets in WordPress 5.5</a>, including <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;status=reopened&amp;type=enhancement&amp;milestone=5.5&amp;or&amp;status=closed&amp;status=reopened&amp;type=feature+request&amp;milestone=5.5&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;col=changetime&amp;col=keywords&amp;order=changetime\">157 new features and enhancements</a>, and more bug fixes are on the way.</p>\n\n\n\n<h2><strong>How You Can Help</strong></h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p>If you think you’ve found a bug, please post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. We would love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. That’s also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p class=\"has-small-font-size\"><em>Props to <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>, <a href=\'https://profiles.wordpress.org/yvettesonneveld/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>yvettesonneveld</a>, <a href=\'https://profiles.wordpress.org/estelaris/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>estelaris</a>, and <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> for compiling/writing this post, <a href=\'https://profiles.wordpress.org/davidbaumwald/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>davidbaumwald</a> for editing/proof reading, and <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>, <a href=\'https://profiles.wordpress.org/desrosj/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>desrosj</a>, and <a href=\'https://profiles.wordpress.org/andreamiddleton/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>andreamiddleton</a> for final review.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8624\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"The Month in WordPress: June 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2020/07/the-month-in-wordpress-june-2020/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Jul 2020 05:52:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8614\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:353:\"June was an exciting month for WordPress! Major changes are coming to the Gutenberg plugin, and WordCamp Europe brought the WordPress community closer together. Read on to learn more and to get all the latest updates.&#160; WordPress 5.4.2 released We said hello to WordPress 5.4.2 on June 10. This security and maintenance release features 17 [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Hari Shanker R\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:7872:\"\n<p>June was an exciting month for WordPress! Major changes are coming to the Gutenberg plugin, and WordCamp Europe brought the WordPress community closer together. Read on to learn more and to get all the latest updates.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>WordPress 5.4.2 released</h2>\n\n\n\n<p>We said hello to WordPress 5.4.2 on June 10. This security and maintenance release features 17 fixes and 4 enhancements, so we recommend that you update your sites immediately. To download WordPress 5.4.2, visit your Dashboard, click on <strong>Updates</strong>, then <strong>Update Now</strong>, or download the latest version directly from WordPress.org. For more information, visit <a href=\"https://wordpress.org/news/2020/06/wordpress-5-4-2-security-and-maintenance-release/\">this post</a>, review the <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;resolution=fixed&amp;milestone=5.4.2&amp;order=priority\">full list of changes on Trac</a>, or check out the <a href=\"https://wordpress.org/support/wordpress-version/version-5-4-2/\">HelpHub documentation page</a> for <a href=\"https://wordpress.org/support/wordpress-version/version-5-4-2/\">version 5.4.2</a>. WordPress 5.4.2 is a short-cycle maintenance release. The next major release will be <a href=\"https://make.wordpress.org/core/5-5/\">version 5.5</a>, <a href=\"https://wordpress.org/about/roadmap/\">planned for August 2020</a>. <br><br>Want to get involved in building WordPress Core? Follow<a href=\"https://make.wordpress.org/core/\"> the Core team blog</a>, and join the #core channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Gutenberg 8.3 and 8.4</h2>\n\n\n\n<p>The core team launched Gutenberg <a href=\"https://make.wordpress.org/core/2020/06/11/whats-new-in-gutenberg-11-june/\">8.3</a> and <a href=\"https://make.wordpress.org/core/2020/06/24/whats-new-in-gutenberg-24-june/\">8.4</a> this month, paving the way for some exciting block editor features. Version 8.3 introduced enhancements like a reorganized, more intuitive set of block categories, a parent block selector, an experimental spacing control, and user-controlled link color options. Version 8.4 comes with new image-editing tools and the ability to edit options for multiple blocks.  The block directory search feature that was previously available as an experimental feature, is now enabled for all Gutenberg installations. For full details on the latest versions on these Gutenberg releases, visit these posts about <a href=\"https://make.wordpress.org/core/2020/06/11/whats-new-in-gutenberg-11-june/\">8.3</a> and <a href=\"https://make.wordpress.org/core/2020/06/24/whats-new-in-gutenberg-24-june/\">8.4</a>.</p>\n\n\n\n<p>Want to get involved in building Gutenberg? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, contribute to <a href=\"https://github.com/WordPress/gutenberg/\">Gutenberg on GitHub</a>, and join the #core-editor channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>WordPress Bumps Minimum Recommended PHP Version to 7.2</h2>\n\n\n\n<p>In a major update, WordPress <a href=\"https://meta.trac.wordpress.org/changeset/9959\">has bumped</a> the minimum PHP recommendation to 7.2. The ServeHappy API has been updated to set the minimum acceptable PHP version to 7.2, while the WordPress downloads page recommends 7.3 or newer. Previously, the ServeHappy dashboard widget was showing the upgrade notice to users of PHP 5.6 or lower. This decision comes <a href=\"https://meta.trac.wordpress.org/ticket/5257\">after discussions with the core Site Health team and the Hosting team</a>, both of which recommended that the upgrade notice be shown to users of PHP &lt;=7.1.</p>\n\n\n\n<h2>WordCamp Europe 2020 Moved Online</h2>\n\n\n\n<p>Following the success of a remote WordCamp Spain, <a href=\"https://2020.europe.wordcamp.org/\">WordCamp Europe</a> was held fully online from June 4 to 6. The event drew a record 8,600 signups from people based in 138 countries, along with 2,500 signups for contributor day. WCEU Online also showcased 33 speakers and 40 sponsors, in addition to a Q&amp;A with Matt Mullenweg. You can find the videos of the event in WordPress.tv by <a href=\"https://wordpress.tv/event/wordcamp-europe-2020/\">following this link</a>, or you can catch the<a href=\"https://www.youtube.com/channel/UCaYQGYDpXpU4A17kxN-AgJQ\"> live stream recording of the entire event from the WP Europe YouTube Channel</a>.</p>\n\n\n\n<p>Want to get involved with the Community team? <a href=\"https://make.wordpress.org/community/\">Follow the Community blog here</a>, or join them in the #community-events channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>. To organize a Meetup or WordCamp, <a href=\"https://make.wordpress.org/community/handbook/virtual-events/welcome/applying-for-a-virtual-event/\">visit the handbook page</a>.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>Further Reading:</h2>\n\n\n\n<ul><li>Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>), the executive director of the WordPress project, <a href=\"https://wordpress.org/news/2020/06/equity-and-the-power-of-community/\">published a post </a>that highlights resources on how the global WordPress community can focus on equity to help dismantle racial, societal, and systemic injustice.&nbsp;</li><li>PHP, the primary programming language in which WordPress is written, celebrated its <a href=\"https://wptavern.com/php-marks-25-years\">25th anniversary</a> this month!</li><li>The Community team is<a href=\"https://make.wordpress.org/community/2020/06/18/pending-update-for-the-code-of-conduct/#comment-28294\"> updating the WordCamp code of conduct</a> to address discrimination based on age, caste, social class, and other identifying characteristics.</li><li>The WordPress Core team is promoting more inclusive language by <a href=\"https://make.wordpress.org/core/2020/06/18/proposal-update-all-git-repositories-to-use-main-instead-of-master/\">updating all git repositories to use `trunk` instead of `master`</a>. Additionally, the team proposes to <a href=\"https://make.wordpress.org/core/2020/06/24/proposal-rename-invalid-worksforme-and-wontfix-ticket-resolutions/\">rename&nbsp; “invalid,” “worksforme,” and “wontfix” ticket resolutions </a>to “not-applicable,” “not-reproducible” or “cannot-reproduce,” and “not-implemented,” respectively.&nbsp;</li><li>The Documentation team is working on an external linking policy and has <a href=\"https://make.wordpress.org/docs/2020/06/15/external-linking-policy-trusted-sources/\">started a discussion</a> on how to allow linking to trusted sources to benefit users.&nbsp;</li><li>The Core team has put up a proposal to <a href=\"https://make.wordpress.org/core/2020/06/10/merge-announcement-extensible-core-sitemaps/\">merge extensible core sitemaps to WordPress core</a> in the 5.5 release. The feature is currently available as a <a href=\"https://wordpress.org/plugins/core-sitemaps/\">feature plugin</a>.</li><li><a href=\"https://2020.denver.wordcamp.org/\">WordCamp Denver</a> was held online May 26–27. The event sold over 2,400 tickets and featured 27 speakers and 20 sponsors. You can catch the recorded live stream on the <a href=\"https://2020.denver.wordcamp.org/watch-now/\">event site</a>.</li><li>The Core team is working on <a href=\"https://make.wordpress.org/core/2020/06/29/updating-jquery-version-shipped-with-wordpress/\">updating the version of jQuery</a> used in WordPress core.</li></ul>\n\n\n\n<p><em>Have a story that we should include in the next “Month in WordPress” post? Please </em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><em>submit it here</em></a><em>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8614\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:76:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress 5.4.2 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2020/06/wordpress-5-4-2-security-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://wordpress.org/news/2020/06/wordpress-5-4-2-security-and-maintenance-release/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 10 Jun 2020 19:19:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8592\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:360:\"WordPress 5.4.2 is now available! This security and maintenance release features 23 fixes and enhancements. Plus, it adds a number of security fixes—see the list below. These bugs affect WordPress versions 5.4.1 and earlier; version 5.4.2 fixes them, so you’ll want to upgrade. If you haven’t yet updated to 5.4, there are also updated versions [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6827:\"\n<p>WordPress 5.4.2 is now available!</p>\n\n\n\n<p>This security and maintenance release features 23 fixes and enhancements. Plus, it adds a number of security fixes—see the list below.</p>\n\n\n\n<p>These bugs affect WordPress versions 5.4.1 and earlier; version 5.4.2 fixes them, so you’ll want to upgrade.</p>\n\n\n\n<p>If you haven’t yet updated to 5.4, there are also updated versions of 5.3 and earlier that fix the bugs for you.</p>\n\n\n\n<h3><strong>Security Updates</strong></h3>\n\n\n\n<p>WordPress versions 5.4 and earlier are affected by the following bugs, which are fixed in version 5.4.2. If you haven’t yet updated to 5.4, there are also updated versions of 5.3 and earlier that fix the security issues.</p>\n\n\n\n<ul><li>Props to Sam Thomas (jazzy2fives) for finding an XSS issue where authenticated users with low privileges are able to add JavaScript to posts in the block editor.</li><li>Props to Luigi &#8211; (<a href=\"https://www.gubello.me/\">gubello.me</a>) for discovering an XSS issue where authenticated users with upload permissions are able to add JavaScript to media files.</li><li>Props to Ben Bidner of the WordPress Security Team for finding an open redirect issue in <em>wp_validate_redirect()</em>.</li><li>Props to <a href=\"http://apapedulimu.click\">Nrimo Ing Pandum</a> for finding an authenticated XSS issue via theme uploads.</li><li>Props to <a href=\"https://blog.ripstech.com/authors/simon-scannell\">Simon Scannell of RIPS Technologies</a> for finding an issue where <em>set-screen-option</em> can be misused by plugins leading to privilege escalation.</li><li>Props to <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> for discovering an issue where comments from password-protected posts and pages could be displayed under certain conditions.</li></ul>\n\n\n\n<p>Thank you to all of the reporters for&nbsp;<a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">privately disclosing the vulnerabilities</a>. This gave the security team time to fix the vulnerabilities before WordPress sites could be attacked.</p>\n\n\n\n<p>One maintenance update was also deployed to versions 5.1, 5.2 and 5.3. See the <a href=\"https://make.wordpress.org/core/2020/06/09/wordpress-5-4-2-prevent-unmoderated-comments-from-search-engine-indexation/\">related developer note</a> for more information.</p>\n\n\n\n<p>You can browse the&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;resolution=fixed&amp;milestone=5.4.2&amp;order=priority\">full list of changes on Trac</a>.</p>\n\n\n\n<p>For more info, browse the full list of changes on Trac or check out the Version&nbsp;<a href=\"https://wordpress.org/support/wordpress-version/version-5-4-2/\">5.4.2 documentation page</a>.</p>\n\n\n\n<p>WordPress 5.4.2 is a short-cycle maintenance release. The next major release will be&nbsp;<a href=\"https://make.wordpress.org/core/5-5/\">version 5.5</a>.</p>\n\n\n\n<p>You can download WordPress 5.4.2 from the button at the top of this page, or visit your<strong>&nbsp;Dashboard → Updates</strong>&nbsp;and click&nbsp;<strong>Update Now</strong>.</p>\n\n\n\n<p>If you have sites that support automatic background updates, they’ve already started the update process.</p>\n\n\n\n<h3>Thanks and props!</h3>\n\n\n\n<p>In addition to the security researchers mentioned above, thank you to everyone who helped make WordPress 5.4.2 happen:</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/argentite\">argentite</a>, <a href=\"https://profiles.wordpress.org/asif2bd\">M Asif Rahman</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/ayeshrajans\">Ayesh Karunaratne</a>, <a href=\"https://profiles.wordpress.org/bdcstr\">bdcstr</a>, <a href=\"https://profiles.wordpress.org/delowardev\">Delowar Hossain</a>, <a href=\"https://profiles.wordpress.org/dhrrob\">Rob Migchels</a>, <a href=\"https://profiles.wordpress.org/donmhico\">donmhico</a>, <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham Siddiqui</a>, <a href=\"https://profiles.wordpress.org/emlebrun\">Emilie LEBRUN</a>, <a href=\"https://profiles.wordpress.org/finomeno\">finomeno</a>, <a href=\"https://profiles.wordpress.org/garethgillman\">garethgillman</a>, <a href=\"https://profiles.wordpress.org/giorgio25b\">Giorgio25b</a>, <a href=\"https://profiles.wordpress.org/gma992\">Gabriel Maldonado</a>, <a href=\"https://profiles.wordpress.org/h71\">Hector F</a>, <a href=\"https://profiles.wordpress.org/ianbelanger\">Ian Belanger</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/imath\">Mathieu Viet</a>, <a href=\"https://profiles.wordpress.org/javiercasares\">Javier Casares</a>, <a href=\"https://profiles.wordpress.org/joemcgill\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/jonkolbert\">jonkolbert</a>, <a href=\"https://profiles.wordpress.org/jonoaldersonwp\">Jono Alderson</a>, <a href=\"https://profiles.wordpress.org/joyously\">Joy</a>, <a href=\"https://profiles.wordpress.org/karmatosed\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/kjellr\">Kjell Reigstad</a>, <a href=\"https://profiles.wordpress.org/kthmd\">KT</a>, <a href=\"https://profiles.wordpress.org/markusthiel\">markusthiel</a>, <a href=\"https://profiles.wordpress.org/mayankmajeji\">Mayank Majeji</a>, <a href=\"https://profiles.wordpress.org/melchoyce\">Mel Choyce-Dwan</a>, <a href=\"https://profiles.wordpress.org/mislavjuric\">mislavjuric</a>, <a href=\"https://profiles.wordpress.org/mukesh27\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/nikhilbhansi\">Nikhil Bhansi</a>, <a href=\"https://profiles.wordpress.org/oakesjosh\">oakesjosh</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/passoniate\">Arslan Ahmed</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/poena\">Carolina Nymark</a>, <a href=\"https://profiles.wordpress.org/sabernhardt\">Stephen Bernhardt</a>, <a href=\"https://profiles.wordpress.org/samful\">Sam Fullalove</a>, <a href=\"https://profiles.wordpress.org/schlessera\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/skarabeq\">skarabeq</a>, <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a>, <a href=\"https://profiles.wordpress.org/skithund\">Toni Viemerö</a>, <a href=\"https://profiles.wordpress.org/suzylah\">suzylah</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/utz119\">TeBenachi</a>, <a href=\"https://profiles.wordpress.org/whyisjake\">Jake Spurlock</a> and <a href=\"https://profiles.wordpress.org/yuhin\">yuhin</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://wordpress.org/news/2020/06/wordpress-5-4-2-security-and-maintenance-release/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8592\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Equity and the Power of Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2020/06/equity-and-the-power-of-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 06 Jun 2020 17:59:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8590\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:350:\"Over the past week, I’ve been thinking a lot about George Floyd, Breonna Taylor, and Ahmaud Arbery. I have been thinking about white supremacy, the injustice that Black women and men are standing up against across the world, and all the injustices I can’t know, and don’t see.&#160; The WordPress mission is to democratize publishing, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Josepha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2535:\"\n<p>Over the past week, I’ve been thinking a lot about George Floyd, Breonna Taylor, and Ahmaud Arbery. I have been thinking about white supremacy, the injustice that Black women and men are standing up against across the world, and all the injustices I can’t know, and don’t see.&nbsp;</p>\n\n\n\n<p>The WordPress mission is to democratize publishing, and to me, that has always meant more than the freedom to express yourself. Democratizing publishing means giving voices to the voiceless and amplifying those speaking out against injustice. It means learning things that we otherwise wouldn’t. To me, it means that every voice has the ability to be heard, regardless of race, wealth, power, and opportunity. WordPress is a portal to commerce; it is a canvas for identity, and a catalyst for change.</p>\n\n\n\n<p>While WordPress as an open source project may not be capable of refactoring unjust judicial systems or overwriting structural inequality, this does not mean that we, the WordPress community, are powerless. WordPress can&#8217;t dismantle white supremacy, but the WordPress community can invest in underrepresented groups (whose experiences cannot be substituted for) and hire them equitably. WordPress can&#8217;t eradicate prejudice, but the WordPress community can hold space for marginalized voices in our community.</p>\n\n\n\n<p>There is a lot of racial, societal, and systemic injustice to fight. At times, change may seem impossible, and certainly, it’s been too slow. But I know in my heart that the WordPress community is capable of changing the world. </p>\n\n\n\n<p>If you would like to learn more about how to make a difference in your own community, here are a few resources I’ve gathered from WordPressers just like you.</p>\n\n\n\n<ul><li><a href=\"https://href.li/?http://www.socialjusticetoolbox.com/\">Social Justice Toolbox</a></li><li><a href=\"http://antiracismforbeginners.com/\">Anti-racism resource list</a></li><li>An open source <a href=\"https://guidetoallyship.com/\">Guide to Allyship</a></li><li><a href=\"https://allienimmons.com/how-to-be-a-wordpress-ally/\">How to be a WordPress Ally</a></li><li><a href=\"https://www.highsnobiety.com/p/black-lives-matter-europe/\">Supporting Black Lives Matter in Europe</a></li><li><a href=\"https://feminisminindia.com/2019/06/03/colourism-fairness-india/\">Cost of Colourism in India</a> </li><li><a href=\"https://www.ted.com/talks/verna_myers_how_to_overcome_our_biases_walk_boldly_toward_them?language=en\">Overcoming Biases by Walking Toward Them</a> </li></ul>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8590\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 10 Aug 2020 19:49:47 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Thu, 06 Aug 2020 13:07:02 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20191227233650\";}", "no");
INSERT INTO `wp_options` VALUES("294470", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1597132187", "no");
INSERT INTO `wp_options` VALUES("294471", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1597088987", "no");
INSERT INTO `wp_options` VALUES("294472", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1597132187", "no");
INSERT INTO `wp_options` VALUES("294473", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WPTavern: New WordPress Plugins Disable Unsplash CDN\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102767\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:149:\"https://wptavern.com/new-wordpress-plugins-disable-unsplash-cdn?utm_source=rss&utm_medium=rss&utm_campaign=new-wordpress-plugins-disable-unsplash-cdn\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9548:\"<p>In light of the recent conversations about the Unsplash plugin&rsquo;s CDN, several extensions have popped up this week for disabling it. By default, the plugin serves images from the CDN but saves copies to the WordPress media library in case the plugin is disabled or removed. The plugin does not currently have an option to change this.</p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/disable-unsplash-cdn/\">Disable Unsplash CDN</a> is the first to be published to the WordPress.org directory for changing the plugin&rsquo;s default behavior. There are no options or settings &ndash; activating it turns it on. Xaver Birsak, a prolific WordPress plugin author, created it to help users who may experience slower page speed caused by the Unsplash CDN.</p>\n\n\n\n<p>&ldquo;I&rsquo;ve followed the release of the official Unsplash plugin as well the strange one-star rating from Matt Mullenweg which is think is not appropriate,&rdquo; Birsak said. &ldquo;The problem he mentioned was, in addition to the Unsplash license, the fact that images are being served from Unsplash (Imgix) servers. I don&rsquo;t think that this is totally unnecessary from Unsplash as a CDN can serve images much quicker in most cases. For some users this is maybe not the case.&rdquo;</p>\n\n\n\n<p>Birsak was referencing Matt Mullenweg&rsquo;s recent <a href=\"https://wordpress.org/support/topic/i-wouldnt-recommend-using-this/\">one-star review</a> of the Unsplash plugin, which drew the ire of many plugin developers whose ability to monetize their products can hinge on getting decent reviews. The review called the plugin &ldquo;sketchy&rdquo; and called into question the practice of making the CDN the default:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>It&rsquo;s unclear why they want you to use their CDN and make that the default, it&rsquo;s probably to support their&nbsp;<a href=\"https://unsplash.com/blog/introducing-unsplash-for-brands/\">new advertising business model</a>&nbsp;and get analytics for it. Running a CDN is expensive, and if you&rsquo;re not paying for it then you are the product. I would not be surprised if Unsplash hotlinked images broke at some point in the future.</p><p>If you want a CDN, you should run one for your entire site, not just certain images from a single source &mdash; in fact having multiple CDNs running at the same time could slow down your site because of the additional DNS lookups.</p></blockquote>\n\n\n\n<p>Birsak said he checked the plugin and found a simple solution for bypassing the hotlinking, which only requires a few lines of code. </p>\n\n\n\n<p>&ldquo;Since it&rsquo;s so easy, and others may find it useful, I released this plugin,&rdquo; Birsak said. &ldquo;Nowadays with GDPR and the invalidation of the Privacy Shield people are more likely to be concerned about sending data to third party services. So disabling the CDN should at least be an option.&rdquo;</p>\n\n\n\n<p>WordPress developer <a href=\"https://tomjn.com/\">Tom Nowell</a> also created a quick plugin to disable Unsplash&rsquo;s CDN, which is now <a href=\"https://gist.github.com/tomjn/a7036d369d6f8082dd1eb256c651696e\">available on GitHub</a>.</p>\n\n\n\n<p>&ldquo;I don&rsquo;t have qualms with Unsplash themselves but I did miss having the option to choose for myself,&rdquo; Nowell said regarding the plugin&rsquo;s CDN default. &ldquo;Rather than argue to add it, I spent a little time and built the plugin, it&rsquo;s only small so didn&rsquo;t take much time. As for the CDN, it&rsquo;s nice to save bandwidth, though for local development it&rsquo;s always faster to switch it off.&rdquo;</p>\n\n\n\n<h2>Unsplash Plugin Will Not Add an Option to Disable the CDN &ndash; Its API Guidelines Require Apps to Use It</h2>\n\n\n\n<p>The plugins that disable Unsplash&rsquo;s CDN could immediately become obsolete if Unsplash decided to build in an option into the official plugin to do the same. The company has confirmed the team has no current plans to so. </p>\n\n\n\n<p>&ldquo;The CDN is a feature that dynamically serves the right size and format of image, and includes performance optimizations not available via additional plugins like WordPress.com&rsquo;s Jetpack or most CDNs,&rdquo; Unsplash co-founder Luke Chesser said. &ldquo;We do this to improve the performance of the image loading and allow Unsplash contributors to count the number of times their images have been seen.&rdquo;</p>\n\n\n\n<p>In addition to sharing this data with contributing photographers, Unsplash advertisers also need this data to continue getting value from the new <a href=\"https://unsplash.com/blog/introducing-unsplash-for-brands/\">Unsplash for Brands</a> business model. </p>\n\n\n\n<p>The total monthly cost in 2019 for the company&rsquo;s image hosting with <a rel=\"noreferrer noopener\" href=\"https://imgix.com/\" target=\"_blank\">Imgix</a> was <a href=\"https://medium.com/unsplash/what-does-unsplash-cost-in-2019-f499620a14d0\">$42,408</a>, which means Unsplash spends north of $500k per year to serve optimized images via its CDN. Chesser said the cost of the CDN is &ldquo;very low relative to the number of requests and traffic it can serve,&rdquo; given how optimized and performant the image serving infrastructure is. Last year Unsplash sent petabytes of data through Imgix&rsquo;s CDN for 250 million variations of the library&rsquo;s source images.</p>\n\n\n\n<p>&ldquo;We treat brands as contributors as they also share images on Unsplash,&rdquo; Chesser said. &ldquo;We report downloads and views back to them. So yes, the view and download counts do matter to our business from a monetary perspective, but to be clear, if you take away brands, we would still have this requirement as it&rsquo;s central to growing the library and encouraging more contributors.&rdquo;</p>\n\n\n\n<p>Providing stats to brands undoubtedly helps pay the bills and keeps the lights on, so it is no wonder the requirement to use the CDN will remain in the WordPress plugin. In fact, this requirement was built into <a href=\"https://help.unsplash.com/en/articles/2511245-unsplash-api-guidelines\">Unsplash&rsquo;s API guidelines</a> in 2018 and applies to all applications accessing the collection:</p>\n\n\n\n<p>&ldquo;<em>All API uses must use the hotlinked image URLs returned by the API under the <code>photo.urls</code> &nbsp;properties. This applies to all uses of the image and not just search results. &ldquo;</em></p>\n\n\n\n<p>In 2019, Unsplash received more traffic from its API partners than from the company&rsquo;s own website and official apps. Any successful monetization strategy that hinges on advertising will need to deliver those stats and requiring applications use the CDN in order to use the API is one way to do that. </p>\n\n\n\n<p>Matt Mullenweg recently <a href=\"https://twitter.com/photomatt/status/1290739168537001984\">asked</a> what these API guidelines mean for existing WordPress plugins, like <a href=\"https://wordpress.org/plugins/instant-images/\">Instant Images</a>, that serve Unsplash images without using the CDN. The plugin has more than 50,000 active installations. </p>\n\n\n\n<p>&ldquo;When we released the updated guidelines we applied them proactively to new apps and worked with developers on a case by case basis over a one year period to consider hotlinking and downloads for legacy apps,&rdquo; Chesser said. &ldquo;Instant Images was built before we made the update to the guidelines and so we exempted them long ago, along with&nbsp;a number of other legacy apps.&rdquo;</p>\n\n\n\n<p>Instant Images plugin developer Darren Cooney said he will not be adding an option to his plugin for turning on the CDN and declined to comment further on his reasons. </p>\n\n\n\n<p>&ldquo;I will say that I think the CDN should be opt-in and it should be more clear what happens on the Unsplash side when the CDN is in use,&rdquo; Cooney said. &ldquo;What is tracked, why it&rsquo;s tracked and what benefit do added views provide the contributors.&rdquo;</p>\n\n\n\n<p> When asked whether Unsplash plans to update the plugin to deny API access to sites that have added a plugin to disable the CDN, Chesser said no. WordPress plugins weaponizing themselves against each other is not unheard of, although it is unusual and frowned upon.</p>\n\n\n\n<p>&ldquo;We don&rsquo;t do things like that,&rdquo; Chesser said. &ldquo;I think anyone who knows our team and our community will know that we always try to take reasonable actions as we&rsquo;re representing a lot of contributors and a large community. If a user wants to install a plugin to deactivate the CDN but still access the library, they can do that by all means, but we don&rsquo;t want to build, promote, and support that functionality ourselves because it works against our community,&nbsp;our business, and our mission.&rdquo;</p>\n\n\n\n<p>The bottom line is Unsplash is a business, and a business needs to make money. Certainly a company doesn&rsquo;t commission a WordPress plugin from a team of the caliber of <a href=\"https://xwp.co/\">XWP</a> without hoping for a return on that kind of investment. The plugin&rsquo;s setup process makes it effortless for users to connect to the Unsplash API, but there isn&rsquo;t any transparency during this process regarding what data users are agreeing to send Unsplash. The plugin needs to be more forthcoming about the data the CDN collects on views and downloads. This would go a long way towards establishing more credibility with skeptics. Those who are wary of the requirement to use the CDN can use a plugin to disable it or install an alternative like Instant Images. </p>\n\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Aug 2020 21:45:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"WPTavern: Gutenberg 8.7 Adds Minor Changes, Updates Block Pattern Designs, and Continues Full-Site Editing Work\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102950\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:263:\"https://wptavern.com/gutenberg-8-7-adds-minor-changes-updates-block-pattern-designs-and-continues-full-site-editing-work?utm_source=rss&utm_medium=rss&utm_campaign=gutenberg-8-7-adds-minor-changes-updates-block-pattern-designs-and-continues-full-site-editing-work\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5390:\"<p class=\"has-drop-cap\">On Wednesday, the Gutenberg team pushed what was primarily <a href=\"https://make.wordpress.org/core/2020/08/05/whats-new-in-gutenberg-august-5/\">minor enhancements and bug fixes</a> to the WordPress platform&rsquo;s primary project. Everyone is mostly gearing up for the WordPress 5.5 release, so we are not seeing any major features dropping at the moment. However, steady work continues on improving the Gutenberg plugin.</p>\n\n\n\n<p>Gutenberg 8.7 contains over 30 bug fixes, in which nearly a third were accessibility-related changes. Around half of the new enhancements focused on updating block patterns.</p>\n\n\n\n<p>Users can look forward to several minor enhancements that should improve the editor, such as the Buttons block getting a proper <a href=\"https://github.com/WordPress/gutenberg/pull/24249\">preview in the inserter</a>. The monitoring solution behind auto-saving should also <a href=\"https://github.com/WordPress/gutenberg/pull/23962\">work more consistently</a> with this update.</p>\n\n\n\n<p>The biggest user-facing enhancement is the change in <a href=\"https://github.com/WordPress/gutenberg/pull/24263\">dealing with invalid blocks</a>. The latest version of the plugin makes the <em>attempt block recovery</em> option the default. This change hides the <em>resolve</em>, <em>convert to classic</em>, and <em>convert to HTML</em> options under the sub-menu (ellipsis button). This is a nice touch and makes the most sense. Attempting to recover a block should generally be the first step when correcting invalid block output.</p>\n\n\n\n<h2>Block Pattern Updates</h2>\n\n\n\n<ul><li class=\"blocks-gallery-item\"><img /></li><li class=\"blocks-gallery-item\"><img /></li><li class=\"blocks-gallery-item\"><img /></li><li class=\"blocks-gallery-item\"><img /></li><li class=\"blocks-gallery-item\"><img /></li></ul>Updated block pattern designs.\n\n\n\n<p class=\"has-drop-cap\">I can now proceed to eat my earlier words of <a href=\"https://wptavern.com/decision-time-what-block-patterns-should-ship-with-wordpress-5-5\">frustration with block patterns</a>. Or, perhaps I can praise myself in some small way for pushing the Gutenberg team to up their game. I was unhappy with the abysmal designs that were originally going to ship with WordPress 5.5. The team has taken what was looking to be one of the most disappointing first outings for a feature and turned it into something the project can be proud of.</p>\n\n\n\n<p>It did not take much. A photo here. A touch of pizazz there. The Don Quixote images and text bring a cohesive theme to the patterns, breathing a touch of life in an otherwise desolate and barren feature.</p>\n\n\n\n<p>The &ldquo;large header with a heading&rdquo; pattern <a href=\"https://github.com/WordPress/gutenberg/pull/24141\">dropped the blinding background</a> gradient and replaced it with an image. The &ldquo;quote&rdquo; pattern <a href=\"https://github.com/WordPress/gutenberg/pull/24140\">now has a face</a> instead of an impersonal icon. Even the &ldquo;two images side by side&rdquo; pattern <a href=\"https://github.com/WordPress/gutenberg/pull/24139\">fits in thematically</a>.</p>\n\n\n\n<p>If anything, I am not a fan of the long pattern names. &ldquo;Large header with a heading and a button&rdquo; and &ldquo;three columns of text with buttons&rdquo; do not exactly roll off the tongue. Nor do they make it easy to write about them. I do not wish the pain of typing them out on any support volunteers.</p>\n\n\n\n<p>At least we are working with a somewhat decent set of patterns going forward, and that is enough to be thankful for at this point. I will now await the first theme author to truly impress me with custom patterns.</p>\n\n\n\n<h2>Experimental Features Update</h2>\n\n\n\n<img />Site editor beta.\n\n\n\n<p class=\"has-drop-cap\">Much of the work for this release centered on the plugin&rsquo;s experimental features. The bulk of it went toward post-related blocks. At this point, these features are so experimental that even experienced developers outside of the inner Gutenberg circle have trouble following the progress. It is nice to see the continual movement in this area. However, from a user viewpoint, it is not even ready for a quick look. Enable at your own risk. Wait until the product is a bit more polished.</p>\n\n\n\n<p>I typically enable Gutenberg&rsquo;s experimental features once a month or so. I want to keep up with the progress and not feel out of the loop. Such was the case over the past couple of days as I tinkered a bit more with the full-site editing and demo templates features. I am unsure what I was hoping for. Mostly, I wanted some indication of a bright future &mdash; one that I fully expect to be realized at some point. I wanted to be wowed.</p>\n\n\n\n<p>I understand why the <em>wow</em> factor is not there. The feature is far from ready. More than that, I know that, as a developer, you have a vision of the finished product in your head, and as the UI is in flux, others cannot see that vision. It is a step-by-step process that you simply have to continue working through.</p>\n\n\n\n<p>I am still of the belief that full-site editing will not be close to a viable feature until 2021. Even with all hands on deck, four months is too small of a window to make anything remotely competitive to existing solutions out there. When full-site editing does land in core WordPress, it needs to do so with a bang, not a whimper.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Aug 2020 21:33:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"WPTavern: Is WP Notify the Silver Bullet WordPress Needs to End Admin Notification Spam?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102877\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:219:\"https://wptavern.com/is-wp-notify-the-silver-bullet-wordpress-needs-to-end-admin-notification-spam?utm_source=rss&utm_medium=rss&utm_campaign=is-wp-notify-the-silver-bullet-wordpress-needs-to-end-admin-notification-spam\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5192:\"<p>A short while ago, Justin Tadlock posted an article titled <a rel=\"noreferrer noopener\" href=\"https://wptavern.com/are-plugin-authors-to-blame-for-the-poor-admin-notices-experience\" target=\"_blank\">Are Plugin Authors to Blame for the Poor Admin Notices Experience?</a>. If you haven&rsquo;t already, I recommend reading his article. It describes in detail one question I&rsquo;ve been pondering since I originally posted the <a href=\"https://make.wordpress.org/core/2019/08/05/feature-project-proposal-wp-notify/\">WP Notify feature project proposal</a> almost a year ago now: Will a new notification system for WordPress solve the notification spam, or just move it elsewhere?</p>\n\n\n\n<p>The answer might not be as simple as we think.</p>\n\n\n\n<p>I have been building, maintaining, and supporting a number of free, paid, and client plugins for the past five years. During that time I have also been an active contributor &mdash; as much as I possibly can outside of work and my personal life &mdash; to the WordPress open source project. Now that&rsquo;s definitely a drop in the ocean compared to some folks, but whenever I see the mess that can occur when multiple plugins or themes register admin_notices on EVERY SINGLE ADMIN PAGE, it strengthens my resolve in the idea that WordPress needs a centrally managed notification system.&nbsp;</p>\n\n\n\n<p>If you read Justin&rsquo;s article, or you are a plugin or theme developer yourself, you know that the notifications system (aka admin notices, a reference to the WordPress <a rel=\"noreferrer noopener\" href=\"https://developer.wordpress.org/reference/hooks/admin_notices/\" target=\"_blank\">hook that prints these notices</a>) in WordPress is limited at best. We need to be honest with ourselves, however, admin notices was not designed to function as a notification system. Admin notices should really only be used to display useful information to the user about state changes in the system. Messages like when a post has been updated or deleted, or a database upgrade is required. Short, useful, and more importantly, relevant.</p>\n\n\n\n<p>As developers, we usually look for the root cause of a problem. And in the case of admin notices, the root cause is not the current notification system, or the fact that plugin developers use it for things other than, well, admin notices. The root cause is the fact that there has never existed a mechanism for notifications other than admin notices to be displayed to the user. This means that whenever a plugin developer has needed, or in fact wanted, to communicate with their users, via &ldquo;in app messages,&rdquo; admin notices has been the only way they can do so.</p>\n\n\n\n<p>Want to let your users know about a new upgrade? Admin notice. Want to ask them to leave a review? Admin notice. Your premium license is about to expire! Admin notice. Hey, we&rsquo;ve got a new sale on our premium products! Admin notice. It all soon adds up to an almighty mess.</p>\n\n\n\n<p>And that&rsquo;s the problem with a project like WP Notify. We&rsquo;ve had admin notices, in its current iteration at least, since 2011. That means we have been using it for all our user facing messages now for nine years at least &ndash; nine years of plugin and theme developers using admin notices to send messages to users.&nbsp;</p>\n\n\n\n<p>If you have children, imagine telling your nine year old that the way they have been walking is wrong, and they now need to learn a completely new way of doing it. Good Luck!</p>\n\n\n\n<p>So, as much as it pains me to admit it, WP Notify is not the silver bullet that will magically fix the problem at its core. As Matt Mullenweg pointed out in the comments on Justin&rsquo;s article, &ldquo;I don&rsquo;t think a notification center is the solution to this problem. It may be useful for other reasons, but not that one.&rdquo;</p>\n\n\n\n<p>However, not having a specific solution for notifications other than those that are necessary, means that developers will keep on doing things the way they have always been. Enforcing new guidelines around the current functionality nine years later is going to be hard, especially since enforcing these guidelines will have to be done by a small group of volunteers, namely the theme and plugin review teams.&nbsp;</p>\n\n\n\n<p>By building WP Notify, we create a new and hopefully better way for plugin and theme developers to connect and communicate with their users. At the same time, we provide a tool by which we can more easily enforce any new guidelines. A guideline could be created for example, that unless your message is strictly within the realms of informing the user about state changes in the system, it needs to be displayed in the notifications center, and not as an admin notice.</p>\n\n\n\n<p>So no, I don&rsquo;t believe WP Notify will be a silver bullet solution. We&rsquo;re not going to build it, ship it, and suddenly all the notification spam goes away the next day. That kind of change takes time.</p>\n\n\n\n<p>But I do believe it&rsquo;s a step in the right direction.</p>\n\n\n\n<p>If you agree with me, why not <a href=\"https://make.wordpress.org/core/tag/feature-notifications/\">join our merry band and help us build it</a>.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Aug 2020 14:06:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Jonathan Bossenger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: Automattic Relaunches P2, Self-Hosted Version on the Roadmap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102891\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:183:\"https://wptavern.com/automattic-relaunches-p2-self-hosted-version-on-the-roadmap?utm_source=rss&utm_medium=rss&utm_campaign=automattic-relaunches-p2-self-hosted-version-on-the-roadmap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4890:\"<p>Automattic&rsquo;s relaunch of P2 is <a href=\"https://wordpress.com/p2/\">now in Beta</a>. This is the long-awaited update to the company&rsquo;s internal collaboration software that is also used on WordPress.org and other self-hosted sites via a theme. For years, Automattic, which now counts more than 1,200 employees in 77 countries, has had P2 at the core of its written communication tools. It is used as a complement to Slack and video conferencing, providing a public collaboration space for conversations which might otherwise be hidden away in emails. </p>\n\n\n\n<p>The older version of P2 functioned as a dependable workhorse with few changes over the years, but the beta introduces some marked improvements that make it more versatile than before. It is now seamlessly integrated with the block editor and includes a streamlined invitation system for onboarding new team members.</p>\n\n\n\n<img />\n\n\n\n<p>P2 has a fresh design that has come a long way since its roots as an <a href=\"https://ma.tt/2009/05/how-p2-changed-automattic/\">evolution of the Prologue microblogging theme.</a> Many things about WordPress have changed since P2&rsquo;s first launch 11 years ago but threaded conversations have endured as a useful collaboration format. Mobile support is one of the things that has improved significantly. Users can get notifications via the web, email, and the WordPress mobile apps.</p>\n\n\n\n<img />\n\n\n\n<p>&ldquo;It works on the WordPress apps perfectly but it&rsquo;s handled as a normal WordPress site, without any P2 specific functionality,&rdquo; Automattic&rsquo;s P2 launch lead Jon Burke said. &ldquo;P2 specific functionality and improvements are on the mobile app product roadmap. The browser version on the other hand has all the particularities that P2 has.&rdquo;</p>\n\n\n\n<p>The beta version of P2 is free and each instance comes with 3GB of storage space for images and files. Users can create as many as they like. The product is built on top of WordPress.com&rsquo;s infrastructure but functions as a scaled back version of a blog &ndash; essentially a WordPress for teams. </p>\n\n\n\n<p>Pricing for the commercial upgrade has not yet been determined, according to Burke, but the roadmap includes a hefty list of features.</p>\n\n\n\n<p>&ldquo;We&rsquo;ll have integrations with third party services, project management features, more storage space, custom URLs, more customization options, etc,&rdquo; Burke said. &ldquo;We plan to introduce multi-site functionality, too, so an organization can create multiple P2s while sharing the same user base, have cross-posting, a common glossary, and other advanced features.&rdquo;</p>\n\n\n\n<p>With the diverse myriad of blocks pouring into the WordPress ecosystem, every P2 has the opportunity to be unique, depending on which features it introduces through the editor. Burke said Automattic plans to allow admins to extend their P2 instances with plugins in the enterprise version.</p>\n\n\n\n<h2>P2 Set to Roll Out on WordPress.com, Self-Hosted Version Coming &ldquo;Eventually&rdquo; </h2>\n\n\n\n<p>P2 is just now entering beta but many fans are already eagerly awaiting a self-hosted version. Burke said it is coming &ldquo;eventually,&rdquo; but the team hasn&rsquo;t yet worked out how it will be structured. The project is not currently available on GitHub.</p>\n\n\n\n<p>&ldquo;With this launch version behind us the P2 team will turn to this but don&rsquo;t yet have a time-line,&rdquo; Burke said. &ldquo;The team will need to now define how the backend admin will look.&rdquo; The updated P2 is also coming to power conversations on WordPress.org further down the road.</p>\n\n\n\n<p>&ldquo;We don&rsquo;t yet have a target date but it is on the product roadmap,&rdquo; he said. &ldquo;This P2 version has been more than a theme or plugin update &ndash; it&rsquo;s really a product concept- so we can&rsquo;t simply update the WordPress.org P2 theme; it requires additional progress.&rdquo;</p>\n\n\n\n<p>P2 seems like it would be a good fit for Automattic&rsquo;s <a href=\"https://happy.tools/\">Happy Tools</a> suite of products for distributed teams. A version of P2 with more features may roll out under this brand once the beta concludes.</p>\n\n\n\n<p>&ldquo;Given the sudden global shift to remote work we really wanted to get out a stable product as soon as we could,&rdquo; Burke said. &ldquo;That really made WordPress.com the most expedient pathway to get P2 into peoples&rsquo; hands.</p>\n\n\n\n<p>&ldquo;Now that we have launched this version, we will make decisions around where the next releases will live. P2 has been envisioned as being part of the Happy Tools suite. But we are going to learn from the early users on WordPress.com and prioritize the next steps. We know that some users will need a premium version on WordPress.com in order to secure a custom domain and other features so we will update that shortly.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Aug 2020 22:10:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"WPTavern: Plugin Rank Provides Insight Into WordPress Search Results, Competitive Analysis, and Email Reports for Developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102835\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:289:\"https://wptavern.com/plugin-rank-provides-insight-into-wordpress-search-results-competitive-analysis-and-email-reports-for-developers?utm_source=rss&utm_medium=rss&utm_campaign=plugin-rank-provides-insight-into-wordpress-search-results-competitive-analysis-and-email-reports-for-developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6181:\"<p class=\"has-drop-cap\">Iain Poulson announced that <a href=\"https://pluginrank.com/\">Plugin Rank</a> is open to the public yesterday. It is a new service that allows plugin authors to track their rankings by keyword on the official WordPress plugin directory. The service is geared toward plugin authors with freemium offerings.</p>\n\n\n\n<p>The tools were already in place for Poulson to build the service.  He just needed to build his service on top of them.  &ldquo;Plugin Rank leverages the WordPress.org API to retrieve a set of plugins for a search term,&rdquo; he said. &ldquo;It&rsquo;s the same API that WordPress uses when a user searches for a plugin inside their WordPress dashboard or when searching on the plugin directory.&rdquo;</p>\n\n\n\n<p>Poulson described how a user might search for a membership plugin by typing &ldquo;membership&rdquo; in the search box. The WordPress API returns a set of plugins that best match that term, based on an internal ranking algorithm. The Plugin Rank service uses this same, underlying technology.</p>\n\n\n\n<p>&ldquo;Plugin Rank will check the API daily to find the latest positions of the plugins for the keywords being tracked by Plugin Rank customers,&rdquo; he said. &ldquo;This data is then used to show position movement and charted to show an overall picture of how the plugins are ranking.&rdquo;</p>\n\n\n\n<img />Plugin dashboard screen.\n\n\n\n<p>The idea for the service was born from work he and others were doing at <a href=\"https://deliciousbrains.com/\">Delicious Brains</a>, a WordPress development company, a few months ago. &ldquo;We&rsquo;d started to work on improving the copy in the <a href=\"https://wordpress.org/plugins/wp-migrate-db/\">WP Migrate DB</a> plugin readme.txt files to rank higher in search results,&rdquo; he said. &ldquo;Brad Touesnard set up a Google sheet with all the keywords we wanted to rank for, a link to search the keyword on wordpress.org, and columns for each month. He started to record the position the plugin appears for each keyword every month. Or that was the idea, when we remembered!&rdquo;</p>\n\n\n\n<p>Poulson began using the same system for <a href=\"https://wpusermanager.com/\">WP User Manager</a> and <a href=\"https://intagrate.io/\">Intagrate</a>, two freemium plugins he had in the plugin directory. However, it did not take long to realize the futility of that system.</p>\n\n\n\n<p>&ldquo;The sheer manual nature of the task of setting up the sheet, monthly checking, and trying to remember to do it made me think there must be a better way,&rdquo; he said. &ldquo;So I started to work on an app to do it for me.&rdquo;</p>\n\n\n\n<p>Besides simply providing a particular plugin&rsquo;s rank, Poulson said the service provides information that can help plugin developers raise their rankings in the search results.</p>\n\n\n\n<img />Competitive analysis against other plugins.\n\n\n\n<p>&ldquo;The competitor analysis in Plugin Rank gives you an insight into the top 50 plugins that rank for the keywords you care about,&rdquo; said Poulson. &ldquo;It gives you insights into what those plugins are doing that make them rank higher than you. Do they have a high amount of the keyword in their readme? Do they have it in their title or tags? Do they answer the bulk of their support requests? Do they have a large number of five-star ratings?&rdquo;</p>\n\n\n\n<h2>A Premium Service with a Premium Price</h2>\n\n\n\n<p class=\"has-drop-cap\">Plugin Rank is the first service of its kind in the WordPress industry. Therefore, Poulson had to look outside of traditional WordPress channels to get a sense of how to <a href=\"https://pluginrank.com/pricing/\">price the new service.</a></p>\n\n\n\n<p>&ldquo;I looked at similar SEO tools for traditional search engines, like <a href=\"https://ahrefs.com/\">Ahrefs</a> and <a href=\"https://www.semrush.com/\">SEMrush</a>, and tried to base my pricing on how valuable it can be in relation to other marketing channels,&rdquo; he said.</p>\n\n\n\n<p>Only time and feedback will decide whether he found the sweet spot between offering a valuable service and what plugin developers are willing to fork over. The Starter tier allows plugin authors to track up to five keywords for a single plugin. It also includes email reports and competitor analysis. The $9 per month price tag is low enough for developers to dip their toes in and decide whether it is worth upgrading for tracking more keywords and plugins.</p>\n\n\n\n<p>The $49 Plus plan allows up to five plugins and 50 keywords. It also includes tracking for multiple languages. The $119 Pro plan bumps the plugin count to 20 and keyword number to 500.</p>\n\n\n\n<p>Right now, Plugin Rank is offering a 21-day free trial, which is a no-brainer for any freemium plugin author who might even be remotely interested in the service. <em>I have no doubt I would sign up if I was still in the freemium plugin game.</em></p>\n\n\n\n<p>&ldquo;Most developers and companies will invest heavily and get good results from content marketing and SEO improvements, and their WordPress.org plugin listing will receive little attention,&rdquo; said Poulson. &ldquo;But for freemium plugins, it can be a huge channel for getting people using their plugin and buying the up-sells. So it&rsquo;s priced with that in mind.&rdquo;</p>\n\n\n\n<h2>The Future of the Service</h2>\n\n\n\n<p class=\"has-drop-cap\">The <em>knowledge</em> of where a plugin stands in the rankings and having the data readily available will undoubtedly help many plugin authors. However, knowledge is merely the beginning of ranking higher. For developers who are not well-versed in marketing and SEO, they will need to develop new skills to make full use of what they learn from the service.</p>\n\n\n\n<p>Poulson seems interested in expanding the service beyond its initial goal of providing ranking data. Tutorials, videos, and other resources would be a nice value-add for those who buy into the service now.</p>\n\n\n\n<p>&ldquo;Plugin Rank&rsquo;s primary functionality at the moment is monitoring and getting access to data,&rdquo; he said, &ldquo;but I&rsquo;ve got features planned that focus on how to make improvements, as well as tutorial-style content on the Resources page.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Aug 2020 21:14:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"BuddyPress: BuddyPress 6.2.0 Maintenance release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=313261\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://buddypress.org/2020/08/buddypress-6-2-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1123:\"<p>Immediately available is&nbsp;<a href=\"https://downloads.wordpress.org/plugin/buddypress.6.2.0.zip\">BuddyPress 6.2.0</a>. This maintenance release:</p>\n\n\n\n<ul><li>fixes 1 bug related to the 6.0.0 release, </li><li>is preparing BuddyPress for WordPress 5.5.0,</li><li>is a recommended upgrade for all BuddyPress installations.</li></ul>\n\n\n\n<p>For details on the changes, please read the&nbsp;<a href=\"https://codex.buddypress.org/releases/version-6-2-0/\">6.2.0 release notes</a>.</p>\n\n\n\n<p>Update to BuddyPress 6.2.0 today in your WordPress Dashboard, or by&nbsp;<a href=\"https://wordpress.org/plugins/buddypress/\">downloading from the WordPress.org plugin repository</a>.</p>\n\n\n\n<h2>Many thanks to 6.2.0 contributors&nbsp;<span class=\"dashicons dashicons-heart\"></span></h2>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/hareesh-pillai/\">hareesh-pillai</a>, <a href=\"https://profiles.wordpress.org/man4toman\">man4toman</a>, <a href=\"https://profiles.wordpress.org/dcavins/\">dcavins</a>, <a href=\"https://profiles.wordpress.org/boonebgorges\">boonebgorges</a>, <a href=\"https://profiles.wordpress.org/imath/\">imath</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 06 Aug 2020 19:40:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"Post Status: Creating healthy virtual work environments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=79424\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://poststatus.com/creating-healthy-virtual-work-environments/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:738:\"<p>We\'re seeing the strain of isolation and 100% remote work without meetups, conferences, or other in-person opportunities to collaborate. In this episode of Post Status Draft, Cory and Brian discuss how to create healthy virtual work environments, including some tips for establishing better work days.</p>\n\n\n\n\n\n\n\n<p>Or watch this episode on YouTube:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3>Sponsor: Pagely</h3>\n\n\n\n<p><a href=\"https://pagely.com/\">Pagely</a> offers best-in-class managed WordPress hosting, powered by Amazon\'s Cloud, the Internet’s most reliable infrastructure. Pagely helps big brands scale WordPress.Thank you to <a href=\"https://pagely.com/\">Pagely</a> for being a Post Status partner!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Aug 2020 23:10:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WordPress Cancels All In-Person Flagship Events Until 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102777\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:181:\"https://wptavern.com/wordpress-cancels-all-in-person-flagship-events-until-2022?utm_source=rss&utm_medium=rss&utm_campaign=wordpress-cancels-all-in-person-flagship-events-until-2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3357:\"<p>As the world scrambles to invent and manufacture therapeutics and vaccines for COVID-19, the World Health Organization has <a href=\"https://www.who.int/news-room/detail/01-08-2020-covid-19-emergency-committee-highlights-need-for-response-efforts-over-long-term\">declared</a> the pandemic &ldquo;a once-in-a-century health crisis, the effects of which will be felt for decades to come.&rdquo; Outbreaks vary in severity across the globe, making it impossible to host international conferences safely for many months (and possibly years) to come.</p>\n\n\n\n<p>In consideration for the time and efforts of hundreds of volunteers who would be involved in planning in-person events, WordPress <a href=\"https://make.wordpress.org/community/2020/08/04/announcement-flagship-events-in-2021\">announced</a> it will no longer accept any applications for flagship events in 2021:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>Flagship events (i.e. large, regional WordCamps that attract an international audience) bring together people from all corners of the world, so until infection rates are effectively mitigated and/or a vaccine is widely available, these large scale events that typically host more than 1,000 individuals could become &ldquo;super-spreader&rdquo; events if a single infected person attends.&nbsp;</p><p>Applications for new flagship events (or regional events that cover multiple regions or countries) will not be accepted for all of 2021.</p></blockquote>\n\n\n\n<p>The announcement comes on the heels of <a href=\"https://wptavern.com/wordcamp-us-2020-canceled-due-to-pandemic-stress-and-online-event-fatigue\">WordCamp US canceling its virtual event</a> due to overextended organizers and online event fatigue for attendees. Up until this point, organizing teams from the large regional camps have been making their own determinations regarding the suitability of hosting an event online. The change announced this week prevents new events from applying and then inevitably having to transition to a virtual format.</p>\n\n\n\n<p>Existing flagship events that were already in the pipeline will be allowed to continue as online events. These include WordCamps Europe, US, Asia, and  Centroam&eacute;rica. Of these, WCEU has already <a href=\"https://wptavern.com/wordcamp-europe-goes-virtual-for-2021-in-person-conference-to-resume-2022\">announced</a> an online event.</p>\n\n\n\n<p>&ldquo;As&nbsp;<a href=\"https://make.wordpress.org/community/2020/07/23/building-community-beyond-events/\">online events continue to evolve</a>&nbsp;to reflect community needs, the Community Team strongly encourages these flagship organizing teams to be creative in their approach,&rdquo; Hugh Lashbrooke said in the announcement. This challenge forces organizers to proceed only if they can  knock it out of the park in terms of creativity. Otherwise, it&rsquo;s simply hosting another online conference in the same tired format for the sake of tradition. </p>\n\n\n\n<p>WordPress is at an interesting point in its history where it can no longer rely on in-person events to drive enthusiasm, education, and growth for the community. Flagship WordCamps are a necessary casualty in the fight to slow the spread of the virus, but this early decision provides a welcome peg of certainty for those who normally invest a significant amount of time in making these events a reality.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Aug 2020 21:57:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Disable Comments Plugin Looking for New Owner, Highest Bid Goes to Charity\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102771\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://wptavern.com/disable-comments-plugin-looking-for-new-owner-highest-bid-goes-to-charity?utm_source=rss&utm_medium=rss&utm_campaign=disable-comments-plugin-looking-for-new-owner-highest-bid-goes-to-charity\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4743:\"<p class=\"has-drop-cap\">Samir Shah is ready to part ways with his popular <a href=\"https://wordpress.org/plugins/disable-comments/\">Disable Comments</a> plugin. The WordPress extension has garnered over a million users and a solid 220 five-star reviews out of 229, but its owner no longer has the time to maintain it. Rather than simply give it away or sell it for profit, he plans to auction it for charity.  The highest bidder will donate to Effective Altruism Funds (EAF), a charitable organization, for ownership.</p>\n\n\n\n<p>Shah asks that those who are interested in bidding on the plugin contact him via his <a href=\"http://twitter.com/solaris_smoke/\">Twitter account</a>. He is also open to feedback on how to approach this at the moment.</p>\n\n\n\n<p>He first released the Disable Comments plugin in 2011. This was during a time that he was working professionally with WordPress. His primary use case was with corporate clients who did not need any sort of commenting functionality on the site.</p>\n\n\n\n<p>&ldquo;After repeating this implementation on several projects I ported it to a plugin,&rdquo; he said. &ldquo;The plugin became popular very quickly so it turns out this was a common use case.&rdquo;</p>\n\n\n\n<p>Shah used PHP and WordPress primarily between 2009 and 2015. However, the work his company has been doing has shifted his focus to other languages and platforms. He has not used WordPress professionally since 2016 but has continued maintaining this plugin for the community in his free time.</p>\n\n\n\n<p>&ldquo;In the last year or two I&rsquo;ve found it hard to keep up with the maintenance of the plugin,&rdquo; he said. &ldquo;I&rsquo;m increasingly unfamiliar with both the WordPress core (major changes like Gutenberg, for example) and with newer versions of PHP. It is time to find a new owner who is actively using WordPress.&rdquo;</p>\n\n\n\n<p>Disable Comments allows administrators to disable the comment functionality across the entire site. Users can also control it based on a specific post type or even disable comments across the network when used on a multisite installation.</p>\n\n\n\n<p>The primary use case is for disabling all commenting-related functionality. When this mode is enabled, the plugin hides comment links from all menus, removes comment widgets, hides the discussion settings screen, disables outgoing pingbacks, and more. Of course, it disables commenting on the front end too.</p>\n\n\n\n<p>Shah also has a <a href=\"https://github.com/solarissmoke/disable-comments-mu\">&ldquo;must use&rdquo; version</a> of the plugin available on GitHub. This comes in handy for professional work where the developer does not want the client to accidentally deactivate the plugin.</p>\n\n\n\n<p>&ldquo;I never intended to make any money off this plugin, which is completely free to use,&rdquo; said Shah. &ldquo;I have however received a number of financial offers for it over the years (presumably because people value the large user base), and so the idea I had was to auction it. The highest bidder would pay their bid to my preferred charitable organization, and send me a receipt as proof of donation in exchange for ownership of the plugin.&rdquo;</p>\n\n\n\n<p>He is hoping that someone in the community will value a free plugin that does not generate revenue. With over a million active installs, there is a possibility that a company could directly or indirectly profit from ownership. Even if not, this would be a good opportunity for someone with the resources to give back to the WordPress community. There is an obvious need for this type of plugin.</p>\n\n\n\n<p>While Shah says he does not spend much time on charitable work, he does try to donate a percentage of his annual income to charity and believes this is another avenue to do some good.</p>\n\n\n\n<p>&ldquo;I&rsquo;m in the privileged position at the moment of having sufficient income to meet my basic needs,&rdquo; he said. &ldquo;Selling the plugin for profit isn&rsquo;t going to alter my standard of living, and I&rsquo;m not interested in profit for its own sake. If I can extract some value from this plugin and give it to EAF then it will go some way to improving the lives of others.&rdquo;</p>\n\n\n\n<p>He said he chose EAF because it uses an evidence-based approach to distributing funds by focusing on empirical measures of impact. &ldquo;This felt to me like a better strategy than just picking a cause that I was personally attached to. There are particular areas of their work &mdash; e.g., the long-term future fund &mdash; that I think are especially important today.&rdquo;</p>\n\n\n\n<p>It will be interesting to see how this type of <em>sale</em> works out. What do you think of trading ownership of a plugin for a charitable contribution?</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Aug 2020 18:45:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 5.5 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8764\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2020/08/wordpress-5-5-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2501:\"<p>The second release candidate for WordPress 5.5 is here!</p>\n\n\n\n<p>WordPress 5.5 is slated for release&nbsp;on&nbsp;<strong>August 11, 2020</strong>, but we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.5 yet,&nbsp;now is the time!</p>\n\n\n\n<p>You can test the WordPress 5.5 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-RC2.zip\">download the release candidate here (zip)</a>.</li></ul>\n\n\n\n<p>Thank you to all of the contributors who tested the&nbsp;Beta releases and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.5 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme file to 5.5. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>,&nbsp;so those can be figured out before the final release.</p>\n\n\n\n<p>For a more detailed breakdown of the changes included in WordPress 5.5, check out the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1/\">WordPress 5.5 beta 1 post</a>. The&nbsp;<a href=\"https://make.wordpress.org/core/2020/07/30/wordpress-5-5-field-guide/\">WordPress 5.5 Field Guide</a>&nbsp;is also out! It’s your source for details on all the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a>&nbsp;This release also marks the&nbsp;<a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a>&nbsp;point of the 5.5 release schedule.</p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">fill one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Aug 2020 19:12:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: Redux Framework Relaunches, Focuses Efforts on Gutenberg Templates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98604\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:195:\"https://wptavern.com/redux-framework-relaunches-focuses-efforts-on-gutenberg-templates?utm_source=rss&utm_medium=rss&utm_campaign=redux-framework-relaunches-focuses-efforts-on-gutenberg-templates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13983:\"<p class=\"has-drop-cap\">D&#333;vy Paukstys was rushing out another update with bug fixes yesterday morning as we chatted about the future of his popular <a href=\"https://redux.io/\">Redux Framework</a>. It was not the first update of the day. The Virginia-based developer is just over a week into what he has called the <em>soft launch</em> of Redux 4.x. It is a major reconstruction of a plugin that has been powering over 900,000 websites and has a strong developer audience.</p>\n\n\n\n<p>The changes over the past week might seem risky to some. He has built a massive user base by providing one of the most <a href=\"https://wordpress.org/plugins/redux-framework/\">powerful theme and plugin options frameworks</a> in WordPress history. The plugin&rsquo;s new focus leans heavily toward the block editor, which is still one of the most controversial features of WordPress, even after nearly two years as part of the core platform.</p>\n\n\n\n<p>Paukstys needed to make a change. The developer-only approach was not generating the return on investment that he needed. The $7,000 in donations and subscriptions received in 2019 was not sustainable, especially when products on the Envato marketplace had generated at least $56 million on the back of Redux, according to data he had gathered. He was leaving far too much money on the table. Redux was a successful product on the surface, but developers were either unwilling to pony up the cash or the business plan was not working. It was time for something new.</p>\n\n\n\n<p>It was not merely time for a change because the business was essentially going nowhere. The game was and is still changing. Theme options, the bread and butter of Redux, will likely be a thing of the past in the next year or two. Themes will become far less reliant on options panels. Developers will need to build their offerings around the block system and plugins like Redux need to keep up.</p>\n\n\n\n<p>The writing was on the wall. The best time to profit from a theme options framework was the past decade. Whether it is the <a href=\"https://wptavern.com/will-page-builders-remain-competitive-in-the-block-era\">block editor or a page-building plugin</a> like Elementor, design options are on the individual page level now, or at least not buckled into old-school concepts like theme options panels or the customizer.</p>\n\n\n\n<p><em>The times they are a-changin&rsquo;</em>, and Redux is changing with them.</p>\n\n\n\n<p>Paukstys is no stranger to moving with the flow. It has allowed his framework&rsquo;s user numbers to continue growing over the years. In 2015, he shifted gears and focused on making sure his framework <a href=\"https://wptavern.com/redux-and-kirki-frameworks-join-forces-to-provide-better-support-for-the-wordpress-customizer\">supported the customizer</a>. This came after a controversial decision from the Themes Team to <a href=\"https://wptavern.com/wordpress-org-now-requires-theme-authors-to-use-the-customizer-to-build-theme-options\">require the use of the customizer</a> instead of custom theme options screens. Paukstys was a vocal opponent of the decision and still believes the customizer never panned out. In hindsight, he may have been right; the customizer has felt like an abandoned project over the past couple of years. Still, he made the necessary moves to keep his options framework relevant when necessary.</p>\n\n\n\n<p>Today, he is propelling Redux into a new era in which blocks reign supreme.</p>\n\n\n\n<p>&ldquo;If Redux didn&rsquo;t go into the world of blocks it would eventually be a thing of yesterday,&rdquo; he said. &ldquo;The future is blocks and that&rsquo;s where we are putting our focus. We&rsquo;re excited to once again be on the cutting edge and we hope our product can really help users, freelancers, and agencies build and improve their sites in ways they never have before.&rdquo;</p>\n\n\n\n<p>What he and the Redux team has done is tack an entirely new set of user-focused features onto what was once a developer platform. Even the marketing has changed. Redux is now in the business of providing and upselling features to end-users. It is no longer taking a backseat to the theme and plugin authors who have profited in the millions upon its developer API. The team is taking the steering wheel and driving toward its own future.</p>\n\n\n\n<h2>What Does the New Redux Do?</h2>\n\n\n\n<img />Ice Cream shop template kit.\n\n\n\n<p class=\"has-drop-cap\">Redux still does all the things it has always done. Developers can build custom settings screens and offer whatever options they want to their own end-users. The most glaring addition is the new <a href=\"https://templates.redux.io/\">Redux Templates</a> feature, which directly integrates with the block editor.</p>\n\n\n\n<p>&ldquo;Redux Templates acts as a block discovery library if you will,&rdquo; said Paukstys. &ldquo;We bring all templates provided by third-party plugins into a single library. You can essentially see and preview what&rsquo;s possible, click, and import.&rdquo;</p>\n\n\n\n<p>Redux also has a built-in block dependency installer. When importing third-party templates or blocks, it will check if the plugin is installed and active. If not, it will take care of that for users.</p>\n\n\n\n<p>The end goal is to ease the trouble of finding advanced block templates. Currently, most of the block templating plugins are dispersed, projects wondering around the wild. Users cannot find what they need if they do not know where to look. Redux changes all of that. Currently, it supports 18 different block plugins. It serves to give more exposure to existing block plugins and helps users discover solutions they might not have otherwise found.</p>\n\n\n\n<p>On the post-editing screen, the plugin adds a new &ldquo;Templates&rdquo; button to the top toolbar. Once clicked, it opens a popup with its library of sections, templates, and template kits.</p>\n\n\n\n<img />Viewing templates from the Redux library.\n\n\n\n<p>One of the nicer features of the plugin is its previewer. By clicking the preview button, users can see what a section or template looks like before importing anything. On the left side of the previewer, the plugin displays tabs that show what blocks are used and what required plugins would need to be installed and activated.</p>\n\n\n\n<p>Redux leaves little to the imagination. Any necessary information about what is being installed is directly available. Plus, it provides links to any plugins that might be installed.</p>\n\n\n\n<img />Previewing a contact template.\n\n\n\n<p>The great thing is that the Templates feature does not lock the user down to the Redux plugin. If a user wants to deactivate Redux in the future, nothing will change with their blocks. It is primarily serving as a bridge between end-users and the massive world of block projects.</p>\n\n\n\n<p>&ldquo;We see the future of options being diminished in the long run by blocks, so we found a way to move into that space to keep Redux always on the cutting edge,&rdquo; said Paukstys. His team completely rewrote the underlying framework and brought everything up to the WordPress coding standards.</p>\n\n\n\n<p>The move to support blocks is more of a repositioning of a project whose days were numbered.</p>\n\n\n\n<p>Paukstys stressed that Redux has every feature that it had before and even more. The team added CSS variables for developers if they prefer using them over a compiler. He feels like the core framework has improved drastically, which means old users can continue enjoying the features they have become accustomed to.</p>\n\n\n\n<h2>A New Business Plan</h2>\n\n\n\n<img />\n\n\n\n<p class=\"has-drop-cap\">Make no mistake. Paukstys is looking to grow the revenue of his business and create a sustainable future for Redux. The <a href=\"https://redux.io/pricing/\">pricing plan</a> is clear and follows a model that has been successful for many commercial plugins over the years. The plans are tiered and range from $49 per year to $249, depending on the number sites the user wants automatic updates and support for.</p>\n\n\n\n<p>The commercial plans offer new features for developers like automated Google Font updates, custom fonts integrated into all panels, unlimited widget areas, and dynamic search.</p>\n\n\n\n<p>However, the big upsell is landing directly on the doorstep of end-users. Each of the commercial plans offers full access to over 1,000 sections and full-page templates. The breadth of options can almost be overwhelming, but the average user will be able to find nearly any type of template needed for their site. From restaurants to corporate offices to fitness studios, there is a little something for everyone.</p>\n\n\n\n<p>&ldquo;I was all too altruistic,&rdquo; said Paukstys of the previous years. &ldquo;I believed that if I helped people make money, they&rsquo;d give back. Unfortunately, that is not how it works. I&rsquo;ve worked for years with various pricing models, each doomed to fail.&rdquo; He had seen others rise to business success, quite often on the work that he had put in. It is not all about money, and he believes he has something of value to offer in return.</p>\n\n\n\n<p>Development skill is not enough to breed financial success. Sound financial principles must back it up.</p>\n\n\n\n<p>One of the catalysts for recent changes to his business plan was joining <a href=\"https://poststatus.com/\">Post Status</a>, which has a strong community of business leaders in the WordPress ecosystem. He credits Alex Denning, Kimberly Lipari, Haris Zulfiqar, Rich Tabor, and others as inspiration, helping him to shift his thinking around the business side of the project.</p>\n\n\n\n<p>Some of the lessons he has learned thus far are:</p>\n\n\n\n<ul><li>Developers are already starved. Focus on users.</li><li>Add-ons can be a bad model. A single pro/premium product is much easier to sell and manage.</li><li>The need for a revenue model. Don&rsquo;t expect people to just hand over money.</li><li>Use the audience you have. Don&rsquo;t cannibalize yourself.</li></ul>\n\n\n\n<p>&ldquo;Where we&rsquo;ve ended up is a <em>much</em> cheaper plan for developers and a powerful toolkit for users,&rdquo; he said. &ldquo;Hopefully, we&rsquo;re pushing Gutenberg into a greater place of value.&rdquo;</p>\n\n\n\n<h2>Moving Forward</h2>\n\n\n\n<p class=\"has-drop-cap\">Naturally, not every user will be happy with the overhaul of the plugin. For years, Redux was geared specifically toward developers. It was an options framework.</p>\n\n\n\n<p>&ldquo;Redux was for a completely different purpose which is for developers to create Options framework,&rdquo; wrote a user named James <a href=\"https://wordpress.org/support/topic/dishonest-and-bad-performance/\">in a review</a>. &ldquo;They have changed the plugin suddenly to a page builder something like that. It doesn&rsquo;t make sense and they are using the previous plugin&rsquo;s reputation.&rdquo;</p>\n\n\n\n<p>It is a fair criticism. And, it was expected. The plugin has switched much of its focus to end-users. However, it has not removed the existing API and features that made it successful with developers in the past.</p>\n\n\n\n<p>Paukstys is clear that he is building on top of the reputation that Redux has earned and launching new features for end-users. He is unapologetic about trying something new to bring in a reasonable return on his years-long investment of time and resources. Launching a completely new and separate project would carry far more risk. It makes sense to build atop the mountain he had already built.</p>\n\n\n\n<p>It won&rsquo;t make everyone happy. However, he said that the feedback has been &ldquo;shockingly positive&rdquo; in the week since the Redux 4 soft launch.</p>\n\n\n\n<p>&ldquo;I&rsquo;ve never realized how much users appreciated Redux,&rdquo; he said. &ldquo;Some of the changes to the framework broke sites, and everyone I have reached out to help has been so extremely gracious. It&rsquo;s so refreshing and honestly helps me to see why the WordPress community is such a great place to be. I fear developers are too harsh to one another. Users on the other hand, if provided kind support, are in turn incredibly kind.&rdquo;</p>\n\n\n\n<p>If most of the feedback thus far is any indication of the plugin&rsquo;s future, do not expect to see pitchforks and torches.</p>\n\n\n\n<p>He might have to take a few lumps with a few disgruntled users over the change. It comes with the territory. However, feedback will likely directly correlate with how well he serves users through the Redux support channels.</p>\n\n\n\n<p>The project will also benefit from a potentially new user base in the coming months and years. The plugin is dipping its toes into a new market while maintaining the features that got it to where it is today. It will be a bit of a balancing act, but the plugin must move with the times.</p>\n\n\n\n<h2>The Future of Redux</h2>\n\n\n\n<p class=\"has-drop-cap\">This is a new era for Redux. In the immediate future, Paukstys and team will need to focus on ironing out all of the bugs and the transition to a new market. It is a time for reflection, careful listening, and attentiveness before diving headlong into new features.</p>\n\n\n\n<p>&ldquo;In the past, we were 100% developer-centric,&rdquo; said Paukstys. &ldquo;That being said, we always had our eye on the user and wanted to fulfill their needs. Now we&rsquo;re expanding to support the users directly, as well as developers.&rdquo;</p>\n\n\n\n<p>With the newfound focus on end-users, there is potential for growth in other areas. Paukstys says the focus is 100% on the block editor at present. Branching out to support other major page builders like Elementor is not out of the question. However, Redux should be able to continue finding success by extending the core experience.</p>\n\n\n\n<p>&ldquo;When we started this adventure into the blocks space, we worried, given the limited number of blocks out there,&rdquo; he said. &ldquo;But honestly, there&rsquo;s some amazing innovation out there, and it&rsquo;s been pretty great what we can build with Gutenberg.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Aug 2020 14:21:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"WPTavern: Automattic Updates Press Page to Clarify Distinction between WordPress.org and WordPress.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102612\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:249:\"https://wptavern.com/automattic-updates-press-page-to-clarify-distinction-between-wordpress-org-and-wordpress-com?utm_source=rss&utm_medium=rss&utm_campaign=automattic-updates-press-page-to-clarify-distinction-between-wordpress-org-and-wordpress-com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6031:\"<p>Last week, Automattic&rsquo;s marketing team made a positive step towards curbing the perennial branding confusion between WordPress.org and WordPress.com. The company&rsquo;s <a href=\"https://automattic.com/press/\">press page</a> was updated with a notice to journalists who are writing about Automattic:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>Automattic owns and operates&nbsp;<a href=\"https://wordpress.com/\">WordPress.com</a>, which is a hosted version of the open source WordPress software with added features for security, speed and support. Please append &ldquo;.com&rdquo; when referencing our product name.</p><p><a href=\"http://wordpress.org/\">WordPress</a>&nbsp;is open source software, which is written, maintained, and supported by thousands of independent contributors worldwide. Automattic is a major contributor to the WordPress open source project. If you would like to contribute to the WordPress open source project, learn more at&nbsp;<a href=\"https://make.wordpress.org/\">make.wordpress.org</a>.</p></blockquote>\n\n\n\n<p>This update was prompted by a recent <a href=\"https://www.linkedin.com/posts/caspar-hubinger_wordpress-activity-6688334765575176192-0-Eh\">conversation on LinkedIn</a> between Caspar H&uuml;binger, who works as a digital marketer at Human Made, and WordPress.com CMO Monica Ohara. H&uuml;binger had posted regarding an inaccuracy in a recent New York Times <a href=\"https://www.nytimes.com/2020/07/12/business/matt-mullenweg-automattic-corner-office.html\">article</a> featuring Matt Mullenweg as an evangelist for remote work at Automattic. The article, which has since been corrected, misattributed Automattic as the company that &ldquo;runs the digital publishing platform WordPress.&rdquo; </p>\n\n\n\n<p>These kinds of mistakes are quite frequent, yet understandable, in publications that are not as familiar with the WordPress ecosystem. Yet, these errors often evoke a strong reaction from the project&rsquo;s community whenever they pop up in the media. </p>\n\n\n\n<p>Ohara commented on H&uuml;binger&rsquo;s post and exchanged direct messages where he made a case for clarifying the branding on Automattic&rsquo;s website. Ohara was amenable and the notice appeared shortly after the exchange.</p>\n\n\n\n<p>Several years ago H&uuml;binger created a <a href=\"https://wpisnotwp.com/\">website</a> to clarify the confusion between WordPress, the open source project, and WordPress.com. Post Status also has a <a href=\"https://poststatus.com/resources/wordpress-versus-automattic/\">resource page</a> that explains the difference between WordPress.org and Automattic&rsquo;s products, but these kinds of external resources never seemed to make much of a difference. </p>\n\n\n\n<p>In 2018, H&uuml;binger prevailed upon the author of a TechCrunch article who referenced&nbsp;<a rel=\"noreferrer noopener\" target=\"_blank\" href=\"http://wordpress.com/\">WordPress.com</a>&nbsp;as &ldquo;WordPress&rdquo; and worked with her on getting the difference documented in TechCrunch&rsquo;s internal editorial guidelines. After he had explained the problem, she replied: &ldquo;We had no policy on this. We&rsquo;re going to change it to .com (or make references to Automattic as needed), and note in our style guide.&rdquo;</p>\n\n\n\n<p>When asked why he finds himself a champion of this particular cause, he said he often found himself angry when the name of the open source project he has dedicated most of his digital career to was confused with a commercial service built on top of it.</p>\n\n\n\n<p>&ldquo;It&rsquo;s a distortion of reality and I always felt sort of betrayed when it happened,&rdquo; H&uuml;binger said.</p>\n\n\n\n<p>&ldquo;I know that many of my community peers feel hurt to this day, even if some of them would probably shrug it off when asked. The word for it is resignation, and to me, it is poison to the human soul. From my perspective, Automattic&rsquo;s passiveness actively fed the narrative that they were profiting from the naming confusion, and that narrative &ndash; true or not &ndash; it keeps poisoning WordPress&rsquo; open source community.&rdquo;</p>\n\n\n\n<p>Although many times articles with errors confusing WordPress and .com were corrected afterwards, it can take a few days after the initial rush of traffic hits. </p>\n\n\n\n<p>&ldquo;So the message that &lsquo;Automattic runs/owns WordPress&rsquo; keeps being established for the public,&rdquo; H&uuml;binger contended when making his case to Ohara. &ldquo;Worse, the burden of flagging miscommunication when it happens and having it corrected in many cases is left to those who are harmed by it, i.e. open source contributors.&rdquo;</p>\n\n\n\n<p>For years people have speculated whether Automattic might rename WordPress.com to avoid the longstanding confusion. Many believe it will never happen, since the company undoubtedly benefits from tightly coupling its products to WordPress&rsquo; name recognition. Ohara declined to comment on whether any major branding changes are on the horizon.</p>\n\n\n\n<p>&ldquo;I will say that we&rsquo;re not trying to compete with the WordPress ecosystem,&rdquo; Ohara said. &ldquo;We want to help the overall ecosystem grow and I look forward to working closely with the community.&rdquo;</p>\n\n\n\n<p>This small yet important change to Automattic&rsquo;s press page is the direct result of H&uuml;binger&rsquo;s persistent advocacy effort. It may not eliminate all future media errors, but it is a positive development that demonstrates someone is listening.</p>\n\n\n\n<p>&ldquo;While a dedicated press page will not be able to prevent future confusion of WordPress and WordPress.com altogether (because it simply isn&rsquo;t possible), my hope is that it will be seen as a first practical step to help heal the relationship between Automattic and parts of WordPress&rsquo; open source community, which so many Automatticians have made such incredible amounts of contributions to ever since the company existed, and that is another thing that is too easy to forget,&rdquo; H&uuml;binger said.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Aug 2020 17:35:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: The Month in WordPress: July 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8755\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2020/08/the-month-in-wordpress-july-2020/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11541:\"<p>July was an action-packed month for the WordPress project. The month saw a lot of updates on one of the most anticipated releases &#8211; WordPress 5.5! WordCamp US 2020 was canceled and the WordPress community team started experimenting with different formats for engaging online events, in July. Read on to catch up with all the updates from the WordPress world.</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>WordPress 5.5 Updates</h2>\n\n\n\n<p>July was full of WordPress 5.5 updates! The WordPress 5.5 <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1\">Beta 1</a> came out on July 7, followed by <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-2/\">Beta 2</a> on July 14, <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\">Beta 3</a> on July 21, and <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-4/\">Beta 4</a> on July 27. Subsequently, the team also published the first <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-release-candidate/\">release candidate</a> of WordPress 5.5 on July 28.&nbsp;</p>\n\n\n\n<p>WordPress 5.5, which is slated for release on <a href=\"https://make.wordpress.org/core/5-5/\">August 11, 2020</a>, is a major update with features like <a href=\"https://make.wordpress.org/core/tag/feature-autoupdates/\">automatic updates for plugins and themes</a>, a <a href=\"https://make.wordpress.org/plugins/2020/07/22/proposed-block-directory-guidelines/\">block directory</a>, <a href=\"https://make.wordpress.org/core/2020/06/10/merge-announcement-extensible-core-sitemaps/\">XML sitemaps</a>, <a href=\"https://make.wordpress.org/core/2020/07/16/block-patterns-in-wordpress-5-5/\">block patterns</a>, and <a href=\"https://make.wordpress.org/core/2020/07/14/lazy-loading-images-in-5-5/\">lazy-loading images</a>, among others. To learn more about the release, check out its <a href=\"https://make.wordpress.org/core/2020/07/30/wordpress-5-5-field-guide/\">field guide post</a>.</p>\n\n\n\n<p>Want to get involved in building WordPress Core? Follow<a href=\"https://make.wordpress.org/core/\"> the Core team blog</a>, and join the #core channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Gutenberg 8.5 and 8.6</h2>\n\n\n\n<p>The core team launched Gutenberg <a href=\"https://make.wordpress.org/core/2020/07/08/whats-new-in-gutenberg-8-july/\">8.5</a> and <a href=\"https://make.wordpress.org/core/2020/07/22/whats-new-in-gutenberg-july-22/\">8.6</a>. Version 8.5 &#8211; the last plugin release will be included entirely (without experimental features) in WordPress 5.5, introduced improvements to block drag-and-drop and accessibility, easier updates for external images, and support for the block directory. Version 8.6 comes with features like Cover block video position controls and block pattern updates. For full details on the latest versions on these Gutenberg releases, visit these posts about <a href=\"https://make.wordpress.org/core/2020/07/08/whats-new-in-gutenberg-8-july/\">8.5</a> and <a href=\"https://make.wordpress.org/core/2020/07/22/whats-new-in-gutenberg-july-22/\">8.6</a>.</p>\n\n\n\n<p>Want to get involved in building Gutenberg? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, contribute to <a href=\"https://github.com/WordPress/gutenberg/\">Gutenberg on GitHub</a>, and join the #core-editor channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Reimagining Online WordPress Events</h2>\n\n\n\n<p>The Community team made the difficult decision <a href=\"https://make.wordpress.org/community/2020/07/27/in-person-events-in-rest-of-year-2020/\">to suspend in-person WordPress events for the rest of 2020</a> in light of the COVID-19 pandemic. The team has also started working on <a href=\"https://make.wordpress.org/community/2020/07/13/reimagining-online-events/\">reimagining online events</a>. Based on <a href=\"https://make.wordpress.org/community/2020/07/13/reimagining-online-events/#comment-28505\">feedback from the community members</a>, the team decided to <a href=\"https://make.wordpress.org/community/2020/07/23/moving-forward-with-online-events/\">make changes to the current online WordCamp format</a>. Key changes include wrapping up financial support for A/V vendors, ending event swag support for newer online WordCamps, and suspending the Global Community Sponsorship program for 2020. The team encourages upcoming online WordCamps to experiment with their events to facilitate an effective learning experience for attendees while avoiding online event fatigue. The team is currently working on a proposal to organize community-supported <a href=\"https://make.wordpress.org/community/2020/07/23/building-community-beyond-events/\">recorded workshops and synchronous discussion groups</a> to help community members learn WordPress.<br /><br />Want to get involved with the Community team? <a href=\"https://make.wordpress.org/community/\">Follow the Community blog here</a>, or join them in the #community-events channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>. To organize a Meetup or WordCamp, <a href=\"https://make.wordpress.org/community/handbook/virtual-events/welcome/applying-for-a-virtual-event/\">visit the handbook page</a>.&nbsp;</p>\n\n\n\n<h2>WordCamp US 2020 is canceled</h2>\n\n\n\n<p>The organizers of WordCamp US 2020 have <a href=\"https://2020.us.wordcamp.org/2020/07/30/wcus-2020-an-update/\">canceled the event</a> in light of the continued pandemic and online event fatigue. The flagship event, which was originally scheduled for October 27-29 as an in-person event, had already planned to transition to an online event. Several WCUS Organizers will be working with the WordPress Community team to focus on other formats and ideas for online events, including a 24-hour contributor day, and contributing to the workshops initiative <a href=\"https://make.wordpress.org/community/2020/07/23/building-community-beyond-events/\">currently being discussed</a>. Matt Mullenweg’s State of the Word (which typically accompanies WordCamp US) is likely to take place in a different format later in 2020.</p>\n\n\n\n<h2>Plugin and theme updates are now available over zip files</h2>\n\n\n\n<p>After eleven years, WordPress now allows users to update plugins and themes by <a href=\"https://core.trac.wordpress.org/changeset/48390\">uploading a ZIP file, in WordPress 5.5</a>.&nbsp; The feature, which was merged on July 7, has been one of the most requested features in WordPress. Now, when a user tries to upload a plugin or theme zip file from the WordPress dashboard by clicking the “Install Now” button, WordPress will direct users to a new screen that compares the currently-installed extension with the uploaded versions. Users can then choose between continuing with the installation or canceling. WordPress 5.5 will also offer <a href=\"https://make.wordpress.org/core/tag/feature-autoupdates/\">automatic plugin and theme updates</a>.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>Further Reading:</h2>\n\n\n\n<ul><li>The <a href=\"https://make.wordpress.org/plugins/2020/07/22/proposed-block-directory-guidelines/\">Block directory</a> is coming to WordPress with the 5.5 release. Plugin authors can now <a href=\"https://make.wordpress.org/plugins/2020/07/11/you-can-now-add-your-own-plugins-to-the-block-directory/\">submit their Block plugins to the directory</a>.</li><li>The Core team has opened up the <a href=\"https://make.wordpress.org/core/2020/07/31/wordpress-5-6-whats-on-your-wishlist/\">call for features</a> in the WordPress 5.6 release. You can <a href=\"https://make.wordpress.org/core/2020/07/31/wordpress-5-6-whats-on-your-wishlist/\">comment on the post</a> with features that you’d like to be included, current UX pain points, or maintenance tickets that need to be addressed. August 20 is the deadline for feature requests. </li><li>Editor features such as the new Navigation block, the navigation screen, and the widget screen that were originally <a href=\"https://make.wordpress.org/updates/2020/03/06/update-progress-on-goals/\">planned to be merged with WordPress 5.5</a> have been <a href=\"https://make.wordpress.org/core/2020/07/02/editor-features-for-wordpress-5-5-update/\">pushed for the next release</a>. </li><li>The Theme team is inviting proposals on whether to allow themes to <a href=\"https://make.wordpress.org/themes/2020/07/13/proposal-allow-themes-to-add-a-top-level-admin-menu/\">place an additional top-level menu link</a> in the admin.</li><li><a href=\"https://buddypress.org/2020/07/buddypress-6-2-0-beta/\">BuddyPress 6.2 beta </a>is out in the wild, and the team will soon release the stable version. The update includes changes that will make BuddyPress fully compatible with WordPress 5.5.</li><li>WordCamp EU 2021, which was being planned as an in-person event in Porto, Portugal, <a href=\"https://europe.wordcamp.org/2021/wordcamp-europe-2021-will-be-online/\">is moving online</a>. The team is considering an in-person WordCamp EU in 2022. </li><li>The Polyglots team has prepared and finalized a <a href=\"https://make.wordpress.org/polyglots/2020/07/09/translation-editor-locale-manager-vetting-criteria-page-draft/\">Translation Editor &amp; Locale Manager Vetting Criteria</a> to provide more clarity on how global mentors assign PTE/GTE/Locale Managers and to help locale teams set their own guidelines. The document, which was finalized <a href=\"https://make.wordpress.org/polyglots/2020/07/09/translation-editor-locale-manager-vetting-criteria-page-draft/\">after a lot of discussion</a>, is now available in the <a href=\"https://make.wordpress.org/polyglots/handbook/translating/expectations/translation-editor-locale-manager-vetting-criteria/\">Polyglots handbook</a>.</li><li>Members of the Community team <a href=\"https://make.wordpress.org/community/2020/07/03/proposal-recognition-for-event-volunteers-and-attendees-in-wordpress-org-profile/\">are discussing</a> whether WordCamp volunteers, WordCamp attendees, or Meetup attendees should be awarded a WordPress.org profile badge. The ongoing discussion will be open for comments until August 13.</li><li>The <a href=\"https://make.wordpress.org/core/tag/feature-notifications/\">WP Notify project</a>, which aims to create a better way to manage and deliver notifications to the relevant audience, is on to its next steps. The team has finalized the initial requirements, and is <a href=\"https://make.wordpress.org/core/2020/07/09/wp-notify-next-steps/\">kicking off the project build</a>.</li><li>The WordPress documentation team is <a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/docs/tag/external-linking-policy/\" target=\"_blank\">considering a ban on links to commercial websites</a> in a revision to its external linking policy. The policy change does not remove external links to commercial sites from WordPress.org and only applies to documentation sites. The idea is to protect documentation from being abused, and to prevent the WordPress project from being biased. Discussion on this post is still ongoing, and a decision has not yet been made. Feel free to<a href=\"https://make.wordpress.org/docs/tag/external-linking-policy/\"> comment on the discussion posts</a>, if you would like to share your thoughts on the topic. </li></ul>\n\n\n\n<p><em>Have a story that we should include in the next “Month in WordPress” post? Please </em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><em>submit it here</em></a><em>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Aug 2020 13:54:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Hari Shanker R\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Big Orange Heart Opens 2020 Remote Work Wellbeing and Mental Health Survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102631\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:213:\"https://wptavern.com/big-orange-heart-opens-2020-remote-work-wellbeing-and-mental-health-survey?utm_source=rss&utm_medium=rss&utm_campaign=big-orange-heart-opens-2020-remote-work-wellbeing-and-mental-health-survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3039:\"<p>A Big Orange Heart, formerly known as WP&amp;UP, has opened its 2020 <a href=\"https://www.bigorangeheart.org/survey-2020.html\">Remote Work Wellbeing and Mental Health Survey</a>. The charity organization focuses on supporting remote working communities with education and resources for mental and physical health. It is also home to a community of more than 4,700 members who support each other in growing their businesses and building new skills.</p>\n\n\n\n<p>The survey asks fairly broad questions about your mental health and the mental health support in your work environment. It takes approximately three minutes and is completely anonymous.</p>\n\n\n\n<img />\n\n\n\n<p>Results from the 2019 survey showed that the majority of people in the WordPress community work alone and a significant percentage are dealing with anxiety and suicidal thoughts:</p>\n\n\n\n<ul><li>8% of the WordPress community have had suicidal thoughts in the last 12 months</li><li>47% stated their workplace makes them feel anxious</li><li>56% of the WordPress community works alone</li></ul>\n\n\n\n<p>Big Orange Heart founder Dan Maby believes these results are helping his team save lives. The charity is actively creating and maintaining services and a peer support network that encourage people to stay connected to their community, in order to reduce the isolation they experience. </p>\n\n\n\n<p>&ldquo;Our 2019 results identified that almost 8% of all respondents had been dealing with sustained periods of feeling suicidal over the previous 12-months, twice the national US average,&rdquo; Maby said.&nbsp;&ldquo;This finding led to more training being provided in suicide prevention and support for our team, which enabled us to support multiple individuals that have contacted us requiring suicidal support, all of whom are still with us today.&rdquo;&nbsp;&nbsp;</p>\n\n\n\n<p>There are more people working alone remotely now than ever before due to the pandemic. Spend a short time on any social media network and you will likely hear several people say they are not doing okay. This survey helps the team at Big Orange Heart understand the extent of mental health related issues within the remote working community and informs various initiatives the organization plans throughout the year. </p>\n\n\n\n<p>&ldquo;As a charity, like so many others at this time, we have been heavily impacted by the COVID-19 global crisis,&rdquo; Maby said. &ldquo;Now more than ever we need to ensure our limited resources are used in the most effective way possible. Your anonymous data will allow us to best understand how we can help improve the lives of others within our community.&rdquo;</p>\n\n\n\n<p>The <a href=\"https://www.bigorangeheart.org/survey-2020.html\">Remote Work Wellbeing and Mental Health Survey</a> runs for one month and will close on August 31st. Take the survey and check out Big Orange Heart&rsquo;s <a href=\"https://www.bigorangeheart.org/blog/\">blog</a> for several helpful posts on how to maintain your mental health while working during this crisis.</p>\n\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 01 Aug 2020 03:04:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: WordPress 5.6 Wish List: Homepage Post Type Selection and Block Management\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102615\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://wptavern.com/wordpress-5-6-wish-list-homepage-post-type-selection-and-block-management?utm_source=rss&utm_medium=rss&utm_campaign=wordpress-5-6-wish-list-homepage-post-type-selection-and-block-management\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4584:\"<p class=\"has-drop-cap\">With the WordPress 5.5 development cycle coming to a close, it is time to begin mapping out what features should land in WordPress 5.6 later this year. Earlier today, Chloe Bringmann <a href=\"https://make.wordpress.org/core/2020/07/31/wordpress-5-6-whats-on-your-wishlist/\">asked the community to chime in</a> with its wish list on the Make Core blog.</p>\n\n\n\n<p>As usual, I have a few thoughts. I tend to lean toward addressing some of the long-standing developer-friendly tickets because these features allow plugin authors to build better products for end-users in the long run.</p>\n\n\n\n<p>A complete <a href=\"https://wptavern.com/open-call-for-wordpress-5-5-tickets-whats-on-your-wish-list\">custom post status API</a> tops my usual list of most-wanted features. I have already opined over this for my WordPress 5.5 wish list. It may be time for more realistic dreams. Maybe we will revisit it another year or two down the road. However, if any core leads want to give the feature a green light, I will gladly be the evangelist and get others excited about it.</p>\n\n\n\n<h2>Homepage Post Type Selection</h2>\n\n\n\n<p class=\"has-drop-cap\">For this release, I want to call out one of my other years-long wishes. WordPress should allow end-users to select any custom post type for display on the homepage.</p>\n\n\n\n<p>Imagine a WordPress where users can head to their Reading Settings screen in the admin and select something other than their normal posts list or a page to appear on the homepage. <em>Have a forum plugin installed?</em> Maybe users want to list their latest topics or forums list. <em>Running an eCommerce plugin?</em> Users should be able to display their products. <em>Setting up a web design portfolio?</em> Display the most recent projects by simply selecting this choice in the admin.</p>\n\n\n\n<p>This is an area where the software has always catered to bloggers and has avoided throwing a little love to other types of sites.</p>\n\n\n\n<p>Currently, plugin authors must perform some crazy hacks to make this work. The WooCommerce <a href=\"https://github.com/woocommerce/woocommerce/blob/master/includes/class-wc-query.php\">custom query class</a> is enough to make any developer give up. Not all of the code in that file is for the front page, but it has a frustrating amount to make something work that should be far simpler for plugin authors.</p>\n\n\n\n<p>The reason this needs to be in core WordPress is so that each and every plugin does not need to roll a custom solution. Plugins should be able to flag their post types during registration as &ldquo;allowed on homepage&rdquo; &mdash; not all post types are meant for this type of display. Then, WordPress should handle all the dirty work behind the scenes if a particular post type is selected by the end-user. The addition to the API for plugin authors would be simple, and plugins that are already hacking this feature together can drop a lot of unnecessary code.</p>\n\n\n\n<p>There is an existing <a href=\"https://core.trac.wordpress.org/ticket/19958\">8-year-old ticket</a> for the feature. It has a few old and likely outdated patches and has not seen any real activity in the past four years. Nevertheless, it would be nice to see this feature in core WordPress and finally close the ticket.</p>\n\n\n\n<h2>Block System Wish List</h2>\n\n\n\n<p class=\"has-drop-cap\">Like most releases, the block system will be getting the most attention. The things that will land in WordPress 5.6 are mostly already set in stone, assuming a particular feature does not fall behind in development like widgets and nav menus did for the 5.5 release.</p>\n\n\n\n<p>On the whole, I like the general direction the block system has been headed. If anything, I have been impatient with some things, such as awaiting the integrated <a href=\"https://wptavern.com/version-1-prototype-of-the-wordpress-admin-block-directory-announced\">block management screen</a> in the admin. For other features, such as full-site editing, I am still wondering whether they are realistic goals for the WordPress 5.6 release.</p>\n\n\n\n<p>I would take a release and focus on tightening up and polishing the existing system. Take stock of the pain points &mdash; and there are many &mdash; that users are mentioning. Spend time working on smoothing out the editing experience before tacking on new features.</p>\n\n\n\n<p>That is not going to happen. New features are what get developers up in the morning and excited about the project. Therefore, my fallback request is to bring on the block management screen.</p>\n\n\n\n<p>What&rsquo;s on your wish list?</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 31 Jul 2020 21:15:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: WordCamp US 2020 Canceled Due to Pandemic Stress and Online Event Fatigue\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102579\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://wptavern.com/wordcamp-us-2020-canceled-due-to-pandemic-stress-and-online-event-fatigue?utm_source=rss&utm_medium=rss&utm_campaign=wordcamp-us-2020-canceled-due-to-pandemic-stress-and-online-event-fatigue\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7146:\"<p><a href=\"https://2020.us.wordcamp.org/\">WordCamp US 2020</a>, which was originally scheduled for October 27-29, was officially canceled today. In April, organizers <a href=\"https://wptavern.com/wordcamp-us-2020-goes-online-cancels-in-person-event\">transitioned to planning for it to be held as a virtual event</a>, but the tenuous situation with the pandemic in the United States and the stress on the event&rsquo;s large crew of volunteers has precipitated a full cancellation. The decision was announced on the WCUS website:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>It is with heavy hearts that we have made the decision to cancel this year&rsquo;s WordCamp US event. In light of the continued pandemic, online event fatigue for attendees, organizers, and volunteers, and the desire for WordCamp experiences to be&nbsp;<em>traditional</em>&nbsp;WordCamp experiences, we have made the difficult decision to stop this year&rsquo;s planning, and cancel WordCamp US 2020.</p></blockquote>\n\n\n\n<p>After the pandemic started forcing WordCamps and meetups to go online, many community team members seemed to put on a brave face about adapting WordCamps to virtual events, but WCUS organizers are publicly recognizing the reality of online event fatigue. </p>\n\n\n\n<p>Angela Jin, one of the lead organizers, said her team discussed how recent online WordCamps have struggled to meet traditional goals of connecting people and encouraging contribution. In light of attendees&rsquo; increasing online conference fatigue, WCUS organizers considered the cost of volunteers&rsquo; time.</p>\n\n\n\n<p>&ldquo;The Lead Organizers also took into consideration how many volunteers we have on this team, and how much time we were asking them to invest in an event that didn&rsquo;t seem to be able to offer the same level of joy or satisfaction that an in-person WordCamp would,<strong>&ldquo;</strong> Jin said.</p>\n\n\n\n<p>&ldquo;As you might imagine, this was a very upsetting realization, but the whole team spent time discussing together, and we believe that we made the right decision.&rdquo;&nbsp;</p>\n\n\n\n<p>The U.S. passed more than 150,000 Coronavirus deaths this week and outbreaks are worsening right as schools are supposed to be opening. As COVID-19 cases continue to rise sharply in many states, renewed lockdowns and political tensions have put people on edge. Every day brings a fresh injection of bad news and the country is deeply mired in division ahead of one of the most contentious presidential elections in history. Late October is not an ideal time to try to host WordPress&rsquo; flagship WordCamp online. </p>\n\n\n\n<p>One WCUS organizer, who requested to remain anonymous, said he was angry that he invested more than 100 hours across various organizing teams and wished it had come sooner. He described how multiple personal stressors were impacting daily life and draining the team&rsquo;s energy.</p>\n\n\n\n<p>&ldquo;I feel everyone is tired and worn out,&rdquo; he said. &ldquo;They are stressed &ndash; we are all losing friends [to COVID-19]. Everyone is fighting about politics and the work suffered.&rdquo; </p>\n\n\n\n<p>He reported that many organizers were not doing their parts and all tasks were delayed. Although he experienced a high level of frustration with how it was handled, he was relieved when the decision was announced. Many of the event&rsquo;s 50 organizers are also involved in coordinating local meetups and leading other WordCamps, and their energies are spread thin.</p>\n\n\n\n<p>&ldquo;This will pave the way for something new and better,&rdquo; he said. &ldquo;We have to evolve as a community and one more zoom meeting is not it.&rdquo;</p>\n\n\n\n<p>Not all organizers considered the time invested as a loss. Cate DeRosia, who has also helped organize WordCamp Grand Rapids in the past, said the lead WCUS organizers consulted with the entire team through a multi-step process and gave opportunities for their opinions to be heard.</p>\n\n\n\n<p>&ldquo;It&rsquo;s easy to imagine that as an organizer I&rsquo;d be disappointed by this decision, but that couldn&rsquo;t be further from the truth,&rdquo; Cate DeRosia said. &ldquo;None of this is what I&rsquo;d hoped for, but the time I&rsquo;ve invested in WCUS has helped me grow relationships and learn new skills that ultimately help me further my career goals and make me a better volunteer in the future. </p>\n\n\n\n<p>&ldquo;COVID-19 has been unpredictable and made everything about life harder. By making this difficult decision now, we all get back a little of our time to invest in other areas instead of using up more energy and risking volunteer burnout for an event that ran the risk of getting lost amid other online events.&rdquo; </p>\n\n\n\n<h2>State of the Word May be Hosted as a Separate, Focused Event</h2>\n\n\n\n<p>WCUS is encouraging speakers to apply again next year. Although all regular sessions on the program were canceled, some organizers will be shifting their focus to hosting a 24-hour contributor day along with producing some workshops and youth programming content.</p>\n\n\n\n<p>Matt Mullenweg&rsquo;s annual State of the Word address is also expected to happen but will likely take a different format this year.</p>\n\n\n\n<p>&ldquo;Discussions about the State of the Word are still active; our understanding is that it will still happen, but possibly not in association with any other event,&rdquo; Jin said. </p>\n\n\n\n<p>&ldquo;I&rsquo;m really excited about the potential for lots of smaller, focused, and educational ways for the community to connect online this year,&rdquo; Matt Mullenweg said. &ldquo;For the State of the Word I don&rsquo;t have a plan yet, I think there&rsquo;s less value to us watching the same thing at the same time if we can&rsquo;t hang out afterward, but it still would be fun to celebrate the great progress we&rsquo;ve been making with some sort of video. Stay tuned November-ish.&rdquo;</p>\n\n\n\n<p>Cancellation costs for WCUS are still being finalized. Prior to making it a virtual event, the original budget was close to $1 million, with the largest costs being the venue and catering. Jin said the team will publish a full accounting of expenses on the Community Team blog or the event site after the last round of discussions with vendors are complete.</p>\n\n\n\n<p>It&rsquo;s too soon to know if the WordCamp will be an in-person event in 2021. When asked if they will be hosting in St. Louis again, Jin said that any decisions regarding WCUS 2021 are paused for now.</p>\n\n\n\n<p>&ldquo;The WCUS team did invest a lot of time and energy into this event, but in a year when it is incredibly hard to plan anything, we did the best we could and adapted quickly,&rdquo; she said. &ldquo;I&rsquo;m sad, of course, as I miss seeing everyone at WordCamps, but even if it was time and energy invested in something that didn&rsquo;t happen, I spent time doing it with brilliant people who care just as much about WordPress as I do. It&rsquo;s been an immensely challenging year, and I&rsquo;m humbled to have been a part of this team, which has consistently supported each other and grown together in the face of adversity.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 31 Jul 2020 01:04:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: Post a Lot of Code? Try the Code Syntax Block Plugin for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102574\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:195:\"https://wptavern.com/post-a-lot-of-code-try-the-code-syntax-block-plugin-for-wordpress?utm_source=rss&utm_medium=rss&utm_campaign=post-a-lot-of-code-try-the-code-syntax-block-plugin-for-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2934:\"<p class=\"has-drop-cap\">I am always on the lookout for interesting syntax-highlighting plugins, particularly for those occasions when I write tutorials or other articles that lean heavily on code. Far too many plugins use shortcodes, custom blocks, or other odd solutions. However, there is one option that I intentionally overlooked when it was released over a year ago: <a href=\"https://wordpress.org/plugins/code-syntax-block/\">Code Syntax Block</a> by Marcus Kazmierczak.</p>\n\n\n\n<p>Based on the name, I assumed it was yet another standalone block. However, I have since given it another look and realized that this was note the case. It integrates directly with the core WordPress block. There are times when a new block is necessary, but this is not one of those times. Sometimes it is better to extend the existing blocks in core.</p>\n\n\n\n<p>Code Syntax Block uses the <a href=\"https://prismjs.com/\">Prism JavaScript library</a> to add syntax highlighting on the front end of the site. The plugin is designed well. It loads its scripts and styles only when the code block is in use.</p>\n\n\n\n<img />Front end PHP code example.\n\n\n\n<p>The plugin does not load Prism in the editor, so the code output will use the default editor or theme styling. This may not appeal to those who want a one-to-one match between the back and front end.  I am comfortable with  the non-highlighted version in the admin while having the <em>pretty</em> output on the front end.  However, it would be nice to see an option or filter to enable highlighting in the editor.</p>\n\n\n\n<p>Out of the box, the plugin uses the <a href=\"https://github.com/AGMStudio/prism-theme-one-dark\">One Dark</a> theme, which was created for the Atom editor and ported to Prism. Developers can overwrite the theme with either a custom <code>assets/prism/prism.css</code> file in their theme or by filtering the path or URL that gets loaded.  The Prism project has a <a href=\"https://github.com/PrismJS/prism-themes\">variety of themes</a> available that are plug-and-play.  Other themes exist outside of the official list too.</p>\n\n\n\n<p>On the admin side, the plugin creates a new &ldquo;Settings&rdquo; tab for the code block and adds a few options that users can choose from:</p>\n\n\n\n<ul><li>Language</li><li>Show line numbers</li><li>Title for code block</li></ul>\n\n\n\n<img />Editor view of Code Syntax Highlighter\n\n\n\n<p>By default, the plugin does not support the full list of over 200 languages. Instead, it lists just over 40 of the most popular. The list is filterable, so anyone can add or remove languages with a few lines of code. There is also a filter hook for setting the default languages, which would be particularly useful for those who routinely post code snippets in the same coding language.</p>\n\n\n\n<p>After a few days of testing, I can safely say that Code Syntax Block is being added to my WordPress toolbox. I wish I had only given it a shot much sooner.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 Jul 2020 17:30:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WPTavern: Bing Launches URL Submissions Plugin for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102450\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:165:\"https://wptavern.com/bing-launches-url-submissions-plugin-for-wordpress?utm_source=rss&utm_medium=rss&utm_campaign=bing-launches-url-submissions-plugin-for-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5150:\"<p>Bing has <a href=\"https://blogs.bing.com/webmaster/july-2020/Get-your-WordPress-content-indexed-immediately-using-Bing-Webmaster-Tools-plugin\">launched</a> its first official <a href=\"https://wordpress.org/plugins/bing-webmaster-tools/\">plugin</a> for WordPress aimed at helping site owners get their content indexed immediately. Instead of waiting for a bingbot to crawl the site, the plugin notifies Bing of any new or updated content automatically using its <a href=\"https://www.bing.com/webmasters/url-submission-api\">Submit URL API</a>.</p>\n\n\n\n<p>&ldquo;Bing&nbsp;believes that the future for search engines is less about crawling to discover content and more about sharing new and updated content across the web, a fundamental shift in the way that search engines handle web sites,&rdquo; Bing Product Manager Fabrice Canel said. &ldquo;Instead of monitoring RSS, sitemaps and HTML pages to check for new pages, discover content changes and/or new outbound links, websites will notify search engines directly about relevant URLs changing on their website.&rdquo;</p>\n\n\n\n<p>Search engines can take anywhere from several hours to a few weeks to <a href=\"https://support.google.com/webmasters/answer/6065812?hl=en\">crawl a website</a>. Bing&rsquo;s API allows site owners to get content indexed immediately, while eventually reducing the crawling frequency for sites where there are no changes. Users will need to <a href=\"https://docs.microsoft.com/en-us/bingwebmaster/getting-access#using-api-key\">generate an API key</a> in order to configure the plugin for access to the Bing Webmaster Tools API.</p>\n\n\n\n<img />\n\n\n\n<p><br />The new plugin also introduces a few other options for managing URL submissions:</p>\n\n\n\n<ul><li>Toggle the automatic submission feature</li><li>Manually submit a URL to Bing Index</li><li>View list of recent URL submissions from the plugin</li><li>Retry any failed submissions from the recent submissions list</li><li>Download recent URL submissions for analysis</li></ul>\n\n\n\n<p>Canel said the Bing Webmaster Team recommends using the new URL Submissions plugin as a complement to existing plugins that connect sites to Bing, such as <a href=\"https://jetpack.com/support/site-verification-tools/\">Jetpack&rsquo;s site verification tool</a>, and <a href=\"https://wordpress.org/plugins/search/SEO/\">SEO plugins</a> that add XML sitemaps. Bing&rsquo;s plugin is different in that it focuses on enabling Bing to discover immediate changes on WordPress sites.</p>\n\n\n\n<p>&ldquo;Sitemaps are a great complementary solution to our plugin to discover all URLs on WordPress sites, but we cannot monitor each sitemap all the time,&rdquo; Canel said. &ldquo;Only a small percentage of WordPress sites are publishing content every day. Most are nearly static and this is preferable to be notified instead of pulling content every so often for them. Same for sites publishing often, it helps to get the content quickly indexed instead of having to wait a long time.&rdquo;</p>\n\n\n\n<p>Bing doesn&rsquo;t usually get as much airtime as Google and its supporting tools, since Google continues to dominate the search market. Bing&rsquo;s market share is currently <a href=\"https://gs.statcounter.com/search-engine-market-share/\">hovering at 2.75%</a> of searches globally on all platforms as of June 2020. </p>\n\n\n\n<div id=\"all-search_engine-ww-monthly-201906-202006\" width=\"600\" height=\"400\"></div><!-- You may change the values of width and height above to resize the chart --><p>Source: <a href=\"https://gs.statcounter.com/search-engine-market-share\">StatCounter Global Stats &ndash; Search Engine Market Share</a></p>\n\n\n\n<p>The search engine has seen slow but steady growth in certain regions and platforms. Bing performs higher globally across desktop searches (6.08%).  In the United Sates, Bing&rsquo;s market share is sitting at 6.99% and is even higher on US desktop searches (13.35%):</p>\n\n\n\n<table><tbody><tr><th>Google</th><td>87.71%</td></tr><tr><th>bing</th><td>6.99%</td></tr><tr><th>Yahoo!</th><td>3.44%</td></tr></tbody></table><a href=\"https://gs.statcounter.com/search-engine-market-share/\">Search Engine Market Share in US &ndash; June 2020</a>\n\n\n\n<p>Bing may not boast a big slice of the search market pie, but the search engine served close to <a href=\"https://www.statista.com/statistics/752270/range-of-bingcom-based-on-unique-visitors/\">936.5 million</a> unique global visitors during the month of May 2020. More than half of Bing users have a bachelor&rsquo;s or post graduate degree and <a href=\"https://www.statista.com/statistics/742834/usa-bing-audience-share-by-income/\">38% of Bing users</a> have an income of $100,000 USD or higher. Depending on the demographic you are targeting, being found by Bing users may be one small factor in your site&rsquo;s overall success. </p>\n\n\n\n<p>The search engine recently updated its <a href=\"https://www.bing.com/webmaster/help/webmaster-guidelines-30fba23a\">webmaster guidelines</a> for the first time since 2012. If you&rsquo;re looking to optimize for Bing&rsquo;s audience, this document contains a detailed break down of how the search engine ranks content. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Jul 2020 23:49:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: Upcoming in WordPress 5.5: Features and Changes Theme Authors Should Know About\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102535\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:221:\"https://wptavern.com/upcoming-in-wordpress-5-5-features-and-changes-theme-authors-should-know-about?utm_source=rss&utm_medium=rss&utm_campaign=upcoming-in-wordpress-5-5-features-and-changes-theme-authors-should-know-about\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8147:\"<p class=\"has-drop-cap\">August 11, the target release date for WordPress 5.5, is just shy of two weeks away. For developers who have not been completely on top of the upcoming release, now is a good time to start looking at how changes might affect their projects. Theme authors in particular can expect several new features and some breaking changes.</p>\n\n\n\n<p>For the most part, WordPress 5.5 will introduce new features that theme developers can begin to add to their themes. However, the two biggest changes that could negatively impact their themes will be automatic updates and direct HTML changes to the custom logo output.</p>\n\n\n\n<p>Outside of the new features and changes, theme authors should catch up on our <a href=\"https://wptavern.com/tag/gutenberg\">coverage of the Gutenberg plugin</a> and test against its updates that are being merged into core WordPress.</p>\n\n\n\n<h2>Auto Updates</h2>\n\n\n\n<p class=\"has-drop-cap\">WordPress 5.5 will finally introduce <a href=\"https://wptavern.com/automatic-theme-and-plugin-updates-slated-for-wordpress-5-5\">automatic updates for plugins and themes.</a> It is a long-awaited feature and should be a good thing in terms of keeping end-users updated and running what is usually the most secure version of their extensions. However, the big downside to automatic updates is that most themes and plugins will not have the same level of quality control as core WordPress receives. Even the best development companies might have only a few people looking over the code.</p>\n\n\n\n<p>On the flip-side, the automatic updates feature means that theme authors can push fixes out to end-users much more quickly.</p>\n\n\n\n<p>The big thing is that theme developers need to be aware that users will be enabling automatic updates. For some, this might not mean changing anything with their release cycles. For others, it might mean tacking on some extra time to ensure that extra quality control is in place. The success of automatic updates lies directly on the shoulders of the plugin and theme authors. It is a huge responsibility that should not be taken lightly. WordPress is placing a lot of trust in its development community to get this right.</p>\n\n\n\n<h2>HTML Change for Custom Logos</h2>\n\n\n\n<p class=\"has-drop-cap\">As part of an <a href=\"https://core.trac.wordpress.org/ticket/37011\">accessibility-related ticket</a> for WordPress 5.5, the core <code>get_custom_logo()</code> and <code>the_custom_logo()</code> functions will no longer <a href=\"https://make.wordpress.org/core/2020/07/28/themes-changes-related-to-get_custom_logo-in-wordpress-5-5/\">output a link around the logo image</a> when viewing the site homepage. This change was made because the link itself points to the homepage by default and is unnecessary in that context.</p>\n\n\n\n<p>Right now, there are 183 themes in the official theme directory that target the link in their CSS. This does not necessarily mean that all 183 themes will be broken upon update. However, it likely means that some of them will need a tweak or two.</p>\n\n\n\n<p>Theme authors are encouraged to target the <code>.custom-logo-link</code> class instead of any particular HTML element. The new change will add a <code>&lt;span&gt;</code> element rather than an <code>&lt;a&gt;</code> element on the homepage. Both will use the same class.</p>\n\n\n\n<h2>Block Patterns Have Arrived</h2>\n\n\n\n<p class=\"has-drop-cap\">It is no secret that I am <a href=\"https://wptavern.com/block-patterns-will-change-everything\">downright giddy</a> about the prospect of theme designers being loosed upon the world, allowing their talents to shine via block patterns.  Patterns have been one of the missing features since the initial launch of the Gutenberg project. For theme authors, they represent that missing link between designing unique &ldquo;templates&rdquo; or &ldquo;sections&rdquo; and providing end-users a means to add them to their sites.</p>\n\n\n\n<p>Block patterns are essentially groups of pre-configured blocks that users can insert into their posts or pages at the click of a button. The beauty of the system is that theme authors can design whatever patterns their hearts desire and make them easily available to their users. No need for complicated theme settings. No lengthy tutorials explaining how to recreate the demo. Design something in the block editor. Register it as a pattern. Let users insert it into a post and rejoice.</p>\n\n\n\n<p>This is an opportunity that theme authors have never had before. It is an opportunity to create beautiful designs without having to worry about overcomplicating it for the average user. It is a pivotal moment in WordPress theme design history. Theme authors have the chance to push the system and see what WordPress and its block editor are truly capable of.</p>\n\n\n\n<p><em>Building a restaurant theme?</em> Provide users with multiple food menu patterns. <em>Creating something for novelists or other book authors?</em> Give users some layout options for showcasing their books.</p>\n\n\n\n<p>The <a href=\"https://developer.wordpress.org/block-editor/developers/block-api/block-patterns/\">block patterns API</a> removes many prior limits to what theme authors could realistically do. Now, it&rsquo;s time for those theme authors to take charge.</p>\n\n\n\n<h2>Line Heights and Custom Units</h2>\n\n\n\n<p class=\"has-drop-cap\">The block editor has two new tools for end-users to take advantage of: <a href=\"https://make.wordpress.org/core/2020/07/27/new-block-tools-on-wordpress-5-5/\">custom line-heights and custom units</a>. Theme authors can opt into allowing users to edit the line-height of paragraphs and headings with the <code>custom-line-heights</code> theme support flag. They can also allow users to switch between various units, such as when defining the Cover block&rsquo;s height, with the <code>custom-units</code> flag. In addition to pixels, themes can define which units are supported.</p>\n\n\n\n<p>Allowing users to customize the line-height value for text can be tricky business. There are some situations where it is warranted. However, for theme authors who prefer to maintain a strict vertical rhythm, this could lead to disaster. This will likely come down to a personal choice for developers based on what type of theme they are building.</p>\n\n\n\n<h2>Accessible Widgets Navigation</h2>\n\n\n\n<p class=\"has-drop-cap\">Starting with WordPress 5.5, theme authors will be able to opt into outputting more <a href=\"https://make.wordpress.org/core/2020/07/09/accessibility-improvements-to-widgets-outputting-lists-of-links-in-5-5/\">accessible widgets</a>. By default, widgets that display unordered lists do so without any context. This can make it difficult for those using assistive technologies to navigate the site.</p>\n\n\n\n<p>Theme authors can now add <code>navigation-widgets</code> to the HTML5 theme supports array to add the new markup. WordPress will then wrap all core widgets with a <code>&lt;nav&gt;</code> element and an <code>aria-label</code> based on the widget title.</p>\n\n\n\n<p>This will not affect widgets from third-party plugins. Plugin authors should reevaluate their widgets to determine if they want to support this feature.</p>\n\n\n\n<h2>Template Functions Updates</h2>\n\n\n\n<p class=\"has-drop-cap\">WordPress is tacking on some nice features for its templating functions in the upcoming release. The first major change is that theme authors can pass data to template files. We have <a href=\"https://wptavern.com/theme-authors-can-pass-data-to-template-files-in-wordpress-5-5\">previously covered</a> this story on the Tavern. This feature, while years late, should still be useful for more complex theming setups and allow developers to bypass odd workarounds or in-house solutions.</p>\n\n\n\n<p>Template-loading functions, such as <code>get_template_part()</code> and others, will also <a href=\"https://core.trac.wordpress.org/ticket/40969\">return a value</a> in WordPress 5.5. If the template is not found, the function will return a <code>false</code> value. Otherwise, it will return <code>void</code>. This will be helpful in situations where theme authors need to run a conditional to check if a template exists.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Jul 2020 22:05:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: Gutenberg 8.6 Adds Cover Block Video Positioning and Updates Block Patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102512\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:215:\"https://wptavern.com/gutenberg-8-6-adds-cover-block-video-positioning-and-updates-block-patterns?utm_source=rss&utm_medium=rss&utm_campaign=gutenberg-8-6-adds-cover-block-video-positioning-and-updates-block-patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4671:\"<p class=\"has-drop-cap\">Gutenberg 8.6 <a href=\"https://make.wordpress.org/core/2020/07/22/whats-new-in-gutenberg-july-22/\">landed quietly last week</a>. Much of the focus right now is ironing out the remaining bugs for WordPress 5.5 during its beta cycle. However, that does not mean the Gutenberg project has come to a complete halt in terms of new features. The team is marching forward with extra goodies for those who use the plugin.</p>\n\n\n\n<p>The latest update of the plugin did not cover as much ground as normal, but it does include an enhancement for the Cover block when using a video background and several updates to block patterns.</p>\n\n\n\n<p>The primary focus for version 8.6 was squashing bugs. The development team addressed over three dozen of them while correcting a handful of performance issues. While new features and enhancements from 8.6 onward are not expected in the upcoming WordPress 5.5, most bug fixes should be included.</p>\n\n\n\n<h2>Focal Point Selector for Video Covers</h2>\n\n\n\n<img />Selecting a focal point for a video background.\n\n\n\n<p class=\"has-drop-cap\">The Cover block has long allowed users to pick a focal point for background images. However, this feature was missing when users added a background video to the block. As of version 8.6, that is no longer the case. Both image and video backgrounds should work in much the same way.</p>\n\n\n\n<p>Gutenberg now has a new &ldquo;<a href=\"https://github.com/WordPress/gutenberg/pull/22531\">Focal point picker</a>&rdquo; option located under the &ldquo;Media settings&rdquo; tab when adding a video background. Users can select the focal point by dragging the circle icon in the video box or hardcode left and top percentage values in the input fields below it.</p>\n\n\n\n<p>This is not a particularly exciting development for most Gutenberg users.  Self-hosting video is not cheap and remains unused for most. However, for those who do use video backgrounds, it is one of those nice-to-have features that is there when needed.</p>\n\n\n\n<h2>Updated Block Patterns</h2>\n\n\n\n<img />Inserting the updated quote block pattern.\n\n\n\n<p class=\"has-drop-cap\">The Gutenberg team updated several of the existing block patterns. For the most part, the pattern updates were minor cosmetic changes, tweaks that improve the overall design. The button-related patterns received simple changes, such as new <a href=\"https://github.com/WordPress/gutenberg/pull/23848\">text labels</a> and <a href=\"https://github.com/WordPress/gutenberg/pull/23849\">colors</a>. The developers also changed the colors and text of the large header patterns.</p>\n\n\n\n<p>The team moved the header above the columns in the <a href=\"https://github.com/WordPress/gutenberg/pull/23853\">two columns text pattern</a> and changed the text to make the columns appear equal height by default. It is a poor use of textual columns, which would ideally be handled with CSS instead so that it works appropriately across screen sizes. Perhaps it would be better to have a &ldquo;Text Columns&rdquo; block in the long run.</p>\n\n\n\n<p>The nicest block pattern update was for the <a href=\"https://github.com/WordPress/gutenberg/pull/23881\">quote pattern</a>. It now has an image at the top and a separator at the bottom. It is akin to a single testimonial, which is more of a <em>pattern</em> than a basic quote.</p>\n\n\n\n<p>Theme authors can also <a href=\"https://github.com/WordPress/gutenberg/pull/24042\">remove support</a> for the core block patterns with a single line of code: <code>remove_theme_support( \'core-block-patterns\' )</code>. This does not drop support for patterns altogether. For example, patterns added by plugins or the theme will still appear in the inserter.</p>\n\n\n\n<h2>Site Icon Used in Fullscreen Mode</h2>\n\n\n\n<img />Site icon appears in top left in fullscreen mode.\n\n\n\n<p class=\"has-drop-cap\">When writing in fullscreen mode, the &ldquo;back to posts&rdquo; link has utilized the WordPress logo in the past. In version 8.6, the user&rsquo;s custom <a href=\"https://github.com/WordPress/gutenberg/pull/22952\">site icon will take its place</a>. However, this will only happen if the user has uploaded an icon via the customizer.</p>\n\n\n\n<p>I am unsure how I feel about this change. In practice, it almost feels like clicking the icon should take me to the front end of the site instead of the post management screen. At least with the WordPress icon, it felt like it was pointing toward an admin-side screen instead. For my workflow, I would rather see this link/icon replaced with a button that toggles between fullscreen and normal mode, popping the admin menu back into place rather than departing the editing screen altogether.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Jul 2020 20:59:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"WordPress.org blog: WordPress 5.5 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8732\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2020/07/wordpress-5-5-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2968:\"<p>The first release candidate for WordPress 5.5 is now available!</p>\n\n\n\n<p>This is an important milestone in the community&#8217;s progress toward the final release of WordPress 5.5. </p>\n\n\n\n<p>“Release Candidate” means that the new version is ready for release, but with millions of users and thousands of plugins and themes, it’s possible something was missed. WordPress 5.5 is slated for release&nbsp;on&nbsp;<strong>August 11, 2020</strong>, but we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.5 yet,&nbsp;<strong>now is the time</strong>!</p>\n\n\n\n<p>You can test the WordPress 5.5 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-RC1.zip\">download the release candidate here (zip)</a>.</li></ul>\n\n\n\n<p>Thank you to all of the contributors who tested the&nbsp;Beta releases and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress.</p>\n\n\n\n<h2>What’s in WordPress 5.5?</h2>\n\n\n\n<p>WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the&nbsp;<a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>&nbsp;and pay special attention to the&nbsp;<a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developer notes</a>&nbsp;tag for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.5 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme file to 5.5. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>,&nbsp;so those can be figured out before the final release.</p>\n\n\n\n<p>The&nbsp;WordPress 5.5 Field Guide, due very shortly, will give you a more detailed dive into the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a>&nbsp;This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a>&nbsp;point of the 5.5 release schedule.</p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">fill one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Jul 2020 19:08:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: WordPress to Stick with Online-Only Meetups and WordCamps for Remainder of 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102462\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:223:\"https://wptavern.com/wordpress-to-stick-with-online-only-meetups-and-wordcamps-for-remainder-of-2020?utm_source=rss&utm_medium=rss&utm_campaign=wordpress-to-stick-with-online-only-meetups-and-wordcamps-for-remainder-of-2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6256:\"<img />photo credit: <a href=\"https://stocksnap.io/photo/macbook-computer-JPZDGEMDH3\">Burst</a>\n\n\n\n<p>The WordPress Community Team has officially updated its guidelines for WordCamps to be online-only events for the remainder of 2020. The six WordCamps on the <a href=\"https://central.wordcamp.org/schedule/\">schedule</a> through the end of the year were already planning on using an online format but the guidelines also include local <a href=\"https://make.wordpress.org/community/events/online/\">meetups</a>. </p>\n\n\n\n<p>&ldquo;The team acknowledges that this is not easy for the community that has been heavily based on in-person events and encounters,&rdquo; Timi Wahalahti said in the <a href=\"https://make.wordpress.org/community/2020/07/27/in-person-events-in-rest-of-year-2020/\">announcement</a>. &ldquo;Unfortunately, the global coronavirus situation does not seem to be slowing down to a level that would allow us organizing in-person events safely at this time.&rdquo;</p>\n\n\n\n<p>The guidelines will be re-evaluated in the first quarter of 2021, but some organizers are already planning for online events next year. WordCamp Europe 2021 is the first WordPress event to <a href=\"https://wptavern.com/wordcamp-europe-goes-virtual-for-2021-in-person-conference-to-resume-2022\">go virtual for the coming year</a>, with the in-person event resuming in 2022.</p>\n\n\n\n<p>Moving what was once a vibrant in-person gathering to a two-dimensional online format is a challenging endeavor, especially when the world is suddenly awash in online events competing for attention. Making virtual events stand out from the crowd is a new marketing challenge. </p>\n\n\n\n<p>There is something about the magic of WordCamps that gives momentum to ideas and collaboration. While you cannot replicate the chance meetings in the hallway and the priceless conversations over long dinners, online events have the benefit of being more geographically inclusive. The constraints of the pandemic are also challenging our assumptions about how online gatherings are supposed to work.</p>\n\n\n\n<h2>WordPress Community Team to Explore New Event Formats, Redefine Relationships with Sponsors, Temporarily Cancel Swag Spending</h2>\n\n\n\n<p>The necessity for virtual events has inspired discussion around some new event formats, including a new <a href=\"https://make.wordpress.org/community/2020/07/23/building-community-beyond-events/\">proposal</a> that decouples online events from geography. WordPress Community manager Hugh Lashbrooke described how events might explore combining synchronous discussions with previously recorded workshops:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>What if we blended those two elements into a program that provides the flexibility of online content, with the value and sense of community that comes with learning together?</p><p>We could publish workshops in a central location (on&nbsp;<code>wordpress.org</code>, for better visibility and reach) and then invite learners to join live discussion groups that cater to different timezones. This &ldquo;<a href=\"https://en.wikipedia.org/wiki/Flipped_classroom\">flipped classroom</a>&rdquo; model allows people to learn at their convenience, and then come together for additional development.&nbsp;</p></blockquote>\n\n\n\n<p>Lashbrooke suggested the workshops could be designed by people who would otherwise be speaking WordCamps and could possibly source content from WordPress.tv or talks that have been given at online meetups.</p>\n\n\n\n<p>&ldquo;There is also potential for longer courses, composed of multiple workshops, and a group that meets repeatedly over time,&rdquo; Lashbrooke said.</p>\n\n\n\n<p>So far the suggestions in  the comments include introductory workshops for WordPress. These would be timely for newcomers who have recently lost work and are looking to improve their online resumes or portfolios, or start up a new business. Beginner workshops have strong outreach potential if promoted outside of the WordPress community.</p>\n\n\n\n<p>During the first half of the year, the Community Team began transitioning to facilitating the needs of online events and have continued to work tirelessly to find ways for people to connect. In a recent <a href=\"https://make.wordpress.org/community/2020/07/23/moving-forward-with-online-events/\">update</a>, WordPress community organizer Andrea Middleton explained that changes are coming for future online events, which may adopt another name instead of using &ldquo;WordCamp.&rdquo;</p>\n\n\n\n<p>Due to the<a href=\"https://make.wordpress.org/community/2020/05/11/financial-update-on-wordpress-community-programs/\"> financial position</a> of WordPress Community Support PBC (WPCS), the community team is ending programmatic support for online AV vendor expenses. WordCamps that are not yet on the schedule will be encouraged to get sponsorships if they require the use of a professional AV vendor.</p>\n\n\n\n<p>&ldquo;Likewise, we have paused plans to spend money on sending swag, T-shirts, or other typical WordCamp collateral,&rdquo; Middleton said. &ldquo;It&rsquo;s important to change our frame of reference for what&rsquo;s necessary to make online events, away from the WordCamp model. Just because we did things a certain way for WordCamps, doesn&rsquo;t mean it&rsquo;s a high priority for online events.&rdquo;</p>\n\n\n\n<p>Sponsorships are also being re-examined, as online events haven&rsquo;t quite been able to deliver the same value to sponsors that traditional events did.</p>\n\n\n\n<p>&ldquo;The value proposition of online sponsor booths is shaky, and we&rsquo;ve always prided ourselves in partnering with our sponsors,&rdquo; Middleton said. &ldquo;Looking ahead, we must examine how much funding we&nbsp;<strong>need</strong>&nbsp;to create events that meet the goals of the team, and let that determine how to best coordinate with our community sponsors to deliver value and further our mission.&rdquo; </p>\n\n\n\n<p>The potential for in-person events for the coming year is still uncertain at this point, in the absence of a vaccine ready for commercial distribution. WordPress&rsquo; global sponsorship program has been temporarily suspended and the Community Team plans to work with global sponsors later this year to make a plan for 2021.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Jul 2020 01:06:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: Are Plugin Authors to Blame for the Poor Admin Notices Experience?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102405\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:195:\"https://wptavern.com/are-plugin-authors-to-blame-for-the-poor-admin-notices-experience?utm_source=rss&utm_medium=rss&utm_campaign=are-plugin-authors-to-blame-for-the-poor-admin-notices-experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6619:\"<p class=\"has-drop-cap\">Last Thursday, Vova Feldman published an article asking that we <a href=\"https://freemius.com/blog/wordpress-admin-notices/\">stop blaming plugin authors</a> for the plethora of admin notices that users are bombarded with each day. <em>The real culprit?</em> The lack of a notifications mechanism in WordPress core.</p>\n\n\n\n<p>Feldman&rsquo;s post was prompted by a <a href=\"https://twitter.com/scottbolinger/status/1280567235006742528\">tweet</a> in which Scott Bolinger called out plugin authors for letting admin notices get out of control:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Good lord WordPress plugin authors, this is out of control. <a href=\"https://t.co/0S42908C5T\">pic.twitter.com/0S42908C5T</a></p>&mdash; Scott Bolinger (@scottbolinger) <a href=\"https://twitter.com/scottbolinger/status/1280567235006742528?ref_src=twsrc%5Etfw\">July 7, 2020</a></blockquote>\n</div>\n\n\n\n<p>Feldman argues that laying the blame on plugin authors is the wrong way to look at the issue. While I agree that the underlying problem lies with WordPress, plugin authors have played their part in creating an atmosphere where they have become the scapegoat for everything wrong with the system.</p>\n\n\n\n<p>I have developed plugins since a fateful day in April 2007 in which I released a plugin that simply listed the current page&rsquo;s subpages. I have worked on 100s of plugins for clients and public release since then. In that time, I have maybe added a custom admin notice two times and only when the plugin had a major change, such as a database update. I reserved such notices for the OMGBBQ-very-important-you-need-to-read-this type of stuff. I considered it my duty to create an experience in which the user did not have to dismiss a notice every time one of my plugins received an update.</p>\n\n\n\n<p>This was not because I was cognizant of the growing issue of dozens of notices on some sites or how often users were being overwhelmed with them. For many years, I worked within a bubble where I simply focused on creating what I considered an ideal experience for my users. I always thought the admin notices system created an abysmal experience. It did not make sense to use it more than necessary.</p>\n\n\n\n<p>On the other hand, there were likely a few times over the years where I should have added some sort of notices for changes. Instead, I avoided doing so altogether because WordPress lacked a notifications system. I missed some good opportunities for communication.</p>\n\n\n\n<p>To a large extent, the issue stems from this lack of a proper notification system. However, plugin authors have perpetuated this broken system by continuing to use it when unnecessary. They have used it as a billboard to place their <a href=\"https://wptavern.com/black-friday-banner-gone-wrong-advertising-in-free-plugins\">holiday ads</a>. They have used it to upsell commercial versions of their products and services while prompting users for a five-star rating. There is plenty of blame to go around.</p>\n\n\n\n<p>Instead of placing blame, we should start asking what tools would solve problems for developers.</p>\n\n\n\n<h2>The Need for a Better System</h2>\n\n\n\n<p class=\"has-drop-cap\">Technically, WordPress simply has a hook and a set of common classes that developers can use in their HTML to provide some different colors for notices. There is no API, and without an API, it is impossible for even third-party plugin developers to even try their hands at creating various solutions.</p>\n\n\n\n<p>The closest thing WordPress has to an API is a little-known project from the Themes Team that provides a <a href=\"https://github.com/WPTT/admin-notices\">standardized method for theme authors</a> to add notices. However, the project covers only one aspect of admin notices, which is to create a consistent UI.</p>\n\n\n\n<p>The admin notice issue cannot be properly addressed without identifying the problems that plugin authors have tried to solve within the system, which at least includes the following:</p>\n\n\n\n<ul><li>User-oriented notifications, generally appearing after a user action.</li><li>Advertising commercial products and services.</li><li>Calls for plugin feedback or star ratings.</li></ul>\n\n\n\n<p>One of the primary issues with the current notification system is that it was created for the first item in that list. The other two items are not necessarily bad things. They are just poor usages of the system in place. However, there is no other standard method to handle those scenarios.</p>\n\n\n\n<p>Advertising is something we all must deal with in some form or fashion. I am unsure if there could or even should be a standard API for advertising. An outright ban of ads in the admin notice area could create a beast of its own, forcing plugin authors to come up with more obtrusive forms of advertising in other areas of the admin. I want to support advertising but not when that advertising wiggles its way to the top of every admin screen.</p>\n\n\n\n<p>WordPress provides no easy way for end-users to rate or review plugins from their admin interfaces. Having an easy way to provide direct feedback would be immensely helpful for both users and developers. While I am certain many people would argue against such integration with the WordPress.org site (there are arguments against any external integration out of the box), ratings and reviews would require an explicit opt-in from end-users because they would need an account on WordPress.org.</p>\n\n\n\n<p>Advertising and plugin feedback should not be a part of a discussion on admin notices. However, reality dictates that they are integral to the conversation.</p>\n\n\n\n<p>The first order of business must be to create a new notification system from the ground up. It should provide a standard API for plugin authors while handing over full management capabilities to the site owners. Users should be able to disable notices altogether or even enable/disable notices on a per-plugin basis. <em>Notice that a particular plugin author provides useless notices?</em> Well, just disable notices from that plugin. The author lost their privileges.</p>\n\n\n\n<p>From that point, we can let the progress drive the discussion on what to do about advertising and calls for feedback. A new system may shift them to a new screen &mdash; out of sight out of mind &mdash; but not make those problems disappear.</p>\n\n\n\n<p>More than anything, it is time for a champion.  The project does not get done without someone who will pave the path forward and earn the green light for a new notifications system in WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jul 2020 21:40:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"WordPress.org blog: WordPress 5.5 Beta 4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8719\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3766:\"<p>WordPress 5.5 Beta 4 is now available!</p>\n\n\n\n<p id=\"block-81bd56b9-ea44-43ad-ab36-a5ae78b54375\"><strong>This software is still in development,</strong> so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p id=\"block-7cc1bbc6-17f9-44c5-8f67-da4e3059ad69\">You can test WordPress 5.5 Beta 4 in two ways:</p>\n\n\n\n<ul id=\"block-4840af57-f44b-4d9f-aa64-c6a452392e42\"><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.5-beta4.zip\">download the beta here</a> (zip).</li></ul>\n\n\n\n<p id=\"block-a40528cb-eb3b-4c8a-8f5e-aa700f1ba086\">WordPress 5.5 is slated for release on <a href=\"https://make.wordpress.org/core/5-5/\">August 11th, 2020</a>, and <strong>we need your help to get there</strong>!</p>\n\n\n\n<p>Thank you to all of the contributors who tested the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\">beta 3</a> development release and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress. </p>\n\n\n\n<h2 id=\"block-15d6d57f-905d-4a47-9f66-839468a5375a\">Some highlights</h2>\n\n\n\n<p id=\"block-85da84ec-c841-42f9-8d3b-1a4537a61d10\">Since <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-3/\">beta 3</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&changetime=07%2F22%2F2020..07%2F28%2F2020&milestone=5.5&group=component&col=id&col=summary&col=owner&col=type&col=priority&col=component&col=version&order=priority\">43 bugs</a> have been fixed. Here are a few changes in beta 4:</p>\n\n\n\n<ul><li>Add <code>\"loading\"</code> as an allowed kses image attribute (see <a href=\"https://core.trac.wordpress.org/ticket/50731\">#50731</a>).</li><li>Add filter for the plugin/theme auto-update message in the Info tab of Site health (see <a rel=\"noreferrer noopener\" target=\"_blank\" href=\"https://core.trac.wordpress.org/ticket/50663\">#50663</a>).</li><li><code>$_SERVER[\'SERVER_NAME\']</code> not a reliable when generating email host names (see <a href=\"https://core.trac.wordpress.org/ticket/25239\">#25239</a>)</li><li>Several backported fixes from Gutenberg are included in WordPress 5.5 Beta 4 (<a href=\"https://github.com/WordPress/gutenberg/pull/24218\">See PR #24218</a>)</li></ul>\n\n\n\n<h2 id=\"block-76156b2b-0a52-4502-b585-6cbe9481f55b\">Developer notes</h2>\n\n\n\n<p id=\"block-3fe5e264-0a95-4f12-9a18-0cb9dc5955d1\">WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> and pay special attention to the <a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developers’ notes</a> for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2 id=\"block-bc89fd56-47b0-439f-8e2c-4a642c80a616\">How to Help</h2>\n\n\n\n<p id=\"block-3ff83a77-8b54-4061-ae2d-45fc984cbd76\">Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p id=\"block-9d871099-ec49-446c-8322-9e49b7498c10\">If you think you’ve found a bug, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. We’d love to hear from you!</p>\n\n\n\n<p id=\"block-bd71c1d3-39d9-4b2a-8193-3486497b45fd\">If you’re comfortable writing a reproducible bug report, <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>, where you can also find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jul 2020 20:56:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"Donncha: Crowdsignal Polls in your Block Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://odd.blog/?p=89503098\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://odd.blog/2020/07/27/crowdsignal-polls-in-your-block-editor/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2423:\"<div class=\"aligncenter crowdsignal-poll-wrapper\"></div>\n\n\n<p>The <a href=\"https://crowdsignal.com/\">Crowdsignal</a> team at Automattic have been quietly working on a new <a href=\"https://wordpress.org/plugins/crowdsignal-forms/\">poll block</a> for the last few weeks. We finally made it public today on WordPress.org!</p>\n\n\n\n<div class=\"wp-block-image\"><img /></div>\n\n\n\n<p>We set out with the task of creating a block that would allow the writer to quickly insert a poll in their posts using the block editor. More than that, it had to be simple to use. It also needed to be themed to match the look and feel of the website it would appear on.</p>\n\n\n\n<div class=\"wp-block-image size-large\"><img /></div>\n\n\n\n<p>We&#8217;ve created a block that does that. It also records the votes collected on the Crowdsignal website where you can analyse the results using reports Crowdsignal users have always used.</p>\n\n\n\n<div class=\"wp-block-image size-large\"><img /></div>\n\n\n\n<p>Search for &#8220;Crowdsignal Forms&#8221; on your plugins page to install it in the usual way.</p>\n\n\n\n<p>A free <a href=\"https://crowdsignal.com/\">Crowdsignal</a> account is required to use the block. We made it really easy to connect your site to your Crowdsignal account. If you don&#8217;t have one then creating a new account is simple too.</p>\n\n\n\n<div class=\"wp-block-image\"><img /></div>\n\n\n\n<p>The first 2,500 responses you collect are included in your free account, and further votes are recorded but free users are encouraged to upgrade if they want to do further analysis of all the data they collect.</p>\n\n<p><strong>Related Posts</strong><ul><li> <a href=\"https://odd.blog/2004/01/29/htmlarea-the-free-customizable-online-editor/\" rel=\"bookmark\" title=\"Permanent Link: HTMLArea &#8212; the free, customizable online editor\">HTMLArea &#8212; the free, customizable online editor</a></li><li> <a href=\"https://odd.blog/2003/04/02/cross-browser-rich-text-editor/\" rel=\"bookmark\" title=\"Permanent Link: Cross-Browser Rich Text Editor\">Cross-Browser Rich Text Editor</a></li><li> <a href=\"https://odd.blog/2003/05/22/cross-browser-rich-text-editor-work-in-firebird/\" rel=\"bookmark\" title=\"Permanent Link: Cross-Browser Rich Text Editor &#8211; work in Firebird?\">Cross-Browser Rich Text Editor &#8211; work in Firebird?</a></li></ul></p>\n<p><a href=\"https://odd.blog/2020/07/27/crowdsignal-polls-in-your-block-editor/\" rel=\"nofollow\">Source</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jul 2020 19:17:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"HeroPress: HeroPress Gets A Surprise\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=3242\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:117:\"https://heropress.com/heropress-gets-a-surprise/#utm_source=rss&utm_medium=rss&utm_campaign=heropress-gets-a-surprise\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1373:\"<img width=\"960\" height=\"540\" src=\"https://s20094.pcdn.co/wp-content/uploads/2020/07/heropress_cape_video_thumb-1024x576.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Topher wearing his cape.\" />\n<p>A couple of months ago <a href=\"https://twitter.com/michelleames\">Michelle Frechette</a> approached me about being on a podcast for <a href=\"https://sentree.io\">Sentree.io</a>. I didn&#8217;t realize at the time I was going to be their inaugural guest! We had a great time, and things got back to normal.</p>\n\n\n\n<p>Several weeks later Michelle said they sent me a thanks gift, which was very thoughtful, and that I should have someone video the unboxing. I never once imagined what they actually sent me.  Here&#8217;s the video.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div class=\"jetpack-video-wrapper\"></div>\n</div>\n\n\n\n<p>My family already has all sorts of ideas about how to use it at WordCamps. I just hope it survives being worn ALL DAY EVERY DAY.</p>\n\n\n\n<p>It&#8217;s super well made, I snooped a little and found the etsy shop it came from. Really great embroidery and seaming. Really classy.</p>\n\n\n\n<p>Thanks Sentree, and thanks Michelle.  :)</p>\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/heropress-gets-a-surprise/\">HeroPress Gets A Surprise</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jul 2020 13:31:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: Develop, Test, and Showcase Blocks in Isolation With BlockBook\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102310\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:185:\"https://wptavern.com/develop-test-and-showcase-blocks-in-isolation-with-blockbook?utm_source=rss&utm_medium=rss&utm_campaign=develop-test-and-showcase-blocks-in-isolation-with-blockbook\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4143:\"<p class=\"has-drop-cap\">Riad Benguella <a href=\"https://riad.blog/2020/07/22/introducing-blockbook-for-wordpress/\">released BlockBook</a>, a project that promises to overhaul how developers build blocks and more, on Tuesday. It is a development environment that allows creators to work with blocks in isolation, outside of WordPress. Developers can view individual block properties and test output from a defined block library.</p>\n\n\n\n<p>BlockBook is available as an <a href=\"https://www.npmjs.com/package/blockbook-cli\">npm package</a>. Developers can also contribute to the project through its <a href=\"https://github.com/youknowriad/blockbook\">GitHub repository</a>.</p>\n\n\n\n<p>Benguella got the idea from <a href=\"https://storybook.js.org/\">Storybook</a>, which is an open-source tool for developing UI components for React, Vue, Angular, and other JavaScript libraries in isolation. It is an environment that makes development and testing more efficient for individual components. It also allows end-users the opportunity to test those components before they are brought into a project. The goal for BlockBook is to bring a similar system to WordPress block development.</p>\n\n\n\n<p>&ldquo;If we think about it a little bit, blocks are reusable units that can live on their own outside of any context, they can be edited visually, and they produce markup,&rdquo; wrote Benguella in the announcement post. &ldquo;They have in fact a lot in common with React Components. They are super-powered React Components.&rdquo;</p>\n\n\n\n<p>He believes that BlockBook will be able to solve many of the issues around block development by taking the principles of the Storybook application and employing them into an environment specifically for building, testing, documenting, and sharing blocks.</p>\n\n\n\n<p>Benguella has a full <a href=\"https://youknowriad.github.io/blockbook/\">demo available</a> as a GitHub page. Developers can do the same with their plugins or simply host it as a static site on their own server.</p>\n\n\n\n<img />BlockBook example output of the Gallery block.\n\n\n\n<p>In his post, he identified three major challenges that his project is meeting head-on. The first, and most obvious for anyone who has delved into block development, is creating blocks within the WordPress environment. It is a tedious and inefficient process to develop and test blocks in the WordPress admin. By isolating the block code, developers can bypass many of the routine tasks every time they make a code change to a block.</p>\n\n\n\n<p>The second challenge was to figure out a way to make theme testing much easier. For theme authors with one or two themes, testing block styling is relatively easy. However, for businesses, agencies, and others who maintain many themes, there is no good way to quickly see how individual blocks behave for each of the themes. BlockBook allows theme authors to register any number of themes. Essentially, developers add a few lines of code and point to the appropriate stylesheet. Once set up, testing is as simple as switching themes via a dropdown select and moving between individual blocks. All of this happens almost instantly.</p>\n\n\n\n<p>The third part of the equation involves end-users. Currently, users have no good way to test blocks without installing a block plugin, heading to their editor, and tinkering around with it. If they do not like the block, they must start the process all over again. With BlockBook, developers can make their blocks available for testing beforehand. They can even allow end-users to beta test blocks and provide feedback without installing a plugin at all.</p>\n\n\n\n<p>However, that is still not quite as efficient as Benguella would like. It would rely on individual developers. For the long-term, he hopes the project becomes an official WordPress package. This creates the possibility of WordPress.org automatically building and hosting a BlockBook for plugins and themes, giving users a chance to test before installing.</p>\n\n\n\n<p>This is something that could be revolutionary for users if the official WordPress project could take it on and create a solid user experience around it.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Jul 2020 19:00:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"WPTavern: Unsplash Responds to Image Licensing Concerns, Clarifies Reasons for Hotlinking and Tracking\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102268\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:247:\"https://wptavern.com/unsplash-responds-to-image-licensing-concerns-clarifies-reasons-for-hotlinking-and-tracking?utm_source=rss&utm_medium=rss&utm_campaign=unsplash-responds-to-image-licensing-concerns-clarifies-reasons-for-hotlinking-and-tracking\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:22930:\"<p>Concerns are mounting regarding Unsplash&rsquo;s terms and image licensing after the site <a href=\"https://wptavern.com/unsplash-launches-official-plugin-for-wordpress\">launched its official WordPress plugin</a> this week. Several people commented on the restrictions and lack of clarity in the license. </p>\n\n\n\n<p>&ldquo;The irony here is that this goes against Unsplash&rsquo;s own licensing for images,&rdquo; Aris Stathopoulos commented. &ldquo;It&rsquo;s vague and restrictive to the point where one doesn&rsquo;t even know if they can actually use the images they import.&rdquo;</p>\n\n\n\n<p>Matt Mullenweg responded to Stathopoulos&rsquo; comment, saying, &ldquo;I agree, not sure if this should be allowed in the directory.&rdquo;</p>\n\n\n\n<p>The last time the site made a major splash in WordPress news was in 2017 after <a href=\"https://wptavern.com/unsplash-updates-its-license-raises-gpl-compatibility-concerns\">revising its license</a> to prohibit the compilation of photos for the creation of a similar or competing service. Its new branded license made the library&rsquo;s images incompatible with the GPL and unable to distributed with WordPress themes and plugins.</p>\n\n\n\n<p>Unsplash co-founder Luke Chesser believes these comments are due to a misunderstanding about the license change.</p>\n\n\n\n<p>&ldquo;As you know, themes have a requirement that themes and their content be GPL compatible,&rdquo; Chesser said. &ldquo;Outside of themes, WordPress&rsquo;s application of GPL doesn&rsquo;t apply to content in plugins. That&rsquo;s why you can have a YouTube plugin, a Getty Images plugin, a Giphy plugin, etc. &mdash; none of this content is licensed under GPL. In most cases plugins serve content that has a very narrow usage license, much, much more restrictive than the Unsplash License.&rdquo;</p>\n\n\n\n<h2>Why Unsplash Abandoned Creative Commons Zero Licensing</h2>\n\n\n\n<p>To understand the sensitivity to Unsplash&rsquo;s licensing change, one must dust off a bit of web history. When the site first started in 2013, the images were licensed under the very permissive&nbsp;<a rel=\"noreferrer noopener\" href=\"http://creativecommons.org/publicdomain/zero/1.0/\" target=\"_blank\">Creative Commons Zero</a>&nbsp;license. It quickly grew from a Tumblr-hosted photo blog that shared &ldquo;10 new photos every 10 days&rdquo; for free, to one of the most popular photo libraries on the web. </p>\n\n\n\n<p>Chesser said the real life problems the Unsplash community encountered caused his team to change the licensing to protect photo authors. </p>\n\n\n\n<p>&ldquo;People were downloading the images and reselling them on Getty and Shutterstock,&rdquo; he said. &ldquo;Even if the people doing this made no money, it was such a negative experience for Unsplash contributors that they would remove their images from Unsplash, removing content that was previously available to openly be created with.</p>\n\n\n\n<p>&ldquo;Scraping of the site and the library had a similar effect as contributors would see their photos copied over to thousands of free image sites they never signed up for, or worse, their photos being made available to other sites with no attribution.&rdquo;</p>\n\n\n\n<p>Unsplash contributors were likely not fully aware of the freedoms that the CC0 license affords. These problems may be undesirable applications of the license but they were not outright misuses. When Unsplash changed its license, approximately 200,000 images were no longer identified on the site as being part of the public domain. </p>\n\n\n\n<p>Creative Commons got involved after the organization started receiving questions from users in the open content and free software movements. Ryan Merkley, CEO of Creative Commons at that time, penned an <a href=\"https://creativecommons.org/2017/06/22/unsplash/\">update</a> on Unsplash&rsquo;s licensing change to the CC community, expressing the organization&rsquo;s concerns.</p>\n\n\n\n<p>&ldquo;Our intention is to ensure that CC community members understand what has happened to a service they have been using that incorporated CC tools, and to protect the content that was dedicated to the public domain,&rdquo; Merkley said.</p>\n\n\n\n<p>Creative Commons called on Unsplash to properly differentiate the works that were previously shared under the irrevocable CC0 license so that they would not disappear from the public domain:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>Following the switch to the new Unsplash-branded license, there is no marking of works that were previously shared in the public domain using CC0. The Unsplash API restricts/obscures the full CC0 collection, which we believe to be about 200,000 images, but it isn&rsquo;t possible to access the complete archive. In order to ensure that the commons is maintained, we hope that Unsplash will either a) properly mark all the works shared using CC0 and/or b) make available a full archive of the CC0 works so they can be shared on a platform that supports open licensing and public domain tools. Previous platforms that have gone under or abandoned open license tools have shared their CC archives for this purpose. We hope Unsplash will follow the same path.</p></blockquote>\n\n\n\n<p>Unsplash declined to identify these images at that time. When I asked Chesser if the company is willing to update their API to differentiate these works, he said they discovered the images were never CC0 to begin with because of Unsplash&rsquo;s terms: </p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>The 2017 license clarification I described was also brought about because the team from Creative Commons told us that the photos were not licensed under CC0 if there were additional terms stipulated on the terms page. Therefore, the photos were not actually under CC0, as they had been submitted with additional terms attached to them and we could not and can not distribute the&nbsp;photos under the CC0 license. As part of this, we renamed the license to the Unsplash License and clarified the main parts of the terms in the form of the Unsplash License.</p></blockquote>\n\n\n\n<p>The controversy over the license change struck a nerve with those who <a href=\"https://www.designernews.co/stories/84910-unsplash-images-are-no-longer-in-the-public-domain\">perceived the move to be unfair</a> to the community of creators who had been convinced to put their works in the public domain. Unsplash had become a household name on the backs of Creative Commons Zero licensing, with the images fetching more than <a href=\"https://medium.com/unsplash/unsplash-best-of-2017-eb36ee81236\">29 billion views in 2017</a>, only to abandon the license when it was no longer expedient for the growth of their community. </p>\n\n\n\n<p>That body of work that had been originally shared to the public domain was then deftly hidden away (and remains so) with no differentiation in the site&rsquo;s API to identify these images. This is what Mullenweg seemed to be referencing when he <a href=\"https://wptavern.com/unsplash-launches-official-plugin-for-wordpress#comment-335431\">commented</a> on the plugin launch. </p>\n\n\n\n<p>&ldquo;Encouraging hotlinking is also pretty suspicious, especially after the previous bait and switch,&rdquo; Mullenweg said. &ldquo;Maybe if there was a way again to find just the CC0 licensed images, which the Creative Commons also requested, this could be okay to promote.&rdquo;</p>\n\n\n\n<p>Chesser contends that the Unsplash community had no complaints with the decision and that the only people who were dissatisfied were those who were not contributors.</p>\n\n\n\n<p>&ldquo;For anyone who feels that we somehow &lsquo;tricked&rsquo; our community, again, I&rsquo;d point back to the reaction from our actual contributor community &mdash; the people who generously submit their images to Unsplash for others to create with,&rdquo; Chesser said. &ldquo;We heard no complaints from this community when we clarified the License in 2017. Had there been an issue,&nbsp;had we somehow been taking&nbsp;advantage of their contributions, we would have certainly heard about it then, as our community are very passionate and vocal. </p>\n\n\n\n<p>&ldquo;The only complaints we heard were from people from outside of the Unsplash community &mdash; including Matt &mdash; who have never submitted an image to Unsplash and aren&rsquo;t part of our community. On the internet, there will always be people who disagree with you &mdash; we focus on our community and expanding the number of people who have access to create with images.&rdquo;</p>\n\n\n\n<p>This particular licensing conflict seems to have inspired a bit of lasting apprehension regarding Unsplash&rsquo;s willingness to change its license and terms in the future. Allowing a plugin to efficiently pump out thousands of images to WordPress sites could potentially make the platform&rsquo;s user base a vector for disseminating works that someday may not be available with the same freedoms. </p>\n\n\n\n<p>&ldquo;Could the terms or licensing of that hotlinking change in the future, as the licensing did in 2017?&rdquo; Mullenweg asked in the comments.</p>\n\n\n\n<p>&ldquo;I forsee no future scenario where our terms will ever meaningfully change,&rdquo; Chesser said. &ldquo;They will of course occasionally be refined, as all terms are&mdash;like when we added clarifications around GDPR compliance or when we add new features that require a legal definition. But our mission and goal are the same as they have always been: to enable anyone to create with visuals, and our terms will continue to reflect that.&rdquo;</p>\n\n\n\n<p>After a few in the WordPress community expressed that the license was not clear in terms of what users can do with the images, Chesser said he would be open to making a separate clarification document to address any legitimate concerns.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">The actual license has been ruled as very clear by a lot of lawyers and we want to avoid complicating it\'s simplicity with more legalese, but we\'re open to making a separate clarification/side-letter/legal document which addresses any legitimate concerns</p>&mdash; Luke Chesser (@lukechesser) <a href=\"https://twitter.com/lukechesser/status/1286446954197770244?ref_src=twsrc%5Etfw\">July 23, 2020</a></blockquote>\n</div>\n\n\n\n<p>When the 2017 licensing controversy happened, Richard Best, a technology and public lawyer based in New Zealand, said the new Unsplash license <a href=\"http://wpandlegalstuff.com/unsplash-gpl-compatibility-concern-red-herring/\">could use some clarification</a> regarding freedoms for downstream recipients. He suggested changes that rephrase it as follows: &ldquo;Unsplash grants&nbsp;<span>you and every person&nbsp;who comes into possession of the photos</span>&nbsp;a nonexclusive copyright license to&hellip;&rdquo;</p>\n\n\n\n<p>&ldquo;These changes are intended to ensure that downstream recipients of the photos receive the same licence from Unsplash,&rdquo; Best said. &ldquo;Both the GPL and the Creative Commons licences are structured in this way. Without these changes, distributors of products like website themes may be concerned&nbsp;that the end users of their products will not receive the rights they need to use the photos for their own purposes.&rdquo;</p>\n\n\n\n<p>Chesser said the&nbsp;Unsplash License and terms were created by the same legal team that created the Creative Commons licenses. Any major differences regarding the freedoms for downstream recipients were likely considered and intentional. It may still be an important clarification, as the block editor continues to make it easier for users to create and share their own designs with images. </p>\n\n\n\n<h2>Unsplash Clarifies the Purpose of Hotlinking to the CDN and Tracking Views</h2>\n\n\n\n<p>The official Unsplash plugin is different from other plugins created to connect users to the free image library in that it hotlinks images to the Unsplash CDN, ostensibly to reduce the site&rsquo;s bandwidth usage and speed up delivery.</p>\n\n\n\n<p>&ldquo;The plugin uses the Unsplash CDN to serve Unsplash images while the plugin is installed and enabled,&rdquo; Chesser said. &ldquo;At the same time, every image used in a post will also be copied over to the local server and stored there. We store a copy of every image on the local WordPress install so that if the plugin is disabled or removed by the site owner, their posts can continue to serve the local images and don&rsquo;t break, however they lose the features of the Unsplash CDN.&rdquo;</p>\n\n\n\n<p>The CDN also supports dynamic resizing, compression, cropping, automatic file format conversion, and a number of performance improvements that Chesser said the service has implemented based on what the team as learned from serving tens of billions of images every month for 8+ years.</p>\n\n\n\n<p>&ldquo;When we talked to publishers, these features were extremely important to them,&rdquo; he said. &ldquo;Rather than try to rebuild the wheel in WordPress, we wanted to offer these features to publishers as they aren&rsquo;t supported natively by WordPress and are table stakes for modern image serving.&rdquo;</p>\n\n\n\n<p>The Unsplash CDN exists to serve the needs of Buzzfeed, Trello, Adobe, Dropbox, Notion, and 2,200+ official <a href=\"https://unsplash.com/developers\">API integrations</a>. It also gives Unsplash contributors a better idea of the real number of views of the content they post.</p>\n\n\n\n<p>&ldquo;This outsized distribution of their images is one of the main reasons that photographers post on Unsplash,&rdquo; Chesser said. &ldquo;A quick <a href=\"https://twitter.com/search?q=unsplash%20views&src=typed_query\">search on twitter</a> gives you a good idea for how important this phenomenon is to our contributors.&rdquo;</p>\n\n\n\n<p>One commenter <a href=\"https://wptavern.com/unsplash-launches-official-plugin-for-wordpress#comment-335442\">said</a> that she was put off by the official plugin&rsquo;s requirement to authenticate, since competing plugins don&rsquo;t add this extra layer.</p>\n\n\n\n<p>&ldquo;They can now force user sign ups to inflate their user base even though other plugins just serve images without any sort of authentication,&rdquo; she said. &ldquo;What is the point in a user authenticating to only receive an API key? It&rsquo;s not like you can access Likes or your collection with only the API key.</p>\n\n\n\n<p>&ldquo;Serving images from their CDN also allows them to track image views and URLs which helps inflate the download and view counts for their contributors. These other plugins like Instant Images downloads the file to your media library which would only count as a single download. I&rsquo;m going to stick with Instant Images as I don&rsquo;t feel like feeding the advertising machine.&rdquo;</p>\n\n\n\n<p>Responses to the plugin&rsquo;s approach were mixed, but overall it seemed that most users were delighted to cut a few steps out of their workflow for posting images to WordPress. The plugin has more than 300 downloads in 48 hours.</p>\n\n\n\n<h2>Is Unsplash in Violation of the WordPress Plugin Directory&rsquo;s Guidelines?</h2>\n\n\n\n<p>After Matt Mullenweg raised concerns about the plugin&rsquo;s suitability for the directory, commenters called in similar concerns about the Pexels library, which Automattic uses in Jetpack.</p>\n\n\n\n<p>Unsplash does not appear to be in violation of the official WordPress.org plugin directory guidelines. Earlier this year when asked about a different plugin that imports an Unsplash image, Plugin Team member Samuel Otto Wood <a href=\"https://wordpress.slack.com/archives/C1LBM36LC/p1581854898429000\">responded</a> using an Unsplash-specific example: </p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>Let&rsquo;s simplify this right down to basics: Lets say you made a plugin that imports images from Unsplash into your site. That plugin is fine. It has no images in it, the purpose of it is to access a library of images and allow you to pull them into your site. You have to take actions to pull in those images. That is perfectly acceptable for being hosted on&nbsp;<a rel=\"noreferrer noopener\" target=\"_blank\" href=\"http://w.org/\">w.org</a>. So, you can&rsquo;t use Unsplash images in your plugin hosted here. But if it pulls them from somewhere else via user action and intention, fine.</p></blockquote>\n\n\n\n<p>Chesser sees the concerns regarding the clarity of Unsplash&rsquo;s licensing as unwarranted, given Automattic&rsquo;s use of the Pexels library.</p>\n\n\n\n<p>&ldquo;Pexels made a clone of the Unsplash License with the exact same restrictions shortly after we updated it in 2017,&rdquo; Chesser said. &ldquo;At no point has WordPress expressed any skepticism that the Pexels License is legally vague. Given that they have instead created multiple official partnerships with Pexels, including adding it to Jetpack, then I would expect that they consider the license to be legally clear.&rdquo;</p>\n\n\n\n<p>Both Pexels and Unsplash licenses share similar restrictions but Pexels has more restrictions on how images can be used. Chesser believes the renewed concerns are entirely founded on Unsplash&rsquo;s controversial 2017 licensing change.</p>\n\n\n\n<p>&ldquo;Before 2017, we had a strong relationship with WordPress,&rdquo; Chesser said. &ldquo;Since then, WordPress has essentially cut off all ties with Unsplash and instead made partnerships with Pexels to integrate into WordPress features. What&rsquo;s strange though is that shortly after we clarified our license in 2017, Pexels did the same thing, adding the same restrictions&nbsp;<a rel=\"noreferrer noopener\" href=\"https://www.pexels.com/terms-of-service/#restrictions-on-use-of-the-service-and-content:~:text=to%20portray%20any%20person%20depicted%20in,engaging%20in%20immoral%20or%20criminal%20activities%3B\" target=\"_blank\">plus a few additional ones</a>.</p>\n\n\n\n<p>&ldquo;Specifically, you can see that they have the same restriction around&nbsp;<a rel=\"noreferrer noopener\" href=\"https://www.pexels.com/license/#flash-container:~:text=Don\'t%20sell%20unaltered%20copies%20of%20a,physical%20product%20without%20modifying%20it%20first.\" target=\"_blank\">reselling of content</a>&nbsp;and the&nbsp;<a rel=\"noreferrer noopener\" href=\"https://www.pexels.com/license/#flash-container:~:text=Don\'t%20redistribute%20or%20sell%20the%20photos%20and%20videos%20on%20other%20stock%20photo%20or%20wallpaper%20platforms.\" target=\"_blank\">same restriction around recompiling and scraping of the site</a>. (Note: they use the word redistribute on the license page, but&nbsp;<a rel=\"noreferrer noopener\" href=\"https://www.pexels.com/terms-of-service/#intellectual-property:~:text=the%20right%20to%20compile%20any%20Pexels%20Content%20to%20replicate%20a%20similar%20or%20competing%20Service%3B\" target=\"_blank\">use the word compile in their terms</a>.)&rdquo;</p>\n\n\n\n<p><a href=\"https://xwp.co/\">XWP</a>, the agency that Unsplash partnered with to build the plugin, said the license is &ldquo;significantly less restrictive than Pexels, Youtube, Getty, Spotify and many other examples you&rsquo;ll find throughout the plugin directory.&rdquo; If this plugin is in violation, then many others would be called into question along with it.</p>\n\n\n\n<p>&ldquo;As rule 6 on the <a rel=\"noreferrer noopener\" href=\"http://wordpress.org/\" target=\"_blank\">WordPress.org</a> plugin guidelines clearly state: &lsquo;Plugins that act as an interface to some external third party service (e.g. a video hosting site) are allowed, even for paid services,&rdquo; XWP CTO Derek Herman said.</p>\n\n\n\n<p>&ldquo;As their high quality images are available as an API, we built a community plugin up to WordPress VIP coding standards so that Unsplash would work on a variety of use cases, from WordPress versions 4.9 to 5.4. Integration with APIs has been key to WordPress&rsquo; growth over the past few years.&rdquo;</p>\n\n\n\n<p>Herman also cited several prominent examples of content integrations with varying licenses and terms that govern the content:</p>\n\n\n\n<ul><li>A leading enterprise publishing plugin is <a href=\"https://wordpress.org/plugins/getty-images/\" target=\"_blank\" rel=\"noreferrer noopener\">Getty Images</a>, which is a <a href=\"https://wpvip.com/plugins/getty-images/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress VIP partner plugin</a> and has long been used by larger organizations. It primarily sells &ldquo;restricted-usage&rdquo; images connected to a network of media sources like newspapers and freelancers.</li><li><a href=\"https://wordpress.org/support/article/embeds/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress core has extensive oembed support for third parties</a>, which takes third-party URLs and parses them in a way to link to the site. While Amazon Kindle, Spotify and Youtube&rsquo;s content licensing rules are quite restrictive, the goal of these integrations are to encourage content creators to tell stories with what they find across the internet.</li><li>In its most recent release <a href=\"https://jetpack.com/2020/07/07/87-easier-reach-customers/\" target=\"_blank\" rel=\"noreferrer noopener\">Jetpack included two exciting new media integrations</a>&mdash;Google Photos and Pexels&mdash;which are certainly relevant here. Pexels actually has a &ldquo;<a href=\"https://help.pexels.com/hc/en-us/articles/360043229813-Can-I-use-photos-and-videos-from-Pexels-in-a-political-campaign-\" target=\"_blank\" rel=\"noreferrer noopener\">political views</a>&rdquo; clause in their license. As they do not define what is a &ldquo;political policy or viewpoint&rdquo; it could be viewed as too restrictive as nearly any post could be construed as being political.</li><li>There are a few other plugins using Unsplash in the WordPress ecosystem, such as <a href=\"https://wordpress.org/plugins/instant-images/\" target=\"_blank\" rel=\"noreferrer noopener\">Instant Images</a> (which has been in the directory for over three years). In fact, WordPress Release lead Riad Benguella wrote a great prototype plugin called &ldquo;<a href=\"https://wptavern.com/drop-it-plugin-brings-gifs-and-unsplash-photos-to-gutenberg\" target=\"_blank\" rel=\"noreferrer noopener\">Drop It</a>,&rdquo; which integrates with both GIPHY and Unsplash, and served as inspiration for us on this project.&nbsp;</li></ul>\n\n\n\n<p>At the moment, it seems Unsplash is within WordPress.org&rsquo;s plugin directory guidelines, but if its terms and licensing are deemed incompatible, many media integrations in the plugin ecosystem will also be called into question. Users who object to Unsplash&rsquo;s method of delivery can always opt to use a plugin with a different approach. Those who want to support libraries that serve images with GPL-compatible licensing can check out the Theme Team&rsquo;s list of <a href=\"https://make.wordpress.org/themes/handbook/review/resources/#recommended-websites-for-images\">recommended sources</a> and look for plugins that integrate those.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Jul 2020 17:24:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: Revised Block Directory Guidelines Proposal Updates Wording but Changes Little Else\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102315\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:231:\"https://wptavern.com/revised-block-directory-guidelines-proposal-updates-wording-but-changes-little-else?utm_source=rss&utm_medium=rss&utm_campaign=revised-block-directory-guidelines-proposal-updates-wording-but-changes-little-else\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6513:\"<p class=\"has-drop-cap\">Yesterday, Alex Shiels <a href=\"https://make.wordpress.org/plugins/2020/07/22/proposed-block-directory-guidelines/\">posted an update</a> to the <a href=\"https://github.com/WordPress/wporg-plugin-guidelines/pull/70/files#diff-bcf4c6e86251a8d088c6bd5800c476ff\">proposed guidelines</a> for the WordPress block directory. The document adds eight rules for plugin authors to follow if they plan to add their one-off blocks to the directory. The guidelines are additional requirements on top of the existing plugin directory guidelines.</p>\n\n\n\n<p>While the wording and organization of the block guidelines received a revamp in comparison to the <a href=\"https://github.com/WordPress/wporg-plugin-guidelines/blob/87a9a17eca6d4b39a6bb4b1f2c8dcf33aff26336/blocks.md\">original proposal</a>, the overall sentiment is unchanged. Shiels thanks community developers for the feedback on the original guidelines but does not go into detail about the things that changed as a result.</p>\n\n\n\n<p>The primary guidelines are mostly expected, run-of-the-mill requirements for blocks. Developers need a <code>block.json</code> file. They should name stuff appropriately. Plugins should contain only a single block. Plugins should only touch the block editor. Blocks should work seamlessly once activated.</p>\n\n\n\n<p>The remaining guidelines are certain to be a disappointment or point of contention for some developers.</p>\n\n\n\n<h2>Monetization Still Not Allowed</h2>\n\n\n\n<p class=\"has-drop-cap\">The largest <a href=\"https://wptavern.com/can-the-block-directory-and-business-interests-coexist\">feedback on the guidelines</a> we received here at the Tavern surrounded what is essentially a blanket ban on commercial interests for block developers. Blocks still cannot hook into a paid service or advertise within the admin. This limitation will obviously turn away many businesses that may have been looking forward to the block directory as a potential avenue for profit. Right now, one-off blocks will need to be built by those with altruistic interests, giving back to the community simply out of the kindness of their hearts.</p>\n\n\n\n<p>While there is nothing inherently wrong with wanting to do that, it is not attractive to developers who are primarily focused on putting food on the table. Hobbyists and larger businesses with the resources to give back will be well-suited to add blocks to the directory. However, it will give a lot of developers pause because it is unlikely a good return on investment. Instead, those developers are more likely to submit their blocks to the normal plugin directory with their normal upsell methods. This will only serve to make block discoverability harder for end-users.</p>\n\n\n\n<p>This is a missed opportunity to build a well-rounded system that is fair to both users and developers who need to make a living. Whether it is through the plugin tag system or specific guidelines on monetization, we could have built something that made everyone a little happy and a little mad, a compromise that merged a good user interface and experience.</p>\n\n\n\n<p>It is not like there have been no proposals. In January, Luke Carbis wrote a detailed outline of <a href=\"https://carb.is/2020/01/block-business/\">how WordPress could provide a middle ground</a> between sustainability (business models) and accessibility (free options) with the upcoming block directory. His fear was that the block directory would be full of blocks without updates in a few years because the completely free model is unsustainable. His proposal was a badge-based system that let users know if a block contained ads, used a freemium model, or required a sign-in to a third-party service.</p>\n\n\n\n<p>The current guideline is not set in stone. This is the first version of the block directory. It is not out of the question that the team could change things as the directory grows over time.</p>\n\n\n\n<h2>No Love for Server-Side Blocks</h2>\n\n\n\n<p class=\"has-drop-cap\">The block directory guidelines are still heavily geared toward static blocks. PHP must be kept at a minimum and primarily be used to load any necessary scripts and stylesheets. Server-side blocks are not getting much attention at the moment, which may be a limitation of the software.</p>\n\n\n\n<p>It would be great to see a way for some server-side blocks to be included in the block directory. For example, a breadcrumbs block would need to rely heavily on PHP to render its output. It is a dynamic block rather than static. This particular block would not be useful until full-site editing lands in WordPress, which is still several months away. However, I am getting the itch to turn an old breadcrumbs plugin of mine into a block. It would be neat to see it listed in the block directory.</p>\n\n\n\n<p>There are countless other scenarios. Post lists, product grids, and data pulled from external APIs are all good use cases for one-off blocks.</p>\n\n\n\n<h2>Dependencies Are Not Allowed</h2>\n\n\n\n<p class=\"has-drop-cap\">Given the way that WordPress works, it makes sense to ban dependencies on other plugins for any particular block to function. This is an old limitation that is rearing its head again. Every other modern framework uses some sort of dependency management to address this problem.</p>\n\n\n\n<p>The block directory has the potential to exacerbate the problem even further. Because plugins coming from this directory will be single blocks, it will often mean that developers are using the same bits of code across multiple projects. For example, an end-user may activate multiple block plugins that rely on the same JavaScript library. Because there is no 100%, sure-fire way to make sure only one instance of this library is loaded, users may be running multiple instances of it on their sites. It is not a new problem, but smaller block plugins mean that users are more likely to install more plugins. It increases the probability of running into this issue.</p>\n\n\n\n<p>If there was any sort of basic dependency management for plugin authors to use in WordPress, it would solve a world of problems. Over the years, developers have created methods to minimize the issues stemming from the lack of such a system. However, nothing is foolproof without a standard to follow.</p>\n\n\n\n<p>This has also held developers back from building libraries, scripts, and tools that could benefit the entire development community as a whole. Everyone builds their own things in-house, and the block directory is making a promise for more of the same.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Jul 2020 20:38:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"BuddyPress: BuddyPress 6.2.0 beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=312990\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://buddypress.org/2020/07/buddypress-6-2-0-beta/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2350:\"<p>Hi BuddyPress contributors!</p>\n\n\n\n<p>We will soon publish a maintenance release (<strong>6.2.0</strong>) to prepare BuddyPress to some changes that will introduce WordPress next major release (5.5.0). WordPress 5.5.0 is slated for August 11, and we&#8217;d love you to help us use the coming days to make sure your favorite community engine is ready to fully enjoy this new version of WordPress.</p>\n\n\n\n<p>BuddyPress 6.2.0 will make sure our BP Email feature is using the 6.0 version of PHPMailer when WordPress 5.5.0 is installed on your site and will carry on using its version 5.2 when your WordPress version is lower (4.8 to 5.4 for the supported versions of our 6.0 branch). For more information about it, please have a look to this <a href=\"https://buddypress.trac.wordpress.org/ticket/8322\">ticket</a>.</p>\n\n\n\n<p>If you&#8217;re a plugin or a theme developer and are extending our BP Email feature, we strongly advise you to test your code with the latest pre-release of WordPress 5.5.0 (eg: <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\">5.5.0-beta3</a>) and BuddyPress <a href=\"https://downloads.wordpress.org/plugin/buddypress.6.2.0-beta1.zip\">6.2.0-beta1</a>.</p>\n\n\n\n<p>WordPress 5.5.0 will also <a href=\"https://make.wordpress.org/core/2020/06/29/updating-jquery-version-shipped-with-wordpress/\">remove the jQuery Migrate library</a>, as BuddyPress uses a lot jQuery, we&#8217;ve been checking the impact of this removal. We haven&#8217;t found any issue so far, but if you do, please warn us about it commenting this <a href=\"https://buddypress.trac.wordpress.org/ticket/8333\">ticket</a>.</p>\n\n\n\n<p>A detailed changelog will be part of our official release notes, but, until then, you can check out this&nbsp;<a href=\"https://buddypress.trac.wordpress.org/query?status=closed&group=resolution&milestone=6.2.0\">report on Trac</a>&nbsp;for the full list of fixes.</p>\n\n\n\n<p>You can test the <a href=\"https://downloads.wordpress.org/plugin/buddypress.6.2.0-beta1.zip\">6.2.0-beta1</a> pre-release in 2 ways :</p>\n\n\n\n<ul><li>Use the <a href=\"https://wordpress.org/plugins/bp-beta-tester/\">BP Beta Tester</a> plugin.</li><li><a href=\"https://downloads.wordpress.org/plugin/buddypress.6.2.0-beta1.zip\">Download the 6.2.0 beta release here (zip file)</a>.</li></ul>\n\n\n\n<p>Thanks in advance for your contributions.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Jul 2020 00:45:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: Google Delays Mobile-First Indexing Deadline to March 2021\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102262\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:181:\"https://wptavern.com/google-delays-mobile-first-indexing-deadline-to-march-2021?utm_source=rss&utm_medium=rss&utm_campaign=google-delays-mobile-first-indexing-deadline-to-march-2021\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3509:\"<p>Google had set September 2020 as the deadline for when it would begin to fully switch over to crawling and indexing sites using mobile-first indexing but announced today that site owners will have more time to prepare. The deadline has been <a href=\"https://webmasters.googleblog.com/2020/07/prepare-for-mobile-first-indexing-with.html\">extended to March 2021</a>. </p>\n\n\n\n<p>Mobile-first indexing is a long-term plan that Google began rolling out in July 2019 by enabling it for new domains. The company cited &ldquo;these uncertain times&rdquo; as the reason for delaying the next phase of the rollout. The announcement also referenced further testing that showed a number of common issues sites are having in making the transition. Google urged site owners to pay close attention to several important issues:</p>\n\n\n\n<ul><li>Robots meta tags on mobile version should match the desktop version or Google may fail to index or follow links on the page.</li><li>Do not lazy-load primary content based on user interactions (like swiping, clicking, or typing), because the Googlebot doesn&rsquo;t trigger these user interactions.</li><li>Avoid the bad practice of using smaller images on mobile to fit the smaller screen. Small and low quality image will not be favorably indexed.</li><li>Ensure content on the mobile version matches the desktop, since only the mobile version will be used for indexing and ranking in Search. </li><li>Include meaningful alt text for images.</li></ul>\n\n\n\n<p>Google also outlined several other tips for image and video markup and placement. The announcement is essentially a tutorial for how to improve common mistakes that can negatively impact mobile ranking and indexing.</p>\n\n\n\n<p>Since mobile-first indexing is already enabled for most currently crawled sites, some speculated that the delayed deadline was due to hastily migrated mobile subdomain sites. John Mueller, Webmaster Trends Analyst at Google, confirmed this is the case and advised site owners to avoid this dated approach and update at the nearest opportunity.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">That\'s basically the inverse of how it was before, when desktop URLs were sometimes shown in mobile serps. Ideally, you\'d redirect by device type. M-dot sites do make things harder; for new sites I\'d avoid them, for older sites, I\'d fix with the next bigger revamp.</p>&mdash; &#127820; John &#127820; (@JohnMu) <a href=\"https://twitter.com/JohnMu/status/1285877309862563840?ref_src=twsrc%5Etfw\">July 22, 2020</a></blockquote>\n</div>\n\n\n\n<p>Before the advent of responsive design, many WordPress site owners added plugins that would create a separate mobile site to provide a more mobile-friendly browsing experience. Website visitors soon expected the entire web to be available to them on the devices they carried around in their pockets. This is now the primary way that people interact with the web, and Google&rsquo;s mobile-first indexing is a reflection of this new reality.</p>\n\n\n\n<p>If your WordPress site is still relying on a plugin to create a separate mobile site, or if you are using a plugin for lazy loading, make sure that the solution you have in place is following  Google&rsquo;s <a href=\"https://developers.google.com/search/mobile-sites/mobile-first-indexing\">mobile-first indexing best practices</a>. There are still 9 months remaining before Google makes mobile-first indexing and ranking the default for the entire web.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Jul 2020 23:20:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WPTavern: Zero BS CRM Rebrands and Relaunches as Jetpack CRM\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102138\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:165:\"https://wptavern.com/zero-bs-crm-rebrands-and-relaunches-as-jetpack-crm?utm_source=rss&utm_medium=rss&utm_campaign=zero-bs-crm-rebrands-and-relaunches-as-jetpack-crm\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5649:\"<img />Jetpack CRM welcome screen.\n\n\n\n<p class=\"has-drop-cap\">Mike Stott, co-creator of Zero BS CRM, <a href=\"https://jetpack.com/2020/07/20/introducing-jetpack-crm/\">announced the launch of Jetpack CRM</a> on Monday. The news was the seemingly inevitable rebranding of the original plugin that he and Woody Hayday had built. Automattic, the owner of the Jetpack plugin, acquired the project almost a year ago. While <a href=\"https://wordpress.org/plugins/zero-bs-crm/\">Jetpack CRM</a> carries the &ldquo;Jetpack&rdquo; name, it is still a standalone project and has a <a href=\"https://jetpackcrm.com/\">dedicated website</a>.</p>\n\n\n\n<p>CRM stands for &ldquo;customer relationship management.&rdquo; Such systems allow businesses to manage relationships through an interface but can vary extensively in user experience. The goal is to manage contacts, sales, and productivity through the software.</p>\n\n\n\n<p>The duo of Stott and Hayday have had a bit of a journey in the past year. In August 2019, <a href=\"https://wptavern.com/automattic-acquires-zero-bs-crm-considers-rebranding-it-as-jetpack-crm\">Automattic acquired the project</a> and provided the resources for the team to continue working on Zero BS CRM. The <a href=\"https://wptavern.com/zero-bs-crm-3-0-improves-ui-changes-database-structure-and-becomes-more-extendable\">3.0 launch</a> in December 2019 was a massive undertaking that included a major database change and UI improvements. Since then, they have worked toward rebranding the project. Stott also did this with a newborn in his family.</p>\n\n\n\n<p>When version 3.0 of Zero BS CRM launched, Stott said they were still discussing whether to rebrand and bring the plugin under the Jetpack umbrella. They were gathering user feedback at the time, but his primary focus was on developing features. The name was not the foremost thing on his mind. However, branding can make or break even a good project, and Jetpack is as close to a household name as any product coming out of the WordPress ecosystem. It made sense to lean on that branding.</p>\n\n\n\n<p>&ldquo;Jetpack&rsquo;s mission is to help entrepreneurs and small businesses succeed by providing tools that keep their sites fast and secure,&rdquo; said Stott. &ldquo;We felt that from within the Automattic family, this was a great match. We created ZBS CRM with the same end goal in mind &mdash; helping you succeed through better customer relationships, so it just made sense.&rdquo;</p>\n\n\n\n<p>After nearly a year beyond the acquisition, Stott feels like things are going great within the new environment at Automattic. &ldquo;We&rsquo;ve found the right product fit within Automattic,&rdquo; he said. &ldquo;In Jetpack, we&rsquo;re happy that we can really push the CRM, and it&rsquo;s exciting to be part of the bigger WordPress family and being able to integrate with WooCommerce, etc.&rdquo;</p>\n\n\n\n<p>Version 4.0 of the plugin primarily changes the branding in the admin and lightens the UI background. The team has also continued to add small changes.</p>\n\n\n\n<p>&ldquo;Looking ahead, we&rsquo;re excited to continue developing the CRM following user feedback,&rdquo; said Stott. &ldquo;We&rsquo;ll be working on our roadmap and, of course, how we can best integrate with the Jetpack family.&rdquo;</p>\n\n\n\n<h2>Growing and the Future</h2>\n\n\n\n<p class=\"has-drop-cap\">Jetpack CRM currently has 3,000+ active installs. This is up from 2,000 since the launch of version 3.0 last December. It has been a slow road thus far. However, there is room for growth. The leading CRM plugin, Hubspot, has 100,000+ active installs. There should be plenty of room for competing plugins in the CRM market.</p>\n\n\n\n<p>&ldquo;There&rsquo;s a massive opportunity for CRM in the WordPress space,&rdquo; said Stott. &ldquo;A CRM is not like installing an SEO plugin on every website you own &mdash; generally you&rsquo;d only have a single CRM for your business &mdash; but it&rsquo;s the core of your business. The fact that 3,000+ users and counting are choosing WordPress to run their CRM is a great start.&rdquo;</p>\n\n\n\n<p>The Jetpack brand should help spur some of the growth, particularly if Automattic pushes it as an add-on within the primary Jetpack plugin.</p>\n\n\n\n<p>&ldquo;[Jetpack] has substantial reach among website owners who would benefit from a CRM but may not know what a CRM is,&rdquo; said Stott. &ldquo;While we&rsquo;re happy that the plugin is still growing organically, we are just about set up to really push Jetpack CRM with full force.&rdquo;</p>\n\n\n\n<p>Stott believes the Hubspot comparison isn&rsquo;t apples-to-apples. Unlike Jetpack CRM, the Hubspot plugin pushes users to an app that is hosted off-site.</p>\n\n\n\n<p>&ldquo;While this makes sense for some users, it doesn&rsquo;t really take advantage of the huge benefits that native WordPress plugins offer,&rdquo; he said. &ldquo;Jetpack CRM sits on the user&rsquo;s servers. Users manage and control their own data &mdash; a huge win under the GDPR whereas a site owner you&rsquo;re legally required to know where your data is held. Not to mention that the plugin is also extendable.&rdquo;</p>\n\n\n\n<p>Stott said he has always loved the WordPress community&rsquo;s open-source approach and the freedoms that it provides to build something custom or extend what is already there. There should be ample opportunity for developers to extend Jetpack CRM&rsquo;s codebase.</p>\n\n\n\n<p>&ldquo;To my mind, there has never been a more exciting time for plugins like Jetpack CRM, which we envision as the &lsquo;business layer&rsquo; for modern entrepreneurs, much like WooCommerce has democratized eCommerce,&rdquo; he said.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Jul 2020 19:21:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WPTavern: Unsplash Launches Official Plugin for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101136\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"https://wptavern.com/unsplash-launches-official-plugin-for-wordpress?utm_source=rss&utm_medium=rss&utm_campaign=unsplash-launches-official-plugin-for-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6658:\"<p><a href=\"https://unsplash.com/\">Unsplash</a> has released its own <a href=\"https://wordpress.org/plugins/unsplash/\">official plugin for WordPress</a>, co-developed with the team at <a href=\"https://xwp.co/\">XWP</a>. The plugin seamlessly connects Unsplash&rsquo;s 1 million+ free high-resolution image library with the WordPress editor.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<a href=\"https://cloudup.com/cUQ5pBCD6jD\"><img src=\"https://cldup.com/3UUPV-2ayL.gif\" alt=\"Post usage 1\" width=\"1100\" height=\"612\" /></a>\n</div>\n\n\n\n<p>Users can easily search Unsplash directly inside the custom block and insert images with attribution and alt description info automatically filled in. The selected images are download and added to the WordPress media library, saving users the trouble of having to leave their dashboards to search, download, and upload images. </p>\n\n\n\n<p>Unsplash co-founder Luke Chesser described the project as &ldquo;bringing the internet&rsquo;s image library to the internet&rsquo;s publishing platform.&rdquo; Although the plugin is useful for any type of website &ndash; from small blogs to businesses, it was large publishing organizations that provided the impetus for Unsplash to develop an official integration for WordPress.</p>\n\n\n\n<p>&ldquo;We&rsquo;ve been working with a lot of publishers as they integrate Unsplash into their publishing flows to replace legacy solutions,&rdquo; Chesser said. &ldquo;With so many publishers being powered by WordPress, we saw a repeated need for a high quality integration that could be shared by all of the publishers. In order to best serve them, we needed to offer something that we could ensure met their needs both now and in the future.&rdquo;</p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/instant-images/\">Instant Images</a>, a plugin that boasts one-click Unsplash uploads, is currently the largest competitor to the adoption of the official plugin with more than 50,000 active installs. Many other plugins have also added some form of Unsplash integration in the past. Chesser said his team has loved seeing the variety of applications developers have created with their API and they were hesitant to create their own plugin.</p>\n\n\n\n<p>&ldquo;We saw a gap between the things big and small publishers were telling us, and the way the existing plugins had been developed,&rdquo; he said. &ldquo;Most existing plugins reupload the image to the WordPress library and then treat it as a standard image, which breaks a handful of things:</p>\n\n\n\n<ul><li>Image attribution to the original photographer is usually lost (or is no longer supported past the first usage)</li><li>The time it takes for the server to download the image and then reupload it can be slow</li><li>Out of the box, WordPress&rsquo;s current support for dynamic image URLs that adapt to the device connection and screen size is limited and by using the&nbsp;Unsplash&nbsp;CDN, we could ensure that the right size image is served to better optimize for performance.&rdquo;</li></ul>\n\n\n\n<p>When developing the official plugin, Unsplash and XWP took feedback from publishers and aimed to improve on how existing plugins handled images. After testing it, I found the search feature was fast and setup was a breeze. The plugin handles everything for the user invisibly in the background and its integration with the block editor makes it feel like a natural part of WordPress.</p>\n\n\n\n<h2>Unsplash Aims to Increase Its Audience by Enhancing the Publishing Workflow for WordPress Publishers</h2>\n\n\n\n<p>As Unsplash looks to define a new economic model around photography, WordPress-powered sites are a major consideration, since the platform powers <a href=\"https://w3techs.com/technologies/details/cm-wordpress\">more than 37%</a> of Alexa&rsquo;s&nbsp;top 10 million&nbsp;websites.</p>\n\n\n\n<p>Seven years after it started as a Tumblr blog, Unsplash is moving to directly monetize the site by working with brands to create photos that will appear in search results. &ldquo;Unsplash for Brands&rdquo; launched in December 2019 as an answer to the question of how Unsplash will make money. Companies pay to have their branded images show up prominently in search results alongside other organically ranking images that match users&rsquo; queries. </p>\n\n\n\n<p>&ldquo;While they serve completely different purposes, I think a lot of brands are growing tired of the state of digital advertising today, with Facebook and Google having a host of problems around privacy, targeting, and negative consequences for culture,&rdquo; Chesser said. &ldquo;Unsplash&nbsp;allows brands to influence the visual mindshare of the internet while having an authentic and positive impact on their audience.&rdquo;&nbsp;</p>\n\n\n\n<p>Launching an official WordPress plugin is a strategic move for Unsplash as it puts those branded images in front of a larger audience with users searching directly within the editor. Although the company continues to push out new features to the&nbsp;Unsplash&nbsp;API, many publishers did not have the resources to create their own integrations.</p>\n\n\n\n<p>&ldquo;After so many conversations with publishers, both big and small, that want to integrate the&nbsp;Unsplash&nbsp;library but can&rsquo;t due to resources, we felt that we needed to offer something more ready to use than the raw API or SDKs,&rdquo; Chesser said.</p>\n\n\n\n<p>&ldquo;We built the current version of the&nbsp;Unsplash&nbsp;for WordPress plugin so that it meets those needs of publishers now, but we know that we can push it a lot further in the future.&rdquo; </p>\n\n\n\n<p>The first iteration of the plugin mirrors the flow and features that a user would have while navigating unsplash.com, while keeping the writer inside the editor. Now that Unsplash is integrated into the WordPress publishing flow, Chesser sees the opportunity to add more interesting features. Open sourcing the plugin also has the potential to increase Unsplash&rsquo;s audience as developers extend its core features for use in other plugins.</p>\n\n\n\n<p>&ldquo;Using the context of the post, we can help suggest images or prefill a search using natural language processing,&rdquo; Chesser said. &ldquo;We can link together&nbsp;Unsplash&nbsp;images with other WordPress tools to help publishers edit and process images directly in their posts. And with a lot of the work from the plugin being focused on making&nbsp;Unsplash&nbsp;images work natively inside of the WordPress Media Library, we can even open-source the core in such a way that developers can extend and reuse the functionality, avoiding duplication across all of our third party WordPress plugins.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Jul 2020 23:33:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: Why Accessibility Matters for WordPress Themes and Their Users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102133\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:189:\"https://wptavern.com/why-accessibility-matters-for-wordpress-themes-and-their-users?utm_source=rss&utm_medium=rss&utm_campaign=why-accessibility-matters-for-wordpress-themes-and-their-users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13307:\"<p>&ldquo;Do you ever read the subtitles on a video so you didn&rsquo;t need to unmute it?&rdquo; asked William Patton, a representative from the WordPress Themes Team. &ldquo;Used the &lsquo;beep&rsquo; from a crosswalk to know when to cross the road? Found yourself reading the info panel at an airport? Those things are considered features, but in reality, they are aids for people with additional needs.&rdquo;</p>\n\n\n\n<p>As I talked with Patton and other reps from the Themes Team, it was clear they believed accessibility was a vital piece of the theme-building puzzle. The team has made small moves in the last year to bring more themes up to standards. However, it has been a slow-going process.</p>\n\n\n\n<p>Last July, the <a href=\"https://wptavern.com/wordpress-theme-review-team-initiates-new-long-term-plan-to-make-all-wordpress-org-themes-accessible\">team initiated a plan</a> to add a new guideline every two months or so that would address a single accessibility issue. It would become every theme author&rsquo;s responsibility to make sure they were meeting the new guidelines. It would be every reviewer&rsquo;s responsibility to understand how to test guidelines as they were implemented. Thus far, the team has required only that themes have a working skip-to-content link and keyboard-capable navigation menus.</p>\n\n\n\n<p>Not every theme author was excited about the move. Some have still shown resistance a year later.</p>\n\n\n\n<p>Last week, we covered the Astra theme&rsquo;s news of hitting 1 million active installs. A <a href=\"https://wptavern.com/astra-becomes-the-only-non-default-wordpress-theme-with-1-million-installs#comment-335038\">commenter made a point</a> that the data shows that end-users do not care about accessibility &mdash; the Astra theme makes no mention of being accessibility-ready. The conclusion was that the Themes Team should not be implementing such guidelines based on the success of one of the directory&rsquo;s most popular themes.</p>\n\n\n\n<p>While there are several things we could do to pick apart the original comment and the limited view of the situation, we can instead use it as a catalyst to discuss why accessibility is something that should be at the forefront of every theme author&rsquo;s mind. Patton, along with Themes Team representatives Carolina Nymark and Denis &#381;oljom, had a lot to say on the subject.</p>\n\n\n\n<p>The overarching theme was that awareness is vital and that theme developers play a crucial role in making the web more accessible.</p>\n\n\n\n<h2>Awareness Is Key</h2>\n\n\n\n<img />\n\n\n\n<p>&#381;oljom likened the awareness of accessibility to that of a cisgender person looking at the world from the perspective of a transgender person. Once he became aware of larger issues, he made sure to address gender-specific pronouns in his code comments, such as replacing instances of &ldquo;he&rdquo; with &ldquo;they.&rdquo; He hopes such small changes spark similar changes from others.</p>\n\n\n\n<p>He said the situation was the same with accessibility. &ldquo;It might not mean much to a person who doesn&rsquo;t have any disabilities, but putting yourself in somebody else&rsquo;s shoes changes one&rsquo;s perspective. This is why we started to include things like skip links, keyboard nav, etc.&rdquo;</p>\n\n\n\n<p>The team does not hope theme authors will merely become technically proficient at addressing accessibility issues in their themes. While that would be a help from a review standpoint, it addresses only the symptoms rather than root causes of the issues. Instead, by making more developers aware, they will begin to look at development from multiple perspectives. They will ask how a screen-readers will handle their theme. They will ask whether their colors have enough contrast for low-vision users to read. They will wonder if non-mouse users can navigate their users&rsquo; sites.</p>\n\n\n\n<p>The technical stuff is the easy part. Changing perspectives and becoming more empathetic toward those who are different is much more difficult. But not impossible.</p>\n\n\n\n<p>&ldquo;A lot of us who build for the web are lacking some basic insights into what it is like to have additional needs beyond what is our own normal,&rdquo; said Patton. &ldquo;There is a saying: &lsquo;if you could see it through my eyes, you would see it differently.&rsquo; If you could see through the eyes of someone with color blindness or impaired vision, you quite literally would see things differently.&rdquo;</p>\n\n\n\n<p>The trouble with humans, in general, is that it can sometimes be hard to see things through someone else&rsquo;s eyes. Of course, there are tools to simulate accessibility issues for developers, so that helps. However, these tools do not replicate what it is like to walk through life with a particular impairment or disability. Some of us can only partially glimpse the difficulties that others may have when navigating the web. This does not mean that we cannot address the downfalls of the software we build and become more inclusive to all people, especially if we are proactive when issues are raised.</p>\n\n\n\n<p>Nymark identified a few areas where the community can improve awareness:</p>\n\n\n\n<ul><li>Make sure that all contributors are aware of the WordPress accessibility requirements so that all new features are accessible.</li><li>Highlight accessibility improvements when WordPress is updated.</li><li>Feature more diverse use cases and highlight areas where the accessibility that is built into WordPress has helped people share and access important content.</li></ul>\n\n\n\n<p>&ldquo;The themes team hopes that by making theme authors aware of accessibility issues, authors will learn that even small changes to their code and design can have a great positive impact,&rdquo; she said.</p>\n\n\n\n<h2>Is Accessibility Important to End-Users?</h2>\n\n\n\n<img />\n\n\n\n<p>Certainly, accessibility is important for <em>some</em> users. It certainly mattered to Guillermo Robles, a blind man who sued pizza chain Domino&rsquo;s in 2016 for an inaccessible website. The court case was important enough that it moved through the system all the way to the U.S. Supreme Court. Ultimately, the <a href=\"https://wptavern.com/u-s-supreme-court-denies-dominos-appeal-to-determine-whether-websites-must-be-accessible\">higher court denied Domino&rsquo;s appeal</a> of an earlier ruling. The U.S. 9th Circuit court had previously ruled that business websites fall under Title III of the American with Disabilities Act (ADA) and must meet accessibility standards.</p>\n\n\n\n<p>This was a landmark case in the U.S. for accessibility advocates last October. It is also worth remembering as we near the upcoming 30th anniversary of the ADA on July 26.</p>\n\n\n\n<p>Domino&rsquo;s is a billion-dollar business. The company has enough money to fight such battles for years. They also have the money to hire world-class web developers to correct any accessibility issues.</p>\n\n\n\n<p>However, for small business owners, hiring a single developer, much less an entire agency or team, is often a non-starter. Many small businesses are fortunate to break even. WordPress and its ecosystem of free or low-cost solutions have democratized eCommerce on a scale previously unwitnessed. It means that mom-and-pop stores can have an online presence. It means teens can begin selling their custom art and a multitude of others can make money online without the backing of wads of cash.</p>\n\n\n\n<p>For these small business owners, many are unaware of accessibility concerns. They pick up a few plugins and find a theme that suitably matches their branding. The possibility of an impending accessibility-related lawsuit is the furthest thing from their mind. This is a major reason that WordPress needs to be a leader in meeting accessibility standards. Themes, which are the part of the site that visitors will interact with, are possibly the most important part of that equation.</p>\n\n\n\n<p>Some would argue that small business owners should understand the laws of their jurisdiction. That is true. However, it is also partly the responsibility of the software creators, says the Theme Team representatives.</p>\n\n\n\n<p>&ldquo;Yes, the technology should account for additional needs,&rdquo; said Patton. &ldquo;Yes, the tooling should enable people to make good choices with regards to this. Yes, it should be easy to meet a minimum level of accessibility in the things we create with ease. Yes, it should be a fair assumption that the choices available to pick from are accessible.&rdquo;</p>\n\n\n\n<p>The web is inherently accessible out of the box. Raw HTML is read and output by web browsers in such a way that the content can be accessed by anyone. Patton says that it is the things that developers do from that point forward that makes that experience better or worse.</p>\n\n\n\n<p>&ldquo;Trade-offs are made that are well-intentioned but not always helpful,&rdquo; he said. &ldquo;Design trade-offs are the easiest to point out. Taking text and embedding it into an image means that some of its value is lost in exchange for it looking pretty. Using closely matching colors for text and background might create an interesting effect to some people but for others, it makes it impossible to read. Sometimes it&rsquo;s about balancing those trade-offs with the needs of others, but it is those kinds of trade-offs that most people struggle to give up.&rdquo;</p>\n\n\n\n<p>Nymark described some more technical issues that the average end-user should expect to simply be a non-issue. For example, it is reasonable to assume that a theme installed from the official WordPress directory would be free from HTML, PHP, and JavaScript errors. These are items that users should not have to worry about checking before activating the theme on their site. The errors should simply not exist.</p>\n\n\n\n<p>It is that level of quality control that end-users should expect in terms of accessibility, an assurance that the theme does all the things it is supposed to do. It is not about whether end-users &ldquo;care&rdquo; about accessibility.</p>\n\n\n\n<p>&ldquo;If a form on a shop checkout page is not working, this can lead to loss of income,&rdquo; she said. &ldquo;Users rely on the technical solution provided by plugins and themes and expect everyone to be able to use their shop. Whether or not the site owner recognizes this as an accessibility issue is irrelevant because their page just needs to work.&rdquo;</p>\n\n\n\n<h2>Why Theme Authors Should Care</h2>\n\n\n\n<img />\n\n\n\n<p>&ldquo;If those who choose themes don&rsquo;t consider accessibility and the theme author did not consider it, then the [visitors] of the sites built with those themes are the ones that lose out,&rdquo; said Patton. &ldquo;It&rsquo;s not a huge leap to realize that low accessibility on your site directly equates to a reduction of potential users.&rdquo;</p>\n\n\n\n<p>He said that end-users would naturally assume the themes they are picking from do not have accessibility issues. However, that assumption is typically far from accurate.</p>\n\n\n\n<p>&ldquo;Theme authors should care about the accessibility of their creations so that the people picking their themes don&rsquo;t need to use it as a deciding factor,&rdquo; he said.</p>\n\n\n\n<p>My go-to response is that developers should concern themselves with accessibility because it is for the collective good. Humans should care about making sure that all other humans have the same freedoms that they enjoy, which are often take for granted.</p>\n\n\n\n<p>Even those who cannot view it from that perspective should be able to appreciate that it is a smart business decision. It makes little sense to leave money on the table, especially if you are a developer who is selling a theme or upselling additional features on top of a free theme. There is an entire segment of users that represents money lost.</p>\n\n\n\n<p>Additionally, more and more countries are implementing laws around web accessibility. Over time, such laws will be commonplace, particularly in the business sector. Inaccessible themes will lose users as such laws are enforced. Now is a good time to get ahead of impending change.</p>\n\n\n\n<h2>More Guidelines Ahead</h2>\n\n\n\n<p>The WordPress Themes Team has been slow about adopting additional guidelines surrounding accessibility. However, more are expected to land at some point. Team reps want to work with authors and reviewers alike to make the transition as painless as possible.</p>\n\n\n\n<p>&ldquo;We have not added anything else because theme authors are still not releasing themes with working implementations of skip links and usable keyboard navigation,&rdquo; said Patton. &ldquo;When those two things become habitual, it will be time to introduce another aspect as a requirement.&rdquo;</p>\n\n\n\n<p>The next guideline in line is expected to be underlined links in the post content. This would be an easy win if the team can get past the current stage. Right now, the team reps are unsure when that will happen.</p>\n\n\n\n<p>&ldquo;The fact that this has taken so long for authors to get this right probably indicates that we need to do better at guiding them to resources to learn how to do it and why it is important,&rdquo; said Patton. &ldquo;Perhaps that is a better avenue to pursue than looking to implement additional asks of them.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Jul 2020 19:48:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"WordPress.org blog: WordPress 5.5 Beta 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8706\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3830:\"<p>WordPress 5.5 Beta 3 is now available!</p>\n\n\n\n<p id=\"block-81bd56b9-ea44-43ad-ab36-a5ae78b54375\"><strong>This software is still in development,</strong>so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p id=\"block-7cc1bbc6-17f9-44c5-8f67-da4e3059ad69\">You can test WordPress 5.5 Beta 3 in two ways:</p>\n\n\n\n<ul id=\"block-4840af57-f44b-4d9f-aa64-c6a452392e42\"><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.5-beta3.zip\">download the beta here</a> (zip).</li></ul>\n\n\n\n<p id=\"block-a40528cb-eb3b-4c8a-8f5e-aa700f1ba086\">WordPress 5.5 is slated for release on <a href=\"https://make.wordpress.org/core/5-5/\">August 11th, 2020</a>, and <strong>we need your help to get there</strong>!</p>\n\n\n\n<p>Thank you to all of the contributors who tested the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-2/\">beta 2</a> development release and gave feedback. Testing for bugs is a critical part of polishing every release and a great way to contribute to WordPress. </p>\n\n\n\n<h2 id=\"block-15d6d57f-905d-4a47-9f66-839468a5375a\">Some highlights</h2>\n\n\n\n<p id=\"block-85da84ec-c841-42f9-8d3b-1a4537a61d10\">Since <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-2/\">beta 2</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&changetime=07%2F15%2F2020..07%2F21%2F2020&milestone=5.5&group=component&col=id&col=summary&col=owner&col=type&col=priority&col=component&col=version&order=priority\">43 bugs</a> have been fixed. Here are a few changes in beta 3:</p>\n\n\n\n<ul><li>Plugin and theme versions are now shared in the emails when automatically updated (see <a href=\"https://core.trac.wordpress.org/ticket/50350\">#50350</a>).</li><li>REST API routes without a <code>permission_callback</code> now trigger a <code>_doing_it_wrong()</code> warning (see <a rel=\"noreferrer noopener\" target=\"_blank\" href=\"https://core.trac.wordpress.org/ticket/50075\">#50075</a>).</li><li>Over 23 Gutenberg changes and updates (see <a href=\"https://github.com/WordPress/gutenberg/pull/24068\">#24068</a> and <a href=\"https://core.trac.wordpress.org/ticket/50712\">#50712</a>).</li><li>A bug with the new import and export database Dashicons has been fixed (see <a href=\"https://core.trac.wordpress.org/ticket/49913\">#49913</a>).</li></ul>\n\n\n\n<h2 id=\"block-76156b2b-0a52-4502-b585-6cbe9481f55b\">Developer notes</h2>\n\n\n\n<p id=\"block-3fe5e264-0a95-4f12-9a18-0cb9dc5955d1\">WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> and pay special attention to the <a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developers’ notes</a> for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2 id=\"block-bc89fd56-47b0-439f-8e2c-4a642c80a616\">How to Help</h2>\n\n\n\n<p id=\"block-3ff83a77-8b54-4061-ae2d-45fc984cbd76\">Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p id=\"block-9d871099-ec49-446c-8322-9e49b7498c10\">If you think you’ve found a bug, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. We’d love to hear from you!</p>\n\n\n\n<p id=\"block-bd71c1d3-39d9-4b2a-8193-3486497b45fd\">If you’re comfortable writing a reproducible bug report, <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>, where you can also find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Jul 2020 17:51:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: WordPress 5.5 to Remove Hulu from List of Supported oEmbed Providers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102148\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:201:\"https://wptavern.com/wordpress-5-5-to-remove-hulu-from-list-of-supported-oembed-providers?utm_source=rss&utm_medium=rss&utm_campaign=wordpress-5-5-to-remove-hulu-from-list-of-supported-oembed-providers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2311:\"<p>WordPress 5.5 will be dropping Hulu oEmbed support after Hulu silently disabled its oEmbed API. This is the API that allows users to copy and paste a link into the editor and have it automatically embed the content, as opposed to copying a chunk of embed code. Documentation contributors <a href=\"https://github.com/WordPress/gutenberg/issues/23920\">discovered that it wasn&rsquo;t working</a> while attempting to document the Hulu Embed block.</p>\n\n\n\n<p>Birgit Pauli-Haack confirmed with Hulu that embedding is not currently an option. Hulu support did not elaborate on why it was removed.<a href=\"https://wptavern.com/wp-admin/edit.php?post_type=post\"></a></p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Apologies for any disappointment! This isn\'t an available option at the moment, but we\'ll express your interest. If there\'s anything else we can help out with down the road, please don\'t hesitate to reach back out!</p>&mdash; Hulu Support (@hulu_support) <a href=\"https://twitter.com/hulu_support/status/1283562756726300672?ref_src=twsrc%5Etfw\">July 16, 2020</a></blockquote>\n</div>\n\n\n\n<p>The block currently displays an error when attempting to embed a Hulu link, stating &ldquo;Sorry, this content could not be embedded.&rdquo; As a result, WordPress contributors have <a href=\"https://core.trac.wordpress.org/changeset/48512\">removed</a> both the block from the editor and the provider from core. </p>\n\n\n\n<p>WordPress has included Hulu <a href=\"https://wordpress.org/support/article/embeds/#okay-so-what-sites-can-i-embed-from\">oEmbed support</a> for the past 11 years, since it was first added in <a href=\"https://wordpress.org/support/wordpress-version/version-2-9/\">WordPress 2.9</a> (December 2009). Services are <a href=\"https://wordpress.org/support/article/embeds/#okay-so-what-sites-can-i-embed-from\">logged</a> on WordPress.org as they are added or removed. Hulu was removed as soon as it was discovered that oEmbed support no longer worked, similar to other <a href=\"https://core.trac.wordpress.org/ticket/45399\">previously unsupported providers</a> &ndash; most recently FunnyOrDie and Photobucket. This is a major loss of convenience for users who are trying to embed Hulu links but it lies outside of WordPress&rsquo; control. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Jul 2020 22:48:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: Theme Authors Can Pass Data to Template Files in WordPress 5.5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102136\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:189:\"https://wptavern.com/theme-authors-can-pass-data-to-template-files-in-wordpress-5-5?utm_source=rss&utm_medium=rss&utm_campaign=theme-authors-can-pass-data-to-template-files-in-wordpress-5-5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4777:\"<p class=\"has-drop-cap\">Theme developers can finally rejoice. For the first time, it is now possible to pass data to templates via the various core template-loading functions. Enrico Sorcinelli <a href=\"https://make.wordpress.org/core/2020/07/17/passing-arguments-to-template-files-in-wordpress-5-5/\">announced the change</a> on the Make Core blog this past Friday.</p>\n\n\n\n<p>The <a href=\"https://core.trac.wordpress.org/ticket/21676\">feature was originally proposed</a> by Scott Kingsley Clark in 2012. Over the years, the ticket has received a dozen patches. It has survived a closure and arguments over why the feature should not go into core. Sorcinelli was a primary driver that kept the ticket alive for the last few years.</p>\n\n\n\n<p>WordPress developers have been cleaning up some old-but-useful feature requests for the 5.5 release cycle. A couple of weeks ago, an 11-year-old ticket to allow users to <a href=\"https://wptavern.com/after-11-years-users-will-be-able-to-update-themes-and-plugins-via-a-zip-file\">update themes and plugins via a ZIP file</a> made the cut. Core developers even closed a 9-year-old ticket related to an <a href=\"https://core.trac.wordpress.org/ticket/17232\">Internet Explorer 6 hack</a> &mdash; <em>progress</em>. However, for theme authors, one of the most important additions is control over passing data from one template to another.</p>\n\n\n\n<p>Typically, in PHP, variables can be passed from file to file because they remain in the same scope. However, that is not the case if the inclusion of the file is taken out of that scope by including the file from inside of a function. The scope is then limited to the function. That is how the template system works in WordPress. This is not necessarily a bad thing. However, it has meant that theme developers have had no built-in method of passing data from one template to the next.</p>\n\n\n\n<p>Imagine creating a variable in one template but needing to access that same variable in a sub-template. There is no shortage of methods to accomplish this, but many are inelegant.</p>\n\n\n\n<p>&ldquo;For years, theme developers wishing to pass data to template files have had to use less than ideal workarounds,&rdquo; wrote Sorcinelli in the announcement. The worst solutions typically involved creating a global variable. Others created custom template-loading functions on top of WordPress&rsquo;s existing system. The problem with all methods, regardless of which was ideal, was that no standard existed. Each theme would need to build its own solution, and plugins that touched the front end would often have a competing solution.</p>\n\n\n\n<p>All of the WordPress template-loading functions now support an additional parameter of <code>$args</code>, which allows theme authors to pass along an associative array of data to the loaded template. The functions that support this new parameter are:</p>\n\n\n\n<ul><li><code>get_header()</code></li><li><code>get_footer()</code></li><li><code>get_sidebar()</code></li><li><code>get_template_part()</code></li><li><code>locate_template()</code></li><li><code>load_template()</code></li></ul>\n\n\n\n<p>Any hooks associated with the functions also pass along the data.</p>\n\n\n\n<p>The <code>get_search_form()</code> function has supported a similar parameter since WordPress 5.2. In practice, it should work mostly the same, but the function has a couple of default values it sets.</p>\n\n\n\n<p>An additional benefit of having a standard method of passing data to templates is that the feature can be built upon in the future. For example, WordPress could eventually offer a hook for filtering the data, which could come in handy with child themes.</p>\n\n\n\n<p>The WordPress template system still lacks the robustness of more modern frameworks, but this simple change will allow for a variety of applications.</p>\n\n\n\n<p>One question remains: <em>is the arrival of this feature too late?</em> With WordPress on track to revamp the entire theme system to integrate with the upcoming full-site editing feature, will this feature be useful for only the next few months?</p>\n\n\n\n<p>Even if most theme developers don&rsquo;t immediately jump on board the block-based themes bandwagon for another year, the feature could come in handy  until they do. Perhaps it will also have some usefulness beyond the current theming paradigm.</p>\n\n\n\n<p>Developers still do not have a clear picture of what theming with blocks will look like in the next few years. There may be situations where passing dynamic data is still necessary in the next system. Even if not, it will likely be a long while before there is mass adoption of block-based themes from the existing theme development community. In the meantime, many will be able to drop in-house solutions and use standard functions.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Jul 2020 19:44:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Matt: Corner Office Interview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=51861\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://ma.tt/2020/07/corner-office-interview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2488:\"<p>If you pick up a print edition of the Sunday New York Times today you&#8217;ll see <a href=\"https://www.nytimes.com/2020/07/12/business/matt-mullenweg-automattic-corner-office.html\">the Corner Office interview with David Gelles in the business section</a>. </p>\n\n\n\n<img />(Hat tip to <a href=\"http://www.maryconrad.org/\">Mary Conrad</a> for the picture, I haven&#8217;t seen it in person yet.)\n\n\n\n<p>A quote that seems to be resonating with people,</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>This column is called Corner Office, and most people who choose to have offices are usually the bosses. And I’ve been to the offices of billionaire C.E.O.s that have their own private bathroom, beautiful art and couches. But these are all things that you can have in your house. What I love about distributed organizations is every single employee can have a corner office.</p></blockquote>\n\n\n\n<p>Sometimes my corner office has been the corner of an airport floor next to a power outlet! I&#8217;ve also heard from colleagues that feel like their office feels like an unsupervised day care center since the quarantine started. The point I want to make is there&#8217;s a world of possibility that opens up when you move from the finite space of a shared office, and all the politics of dividing up the scarce resource of desirable space, to the <a href=\"https://www.amazon.com/Finite-Infinite-Games-James-Carse/dp/1476731713\">infinite game</a> where people can define their own &#8220;office&#8221; as the place where they will be most productive, and do so however they like with no penalties or restraints.</p>\n\n\n\n<p>If you had the best space in the legacy office, you probably liked it and may even have had motivated reasoning around ineffable things that happened in the office like &#8220;culture&#8221; that would be impossible without it, but the average experience of an entry-level worker was not as positive. Now there can be a much more even playing field. At <a href=\"https://automattic.com/\">Automattic</a> we have a home office allowance people can use to buy equipment they need to make their home work area comfortable and productive, and it&#8217;s the same if you&#8217;re leading a team of hundreds or if it&#8217;s your first job.</p>\n\n\n\n<p>If you&#8217;d like to hear the entire conversation <a href=\"https://www.youtube.com/watch?v=fFg6YcBB2uI&feature=youtu.be\">they&#8217;ve posted the original audio and interview</a> that was distilled into the print version.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 19 Jul 2020 21:13:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: All in One SEO Pack Plugin Patches XSS Vulnerability\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102036\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:169:\"https://wptavern.com/all-in-one-seo-pack-plugin-patches-xss-vulnerability?utm_source=rss&utm_medium=rss&utm_campaign=all-in-one-seo-pack-plugin-patches-xss-vulnerability\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1843:\"<p><a href=\"https://wordpress.org/plugins/all-in-one-seo-pack\">All in One SEO Pack</a> patched an XSS vulnerability this week that was <a href=\"https://www.wordfence.com/blog/2020/07/2-million-users-affected-by-vulnerability-in-all-in-one-seo-pack/\">discovered</a> by the security researchers at Wordfence on July 10. The popular plugin has more than 2 million active installs, according to WordPress.org.</p>\n\n\n\n<p>Wordfence researchers categorized it as &ldquo;a medium severity security issue&rdquo; that could result in &ldquo;a complete site takeover and other severe consequences:&rdquo;</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>This flaw allowed authenticated users with contributor level access or above the ability to inject malicious scripts that would be executed if a victim accessed the wp-admin panel&rsquo;s &lsquo;all posts&rsquo; page.</p></blockquote>\n\n\n\n<p>Version 3.6.2, released on July 15, 2020, includes the following update in the changelog: &ldquo;Improved the output of SEO meta fields + added additional sanitization for security hardening.&rdquo;</p>\n\n\n\n<p>All in One SEO Pack users are strongly recommended to update to the latest version. At the time of publishing, just 12% of the plugin&rsquo;s user base is running versions 3.6.x, which includes the three most recent versions. This leaves more than 1.7 million installations (88% of the plugin&rsquo;s users) vulnerable. </p>\n\n\n\n<p>Many users don&rsquo;t log into their WordPress sites often enough to learn about security updates in a timely fashion. Plugin authors often don&rsquo;t advertise the importance of the update on their websites or social media. This is the type of situation that WordPress 5.5 should help to mitigate, as it introduces admin controls in the dashboard that allow users to enable automatic updates for themes and plugins. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Jul 2020 21:48:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"WPTavern: WPCampus Online 2020 Conference Features Accessibility and Higher Education Topics, July 29-30\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=102003\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:251:\"https://wptavern.com/wpcampus-online-2020-conference-features-accessibility-and-higher-education-topics-july-29-30?utm_source=rss&utm_medium=rss&utm_campaign=wpcampus-online-2020-conference-features-accessibility-and-higher-education-topics-july-29-30\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4948:\"<p><a href=\"https://www.wpcampus.org/\">WPCampus</a>, a community focused on WordPress and higher education, will host its 5th annual in-person conference as a free, <a href=\"https://2020.wpcampus.org/\">online event</a> this year.  The two-day event will feature sessions, lightning talks, sponsor demonstrations, and trivia, July 29-30, 2020. </p>\n\n\n\n<p>Although the WPCampus community is no stranger to hosting online events (they usually host a virtual conference in January), current events have forced educational institutions to rely more heavily on those who maintain their digital infrastructure. Many WPCampus members fall into this category and are operating under a great deal more stress as compared to previous years. The community has more than 1,116 members representing 688 institutions.</p>\n\n\n\n<p>&ldquo;In higher ed, &lsquo;wearer of many hats&rsquo; is a common saying,&rdquo; WPCampus director Rachel Cherry said. &ldquo;Per usual, most who work in our space are already going above and beyond to cover numerous job roles. For example, I was always a team of one: I designed the site, programmed the site, performed QA, and managed content editors. With the pandemic forcing many universities to increase their online presence, higher ed web professionals are busier than ever, working to help with the transition while bearing the stress of lowered budgets, working from home, and whether or not their physical campus will open for the fall semester.&rdquo; </p>\n\n\n\n<p>As many institutions are moving to make their courses available online, Cherry said ensuring that vital resources are accessible has become even more critical.</p>\n\n\n\n<p>&ldquo;The pandemic forced a vast majority of our society&rsquo;s processes and interactions to go online, and it&rsquo;s shining a spotlight on how inaccessible a lot of our systems are,&rdquo; she said. &ldquo;For example, online event platforms became a necessity for conferences. But the vast majority of these platforms are inaccessible. Crowdcast, for instance, is nearly impossible to use if you can&rsquo;t use a mouse. Using inaccessible online platforms for your event is no different from denying attendee access at the door because the building doesn&rsquo;t have a wheelchair ramp.&rdquo;</p>\n\n\n\n<p><a href=\"https://2020.wpcampus.org/\">WPCampus Online 2020</a> will include a selection of sessions from accessibility experts on topics such as justifying the budget for accessibility initiatives, accessibility for non-developers, Gutenberg accessibility, end-to-end accessibility testing, and mobile site and native app accessibility testing guidelines. If you are looking to deepen your knowledge of accessibility, this conference features more sessions on this topic than most WordCamps.</p>\n\n\n\n<p>The event&rsquo;s <a href=\"https://2020.wpcampus.org/speakers/\">schedule</a> also includes other topics of interest to those in higher education with sessions on managing multiple WordPress sites, building a self-publishing platform, extending the WP REST API, automation tools, data visualization for WordPress, and improving website performance.</p>\n\n\n\n<p>In lieu of giving away swag for the event, WPCampus is coordinating a fundraising effort for the Black Lives Matter movement and those struggling with COVID-19. The organization will <a href=\"https://2020.wpcampus.org/donate/\">match donations</a> to the following organizations: </p>\n\n\n\n<ul id=\"input_10_4\"><li>Black Lives Matter</li><li>The American Civil Liberties Union (ACLU)</li><li>NAACP Legal Defense Fund</li><li>Black Girls Code</li><li>Feeding America</li></ul>\n\n\n\n<p>Cherry reports that more than 350 people have registered so far and she anticipates 500-600 attendees online this year. WPCampus will stream the session videos on YouTube and they will be recorded and available after the event. <a href=\"https://2020.wpcampus.org/register/\">Registration</a> is free, thanks the the event&rsquo;s sponsors, which include many WordPress agencies, hosts, and contributing individuals.</p>\n\n\n\n<p>Despite the disappointment at not being able to meet in-person in New Orleans this year, Cherry said she is grateful for the &ldquo;more in-depth than usual&rdquo; time the community will have to spend together during the virtual conference. WPCampus members have found camaraderie and encouragement in their community by sharing stories and asking each other for help during this profoundly challenging time. </p>\n\n\n\n<p>&ldquo;We&rsquo;ve become a family,&rdquo; Cherry said. &ldquo;And not just with higher ed and other web professionals, but with the vendors that support us and want to invest in our growth. Because of our events and community, we were able to sponsor the Gutenberg accessibility audit and play a huge role in improving the accessibility of the WordPress platform. I am incredibly proud of the ever-increasing focus, education, and advocacy our community has placed on accessibility.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Jul 2020 20:44:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WPTavern: Should WordPress Themes Add a Top-Level Admin Menu Item?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101807\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:175:\"https://wptavern.com/should-wordpress-themes-add-a-top-level-admin-menu-item?utm_source=rss&utm_medium=rss&utm_campaign=should-wordpress-themes-add-a-top-level-admin-menu-item\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7349:\"<p class=\"has-drop-cap\">WordPress has almost always provided a top-level admin menu item for themes. It is clearly labeled &ldquo;Appearance.&rdquo; It is the single location that all WordPress users know to visit to modify any appearance-related things for their WordPress site. However, there is a movement within the Themes Team to allow themes to <a href=\"https://make.wordpress.org/themes/2020/07/13/proposal-allow-themes-to-add-a-top-level-admin-menu/\">place an additional top-level menu link</a> in the admin. The big question: <em>should this idea move forward?</em></p>\n\n\n\n<p>When the Themes Team (originally called the Theme Review Team) was formed, its members created a set of guidelines that would be shaped and reshaped over the years. They were a set of living guidelines that could always be changed with the times.</p>\n\n\n\n<p>One of the oldest guidelines required that themes must place any custom admin pages under the Appearance menu item. It made sense. WordPress provided a standard location for any theme-related pages. The custom header and background features lived under Appearance. Widgets, also defined by the current theme, were housed as a sub-page. Eventually, WordPress&rsquo;s custom nav menu system came along and was &mdash; you guessed it &mdash; situated under Appearance. The core developers even put the customizer link in the same place.</p>\n\n\n\n<p>For over a decade, there was a well-defined standard. Sure, commercial themes outside of the official directory would sometimes break the mold. However, themes from the directory followed the pattern.</p>\n\n\n\n<p>Now, the Themes Team is proposing that themes should be able to break from tradition.</p>\n\n\n\n<p>The discussion arose after a question of whether themes should be able to add a custom panel to the block editor sidebar, which is not allowed.</p>\n\n\n\n<p>&ldquo;To keep the editor free from clutter, advertising and upsell, with the customizer being used less, and no dashboard widgets being allowed, can we give theme authors a better place to include their information, and limit upsell to that area?&rdquo; wrote Carolina Nymark in <a href=\"https://make.wordpress.org/themes/2020/07/10/meeting-notes-tuesday-7th-of-july-2020/\">last week&rsquo;s team meeting notes</a>.</p>\n\n\n\n<p>The proposal seems to settle on the idea that themes will lose visibility as WordPress moves toward full-site editing and the customizer becomes less important. The customizer is not an ideal place for anything but theme options, but that notion seems to have been overlooked in the discussion. Nevertheless, the original guideline that disallowed themes from creating top-level menu items preceded the advent of the customizer by several years. Advertising, documentation, plugin recommendations, and similar pages were always allowed under the existing Appearance menu. The usefulness of the customizer was never a necessary part of that conversation.</p>\n\n\n\n<p>Ultimately, the question should be about what is best for users. There is no data to support making the change or sticking with the status quo. However, we do have a standard that has existed for years.</p>\n\n\n\n<h2>The Proposed Guidelines</h2>\n\n\n\n<p class=\"has-drop-cap\">The proposal would create several new guidelines for theme authors to follow and reviewers to check, assuming the theme created a top-level admin menu item:</p>\n\n\n\n<ul><li>No admin menu priority may be used.</li><li>No UI or color changes are allowed for the menu item.</li><li>The title must be kept short and not include spam.</li><li>No more than three sub-pages.</li><li>Child themes are limited to one sub-page or can remove the parent&rsquo;s pages and add its own.</li></ul>\n\n\n\n<p>Some of these make sense and follow along with existing guidelines, such as not spamming or changing the admin UI. However, others could be problematic.</p>\n\n\n\n<p>If moving forward with the proposal, setting a menu item priority should be required rather than not allowed. If anything, it would make sense to require a specific priority to place the custom menu item immediately after the existing Appearance item. This would at least group them together by default. If changing the place where users are accustomed to seeing theme-related pages, it is probably best not to break too far from the standard location.</p>\n\n\n\n<p><em>No more than three sub-pages?</em> Surely there will be a theme with a top-level admin menu item that needs four sub-pages at some point. If giving theme authors the freedom to take up valuable real estate in the admin, a limit of three sub-pages seems like a rule to fix the mistake of allowing the top-level item in the first place. It is an arbitrary number at best. There would be no reason to cap it once making the guideline change. It also adds one more item that the team will need to police.</p>\n\n\n\n<p>The limitation of sub-pages for child themes seems just as arbitrary.  No such limitation exists when placing sub-pages under the standard Appearance screen.</p>\n\n\n\n<p>The entire proposal is little more than extra work on a team that is already strained for resources.</p>\n\n\n\n<p>Instead of the simple rule that has existed for years, the proposal adds a new rule with several sub-rules. If the team desires the extra work, I suppose this point doesn&rsquo;t matter.</p>\n\n\n\n<h2>The Elephant in the Room</h2>\n\n\n\n<p class=\"has-drop-cap\">There is one aspect of this discussion that everyone knows about but few are willing to broach. Underneath all the guidelines from the Themes Team and whether most theme authors support a particular decision is how this affects the financial bottom line. When we talk about <em>visibility</em> of a theme&rsquo;s admin pages, we are primarily talking about providing another avenue for commercial upsells.</p>\n\n\n\n<p>Some of this discussion on visibility is shrouded in concepts such as surfacing end-user documentation or adding a visible <em>readme</em> for the user&rsquo;s benefit. These are legitimate concerns, especially when theme developers have watched <a href=\"https://meta.trac.wordpress.org/ticket/215\">tickets to address such downfalls</a> seemingly dwindle into obscurity over the years. Whether a top-level admin menu item makes sense for exposing theme documentation might be worth discussing, but there is no world in which this would be the primary use case.</p>\n\n\n\n<p>The topic of visibility rests on the idea of upselling the pro version of the theme, add-ons, or other services.</p>\n\n\n\n<p>Far too many plugins already go overboard, creating a billboard of the WordPress admin. One of the things users could almost be assured of is that themes from the official directory were constrained enough that they were not the hot mess that plugins have become as of late. However, that could all change.</p>\n\n\n\n<p>Do we really want an extra top-level admin menu item that will be, for all intents and purposes, to advertise?</p>\n\n\n\n<p>Maybe it doesn&rsquo;t matter in the end. Users are so accustomed to the clutter produced by the dozens of plugins on their sites. One more may not matter at this point.</p>\n\n\n\n<p>Or, should we be having a different conversation altogether? If this ultimately boils down to advertising, are there ways we can open this up for theme authors while still creating a user experience that keeps the WordPress admin free of clutter?</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Jul 2020 20:03:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Astra Becomes the Only Non-Default WordPress Theme With 1 Million Installs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101924\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:213:\"https://wptavern.com/astra-becomes-the-only-non-default-wordpress-theme-with-1-million-installs?utm_source=rss&utm_medium=rss&utm_campaign=astra-becomes-the-only-non-default-wordpress-theme-with-1-million-installs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5336:\"<p class=\"has-drop-cap\">On Tuesday, Brainstorm Force announced its Astra theme <a href=\"https://wpastra.com/one-million-active-installs/\">passed 1 million active installations</a>. It is the only non-default theme in the official WordPress theme directory to reach such a height.</p>\n\n\n\n<p>Popularity breeds popularity. Once the theme broke 50,000 installs in January 2019, it was a quick hop and skip to 500,000 in October and 1 million less than a year later. With the winds of momentum at its back, the theme may become an unstoppable force. It is anyone&rsquo;s guess when growth will begin to plateau.</p>\n\n\n\n<p>&ldquo;We recognize that this is not an ordinary feat,&rdquo; wrote Sujay Pawar in the announcement post. He said the team has no plans of resting at this point. &ldquo;1 million is just a milestone in our journey.&rdquo;</p>\n\n\n\n<p>Many WordPress plugins have long ago passed the million-install milestone. Several have multi-millions. However, this is a much tougher feat for themes. One of the limiting factors is that users can only activate one of them at a time. There is no limit when it comes to plugins, and users often have dozens running at once. One million active installs is a level of popularity that is almost unheard of in the theming world.</p>\n\n\n\n<p>&ldquo;There is a huge gap between Astra and all others,&rdquo; said William Patton, a WordPress Themes Team representative. &ldquo;Hitting 1 million is pretty astounding honestly.&rdquo;</p>\n\n\n\n<p>This is not simply a major milestone for the Astra theme. It is huge for WordPress. For a third-party theme creator to reach a number that only the default themes can boast is the sort of thing we should all rejoice in a bit. It is a testament to how much WordPress has grown over the years.</p>\n\n\n\n<p>Aside from the default themes that ship with WordPress, there are currently five themes with more than 100,000 active installs:</p>\n\n\n\n<ul><li><a href=\"https://wordpress.org/themes/astra/\">Astra</a> &ndash; 1 million</li><li><a href=\"https://wordpress.org/themes/oceanwp/\">OceanWP</a> &ndash; 600,000</li><li><a href=\"https://wordpress.org/themes/generatepress/\">GeneratePress</a> &ndash; 300,000</li><li><a href=\"https://wordpress.org/themes/hello-elementor/\">Hello Elementor</a> &ndash; 300,000</li><li><a href=\"https://wordpress.org/themes/storefront/\">Storefront</a> &ndash; 200,000</li></ul>\n\n\n\n<p>Once that first theme passes the 1 million mark, it is only a matter of time before others start breaking the barrier. OceanWP has the shortest striking distance and could be next. However, Hello Elementor is moving fast and earned its install count in a year and a half.</p>\n\n\n\n<p>Regardless of the next theme to hit the milestone, this is one of those moments we should look back on in a few years to see how far we have come. Perhaps 1 million active installs will merely be a stepping stone to even greater heights for large numbers of themes.</p>\n\n\n\n<h2>What Makes Astra Special?</h2>\n\n\n\n<img />\n\n\n\n<p class=\"has-drop-cap\">The default Astra theme is not anything particularly revolutionary on the surface. Out of the box, users are given a nearly blank canvas. It seems little more than your run-of-the-mill WordPress theme that would not garner much attention. However, it has one of the easiest setup processes that I have ever experienced with any theme. At the click of a button, end-users can pick from a plethora of starter templates.</p>\n\n\n\n<p>There are hundreds of starter templates for Elementor and Beaver Builder. The Brizy page builder gets a little love too. There is even a modest 20 starter templates for Gutenberg. The theme&rsquo;s block editor styling leaves a lot to be desired, but I would wager that Brainstorm Force is serving a primary audience of Elementor users. The team probably won&rsquo;t have a huge incentive to change that anytime soon. And, there is really no need to. Elementor <a href=\"https://elementor.com/blog/5-million-active-installs/\">passed 5 million active installs</a> in May and is showing no signs of slowing down. Smart theme development businesses are making sure they support the plugin. Elementor support is where the money is right now.</p>\n\n\n\n<p>Astra&rsquo;s starter templates are not merely templates. The theme will install and activate plugins needed too.</p>\n\n\n\n<p>Many of the templates are free, but some are available for purchase. The theme allows users to filter the search between free and &ldquo;agency&rdquo; templates, so there is no trickery going on as is often the case with similar themes from the directory. They clearly label any upsells in the admin. At a time when the WordPress Themes Team struggles with theme authors circumventing advertising guidelines, Astra seems to be hitting a sweet spot that is both user-friendly and within the directory rules.</p>\n\n\n\n<p>While good marketing and business plans go a long way toward getting installation numbers up, you cannot keep those numbers without building a product that users will continue using. Its simple import process makes it an easy go-to choice for anyone who doesn&rsquo;t relish the idea of spending hours trying to make their site look like the demo.</p>\n\n\n\n<p>The theme&rsquo;s users can probably best answer the question of Astra&rsquo;s popularity.  Brainstorm Force is clearly doing something right.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Jul 2020 19:38:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Blocksy Theme Adds New Charity Starter Site, Pro Version to Launch in 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101884\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://wptavern.com/blocksy-theme-adds-new-charity-starter-site-pro-version-to-launch-in-2020?utm_source=rss&utm_medium=rss&utm_campaign=blocksy-theme-adds-new-charity-starter-site-pro-version-to-launch-in-2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4087:\"<p><a href=\"https://wordpress.org/themes/blocksy/\">Blocksy</a> is one of the best free themes available for the block editor right now and is rapidly growing in popularity. CreativeThemes, the Romania-based company behind the theme, released an update to Blocksy this week, along with a new starter site for charities. </p>\n\n\n\n<p>The concept of &ldquo;starter sites&rdquo; is an interesting new twist on &ldquo;starter templates,&rdquo; which essentially allow users to import the content from a demo. Theme makers for products like <a href=\"https://creativethemes.com/blocksy/\">Blocksy</a>, <a href=\"https://wpastra.com/\">Astra</a>, and <a href=\"https://github.com/godaddy-wordpress/go\">Go</a> use this approach to help users implement different types of websites by importing the content from a pre-built demo site. The demos use the same base theme but vary widely in how they are customized. </p>\n\n\n\n<p>Blocksy&rsquo;s starter sites are a one-click XML demo import that automatically brings in the pages, images, and theme options. This puts all the blocks in the right place so the user needs only to customize the demo, instead of trying to find the right settings to match the demo.</p>\n\n\n\n<p>The new <a href=\"https://demo.creativethemes.com/blocksy/charity/\">Charity starter site</a> is built with the <a href=\"https://wordpress.org/plugins/stackable-ultimate-gutenberg-blocks/\">Stackable</a> plugin&rsquo;s page builder blocks. It joins four other <a href=\"https://creativethemes.com/blocksy/starter-sites/\">free starter sites</a> designed specifically for blogs, apps, travel, and e-commerce. The design can be imported under the Blocksy menu in the WordPress admin.</p>\n\n\n\n<div class=\"wp-block-image\"><img /></div>\n\n\n\n<p>According to the theme&rsquo;s beautifully designed and user friendly <a href=\"https://creativethemes.com/blocksy/changelog/\">changelog</a>, Blocksy can now automatically detect Custom Post Types and add their appropriate options. The update also adds a sizing option for related posts thumbnails, a new Twitch social icon, and improves compatibility with WooCommerce product display and miscellaneous extensions.</p>\n\n\n\n<h2>Blocksy Pro Version Coming Soon </h2>\n\n\n\n<p>When we first <a href=\"https://wptavern.com/blocksy-wordpress-theme-provides-a-solid-block-editor-experience\">reviewed</a> the theme in January 2020, it had 1,000 active installs and 58 five-star reviews. Over the past six months, the theme&rsquo;s user base has grown to more than 4,000 active installs and a perfect five-star rating on WordPress.org from 191 reviewers. It is currently maintained by a team of two &ndash; Sergiu Radu and Andrei Glingeanu.</p>\n\n\n\n<p>Blocksy&rsquo;s creators have been working on custom projects and random jobs to support the time they spend developing the theme but they plan to launch a pro version as early as this summer.</p>\n\n\n\n<p>&ldquo;We plan to add more features in the premium version, more demos, and also offer better and faster support,&rdquo; Radu said. &ldquo;I hope after we release the premium version we will be able to take on a few more people in our team to help us, at least with support so we can concentrate better on development.&rdquo;</p>\n\n\n\n<p>Radu said the pro version will include some premium starter sites as well as additional functionality for the base theme.  They are aiming to include the following features in the first release:</p>\n\n\n\n<ul><li>Multiple conditional headers</li><li>Multiple conditional footers</li><li>Multiple conditional sidebars</li><li>More header elements</li><li>More footer elements</li><li>White labeling</li><li>Custom fonts extension</li><li>Adobe Typekit extension</li><li>Hooks (conditional)</li><li>Sticky header</li></ul>\n\n\n\n<p>In a second round of updates for the pro version, Blocksy creators plan to include features like custom color palettes, AMP, LearnDash, and EDD integrations, along with extensions for ads, mega menus, and portfolios. In the meantime, Radu says they do not plan to add more features to the free version &ndash; only improvements and new starter sites. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Jul 2020 22:32:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WPTavern: Eye-Catching Typography and Personality: Blossom Themes Launches Sarada Lite\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101933\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:215:\"https://wptavern.com/eye-catching-typography-and-personality-blossom-themes-launches-sarada-lite?utm_source=rss&utm_medium=rss&utm_campaign=eye-catching-typography-and-personality-blossom-themes-launches-sarada-lite\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6064:\"<img />Sarada Lite homepage.\n\n\n\n<p class=\"has-drop-cap\">Blossom Themes launched <a href=\"https://wordpress.org/themes/sarada-lite/\">Sarada Lite</a>, its 25th theme, on the WordPress theme directory today. The theme is billed as a &ldquo;feminine blog theme&rdquo; specifically for professional bloggers. However, it would work well in a variety of contexts. While it is targeted at fashion, travel, and lifestyle bloggers, it is well-rounded enough for anyone who wants a touch of personality as part of their blogging experience.</p>\n\n\n\n<p>I nearly passed over this theme. It had no mention of the block editor or Gutenberg in its description. It was not tagged in the directory as having editor styles (technically, it doesn&rsquo;t have them). There are few themes that I give much attention to if they do not style the latest features and blocks in WordPress. It has to be truly eye-catching otherwise. Sarada Lite is a breathtaking design, so it drew me in. It is the sort of theme that inspires me to write. Plus, its light color scheme along with the author&rsquo;s choice of images in the demo fit perfectly into the summer season. It simply makes me want to sit on the beach with a mojito and my laptop ready to spin up some great content.</p>\n\n\n\n<p>What makes this theme stand out is its typography. The status quo with most free themes in the WordPress theme directory is to simply not give any attention to things like font size, characters per line, line height, or vertical rhythm. Long-form content is practically unreadable with such themes. However, long-winded writers need not be fearful of the reader losing interest because of the design. Sarada Lite creates an inviting atmosphere that beckons the visitor to actually read.</p>\n\n\n\n<p>The theme supports several plugins, most of which are a part of the Blossom Themes collection. They are unnecessary for a solid blogging experience with this theme. Users should shy away from taking advantage of every bell and whistle the theme or its add-ons provide. The default setup is mostly where the theme shines.</p>\n\n\n\n<p>Users who need a shop can also enjoy WooCommerce integration. The theme does not add much in the way of shop-related features, opting to style the default output of the eCommerce plugin instead.</p>\n\n\n\n<h2>Design Elements Worth Noting</h2>\n\n\n\n<img />Single post view.\n\n\n\n<p class=\"has-drop-cap\">When testing and reviewing themes, it is often easy to get lost in the features. However, with Sarada Lite, it&rsquo;s not the theme features that are important. They may even be a detriment to the theme (more on that later). The thing that makes this theme special is the small design elements. The author puts a unique spin on things that give the theme a personality of its own. Designers who want to show off their design chops often go overboard, but Sarada Lite has just enough flair to draw attention to important elements without getting in the way of the content.</p>\n\n\n\n<p>In particular, the theme&rsquo;s use of the <a href=\"https://fonts.google.com/specimen/Caveat\">Caveat font</a> gives secondary text just the right amount of pop. It is not a font that lends itself well to long-form content. However, the theme makes use of it for links, captions, quote citations, and a few other elements.</p>\n\n\n\n<img />Sarada Lite&rsquo;s blockquote design.\n\n\n\n<p>The theme offers various layouts with and without a sidebar. For single posts, I recommend dropping the sidebar and choosing the full-width centered layout to make full use of the block editor&rsquo;s capabilities. This gives enough breathing room for users who like to make liberal use of wide and full-width blocks. The theme has an option to change the layout globally and on a per-post basis.</p>\n\n\n\n<h2>Issues</h2>\n\n\n\n<p class=\"has-drop-cap\">One of the biggest issues with Sarada Lite is that users do not get a one-to-one match between the editor and the front end. The missing piece is the theme&rsquo;s beautiful typography. It is nowhere to be found while writing a post. The theme&rsquo;s admin-side CSS is bare-bones to the point where there is little use in loading the stylesheet. I hope this is merely something the theme author skipped for version 1.0 with a firm plan to add it in the next release. At worst, it is an extra couple of hours of work that offers a huge benefit to theme users.</p>\n\n\n\n<p>The other major downside of Sarada Lite is that it tries to do too much. Its customizer options feel a bit overboard and disorganized. In too many cases, I was left wondering what a particular option was for or searching around for specific options in odd places.</p>\n\n\n\n<p>I also found the Instagram feed (available via the Blossom Themes Social Feed add-on) in the header to be a horrendous addition, ruining what is an otherwise open and inviting design. Fortunately, this is an optional feature. Once again, the theme is doing too much here. I understand it is a bullet point on the ol&rsquo; marketing sheet, but it is an eyesore in practice. The Instagram feed works much better in the footer. My advice for theme users: avoid putting this in your header at all costs. Your site visitors should not need to skip over social media images just to get to your content.</p>\n\n\n\n<p>As gracefully as the various sliders on the theme&rsquo;s homepage are done, I am now and always anti-slider. They offer no real benefit to the reader and often hide away content that would have otherwise been seen. The theme&rsquo;s slider sections, some of which are optional, are relatively low-key. I have seen far worse, but I would rather not see them at all.</p>\n\n\n\n<p>Despite the theme&rsquo;s issues, they are not so detrimental that I wouldn&rsquo;t recommend the theme. Assuming the theme author adds in editor styles that match the front end, the other issues can mostly be avoided by user choice. The theme works well without tinkering with its options and adding extra plugins.</p>\n\n\n\n<p>Sarada Lite is best without all the extras. What the user does with the theme will make or break the experience.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Jul 2020 20:56:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"HeroPress: Second Chances: How A Trip Back  Into The WordPress Community Saved My Life\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=3229\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:220:\"https://heropress.com/essays/second-chances-how-a-trip-back-into-the-wordpress-community-saved-my-life/#utm_source=rss&utm_medium=rss&utm_campaign=second-chances-how-a-trip-back-into-the-wordpress-community-saved-my-life\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7043:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2021/07/071320-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: The energies received in return for giving back to the WordPress community healed me emotionally, allowing me to contribute creatively.\" /><p>Often, we refuse change and don&#8217;t get a second opportunity to make things right. But for me, June 17, 2017, changed my life forever. A life-threatening heart event forced me to start over and in the short time since WordPress helped me rediscover myself and to do the things I truly love.</p>\n<p>At 10 am that morning, I was laid out flat on a cold, hard operating table being poked, prodded, and prepped for a surgical procedure. According to my doctors, this procedure was the only sure way to find out what had been plaguing me for five long years. Within the next sixty minutes, if things go sideways, I could be dead.</p>\n<p>As I slowly came to, words floated through a lifting fog of anesthesia. &#8220;You had two 100% blocked arteries,&#8221; my cardiologist said. A flood of concern and questions seemed to flow freely foremost, &#8220;what will happen to me?&#8221;</p>\n<h3>Two Paths Lead to WordPress</h3>\n<p>Looking back, my WordPress journey has two paths, pre- or post-heart event. When the lead developer and CSS goddess left our public transit agency almost 10 years ago, they left behind a company news blog with the Headway theme. That year we were fortunate to have room in our budget allowing me to attend the WordPress VIP Intensive Developer Workshop in Napa.</p>\n<p>At that time my experience was entirely in basic static HTML as a web designer so imagine how lost and out of place I felt being asked to &#8220;spin up a virtual box&#8221; midway through the first day. Surrounded by the best and the brightest distributed Automatticians from around the world, person after person answered my questions or assisted in any way they could. That day I learned what the phrase WordCamp Community really meant.</p>\n<h3>Leaving the Past Behind</h3>\n<p>What if you got a do-over? A mulligan, a reset button? Imagine being totally free from the stressors of the daily grind, similar to being a young child, with nothing to do but play all day.</p>\n<p>Staring at the ceiling from my bed while recovering, I decided to stop the world and get off. I took a leave of absence from work beginning September 11. Looking deep within, I searched to rediscover me and the loves of my life &#8211; giving selflessly to others, picking up a pencil to sketch, storytelling, and WORDPRESS.</p>\n<p>Every day for the next ninety days, I resolved to do only the things reconnected me with things dormant in my past that brought me joy:</p>\n<ul>\n<li>Each morning I&#8217;d pick up a pencil, sketch;</li>\n<li>I&#8217;d exercise and practice mindfulness; and</li>\n<li>No day would be complete without giving back, doing something with WordPress for others. Like an Agile process, I&#8217;d loop through these tasks, reassess, then repeat, each morning becoming stronger than the previous.</li>\n</ul>\n<p>Slowly, progress was being made in my recovery. From feeling faint and unable to walk from my bedside to my bathroom; 100 steps turned into 100 yards then one lap at my local park. I set a goal to climb to one of the highest points in our area, the top of Central Park.</p>\n<h3>The Journey of 4,890 Miles Begins with One Step</h3>\n<p>My second path into WordPress started later that summer. Untethered, I walked into my first-ever official WordPress Meetup in a coworking space located downtown Los Angeles, apprehensive, unsure what to expect. That evening a wonderful speaker on SEO followed the organizers from WordCamp Los Angeles calling for volunteers and I immediately raised my hand. The old me would not have.</p>\n<p>From that point through December, I attended almost twenty (20) WordPress Meetups, attended four WordCamps (Grand Rapids, Los Angeles, Riverside, and United States via Livestream) logging almost 5,000 miles in the process. Rebuilding a website for a printing company pro bono while rehabilitating my heart and body. The energies received in return for giving back to the WordPress Community healed me emotionally, allowing me to contribute creatively &#8212; I loved it and wanted to do even more!</p>\n<h3>Making a List, Checking It Twice</h3>\n<p>Tired of driving home very late nights from area Meetups from all points around SoCal, I decided to start a meetup locally. On January 26, 2018, at 7:30 pm, I reached the last slide of my first presentation at our official WordPress Santa Clarita Valley Meetup. It read, &#8220;host the first annual WordCamp Santa Clarita&#8221;.</p>\n<p>The faces in the audience &#8211; Tom, Steve, Matt, and others new to WordPress all looked at me skeptically, seeing someone full of dreams, spouting enthusiasm. But one thing was clear to me &#8212; WordPress had given me a shot at reclaiming something laid dormant and anything seemed possible.</p>\n<p>Sixteen (16) months later, the first WordCamp north of Los Angeles and south of Sacramento since 2014 debuted in Santa Clarita. A small, but an incredible team of volunteers bought into my enthusiasm turned around and gave back to our attendees in our WordPress Community.</p>\n<h3>Speak On It</h3>\n<p>In my pre-heart event life, I began public speaking in a formal setting completing over 40 presentations but had stepped off the stage years earlier in a company club. Back in 2014 while walking through the break room at WordCamp Los Angeles one of the lead organizers handed me a mic and asked me to speak. Afterward, he said, &#8220;you should present at a WordCamp.&#8221;</p>\n<p>Four years later, I stood on stage at WordCamp Chicago sharing my WordPress journey and hoping to inspire others to never give up on going after your dreams. Until that weekend in Chicago, I hadn&#8217;t seen any African-American men onstage and felt it important to encourage diversity through my message of rebirth.</p>\n<blockquote><p><i>&#8220;Live as if you were to die tomorrow. Learn as if you were to live forever.&#8221; </i></p>\n<p><i>Mahatma Gandhi</i></p></blockquote>\n<p>I&#8217;ve met the most incredible group of nurturing, giving, and talented people stretching back to Sara (Rosso) in Napa through Angela (Jin) or David (Bisset) on the WordCamp US team. Every time I needed confidence or a word of encouragement Cami (Kaos), Kathy (Drewien), Brandon (Dove), or someone in the Community was that steadying hand on my shoulder.</p>\n<p>I think about these words often as inspiration, waking each morning to greet the sunrise full of ideas and promise. How can I give back? What can I do with WordPress today?</p>\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/second-chances-how-a-trip-back-into-the-wordpress-community-saved-my-life/\">Second Chances: How A Trip Back  Into The WordPress Community Saved My Life</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Jul 2020 11:00:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Joe Simpson Jr.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: WordCamp Europe Goes Virtual for 2021, In-Person Conference to Resume 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101866\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://wptavern.com/wordcamp-europe-goes-virtual-for-2021-in-person-conference-to-resume-2022?utm_source=rss&utm_medium=rss&utm_campaign=wordcamp-europe-goes-virtual-for-2021-in-person-conference-to-resume-2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7807:\"<p>While much of the world is currently suspended in the uncertainty caused by the pandemic, WordCamp Europe delivered a surprisingly decisive <a href=\"https://europe.wordcamp.org/2021/wordcamp-europe-2021-will-be-online/\">announcement</a> today regarding the status of the 2021 event in Porto. Organizers moved to make it a virtual conference, 10 months in advance of the planned dates, June 3-5, 2021:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>After careful consideration, and following guidance from WordCamp Central, we have agreed to hold WCEU 2021 online.</p><p>Although it was a difficult decision, it also seems the right thing to do. Considering the continuing uncertainty regarding COVID-19, we are hesitant to draw so many individuals from so many different places into one physical space.</p><p>We understand that this decision will come as a disappointment to many. We know that this event is a much-needed social outlet for many in our community and that an online event isn&rsquo;t quite the same as a physical event. We&rsquo;re so sad to not be able to greet you all in person in Porto in June.</p></blockquote>\n\n\n\n<p>The announcement cited several positive aspects of going virtual, including eliminating the uncertainty for attendees and their travel arrangements, allowing for a larger global audience without the expense and risk, and having more time for creating a better online experience. The 2020 event had just three months to convert to a virtual conference but was able to reach more than 8,000 attendees.</p>\n\n\n\n<p>In the absence of a vaccine ready for mass distribution or any proven commercially available therapeutics specifically designed to target the virus, it is impossible for organizers to nail down a safe timeline for a multinational event in 2021. Hugh Lashbrooke, who is assisting the WCEU organizing team as a mentor from WordCamp Central, identified risk mitigation as one of the primary factors in their decision.</p>\n\n\n\n<p>&ldquo;Attendee safety is a primary concern in WordCamp organizing,&rdquo; Lashbrooke said. &ldquo;While the pandemic is progressing differently in different regions of the world, it seems that large in-person events that bring together thousands of people from multiple countries in a single shared space are still a risky proposition &mdash; and it&rsquo;s not clear when this will be safe again.&rdquo; </p>\n\n\n\n<p>WordCampers <a href=\"https://twitter.com/WCEurope/status/1283017418261049346\">reacting to the news</a> today seemed to understand the need for such a disruptive change, but most expressed deep disappointment. </p>\n\n\n\n<p>&ldquo;I&rsquo;m sure the decision won&rsquo;t have been taken lightly,&rdquo; Simon Dickson said. &ldquo;But WCEU is so important in terms of defining and sustaining the European &ndash; and indeed, global &ndash; WordPress community. With all due respect to online alternatives, two blank years will hit community spirit hard.&rdquo;</p>\n\n\n\n<p>The goal for WordCamp Europe is to resume the in-person event in 2022 and organizers have booked the Super Bock Arena (Pavilh&atilde;o Rosa Mota) for June 2 &ndash; June 4, 2022.&nbsp;</p>\n\n\n\n<p>If WCEU can resume normal operations in 2022, it will be the first time in three years that the European WordPress community has had the opportunity to gather in-person in one place. One disappointed attendee <a href=\"https://twitter.com/7strel/status/1283102522270507008\">said</a>, &ldquo;Understandable. As we say in Portugal: &Agrave; terceira ser&aacute; de vez! At&eacute; 2022,&rdquo; which roughly translates to the English saying, &ldquo;Third time&rsquo;s a charm.&rdquo;</p>\n\n\n\n<h2>WordPress Community Team Is Working Towards Facilitating More Effective Events</h2>\n\n\n\n<p>Lashbrooke said adjusting to emerging world events has been hard on all WordCamp organizing teams this year, as well as sponsors, speakers, and attendees. WordCamp Asia was forced to cancel, WordCamp US has gone virtual, and many other smaller camps have gone online or been postponed. The WordPress Community team is <a href=\"https://make.wordpress.org/community/2020/07/13/reimagining-online-events/\">discussing how they can improve online events</a> to provide a better experience for the community. Some of the broader ideas for creating more effective events include the following:</p>\n\n\n\n<ul><li>Decouple online events from geography</li><li>Encourage events and workshops defined by topics, languages, etc.</li><li>Explore shorter, &ldquo;snack-sized&rdquo; online events</li><li>Experiment with the frequency of events</li></ul>\n\n\n\n<p>A peripheral <a href=\"https://twitter.com/learnwithmattc/status/1282723205728227330\">discussion</a> regarding sponsors is happening on Twitter, after recent online WordCamps failed to deliver a positive experience of virtual sponsor booths.</p>\n\n\n\n<p>&ldquo;If you want to offer sponsors a &lsquo;Virtual Booth&rsquo; as a benefit of sponsorship, you&rsquo;re going to have to do something during the main event to make that attractive and easy for attendees to attend &mdash; otherwise it&rsquo;s not a sponsor benefit,&rdquo; Matt Cromwell said.</p>\n\n\n\n<p>&ldquo;If attendees have to log off the regular WordCamp platform, then go find some other link to some other virtual platform the experience becomes arduous and full of friction for the attendee making it highly unlikely they&rsquo;ll attend. WordCamps that are switching to virtual should look into more robust platforms like <a href=\"https://hopin.to/\">Hopin</a> which allow for various rooms that are consolidated to the same platform for attendees.&rdquo;</p>\n\n\n\n<p>WordCamp Europe 2020 organizer Bernhard Kau said his team looked into using Hopin but found it wasn&rsquo;t fully accessible.</p>\n\n\n\n<p>&ldquo;Hopin looked promising at first, not only for sponsors, but also for networking between attendees,&rdquo; Kau said. &ldquo;But it lacks basic accessibility. It&rsquo;s unusable with keyboard only for example. I&rsquo;d love to see it improve, so we could use it in the future.&rdquo; </p>\n\n\n\n<p>Lashbrooke said WordCamp Central has also considered Hopin, among other apps, while doing <a href=\"https://docs.google.com/spreadsheets/d/1ym0nuKxhnzyBmNAozSNdviCjmlTq3e2J95usFbpUQrY/edit#gid=0\">extensive research on accessible platforms</a>.</p>\n\n\n\n<p>&ldquo;Right now, everyone&rsquo;s still working on a way to make that work for everyone, and we&rsquo;re lucky that our sponsors are so honest with us about their experiences, because it helps us improve,&rdquo; Lashbrooke said. </p>\n\n\n\n<p>&ldquo;One thing that is of paramount importance to us as a team is that all WordPress events maintain a high level of accessibility, and unfortunately when it comes to streaming platforms we have very limited options when it comes to accessible streaming services. Zoom is about the only fully-accessible platform, so it&rsquo;s the only option to use for sponsor booths.&rdquo;</p>\n\n\n\n<p>With ten months of lead time, WordCamp Europe organizers will have plenty of opportunities to experiment with new ideas to make the event more engaging for both attendees and sponsors. All the other WordCamps on the <a href=\"https://central.wordcamp.org/schedule/\">schedule</a> through the end of the year have already been converted to online events. For the time being, it looks like virtual camps are here to stay.</p>\n\n\n\n<p>&ldquo;I really doubt we&rsquo;ll be abandoning online events, after COVID-19 is more under control worldwide,&rdquo; WordPress Community organizer Andrea Middleton <a href=\"https://make.wordpress.org/community/2020/07/13/reimagining-online-events/#comment-28388\">said</a>. &ldquo;I think that we&rsquo;ll need to figure out how in-person events and online events can best coexist, but it seems like we&rsquo;ll have time to figure that out.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Jul 2020 23:55:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Call for Block Plugins: The WordPress Block Directory Is Open for Business\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101853\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://wptavern.com/call-for-block-plugins-the-wordpress-block-directory-is-open-for-business?utm_source=rss&utm_medium=rss&utm_campaign=call-for-block-plugins-the-wordpress-block-directory-is-open-for-business\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6029:\"<img />WordPress block directory.\n\n\n\n<p class=\"has-drop-cap\">Over the weekend, Alex Shiels announced an open call for plugin authors to <a href=\"https://make.wordpress.org/plugins/2020/07/11/you-can-now-add-your-own-plugins-to-the-block-directory/\">begin submitting one-off block plugins</a> to the official <a href=\"https://wordpress.org/plugins/browse/block/\">block directory</a>. In the upcoming WordPress 5.5 update, slated for release on August 11, end-users will be able to search for, install, and add blocks directly from the editor. With little time left before release, will plugin authors make this a worthwhile feature for users?</p>\n\n\n\n<p>&ldquo;The Block Directory is a subset of plugins in the plugin directory that can be instantly and seamlessly installed from the Gutenberg editor with a single click,&rdquo; wrote Shiels in the announcement. &ldquo;We call these new plugins &lsquo;block plugins&rsquo; and have worked hard to make it easier for people to contribute to this new feature coming to WordPress 5.5.&rdquo;</p>\n\n\n\n<p>WordPress plugin authors now have a new <a href=\"https://wordpress.org/plugins/developers/block-plugin-validator/\">block validation tool</a> at their disposal. The validator can check an SVN repository URL, Github URL, or plugin slug to determine if it is suitable for inclusion into the WordPress block directory. It is still under development, so plugin authors should report any issues they run into.</p>\n\n\n\n<p>For existing plugins in the plugin directory, developers can publish them to the block directory after passing validation with the tool. Plugin authors can also remove their plugins from the block directory at the click of the button.</p>\n\n\n\n<p>The block plugin guidelines are still under development. The <a href=\"https://github.com/WordPress/wporg-plugin-guidelines/pull/68\">draft ticket</a> has been open since November 21, 2019. It has seen little activity in the months since. Presumably, there will be a finalized version on WordPress.org rather than GitHub before WordPress 5.5 lands.</p>\n\n\n\n<p>Developers who want to begin building block plugins should follow the updated <a href=\"https://developer.wordpress.org/block-editor/tutorials/block-tutorial/\">block development tutorial</a>.</p>\n\n\n\n<h2>A Late Rallying Cry</h2>\n\n\n\n<p class=\"has-drop-cap\">Technically, plugin authors have been able to submit blocks to the directory for months. It was a bit of a hidden feature that few developers took advantage of. The user base was primarily Gutenberg plugin users who had enabled the experimental block directory search feature. Despite the small user base, it was an ideal time for plugin authors to begin experimenting and building an audience. It could have also been a great opportunity for relatively unknown developers to make their mark upon the WordPress world. There is still some time for that, but the community has not been actively encouraged to create blocks for the directory. With WordPress 5.5 looming ahead, the past few months seem like a missed opportunity.</p>\n\n\n\n<p>Nick Hamze, one of the most prolific publishers of one-off blocks, is <a href=\"https://block.garden/taking-a-break/\">taking a break</a>. He originally had plans to release 99 plugins throughout 2020, but the WordPress plugin review team asked him to dial things back a bit. His routine releases were putting a strain on the team. The problem is that he was one of the few plugin authors <a href=\"https://wptavern.com/the-wacky-world-of-sorta-brilliants-sorta-fun-block-plugins\">putting in the work</a> to make the block directory a great thing.</p>\n\n\n\n<p>As a former reviewer for the themes team, I understand how easy it is to get overwhelmed with a wave of new projects that need a code review. At the same time, I would be willing to bump Hamze&rsquo;s work to the front of the line, regardless of how often he was releasing new plugins. It may be a bit unfair to other plugin authors, but few others were betting big on what will be one of WordPress 5.5&rsquo;s highlights: a searchable block directory.</p>\n\n\n\n<p>&ldquo;If someone would have just given me the barest encouragement I would have kept going, but due to my experience, I stopped submitting blocks and won&rsquo;t do it anymore in the future,&rdquo; said Hamze.</p>\n\n\n\n<p>If no one else was putting in the work, there should have been no harm in giving him a bit of priority or a helping hand. That way, when WordPress 5.5 launches, there is something to show for this feature.</p>\n\n\n\n<p>Now, we are in the 11th hour, mere weeks before 5.5&rsquo;s official release, with a meager offering of blocks &mdash; instead of hundreds of blocks, we are currently nearing the 60 mark. It is a last-minute rallying call to get plugin authors churning away before the final bell rings. Yet, WordPress just benched what was essentially its star player.</p>\n\n\n\n<p>I have no doubt the block directory will continue to grow. More developers will buy into it, especially as full-site editing creates more possibilities in WordPress 5.6 later this year. Some authors will likely produce more blocks than the totality of the current number in the directory.</p>\n\n\n\n<p>If the Gutenberg team had managed to squeeze the <a href=\"https://wptavern.com/version-1-prototype-of-the-wordpress-admin-block-directory-announced\">directory and management screens</a> into WordPress 5.5 admin, it would have made for a far bigger splash. It would have been good visibility for block makers. WordPress will support a block directory search for now. However, there is no way for end-users to more casually browse blocks via their admin. There is no way to see the latest block plugin releases or view the most popular blocks. Some of these things may have made one-off block development a bit more enticing to plugin authors. </p>\n\n\n\n<p>I am still optimistic that more plugin authors will jump onto the block bandwagon. It will just be a while before we start seeing the wealth of blocks that cover the entire spectrum of what users need.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Jul 2020 20:09:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"WordPress.org blog: WordPress 5.5 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8681\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4508:\"<p id=\"block-000046ff-d8e6-40a8-9869-2dd39e50f270\"><br />WordPress 5.5 Beta 2 is now available!</p>\n\n\n\n<p id=\"block-81bd56b9-ea44-43ad-ab36-a5ae78b54375\"><strong><strong>This software is still in development,</strong>&nbsp;</strong>so it’s not recommended to run this version on a production site. Consider setting up a test site to play with the new version.</p>\n\n\n\n<p id=\"block-7cc1bbc6-17f9-44c5-8f67-da4e3059ad69\">You can test WordPress 5.5 beta 2 in two ways:</p>\n\n\n\n<ul id=\"block-4840af57-f44b-4d9f-aa64-c6a452392e42\"><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.5-beta2.zip\">download the beta here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p id=\"block-a40528cb-eb3b-4c8a-8f5e-aa700f1ba086\">WordPress 5.5 is slated for release on&nbsp;<a href=\"https://make.wordpress.org/core/5-5/\">August 11th, 2020</a>, and <strong>we need your help to get there</strong>!</p>\n\n\n\n<p>Thank you to all of the contributors that tested the <a href=\"https://wordpress.org/news/2020/07/wordpress-5-5-beta-1/\">beta 1</a> development release and provided feedback. Testing for bugs is an important part of polishing each release and a great way to contribute to WordPress. Here are some of the changes since beta 1 to pay close attention to while testing.</p>\n\n\n\n<h2 id=\"block-15d6d57f-905d-4a47-9f66-839468a5375a\">Some highlights</h2>\n\n\n\n<p id=\"block-85da84ec-c841-42f9-8d3b-1a4537a61d10\">Since <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-1/\">beta 1</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&changetime=07%2F08%2F2020..07%2F14%2F2020&milestone=5.5&group=component&col=id&col=summary&col=owner&col=type&col=priority&col=component&col=version&order=priority\">48 bugs</a> have been fixed. Here is a summary of a few changes included in beta 2:</p>\n\n\n\n<ul><li>19 additional bugs have been fixed in the block editor (see <a href=\"https://github.com/WordPress/gutenberg/pull/23903\">#23903</a> and <a href=\"https://github.com/WordPress/gutenberg/pull/23905\">#23905</a>).</li><li>The Dashicons icon font has been updated (see <a href=\"https://core.trac.wordpress.org/ticket/49913\">#49913</a>).</li><li>Broken widgets stemming from changes in Beta 1 have been fixed (see <a href=\"https://core.trac.wordpress.org/ticket/50609\">#50609</a>).</li><li>Query handling when counting revisions has been improved (see <a href=\"https://core.trac.wordpress.org/ticket/34560\">#34560</a>).</li><li>An alternate, expanded view was added for <code>wp_list_table</code> (see <a href=\"https://core.trac.wordpress.org/ticket/49715\">#49715</a>).</li><li>Some adjustments were made to the handling of default terms for custom taxonomies (see <a href=\"https://core.trac.wordpress.org/ticket/43517\">#43517</a>)</li></ul>\n\n\n\n<p>Several updates have been made to the block editor. For details, see <a href=\"https://github.com/WordPress/gutenberg/pull/23903\">#23903</a> and <a href=\"https://github.com/WordPress/gutenberg/pull/23905\">#23905</a>.</p>\n\n\n\n<h2 id=\"block-76156b2b-0a52-4502-b585-6cbe9481f55b\">Developer notes</h2>\n\n\n\n<p id=\"block-3fe5e264-0a95-4f12-9a18-0cb9dc5955d1\">WordPress 5.5 has lots of refinements to polish the developer experience. To keep up, subscribe to the&nbsp;<a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>&nbsp;and pay special attention to the&nbsp;<a href=\"https://make.wordpress.org/core/tag/5-5+dev-notes/\">developers’ notes</a>&nbsp;for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2 id=\"block-bc89fd56-47b0-439f-8e2c-4a642c80a616\">How to Help</h2>\n\n\n\n<p id=\"block-3ff83a77-8b54-4061-ae2d-45fc984cbd76\">Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev/\">Help us translate WordPress into more than 100 languages</a>!</p>\n\n\n\n<p id=\"block-9d871099-ec49-446c-8322-9e49b7498c10\">If you think you’ve found a bug, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you!</p>\n\n\n\n<p id=\"block-bd71c1d3-39d9-4b2a-8193-3486497b45fd\">If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>,&nbsp;where you can also find a list of&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Jul 2020 17:24:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jake Spurlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: Admin 2020 Reimagines WordPress Admin and Media Library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101275\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:175:\"https://wptavern.com/admin-2020-reimagines-wordpress-admin-and-media-library?utm_source=rss&utm_medium=rss&utm_campaign=admin-2020-reimagines-wordpress-admin-and-media-library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6102:\"<p>Unless I&rsquo;m trying to be aware of it, I don&rsquo;t see the WordPress admin anymore. When you work inside it every day, it becomes a means to an end, like a subway ride to work. You scan your ticket (log in) and you&rsquo;re on your way to whatever admin business is the order of the day. After awhile, you accept its appearance and no longer spend conscious thoughts critiquing it. </p>\n\n\n\n<p>WordPress doesn&rsquo;t overhaul its admin design very often, since it requires a massive effort from contributors. The beauty of this pluggable system is that anyone with the skills can change the design to suit their own aesthetic. That is what WordPress developer Mark Ashton has done with <a href=\"https://admintwentytwenty.com/\">Admin 2020</a>, a plugin that completely reskins the admin to give it a different look.  </p>\n\n\n\n<img />\n\n\n\n<p>Browsing the Admin 2020 <a href=\"https://demo.ashtonretouch.com/wp-login.php\">demo</a>, you might not even know you were using WordPress. The design is built on top of <a href=\"https://getuikit.com/\">UIkit</a>, a lightweight UI framework that has a softer, rounder look to it. Users can switch between light and dark mode. Admin 2020 features white labeling, allowing users to upload their own logos and brand the dashboard for themselves. The admin area can also be radically simplified based on user role. The plugin allows for admin menu items to be renamed or toggled for visibility.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<a href=\"https://cloudup.com/c7uRS7QtvxU\"><img src=\"https://cldup.com/C4QGUuFG48.gif\" alt=\"Admin 2020 dashboard overview dark mode\" width=\"600\" height=\"336\" /></a>\n</div>\n\n\n\n<p>Admin 2020 has an Overview page that can sync with Google Analytics to show reports that can be filtered by date, including Users, Page Views, Sessions, and device breakdown. It also displays summaries of recent comments, popular pages, system info, new users, and other content-related data.</p>\n\n\n\n<p>The plugin gives WordPress&rsquo; media library a new look, along with folders and filters for an alternative way to organize images. Ashton claims it is up to 50% faster than the classic WordPress media library. The gallery editor also adds filters, free draw, icons/shapes, text and other mask filters for enhancing images.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<a href=\"https://cloudup.com/cMJOcOz4-QQ\"><img src=\"https://cldup.com/hhWJ2HZrFL.gif\" alt=\"Admin 2020 media library\" width=\"800\" height=\"450\" /></a>\n</div>\n\n\n\n<p>&ldquo;A lot of what admin 2020 does is built on existing WordPress functions, it just uses them in a different way,&rdquo; Ashton said. &ldquo;Instant search for example leverages AJAX and you can search all of your content from one place.&rdquo;</p>\n\n\n\n<p>The Admin 2020 plugin started out as a personal passion project. After building everything from plugins to themes to a hospitality reservation management system using WordPress, Ashton thought he would try his hand at making an admin theme he would enjoy using.</p>\n\n\n\n<p>&ldquo;It was something I have always wanted and basically got tired of waiting for,&rdquo; he said. &ldquo;I&rsquo;ve been using WordPress for my projects for many years and while I love the platform I have never enjoyed using the backend. I wanted to create something with a strong emphasis on modern UI but also something that brought useful features that would speed up my workflow.&rdquo;</p>\n\n\n\n<p>Ashton said supporting third-party extensions is one of the most challenging aspects of maintaining the plugin. Admin 2020 includes<a href=\"https://admintwentytwenty.com/pages/support\"> full support for popular plugins</a> like Jetpack, WooCommerce, Elementor, Yoast SEO, and Divi Builder, but there are thousands of others that have not been tested.</p>\n\n\n\n<p>&ldquo;The process of supporting a plugin usually isn&rsquo;t that difficult but it&rsquo;s more the case of there are so many plugins out there,&rdquo; Ashton said. &ldquo;Some plugins rely heavily on their own CSS in which case they usually work fine in light mode but don&rsquo;t look right in dark mode. Then you have plugins that use WP components and they usually work great right out of the box. Some plugins actually disable all custom backend styling, though &ndash; they are a real challenge to get around!&rdquo;</p>\n\n\n\n<p>Ashton launched Admin 2020 in April, so it is still relatively new to the commercial plugin scene. It is sold as a single plugin but is built in a modular way so that most parts of it can be disabled. The plugin&rsquo;s tiered pricing begins at $15 for a single site license. He opted to pursue a fully commercial model as opposed to releasing a free plugin with paid upgrades. </p>\n\n\n\n<p>&ldquo;In short, I wanted the plugin to stay as streamlined as possible,&rdquo; Ashton said. &ldquo;I didn&rsquo;t want to add yet more plugin notices at the top of admin pages bugging you to upgrade. I wanted people to experience the full version of Admin 2020.&rdquo;</p>\n\n\n\n<p>His strategy has been successful so far, as Admin 2020 has become a full-time project after just three months. The London-based company is a one-person effort at the moment, but Ashton is looking to bring another developer on.</p>\n\n\n\n<p>&ldquo;Active installs are around 2,000 now, and as a result I am very busy and Admin 2020 is a full time project,&rdquo; he said. &ldquo;I love working on the plugin though, there is a lot of scope on where this can go and the feedback has been great!&rdquo;</p>\n\n\n\n<p>When asked if he worries about the name becoming outdated in the coming years, Ashton said he is happy with the name but if he thinks of something more suitable it may change in the future. He believes there is a market for all kinds of different themes to transform the WordPress admin but isn&rsquo;t currently planning to add more designs.</p>\n\n\n\n<p>&ldquo;Not everyone is the same, and good design looks different to everybody,&rdquo; Ashton said. &ldquo;I am not looking at other designs at the moment &ndash; more offering the ability to customize the design yourself through Admin 2020.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Jul 2020 23:21:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"WPTavern: Copy and Paste Editor Blocks via GutenbergHub’s Block Library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=101455\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:185:\"https://wptavern.com/copy-and-paste-editor-blocks-via-gutenberghubs-block-library?utm_source=rss&utm_medium=rss&utm_campaign=copy-and-paste-editor-blocks-via-gutenberghubs-block-library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6755:\"<img />GutenbergHub block library.\n\n\n\n<p class=\"has-drop-cap\">Spearheaded by Munir Kamal, GutenbergHub <a href=\"https://gutenberghub.com/introducing-gutenberg-blocks-library-more/\">launched a free block library</a> to the WordPress community today. Currently, there are 37 custom-designed blocks that users can copy and paste to their website.</p>\n\n\n\n<p>Unlike the block directory on WordPress.org, the blocks available from this project are not plugins.  They are handled through copying and pasting a bit of code.  Technicaly they are blocks that act as a grouping of various core WordPress blocks.   However, in reality, they more closely resemble block patterns.</p>\n\n\n\n<p>The one caveat is that users must install Kamal&rsquo;s <a href=\"https://wptavern.com/control-block-design-via-the-editorplus-wordpress-plugin\">recently-launched EditorPlus plugin</a>. It allows end-users to style the core WordPress blocks via a slew of custom design options. Because the plugin neither relies on third-party blocks nor creates its own, all of the block designs in GutenbergHub&rsquo;s library are built directly from the blocks available in WordPress. This makes for a much smaller dependency tree and fewer areas where things could go wrong in the fast-moving world of blocks.</p>\n\n\n\n<p>By tying the block designs to the <a href=\"https://wordpress.org/plugins/editorplus/\">EditorPlus </a>plugin, it gives Kamal much more control over the final output. Having cross-theme consistency is still a tough job, but it improves by working within the confines of the design framework from the plugin.</p>\n\n\n\n<p>&ldquo;I created [EditorPlus] to fulfill my requirements in bringing easily customizable blocks and templates to Gutenberg users,&rdquo; said Kamal.</p>\n\n\n\n<p>He launched a <a href=\"https://wptavern.com/gutenberg-hub-launches-collection-of-100-block-templates\">block template library</a> in March. However, it originally asked users to copy block HTML and CSS code separately. Now, both the block and template libraries require the EditorPlus plugin. This allows Kamal to build everything on top of a sort of framework and remove third-party dependencies. Kamal said the system will help make things easier for users while giving him more control over development and maintenance.</p>\n\n\n\n<p>Thus far, most of the projects he has launched on GutenbergHub have built on top of the previous project in some way. They were stepping stones that led him to build a bigger yet more well-rounded system. However, we are likely light-years away from seeing how everything takes shape. The Gutenberg project is moving fast, and GutenbergHub will need to react to upcoming changes. It will need to contend with the inclusion of block patterns in WordPress 5.5, full-site editing later this year, and more design options for blocks down the road. Like the block system itself, all of this is still a bit experimental until we begin to see some sort of settling point. It will be interesting to watch how things unfold. Kamal and his GutenbergHub project are in a good position to ride the waves of constant change.</p>\n\n\n\n<p>Watch a short video on how GutenbergHub&rsquo;s block library and EditorPlus plugin work together to create pricing columns:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h2>How the Block Library Works</h2>\n\n\n\n<p class=\"has-drop-cap\">Currently, users can search the <a href=\"https://gutenberghub.com/blocks/\">GutenbergHub block library</a> to pick and choose the blocks they want. The library is sub-divided by seven categories:</p>\n\n\n\n<ul><li>Testimonial</li><li>Team</li><li>Feature</li><li>Card</li><li>Pricing</li><li>Call to Action</li><li>Stats</li></ul>\n\n\n\n<p>Users can copy a small bit of JSON code for individual blocks they would like to add to their site. To add a block, installing and activating the EditorPlus plugin is a hard requirement. Once that is done, users can visit the Blocks tab under the EditorPlus settings screen and paste the code.</p>\n\n\n\n<img />Adding a block&rsquo;s code via the EditorPlus plugin.\n\n\n\n<p>The blocks tab acts as a central hub to manage blocks from the library. Users can add, delete, or deactivate any blocks added from GutenbergHub.</p>\n\n\n\n<p>Each active block added to the site is available through the block inserter on the editor. Perhaps the one downside is the blocks do not have a preview image. Some of the blocks have similar names, such as Card 1, Card 2, etc. Having a preview image would help distinguish them &mdash; <em>or just better names</em>.</p>\n\n\n\n<img />Inserting a block from GutenbergHub into the editor.\n\n\n\n<h2>Future Plans</h2>\n\n\n\n<p class=\"has-drop-cap\">Ideally, the EditorPlus plugin could serve up GutenbergHub&rsquo;s blocks and templates over an API, providing users with a simple import solution at the click of a mouse. The copy/paste approach means having to visit a separate website instead of staying in the comfort of one&rsquo;s WordPress admin. Kamal originally went with the copy/paste solution because he wanted everything to be independent of plugins. However, because WordPress did not have the design controls in place, he realized he needed at least one plugin as part of the equation. That is where EditorPlus came in. This should ultimately free him up to build an import feature.</p>\n\n\n\n<p>&ldquo;I will possibly include a direct inserter for templates and blocks in the Editor Plus plugin,&rdquo; he said. However, there is no indication of when that will happen. It would make the user experience more seamless and efficient.</p>\n\n\n\n<p>Kamal is still mulling over how he will eventually monetize the project. Right now, he has put a lot of time and resources behind it with little return on his investment. At some point, this could become unsustainable unless his other commercial ventures can fund it. In the long run, he will need to have a solid business plan behind the entire GutenbergHub project.</p>\n\n\n\n<p>&ldquo;I do plan to monetize the GutenbergHub offering somehow,&rdquo; he said. &ldquo;I&rsquo;ve not yet planned out this, but that could be a premium subscription or offering pro blocks, templates, and an EditorPlus add-on. Another option would be to convert it into a marketplace where designers can create and sell blocks and templates. This is something I&rsquo;ve yet to plan out to be honest. Rest assured, what is free will remain free and will actually improve over time.&rdquo;</p>\n\n\n\n<p>Kamal said his most immediate plan is to gather more feedback from users. &ldquo;I ended up creating a <a href=\"https://www.facebook.com/groups/gutenberghub/\">Facebook group</a>,&rdquo; he said. &ldquo;This would be the best and easiest way for anyone to share ideas, suggestions, and feedback about GutenbergHub.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Jul 2020 21:14:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 10 Aug 2020 19:49:47 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Mon, 10 Aug 2020 19:30:07 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:5:\"build\";s:14:\"20191227233650\";}", "no");
INSERT INTO `wp_options` VALUES("294474", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1597132187", "no");
INSERT INTO `wp_options` VALUES("294475", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1597088987", "no");
INSERT INTO `wp_options` VALUES("294476", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1597132187", "no");
INSERT INTO `wp_options` VALUES("294477", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2020/08/wordpress-5-5-release-candidate-2/\'>WordPress 5.5 Release Candidate 2</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/new-wordpress-plugins-disable-unsplash-cdn?utm_source=rss&#038;utm_medium=rss&#038;utm_campaign=new-wordpress-plugins-disable-unsplash-cdn\'>WPTavern: New WordPress Plugins Disable Unsplash CDN</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/gutenberg-8-7-adds-minor-changes-updates-block-pattern-designs-and-continues-full-site-editing-work?utm_source=rss&#038;utm_medium=rss&#038;utm_campaign=gutenberg-8-7-adds-minor-changes-updates-block-pattern-designs-and-continues-full-site-editing-work\'>WPTavern: Gutenberg 8.7 Adds Minor Changes, Updates Block Pattern Designs, and Continues Full-Site Editing Work</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/is-wp-notify-the-silver-bullet-wordpress-needs-to-end-admin-notification-spam?utm_source=rss&#038;utm_medium=rss&#038;utm_campaign=is-wp-notify-the-silver-bullet-wordpress-needs-to-end-admin-notification-spam\'>WPTavern: Is WP Notify the Silver Bullet WordPress Needs to End Admin Notification Spam?</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("294480", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1597099793", "no");
INSERT INTO `wp_options` VALUES("294481", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4713;}s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:4280;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2680;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2562;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:1967;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1815;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1798;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1486;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1482;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1478;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1453;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1445;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1443;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1306;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1212;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1204;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1141;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1130;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1099;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1003;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:893;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:887;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:881;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:879;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:793;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:792;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:784;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:778;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:772;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:751;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:732;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:722;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:719;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:699;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:692;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:672;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:661;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:661;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:657;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:650;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:635;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:630;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:602;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:589;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:589;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:581;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:580;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:574;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:561;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:556;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:555;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:551;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:542;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:539;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:534;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:529;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:529;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:517;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:517;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:513;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:508;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:503;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:494;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:491;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:480;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:479;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:472;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:456;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:445;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:438;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:438;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:433;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:432;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:430;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:423;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:422;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:419;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:413;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:411;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:409;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:400;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:398;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:396;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:394;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:389;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:388;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:382;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:382;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:379;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:378;}s:3:\"url\";a:3:{s:4:\"name\";s:3:\"url\";s:4:\"slug\";s:3:\"url\";s:5:\"count\";i:374;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:371;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:367;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:366;}s:4:\"list\";a:3:{s:4:\"name\";s:4:\"list\";s:4:\"slug\";s:4:\"list\";s:5:\"count\";i:360;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:353;}s:16:\"google-analytics\";a:3:{s:4:\"name\";s:16:\"google analytics\";s:4:\"slug\";s:16:\"google-analytics\";s:5:\"count\";i:348;}s:16:\"custom-post-type\";a:3:{s:4:\"name\";s:16:\"custom post type\";s:4:\"slug\";s:16:\"custom-post-type\";s:5:\"count\";i:342;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:342;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:338;}}", "no");
INSERT INTO `wp_options` VALUES("294485", "_site_transient_timeout_theme_roots", "1597090810", "no");
INSERT INTO `wp_options` VALUES("294486", "_site_transient_theme_roots", "a:6:{s:14:\"twentynineteen\";s:7:\"/themes\";s:15:\"twentyseventeen\";s:7:\"/themes\";s:13:\"twentysixteen\";s:7:\"/themes\";s:12:\"twentytwenty\";s:7:\"/themes\";s:12:\"uncode-child\";s:7:\"/themes\";s:6:\"uncode\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("294487", "_site_transient_timeout_wp_rocket_update_data", "1597132217", "no");
INSERT INTO `wp_options` VALUES("294488", "_site_transient_wp_rocket_update_data", "O:8:\"WP_Error\":2:{s:6:\"errors\";a:1:{s:20:\"rocket_update_failed\";a:1:{i:0;s:245:\"An unexpected error occurred. Something may be wrong with WP-Rocket.me or this server&#8217;s configuration. If you continue to have problems, <a href=\"https://wp-rocket.me/support/?utm_source=wp_plugin&utm_medium=wp_rocket\">contact support</a>.\";}}s:10:\"error_data\";a:1:{s:20:\"rocket_update_failed\";a:1:{s:8:\"response\";s:6:\"NULLED\";}}}", "no");
INSERT INTO `wp_options` VALUES("294489", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1597089017;s:7:\"checked\";a:26:{s:51:\"all-in-one-wp-migration/all-in-one-wp-migration.php\";s:4:\"7.15\";s:81:\"all-in-one-wp-migration-file-extension/all-in-one-wp-migration-file-extension.php\";s:3:\"1.6\";s:47:\"better-search-replace/better-search-replace.php\";s:5:\"1.3.3\";s:33:\"classic-editor/classic-editor.php\";s:3:\"1.5\";s:27:\"coming-soon/coming-soon.php\";s:5:\"5.1.0\";s:53:\"disable-jpeg-compression/disable-jpeg-compression.php\";s:3:\"1.6\";s:32:\"duplicate-page/duplicatepage.php\";s:3:\"4.0\";s:25:\"duplicator/duplicator.php\";s:6:\"1.3.36\";s:45:\"enable-media-replace/enable-media-replace.php\";s:5:\"3.3.7\";s:31:\"ga-germanized/ga-germanized.php\";s:5:\"1.5.2\";s:29:\"gravityforms/gravityforms.php\";s:5:\"2.4.3\";s:33:\"lead-call-buttons/plugin-main.php\";s:5:\"1.0.7\";s:27:\"popup-maker/popup-maker.php\";s:6:\"1.8.14\";s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";s:5:\"3.2.8\";s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";s:5:\"3.1.2\";s:37:\"revision-control/revision-control.php\";s:5:\"2.3.2\";s:27:\"uncode-core/uncode-core.php\";s:5:\"2.2.4\";s:34:\"uncode-js_composer/js_composer.php\";s:5:\"6.1.0\";s:69:\"wider-gravity-forms-stop-entries/wider-gravity-forms-stop-entries.php\";s:3:\"1.0\";s:29:\"vc_clipboard/vc_clipboard.php\";s:7:\"4.5.5.1\";s:29:\"wpbase-cache/wpbase-cache.php\";s:5:\"5.5.1\";s:45:\"wp-content-copy-protector/preventer-index.php\";s:5:\"1.7.3\";s:29:\"wp-mail-smtp/wp_mail_smtp.php\";s:5:\"1.8.1\";s:45:\"wp-notification-bars/wp-notification-bars.php\";s:5:\"1.0.5\";s:23:\"wp-rocket/wp-rocket.php\";s:7:\"3.4.2.1\";s:24:\"wordpress-seo/wp-seo.php\";s:6:\"12.9.1\";}s:8:\"response\";a:13:{s:51:\"all-in-one-wp-migration/all-in-one-wp-migration.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:37:\"w.org/plugins/all-in-one-wp-migration\";s:4:\"slug\";s:23:\"all-in-one-wp-migration\";s:6:\"plugin\";s:51:\"all-in-one-wp-migration/all-in-one-wp-migration.php\";s:11:\"new_version\";s:4:\"7.26\";s:3:\"url\";s:54:\"https://wordpress.org/plugins/all-in-one-wp-migration/\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/plugin/all-in-one-wp-migration.7.26.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:76:\"https://ps.w.org/all-in-one-wp-migration/assets/icon-256x256.png?rev=2246309\";s:2:\"1x\";s:76:\"https://ps.w.org/all-in-one-wp-migration/assets/icon-128x128.png?rev=2246309\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:79:\"https://ps.w.org/all-in-one-wp-migration/assets/banner-1544x500.png?rev=2246309\";s:2:\"1x\";s:78:\"https://ps.w.org/all-in-one-wp-migration/assets/banner-772x250.png?rev=2246309\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:3:\"5.5\";s:12:\"requires_php\";s:6:\"5.2.17\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:27:\"coming-soon/coming-soon.php\";O:8:\"stdClass\":13:{s:2:\"id\";s:25:\"w.org/plugins/coming-soon\";s:4:\"slug\";s:11:\"coming-soon\";s:6:\"plugin\";s:27:\"coming-soon/coming-soon.php\";s:11:\"new_version\";s:5:\"5.1.3\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/coming-soon/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/coming-soon.5.1.3.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/coming-soon/assets/icon-256x256.jpg?rev=971699\";s:2:\"1x\";s:64:\"https://ps.w.org/coming-soon/assets/icon-128x128.png?rev=1606731\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:66:\"https://ps.w.org/coming-soon/assets/banner-772x250.jpg?rev=1368003\";}s:11:\"banners_rtl\";a:0:{}s:14:\"upgrade_notice\";s:61:\"<ul>\n<li>Tweak - Prepping for upcoming new version</li>\n</ul>\";s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";b:0;s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:32:\"duplicate-page/duplicatepage.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:28:\"w.org/plugins/duplicate-page\";s:4:\"slug\";s:14:\"duplicate-page\";s:6:\"plugin\";s:32:\"duplicate-page/duplicatepage.php\";s:11:\"new_version\";s:3:\"4.2\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-page/\";s:7:\"package\";s:57:\"https://downloads.wordpress.org/plugin/duplicate-page.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:67:\"https://ps.w.org/duplicate-page/assets/icon-128x128.jpg?rev=1412874\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/duplicate-page/assets/banner-772x250.jpg?rev=1410328\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";b:0;s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:45:\"enable-media-replace/enable-media-replace.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:34:\"w.org/plugins/enable-media-replace\";s:4:\"slug\";s:20:\"enable-media-replace\";s:6:\"plugin\";s:45:\"enable-media-replace/enable-media-replace.php\";s:11:\"new_version\";s:5:\"3.4.1\";s:3:\"url\";s:51:\"https://wordpress.org/plugins/enable-media-replace/\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/plugin/enable-media-replace.3.4.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/enable-media-replace/assets/icon-256x256.png?rev=1940728\";s:2:\"1x\";s:73:\"https://ps.w.org/enable-media-replace/assets/icon-128x128.png?rev=1940728\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:76:\"https://ps.w.org/enable-media-replace/assets/banner-1544x500.png?rev=2322194\";s:2:\"1x\";s:75:\"https://ps.w.org/enable-media-replace/assets/banner-772x250.png?rev=2322194\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";s:3:\"5.6\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:31:\"ga-germanized/ga-germanized.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:27:\"w.org/plugins/ga-germanized\";s:4:\"slug\";s:13:\"ga-germanized\";s:6:\"plugin\";s:31:\"ga-germanized/ga-germanized.php\";s:11:\"new_version\";s:5:\"1.5.5\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/ga-germanized/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/ga-germanized.1.5.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/ga-germanized/assets/icon-256x256.png?rev=1815068\";s:2:\"1x\";s:66:\"https://ps.w.org/ga-germanized/assets/icon-128x128.png?rev=1815068\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/ga-germanized/assets/banner-1544x500.png?rev=1815557\";s:2:\"1x\";s:68:\"https://ps.w.org/ga-germanized/assets/banner-772x250.png?rev=1815557\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.3.9\";s:12:\"requires_php\";b:0;s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:27:\"popup-maker/popup-maker.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:25:\"w.org/plugins/popup-maker\";s:4:\"slug\";s:11:\"popup-maker\";s:6:\"plugin\";s:27:\"popup-maker/popup-maker.php\";s:11:\"new_version\";s:6:\"1.11.1\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/popup-maker/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/popup-maker.1.11.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/popup-maker/assets/icon-256x256.jpg?rev=2045655\";s:2:\"1x\";s:64:\"https://ps.w.org/popup-maker/assets/icon-128x128.jpg?rev=2045655\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/popup-maker/assets/banner-1544x500.jpg?rev=2045655\";s:2:\"1x\";s:66:\"https://ps.w.org/popup-maker/assets/banner-772x250.jpg?rev=2045655\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";s:3:\"5.6\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:31:\"w.org/plugins/really-simple-ssl\";s:4:\"slug\";s:17:\"really-simple-ssl\";s:6:\"plugin\";s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";s:11:\"new_version\";s:5:\"3.3.4\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/really-simple-ssl/\";s:7:\"package\";s:66:\"https://downloads.wordpress.org/plugin/really-simple-ssl.3.3.4.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:70:\"https://ps.w.org/really-simple-ssl/assets/icon-128x128.png?rev=1782452\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/really-simple-ssl/assets/banner-1544x500.png?rev=2320223\";s:2:\"1x\";s:72:\"https://ps.w.org/really-simple-ssl/assets/banner-772x250.png?rev=2320228\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:3:\"5.5\";s:12:\"requires_php\";s:3:\"5.4\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:35:\"w.org/plugins/regenerate-thumbnails\";s:4:\"slug\";s:21:\"regenerate-thumbnails\";s:6:\"plugin\";s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";s:11:\"new_version\";s:5:\"3.1.3\";s:3:\"url\";s:52:\"https://wordpress.org/plugins/regenerate-thumbnails/\";s:7:\"package\";s:70:\"https://downloads.wordpress.org/plugin/regenerate-thumbnails.3.1.3.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:74:\"https://ps.w.org/regenerate-thumbnails/assets/icon-128x128.png?rev=1753390\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:77:\"https://ps.w.org/regenerate-thumbnails/assets/banner-1544x500.jpg?rev=1753390\";s:2:\"1x\";s:76:\"https://ps.w.org/regenerate-thumbnails/assets/banner-772x250.jpg?rev=1753390\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.3.4\";s:12:\"requires_php\";s:5:\"5.2.4\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:29:\"wpbase-cache/wpbase-cache.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:26:\"w.org/plugins/wpbase-cache\";s:4:\"slug\";s:12:\"wpbase-cache\";s:6:\"plugin\";s:29:\"wpbase-cache/wpbase-cache.php\";s:11:\"new_version\";s:5:\"5.5.2\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wpbase-cache/\";s:7:\"package\";s:55:\"https://downloads.wordpress.org/plugin/wpbase-cache.zip\";s:5:\"icons\";a:1:{s:7:\"default\";s:56:\"https://s.w.org/plugins/geopattern-icon/wpbase-cache.svg\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";b:0;s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:45:\"wp-content-copy-protector/preventer-index.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:39:\"w.org/plugins/wp-content-copy-protector\";s:4:\"slug\";s:25:\"wp-content-copy-protector\";s:6:\"plugin\";s:45:\"wp-content-copy-protector/preventer-index.php\";s:11:\"new_version\";s:3:\"2.5\";s:3:\"url\";s:56:\"https://wordpress.org/plugins/wp-content-copy-protector/\";s:7:\"package\";s:68:\"https://downloads.wordpress.org/plugin/wp-content-copy-protector.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:77:\"https://ps.w.org/wp-content-copy-protector/assets/icon-256x256.png?rev=976781\";s:2:\"1x\";s:77:\"https://ps.w.org/wp-content-copy-protector/assets/icon-128x128.png?rev=976781\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:80:\"https://ps.w.org/wp-content-copy-protector/assets/banner-772x250.png?rev=1310094\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";b:0;s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:29:\"wp-mail-smtp/wp_mail_smtp.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:26:\"w.org/plugins/wp-mail-smtp\";s:4:\"slug\";s:12:\"wp-mail-smtp\";s:6:\"plugin\";s:29:\"wp-mail-smtp/wp_mail_smtp.php\";s:11:\"new_version\";s:5:\"2.2.1\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wp-mail-smtp/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-mail-smtp.2.2.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/wp-mail-smtp/assets/icon-256x256.png?rev=1755440\";s:2:\"1x\";s:65:\"https://ps.w.org/wp-mail-smtp/assets/icon-128x128.png?rev=1755440\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:68:\"https://ps.w.org/wp-mail-smtp/assets/banner-1544x500.png?rev=2120094\";s:2:\"1x\";s:67:\"https://ps.w.org/wp-mail-smtp/assets/banner-772x250.png?rev=2120094\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.4.2\";s:12:\"requires_php\";s:5:\"5.5.0\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:24:\"wordpress-seo/wp-seo.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:27:\"w.org/plugins/wordpress-seo\";s:4:\"slug\";s:13:\"wordpress-seo\";s:6:\"plugin\";s:24:\"wordpress-seo/wp-seo.php\";s:11:\"new_version\";s:4:\"14.7\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/wordpress-seo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wordpress-seo.14.7.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:66:\"https://ps.w.org/wordpress-seo/assets/icon-256x256.png?rev=1834347\";s:2:\"1x\";s:58:\"https://ps.w.org/wordpress-seo/assets/icon.svg?rev=1946641\";s:3:\"svg\";s:58:\"https://ps.w.org/wordpress-seo/assets/icon.svg?rev=1946641\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/wordpress-seo/assets/banner-1544x500.png?rev=1843435\";s:2:\"1x\";s:68:\"https://ps.w.org/wordpress-seo/assets/banner-772x250.png?rev=1843435\";}s:11:\"banners_rtl\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/wordpress-seo/assets/banner-1544x500-rtl.png?rev=1843435\";s:2:\"1x\";s:72:\"https://ps.w.org/wordpress-seo/assets/banner-772x250-rtl.png?rev=1843435\";}s:6:\"tested\";s:3:\"5.5\";s:12:\"requires_php\";s:6:\"5.6.20\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:34:\"uncode-js_composer/js_composer.php\";O:8:\"stdClass\":7:{s:4:\"slug\";s:18:\"uncode-js_composer\";s:6:\"plugin\";s:34:\"uncode-js_composer/js_composer.php\";s:10:\"wp_version\";s:5:\"4.0.0\";s:11:\"new_version\";s:5:\"6.2.0\";s:6:\"tested\";s:3:\"5.5\";s:3:\"url\";s:26:\"https://undsgn.com/uncode/\";s:7:\"package\";s:89:\"https://api.undsgn.com/downloads/uncode/plugins/uncode-js_composer/uncode-js_composer.zip\";}}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:8:{s:47:\"better-search-replace/better-search-replace.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:35:\"w.org/plugins/better-search-replace\";s:4:\"slug\";s:21:\"better-search-replace\";s:6:\"plugin\";s:47:\"better-search-replace/better-search-replace.php\";s:11:\"new_version\";s:5:\"1.3.3\";s:3:\"url\";s:52:\"https://wordpress.org/plugins/better-search-replace/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/better-search-replace.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/better-search-replace/assets/icon-256x256.png?rev=1238934\";s:2:\"1x\";s:74:\"https://ps.w.org/better-search-replace/assets/icon-128x128.png?rev=1238934\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:77:\"https://ps.w.org/better-search-replace/assets/banner-1544x500.png?rev=1238934\";s:2:\"1x\";s:76:\"https://ps.w.org/better-search-replace/assets/banner-772x250.png?rev=1238934\";}s:11:\"banners_rtl\";a:0:{}}s:33:\"classic-editor/classic-editor.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:28:\"w.org/plugins/classic-editor\";s:4:\"slug\";s:14:\"classic-editor\";s:6:\"plugin\";s:33:\"classic-editor/classic-editor.php\";s:11:\"new_version\";s:3:\"1.5\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/classic-editor/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/classic-editor.1.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-256x256.png?rev=1998671\";s:2:\"1x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-128x128.png?rev=1998671\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/classic-editor/assets/banner-1544x500.png?rev=1998671\";s:2:\"1x\";s:69:\"https://ps.w.org/classic-editor/assets/banner-772x250.png?rev=1998676\";}s:11:\"banners_rtl\";a:0:{}}s:53:\"disable-jpeg-compression/disable-jpeg-compression.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:38:\"w.org/plugins/disable-jpeg-compression\";s:4:\"slug\";s:24:\"disable-jpeg-compression\";s:6:\"plugin\";s:53:\"disable-jpeg-compression/disable-jpeg-compression.php\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:55:\"https://wordpress.org/plugins/disable-jpeg-compression/\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/plugin/disable-jpeg-compression.1.6.zip\";s:5:\"icons\";a:1:{s:7:\"default\";s:68:\"https://s.w.org/plugins/geopattern-icon/disable-jpeg-compression.svg\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:6:\"1.3.36\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/duplicator.1.3.36.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2083921\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2083921\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}}s:33:\"lead-call-buttons/plugin-main.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:31:\"w.org/plugins/lead-call-buttons\";s:4:\"slug\";s:17:\"lead-call-buttons\";s:6:\"plugin\";s:33:\"lead-call-buttons/plugin-main.php\";s:11:\"new_version\";s:5:\"1.0.7\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/lead-call-buttons/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/lead-call-buttons.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:70:\"https://ps.w.org/lead-call-buttons/assets/icon-128x128.png?rev=1132142\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:72:\"https://ps.w.org/lead-call-buttons/assets/banner-772x250.jpg?rev=1107671\";}s:11:\"banners_rtl\";a:0:{}}s:37:\"revision-control/revision-control.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:30:\"w.org/plugins/revision-control\";s:4:\"slug\";s:16:\"revision-control\";s:6:\"plugin\";s:37:\"revision-control/revision-control.php\";s:11:\"new_version\";s:5:\"2.3.2\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/revision-control/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/revision-control.2.3.2.zip\";s:5:\"icons\";a:1:{s:7:\"default\";s:60:\"https://s.w.org/plugins/geopattern-icon/revision-control.svg\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}}s:69:\"wider-gravity-forms-stop-entries/wider-gravity-forms-stop-entries.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:46:\"w.org/plugins/wider-gravity-forms-stop-entries\";s:4:\"slug\";s:32:\"wider-gravity-forms-stop-entries\";s:6:\"plugin\";s:69:\"wider-gravity-forms-stop-entries/wider-gravity-forms-stop-entries.php\";s:11:\"new_version\";s:3:\"1.0\";s:3:\"url\";s:63:\"https://wordpress.org/plugins/wider-gravity-forms-stop-entries/\";s:7:\"package\";s:75:\"https://downloads.wordpress.org/plugin/wider-gravity-forms-stop-entries.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:85:\"https://ps.w.org/wider-gravity-forms-stop-entries/assets/icon-256x256.jpg?rev=1707751\";s:2:\"1x\";s:85:\"https://ps.w.org/wider-gravity-forms-stop-entries/assets/icon-128x128.jpg?rev=1707751\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:88:\"https://ps.w.org/wider-gravity-forms-stop-entries/assets/banner-1544x500.jpg?rev=1707751\";s:2:\"1x\";s:87:\"https://ps.w.org/wider-gravity-forms-stop-entries/assets/banner-772x250.jpg?rev=1707751\";}s:11:\"banners_rtl\";a:0:{}}s:45:\"wp-notification-bars/wp-notification-bars.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:34:\"w.org/plugins/wp-notification-bars\";s:4:\"slug\";s:20:\"wp-notification-bars\";s:6:\"plugin\";s:45:\"wp-notification-bars/wp-notification-bars.php\";s:11:\"new_version\";s:5:\"1.0.5\";s:3:\"url\";s:51:\"https://wordpress.org/plugins/wp-notification-bars/\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/plugin/wp-notification-bars.1.0.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/wp-notification-bars/assets/icon-256x256.png?rev=1249179\";s:2:\"1x\";s:73:\"https://ps.w.org/wp-notification-bars/assets/icon-128x128.png?rev=1249179\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:75:\"https://ps.w.org/wp-notification-bars/assets/banner-772x250.jpg?rev=1249179\";}s:11:\"banners_rtl\";a:0:{}}}}", "no");
INSERT INTO `wp_options` VALUES("294490", "duplicator_settings", "a:17:{s:7:\"version\";s:6:\"1.3.36\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("294491", "duplicator_lite_inst_hash_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("294492", "duplicator_version_plugin", "1.3.36", "yes");
INSERT INTO `wp_options` VALUES("294493", "_transient_timeout_plugin_slugs", "1597175419", "no");
INSERT INTO `wp_options` VALUES("294494", "_transient_plugin_slugs", "a:26:{i:0;s:51:\"all-in-one-wp-migration/all-in-one-wp-migration.php\";i:1;s:81:\"all-in-one-wp-migration-file-extension/all-in-one-wp-migration-file-extension.php\";i:2;s:47:\"better-search-replace/better-search-replace.php\";i:3;s:33:\"classic-editor/classic-editor.php\";i:4;s:27:\"coming-soon/coming-soon.php\";i:5;s:53:\"disable-jpeg-compression/disable-jpeg-compression.php\";i:6;s:32:\"duplicate-page/duplicatepage.php\";i:7;s:25:\"duplicator/duplicator.php\";i:8;s:45:\"enable-media-replace/enable-media-replace.php\";i:9;s:31:\"ga-germanized/ga-germanized.php\";i:10;s:29:\"gravityforms/gravityforms.php\";i:11;s:33:\"lead-call-buttons/plugin-main.php\";i:12;s:27:\"popup-maker/popup-maker.php\";i:13;s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";i:14;s:47:\"regenerate-thumbnails/regenerate-thumbnails.php\";i:15;s:37:\"revision-control/revision-control.php\";i:16;s:27:\"uncode-core/uncode-core.php\";i:17;s:34:\"uncode-js_composer/js_composer.php\";i:18;s:69:\"wider-gravity-forms-stop-entries/wider-gravity-forms-stop-entries.php\";i:19;s:29:\"vc_clipboard/vc_clipboard.php\";i:20;s:29:\"wpbase-cache/wpbase-cache.php\";i:21;s:45:\"wp-content-copy-protector/preventer-index.php\";i:22;s:29:\"wp-mail-smtp/wp_mail_smtp.php\";i:23;s:45:\"wp-notification-bars/wp-notification-bars.php\";i:24;s:23:\"wp-rocket/wp-rocket.php\";i:25;s:24:\"wordpress-seo/wp-seo.php\";}", "no");
INSERT INTO `wp_options` VALUES("294497", "duplicator_ui_view_state", "a:1:{s:22:\"dup-pack-archive-panel\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("294498", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2020-08-10 19:50:48\";s:7:\"Version\";s:6:\"1.3.36\";s:9:\"VersionWP\";s:5:\"5.3.4\";s:9:\"VersionDB\";s:6:\"5.7.23\";s:10:\"VersionPHP\";s:37:\"7.3.19-1+ubuntu18.04.1+deb.sury.org+1\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:23:\"20200810_melanieebenson\";s:4:\"Hash\";s:35:\"9634d399047a00c18838_20200810195048\";s:8:\"NameHash\";s:59:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:69:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":21:{s:10:\"FilterDirs\";s:57:\"/srv/www/melanieebenson.com/public_html/wp-content/cache;\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:22:\"zip;rar;tar;gz;bz2;7z;\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:1;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:39:\"/srv/www/melanieebenson.com/public_html\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2020-08-10 19:50:48\";s:7:\"Version\";s:6:\"1.3.36\";s:9:\"VersionWP\";s:5:\"5.3.4\";s:9:\"VersionDB\";s:6:\"5.7.23\";s:10:\"VersionPHP\";s:37:\"7.3.19-1+ubuntu18.04.1+deb.sury.org+1\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:23:\"20200810_melanieebenson\";s:4:\"Hash\";s:35:\"9634d399047a00c18838_20200810195048\";s:8:\"NameHash\";s:59:\"20200810_melanieebenson_9634d399047a00c18838_20200810195048\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:61;}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:8:\"(Ubuntu)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";N;s:13:\"collationList\";a:0:{}s:17:\"isTablesUpperCase\";N;s:15:\"isNameUpperCase\";N;s:4:\"name\";N;s:15:\"tablesBaseCount\";N;s:16:\"tablesFinalCount\";N;s:14:\"tablesRowCount\";N;s:16:\"tablesSizeOnDisk\";N;s:18:\"varLowerCaseTables\";i:0;s:7:\"version\";N;s:14:\"versionComment\";N;s:18:\"tableWiseRowCounts\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:61;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:61;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:48:\"/srv/www/melanieebenson.com/public_html/wp-admin\";i:1;s:58:\"/srv/www/melanieebenson.com/public_html/wp-content/uploads\";i:2;s:60:\"/srv/www/melanieebenson.com/public_html/wp-content/languages\";i:3;s:57:\"/srv/www/melanieebenson.com/public_html/wp-content/themes\";i:4;s:51:\"/srv/www/melanieebenson.com/public_html/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:39:\"/srv/www/melanieebenson.com/public_html\";i:1;s:50:\"/srv/www/melanieebenson.com/public_html/wp-content\";}}s:9:\"Installer\";r:82;s:8:\"Database\";r:94;s:13:\"BuildProgress\";r:124;}", "yes");
INSERT INTO `wp_options` VALUES("294499", "_transient_timeout_GFCache_b8648944255610623d47c9f8ff900119", "1597089090", "no");
INSERT INTO `wp_options` VALUES("294500", "_transient_GFCache_b8648944255610623d47c9f8ff900119", "a:1:{i:0;O:8:\"stdClass\":2:{s:7:\"form_id\";s:1:\"5\";s:10:\"view_count\";s:3:\"672\";}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("4132", "763", "_wp_attached_file", "2018/09/cropped-favicon-courtesan-creative.png");
INSERT INTO `wp_postmeta` VALUES("4133", "763", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("4134", "763", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:46:\"2018/09/cropped-favicon-courtesan-creative.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"cropped-favicon-courtesan-creative-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"cropped-favicon-courtesan-creative-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-270\";a:4:{s:4:\"file\";s:46:\"cropped-favicon-courtesan-creative-270x270.png\";s:5:\"width\";i:270;s:6:\"height\";i:270;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-192\";a:4:{s:4:\"file\";s:46:\"cropped-favicon-courtesan-creative-192x192.png\";s:5:\"width\";i:192;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-180\";a:4:{s:4:\"file\";s:46:\"cropped-favicon-courtesan-creative-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"site_icon-32\";a:4:{s:4:\"file\";s:44:\"cropped-favicon-courtesan-creative-32x32.png\";s:5:\"width\";i:32;s:6:\"height\";i:32;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4939", "1161", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("4940", "1161", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("4941", "1161", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("4944", "1161", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("4945", "1161", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("4946", "1161", "_uncode_blocks_list", "1544");
INSERT INTO `wp_postmeta` VALUES("4947", "1161", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("4948", "1161", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("4949", "1161", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("4950", "1161", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("4951", "1161", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("4952", "1161", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("4953", "1161", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("4954", "1161", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("4955", "1161", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("4956", "1161", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("4957", "1161", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("4958", "1161", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("4959", "1161", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("4960", "1161", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("4961", "1161", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("4962", "1161", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("4963", "1161", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("4964", "1161", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("4965", "1161", "_uncode_menu_no_padding_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("4966", "1161", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("4967", "1161", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("4968", "1161", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("4969", "1161", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("4970", "1161", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("4971", "1161", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("4972", "1161", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("4973", "1161", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("4974", "1161", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("4975", "1161", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("4976", "1161", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("4977", "1161", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("4978", "1161", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("4979", "1161", "_edit_lock", "1580184130:2");
INSERT INTO `wp_postmeta` VALUES("4981", "1163", "_edit_last", "3");
INSERT INTO `wp_postmeta` VALUES("4982", "1163", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("4983", "1163", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("4986", "1163", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("4987", "1163", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("4988", "1163", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("4989", "1163", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("4990", "1163", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("4991", "1163", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("4992", "1163", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("4993", "1163", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("4994", "1163", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("4995", "1163", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("4996", "1163", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("4997", "1163", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("4998", "1163", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("4999", "1163", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("5000", "1163", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("5001", "1163", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("5002", "1163", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("5003", "1163", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("5004", "1163", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("5005", "1163", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("5006", "1163", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("5007", "1163", "_uncode_menu_no_padding_mobile", "on");
INSERT INTO `wp_postmeta` VALUES("5008", "1163", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("5009", "1163", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("5010", "1163", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("5011", "1163", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("5012", "1163", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("5013", "1163", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("5014", "1163", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("5015", "1163", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("5016", "1163", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("5017", "1163", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("5018", "1163", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("5019", "1163", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("5020", "1163", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("5021", "1163", "_edit_lock", "1594613047:2");
INSERT INTO `wp_postmeta` VALUES("5024", "1165", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("5025", "1165", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("5026", "1165", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("5029", "1165", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("5030", "1165", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("5031", "1165", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("5032", "1165", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("5033", "1165", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("5034", "1165", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("5035", "1165", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("5036", "1165", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("5037", "1165", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("5038", "1165", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("5039", "1165", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("5040", "1165", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("5041", "1165", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("5042", "1165", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("5043", "1165", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("5044", "1165", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("5045", "1165", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("5046", "1165", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("5047", "1165", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("5048", "1165", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("5049", "1165", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("5050", "1165", "_uncode_menu_no_padding_mobile", "on");
INSERT INTO `wp_postmeta` VALUES("5051", "1165", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("5052", "1165", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("5053", "1165", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("5054", "1165", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("5055", "1165", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("5056", "1165", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("5057", "1165", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("5058", "1165", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("5059", "1165", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("5060", "1165", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("5061", "1165", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("5062", "1165", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("5063", "1165", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("5064", "1165", "_edit_lock", "1577768688:2");
INSERT INTO `wp_postmeta` VALUES("5066", "1167", "_edit_last", "3");
INSERT INTO `wp_postmeta` VALUES("5067", "1167", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("5068", "1167", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("5071", "1167", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("5072", "1167", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("5073", "1167", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("5074", "1167", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("5075", "1167", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("5076", "1167", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("5077", "1167", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("5078", "1167", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("5079", "1167", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("5080", "1167", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("5081", "1167", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("5082", "1167", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("5083", "1167", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("5084", "1167", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("5085", "1167", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("5086", "1167", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("5087", "1167", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("5088", "1167", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("5089", "1167", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("5090", "1167", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("5091", "1167", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("5092", "1167", "_uncode_menu_no_padding_mobile", "on");
INSERT INTO `wp_postmeta` VALUES("5093", "1167", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("5094", "1167", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("5095", "1167", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("5096", "1167", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("5097", "1167", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("5098", "1167", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("5099", "1167", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("5100", "1167", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("5101", "1167", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("5102", "1167", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("5103", "1167", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("5104", "1167", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("5105", "1167", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("5106", "1167", "_edit_lock", "1596134926:3");
INSERT INTO `wp_postmeta` VALUES("5799", "1544", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("5800", "1544", "_edit_lock", "1563680323:2");
INSERT INTO `wp_postmeta` VALUES("5801", "1544", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("5802", "1544", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("5803", "1544", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("5804", "1161", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("5806", "1161", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5808", "1161", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("5809", "1557", "_vc_post_settings", "a:1:{s:10:\"vc_grid_id\";a:0:{}}");
INSERT INTO `wp_postmeta` VALUES("5810", "1557", "_mc4wp_settings", "a:8:{s:5:\"lists\";a:1:{i:0;s:10:\"b74c7d26bf\";}s:15:\"required_fields\";s:5:\"EMAIL\";s:12:\"double_optin\";s:1:\"1\";s:15:\"update_existing\";s:1:\"0\";s:17:\"replace_interests\";s:1:\"1\";s:18:\"hide_after_success\";s:1:\"0\";s:8:\"redirect\";s:0:\"\";s:3:\"css\";s:1:\"0\";}");
INSERT INTO `wp_postmeta` VALUES("5811", "1557", "text_subscribed", "Thank you, your sign-up request was successful! Please check your email inbox to confirm.");
INSERT INTO `wp_postmeta` VALUES("5812", "1557", "text_invalid_email", "Please provide a valid email address.");
INSERT INTO `wp_postmeta` VALUES("5813", "1557", "text_required_field_missing", "Please fill in the required fields.");
INSERT INTO `wp_postmeta` VALUES("5814", "1557", "text_already_subscribed", "Given email address is already subscribed, thank you!");
INSERT INTO `wp_postmeta` VALUES("5815", "1557", "text_error", "Oops. Something went wrong. Please try again later.");
INSERT INTO `wp_postmeta` VALUES("5816", "1557", "text_unsubscribed", "You were successfully unsubscribed.");
INSERT INTO `wp_postmeta` VALUES("5817", "1557", "text_not_subscribed", "Given email address is not subscribed.");
INSERT INTO `wp_postmeta` VALUES("5818", "1557", "text_no_lists_selected", "Please select at least one list.");
INSERT INTO `wp_postmeta` VALUES("5819", "1557", "text_updated", "Thank you, your records have been updated!");
INSERT INTO `wp_postmeta` VALUES("5824", "1161", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("5835", "1163", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5837", "1163", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("5838", "1163", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("5839", "1163", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("5858", "1165", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("5859", "1165", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5861", "1165", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("5862", "1165", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("6218", "1167", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("6221", "1167", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6223", "1167", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("7132", "2105", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("7133", "2105", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("7134", "2105", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("7135", "2105", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("7136", "2105", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("7139", "2105", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("7140", "2105", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("7141", "2105", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("7142", "2105", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("7143", "2105", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("7144", "2105", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("7145", "2105", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("7146", "2105", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("7147", "2105", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("7148", "2105", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("7149", "2105", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("7150", "2105", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("7151", "2105", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("7152", "2105", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("7153", "2105", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("7154", "2105", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("7155", "2105", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("7156", "2105", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("7157", "2105", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("7158", "2105", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("7159", "2105", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("7160", "2105", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("7161", "2105", "_uncode_menu_no_padding_mobile", "on");
INSERT INTO `wp_postmeta` VALUES("7162", "2105", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("7163", "2105", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("7164", "2105", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("7165", "2105", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("7166", "2105", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("7167", "2105", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("7168", "2105", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("7169", "2105", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("7170", "2105", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("7171", "2105", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("7172", "2105", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("7173", "2105", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("7174", "2105", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("7175", "2105", "_edit_lock", "1578092800:3");
INSERT INTO `wp_postmeta` VALUES("7177", "2105", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("7179", "2105", "_uncode_specific_footer_block", "2649");
INSERT INTO `wp_postmeta` VALUES("7356", "2209", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("7357", "2209", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("7358", "2209", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("7359", "2209", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("7360", "2209", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("7362", "2209", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("7363", "2209", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("7364", "2209", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("7365", "2209", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("7366", "2209", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("7367", "2209", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("7368", "2209", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("7369", "2209", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("7370", "2209", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("7371", "2209", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("7372", "2209", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("7373", "2209", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("7374", "2209", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("7375", "2209", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("7376", "2209", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("7377", "2209", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("7378", "2209", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("7379", "2209", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("7380", "2209", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("7381", "2209", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("7382", "2209", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("7383", "2209", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("7384", "2209", "_uncode_menu_no_padding_mobile", "on");
INSERT INTO `wp_postmeta` VALUES("7385", "2209", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("7386", "2209", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("7387", "2209", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("7388", "2209", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("7389", "2209", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("7390", "2209", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("7391", "2209", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("7392", "2209", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("7393", "2209", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("7394", "2209", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("7395", "2209", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("7396", "2209", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("7397", "2209", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("7398", "2209", "_edit_lock", "1577769224:2");
INSERT INTO `wp_postmeta` VALUES("7399", "2209", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("7400", "2209", "_uncode_specific_footer_block", "");
INSERT INTO `wp_postmeta` VALUES("7629", "1167", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("7630", "1167", "_oembed_665b0bfd071aa34aa5ff78a5cecb4fab", "<blockquote class=\"wp-embedded-content\" data-secret=\"AU8JNMnYLX\"><a href=\"https://www.peta.org/\">Home</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" style=\"position: absolute; clip: rect(1px, 1px, 1px, 1px);\" src=\"https://www.peta.org/embed/#?secret=AU8JNMnYLX\" data-secret=\"AU8JNMnYLX\" width=\"546\" height=\"308\" title=\"&#8220;Home&#8221; &#8212; PETA\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("7631", "1167", "_oembed_time_665b0bfd071aa34aa5ff78a5cecb4fab", "1540665463");
INSERT INTO `wp_postmeta` VALUES("7632", "1167", "_oembed_7f4080f0efba4c2bac7573b1d9f72bfa", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("7633", "1167", "_oembed_8d03363f81a688bd43b54457a6b1613f", "<blockquote class=\"wp-embedded-content\" data-secret=\"OMAtQc77Um\"><a href=\"http://blackjaguarwhitetiger.org/\">BLACK JAGUAR WHITE TIGER</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" style=\"position: absolute; clip: rect(1px, 1px, 1px, 1px);\" src=\"http://blackjaguarwhitetiger.org/embed/#?secret=OMAtQc77Um\" data-secret=\"OMAtQc77Um\" width=\"546\" height=\"308\" title=\"&#8220;BLACK JAGUAR WHITE TIGER&#8221; &#8212; Black Jaguar-White Tiger\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("7634", "1167", "_oembed_time_8d03363f81a688bd43b54457a6b1613f", "1540665464");
INSERT INTO `wp_postmeta` VALUES("7635", "1167", "_oembed_1126fd07cef3a5400b1b06e971b19bf5", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("7636", "1167", "_oembed_8c1b9a59cc65e7d2759c96c0772a874a", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("7637", "1167", "_oembed_ba03fb88fb623641f346338aebc34a22", "<blockquote class=\"wp-embedded-content\" data-secret=\"CeaVZZKqvm\"><a href=\"http://blackjaguarwhitetiger.org/\">BLACK JAGUAR WHITE TIGER</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" style=\"position: absolute; clip: rect(1px, 1px, 1px, 1px);\" src=\"http://blackjaguarwhitetiger.org/embed/#?secret=CeaVZZKqvm\" data-secret=\"CeaVZZKqvm\" width=\"600\" height=\"338\" title=\"&#8220;BLACK JAGUAR WHITE TIGER&#8221; &#8212; Black Jaguar-White Tiger\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("7638", "1167", "_oembed_time_ba03fb88fb623641f346338aebc34a22", "1540665467");
INSERT INTO `wp_postmeta` VALUES("7639", "1167", "_oembed_ae7ae580b97cea9509c023750aaf4d33", "<blockquote class=\"wp-embedded-content\" data-secret=\"N614lHGOVQ\"><a href=\"https://www.peta.org/\">Home</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" style=\"position: absolute; clip: rect(1px, 1px, 1px, 1px);\" src=\"https://www.peta.org/embed/#?secret=N614lHGOVQ\" data-secret=\"N614lHGOVQ\" width=\"600\" height=\"338\" title=\"&#8220;Home&#8221; &#8212; PETA\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("7640", "1167", "_oembed_time_ae7ae580b97cea9509c023750aaf4d33", "1540665467");
INSERT INTO `wp_postmeta` VALUES("7641", "1167", "_oembed_438f4f92a999e293c5fe3e08f3372718", "<blockquote class=\"wp-embedded-content\" data-secret=\"VYQ8ft7VDd\"><a href=\"https://www.rainforesttrust.org/donate/\">Donate</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" style=\"position: absolute; clip: rect(1px, 1px, 1px, 1px);\" src=\"https://www.rainforesttrust.org/donate/embed/#?secret=VYQ8ft7VDd\" data-secret=\"VYQ8ft7VDd\" width=\"600\" height=\"338\" title=\"&#8220;Donate&#8221; &#8212; Rainforest Trust - Species | Communities | Planet\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("7642", "1167", "_oembed_time_438f4f92a999e293c5fe3e08f3372718", "1540665471");
INSERT INTO `wp_postmeta` VALUES("7643", "1167", "_oembed_542f3ae00e20e8cfeeb48ef3385e006d", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("7644", "1167", "_oembed_5ece1c5a5a675190edc0d5047f1d9532", "<blockquote class=\"wp-embedded-content\" data-secret=\"9LRNLwbrB6\"><a href=\"https://www.rainforesttrust.org/donate/\">Donate</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" style=\"position: absolute; clip: rect(1px, 1px, 1px, 1px);\" src=\"https://www.rainforesttrust.org/donate/embed/#?secret=9LRNLwbrB6\" data-secret=\"9LRNLwbrB6\" width=\"522\" height=\"294\" title=\"&#8220;Donate&#8221; &#8212; Rainforest Trust - Species | Communities | Planet\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>");
INSERT INTO `wp_postmeta` VALUES("7645", "1167", "_oembed_time_5ece1c5a5a675190edc0d5047f1d9532", "1540665552");
INSERT INTO `wp_postmeta` VALUES("7984", "2460", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("7985", "2460", "_edit_lock", "1577769086:2");
INSERT INTO `wp_postmeta` VALUES("7986", "2460", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("7987", "2460", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("7988", "2460", "_yoast_wpseo_meta-robots-noindex", "1");
INSERT INTO `wp_postmeta` VALUES("7991", "2460", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("7992", "2460", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("7993", "2460", "_uncode_blocks_list", "1544");
INSERT INTO `wp_postmeta` VALUES("7994", "2460", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("7995", "2460", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("7996", "2460", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("7997", "2460", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("7998", "2460", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("7999", "2460", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("8000", "2460", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("8001", "2460", "_uncode_header_align", "center");
INSERT INTO `wp_postmeta` VALUES("8002", "2460", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("8003", "2460", "_uncode_header_title_size", "fontsize-48");
INSERT INTO `wp_postmeta` VALUES("8004", "2460", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("8005", "2460", "_uncode_header_featured", "off");
INSERT INTO `wp_postmeta` VALUES("8006", "2460", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("8007", "2460", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("8008", "2460", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("8009", "2460", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("8010", "2460", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("8011", "2460", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("8012", "2460", "_uncode_menu_no_padding_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("8013", "2460", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("8014", "2460", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("8015", "2460", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("8016", "2460", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("8017", "2460", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("8018", "2460", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("8019", "2460", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("8020", "2460", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("8021", "2460", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("8022", "2460", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("8023", "2460", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("8024", "2460", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("8025", "2460", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("8026", "2460", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8032", "1165", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("8034", "1165", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8071", "2105", "lead_call_buttons_options_hide_lead_call_buttons", NULL);
INSERT INTO `wp_postmeta` VALUES("8072", "2105", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8073", "2105", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("8081", "2105", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8093", "2105", "_yoast_wpseo_title", "New York Escort in Manhattan | %%sitename%%");
INSERT INTO `wp_postmeta` VALUES("8144", "2584", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("8145", "2584", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("8146", "2584", "_menu_item_object_id", "2209");
INSERT INTO `wp_postmeta` VALUES("8147", "2584", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("8148", "2584", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("8149", "2584", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8150", "2584", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("8151", "2584", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("8153", "2584", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("8154", "2584", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("8155", "2584", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("8237", "2649", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("8238", "2649", "_edit_lock", "1578354149:2");
INSERT INTO `wp_postmeta` VALUES("8239", "2649", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("8240", "2649", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("8241", "2649", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("8242", "2649", "_yoast_wpseo_primary_uncodeblock_category", "6");
INSERT INTO `wp_postmeta` VALUES("8243", "2209", "lead_call_buttons_options_hide_lead_call_buttons", NULL);
INSERT INTO `wp_postmeta` VALUES("8244", "2209", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8245", "2209", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("8247", "2209", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8248", "1544", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("8249", "1544", "_yoast_wpseo_primary_uncodeblock_category", "");
INSERT INTO `wp_postmeta` VALUES("8339", "1161", "lead_call_buttons_options_hide_lead_call_buttons", NULL);
INSERT INTO `wp_postmeta` VALUES("8340", "1161", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8343", "1161", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8354", "1163", "lead_call_buttons_options_hide_lead_call_buttons", NULL);
INSERT INTO `wp_postmeta` VALUES("8355", "1163", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8356", "1163", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8357", "1163", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("8375", "1165", "lead_call_buttons_options_hide_lead_call_buttons", "hide-lead-call-buttons");
INSERT INTO `wp_postmeta` VALUES("8376", "1165", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8397", "1167", "lead_call_buttons_options_hide_lead_call_buttons", NULL);
INSERT INTO `wp_postmeta` VALUES("8398", "1167", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8399", "1167", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("8400", "1167", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("8407", "2775", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("8408", "2775", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("8409", "2775", "_menu_item_object_id", "2105");
INSERT INTO `wp_postmeta` VALUES("8410", "2775", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("8411", "2775", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("8412", "2775", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8413", "2775", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("8414", "2775", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("8416", "2775", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("8417", "2775", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("8418", "2775", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("8451", "2460", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("8452", "2460", "_uncode_header_title_height", "fontheight-17");
INSERT INTO `wp_postmeta` VALUES("8453", "2460", "_uncode_header_title_transform", "uppercase");
INSERT INTO `wp_postmeta` VALUES("8454", "2460", "lead_call_buttons_options_hide_lead_call_buttons", "hide-lead-call-buttons");
INSERT INTO `wp_postmeta` VALUES("8455", "2460", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8456", "2460", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("8505", "2805", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("8506", "2805", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("8507", "2805", "_menu_item_object_id", "1165");
INSERT INTO `wp_postmeta` VALUES("8508", "2805", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("8509", "2805", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("8510", "2805", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8511", "2805", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("8512", "2805", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("8514", "2805", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("8515", "2805", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("8516", "2805", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("8517", "2806", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("8518", "2806", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("8519", "2806", "_menu_item_object_id", "1161");
INSERT INTO `wp_postmeta` VALUES("8520", "2806", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("8521", "2806", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("8522", "2806", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8523", "2806", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("8524", "2806", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("8526", "2806", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("8527", "2806", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("8528", "2806", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("8529", "2807", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("8530", "2807", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("8531", "2807", "_menu_item_object_id", "1163");
INSERT INTO `wp_postmeta` VALUES("8532", "2807", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("8533", "2807", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("8534", "2807", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8535", "2807", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("8536", "2807", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("8538", "2807", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("8539", "2807", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("8540", "2807", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("8558", "2105", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("8559", "2105", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("8560", "2105", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("8561", "2105", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9084", "2105", "_uncode_specific_footer_width", "");
INSERT INTO `wp_postmeta` VALUES("9095", "1161", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9096", "1161", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9097", "1161", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9098", "1161", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9101", "1165", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9102", "1165", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9103", "1165", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9104", "1165", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9106", "1165", "_uncode_specific_footer_block", "none");
INSERT INTO `wp_postmeta` VALUES("9108", "1165", "_uncode_specific_body_background", "");
INSERT INTO `wp_postmeta` VALUES("9115", "1163", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9116", "1163", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9117", "1163", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9118", "1163", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9132", "2209", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9133", "2209", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9134", "2209", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9135", "2209", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9141", "1167", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9142", "1167", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9143", "1167", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9144", "1167", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9191", "2460", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9192", "2460", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9193", "2460", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9194", "2460", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9313", "2649", "_wpb_shortcodes_custom_css", ".vc_custom_1564687854533{border-right-width: 1px !important;}.vc_custom_1577830056553{border-left-width: 1px !important;}");
INSERT INTO `wp_postmeta` VALUES("9388", "79178", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9389", "79178", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:669;s:6:\"height\";i:1008;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-1.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-1-300x452.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9390", "79179", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-2.jpg");
INSERT INTO `wp_postmeta` VALUES("9391", "79179", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:520;s:6:\"height\";i:792;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-2.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-2-300x457.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:457;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9392", "79180", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-3.png");
INSERT INTO `wp_postmeta` VALUES("9393", "79180", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:669;s:6:\"height\";i:1008;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-3.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-3-300x452.png\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9394", "79181", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-4.jpg");
INSERT INTO `wp_postmeta` VALUES("9395", "79181", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:522;s:6:\"height\";i:792;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-4.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-4-300x455.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:455;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9396", "79182", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-5.jpg");
INSERT INTO `wp_postmeta` VALUES("9397", "79182", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:521;s:6:\"height\";i:792;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-5.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-5-300x456.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:456;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9398", "79183", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-6.jpg");
INSERT INTO `wp_postmeta` VALUES("9399", "79183", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:336;s:6:\"height\";i:504;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-6.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-6-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9400", "79184", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-7.jpg");
INSERT INTO `wp_postmeta` VALUES("9401", "79184", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:494;s:6:\"height\";i:747;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-7.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-7-300x454.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:454;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9402", "79185", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-8.jpg");
INSERT INTO `wp_postmeta` VALUES("9403", "79185", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:528;s:6:\"height\";i:528;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-8.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-8-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9404", "79186", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-9.jpg");
INSERT INTO `wp_postmeta` VALUES("9405", "79186", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:661;s:6:\"height\";i:1008;s:4:\"file\";s:56:\"2019/12/melaniee-benson-new-york-escort__old-album-9.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-9-300x457.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:457;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__old-album-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9406", "79187", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-10.jpg");
INSERT INTO `wp_postmeta` VALUES("9407", "79187", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:792;s:6:\"height\";i:792;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-10.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-10-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-10-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9408", "79188", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-11.jpg");
INSERT INTO `wp_postmeta` VALUES("9409", "79188", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-11.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-11-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-11-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9410", "79189", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-12.jpg");
INSERT INTO `wp_postmeta` VALUES("9411", "79189", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-12.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-12-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9412", "79190", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-13.jpg");
INSERT INTO `wp_postmeta` VALUES("9413", "79190", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-13.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-13-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-13-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9414", "79191", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-14.jpg");
INSERT INTO `wp_postmeta` VALUES("9415", "79191", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:521;s:6:\"height\";i:792;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-14.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-14-300x456.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:456;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9416", "79192", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-15.jpg");
INSERT INTO `wp_postmeta` VALUES("9417", "79192", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:594;s:6:\"height\";i:900;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-15.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-15-300x455.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:455;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-15-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9418", "79193", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-16.jpg");
INSERT INTO `wp_postmeta` VALUES("9419", "79193", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:747;s:6:\"height\";i:498;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-16.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-16-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9420", "79194", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-17.jpg");
INSERT INTO `wp_postmeta` VALUES("9421", "79194", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:574;s:6:\"height\";i:869;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-17.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-17-300x454.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:454;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-17-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9422", "79195", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-18.jpg");
INSERT INTO `wp_postmeta` VALUES("9423", "79195", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-18.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-18-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-18-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9424", "79196", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-19.jpg");
INSERT INTO `wp_postmeta` VALUES("9425", "79196", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:478;s:6:\"height\";i:724;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-19.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-19-300x454.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:454;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-19-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9426", "79197", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__old-album-20.jpg");
INSERT INTO `wp_postmeta` VALUES("9427", "79197", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:790;s:6:\"height\";i:1008;s:4:\"file\";s:57:\"2019/12/melaniee-benson-new-york-escort__old-album-20.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-20-300x383.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:383;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-20-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:57:\"melaniee-benson-new-york-escort__old-album-20-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9428", "79198", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__inez-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9429", "79198", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:339;s:6:\"height\";i:508;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__inez-1.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-1-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:10:\"Inez Lewis\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:30:\"Inez Lewis ALL RIGHTS RESERVED\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9430", "79199", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__inez-2.jpg");
INSERT INTO `wp_postmeta` VALUES("9431", "79199", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:339;s:6:\"height\";i:508;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__inez-2.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-2-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9432", "79200", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__inez-3.jpg");
INSERT INTO `wp_postmeta` VALUES("9433", "79200", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:339;s:6:\"height\";i:508;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__inez-3.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-3-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9436", "79202", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__inez-5.jpg");
INSERT INTO `wp_postmeta` VALUES("9437", "79202", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:339;s:6:\"height\";i:508;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__inez-5.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-5-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9438", "79203", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__inez-6.jpg");
INSERT INTO `wp_postmeta` VALUES("9439", "79203", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:761;s:6:\"height\";i:508;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__inez-6.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-6-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9440", "79204", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__inez-7.jpg");
INSERT INTO `wp_postmeta` VALUES("9441", "79204", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:761;s:6:\"height\";i:508;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__inez-7.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-7-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__inez-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9442", "79205", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-27.jpg");
INSERT INTO `wp_postmeta` VALUES("9443", "79205", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-27.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-27-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-27-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9444", "79206", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-28.jpg");
INSERT INTO `wp_postmeta` VALUES("9445", "79206", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-28.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-28-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-28-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9446", "79207", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-29.jpg");
INSERT INTO `wp_postmeta` VALUES("9447", "79207", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-29.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-29-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-29-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9448", "79208", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-30.jpg");
INSERT INTO `wp_postmeta` VALUES("9449", "79208", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-30.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-30-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-30-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9450", "79209", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-31.jpg");
INSERT INTO `wp_postmeta` VALUES("9451", "79209", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-31.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-31-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-31-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9452", "79210", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-32.jpg");
INSERT INTO `wp_postmeta` VALUES("9453", "79210", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-32.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-32-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-32-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9454", "79211", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-33.jpg");
INSERT INTO `wp_postmeta` VALUES("9455", "79211", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-33.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-33-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-33-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-33-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9456", "79212", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-34.jpg");
INSERT INTO `wp_postmeta` VALUES("9457", "79212", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-34.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-34-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-34-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-34-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9458", "79213", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-35.jpg");
INSERT INTO `wp_postmeta` VALUES("9459", "79213", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-35.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-35-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-35-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9460", "79214", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-36.jpg");
INSERT INTO `wp_postmeta` VALUES("9461", "79214", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-36.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-36-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-36-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9462", "79215", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-37.jpg");
INSERT INTO `wp_postmeta` VALUES("9463", "79215", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-37.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-37-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-37-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-37-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9464", "79216", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-38.jpg");
INSERT INTO `wp_postmeta` VALUES("9465", "79216", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-38.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-38-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-38-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-38-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9466", "79217", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-17.jpg");
INSERT INTO `wp_postmeta` VALUES("9467", "79217", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-17.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-17-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-17-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-17-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9468", "79218", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-18.jpg");
INSERT INTO `wp_postmeta` VALUES("9469", "79218", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-18.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-18-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9470", "79219", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-19.jpg");
INSERT INTO `wp_postmeta` VALUES("9471", "79219", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-19.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-19-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-19-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-19-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9472", "79220", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-20.jpg");
INSERT INTO `wp_postmeta` VALUES("9473", "79220", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-20.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-20-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-20-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-20-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9474", "79221", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-21.jpg");
INSERT INTO `wp_postmeta` VALUES("9475", "79221", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:663;s:6:\"height\";i:994;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-21.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-21-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-21-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9476", "79222", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-22.jpg");
INSERT INTO `wp_postmeta` VALUES("9477", "79222", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-22.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-22-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-22-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-22-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9478", "79223", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-23.jpg");
INSERT INTO `wp_postmeta` VALUES("9479", "79223", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-23.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-23-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-23-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9480", "79224", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-24.jpg");
INSERT INTO `wp_postmeta` VALUES("9481", "79224", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-24.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-24-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-24-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9482", "79225", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-25.jpg");
INSERT INTO `wp_postmeta` VALUES("9483", "79225", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-25.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-25-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-25-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-25-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9484", "79226", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-26.jpg");
INSERT INTO `wp_postmeta` VALUES("9485", "79226", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-26.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-26-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-26-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9486", "79227", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9487", "79227", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-1.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-1-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9488", "79228", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-2.jpg");
INSERT INTO `wp_postmeta` VALUES("9489", "79228", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-2.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-2-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9490", "79229", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-3.jpg");
INSERT INTO `wp_postmeta` VALUES("9491", "79229", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-3.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9492", "79230", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-4.jpg");
INSERT INTO `wp_postmeta` VALUES("9493", "79230", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-4.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9494", "79231", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-5.jpg");
INSERT INTO `wp_postmeta` VALUES("9495", "79231", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-5.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-5-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-5-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9496", "79232", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-6.jpg");
INSERT INTO `wp_postmeta` VALUES("9497", "79232", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-6.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-6-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9498", "79233", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-7.jpg");
INSERT INTO `wp_postmeta` VALUES("9499", "79233", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-7.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-7-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9500", "79234", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-8.jpg");
INSERT INTO `wp_postmeta` VALUES("9501", "79234", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-8.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-8-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9502", "79235", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-9.jpg");
INSERT INTO `wp_postmeta` VALUES("9503", "79235", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:672;s:4:\"file\";s:51:\"2019/12/melaniee-benson-new-york-escort__clic-9.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-9-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"melaniee-benson-new-york-escort__clic-9-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9504", "79236", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-10.jpg");
INSERT INTO `wp_postmeta` VALUES("9505", "79236", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-10.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-10-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9506", "79237", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-11.jpg");
INSERT INTO `wp_postmeta` VALUES("9507", "79237", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-11.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-11-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9508", "79238", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-12.jpg");
INSERT INTO `wp_postmeta` VALUES("9509", "79238", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-12.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-12-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9510", "79239", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-13.jpg");
INSERT INTO `wp_postmeta` VALUES("9511", "79239", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-13.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-13-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-13-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9512", "79240", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-14.jpg");
INSERT INTO `wp_postmeta` VALUES("9513", "79240", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1008;s:6:\"height\";i:402;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-14.jpg\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-14-300x120.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-14-768x306.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:306;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9514", "79241", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-15.jpg");
INSERT INTO `wp_postmeta` VALUES("9515", "79241", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-15.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-15-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-15-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9516", "79242", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__clic-16.jpg");
INSERT INTO `wp_postmeta` VALUES("9517", "79242", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:672;s:6:\"height\";i:1008;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__clic-16.jpg\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-16-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__clic-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9518", "79243", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9519", "79243", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1888;s:6:\"height\";i:1254;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-1.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-1-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-1-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-1-1536x1020.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1020;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9520", "79244", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-2.jpg");
INSERT INTO `wp_postmeta` VALUES("9521", "79244", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1888;s:6:\"height\";i:1254;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-2.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-2-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-2-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-2-1536x1020.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1020;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9522", "79245", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-3.jpg");
INSERT INTO `wp_postmeta` VALUES("9523", "79245", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1348;s:6:\"height\";i:2029;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-3.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-3-300x452.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__lotus-3-768x1156.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-3-1020x1536.jpg\";s:5:\"width\";i:1020;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9524", "79246", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-4.jpg");
INSERT INTO `wp_postmeta` VALUES("9525", "79246", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1348;s:6:\"height\";i:2029;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-4.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-4-300x452.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__lotus-4-768x1156.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-4-1020x1536.jpg\";s:5:\"width\";i:1020;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9526", "79247", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-5.jpg");
INSERT INTO `wp_postmeta` VALUES("9527", "79247", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1348;s:6:\"height\";i:2029;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-5.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-5-300x452.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__lotus-5-768x1156.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-5-1020x1536.jpg\";s:5:\"width\";i:1020;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9528", "79248", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-6.jpg");
INSERT INTO `wp_postmeta` VALUES("9529", "79248", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1348;s:6:\"height\";i:2029;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-6.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-6-300x452.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__lotus-6-768x1156.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-6-1020x1536.jpg\";s:5:\"width\";i:1020;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9530", "79249", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__lotus-7.jpg");
INSERT INTO `wp_postmeta` VALUES("9531", "79249", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1348;s:6:\"height\";i:2029;s:4:\"file\";s:52:\"2019/12/melaniee-benson-new-york-escort__lotus-7.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-7-300x452.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"melaniee-benson-new-york-escort__lotus-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__lotus-7-768x1156.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1156;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__lotus-7-1020x1536.jpg\";s:5:\"width\";i:1020;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9532", "79250", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9533", "79250", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1074;s:6:\"height\";i:1984;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-1.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-1-300x554.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:554;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-1-768x1419.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1419;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-1-831x1536.jpg\";s:5:\"width\";i:831;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9534", "79251", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-2.jpg");
INSERT INTO `wp_postmeta` VALUES("9535", "79251", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1213;s:6:\"height\";i:1984;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-2.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-2-300x491.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:491;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-2-768x1256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1256;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-2-939x1536.jpg\";s:5:\"width\";i:939;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9536", "79252", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-3.jpg");
INSERT INTO `wp_postmeta` VALUES("9537", "79252", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1234;s:6:\"height\";i:1984;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-3.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-3-300x482.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:482;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-3-768x1235.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1235;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-3-955x1536.jpg\";s:5:\"width\";i:955;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9538", "79253", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-4.jpg");
INSERT INTO `wp_postmeta` VALUES("9539", "79253", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1366;s:6:\"height\";i:1984;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-4.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-4-300x436.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:436;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-4-768x1115.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1115;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:55:\"melaniee-benson-new-york-escort__blonde-4-1058x1536.jpg\";s:5:\"width\";i:1058;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9540", "79254", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-6.jpg");
INSERT INTO `wp_postmeta` VALUES("9541", "79254", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2000;s:6:\"height\";i:1136;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-6.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-6-300x170.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:170;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-6-768x436.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:436;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-6-1536x872.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:872;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9542", "79255", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-7.jpg");
INSERT INTO `wp_postmeta` VALUES("9543", "79255", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2000;s:6:\"height\";i:1089;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-7.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-7-300x163.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:163;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-7-768x418.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:418;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-7-1536x836.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:836;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9544", "79256", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-8.jpg");
INSERT INTO `wp_postmeta` VALUES("9545", "79256", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2000;s:6:\"height\";i:1174;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-8.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-8-300x176.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:176;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-8-768x451.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:451;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-8-1536x902.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:902;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9546", "79257", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-9.jpg");
INSERT INTO `wp_postmeta` VALUES("9547", "79257", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2000;s:6:\"height\";i:1309;s:4:\"file\";s:53:\"2019/12/melaniee-benson-new-york-escort__blonde-9.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-9-300x196.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:196;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-9-768x503.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:503;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:55:\"melaniee-benson-new-york-escort__blonde-9-1536x1005.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1005;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9548", "79258", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-10.jpg");
INSERT INTO `wp_postmeta` VALUES("9549", "79258", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2000;s:6:\"height\";i:1274;s:4:\"file\";s:54:\"2019/12/melaniee-benson-new-york-escort__blonde-10.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-10-300x191.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:191;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-10-768x489.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:489;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:55:\"melaniee-benson-new-york-escort__blonde-10-1536x978.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:978;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9550", "79259", "_wp_attached_file", "2019/12/melaniee-benson-new-york-escort__blonde-11.jpg");
INSERT INTO `wp_postmeta` VALUES("9551", "79259", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1323;s:6:\"height\";i:1984;s:4:\"file\";s:54:\"2019/12/melaniee-benson-new-york-escort__blonde-11.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-11-300x450.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:55:\"melaniee-benson-new-york-escort__blonde-11-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:56:\"melaniee-benson-new-york-escort__blonde-11-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9569", "79276", "_wp_attached_file", "2019/12/favicon-melaniee-benson.png");
INSERT INTO `wp_postmeta` VALUES("9570", "79276", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:35:\"2019/12/favicon-melaniee-benson.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"favicon-melaniee-benson-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"favicon-melaniee-benson-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9575", "79279", "_wp_attached_file", "2019/12/signature-melaniee-benson__black.png");
INSERT INTO `wp_postmeta` VALUES("9576", "79279", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:666;s:6:\"height\";i:180;s:4:\"file\";s:44:\"2019/12/signature-melaniee-benson__black.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"signature-melaniee-benson__black-300x81.png\";s:5:\"width\";i:300;s:6:\"height\";i:81;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:44:\"signature-melaniee-benson__black-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9577", "79280", "_wp_attached_file", "2019/12/signature-melaniee-benson__white.png");
INSERT INTO `wp_postmeta` VALUES("9578", "79280", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:666;s:6:\"height\";i:180;s:4:\"file\";s:44:\"2019/12/signature-melaniee-benson__white.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"signature-melaniee-benson__white-300x81.png\";s:5:\"width\";i:300;s:6:\"height\";i:81;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:44:\"signature-melaniee-benson__white-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9582", "79276", "_edit_lock", "1577682884:2");
INSERT INTO `wp_postmeta` VALUES("9583", "79282", "_wp_attached_file", "2019/12/logo-melaniee-benson__black-v2.png");
INSERT INTO `wp_postmeta` VALUES("9584", "79282", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:802;s:6:\"height\";i:478;s:4:\"file\";s:42:\"2019/12/logo-melaniee-benson__black-v2.png\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:42:\"logo-melaniee-benson__black-v2-300x179.png\";s:5:\"width\";i:300;s:6:\"height\";i:179;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:42:\"logo-melaniee-benson__black-v2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:42:\"logo-melaniee-benson__black-v2-768x458.png\";s:5:\"width\";i:768;s:6:\"height\";i:458;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9585", "79283", "_wp_attached_file", "2019/12/logo-melaniee-benson__white-v2.png");
INSERT INTO `wp_postmeta` VALUES("9586", "79283", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:802;s:6:\"height\";i:478;s:4:\"file\";s:42:\"2019/12/logo-melaniee-benson__white-v2.png\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:42:\"logo-melaniee-benson__white-v2-300x179.png\";s:5:\"width\";i:300;s:6:\"height\";i:179;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:42:\"logo-melaniee-benson__white-v2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:42:\"logo-melaniee-benson__white-v2-768x458.png\";s:5:\"width\";i:768;s:6:\"height\";i:458;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9611", "79298", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9612", "79298", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("9613", "79298", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("9614", "79298", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("9615", "79298", "_revision-control", "a:1:{i:0;s:8:\"defaults\";}");
INSERT INTO `wp_postmeta` VALUES("9616", "79298", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("9617", "79298", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("9618", "79298", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("9619", "79298", "_uncode_revslider_list", "");
INSERT INTO `wp_postmeta` VALUES("9620", "79298", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("9621", "79298", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("9622", "79298", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("9623", "79298", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("9624", "79298", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("9625", "79298", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("9626", "79298", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("9627", "79298", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("9628", "79298", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("9629", "79298", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("9630", "79298", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("9631", "79298", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("9632", "79298", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("9633", "79298", "_uncode_header_kburns", "");
INSERT INTO `wp_postmeta` VALUES("9634", "79298", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("9635", "79298", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("9636", "79298", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("9637", "79298", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("9638", "79298", "_uncode_menu_no_padding_mobile", "on");
INSERT INTO `wp_postmeta` VALUES("9639", "79298", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("9640", "79298", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("9641", "79298", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("9642", "79298", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("9643", "79298", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("9644", "79298", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("9645", "79298", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("9646", "79298", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("9647", "79298", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("9648", "79298", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("9649", "79298", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("9650", "79298", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("9651", "79298", "_uncode_scroll_snap", "off");
INSERT INTO `wp_postmeta` VALUES("9652", "79298", "_edit_lock", "1577769227:2");
INSERT INTO `wp_postmeta` VALUES("9653", "79298", "_uncode_header_type", "none");
INSERT INTO `wp_postmeta` VALUES("9654", "79298", "_uncode_specific_footer_block", "");
INSERT INTO `wp_postmeta` VALUES("9655", "79298", "lead_call_buttons_options_hide_lead_call_buttons", NULL);
INSERT INTO `wp_postmeta` VALUES("9656", "79298", "_mtsnb_override_bar", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("9657", "79298", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("9658", "79298", "_yoast_wpseo_primary_page_category", "");
INSERT INTO `wp_postmeta` VALUES("9659", "79298", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9660", "79298", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9661", "79298", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9662", "79298", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9698", "79311", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("9699", "79311", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("9700", "79311", "_menu_item_object_id", "79298");
INSERT INTO `wp_postmeta` VALUES("9701", "79311", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("9702", "79311", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("9703", "79311", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("9704", "79311", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("9705", "79311", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("9707", "79311", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("9708", "79311", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("9709", "79311", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("9722", "79322", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9723", "79322", "_mtsnb_data", "a:15:{s:10:\"active_tab\";s:7:\"general\";s:6:\"button\";s:9:\"no_button\";s:13:\"content_width\";s:3:\"960\";s:12:\"css_position\";s:8:\"absolute\";s:12:\"content_type\";s:6:\"button\";s:16:\"basic_link_style\";s:4:\"link\";s:10:\"basic_text\";s:23:\"I\'m on tour in January.\";s:15:\"basic_link_text\";s:12:\"Book Now →\";s:14:\"basic_link_url\";s:35:\"https://melanieebenson.com/booking/\";s:14:\"custom_content\";s:0:\"\";s:8:\"bg_color\";s:7:\"#222222\";s:9:\"txt_color\";s:7:\"#cccccc\";s:10:\"link_color\";s:7:\"#ffffff\";s:9:\"font_size\";s:2:\"15\";s:10:\"conditions\";a:6:{s:8:\"location\";a:1:{s:5:\"state\";s:0:\"\";}s:11:\"notlocation\";a:1:{s:5:\"state\";s:0:\"\";}s:6:\"google\";a:1:{s:5:\"state\";s:0:\"\";}s:9:\"notgoogle\";a:1:{s:5:\"state\";s:0:\"\";}s:8:\"facebook\";a:1:{s:5:\"state\";s:0:\"\";}s:11:\"notfacebook\";a:1:{s:5:\"state\";s:0:\"\";}}}");
INSERT INTO `wp_postmeta` VALUES("9724", "79322", "_edit_lock", "1577766398:2");
INSERT INTO `wp_postmeta` VALUES("9732", "1165", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9733", "2105", "_thumbnail_id", "79255");
INSERT INTO `wp_postmeta` VALUES("9735", "2105", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9736", "1163", "_thumbnail_id", "79249");
INSERT INTO `wp_postmeta` VALUES("9737", "1163", "_yoast_wpseo_title", "%%title%% %%page%% %%sep%% %%sitename%% | Manhattan Escort in New York");
INSERT INTO `wp_postmeta` VALUES("9740", "2209", "_yoast_wpseo_title", "%%title%% %%page%% %%sep%% %%sitename%% | Escort in Manhattan NYC");
INSERT INTO `wp_postmeta` VALUES("9744", "2209", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9746", "79298", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9747", "1161", "_thumbnail_id", "79259");
INSERT INTO `wp_postmeta` VALUES("9748", "1161", "_yoast_wpseo_title", "%%title%% %%page%% %%sep%% %%sitename%% | New York Escort in Manhattan");
INSERT INTO `wp_postmeta` VALUES("9749", "1161", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("9753", "2460", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9754", "79332", "_pum_built_in", "default-theme");
INSERT INTO `wp_postmeta` VALUES("9755", "79332", "_pum_default_theme", "1");
INSERT INTO `wp_postmeta` VALUES("9756", "79332", "popup_theme_data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9757", "79332", "popup_theme_settings", "a:67:{s:24:\"overlay_background_color\";s:7:\"#000000\";s:26:\"overlay_background_opacity\";s:2:\"80\";s:13:\"atc_promotion\";N;s:17:\"container_padding\";s:2:\"54\";s:23:\"container_border_radius\";s:1:\"0\";s:26:\"container_background_color\";s:7:\"#222222\";s:28:\"container_background_opacity\";s:3:\"100\";s:22:\"container_border_style\";s:4:\"none\";s:22:\"container_border_color\";s:7:\"#000000\";s:22:\"container_border_width\";s:1:\"1\";s:25:\"container_boxshadow_color\";s:7:\"#020202\";s:27:\"container_boxshadow_opacity\";s:1:\"0\";s:30:\"container_boxshadow_horizontal\";s:1:\"0\";s:28:\"container_boxshadow_vertical\";s:1:\"0\";s:24:\"container_boxshadow_blur\";s:1:\"0\";s:26:\"container_boxshadow_spread\";s:1:\"0\";s:25:\"container_boxshadow_inset\";s:2:\"no\";s:16:\"title_font_color\";s:7:\"#ffffff\";s:15:\"title_font_size\";s:2:\"32\";s:17:\"title_line_height\";s:2:\"36\";s:17:\"title_font_family\";s:7:\"inherit\";s:17:\"title_font_weight\";s:3:\"400\";s:16:\"title_font_style\";s:0:\"\";s:16:\"title_text_align\";s:6:\"center\";s:22:\"title_textshadow_color\";s:7:\"#020202\";s:24:\"title_textshadow_opacity\";s:1:\"0\";s:27:\"title_textshadow_horizontal\";s:1:\"0\";s:25:\"title_textshadow_vertical\";s:1:\"0\";s:21:\"title_textshadow_blur\";s:1:\"0\";s:18:\"content_font_color\";s:7:\"#ffffff\";s:19:\"content_font_family\";s:7:\"inherit\";s:19:\"content_font_weight\";s:3:\"400\";s:18:\"content_font_style\";s:0:\"\";s:10:\"close_text\";s:1:\"X\";s:22:\"close_position_outside\";i:0;s:14:\"close_location\";s:8:\"topright\";s:18:\"close_position_top\";s:1:\"0\";s:21:\"close_position_bottom\";s:1:\"0\";s:19:\"close_position_left\";s:1:\"0\";s:20:\"close_position_right\";s:1:\"0\";s:13:\"close_padding\";s:1:\"8\";s:12:\"close_height\";s:1:\"0\";s:11:\"close_width\";s:2:\"36\";s:19:\"close_border_radius\";s:1:\"0\";s:22:\"close_background_color\";s:7:\"#ffffff\";s:24:\"close_background_opacity\";s:3:\"100\";s:16:\"close_font_color\";s:7:\"#000000\";s:15:\"close_font_size\";s:2:\"12\";s:17:\"close_line_height\";s:2:\"36\";s:17:\"close_font_family\";s:7:\"inherit\";s:17:\"close_font_weight\";s:3:\"400\";s:16:\"close_font_style\";s:0:\"\";s:18:\"close_border_style\";s:4:\"none\";s:18:\"close_border_color\";s:7:\"#ffffff\";s:18:\"close_border_width\";s:1:\"1\";s:21:\"close_boxshadow_color\";s:7:\"#020202\";s:23:\"close_boxshadow_opacity\";s:2:\"23\";s:26:\"close_boxshadow_horizontal\";s:1:\"0\";s:24:\"close_boxshadow_vertical\";s:1:\"0\";s:20:\"close_boxshadow_blur\";s:1:\"0\";s:22:\"close_boxshadow_spread\";s:1:\"0\";s:21:\"close_boxshadow_inset\";s:2:\"no\";s:22:\"close_textshadow_color\";s:7:\"#000000\";s:24:\"close_textshadow_opacity\";s:2:\"23\";s:27:\"close_textshadow_horizontal\";s:1:\"0\";s:25:\"close_textshadow_vertical\";s:1:\"0\";s:21:\"close_textshadow_blur\";s:1:\"0\";}");
INSERT INTO `wp_postmeta` VALUES("9758", "79333", "popup_theme_settings", "a:67:{s:24:\"overlay_background_color\";s:7:\"#000000\";s:26:\"overlay_background_opacity\";s:2:\"60\";s:17:\"container_padding\";s:2:\"18\";s:26:\"container_background_color\";s:7:\"#ffffff\";s:28:\"container_background_opacity\";s:3:\"100\";s:22:\"container_border_style\";s:5:\"solid\";s:22:\"container_border_color\";s:7:\"#000000\";s:22:\"container_border_width\";s:1:\"8\";s:23:\"container_border_radius\";s:1:\"3\";s:25:\"container_boxshadow_inset\";s:2:\"no\";s:30:\"container_boxshadow_horizontal\";s:1:\"0\";s:28:\"container_boxshadow_vertical\";s:1:\"0\";s:24:\"container_boxshadow_blur\";s:2:\"30\";s:26:\"container_boxshadow_spread\";s:1:\"0\";s:25:\"container_boxshadow_color\";s:7:\"#020202\";s:27:\"container_boxshadow_opacity\";s:3:\"100\";s:16:\"title_font_color\";s:7:\"#000000\";s:17:\"title_line_height\";s:2:\"36\";s:15:\"title_font_size\";s:2:\"32\";s:17:\"title_font_family\";s:7:\"inherit\";s:17:\"title_font_weight\";s:3:\"100\";s:16:\"title_font_style\";s:0:\"\";s:16:\"title_text_align\";s:4:\"left\";s:27:\"title_textshadow_horizontal\";s:1:\"0\";s:25:\"title_textshadow_vertical\";s:1:\"0\";s:21:\"title_textshadow_blur\";s:1:\"0\";s:22:\"title_textshadow_color\";s:7:\"#020202\";s:24:\"title_textshadow_opacity\";s:2:\"23\";s:18:\"content_font_color\";s:7:\"#000000\";s:19:\"content_font_family\";s:7:\"inherit\";s:19:\"content_font_weight\";s:3:\"100\";s:18:\"content_font_style\";s:0:\"\";s:10:\"close_text\";s:7:\"&times;\";s:14:\"close_location\";s:8:\"topright\";s:18:\"close_position_top\";s:3:\"-13\";s:19:\"close_position_left\";s:1:\"0\";s:21:\"close_position_bottom\";s:1:\"0\";s:20:\"close_position_right\";s:3:\"-13\";s:13:\"close_padding\";s:1:\"0\";s:12:\"close_height\";s:2:\"26\";s:11:\"close_width\";s:2:\"26\";s:22:\"close_background_color\";s:7:\"#000000\";s:24:\"close_background_opacity\";s:3:\"100\";s:16:\"close_font_color\";s:7:\"#ffffff\";s:17:\"close_line_height\";s:2:\"24\";s:15:\"close_font_size\";s:2:\"24\";s:17:\"close_font_family\";s:5:\"Arial\";s:17:\"close_font_weight\";s:3:\"100\";s:16:\"close_font_style\";s:0:\"\";s:18:\"close_border_style\";s:5:\"solid\";s:18:\"close_border_color\";s:7:\"#ffffff\";s:18:\"close_border_width\";s:1:\"2\";s:19:\"close_border_radius\";s:2:\"26\";s:21:\"close_boxshadow_inset\";s:2:\"no\";s:26:\"close_boxshadow_horizontal\";s:1:\"0\";s:24:\"close_boxshadow_vertical\";s:1:\"0\";s:20:\"close_boxshadow_blur\";s:2:\"15\";s:22:\"close_boxshadow_spread\";s:1:\"1\";s:21:\"close_boxshadow_color\";s:7:\"#020202\";s:23:\"close_boxshadow_opacity\";s:2:\"75\";s:27:\"close_textshadow_horizontal\";s:1:\"0\";s:25:\"close_textshadow_vertical\";s:1:\"0\";s:21:\"close_textshadow_blur\";s:1:\"0\";s:22:\"close_textshadow_color\";s:7:\"#000000\";s:24:\"close_textshadow_opacity\";s:2:\"23\";s:13:\"atc_promotion\";N;s:22:\"close_position_outside\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("9759", "79333", "popup_theme_data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9760", "79333", "_pum_built_in", "lightbox");
INSERT INTO `wp_postmeta` VALUES("9761", "79334", "popup_theme_settings", "a:67:{s:24:\"overlay_background_color\";s:7:\"#000000\";s:26:\"overlay_background_opacity\";s:2:\"70\";s:17:\"container_padding\";s:2:\"28\";s:26:\"container_background_color\";s:7:\"#ffffff\";s:28:\"container_background_opacity\";s:3:\"100\";s:22:\"container_border_style\";s:4:\"none\";s:22:\"container_border_color\";s:7:\"#000000\";s:22:\"container_border_width\";s:1:\"1\";s:23:\"container_border_radius\";s:1:\"5\";s:25:\"container_boxshadow_inset\";s:2:\"no\";s:30:\"container_boxshadow_horizontal\";s:1:\"0\";s:28:\"container_boxshadow_vertical\";s:2:\"10\";s:24:\"container_boxshadow_blur\";s:2:\"25\";s:26:\"container_boxshadow_spread\";s:1:\"4\";s:25:\"container_boxshadow_color\";s:7:\"#020202\";s:27:\"container_boxshadow_opacity\";s:2:\"50\";s:16:\"title_font_color\";s:7:\"#315b7c\";s:17:\"title_line_height\";s:2:\"36\";s:15:\"title_font_size\";s:2:\"34\";s:17:\"title_font_family\";s:7:\"inherit\";s:17:\"title_font_weight\";s:3:\"100\";s:16:\"title_font_style\";s:0:\"\";s:16:\"title_text_align\";s:4:\"left\";s:27:\"title_textshadow_horizontal\";s:1:\"0\";s:25:\"title_textshadow_vertical\";s:1:\"0\";s:21:\"title_textshadow_blur\";s:1:\"0\";s:22:\"title_textshadow_color\";s:7:\"#020202\";s:24:\"title_textshadow_opacity\";s:2:\"23\";s:18:\"content_font_color\";s:7:\"#2d2d2d\";s:19:\"content_font_family\";s:7:\"inherit\";s:19:\"content_font_weight\";s:3:\"100\";s:18:\"content_font_style\";s:0:\"\";s:10:\"close_text\";s:2:\"×\";s:14:\"close_location\";s:8:\"topright\";s:18:\"close_position_top\";s:1:\"8\";s:19:\"close_position_left\";s:1:\"0\";s:21:\"close_position_bottom\";s:1:\"0\";s:20:\"close_position_right\";s:1:\"8\";s:13:\"close_padding\";s:1:\"4\";s:12:\"close_height\";s:2:\"28\";s:11:\"close_width\";s:2:\"28\";s:22:\"close_background_color\";s:7:\"#315b7c\";s:24:\"close_background_opacity\";s:3:\"100\";s:16:\"close_font_color\";s:7:\"#ffffff\";s:17:\"close_line_height\";s:2:\"20\";s:15:\"close_font_size\";s:2:\"20\";s:17:\"close_font_family\";s:15:\"Times New Roman\";s:17:\"close_font_weight\";s:3:\"100\";s:16:\"close_font_style\";s:0:\"\";s:18:\"close_border_style\";s:4:\"none\";s:18:\"close_border_color\";s:7:\"#ffffff\";s:18:\"close_border_width\";s:1:\"1\";s:19:\"close_border_radius\";s:2:\"42\";s:21:\"close_boxshadow_inset\";s:2:\"no\";s:26:\"close_boxshadow_horizontal\";s:1:\"0\";s:24:\"close_boxshadow_vertical\";s:1:\"0\";s:20:\"close_boxshadow_blur\";s:1:\"0\";s:22:\"close_boxshadow_spread\";s:1:\"0\";s:21:\"close_boxshadow_color\";s:7:\"#020202\";s:23:\"close_boxshadow_opacity\";s:2:\"23\";s:27:\"close_textshadow_horizontal\";s:1:\"0\";s:25:\"close_textshadow_vertical\";s:1:\"0\";s:21:\"close_textshadow_blur\";s:1:\"0\";s:22:\"close_textshadow_color\";s:7:\"#000000\";s:24:\"close_textshadow_opacity\";s:2:\"23\";s:13:\"atc_promotion\";N;s:22:\"close_position_outside\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("9762", "79334", "popup_theme_data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9763", "79334", "_pum_built_in", "enterprise-blue");
INSERT INTO `wp_postmeta` VALUES("9764", "79335", "popup_theme_settings", "a:67:{s:24:\"overlay_background_color\";s:7:\"#000000\";s:26:\"overlay_background_opacity\";s:2:\"75\";s:17:\"container_padding\";s:2:\"30\";s:26:\"container_background_color\";s:7:\"#ffffff\";s:28:\"container_background_opacity\";s:3:\"100\";s:22:\"container_border_style\";s:5:\"solid\";s:22:\"container_border_color\";s:7:\"#81d742\";s:22:\"container_border_width\";s:2:\"14\";s:23:\"container_border_radius\";s:2:\"80\";s:25:\"container_boxshadow_inset\";s:2:\"no\";s:30:\"container_boxshadow_horizontal\";s:1:\"0\";s:28:\"container_boxshadow_vertical\";s:1:\"0\";s:24:\"container_boxshadow_blur\";s:1:\"0\";s:26:\"container_boxshadow_spread\";s:1:\"0\";s:25:\"container_boxshadow_color\";s:7:\"#020202\";s:27:\"container_boxshadow_opacity\";s:1:\"0\";s:16:\"title_font_color\";s:7:\"#2d2d2d\";s:17:\"title_line_height\";s:2:\"36\";s:15:\"title_font_size\";s:2:\"32\";s:17:\"title_font_family\";s:10:\"Montserrat\";s:17:\"title_font_weight\";s:3:\"100\";s:16:\"title_font_style\";s:0:\"\";s:16:\"title_text_align\";s:4:\"left\";s:27:\"title_textshadow_horizontal\";s:1:\"0\";s:25:\"title_textshadow_vertical\";s:1:\"0\";s:21:\"title_textshadow_blur\";s:1:\"0\";s:22:\"title_textshadow_color\";s:7:\"#020202\";s:24:\"title_textshadow_opacity\";s:2:\"23\";s:18:\"content_font_color\";s:7:\"#2d2d2d\";s:19:\"content_font_family\";s:7:\"inherit\";s:19:\"content_font_weight\";s:3:\"100\";s:18:\"content_font_style\";s:0:\"\";s:10:\"close_text\";s:2:\"×\";s:14:\"close_location\";s:8:\"topright\";s:18:\"close_position_top\";s:3:\"-30\";s:19:\"close_position_left\";s:3:\"-30\";s:21:\"close_position_bottom\";s:1:\"0\";s:20:\"close_position_right\";s:3:\"-30\";s:13:\"close_padding\";s:1:\"0\";s:12:\"close_height\";s:1:\"0\";s:11:\"close_width\";s:1:\"0\";s:22:\"close_background_color\";s:7:\"#ffffff\";s:24:\"close_background_opacity\";s:3:\"100\";s:16:\"close_font_color\";s:7:\"#2d2d2d\";s:17:\"close_line_height\";s:2:\"28\";s:15:\"close_font_size\";s:2:\"32\";s:17:\"close_font_family\";s:15:\"Times New Roman\";s:17:\"close_font_weight\";s:3:\"100\";s:16:\"close_font_style\";s:0:\"\";s:18:\"close_border_style\";s:4:\"none\";s:18:\"close_border_color\";s:7:\"#ffffff\";s:18:\"close_border_width\";s:1:\"1\";s:19:\"close_border_radius\";s:2:\"28\";s:21:\"close_boxshadow_inset\";s:2:\"no\";s:26:\"close_boxshadow_horizontal\";s:1:\"0\";s:24:\"close_boxshadow_vertical\";s:1:\"0\";s:20:\"close_boxshadow_blur\";s:1:\"0\";s:22:\"close_boxshadow_spread\";s:1:\"0\";s:21:\"close_boxshadow_color\";s:7:\"#020202\";s:23:\"close_boxshadow_opacity\";s:2:\"23\";s:27:\"close_textshadow_horizontal\";s:1:\"0\";s:25:\"close_textshadow_vertical\";s:1:\"0\";s:21:\"close_textshadow_blur\";s:1:\"0\";s:22:\"close_textshadow_color\";s:7:\"#000000\";s:24:\"close_textshadow_opacity\";s:2:\"23\";s:13:\"atc_promotion\";N;s:22:\"close_position_outside\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("9765", "79335", "popup_theme_data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9766", "79335", "_pum_built_in", "hello-box");
INSERT INTO `wp_postmeta` VALUES("9767", "79336", "popup_theme_settings", "a:67:{s:24:\"overlay_background_color\";s:7:\"#000000\";s:26:\"overlay_background_opacity\";s:2:\"50\";s:17:\"container_padding\";s:2:\"18\";s:26:\"container_background_color\";s:7:\"#1e73be\";s:28:\"container_background_opacity\";s:3:\"100\";s:22:\"container_border_style\";s:4:\"none\";s:22:\"container_border_color\";s:7:\"#000000\";s:22:\"container_border_width\";s:1:\"1\";s:23:\"container_border_radius\";s:1:\"0\";s:25:\"container_boxshadow_inset\";s:2:\"no\";s:30:\"container_boxshadow_horizontal\";s:1:\"0\";s:28:\"container_boxshadow_vertical\";s:2:\"10\";s:24:\"container_boxshadow_blur\";s:2:\"25\";s:26:\"container_boxshadow_spread\";s:1:\"0\";s:25:\"container_boxshadow_color\";s:7:\"#020202\";s:27:\"container_boxshadow_opacity\";s:2:\"50\";s:16:\"title_font_color\";s:7:\"#ffffff\";s:17:\"title_line_height\";s:2:\"28\";s:15:\"title_font_size\";s:2:\"26\";s:17:\"title_font_family\";s:10:\"Sans-Serif\";s:17:\"title_font_weight\";s:3:\"100\";s:16:\"title_font_style\";s:0:\"\";s:16:\"title_text_align\";s:4:\"left\";s:27:\"title_textshadow_horizontal\";s:1:\"0\";s:25:\"title_textshadow_vertical\";s:1:\"0\";s:21:\"title_textshadow_blur\";s:1:\"0\";s:22:\"title_textshadow_color\";s:7:\"#020202\";s:24:\"title_textshadow_opacity\";s:2:\"23\";s:18:\"content_font_color\";s:7:\"#ffffff\";s:19:\"content_font_family\";s:7:\"inherit\";s:19:\"content_font_weight\";s:3:\"100\";s:18:\"content_font_style\";s:0:\"\";s:10:\"close_text\";s:2:\"×\";s:14:\"close_location\";s:8:\"topright\";s:18:\"close_position_top\";s:1:\"0\";s:19:\"close_position_left\";s:1:\"0\";s:21:\"close_position_bottom\";s:1:\"0\";s:20:\"close_position_right\";s:1:\"0\";s:13:\"close_padding\";s:1:\"0\";s:12:\"close_height\";s:2:\"24\";s:11:\"close_width\";s:2:\"24\";s:22:\"close_background_color\";s:7:\"#eeee22\";s:24:\"close_background_opacity\";s:3:\"100\";s:16:\"close_font_color\";s:7:\"#1e73be\";s:17:\"close_line_height\";s:2:\"24\";s:15:\"close_font_size\";s:2:\"32\";s:17:\"close_font_family\";s:15:\"Times New Roman\";s:17:\"close_font_weight\";s:3:\"100\";s:16:\"close_font_style\";s:0:\"\";s:18:\"close_border_style\";s:4:\"none\";s:18:\"close_border_color\";s:7:\"#ffffff\";s:18:\"close_border_width\";s:1:\"1\";s:19:\"close_border_radius\";s:1:\"0\";s:21:\"close_boxshadow_inset\";s:2:\"no\";s:26:\"close_boxshadow_horizontal\";s:2:\"-1\";s:24:\"close_boxshadow_vertical\";s:1:\"1\";s:20:\"close_boxshadow_blur\";s:1:\"1\";s:22:\"close_boxshadow_spread\";s:1:\"0\";s:21:\"close_boxshadow_color\";s:7:\"#020202\";s:23:\"close_boxshadow_opacity\";s:2:\"10\";s:27:\"close_textshadow_horizontal\";s:2:\"-1\";s:25:\"close_textshadow_vertical\";s:1:\"1\";s:21:\"close_textshadow_blur\";s:1:\"1\";s:22:\"close_textshadow_color\";s:7:\"#000000\";s:24:\"close_textshadow_opacity\";s:2:\"10\";s:13:\"atc_promotion\";N;s:22:\"close_position_outside\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("9768", "79336", "popup_theme_data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9769", "79336", "_pum_built_in", "cutting-edge");
INSERT INTO `wp_postmeta` VALUES("9770", "79337", "popup_theme_settings", "a:67:{s:24:\"overlay_background_color\";s:7:\"#ffffff\";s:26:\"overlay_background_opacity\";s:2:\"50\";s:17:\"container_padding\";s:2:\"18\";s:26:\"container_background_color\";s:7:\"#fffbef\";s:28:\"container_background_opacity\";s:3:\"100\";s:22:\"container_border_style\";s:6:\"outset\";s:22:\"container_border_color\";s:7:\"#dd3333\";s:22:\"container_border_width\";s:2:\"20\";s:23:\"container_border_radius\";s:1:\"0\";s:25:\"container_boxshadow_inset\";s:3:\"yes\";s:30:\"container_boxshadow_horizontal\";s:1:\"1\";s:28:\"container_boxshadow_vertical\";s:1:\"1\";s:24:\"container_boxshadow_blur\";s:1:\"3\";s:26:\"container_boxshadow_spread\";s:1:\"0\";s:25:\"container_boxshadow_color\";s:7:\"#020202\";s:27:\"container_boxshadow_opacity\";s:2:\"97\";s:16:\"title_font_color\";s:7:\"#000000\";s:17:\"title_line_height\";s:2:\"36\";s:15:\"title_font_size\";s:2:\"32\";s:17:\"title_font_family\";s:7:\"inherit\";s:17:\"title_font_weight\";s:3:\"100\";s:16:\"title_font_style\";s:0:\"\";s:16:\"title_text_align\";s:4:\"left\";s:27:\"title_textshadow_horizontal\";s:1:\"0\";s:25:\"title_textshadow_vertical\";s:1:\"0\";s:21:\"title_textshadow_blur\";s:1:\"0\";s:22:\"title_textshadow_color\";s:7:\"#020202\";s:24:\"title_textshadow_opacity\";s:2:\"23\";s:18:\"content_font_color\";s:7:\"#2d2d2d\";s:19:\"content_font_family\";s:7:\"inherit\";s:19:\"content_font_weight\";s:3:\"100\";s:18:\"content_font_style\";s:0:\"\";s:10:\"close_text\";s:2:\"×\";s:14:\"close_location\";s:8:\"topright\";s:18:\"close_position_top\";s:3:\"-20\";s:19:\"close_position_left\";s:3:\"-20\";s:21:\"close_position_bottom\";s:1:\"0\";s:20:\"close_position_right\";s:3:\"-20\";s:13:\"close_padding\";s:1:\"0\";s:12:\"close_height\";s:2:\"20\";s:11:\"close_width\";s:2:\"20\";s:22:\"close_background_color\";s:7:\"#000000\";s:24:\"close_background_opacity\";s:2:\"55\";s:16:\"close_font_color\";s:7:\"#ffffff\";s:17:\"close_line_height\";s:2:\"18\";s:15:\"close_font_size\";s:2:\"16\";s:17:\"close_font_family\";s:6:\"Tahoma\";s:17:\"close_font_weight\";s:3:\"700\";s:16:\"close_font_style\";s:0:\"\";s:18:\"close_border_style\";s:4:\"none\";s:18:\"close_border_color\";s:7:\"#ffffff\";s:18:\"close_border_width\";s:1:\"1\";s:19:\"close_border_radius\";s:1:\"0\";s:21:\"close_boxshadow_inset\";s:2:\"no\";s:26:\"close_boxshadow_horizontal\";s:1:\"0\";s:24:\"close_boxshadow_vertical\";s:1:\"0\";s:20:\"close_boxshadow_blur\";s:1:\"0\";s:22:\"close_boxshadow_spread\";s:1:\"0\";s:21:\"close_boxshadow_color\";s:7:\"#020202\";s:23:\"close_boxshadow_opacity\";s:2:\"23\";s:27:\"close_textshadow_horizontal\";s:1:\"0\";s:25:\"close_textshadow_vertical\";s:1:\"0\";s:21:\"close_textshadow_blur\";s:1:\"0\";s:22:\"close_textshadow_color\";s:7:\"#000000\";s:24:\"close_textshadow_opacity\";s:2:\"23\";s:13:\"atc_promotion\";N;s:22:\"close_position_outside\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("9771", "79337", "popup_theme_data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9772", "79337", "_pum_built_in", "framed-border");
INSERT INTO `wp_postmeta` VALUES("9773", "79338", "data_version", "3");
INSERT INTO `wp_postmeta` VALUES("9774", "79338", "popup_open_count", "9397");
INSERT INTO `wp_postmeta` VALUES("9775", "79338", "_edit_lock", "1577770708:2");
INSERT INTO `wp_postmeta` VALUES("9776", "79338", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9777", "79338", "_wpb_vc_js_status", "false");
INSERT INTO `wp_postmeta` VALUES("9780", "79338", "_uncode_specific_main_width", "a:2:{i:0;s:4:\"1200\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9781", "79338", "_uncode_specific_menu_opaque", "off");
INSERT INTO `wp_postmeta` VALUES("9782", "79338", "_uncode_specific_menu_no_shadow", "off");
INSERT INTO `wp_postmeta` VALUES("9783", "79338", "_uncode_specific_menu_remove", "off");
INSERT INTO `wp_postmeta` VALUES("9784", "79338", "_uncode_blocks_list", "2649");
INSERT INTO `wp_postmeta` VALUES("9785", "79338", "_uncode_header_full_width", "on");
INSERT INTO `wp_postmeta` VALUES("9786", "79338", "_uncode_header_height", "a:2:{i:0;s:2:\"50\";i:1;s:1:\"%\";}");
INSERT INTO `wp_postmeta` VALUES("9787", "79338", "_uncode_header_title", "on");
INSERT INTO `wp_postmeta` VALUES("9788", "79338", "_uncode_header_title_custom", "off");
INSERT INTO `wp_postmeta` VALUES("9789", "79338", "_uncode_header_style", "dark");
INSERT INTO `wp_postmeta` VALUES("9790", "79338", "_uncode_header_content_width", "off");
INSERT INTO `wp_postmeta` VALUES("9791", "79338", "_uncode_header_custom_width", "100");
INSERT INTO `wp_postmeta` VALUES("9792", "79338", "_uncode_header_align", "left");
INSERT INTO `wp_postmeta` VALUES("9793", "79338", "_uncode_header_position", "header-center header-middle");
INSERT INTO `wp_postmeta` VALUES("9794", "79338", "_uncode_header_title_size", "h1");
INSERT INTO `wp_postmeta` VALUES("9795", "79338", "_uncode_header_title_italic", "off");
INSERT INTO `wp_postmeta` VALUES("9796", "79338", "_uncode_header_featured", "on");
INSERT INTO `wp_postmeta` VALUES("9797", "79338", "_uncode_header_parallax", "off");
INSERT INTO `wp_postmeta` VALUES("9798", "79338", "_uncode_header_overlay_color_alpha", "100");
INSERT INTO `wp_postmeta` VALUES("9799", "79338", "_uncode_header_scroll_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("9800", "79338", "_uncode_header_scrolldown", "off");
INSERT INTO `wp_postmeta` VALUES("9801", "79338", "_uncode_menu_no_padding", "off");
INSERT INTO `wp_postmeta` VALUES("9802", "79338", "_uncode_menu_no_padding_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("9803", "79338", "_uncode_specific_layout_width_custom", "a:2:{i:0;s:0:\"\";i:1;s:2:\"px\";}");
INSERT INTO `wp_postmeta` VALUES("9804", "79338", "_uncode_sidebar_position", "sidebar_right");
INSERT INTO `wp_postmeta` VALUES("9805", "79338", "_uncode_sidebar_size", "4");
INSERT INTO `wp_postmeta` VALUES("9806", "79338", "_uncode_sidebar_sticky", "off");
INSERT INTO `wp_postmeta` VALUES("9807", "79338", "_uncode_sidebar_fill", "off");
INSERT INTO `wp_postmeta` VALUES("9808", "79338", "_uncode_specific_navigation_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9809", "79338", "_uncode_specific_copy_hide", "off");
INSERT INTO `wp_postmeta` VALUES("9810", "79338", "_uncode_fullpage_type", "curtain");
INSERT INTO `wp_postmeta` VALUES("9811", "79338", "_uncode_fullpage_opacity", "off");
INSERT INTO `wp_postmeta` VALUES("9812", "79338", "_uncode_scroll_dots", "off");
INSERT INTO `wp_postmeta` VALUES("9813", "79338", "_uncode_empty_dots", "off");
INSERT INTO `wp_postmeta` VALUES("9814", "79338", "_uncode_scroll_history", "off");
INSERT INTO `wp_postmeta` VALUES("9815", "79338", "_uncode_scroll_safe_padding", "on");
INSERT INTO `wp_postmeta` VALUES("9816", "79338", "_uncode_scroll_additional_padding", "0");
INSERT INTO `wp_postmeta` VALUES("9817", "79338", "_uncode_fullpage_mobile", "off");
INSERT INTO `wp_postmeta` VALUES("9818", "79338", "popup_title", "Adult Warning");
INSERT INTO `wp_postmeta` VALUES("9819", "79338", "popup_settings", "a:35:{s:17:\"disable_on_mobile\";b:0;s:17:\"disable_on_tablet\";s:1:\"1\";s:18:\"custom_height_auto\";b:0;s:18:\"scrollable_content\";b:0;s:21:\"position_from_trigger\";b:0;s:14:\"position_fixed\";b:0;s:16:\"overlay_disabled\";b:0;s:9:\"stackable\";b:0;s:18:\"disable_reposition\";b:0;s:22:\"close_on_overlay_click\";b:0;s:18:\"close_on_esc_press\";b:0;s:17:\"close_on_f4_press\";b:0;s:19:\"disable_form_reopen\";b:0;s:21:\"disable_accessibility\";b:0;s:8:\"triggers\";a:1:{i:0;a:2:{s:4:\"type\";s:9:\"auto_open\";s:8:\"settings\";a:2:{s:11:\"cookie_name\";a:1:{i:0;s:9:\"pum-79338\";}s:5:\"delay\";s:1:\"0\";}}}s:7:\"cookies\";a:1:{i:0;a:2:{s:5:\"event\";s:14:\"on_popup_close\";s:8:\"settings\";a:5:{s:4:\"name\";s:9:\"pum-79338\";s:3:\"key\";s:0:\"\";s:7:\"session\";b:0;s:4:\"time\";s:7:\"1 month\";s:4:\"path\";s:1:\"1\";}}}s:8:\"theme_id\";s:5:\"79332\";s:4:\"size\";s:6:\"medium\";s:20:\"responsive_min_width\";s:5:\"200px\";s:20:\"responsive_max_width\";s:5:\"600px\";s:12:\"custom_width\";s:5:\"640px\";s:13:\"custom_height\";s:5:\"380px\";s:14:\"animation_type\";s:4:\"fade\";s:15:\"animation_speed\";s:3:\"350\";s:16:\"animation_origin\";s:10:\"center top\";s:8:\"location\";s:10:\"center top\";s:12:\"position_top\";s:2:\"36\";s:15:\"position_bottom\";s:1:\"0\";s:13:\"position_left\";s:1:\"0\";s:14:\"position_right\";s:1:\"0\";s:6:\"zindex\";s:10:\"1999999999\";s:10:\"close_text\";s:0:\"\";s:18:\"close_button_delay\";s:1:\"0\";s:10:\"conditions\";a:0:{}s:10:\"theme_slug\";s:13:\"default-theme\";}");
INSERT INTO `wp_postmeta` VALUES("9822", "79338", "popup_open_count_total", "9397");
INSERT INTO `wp_postmeta` VALUES("9823", "79338", "popup_last_opened", "1597088226");
INSERT INTO `wp_postmeta` VALUES("9824", "79332", "_edit_lock", "1577771986:2");
INSERT INTO `wp_postmeta` VALUES("9825", "79332", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9826", "79332", "_pum_user_modified", "1");
INSERT INTO `wp_postmeta` VALUES("9827", "79332", "popup_theme_overlay", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9828", "79332", "popup_theme_container", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9829", "79332", "popup_theme_title", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9830", "79332", "popup_theme_content", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9831", "79332", "popup_theme_close", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9832", "79259", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-10");
INSERT INTO `wp_postmeta` VALUES("9833", "79259", "_edit_lock", "1580170154:2");
INSERT INTO `wp_postmeta` VALUES("9834", "79258", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-9");
INSERT INTO `wp_postmeta` VALUES("9835", "79258", "_edit_lock", "1580170102:2");
INSERT INTO `wp_postmeta` VALUES("9836", "79256", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-7");
INSERT INTO `wp_postmeta` VALUES("9837", "79256", "_edit_lock", "1580170084:2");
INSERT INTO `wp_postmeta` VALUES("9838", "79257", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-8");
INSERT INTO `wp_postmeta` VALUES("9839", "79257", "_edit_lock", "1580170069:2");
INSERT INTO `wp_postmeta` VALUES("9840", "79255", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-6");
INSERT INTO `wp_postmeta` VALUES("9841", "79255", "_edit_lock", "1580170046:2");
INSERT INTO `wp_postmeta` VALUES("9842", "79254", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-5");
INSERT INTO `wp_postmeta` VALUES("9843", "79254", "_edit_lock", "1580169692:2");
INSERT INTO `wp_postmeta` VALUES("9844", "79253", "_edit_lock", "1580169837:2");
INSERT INTO `wp_postmeta` VALUES("9845", "79252", "_edit_lock", "1580169637:2");
INSERT INTO `wp_postmeta` VALUES("9846", "79251", "_edit_lock", "1580169769:2");
INSERT INTO `wp_postmeta` VALUES("9847", "79250", "_edit_lock", "1580169596:2");
INSERT INTO `wp_postmeta` VALUES("9848", "79367", "_wp_attached_file", "2020/01/melaniee-benson-new-york-escort__blonde-5.jpg");
INSERT INTO `wp_postmeta` VALUES("9849", "79367", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1232;s:6:\"height\";i:1984;s:4:\"file\";s:53:\"2020/01/melaniee-benson-new-york-escort__blonde-5.jpg\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-5-300x483.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:483;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:53:\"melaniee-benson-new-york-escort__blonde-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-5-768x1237.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1237;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:54:\"melaniee-benson-new-york-escort__blonde-5-954x1536.jpg\";s:5:\"width\";i:954;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9850", "79249", "_edit_lock", "1580171697:2");
INSERT INTO `wp_postmeta` VALUES("9851", "79367", "_edit_lock", "1580169594:2");
INSERT INTO `wp_postmeta` VALUES("9852", "79256", "_wp_old_slug", "melaniee-benson-new-york-escort__blonde-8-1");
INSERT INTO `wp_postmeta` VALUES("9853", "79243", "_edit_lock", "1580171699:2");
INSERT INTO `wp_postmeta` VALUES("9854", "79244", "_edit_lock", "1580171843:2");
INSERT INTO `wp_postmeta` VALUES("9855", "79245", "_edit_lock", "1580171842:2");
INSERT INTO `wp_postmeta` VALUES("9856", "79246", "_edit_lock", "1580171833:2");
INSERT INTO `wp_postmeta` VALUES("9857", "79247", "_edit_lock", "1580171837:2");
INSERT INTO `wp_postmeta` VALUES("9858", "79248", "_edit_lock", "1580171842:2");
INSERT INTO `wp_postmeta` VALUES("9859", "79227", "_edit_lock", "1580171848:2");
INSERT INTO `wp_postmeta` VALUES("9860", "79229", "_edit_lock", "1580172140:2");
INSERT INTO `wp_postmeta` VALUES("9861", "79230", "_edit_lock", "1580172160:2");
INSERT INTO `wp_postmeta` VALUES("9862", "79231", "_edit_lock", "1580172296:2");
INSERT INTO `wp_postmeta` VALUES("9863", "79232", "_edit_lock", "1580172315:2");
INSERT INTO `wp_postmeta` VALUES("9864", "79233", "_edit_lock", "1580180369:2");
INSERT INTO `wp_postmeta` VALUES("9865", "79234", "_edit_lock", "1580172351:2");
INSERT INTO `wp_postmeta` VALUES("9866", "79235", "_edit_lock", "1580172517:2");
INSERT INTO `wp_postmeta` VALUES("9867", "79236", "_edit_lock", "1580172391:2");
INSERT INTO `wp_postmeta` VALUES("9868", "79237", "_edit_lock", "1580172406:2");
INSERT INTO `wp_postmeta` VALUES("9869", "79239", "_edit_lock", "1580180225:2");
INSERT INTO `wp_postmeta` VALUES("9870", "79241", "_edit_lock", "1580180172:2");
INSERT INTO `wp_postmeta` VALUES("9871", "79242", "_edit_lock", "1580172860:2");
INSERT INTO `wp_postmeta` VALUES("9872", "79205", "_edit_lock", "1580178642:2");
INSERT INTO `wp_postmeta` VALUES("9873", "79206", "_edit_lock", "1580178674:2");
INSERT INTO `wp_postmeta` VALUES("9874", "79207", "_edit_lock", "1580178842:2");
INSERT INTO `wp_postmeta` VALUES("9875", "79208", "_edit_lock", "1580178717:2");
INSERT INTO `wp_postmeta` VALUES("9876", "79209", "_edit_lock", "1580178748:2");
INSERT INTO `wp_postmeta` VALUES("9877", "79210", "_edit_lock", "1580178778:2");
INSERT INTO `wp_postmeta` VALUES("9878", "79211", "_edit_lock", "1580178796:2");
INSERT INTO `wp_postmeta` VALUES("9879", "79212", "_edit_lock", "1580178815:2");
INSERT INTO `wp_postmeta` VALUES("9880", "79214", "_edit_lock", "1580178816:2");
INSERT INTO `wp_postmeta` VALUES("9881", "79215", "_edit_lock", "1580178817:2");
INSERT INTO `wp_postmeta` VALUES("9882", "79217", "_edit_lock", "1580179110:2");
INSERT INTO `wp_postmeta` VALUES("9883", "79218", "_edit_lock", "1580179109:2");
INSERT INTO `wp_postmeta` VALUES("9884", "79219", "_edit_lock", "1580179109:2");
INSERT INTO `wp_postmeta` VALUES("9885", "79220", "_edit_lock", "1580179108:2");
INSERT INTO `wp_postmeta` VALUES("9886", "79221", "_edit_lock", "1580179103:2");
INSERT INTO `wp_postmeta` VALUES("9887", "79222", "_edit_lock", "1580179107:2");
INSERT INTO `wp_postmeta` VALUES("9888", "79223", "_edit_lock", "1580179101:2");
INSERT INTO `wp_postmeta` VALUES("9889", "79224", "_edit_lock", "1580178952:2");
INSERT INTO `wp_postmeta` VALUES("9890", "79225", "_edit_lock", "1580178954:2");
INSERT INTO `wp_postmeta` VALUES("9891", "79226", "_edit_lock", "1580178956:2");
INSERT INTO `wp_postmeta` VALUES("9892", "79204", "_edit_lock", "1580179554:2");
INSERT INTO `wp_postmeta` VALUES("9893", "79203", "_edit_lock", "1580179552:2");
INSERT INTO `wp_postmeta` VALUES("9894", "79202", "_edit_lock", "1580179407:2");
INSERT INTO `wp_postmeta` VALUES("9897", "79200", "_edit_lock", "1580179101:2");
INSERT INTO `wp_postmeta` VALUES("9898", "79199", "_edit_lock", "1580179101:2");
INSERT INTO `wp_postmeta` VALUES("9899", "79197", "_edit_lock", "1580179515:2");
INSERT INTO `wp_postmeta` VALUES("9900", "79196", "_edit_lock", "1580179686:2");
INSERT INTO `wp_postmeta` VALUES("9901", "79195", "_edit_lock", "1580179707:2");
INSERT INTO `wp_postmeta` VALUES("9902", "79193", "_edit_lock", "1580179717:2");
INSERT INTO `wp_postmeta` VALUES("9903", "79194", "_edit_lock", "1580179587:2");
INSERT INTO `wp_postmeta` VALUES("9904", "79192", "_edit_lock", "1580179614:2");
INSERT INTO `wp_postmeta` VALUES("9905", "79191", "_edit_lock", "1580179688:2");
INSERT INTO `wp_postmeta` VALUES("9906", "79187", "_edit_lock", "1580179690:2");
INSERT INTO `wp_postmeta` VALUES("9907", "79184", "_edit_lock", "1580179703:2");
INSERT INTO `wp_postmeta` VALUES("9908", "79183", "_edit_lock", "1580179706:2");
INSERT INTO `wp_postmeta` VALUES("9909", "79181", "_edit_lock", "1580179741:2");
INSERT INTO `wp_postmeta` VALUES("9910", "79178", "_edit_lock", "1580179786:2");
INSERT INTO `wp_postmeta` VALUES("9917", "79372", "_edit_lock", "1580183916:2");
INSERT INTO `wp_postmeta` VALUES("9918", "79372", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9919", "79372", "_thumbnail_id", "79259");
INSERT INTO `wp_postmeta` VALUES("9920", "79372", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("9921", "79374", "_uncode_gallery_cover", "79259");
INSERT INTO `wp_postmeta` VALUES("9922", "79374", "_uncode_is_oembed_gallery", "1");
INSERT INTO `wp_postmeta` VALUES("9923", "79372", "_uncode_gallery_media", "79374");
INSERT INTO `wp_postmeta` VALUES("9924", "79372", "_uncode_featured_media", "79259,79258,79253,79255,79256,79252,79251,79257,79367,79254,79250");
INSERT INTO `wp_postmeta` VALUES("9926", "79374", "_wp_old_slug", "gallery-attachment-blonde-2");
INSERT INTO `wp_postmeta` VALUES("9927", "79375", "_edit_lock", "1580183837:2");
INSERT INTO `wp_postmeta` VALUES("9928", "79375", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9929", "79375", "_thumbnail_id", "79233");
INSERT INTO `wp_postmeta` VALUES("9930", "79375", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("9931", "79377", "_uncode_gallery_cover", "79233");
INSERT INTO `wp_postmeta` VALUES("9932", "79377", "_uncode_is_oembed_gallery", "1");
INSERT INTO `wp_postmeta` VALUES("9933", "79375", "_uncode_gallery_media", "79377");
INSERT INTO `wp_postmeta` VALUES("9934", "79375", "_uncode_featured_media", "79233,79239,79241,79226,79225,79224,79223,79222,79221,79220,79219,79218,79217,79215,79214,79212,79211,79210,79209,79208,79207,79206,79205,79242,79237,79236,79235,79234,79232,79231,79230,79229,79227,79240,79238,79228,79216,79213");
INSERT INTO `wp_postmeta` VALUES("9935", "79378", "_edit_lock", "1580183821:2");
INSERT INTO `wp_postmeta` VALUES("9936", "79378", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9937", "79378", "_thumbnail_id", "79198");
INSERT INTO `wp_postmeta` VALUES("9938", "79378", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("9939", "79380", "_uncode_gallery_cover", "79198");
INSERT INTO `wp_postmeta` VALUES("9940", "79380", "_uncode_is_oembed_gallery", "1");
INSERT INTO `wp_postmeta` VALUES("9941", "79378", "_uncode_gallery_media", "79380");
INSERT INTO `wp_postmeta` VALUES("9942", "79378", "_uncode_featured_media", "79199,79200,79202,79203,79204,79198");
INSERT INTO `wp_postmeta` VALUES("9943", "79381", "_edit_lock", "1580183797:2");
INSERT INTO `wp_postmeta` VALUES("9944", "79381", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9945", "79381", "_thumbnail_id", "79178");
INSERT INTO `wp_postmeta` VALUES("9946", "79381", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("9947", "79383", "_uncode_gallery_cover", "79178");
INSERT INTO `wp_postmeta` VALUES("9948", "79383", "_uncode_is_oembed_gallery", "1");
INSERT INTO `wp_postmeta` VALUES("9949", "79381", "_uncode_gallery_media", "79383");
INSERT INTO `wp_postmeta` VALUES("9950", "79381", "_uncode_featured_media", "79178,79181,79183,79184,79187,79191,79192,79194,79193,79195,79196,79197,79190,79189,79188,79186,79185,79182,79180,79179");
INSERT INTO `wp_postmeta` VALUES("9953", "79385", "_edit_lock", "1580184021:2");
INSERT INTO `wp_postmeta` VALUES("9954", "79385", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9955", "79385", "_wpb_vc_js_status", "true");
INSERT INTO `wp_postmeta` VALUES("9956", "79387", "_uncode_gallery_cover", "79244");
INSERT INTO `wp_postmeta` VALUES("9957", "79387", "_uncode_is_oembed_gallery", "1");
INSERT INTO `wp_postmeta` VALUES("9958", "79385", "_uncode_gallery_media", "79387");
INSERT INTO `wp_postmeta` VALUES("9959", "79385", "_uncode_featured_media", "79243,79249,79247,79246,79245,79244,79248");
INSERT INTO `wp_postmeta` VALUES("9960", "79385", "_thumbnail_id", "79244");
INSERT INTO `wp_postmeta` VALUES("9962", "1161", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9968", "1163", "_uncode_featured_media_display", "carousel");
INSERT INTO `wp_postmeta` VALUES("9971", "79399", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("9972", "79399", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("9973", "79399", "_menu_item_object_id", "1167");
INSERT INTO `wp_postmeta` VALUES("9974", "79399", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("9975", "79399", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("9976", "79399", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("9977", "79399", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("9978", "79399", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("9979", "79399", "_menu_item_orphaned", "1592058488");
INSERT INTO `wp_postmeta` VALUES("9980", "79399", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("9981", "79399", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("9982", "79399", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("9983", "79400", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("9984", "79400", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("9985", "79400", "_menu_item_object_id", "1167");
INSERT INTO `wp_postmeta` VALUES("9986", "79400", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("9987", "79400", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("9988", "79400", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("9989", "79400", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("9990", "79400", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("9992", "79400", "_menu_item_icon", "");
INSERT INTO `wp_postmeta` VALUES("9993", "79400", "_menu_item_megamenu", "");
INSERT INTO `wp_postmeta` VALUES("9994", "79400", "_menu_item_button", "");
INSERT INTO `wp_postmeta` VALUES("10000", "1167", "_uncode_featured_media_display", "carousel");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("5", "2", "2018-09-11 18:05:28", "2018-09-11 18:05:28", "", "Media", "", "private", "closed", "closed", "", "media", "", "", "2018-09-11 18:05:28", "2018-09-11 18:05:28", "", "0", "http://keira.courtesancreative.com/?option-tree=media", "0", "option-tree", "", "0");
INSERT INTO `wp_posts` VALUES("411", "2", "2018-09-14 21:32:47", "2018-09-14 21:32:47", ".subscribe-form input[type=\"text\"],\n.subscribe-form input[type=\"email\"]{\n	background: transparent;\n	width: 100%;\n}\n\n.subscribe-form input[type=\"submit\"]{\n	border: 0;\n	border-radius: 0;\n	background-color: #7f4baf;\n	font-size: 14px;\n	width: 100%;\n}", "uncode", "", "publish", "closed", "closed", "", "uncode", "", "", "2018-09-14 21:33:23", "2018-09-14 21:33:23", "", "0", "http://keira.courtesancreative.com/uncode/", "0", "custom_css", "", "0");
INSERT INTO `wp_posts` VALUES("431", "2", "2018-09-16 02:34:39", "2018-09-16 02:34:39", "/* RESET\n ++++++++++++++++++++ */\n\n::selection {\n  background: #fff; /* WebKit/Blink Browsers */\n	color: #000;\n}\n::-moz-selection {\n  background: #fff; /* Gecko Browsers */\n	color: #000;\n}\n\nbody {\n	word-wrap: break-word;\n}\n\n.btn-color-white {\n	color: #222 !important;\n}\n\n/* === TYPOGRAPHY === */\n\np:empty {display: none !important;}\n\np,li,dt,dd,dl,address,label,small,pre,code {\n	line-height: 1.8;\n}\n\n/* Link decoration */\n.copyright-credit a,\nform a,\n.heading-text a,\n.icon-box-content a,\n.uncode_text_column a {\n	color: inherit;\n	text-decoration: underline;\n}\n\n/* Link hover */\n.copyright-credit a:hover,\nform a:hover,\n.heading-text a:hover,\n.icon-box-content a:hover,\n.uncode_text_column a:hover {\n	text-decoration: none;\n}\n\n/* Icon lists */\nul.icons li {margin-top: 0;}\nul.icons li .fa {top: 1px;}\n\n/* === BLOCK ELEMENTS === */\n.body-borders .body-border-shadow {\n	box-shadow: none;\n}\n\ntable td {\n	font-weight: normal;\n}\n\ntwitter-widget {\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* === INLINE BLOCK ELEMENTS === */\n\n/* Buttons */\n.btn {position: relative;}\n.btn .fa {vertical-align: baseline;}\n.btn-icon-right .fa,\n.btn-icon-left .fa {\n	font-size: 0.8em;\n}\n\n/* Do not scale buttons smaller for mobile */\n@media (max-width: 569px) {\n	.btn:not(input):not(.checkout-button),\n	.btn-link:not(input):not(.checkout-button) {\n		transform: none;\n	}\n}\n\n/* === FORMS === */\n\ninput, textarea, select, .seldiv, .select2-choice, .select2-selection--single {\n	border-radius: 0;\n	margin-top: 0;\n}\n\ninput:not([type=radio]):not([type=checkbox]),\ntextarea,\nselect,\n.gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]),\n.gform_wrapper select,\n.gform_wrapper textarea {\n	border-width: 1px;\n	border-radius: 0px;\n	font-size: 16px;\n}\n\n.style-light input,\n.style-dark .style-light input,\n.style-light select,\n.style-dark .style-light select,\n.style-light textarea,\n.style-dark .style-light textarea {\n	border-color: rgba(0,0,0,0.15);\n	background: rgba(0,0,0,0.04);\n	box-shadow: none;\n}\n\n.style-dark input,\n.style-light .style-dark input,\n.style-dark select,\n.style-light .style-dark select,\n.style-dark textarea,\n.style-light .style-dark textarea {\n	border-color: rgba(255,255,255,0.1);\n	background: rgba(255,255,255,0.15);\n	box-shadow: none;\n}\n\n/* Basic buttons */\ninput[type=\"submit\"],\ninput[type=\"reset\"],\ninput[type=\"button\"],\nbutton[type=\"submit\"] {\n	background: #222;\n	font-size: inherit !important;\n	letter-spacing: 0.1em;\n	padding: 14px 30px 14px 30px !important;\n	white-space: normal;\n}\n\n/* Uncode form button */\n.style-light\ninput[type=\"submit\"],\n.style-dark .style-light input[type=\"submit\"],\n.style-dark\ninput[type=\"submit\"],\n.style-light .style-dark input[type=\"submit\"] {\n	border: 0;\n	border-radius: 0;\n	font-size: 18px !important;\n	font-family: \"Cormorant\", serif;\n	font-weight: 700 !important;\n	letter-spacing: 0.05em;\n	text-transform: uppercase;\n	transition: all 0.3s;\n}\n.style-light\ninput[type=\"submit\"],\n.style-dark .style-light input[type=\"submit\"] {\n	background: #222;\n	color: #fff;\n}\n.style-dark\ninput[type=\"submit\"],\n.style-light .style-dark input[type=\"submit\"],\n.style-dark .gform_wrapper input[type=\"submit\"]{\n	background: #333;\n	border: 1px solid rgba(255,255,255,0.1);\n	border-radius: 0;\n	color: #fff;\n}\n\n/* Uncode form button hover */\ninput[type=\"submit\"]:hover{\n	opacity: 0.9;\n}\n\n/* Form select fields */\n.style-light select,\n.style-dark select {\n	background-repeat: no-repeat;\n	background-position: right;\n	padding: 10px 15px !important;\n}\n\n\n/* === ACCORDION === */\n\n.style-light .panel,\n.style-light .panel-group .panel-heading + .panel-collapse .panel-body {\n	border-color: rgba(0,0,0,0.1);\n}\n.style-dark .panel,\n.style-dark .panel-group .panel-heading + .panel-collapse .panel-body {\n	border-color: rgba(255,255,255,0.05);\n}\n\n/* Accordion borders */\n.panel {border-bottom: 0;}\n\n/* Accordion titles */\n.panel-title > a span {\n	font-size: 18px;\n	font-weight: 400 !important;\n	letter-spacing: 0;\n}\n.panel-title.active > a {\n	color: #999 !important;\n}\n\n/* Accordion icons */\n.panel-title > a span::after {\n	content: \'\\e114\';\n	font-size: 0.5em;\n	padding: 0 4px;\n	top: 50%;\n	transform: translateY(-50%);\n}\n.panel-title.active > a span::after {\n	content: \'\\e115\';\n	color: #222 !important;\n}\n\n/* Accordion panel content */\n.panel-collapse {\n	text-align: left;\n}\n\n\n/* HEADER ++++++++++++++++++++++++++++++++++++ */\n\n/* Increase space between menu items */\n@media only screen and (min-width: 960px) {\n	.menu-smart > li > a {\n		padding: 0px 28px 0px 28px;\n	}\n}\n\n/* === Archive template === */\n.t-entry {text-align: center;}\n.t-entry-title {line-height: 1.5;}\n\n/* === PAGINATION === */\n.row-navigation.row-navigation-light {\n    outline-color: #eaeaea;\n    background-color: #fff;\n}\n\n.pagination > li .current, .navigation > li .current, .pagination > li .current:hover, .navigation > li .current:hover, .pagination > li .current:focus, .navigation > li .current:focus {\n	background: transparent;\n	border: 1px solid rgba(0,0,0,0.2);\n	color: #222 !important;\n}\n\n/* === MENUS === */\n@media only screen and (max-width: 959px){\n	\n	/* Remove empty scrollbar */\n	.main-menu-container.open-items {\n		overflow: auto;\n	}\n	/* Add padding bottom to mobile menu */\n	#masthead .menu-horizontal-inner {\n    padding-bottom: 27px !important;\n	}\n}\n\n/* GENERIC, RE-USUABLE STYLES\n ++++++++++++++++++++ */\n\n/* === LINK DECORATIONS === */\n.decoration-none {text-decoration: none !important;}\n.decoration-none:hover {text-decoration: underline !important;}\n\n.decoration-underline{text-decoration: underline !important;}\n.decoration-underline:hover{text-decoration: none !important;}\n\n/* Dropcap */\n.dropcap {\n	display: inline-block;\n	font-size: 93px;\n	font-weight: 300;\n	line-height: 1;\n	float: left;\n	margin: 0 12px -28px -6px;\n	position: relative;\n	top: -6px;\n}\n\n/* === COLUMN COUNT === */\n@media only screen and (min-width: 960px) {\n	.text-2-col {\n		column-count: 2;\n		column-gap: 72px;\n		column-rule: 1px solid rgba(54, 10, 27, 0.15);\n	}\n}\n\n/* === ALIGNMENT === */\n\n.text-align-center,\n.text-align-center .heading-text {\n	text-align: center;\n}\n.text-align-justify,\n.text-align-justify .heading-text {\n	text-align: justify;\n}\n.text-align-left,\n.text-align-left .heading-text {\n	text-align: left;\n}\n\n/* === OPACITY === */\n.o-90 {opacity: 0.9;}\n.o-80 {opacity: 0.8;}\n.o-70 {opacity: 0.7;}\n.o-60 {opacity: 0.6;}\n.o-50 {opacity: 0.5;}\n.o-40 {opacity: 0.4;}\n.o-30 {opacity: 0.3;}\n.o-20 {opacity: 0.2;}\n.o-10 {opacity: 0.1;}\n.o-05 {opacity: 0.05;}\n\n/* === HEADINGS === */\n\n.heading-style-001 > .el-text {\n    background: #fff;\n    margin: 0 auto;\n    max-width: 360px;\n    padding: 12px 18px;\n}\n\n.inline-text-bg > .el-text span{\n	background-color: rgba(0,0,0,0.1);\n	display: inline;\n}\n\n/* === LISTS === */\n.list--centered {\n	list-style-type: none;\n	margin: 0;\n	padding: 0 !important;\n}\n.list--centered li {\n	font-weight: 400;\n	list-style-type: none;\n	padding: 5px 0;\n	position: relative;\n\n}\n.list--centered li:before {\n	/* set up */\n	content: \'\';\n	display: blockk;\n	/* position */\n	position: absolute;\n		bottom: 0;\n		left: 50%;\n		transform: translateX(-50%);\n	/* dimension */\n	height: 0;\n	width: 100%;\n	/* foreground */\n	border-bottom: 1px solid currentColor;\n	opacity: 0.1;\n}\n.style-light .list--centered li:before,\n.style-dark .style-light .list--centered li:before {\n	border-bottom-color: #ffeeec;\n	opacity: 1;\n}\n.list--centered li:last-child:before {\n	border-bottom: 0;\n}\n\n/* Table of content list */\n.toc .uncode-list ul{\n	border: 1px solid rgba(0,0,0, 0.1);\n	border-bottom: 0;\n	list-style: none;\n	margin: 0;\n	padding: 0;\n}\n.toc .uncode-list li {\n	border-bottom: 1px solid rgba(0,0,0, 0.1);\n	font-size: 16px;\n	font-weight: 400;\n	line-height: 1.5;\n	padding: 10px 20px;\n}\n\n/* === TABLES === */\n\n.custom-table table {\n	border: 0;\n}\n\n/* tHEAD */\n.custom-table thead {\n	text-align: inherit;\n}\n/* Row borders */\n.custom-table tr {\n	border-top: 1px solid #000;\n}\n.style-dark .custom-table tr {\n	border-top-color: rgba(255,255,255,0.1);\n}\n.style-light .custom-table tr {\n	border-top-color: rgba(255,255,255,0.1);\n}\n\n/* Cells */\n.custom-table table td,\n.custom-table table th {\n	border: 0;\n	font-size: inherit;\n	padding: 12px 0;\n	text-align: left;\n}\n\n.custom-table td:nth-child(2),\n.custom-table th:nth-child(2){\n	text-align: right;\n}\n\n.custom-table table th {\n	font-family: \"Cormorant\",serif;\n	font-size: 14px;\n	font-weight: 700;\n	letter-spacing: 0.075em;\n	text-transform: uppercase;\n}\n\n/* === BOX MODEL === */\n\n.divide-vertically > .uncol > .uncoltable > .uncell {\n    position: relative;\n}\n.divide-vertically > .uncol > .uncoltable > .uncell:before {\n    background: #fff;\n    content: \'\';\n    display: block;\n    height: 100%;\n    width: 36px;\n    position: absolute;\n        top: 0;\n        left: 50%;\n        transform: translateX(-50%);\n    z-index:2;\n}\n\n/* Paddings */\n@media (max-width: 959px) {\n    .md-padding > .uncol > .uncoltable > .uncell > .uncont {\n        padding: 36px;\n    }\n    .md-padding-horizontal > .uncol > .uncoltable > .uncell > .uncont {\n        padding-left: 36px;\n        padding-right: 36px;\n    }\n    .md-padding-vertical > .uncol > .uncoltable > .uncell > .uncont {\n        padding-top: 36px;\n        padding-bottom: 36px;\n    }\n}\n\n/* ELEMENT SPECIFIC, UNIQUE STYLES\n ++++++++++++++++++++ */\n\n.owl-prev .owl-nav-container,\n.owl-next .owl-nav-container {\n	background: #222 !important;\n	color: #fff !important;\n}\n\n\n/* === FOOTER CONTACT BOX === */\n.footer-contact a {\n	text-decoration: none;\n}\n.footer-contact a:hover {\n	text-decoration: underline;\n}\n@media (min-width: 960px) {\n	.footer-contact > .uncol > .uncoltable > .uncell {\n		position: relative;\n	}\n	.footer-contact > .uncol > .uncoltable > .uncell:before {\n		content: \'\';\n		display: block;\n		border: 1px solid rgba(0,0,0,0.15);\n		height: calc(100% - 72px);\n		width: calc(100% - 72px);\n\n		position: absolute;\n		top: 36px;\n		left: 36px;\n	}\n}\n   \n/* === COPYRIGHT / CREDIT MESSAGE === */\n.copyright-credit p {\n    font-size: 11px;\n    letter-spacing: 0.05em;\n    text-transform: uppercase;\n}\n\n/* TOP BAR +++++++++++++++++++++++++++++ */\nbody.has-mtsnb {\n	padding-top: 45px !important;\n}\n.mtsnb {\n	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.05) !important;\n}\n.mtsnb a {\n	border-bottom: 1px dotted rgba(0,0,0,0.2);\n	letter-spacing: 0.01em;\n}\n.mtsnb .mtsnb-container {\n	padding: 10px 14px;\n}\n\n/* GRAVITY FORMS +++++++++++++++++++++++++++++ */\n\n.gform_wrapper ul.gfield_checkbox li input[type=\"checkbox\"], .gform_wrapper ul.gfield_radio li input[type=\"radio\"] {\n	width: 20px !important;\n}\n\n.gfield_radio input[type=\"text\"] {\n	display: inline-block;\n}\n\n@media only screen and (min-width:600px) {\n	body .gform_wrapper ul.gform_fields {\n			margin-right: -16px !important;\n	}\n}\n\nbody .gform_wrapper ul li.gfield {\n	margin-top: 0px;\n	margin-bottom: 18px;\n}\n\n/* Label, need \"body\" override */\nbody .gform_wrapper label.gfield_label {\n	font-size: 16px;\n	font-weight: 700;\n	margin-bottom: 10px;\n}\n.style-light .gform_wrapper label.gfield_label,\n.style-dark .style-light .gform_wrapper label.gfield_label {\n	color: #222;\n}\n.style-dark .gform_wrapper label.gfield_label,\n.style-light .styledark .gform_wrapper label.gfield_label {\n	color: #fff;\n}\n\n/* Sub label */\n.gform_wrapper .field_sublabel_below .ginput_complex.ginput_container label {\n	font-size: 13px;\n}\n/* Description */\n.gform_wrapper .description_above .gfield_description {\n	font-size: 14px;\n	padding: 0;\n}\n\n/* Submit button */\n.gform_wrapper input[type=\"submit\"]{\n	width: 100% !important;\n}\n\n/* Section */\n.gform_wrapper .gsection{\n	border-bottom-style: dashed;\n}\n\n/* Multi-step forms */\n.gform_wrapper .gform_page_footer {\n	border: 0;\n}\n.gform_wrapper .gform_page_footer input[type=button] {\n	border-radius: 0;\n}\n\n/* LEAD CALL BUTTONS +++++++++++++++++++++++++++++ */\n\nbody .main_buttons {\n	box-shadow: none;\n	height: auto;\n	/* override plugin settings to make styling convenient */\n	background: #222 !important;\n	color: #fff !important;\n}\nbody .main_buttons .on {\n	padding: 0;\n}\nbody .main_buttons .on:last-child {\n	border-left-color: #ccc !important;\n}\n\n/* Lead call links */\n\n.main_buttons .on a,\n.main_buttons .on a:hover {\n	transition: all 0.3s;\n}\n\n.main_buttons .on a {\n	background: #fff;\n	color: #222 !important;\n	display: block;\n	font-size: 24px;\n	font-weight: 700;\n	font-family: \"Cormorant Garamond\",serif;\n	letter-spacing: -0.02em;\n	padding: 18px;\n}\n.main_buttons .on a:hover {\n	background: #eee;\n	transition: all 0.3s;\n}\n\n/* Lead call icons */\n.main_buttons .on i {\n	font-size: 16px;\n	margin-bottom: 8px;\n}\n\n/* POP UPS +++++++++++++++++++++++++++++ */\n\n/* title */\n.pum-theme-default-theme .pum-title {\n	font-family: \"Cormorant Garamond\",serif;\n}\n/* content */\n.pum-theme-default-theme .pum-content {\n	text-align: justify;\n}\n.pum-theme-default-theme .pum-content * {\n	font-size: 13px;\n}\n/* close button */\n.pum-content + .pum-close, .pum-theme-default-theme .pum-content + .pum-close {\n	padding: 9px 15px;\n}\n\n/* RESPONSIVE RESET +++++++++++++++++++++++++++++ */\n@media (max-width: 1699px) {\n  .double-block-padding {\n    padding: 72px;\n  }\n  .triple-block-padding {\n    padding: 108px;\n  }\n  .quad-block-padding {\n    padding: 144px;\n  }\n}\n@media (max-width: 959px) {\n  .double-block-padding,\n  .quad-block-padding,\n  .triple-block-padding {\n    padding: 54px 36px 54px 36px;\n  }\n}", "uncode-child", "", "publish", "closed", "closed", "", "uncode-child", "", "", "2019-12-31 05:40:16", "2019-12-31 05:40:16", "", "0", "http://keira.courtesancreative.com/uncode-child/", "0", "custom_css", "", "0");
INSERT INTO `wp_posts` VALUES("763", "2", "2018-10-01 05:27:07", "2018-10-01 05:27:07", "http://keira.courtesancreative.com/wp-content/uploads/2018/09/cropped-favicon-courtesan-creative.png", "cropped-favicon-courtesan-creative.png", "", "inherit", "open", "closed", "", "cropped-favicon-courtesan-creative-png", "", "", "2018-10-01 05:27:07", "2018-10-01 05:27:07", "", "0", "http://keira.courtesancreative.com/wp-content/uploads/2018/09/cropped-favicon-courtesan-creative.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1161", "2", "2018-10-15 00:12:22", "2018-10-15 00:12:22", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][vc_gallery el_id=\"gallery-130549\" medias=\"79374,79387,79377,79380,79383\" explode_albums=\"yes\" gallery_back_color=\"color-222\" gutter_size=\"0\" media_items=\"media|lightbox|original\" screen_lg=\"1000\" screen_md=\"600\" screen_sm=\"480\" single_width=\"3\" images_size=\"one-one\" single_overlay_opacity=\"1\" single_image_anim=\"no\" single_padding=\"2\" single_border=\"yes\" single_css_animation=\"alpha-anim\"][/vc_column][/vc_row]</p>\r\n", "Photos", "", "publish", "closed", "closed", "", "photos", "", "", "2020-01-28 04:03:14", "2020-01-28 04:03:14", "", "0", "http://keira.courtesancreative.com/?page_id=1161", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1163", "2", "2018-10-15 00:12:31", "2018-10-15 00:12:31", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79249\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/3\"][vc_row_inner limit_content=\"\"][vc_column_inner column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"3\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" align_mobile=\"align_center_mobile\" mobile_width=\"0\" width=\"1/1\" el_class=\"custom-table\"][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Trysts[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>1 hour</td>\r\n<td>700</td>\r\n</tr>\r\n<tr>\r\n<td>90 min.</td>\r\n<td>900</td>\r\n</tr>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1100</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Touring Donations[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>1 hour</td>\r\n<td>700</td>\r\n</tr>\r\n<tr>\r\n<td>90 min.</td>\r\n<td>900</td>\r\n</tr>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1200</td>\r\n</tr>\r\n<tr>\r\n<td style=\"text-align: center;\" colspan=\"2\">Touring dates require 24 hour, pre-booking notice.</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Extended Adventures[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>4 hours</td>\r\n<td>2200</td>\r\n</tr>\r\n<tr>\r\n<td>6 hours</td>\r\n<td>2700</td>\r\n</tr>\r\n<tr>\r\n<td>Overnight</td>\r\n<td>5000</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_column_text]\r\n<ul style=\"text-align: left;\">\r\n 	<li>Please inquire for EA\'s longer than an overnight</li>\r\n 	<li>EA\'s 4 or more hours require 50% deposit</li>\r\n 	<li>EA\'s 4 or more hours require meals</li>\r\n 	<li>EA\'s of 12 or more hours require sleep</li>\r\n</ul>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Unique Interludes[/vc_custom_heading][vc_column_text el_class=\"text-align-left\"]<strong>Fly Me to You</strong>: Rate, travel, and room are required. I am passport ready. Please inquire regarding international travel.[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Couples Connections[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1400</td>\r\n</tr>\r\n<tr>\r\n<td>4 hours</td>\r\n<td>2500</td>\r\n</tr>\r\n<tr>\r\n<td>6 hours</td>\r\n<td>3000</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Doubles[/vc_custom_heading][vc_column_text]I have beautiful friends who will be happy to join us.[/vc_column_text][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fbooking%2F|title:Booking||\"]Book Now[/vc_button][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"90\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"2/3\"][vc_row_inner limit_content=\"\"][vc_column_inner column_width_use_pixel=\"yes\" align_horizontal=\"align_center\" gutter_size=\"2\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\" column_width_pixel=\"500\"][vc_custom_heading text_size=\"fontsize-28\" text_transform=\"uppercase\"]Cancellation Policy[/vc_custom_heading][vc_separator sep_color=\"color-333\" el_width=\"20px\"][vc_column_text]I understand that life can interrupt with our plans. Should you need to reschedule our date, I\'m happy to accommodate you within reason. If you cancel any time within 48 hours of the day of your appointment, you will be required to pay a 50% cancellation fee.\r\n\r\nIf you cancel within 24 hours of the day of your appointment, you will be required to pay 100% cancellation fee.\r\n\r\nIf you cancel twice in a row you will have to secure our appointment with a 50% deposit or I will no longer accept requests from you.\r\n\r\nCancelling anytime prior to the 24hr - 48hr window will incur 25% cancellation fee\r\n\r\nThank you for your understanding.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"74\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-111\" back_image=\"79245\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Considerations", "", "publish", "closed", "closed", "", "considerations", "", "", "2020-06-12 21:43:33", "2020-06-12 21:43:33", "", "0", "http://keira.courtesancreative.com/?page_id=1163", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1165", "2", "2018-10-15 00:12:59", "2018-10-15 00:12:59", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"90\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\"][vc_column_text el_class=\"text-align-center\"]My booking request form is the fastest way to set up a meeting with me. But if you’re uncomfortable with using the form, please review it first then forward all required info to my email. <a href=\"mailto:MelanieeBensonVIP@gmail.com\">MelanieeBensonVIP@gmail.com</a>.[/vc_column_text][/vc_column][vc_column column_width_percent=\"74\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-111\" back_image=\"79244\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row][vc_row row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"2\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" width=\"1/1\"][vc_row_inner][vc_column_inner column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" width=\"1/1\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" text_color=\"color-tan\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]Booking Form[/vc_custom_heading][vc_separator][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"0\" style=\"dark\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" width=\"1/1\"][gravityform id=\"5\" title=\"false\" description=\"false\" ajax=\"false\"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]", "Booking", "", "publish", "closed", "closed", "", "booking", "", "", "2019-12-31 05:03:15", "2019-12-31 05:03:15", "", "0", "http://keira.courtesancreative.com/?page_id=1165", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1167", "2", "2018-10-15 00:13:17", "2018-10-15 00:13:17", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" shape_dividers=\"\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\" column_width_pixel=\"480\"][vc_column_text]I am based in NYC (Manhattan &amp; Long Island)\r\n\r\nUpcoming Tours:\r\n\r\nLas Vegas: July 31-Aug 1\r\n\r\nDC: Aug 3-4\r\n\r\nLong Island: Aug 6-7, Aug 13-14\r\n\r\nBoston: Aug 10-11, Aug 19-21, Aug 27-28\r\n\r\nPhilly:  Aug 17-18\r\n\r\nDC Aug 24-26\r\n\r\n&nbsp;\r\n\r\nI am happy to do a FMTY for a 2 hour date or longer.  Please email me to inquire.[/vc_column_text][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79254\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" animation_delay=\"100\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Calendar", "", "publish", "closed", "closed", "", "calendar", "", "", "2020-07-30 18:48:05", "2020-07-30 18:48:05", "", "0", "http://keira.courtesancreative.com/?page_id=1167", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1544", "2", "2018-10-17 22:11:42", "2018-10-17 22:11:42", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"50\" override_padding=\"yes\" h_padding=\"3\" top_padding=\"3\" bottom_padding=\"3\" back_color=\"color-black\" back_image_auto=\"yes\" back_image=\"79062\" back_position=\"center bottom\" overlay_color=\"color-black\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" shape_dividers=\"\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" override_padding=\"yes\" column_padding=\"0\" style=\"dark\" overlay_alpha=\"50\" gutter_size=\"3\" medium_width=\"0\" mobile_width=\"0\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" width=\"1/1\" el_class=\"remove-padding-top-from-uncont\"][vc_custom_heading auto_text=\"yes\" heading_semantic=\"h1\" text_size=\"fontsize-64\" text_transform=\"uppercase\"][/vc_custom_heading][/vc_column][/vc_row]", "Header", "", "publish", "closed", "closed", "", "header", "", "", "2019-07-21 03:40:57", "2019-07-21 03:40:57", "", "0", "http://keira.courtesancreative.com/?post_type=uncodeblock&#038;p=1544", "0", "uncodeblock", "", "0");
INSERT INTO `wp_posts` VALUES("1557", "2", "2018-10-17 23:06:14", "2018-10-17 23:06:14", "<p>\r\n	<label>Email address: </label>\r\n	<input type=\"email\" name=\"EMAIL\" placeholder=\"Your email address\" required />\r\n</p>\r\n\r\n<p>\r\n	<input type=\"submit\" value=\"Sign up\" />\r\n</p>", "Example", "", "publish", "closed", "closed", "", "1557", "", "", "2018-10-17 23:06:14", "2018-10-17 23:06:14", "", "0", "http://keira.courtesancreative.com/mc4wp-form/1557/", "0", "mc4wp-form", "", "0");
INSERT INTO `wp_posts` VALUES("2105", "2", "2018-10-25 23:54:46", "2018-10-25 23:54:46", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"62\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" front_end_with_slider=\"true\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][uncode_slider slider_type=\"fade\" slider_interval=\"5000\" slider_navspeed=\"700\" slider_loop=\"yes\" slider_hide_dots=\"yes\"][vc_row_inner row_inner_height_percent=\"100\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\" front_end_with_slider=\"true\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" back_image=\"79255\" overlay_color=\"color-black\" overlay_alpha=\"20\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" zoom_width=\"0\" zoom_height=\"0\" width=\"1/1\"][vc_custom_heading text_size=\"fontsize-48\" text_transform=\"uppercase\" text_color=\"color-white\" css_animation=\"top-t-bottom\" animation_delay=\"400\" title=\"\"]New York City Escort[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_size=\"fontsize-13\" text_weight=\"400\" text_transform=\"uppercase\" text_height=\"fontheight-15\" text_space=\"fontspace-pos-02\" text_color=\"color-white-80\" css_animation=\"bottom-t-top\" animation_speed=\"600\"]Your East Coast Charm, Dream Girl[/vc_custom_heading][vc_empty_space empty_h=\"2\"][vc_icon icon=\"fa fa-arrow-down4\" background_style=\"fa-rounded\" outline=\"yes\" css_animation=\"bottom-t-top\" animation_speed=\"600\" animation_delay=\"800\" link=\"url:%23about-me|||\"][/vc_icon][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"100\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\" front_end_with_slider=\"true\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" back_image=\"79256\" overlay_color=\"color-black\" overlay_alpha=\"20\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" zoom_width=\"0\" zoom_height=\"0\" width=\"1/1\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-48\" text_transform=\"uppercase\" text_color=\"color-white\" css_animation=\"top-t-bottom\" animation_delay=\"400\" title=\"\"]Pleasures and Fantasies[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_size=\"fontsize-13\" text_transform=\"uppercase\" text_height=\"fontheight-15\" text_space=\"fontspace-pos-02\" text_color=\"color-white-80\" css_animation=\"bottom-t-top\" animation_speed=\"600\"]Come explore with me...[/vc_custom_heading][vc_empty_space empty_h=\"2\"][vc_icon icon=\"fa fa-arrow-down4\" background_style=\"fa-rounded\" outline=\"yes\" css_animation=\"bottom-t-top\" animation_speed=\"600\" animation_delay=\"800\" link=\"url:%23about-me|||\"][/vc_icon][/vc_column_inner][/vc_row_inner][/uncode_slider][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"100\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" el_class=\"overflow-hidden\" row_name=\"About Me\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"200\" width=\"1/2\"][vc_row_inner row_inner_height_percent=\"60\" back_color=\"color-222\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79252\" overlay_alpha=\"10\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_visibility=\"yes\" mobile_width=\"0\" width=\"1/2\" mobile_height=\"280\"][/vc_column_inner][vc_column_inner column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" overlay_alpha=\"56\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" column_width_pixel=\"400\" el_class=\"inner-border\"][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Body[/vc_custom_heading][vc_column_text css_animation=\"right-t-left\"]I am your coquettish companion, a succulent spicy Italian treat at 5\'0\" with naturally toned curves that you will indulge yourself in. I measure deliciously at 32C-25-33, 110 pounds and 100% authentic. I am your perfect East Coast Charm Dream Girl, passionate yet easy going and laid back while always looking for the next epic adventure. I\'m your luscious Blonde Bombshell, at the moment, but that can change with the tide, as I like being a sultry brunette minx as well, with deep mesmerizing blue eyes and magnetic smile.</p>\n<p>Always ready to welcome you in and make you feel at ease. I strive daily to lead a healthy lifestyle. I\'m very active and love boxing, yoga, swimming, and cross-fit just to name a few. But what Italian girl doesn\'t enjoy pizza, chocolate, and gelato on occasion? My approach to fashion is varied. Classy to sophisticated, casual to comfortable, elegant to alluring, form fitted sexy dresses to wispy bohemian skirts.</p>\n<p>A night on the town, a weekend at the beach, an intimate evening in by the fire. Whatever the occasion calls for, I have the perfect attire appropriate for any adventure you have in mind for us.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_button size=\"btn-sm\" radius=\"btn-square\" border_animation=\"btn-ripple-out\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"right-t-left\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fconsiderations%2F|title:Etiquette||\"]View Considerations[/vc_button][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"40\" back_image=\"79259\" back_position=\"right center\" overlay_color=\"color-black\" overlay_alpha=\"10\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" medium_visibility=\"yes\" mobile_visibility=\"yes\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"bottom\" align_horizontal=\"align_center\" gutter_size=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"-2\" z_index=\"10\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"600\" width=\"1/2\"][vc_row_inner row_inner_height_percent=\"40\" back_image=\"79258\" back_position=\"left center\" overlay_alpha=\"3\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" medium_visibility=\"yes\" mobile_visibility=\"yes\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"60\" back_color=\"color-222\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79250\" back_position=\"center top\" overlay_alpha=\"30\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" mobile_height=\"280\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column_inner][vc_column_inner column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" overlay_alpha=\"75\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" column_width_pixel=\"400\"][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Mind[/vc_custom_heading][vc_column_text css_animation=\"right-t-left\"]There is more to me than what is just seen on the surface. I am greater than the sum of my parts and I invite you to explore. I\'m outgoing and humorous. As someone who juggles many hats, you will find me multi-faceted as I have a successful career as well as enjoy \"entertaining\" in my free time. You will find me articulate and a devilishly charming conversationalist. I enjoy mixing light humor into what I have to say as laughter is the best medicine and is the best ice breaker.</p>\n<p>My experience has allowed me to travel all over. It\'s allowed me to be well versed with the world and the ability to be culturally engaging. On the flip side, I am also very civic minded and believe in giving back to the community by volunteering my time and resources to help others in need. It is my hope that you will find me the perfect mixture of an intellect, upbeat and carefree woman who is unpretentious, and genuine. I look forward to getting to know you and indulging in the finer things in life together.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_button size=\"btn-sm\" radius=\"btn-square\" border_animation=\"btn-ripple-out\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"right-t-left\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fbooking%2F|title:Rates||\"]Book Now[/vc_button][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Soul[/vc_custom_heading][vc_column_text el_class=\"text-align-justify\"]My desire is to provide you with an exclusive and ultimate experience – one that will leave you breathless, along with a smile that will last for days. There are many layers to my personality. I am deeply spiritual and passionate, and it will be my pleasure to share that with you. I\'m an upbeat, fun and sexy woman that enjoys life\'s luxuries, big or small. On a side note I must confess, I do enjoy a good bottle of wine and salacious conversation that leads into a romantic evening filled with excitement.</p>\n<p>My preference is for an encounter that is far from rushed. We live in a fast-paced world, always running from one point to another. Let’s take a little time getting to know one another, building a connection that allows us to slow down and relax into an unrivaled, personalized experience. Whether it\'s a brief interlude or adventure away.</p>\n<p>Intimate connection is important for me...as I know it is to you. I believe in deep intimate connections, as it allows for a more profound intimate experience. I am passionate about exchanging thoughts and ideas , as well as exploring pleasures and acting out fantasies.</p>\n<p>I implore you to share in enjoying the euphoric feeling that comes along with finding new connections, meeting new lovers, and pursuing the opportunity to discover each other. Together, we will enjoy life’s greatest pleasures as I take away your stresses, leaving you deeply fulfilled and yearning for more. Please accept my invitation to discover more...</p>\n<p>Salaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fetiquette%2F|title:Etiquette||\"]View Etiquette[/vc_button][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79253\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]</p>\n", "About", "", "publish", "closed", "closed", "", "about", "", "", "2020-01-02 02:43:39", "2020-01-02 02:43:39", "", "0", "http://keira.courtesancreative.com/?page_id=2105", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2209", "2", "2018-10-26 19:22:09", "2018-10-26 19:22:09", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79250\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\" el_class=\"text-align-center\"]Etiquette[/vc_custom_heading][vc_accordion active_tab=\"0\"][vc_accordion_tab title=\"Conduct\" tab_id=\"1545946096023-6-3\"][vc_column_text]I love a man who knows how to conduct himself as a gentlemen under the right circumstances. I am passionate about spending time with you, and like to reserve playtime for when we are in private and alone together. Prior to that my biggest turn on is when a man can engage me in intelligent and sophisticated conversation and conduct himself as such.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Screening\" tab_id=\"1545943617079-4-9\"][vc_column_text]All new clients are required to be verified prior to scheduling. Advance scheduling is required for this process as it can take 24-48 hours.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Appreciation\" tab_id=\"1545943454704-2-10\"][vc_column_text]There is no negotiation of my considerations. I accept cash only. Please never discuss my gift and set it down within a few minutes of arriving.  Again, please be discreet when presenting the donation.</p>\n<p><strong>If we are in Private</strong>: Please place it in the bathroom. I may excuse myself to the restroom to freshen up so I may collect it discreetly. Please do not make me ask for it, as your appointment will not begin until I have been compensated. You may put it in an unsealed envelope with a thank you card.</p>\n<p><strong>If we are in Public</strong>: Please make sure the donation is in an unsealed envelope, a thank you card, or in a gift bag accompanied by a small token of affection and it should be presented within 5 minutes of us meeting.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Contact\" tab_id=\"1545940502-2-12\"][vc_column_text]All contact is via email only. At no time during the screening or our time together will there be lewd talking, vulgarity, lewd references to explicit acts, or mention of acronyms that suggest lewd or explicit acts.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Grooming\" tab_id=\"1545943502561-3-8\"][vc_column_text]I go out of my way to ensure that I am beautifully presented and clean. Nothing is more sexy than a well groomed man, please make sure that you are clean and smell good, or be prepared to take a shower and freshen up upon arrival.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Late\" tab_id=\"1545946016183-5-6\"][vc_column_text]Please be respectful of my time as I have set aside specifically for you. If you are going to be late please email, text, or call. Be mindful of your time and or travel as a late arrival does not extend your time past what we have scheduled. Please do not overstay. If you are running late and I do not hear from you for 20 minutes of our scheduled time ,you will be marked as a cancellation and cancellation fees will apply.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Cancellation\" tab_id=\"1577751054243-6-10\"][vc_column_text]I understand that life can interrupt with our plans. Should you need to reschedule our date, I\'m happy to accommodate you within reason.</p>\n<p>If you cancel any time within 48 hours of the day of your appointment, you will be required to pay a 50% cancellation fee.</p>\n<p>If you cancel within 24 hours of the day of your appointment, you will be required to pay 100% cancellation fee.</p>\n<p>If you cancel twice in a row you will have to secure our appointment with a 50% deposit or I will no longer accept requests from you.</p>\n<p>Cancelling any time prior to the 24 to 48 hour window will incur a 25% cancellation fee. Thank you for your understanding.[/vc_column_text][/vc_accordion_tab][/vc_accordion][vc_column_text el_class=\"text-align-center\"]Salaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Ffaq%2F|title:Considerations||\"]Frequently Asked Questions[/vc_button][/vc_column][/vc_row]</p>\n", "Etiquette", "", "publish", "closed", "closed", "", "etiquette", "", "", "2020-01-02 02:47:28", "2020-01-02 02:47:28", "", "0", "http://keira.courtesancreative.com/?page_id=2209", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2460", "2", "2018-12-24 17:56:00", "2018-12-24 17:56:00", "[vc_row row_height_percent=\"50\" override_padding=\"yes\" h_padding=\"3\" top_padding=\"3\" bottom_padding=\"3\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"3\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][vc_custom_heading heading_semantic=\"h1\" text_size=\"h1\"]Thank you. Your message is sent.[/vc_custom_heading][/vc_column][/vc_row]", "Thank You", "", "publish", "closed", "closed", "", "thank-you", "", "", "2019-12-31 05:13:40", "2019-12-31 05:13:40", "", "0", "http://keira.courtesancreative.com/?page_id=2460", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2584", "2", "2018-12-26 23:13:04", "2018-12-26 23:13:04", " ", "", "", "publish", "closed", "closed", "", "2584", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://keira.courtesancreative.com/?p=2584", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("2649", "2", "2018-12-27 19:51:10", "2018-12-27 19:51:10", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"90\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" row_name=\"Contact\"][vc_column column_width_percent=\"100\" gutter_size=\"1\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" border_color=\"color-111\" border_style=\"solid\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" align_medium=\"align_center_tablet\" medium_width=\"0\" align_mobile=\"align_center_mobile\" mobile_width=\"0\" width=\"1/4\" css=\".vc_custom_1564687854533{border-right-width: 1px !important;}\"][vc_custom_heading heading_semantic=\"div\" text_font=\"font-default\" text_size=\"h6\" text_transform=\"uppercase\" text_height=\"fontheight-18\" text_space=\"fontspace-pos-025em\" css_animation=\"right-t-left\"]New York City[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_font=\"font-default\" text_size=\"h6\" text_transform=\"uppercase\" text_height=\"fontheight-18\" text_space=\"fontspace-pos-025em\" css_animation=\"right-t-left\" animation_delay=\"100\"]Worldwide[/vc_custom_heading][/vc_column][vc_column column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"2/4\"][vc_row_inner row_inner_height_percent=\"0\" overlay_alpha=\"50\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\"][vc_column_inner column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" width=\"1/1\"][vc_custom_heading heading_semantic=\"h3\" text_size=\"fontsize-32\"]<a href=\"mailto:MelanieeBensonVIP@gmail.com\">MelanieeBensonVIP@gmail.com</a>[/vc_custom_heading][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"0\" overlay_alpha=\"50\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\"][vc_column_inner column_width_use_pixel=\"yes\" align_horizontal=\"align_center\" gutter_size=\"2\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"100\" width=\"1/1\" column_width_pixel=\"800\"][vc_column_text text_lead=\"yes\"]My <a href=\"https://melanieebenson.com/booking/\">booking request form</a> is the fastest way to set up a meeting with me. But if you\'re uncomfortable with using the form, please review it first then forward all required info to my email.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"100\" align_horizontal=\"align_right\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" border_color=\"color-111\" border_style=\"solid\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" align_medium=\"align_center_tablet\" medium_width=\"0\" align_mobile=\"align_center_mobile\" mobile_width=\"0\" width=\"1/4\" css=\".vc_custom_1577830056553{border-left-width: 1px !important;}\"][vc_custom_heading heading_semantic=\"div\" text_font=\"font-default\" text_size=\"h6\" text_transform=\"uppercase\" text_height=\"fontheight-18\" text_space=\"fontspace-pos-025em\" css_animation=\"left-t-right\"]<a href=\"http://melanieebenson.com/considerations/\">Considerations</a>[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_font=\"font-default\" text_size=\"h6\" text_transform=\"uppercase\" text_height=\"fontheight-18\" text_space=\"fontspace-pos-025em\" css_animation=\"left-t-right\" animation_delay=\"100\"]<a href=\"http://melanieebenson.com/booking/\">Book Now</a>[/vc_custom_heading][/vc_column][/vc_row][vc_row row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"3\" top_padding=\"3\" bottom_padding=\"3\" overlay_alpha=\"50\" gutter_size=\"3\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][uncode_copyright el_class=\"copyright-credit\"][vc_empty_space empty_h=\"3\" desktop_visibility=\"yes\"][/vc_column][/vc_row]", "Footer Widgets", "", "publish", "closed", "closed", "", "footer-widgets", "", "", "2019-12-31 22:10:51", "2019-12-31 22:10:51", "", "0", "http://keira.courtesancreative.com/?post_type=uncodeblock&#038;p=2649", "0", "uncodeblock", "", "0");
INSERT INTO `wp_posts` VALUES("2775", "2", "2018-12-28 05:50:33", "2018-12-28 05:50:33", " ", "", "", "publish", "closed", "closed", "", "about-me-2", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://keira.courtesancreative.com/?p=2775", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("2805", "2", "2019-07-19 20:13:46", "2019-07-19 20:13:46", " ", "", "", "publish", "closed", "closed", "", "2805", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://melanieebenson.com/?p=2805", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("2806", "2", "2019-07-19 20:13:46", "2019-07-19 20:13:46", " ", "", "", "publish", "closed", "closed", "", "2806", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://melanieebenson.com/?p=2806", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("2807", "2", "2019-07-19 20:13:46", "2019-07-19 20:13:46", " ", "", "", "publish", "closed", "closed", "", "2807", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://melanieebenson.com/?p=2807", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("79178", "2", "2020-01-28 02:51:53", "2020-01-28 02:51:53", "", "melaniee-benson-new-york-escort__old-album-1", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-1", "", "", "2020-01-28 02:51:53", "2020-01-28 02:51:53", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79179", "2", "2019-12-30 01:16:13", "2019-12-30 01:16:13", "", "melaniee-benson-new-york-escort__old-album-2", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-2", "", "", "2020-01-28 03:55:53", "2020-01-28 03:55:53", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79180", "2", "2019-12-30 01:16:15", "2019-12-30 01:16:15", "", "melaniee-benson-new-york-escort__old-album-3", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-3", "", "", "2019-12-30 01:16:15", "2019-12-30 01:16:15", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("79181", "2", "2020-01-28 02:50:54", "2020-01-28 02:50:54", "", "melaniee-benson-new-york-escort__old-album-4", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-4", "", "", "2020-01-28 02:50:54", "2020-01-28 02:50:54", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79182", "2", "2019-12-30 01:16:16", "2019-12-30 01:16:16", "", "melaniee-benson-new-york-escort__old-album-5", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-5", "", "", "2019-12-30 01:16:16", "2019-12-30 01:16:16", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79183", "2", "2020-01-28 02:50:47", "2020-01-28 02:50:47", "", "melaniee-benson-new-york-escort__old-album-6", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-6", "", "", "2020-01-28 02:50:47", "2020-01-28 02:50:47", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79184", "2", "2020-01-28 02:50:39", "2020-01-28 02:50:39", "", "melaniee-benson-new-york-escort__old-album-7", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-7", "", "", "2020-01-28 02:50:39", "2020-01-28 02:50:39", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79185", "2", "2019-12-30 01:16:19", "2019-12-30 01:16:19", "", "melaniee-benson-new-york-escort__old-album-8", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-8", "", "", "2019-12-30 01:16:19", "2019-12-30 01:16:19", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79186", "2", "2019-12-30 01:16:20", "2019-12-30 01:16:20", "", "melaniee-benson-new-york-escort__old-album-9", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-9", "", "", "2019-12-30 01:16:20", "2019-12-30 01:16:20", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79187", "2", "2020-01-28 02:50:30", "2020-01-28 02:50:30", "", "melaniee-benson-new-york-escort__old-album-10", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-10", "", "", "2020-01-28 02:50:30", "2020-01-28 02:50:30", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79188", "2", "2019-12-30 01:16:22", "2019-12-30 01:16:22", "", "melaniee-benson-new-york-escort__old-album-11", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-11", "", "", "2019-12-30 01:16:22", "2019-12-30 01:16:22", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79189", "2", "2019-12-30 01:16:23", "2019-12-30 01:16:23", "", "melaniee-benson-new-york-escort__old-album-12", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-12", "", "", "2019-12-30 01:16:23", "2019-12-30 01:16:23", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79190", "2", "2019-12-30 01:16:24", "2019-12-30 01:16:24", "", "melaniee-benson-new-york-escort__old-album-13", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-13", "", "", "2019-12-30 01:16:24", "2019-12-30 01:16:24", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-13.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79191", "2", "2020-01-28 02:50:12", "2020-01-28 02:50:12", "", "melaniee-benson-new-york-escort__old-album-14", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-14", "", "", "2020-01-28 02:50:12", "2020-01-28 02:50:12", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79192", "2", "2020-01-28 02:49:11", "2020-01-28 02:49:11", "", "melaniee-benson-new-york-escort__old-album-15", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-15", "", "", "2020-01-28 02:49:11", "2020-01-28 02:49:11", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-15.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79193", "2", "2020-01-28 02:48:33", "2020-01-28 02:48:33", "", "melaniee-benson-new-york-escort__old-album-16", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-16", "", "", "2020-01-28 02:48:33", "2020-01-28 02:48:33", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79194", "2", "2020-01-28 02:48:44", "2020-01-28 02:48:44", "", "melaniee-benson-new-york-escort__old-album-17", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-17", "", "", "2020-01-28 02:48:44", "2020-01-28 02:48:44", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-17.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79195", "2", "2020-01-28 02:48:09", "2020-01-28 02:48:09", "", "melaniee-benson-new-york-escort__old-album-18", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-18", "", "", "2020-01-28 02:48:09", "2020-01-28 02:48:09", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79196", "2", "2020-01-28 02:47:45", "2020-01-28 02:47:45", "", "melaniee-benson-new-york-escort__old-album-19", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-19", "", "", "2020-01-28 02:47:45", "2020-01-28 02:47:45", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-19.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79197", "2", "2020-01-28 02:47:36", "2020-01-28 02:47:36", "", "melaniee-benson-new-york-escort__old-album-20", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__old-album-20", "", "", "2020-01-28 02:47:36", "2020-01-28 02:47:36", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__old-album-20.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79198", "2", "2019-12-30 01:17:31", "2019-12-30 01:17:31", "", "melaniee-benson-new-york-escort__inez-1", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__inez-1", "", "", "2020-01-28 03:54:56", "2020-01-28 03:54:56", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__inez-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79199", "2", "2020-01-28 02:40:37", "2020-01-28 02:40:37", "", "melaniee-benson-new-york-escort__inez-2", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__inez-2", "", "", "2020-01-28 02:40:37", "2020-01-28 02:40:37", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__inez-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79200", "2", "2020-01-28 02:40:29", "2020-01-28 02:40:29", "", "melaniee-benson-new-york-escort__inez-3", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__inez-3", "", "", "2020-01-28 02:40:29", "2020-01-28 02:40:29", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__inez-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79202", "2", "2020-01-28 02:39:44", "2020-01-28 02:39:44", "", "melaniee-benson-new-york-escort__inez-5", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__inez-5", "", "", "2020-01-28 02:39:44", "2020-01-28 02:39:44", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__inez-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79203", "2", "2020-01-28 02:39:36", "2020-01-28 02:39:36", "", "melaniee-benson-new-york-escort__inez-6", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__inez-6", "", "", "2020-01-28 02:39:36", "2020-01-28 02:39:36", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__inez-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79204", "2", "2020-01-28 02:39:25", "2020-01-28 02:39:25", "", "melaniee-benson-new-york-escort__inez-7", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__inez-7", "", "", "2020-01-28 02:39:25", "2020-01-28 02:39:25", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__inez-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79205", "2", "2020-01-28 02:32:40", "2020-01-28 02:32:40", "", "melaniee-benson-new-york-escort__clic-27", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-27", "", "", "2020-01-28 02:32:40", "2020-01-28 02:32:40", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-27.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79206", "2", "2020-01-28 02:33:12", "2020-01-28 02:33:12", "", "melaniee-benson-new-york-escort__clic-28", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-28", "", "", "2020-01-28 02:33:12", "2020-01-28 02:33:12", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-28.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79207", "2", "2020-01-28 02:33:44", "2020-01-28 02:33:44", "", "melaniee-benson-new-york-escort__clic-29", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-29", "", "", "2020-01-28 02:33:44", "2020-01-28 02:33:44", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-29.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79208", "2", "2020-01-28 02:34:16", "2020-01-28 02:34:16", "", "melaniee-benson-new-york-escort__clic-30", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-30", "", "", "2020-01-28 02:34:16", "2020-01-28 02:34:16", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-30.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79209", "2", "2020-01-28 02:34:28", "2020-01-28 02:34:28", "", "melaniee-benson-new-york-escort__clic-31", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-31", "", "", "2020-01-28 02:34:28", "2020-01-28 02:34:28", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-31.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79210", "2", "2020-01-28 02:35:15", "2020-01-28 02:35:15", "", "melaniee-benson-new-york-escort__clic-32", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-32", "", "", "2020-01-28 02:35:15", "2020-01-28 02:35:15", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-32.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79211", "2", "2020-01-28 02:35:29", "2020-01-28 02:35:29", "", "melaniee-benson-new-york-escort__clic-33", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-33", "", "", "2020-01-28 02:35:29", "2020-01-28 02:35:29", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-33.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79212", "2", "2020-01-28 02:35:36", "2020-01-28 02:35:36", "", "melaniee-benson-new-york-escort__clic-34", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-34", "", "", "2020-01-28 02:35:36", "2020-01-28 02:35:36", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-34.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79213", "2", "2019-12-30 01:18:46", "2019-12-30 01:18:46", "", "melaniee-benson-new-york-escort__clic-35", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-35", "", "", "2020-01-28 03:54:03", "2020-01-28 03:54:03", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-35.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79214", "2", "2020-01-28 02:35:49", "2020-01-28 02:35:49", "", "melaniee-benson-new-york-escort__clic-36", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-36", "", "", "2020-01-28 02:35:49", "2020-01-28 02:35:49", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-36.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79215", "2", "2020-01-28 02:35:55", "2020-01-28 02:35:55", "", "melaniee-benson-new-york-escort__clic-37", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-37", "", "", "2020-01-28 02:35:55", "2020-01-28 02:35:55", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-37.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79216", "2", "2019-12-30 01:18:51", "2019-12-30 01:18:51", "", "melaniee-benson-new-york-escort__clic-38", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-38", "", "", "2019-12-30 01:18:51", "2019-12-30 01:18:51", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-38.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79217", "2", "2020-01-28 02:36:58", "2020-01-28 02:36:58", "", "melaniee-benson-new-york-escort__clic-17", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-17", "", "", "2020-01-28 02:36:58", "2020-01-28 02:36:58", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-17.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79218", "2", "2020-01-28 02:37:06", "2020-01-28 02:37:06", "", "melaniee-benson-new-york-escort__clic-18", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-18", "", "", "2020-01-28 02:37:06", "2020-01-28 02:37:06", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79219", "2", "2020-01-28 02:37:15", "2020-01-28 02:37:15", "", "melaniee-benson-new-york-escort__clic-19", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-19", "", "", "2020-01-28 02:37:15", "2020-01-28 02:37:15", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-19.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79220", "2", "2020-01-28 02:37:23", "2020-01-28 02:37:23", "", "melaniee-benson-new-york-escort__clic-20", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-20", "", "", "2020-01-28 02:37:23", "2020-01-28 02:37:23", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-20.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79221", "2", "2020-01-28 02:37:32", "2020-01-28 02:37:32", "", "melaniee-benson-new-york-escort__clic-21", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-21", "", "", "2020-01-28 02:37:32", "2020-01-28 02:37:32", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-21.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79222", "2", "2020-01-28 02:37:43", "2020-01-28 02:37:43", "", "melaniee-benson-new-york-escort__clic-22", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-22", "", "", "2020-01-28 02:37:43", "2020-01-28 02:37:43", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-22.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79223", "2", "2020-01-28 02:37:52", "2020-01-28 02:37:52", "", "melaniee-benson-new-york-escort__clic-23", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-23", "", "", "2020-01-28 02:37:52", "2020-01-28 02:37:52", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79224", "2", "2020-01-28 02:37:59", "2020-01-28 02:37:59", "", "melaniee-benson-new-york-escort__clic-24", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-24", "", "", "2020-01-28 02:37:59", "2020-01-28 02:37:59", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-24.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79225", "2", "2020-01-28 02:38:05", "2020-01-28 02:38:05", "", "melaniee-benson-new-york-escort__clic-25", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-25", "", "", "2020-01-28 02:38:05", "2020-01-28 02:38:05", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-25.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79226", "2", "2020-01-28 02:38:11", "2020-01-28 02:38:11", "", "melaniee-benson-new-york-escort__clic-26", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-26", "", "", "2020-01-28 02:38:11", "2020-01-28 02:38:11", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-26.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79227", "2", "2020-01-28 00:39:27", "2020-01-28 00:39:27", "", "melaniee-benson-new-york-escort__clic-1", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-1", "", "", "2020-01-28 00:39:27", "2020-01-28 00:39:27", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79228", "2", "2019-12-30 01:19:22", "2019-12-30 01:19:22", "", "melaniee-benson-new-york-escort__clic-2", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-2", "", "", "2019-12-30 01:19:22", "2019-12-30 01:19:22", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79229", "2", "2020-01-28 00:40:31", "2020-01-28 00:40:31", "", "melaniee-benson-new-york-escort__clic-3", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-3", "", "", "2020-01-28 00:40:31", "2020-01-28 00:40:31", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79230", "2", "2020-01-28 00:45:00", "2020-01-28 00:45:00", "", "melaniee-benson-new-york-escort__clic-4", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-4", "", "", "2020-01-28 00:45:00", "2020-01-28 00:45:00", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79231", "2", "2020-01-28 00:45:25", "2020-01-28 00:45:25", "", "melaniee-benson-new-york-escort__clic-5", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-5", "", "", "2020-01-28 00:45:25", "2020-01-28 00:45:25", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79232", "2", "2020-01-28 00:47:35", "2020-01-28 00:47:35", "", "melaniee-benson-new-york-escort__clic-6", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-6", "", "", "2020-01-28 00:47:35", "2020-01-28 00:47:35", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79233", "2", "2020-01-28 02:59:26", "2020-01-28 02:59:26", "", "melaniee-benson-new-york-escort__clic-7", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-7", "", "", "2020-01-28 02:59:26", "2020-01-28 02:59:26", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79234", "2", "2020-01-28 00:48:13", "2020-01-28 00:48:13", "", "melaniee-benson-new-york-escort__clic-8", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-8", "", "", "2020-01-28 00:48:13", "2020-01-28 00:48:13", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79235", "2", "2020-01-28 00:48:35", "2020-01-28 00:48:35", "", "melaniee-benson-new-york-escort__clic-9", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-9", "", "", "2020-01-28 00:48:35", "2020-01-28 00:48:35", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79236", "2", "2020-01-28 00:48:50", "2020-01-28 00:48:50", "", "melaniee-benson-new-york-escort__clic-10", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-10", "", "", "2020-01-28 00:48:50", "2020-01-28 00:48:50", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79237", "2", "2020-01-28 00:49:08", "2020-01-28 00:49:08", "", "melaniee-benson-new-york-escort__clic-11", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-11", "", "", "2020-01-28 00:49:08", "2020-01-28 00:49:08", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79238", "2", "2019-12-30 01:19:46", "2019-12-30 01:19:46", "", "melaniee-benson-new-york-escort__clic-12", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-12", "", "", "2019-12-30 01:19:46", "2019-12-30 01:19:46", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79239", "2", "2020-01-28 02:58:57", "2020-01-28 02:58:57", "", "melaniee-benson-new-york-escort__clic-13", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-13", "", "", "2020-01-28 02:58:57", "2020-01-28 02:58:57", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-13.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79240", "2", "2019-12-30 01:19:48", "2019-12-30 01:19:48", "", "melaniee-benson-new-york-escort__clic-14", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-14", "", "", "2019-12-30 01:19:48", "2019-12-30 01:19:48", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79241", "2", "2020-01-28 02:58:27", "2020-01-28 02:58:27", "", "melaniee-benson-new-york-escort__clic-15", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-15", "", "", "2020-01-28 02:58:27", "2020-01-28 02:58:27", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-15.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79242", "2", "2020-01-28 00:56:41", "2020-01-28 00:56:41", "", "melaniee-benson-new-york-escort__clic-16", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__clic-16", "", "", "2020-01-28 00:56:41", "2020-01-28 00:56:41", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__clic-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79243", "2", "2020-01-28 00:13:06", "2020-01-28 00:13:06", "", "melaniee-benson-new-york-escort__lotus-1", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-1", "", "", "2020-01-28 04:01:20", "2020-01-28 04:01:20", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79244", "2", "2020-01-28 00:13:16", "2020-01-28 00:13:16", "", "melaniee-benson-new-york-escort__lotus-2", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-2", "", "", "2020-01-28 00:13:16", "2020-01-28 00:13:16", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79245", "2", "2020-01-28 00:13:26", "2020-01-28 00:13:26", "", "melaniee-benson-new-york-escort__lotus-3", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-3", "", "", "2020-01-28 00:13:26", "2020-01-28 00:13:26", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79246", "2", "2020-01-28 00:13:34", "2020-01-28 00:13:34", "", "melaniee-benson-new-york-escort__lotus-4", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-4", "", "", "2020-01-28 03:48:07", "2020-01-28 03:48:07", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79247", "2", "2020-01-28 00:13:49", "2020-01-28 00:13:49", "", "melaniee-benson-new-york-escort__lotus-5", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-5", "", "", "2020-01-28 00:13:49", "2020-01-28 00:13:49", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79248", "2", "2020-01-28 00:14:00", "2020-01-28 00:14:00", "", "melaniee-benson-new-york-escort__lotus-6", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-6", "", "", "2020-01-28 00:14:00", "2020-01-28 00:14:00", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79249", "2", "2020-01-28 00:14:10", "2020-01-28 00:14:10", "", "melaniee-benson-new-york-escort__lotus-7", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__lotus-7", "", "", "2020-01-28 00:14:10", "2020-01-28 00:14:10", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__lotus-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79250", "2", "2020-01-28 00:01:20", "2020-01-28 00:01:20", "", "melaniee-benson-new-york-escort__blonde-1", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-1", "", "", "2020-01-28 00:01:20", "2020-01-28 00:01:20", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79251", "2", "2020-01-28 00:02:31", "2020-01-28 00:02:31", "", "melaniee-benson-new-york-escort__blonde-2", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-2", "", "", "2020-01-28 00:02:31", "2020-01-28 00:02:31", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79252", "2", "2020-01-28 00:02:56", "2020-01-28 00:02:56", "", "melaniee-benson-new-york-escort__blonde-3", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-3", "", "", "2020-01-28 03:30:03", "2020-01-28 03:30:03", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79253", "2", "2020-01-28 00:03:17", "2020-01-28 00:03:17", "", "melaniee-benson-new-york-escort__blonde-4", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-4", "", "", "2020-01-28 03:28:55", "2020-01-28 03:28:55", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79254", "2", "2020-01-28 00:03:50", "2020-01-28 00:03:50", "", "melaniee-benson-new-york-escort__blonde-6", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-6", "", "", "2020-01-28 00:03:50", "2020-01-28 00:03:50", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79255", "2", "2020-01-28 00:09:47", "2020-01-28 00:09:47", "", "melaniee-benson-new-york-escort__blonde-7", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-7", "", "", "2020-01-28 00:09:47", "2020-01-28 00:09:47", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79256", "2", "2020-01-28 00:10:23", "2020-01-28 00:10:23", "", "melaniee-benson-new-york-escort__blonde-8", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-8", "", "", "2020-01-28 00:10:23", "2020-01-28 00:10:23", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79257", "2", "2020-01-28 00:10:09", "2020-01-28 00:10:09", "", "melaniee-benson-new-york-escort__blonde-9", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-9", "", "", "2020-01-28 00:10:09", "2020-01-28 00:10:09", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79258", "2", "2020-01-28 00:10:42", "2020-01-28 00:10:42", "", "melaniee-benson-new-york-escort__blonde-10", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-10", "", "", "2020-01-28 00:10:42", "2020-01-28 00:10:42", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79259", "2", "2020-01-28 00:10:54", "2020-01-28 00:10:54", "", "melaniee-benson-new-york-escort__blonde-11", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-11", "", "", "2020-01-28 00:10:54", "2020-01-28 00:10:54", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/melaniee-benson-new-york-escort__blonde-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79276", "2", "2019-12-30 05:16:49", "2019-12-30 05:16:49", "", "favicon-melaniee-benson", "", "inherit", "open", "closed", "", "favicon-melaniee-benson", "", "", "2019-12-30 05:16:49", "2019-12-30 05:16:49", "", "2105", "http://melanieebenson.com/wp-content/uploads/2019/12/favicon-melaniee-benson.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("79279", "2", "2019-12-30 04:56:07", "2019-12-30 04:56:07", "", "signature-melaniee-benson__black", "", "inherit", "open", "closed", "", "signature-melaniee-benson__black", "", "", "2019-12-30 04:56:07", "2019-12-30 04:56:07", "", "2105", "http://melanieebenson.com/wp-content/uploads/2019/12/signature-melaniee-benson__black.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("79280", "2", "2019-12-30 04:56:08", "2019-12-30 04:56:08", "", "signature-melaniee-benson__white", "", "inherit", "open", "closed", "", "signature-melaniee-benson__white", "", "", "2019-12-30 04:56:08", "2019-12-30 04:56:08", "", "2105", "http://melanieebenson.com/wp-content/uploads/2019/12/signature-melaniee-benson__white.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("79282", "2", "2019-12-30 05:17:13", "2019-12-30 05:17:13", "", "logo-melaniee-benson__black-v2", "", "inherit", "open", "closed", "", "logo-melaniee-benson__black-v2", "", "", "2019-12-30 05:17:13", "2019-12-30 05:17:13", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/logo-melaniee-benson__black-v2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("79283", "2", "2019-12-30 05:17:14", "2019-12-30 05:17:14", "", "logo-melaniee-benson__white-v2", "", "inherit", "open", "closed", "", "logo-melaniee-benson__white-v2", "", "", "2019-12-30 05:17:14", "2019-12-30 05:17:14", "", "0", "http://melanieebenson.com/wp-content/uploads/2019/12/logo-melaniee-benson__white-v2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("79298", "2", "2019-12-31 02:51:30", "2019-12-31 02:51:30", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\" el_class=\"text-align-center\"]FAQ[/vc_custom_heading][vc_accordion active_tab=\"0\"][vc_accordion_tab title=\"What methods of payment do you accept?\" tab_id=\"1545946096023-6-3\"][vc_column_text]Cash only, however for appointments of 4 or more hours I do require a 50% deposit and that can be made by PayPal.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"What if I wish to extend my time?\" tab_id=\"1545943617079-4-9\"][vc_column_text]If we are having a wonderful time and wish to extend it, please prepare for that by having the additional donation with you. The best bet is to book it in advance and I will guarantee you will not be disappointed.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Do you travel for appointments?\" tab_id=\"1545943454704-2-10\"][vc_column_text]I have an additional fee for outcall appointments within 30 miles. Clients have booked me out of state to travel to them and those arrangements need to be booked in advanced, including a deposit plus the cost of flight and room.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Do I have to screen?\" tab_id=\"1545940502-2-12\"][vc_column_text]My safety and comfort as well as the safety and comfort of all my friends are my number 1 priority. This is why I require the information requested on my secured booking form.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Is my info kept confidential?\" tab_id=\"1545943502561-3-8\"][vc_column_text]All info given is kept private and confidential, strictly used for the purpose of verification.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"May I make clothing requests?\" tab_id=\"1545946016183-5-6\"][vc_column_text]Yes, if I have the desired outfit in my closet, please make the request at the time of the advanced booking. If there is something specific you would like to see me in, I am happy to give you my sizes for you to make the purchase.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Do you accept gifts?\" tab_id=\"1577751054243-6-10\"][vc_column_text]Presents? I Love presents. The greatest gift you can give me is our encounter. But I do have clients that will spoil me from time to time. I\'m happy to give you my sizes or ideas for gifts.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"What should I do to prepare for our time together?\" tab_id=\"1577761322937-7-6\"][vc_column_text]Please be showered, clean, smelling fresh, well groomed and trimmed, so it does not interfere with our time together.</p>\n<p>As I have stated before, please have my consideration in plain sight, in an envelope, or in a gift bag accompanied by a thank you note or card.</p>\n<p>Please, at no time during the screening or conversation, will there be any lewd, talking, vulgarity or references to sexual acts as that would cause me to end our time together or conversation we are having.</p>\n<p>Our time together is special and I want to make the most of it so please be respectful and considerate of our time together. And most of all, breathe, relax and enjoy...[/vc_column_text][/vc_accordion_tab][/vc_accordion][vc_column_text el_class=\"text-align-center\"]Salaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fconsiderations%2F|title:Considerations||\"]View Considerations[/vc_button][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79253\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]</p>\n", "FAQ", "", "publish", "closed", "closed", "", "faq", "", "", "2020-01-02 03:55:48", "2020-01-02 03:55:48", "", "0", "http://melanieebenson.com/?page_id=79298", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("79311", "2", "2019-12-31 03:44:19", "2019-12-31 03:44:19", " ", "", "", "publish", "closed", "closed", "", "79311", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://melanieebenson.com/?p=79311", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("79322", "2", "2019-12-31 04:22:43", "2019-12-31 04:22:43", "", "Schedule", "", "draft", "closed", "closed", "", "79322", "", "", "2019-12-31 04:26:38", "2019-12-31 04:26:38", "", "0", "http://melanieebenson.com/?post_type=mts_notification_bar&#038;p=79322", "0", "mts_notification_bar", "", "0");
INSERT INTO `wp_posts` VALUES("79332", "2", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "Default Theme", "", "publish", "closed", "closed", "", "default-theme", "", "", "2019-12-31 05:38:41", "2019-12-31 05:38:41", "", "0", "http://melanieebenson.com/?post_type=popup_theme&#038;p=79332", "0", "popup_theme", "", "0");
INSERT INTO `wp_posts` VALUES("79333", "2", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "Light Box", "", "publish", "closed", "closed", "", "lightbox", "", "", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "0", "http://melanieebenson.com/?post_type=popup_theme&p=79333", "0", "popup_theme", "", "0");
INSERT INTO `wp_posts` VALUES("79334", "2", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "Enterprise Blue", "", "publish", "closed", "closed", "", "enterprise-blue", "", "", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "0", "http://melanieebenson.com/?post_type=popup_theme&p=79334", "0", "popup_theme", "", "0");
INSERT INTO `wp_posts` VALUES("79335", "2", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "Hello Box", "", "publish", "closed", "closed", "", "hello-box", "", "", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "0", "http://melanieebenson.com/?post_type=popup_theme&p=79335", "0", "popup_theme", "", "0");
INSERT INTO `wp_posts` VALUES("79336", "2", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "Cutting Edge", "", "publish", "closed", "closed", "", "cutting-edge", "", "", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "0", "http://melanieebenson.com/?post_type=popup_theme&p=79336", "0", "popup_theme", "", "0");
INSERT INTO `wp_posts` VALUES("79337", "2", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "Framed Border", "", "publish", "closed", "closed", "", "framed-border", "", "", "2019-12-31 05:14:30", "2019-12-31 05:14:30", "", "0", "http://melanieebenson.com/?post_type=popup_theme&p=79337", "0", "popup_theme", "", "0");
INSERT INTO `wp_posts` VALUES("79338", "2", "2019-12-31 05:19:26", "2019-12-31 05:19:26", "This site contains adult-related material. If you are under 18 years of age or if it is illegal to view adult material in your jurisdiction, please leave now.\r\n\r\nBy entering this website, you agree that you are choosing to receive the information on this website. You understand and accept responsibility for your own actions, thus releasing the website owner, the website builder software, its staff, affiliates and advertisers from all legal liability. These web pages are not intended to be viewed by minors. NO sexual activities are implied or condoned by the creator(s) of this website. This site does not promote prostitution nor is this advertisement or any content therein an offer for prostitution. Money exchanged is for companionship only and anything beyond that is a choice made between two consenting adults and not contracted for by the site or its creator(s).\r\n\r\nUnder no circumstances does the website owner, the website builder software, its staff or affiliates consent to or has knowledge of any illegal activity committed by anyone associated with this website.\r\n\r\nI am an independent, consenting adult. I am not working against my will, nor have I ever. It is important that anyone reading my site know and understand that choice. This is not an offer of prostitution. This site does not advertise, offer, or otherwise promote prostitution or any other illegal actions. I do not accept money in exchange for sexual activities. By entering this site and contacting me via this website, email, or phone; you agree to these terms and conditions:\r\n\r\n1. All donations are for time and companionship only. 2. Anything occurring between two consenting adults is purely based on mutual attraction. 3. You certify that you are over the legal age to view adult content. 4. You will not use this site or any ads that brought you to this site as entrapment or against the persons related to this site in any way.\r\n\r\nI take human trafficking, abuse, and exploitation of minors and other victims very seriously. However, I am not nor have I ever been a victim of trafficking. I am here by my own choice and free will. Any compensation is for time and companionship. No illegal exchanges or services are discussed or offered.\r\n\r\n<a class=\"custom-link btn btn-md btn-custom-typo font-default font-weight-700 text-uppercase fontspace-pos-025em border-width-1 btn-default btn-color-white btn-square btn-icon-left btn-ripple-out btn-border-animated pum-close popmake-close\" style=\"display: block;\" href=\"#\">Enter</a>", "Disclaimer", "", "publish", "closed", "closed", "", "disclaimer", "", "", "2019-12-31 05:34:42", "2019-12-31 05:34:42", "", "0", "http://melanieebenson.com/?post_type=popup&#038;p=79338", "0", "popup", "", "0");
INSERT INTO `wp_posts` VALUES("79361", "2", "2020-01-02 02:43:39", "2020-01-02 02:43:39", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"62\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" front_end_with_slider=\"true\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][uncode_slider slider_type=\"fade\" slider_interval=\"5000\" slider_navspeed=\"700\" slider_loop=\"yes\" slider_hide_dots=\"yes\"][vc_row_inner row_inner_height_percent=\"100\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\" front_end_with_slider=\"true\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" back_image=\"79255\" overlay_color=\"color-black\" overlay_alpha=\"20\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" zoom_width=\"0\" zoom_height=\"0\" width=\"1/1\"][vc_custom_heading text_size=\"fontsize-48\" text_transform=\"uppercase\" text_color=\"color-white\" css_animation=\"top-t-bottom\" animation_delay=\"400\" title=\"\"]New York City Escort[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_size=\"fontsize-13\" text_weight=\"400\" text_transform=\"uppercase\" text_height=\"fontheight-15\" text_space=\"fontspace-pos-02\" text_color=\"color-white-80\" css_animation=\"bottom-t-top\" animation_speed=\"600\"]Your East Coast Charm, Dream Girl[/vc_custom_heading][vc_empty_space empty_h=\"2\"][vc_icon icon=\"fa fa-arrow-down4\" background_style=\"fa-rounded\" outline=\"yes\" css_animation=\"bottom-t-top\" animation_speed=\"600\" animation_delay=\"800\" link=\"url:%23about-me|||\"][/vc_icon][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"100\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\" front_end_with_slider=\"true\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" back_image=\"79256\" overlay_color=\"color-black\" overlay_alpha=\"20\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" zoom_width=\"0\" zoom_height=\"0\" width=\"1/1\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-48\" text_transform=\"uppercase\" text_color=\"color-white\" css_animation=\"top-t-bottom\" animation_delay=\"400\" title=\"\"]Pleasures and Fantasies[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_size=\"fontsize-13\" text_transform=\"uppercase\" text_height=\"fontheight-15\" text_space=\"fontspace-pos-02\" text_color=\"color-white-80\" css_animation=\"bottom-t-top\" animation_speed=\"600\"]Come explore with me...[/vc_custom_heading][vc_empty_space empty_h=\"2\"][vc_icon icon=\"fa fa-arrow-down4\" background_style=\"fa-rounded\" outline=\"yes\" css_animation=\"bottom-t-top\" animation_speed=\"600\" animation_delay=\"800\" link=\"url:%23about-me|||\"][/vc_icon][/vc_column_inner][/vc_row_inner][/uncode_slider][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"100\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" el_class=\"overflow-hidden\" row_name=\"About Me\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"200\" width=\"1/2\"][vc_row_inner row_inner_height_percent=\"60\" back_color=\"color-222\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79252\" overlay_alpha=\"10\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_visibility=\"yes\" mobile_width=\"0\" width=\"1/2\" mobile_height=\"280\"][/vc_column_inner][vc_column_inner column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" overlay_alpha=\"56\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" column_width_pixel=\"400\" el_class=\"inner-border\"][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Body[/vc_custom_heading][vc_column_text css_animation=\"right-t-left\"]I am your coquettish companion, a succulent spicy Italian treat at 5\'0\" with naturally toned curves that you will indulge yourself in. I measure deliciously at 32C-25-33, 110 pounds and 100% authentic. I am your perfect East Coast Charm Dream Girl, passionate yet easy going and laid back while always looking for the next epic adventure. I\'m your luscious Blonde Bombshell, at the moment, but that can change with the tide, as I like being a sultry brunette minx as well, with deep mesmerizing blue eyes and magnetic smile.</p>\n<p>Always ready to welcome you in and make you feel at ease. I strive daily to lead a healthy lifestyle. I\'m very active and love boxing, yoga, swimming, and cross-fit just to name a few. But what Italian girl doesn\'t enjoy pizza, chocolate, and gelato on occasion? My approach to fashion is varied. Classy to sophisticated, casual to comfortable, elegant to alluring, form fitted sexy dresses to wispy bohemian skirts.</p>\n<p>A night on the town, a weekend at the beach, an intimate evening in by the fire. Whatever the occasion calls for, I have the perfect attire appropriate for any adventure you have in mind for us.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_button size=\"btn-sm\" radius=\"btn-square\" border_animation=\"btn-ripple-out\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"right-t-left\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fconsiderations%2F|title:Etiquette||\"]View Considerations[/vc_button][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"40\" back_image=\"79259\" back_position=\"right center\" overlay_color=\"color-black\" overlay_alpha=\"10\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" medium_visibility=\"yes\" mobile_visibility=\"yes\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"bottom\" align_horizontal=\"align_center\" gutter_size=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"-2\" z_index=\"10\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"600\" width=\"1/2\"][vc_row_inner row_inner_height_percent=\"40\" back_image=\"79258\" back_position=\"left center\" overlay_alpha=\"3\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" medium_visibility=\"yes\" mobile_visibility=\"yes\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"60\" back_color=\"color-222\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79250\" back_position=\"center top\" overlay_alpha=\"30\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" mobile_height=\"280\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column_inner][vc_column_inner column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" overlay_alpha=\"75\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" column_width_pixel=\"400\"][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Mind[/vc_custom_heading][vc_column_text css_animation=\"right-t-left\"]There is more to me than what is just seen on the surface. I am greater than the sum of my parts and I invite you to explore. I\'m outgoing and humorous. As someone who juggles many hats, you will find me multi-faceted as I have a successful career as well as enjoy \"entertaining\" in my free time. You will find me articulate and a devilishly charming conversationalist. I enjoy mixing light humor into what I have to say as laughter is the best medicine and is the best ice breaker.</p>\n<p>My experience has allowed me to travel all over. It\'s allowed me to be well versed with the world and the ability to be culturally engaging. On the flip side, I am also very civic minded and believe in giving back to the community by volunteering my time and resources to help others in need. It is my hope that you will find me the perfect mixture of an intellect, upbeat and carefree woman who is unpretentious, and genuine. I look forward to getting to know you and indulging in the finer things in life together.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_button size=\"btn-sm\" radius=\"btn-square\" border_animation=\"btn-ripple-out\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"right-t-left\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fbooking%2F|title:Rates||\"]Book Now[/vc_button][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Soul[/vc_custom_heading][vc_column_text el_class=\"text-align-justify\"]My desire is to provide you with an exclusive and ultimate experience – one that will leave you breathless, along with a smile that will last for days. There are many layers to my personality. I am deeply spiritual and passionate, and it will be my pleasure to share that with you. I\'m an upbeat, fun and sexy woman that enjoys life\'s luxuries, big or small. On a side note I must confess, I do enjoy a good bottle of wine and salacious conversation that leads into a romantic evening filled with excitement.</p>\n<p>My preference is for an encounter that is far from rushed. We live in a fast-paced world, always running from one point to another. Let’s take a little time getting to know one another, building a connection that allows us to slow down and relax into an unrivaled, personalized experience. Whether it\'s a brief interlude or adventure away.</p>\n<p>Intimate connection is important for me...as I know it is to you. I believe in deep intimate connections, as it allows for a more profound intimate experience. I am passionate about exchanging thoughts and ideas , as well as exploring pleasures and acting out fantasies.</p>\n<p>I implore you to share in enjoying the euphoric feeling that comes along with finding new connections, meeting new lovers, and pursuing the opportunity to discover each other. Together, we will enjoy life’s greatest pleasures as I take away your stresses, leaving you deeply fulfilled and yearning for more. Please accept my invitation to discover more...</p>\n<p>Salaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fetiquette%2F|title:Etiquette||\"]View Etiquette[/vc_button][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79253\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]</p>\n", "About", "", "inherit", "closed", "closed", "", "2105-revision-v1", "", "", "2020-01-02 02:43:39", "2020-01-02 02:43:39", "", "2105", "http://melanieebenson.com/2105-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79362", "2", "2020-01-02 02:47:28", "2020-01-02 02:47:28", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79250\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\" el_class=\"text-align-center\"]Etiquette[/vc_custom_heading][vc_accordion active_tab=\"0\"][vc_accordion_tab title=\"Conduct\" tab_id=\"1545946096023-6-3\"][vc_column_text]I love a man who knows how to conduct himself as a gentlemen under the right circumstances. I am passionate about spending time with you, and like to reserve playtime for when we are in private and alone together. Prior to that my biggest turn on is when a man can engage me in intelligent and sophisticated conversation and conduct himself as such.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Screening\" tab_id=\"1545943617079-4-9\"][vc_column_text]All new clients are required to be verified prior to scheduling. Advance scheduling is required for this process as it can take 24-48 hours.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Appreciation\" tab_id=\"1545943454704-2-10\"][vc_column_text]There is no negotiation of my considerations. I accept cash only. Please never discuss my gift and set it down within a few minutes of arriving.  Again, please be discreet when presenting the donation.</p>\n<p><strong>If we are in Private</strong>: Please place it in the bathroom. I may excuse myself to the restroom to freshen up so I may collect it discreetly. Please do not make me ask for it, as your appointment will not begin until I have been compensated. You may put it in an unsealed envelope with a thank you card.</p>\n<p><strong>If we are in Public</strong>: Please make sure the donation is in an unsealed envelope, a thank you card, or in a gift bag accompanied by a small token of affection and it should be presented within 5 minutes of us meeting.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Contact\" tab_id=\"1545940502-2-12\"][vc_column_text]All contact is via email only. At no time during the screening or our time together will there be lewd talking, vulgarity, lewd references to explicit acts, or mention of acronyms that suggest lewd or explicit acts.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Grooming\" tab_id=\"1545943502561-3-8\"][vc_column_text]I go out of my way to ensure that I am beautifully presented and clean. Nothing is more sexy than a well groomed man, please make sure that you are clean and smell good, or be prepared to take a shower and freshen up upon arrival.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Late\" tab_id=\"1545946016183-5-6\"][vc_column_text]Please be respectful of my time as I have set aside specifically for you. If you are going to be late please email, text, or call. Be mindful of your time and or travel as a late arrival does not extend your time past what we have scheduled. Please do not overstay. If you are running late and I do not hear from you for 20 minutes of our scheduled time ,you will be marked as a cancellation and cancellation fees will apply.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Cancellation\" tab_id=\"1577751054243-6-10\"][vc_column_text]I understand that life can interrupt with our plans. Should you need to reschedule our date, I\'m happy to accommodate you within reason.</p>\n<p>If you cancel any time within 48 hours of the day of your appointment, you will be required to pay a 50% cancellation fee.</p>\n<p>If you cancel within 24 hours of the day of your appointment, you will be required to pay 100% cancellation fee.</p>\n<p>If you cancel twice in a row you will have to secure our appointment with a 50% deposit or I will no longer accept requests from you.</p>\n<p>Cancelling any time prior to the 24 to 48 hour window will incur a 25% cancellation fee. Thank you for your understanding.[/vc_column_text][/vc_accordion_tab][/vc_accordion][vc_column_text el_class=\"text-align-center\"]Salaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Ffaq%2F|title:Considerations||\"]Frequently Asked Questions[/vc_button][/vc_column][/vc_row]</p>\n", "Etiquette", "", "inherit", "closed", "closed", "", "2209-revision-v1", "", "", "2020-01-02 02:47:28", "2020-01-02 02:47:28", "", "2209", "http://melanieebenson.com/2209-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79363", "2", "2020-01-02 03:55:48", "2020-01-02 03:55:48", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\" el_class=\"text-align-center\"]FAQ[/vc_custom_heading][vc_accordion active_tab=\"0\"][vc_accordion_tab title=\"What methods of payment do you accept?\" tab_id=\"1545946096023-6-3\"][vc_column_text]Cash only, however for appointments of 4 or more hours I do require a 50% deposit and that can be made by PayPal.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"What if I wish to extend my time?\" tab_id=\"1545943617079-4-9\"][vc_column_text]If we are having a wonderful time and wish to extend it, please prepare for that by having the additional donation with you. The best bet is to book it in advance and I will guarantee you will not be disappointed.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Do you travel for appointments?\" tab_id=\"1545943454704-2-10\"][vc_column_text]I have an additional fee for outcall appointments within 30 miles. Clients have booked me out of state to travel to them and those arrangements need to be booked in advanced, including a deposit plus the cost of flight and room.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Do I have to screen?\" tab_id=\"1545940502-2-12\"][vc_column_text]My safety and comfort as well as the safety and comfort of all my friends are my number 1 priority. This is why I require the information requested on my secured booking form.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Is my info kept confidential?\" tab_id=\"1545943502561-3-8\"][vc_column_text]All info given is kept private and confidential, strictly used for the purpose of verification.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"May I make clothing requests?\" tab_id=\"1545946016183-5-6\"][vc_column_text]Yes, if I have the desired outfit in my closet, please make the request at the time of the advanced booking. If there is something specific you would like to see me in, I am happy to give you my sizes for you to make the purchase.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"Do you accept gifts?\" tab_id=\"1577751054243-6-10\"][vc_column_text]Presents? I Love presents. The greatest gift you can give me is our encounter. But I do have clients that will spoil me from time to time. I\'m happy to give you my sizes or ideas for gifts.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title=\"What should I do to prepare for our time together?\" tab_id=\"1577761322937-7-6\"][vc_column_text]Please be showered, clean, smelling fresh, well groomed and trimmed, so it does not interfere with our time together.</p>\n<p>As I have stated before, please have my consideration in plain sight, in an envelope, or in a gift bag accompanied by a thank you note or card.</p>\n<p>Please, at no time during the screening or conversation, will there be any lewd, talking, vulgarity or references to sexual acts as that would cause me to end our time together or conversation we are having.</p>\n<p>Our time together is special and I want to make the most of it so please be respectful and considerate of our time together. And most of all, breathe, relax and enjoy...[/vc_column_text][/vc_accordion_tab][/vc_accordion][vc_column_text el_class=\"text-align-center\"]Salaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fconsiderations%2F|title:Considerations||\"]View Considerations[/vc_button][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79253\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]</p>\n", "FAQ", "", "inherit", "closed", "closed", "", "79298-revision-v1", "", "", "2020-01-02 03:55:48", "2020-01-02 03:55:48", "", "79298", "http://melanieebenson.com/79298-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79365", "3", "2020-01-03 18:42:51", "2020-01-03 18:42:51", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"62\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" front_end_with_slider=\"true\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][uncode_slider slider_type=\"fade\" slider_interval=\"5000\" slider_navspeed=\"700\" slider_loop=\"yes\" slider_hide_dots=\"yes\"][vc_row_inner row_inner_height_percent=\"100\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\" front_end_with_slider=\"true\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" back_image=\"79255\" overlay_color=\"color-black\" overlay_alpha=\"20\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" zoom_width=\"0\" zoom_height=\"0\" width=\"1/1\"][vc_custom_heading text_size=\"fontsize-48\" text_transform=\"uppercase\" text_color=\"color-white\" css_animation=\"top-t-bottom\" animation_delay=\"400\" title=\"\"]New York City Companion[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_size=\"fontsize-13\" text_weight=\"400\" text_transform=\"uppercase\" text_height=\"fontheight-15\" text_space=\"fontspace-pos-02\" text_color=\"color-white-80\" css_animation=\"bottom-t-top\" animation_speed=\"600\"]Your East Coast Charm, Dream Girl[/vc_custom_heading][vc_empty_space empty_h=\"2\"][vc_icon icon=\"fa fa-arrow-down4\" background_style=\"fa-rounded\" outline=\"yes\" css_animation=\"bottom-t-top\" animation_speed=\"600\" animation_delay=\"800\" link=\"url:%23about-me|||\"][/vc_icon][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"100\" overlay_alpha=\"30\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\" front_end_with_slider=\"true\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" back_image=\"79256\" overlay_color=\"color-black\" overlay_alpha=\"20\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" zoom_width=\"0\" zoom_height=\"0\" width=\"1/1\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-48\" text_transform=\"uppercase\" text_color=\"color-white\" css_animation=\"top-t-bottom\" animation_delay=\"400\" title=\"\"]Pleasures and Fantasies[/vc_custom_heading][vc_custom_heading heading_semantic=\"div\" text_size=\"fontsize-13\" text_transform=\"uppercase\" text_height=\"fontheight-15\" text_space=\"fontspace-pos-02\" text_color=\"color-white-80\" css_animation=\"bottom-t-top\" animation_speed=\"600\"]Come explore with me...[/vc_custom_heading][vc_empty_space empty_h=\"2\"][vc_icon icon=\"fa fa-arrow-down4\" background_style=\"fa-rounded\" outline=\"yes\" css_animation=\"bottom-t-top\" animation_speed=\"600\" animation_delay=\"800\" link=\"url:%23about-me|||\"][/vc_icon][/vc_column_inner][/vc_row_inner][/uncode_slider][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"100\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" el_class=\"overflow-hidden\" row_name=\"About Me\"][vc_column column_width_percent=\"100\" position_vertical=\"middle\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"200\" width=\"1/2\"][vc_row_inner row_inner_height_percent=\"60\" back_color=\"color-222\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79252\" overlay_alpha=\"10\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_visibility=\"yes\" mobile_width=\"0\" width=\"1/2\" mobile_height=\"280\"][/vc_column_inner][vc_column_inner column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" overlay_alpha=\"56\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" column_width_pixel=\"400\" el_class=\"inner-border\"][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Body[/vc_custom_heading][vc_column_text css_animation=\"right-t-left\"]I am your coquettish companion, a succulent spicy Italian treat at 5\'0\" with naturally toned curves that you will indulge yourself in. I measure deliciously at 32C-25-33, 110 pounds and 100% authentic. I am your perfect East Coast Charm Dream Girl, passionate yet easy going and laid back while always looking for the next epic adventure. I\'m your luscious Blonde Bombshell, at the moment, but that can change with the tide, as I like being a sultry brunette minx as well, with deep mesmerizing blue eyes and magnetic smile.\n\nAlways ready to welcome you in and make you feel at ease. I strive daily to lead a healthy lifestyle. I\'m very active and love boxing, yoga, swimming, and cross-fit just to name a few. But what Italian girl doesn\'t enjoy pizza, chocolate, and gelato on occasion? My approach to fashion is varied. Classy to sophisticated, casual to comfortable, elegant to alluring, form fitted sexy dresses to wispy bohemian skirts.\n\nA night on the town, a weekend at the beach, an intimate evening in by the fire. Whatever the occasion calls for, I have the perfect attire appropriate for any adventure you have in mind for us.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_button size=\"btn-sm\" radius=\"btn-square\" border_animation=\"btn-ripple-out\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"right-t-left\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fconsiderations%2F|title:Etiquette||\"]View Considerations[/vc_button][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"40\" back_image=\"79259\" back_position=\"right center\" overlay_color=\"color-black\" overlay_alpha=\"10\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" medium_visibility=\"yes\" mobile_visibility=\"yes\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" position_vertical=\"bottom\" align_horizontal=\"align_center\" gutter_size=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"-2\" z_index=\"10\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"bottom-t-top\" animation_delay=\"600\" width=\"1/2\"][vc_row_inner row_inner_height_percent=\"40\" back_image=\"79258\" back_position=\"left center\" overlay_alpha=\"3\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" medium_visibility=\"yes\" mobile_visibility=\"yes\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][/vc_column_inner][/vc_row_inner][vc_row_inner row_inner_height_percent=\"60\" back_color=\"color-222\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" shift_y=\"0\" z_index=\"0\" limit_content=\"\"][vc_column_inner column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79250\" back_position=\"center top\" overlay_alpha=\"30\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" mobile_height=\"280\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column_inner][vc_column_inner column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" style=\"dark\" overlay_alpha=\"75\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"4\" mobile_width=\"0\" width=\"1/2\" column_width_pixel=\"400\"][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][vc_custom_heading text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Mind[/vc_custom_heading][vc_column_text css_animation=\"right-t-left\"]There is more to me than what is just seen on the surface. I am greater than the sum of my parts and I invite you to explore. I\'m outgoing and humorous. As someone who juggles many hats, you will find me multi-faceted as I have a successful career as well as enjoy \"entertaining\" in my free time. You will find me articulate and a devilishly charming conversationalist. I enjoy mixing light humor into what I have to say as laughter is the best medicine and is the best ice breaker.\n\nMy experience has allowed me to travel all over. It\'s allowed me to be well versed with the world and the ability to be culturally engaging. On the flip side, I am also very civic minded and believe in giving back to the community by volunteering my time and resources to help others in need. It is my hope that you will find me the perfect mixture of an intellect, upbeat and carefree woman who is unpretentious, and genuine. I look forward to getting to know you and indulging in the finer things in life together.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_button size=\"btn-sm\" radius=\"btn-square\" border_animation=\"btn-ripple-out\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"right-t-left\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fbooking%2F|title:Rates||\"]Book Now[/vc_button][vc_empty_space empty_h=\"2\" medium_visibility=\"yes\" mobile_visibility=\"yes\"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" align_horizontal=\"align_center\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/2\" column_width_pixel=\"540\"][vc_custom_heading heading_semantic=\"h1\" text_font=\"font-headings\" text_size=\"fontsize-28\" text_transform=\"uppercase\" text_height=\"fontheight-14\" text_space=\"fontspace-pos-005\" css_animation=\"curtain-words\" animation_speed=\"600\" animation_delay=\"200\" interval_animation=\"140\"]The Soul[/vc_custom_heading][vc_column_text el_class=\"text-align-justify\"]My desire is to provide you with an exclusive and ultimate experience – one that will leave you breathless, along with a smile that will last for days. There are many layers to my personality. I am deeply spiritual and passionate, and it will be my pleasure to share that with you. I\'m an upbeat, fun and sexy woman that enjoys life\'s luxuries, big or small. On a side note I must confess, I do enjoy a good bottle of wine and salacious conversation that leads into a romantic evening filled with excitement.\n\nMy preference is for an encounter that is far from rushed. We live in a fast-paced world, always running from one point to another. Let’s take a little time getting to know one another, building a connection that allows us to slow down and relax into an unrivaled, personalized experience. Whether it\'s a brief interlude or adventure away.\n\nIntimate connection is important for me...as I know it is to you. I believe in deep intimate connections, as it allows for a more profound intimate experience. I am passionate about exchanging thoughts and ideas , as well as exploring pleasures and acting out fantasies.\n\nI implore you to share in enjoying the euphoric feeling that comes along with finding new connections, meeting new lovers, and pursuing the opportunity to discover each other. Together, we will enjoy life’s greatest pleasures as I take away your stresses, leaving you deeply fulfilled and yearning for more. Please accept my invitation to discover more...\n\nSalaciously Yours,[/vc_column_text][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" css_animation=\"bottom-t-top\" animation_delay=\"200\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fetiquette%2F|title:Etiquette||\"]View Etiquette[/vc_button][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79253\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/2\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "About", "", "inherit", "closed", "closed", "", "2105-autosave-v1", "", "", "2020-01-03 18:42:51", "2020-01-03 18:42:51", "", "2105", "http://melanieebenson.com/2105-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79367", "2", "2020-01-28 00:00:53", "2020-01-28 00:00:53", "", "melaniee-benson-new-york-escort__blonde-5", "", "inherit", "open", "closed", "", "melaniee-benson-new-york-escort__blonde-5", "", "", "2020-01-28 03:49:19", "2020-01-28 03:49:19", "", "0", "http://melanieebenson.com/wp-content/uploads/2020/01/melaniee-benson-new-york-escort__blonde-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("79370", "2", "2020-01-28 03:53:21", "2020-01-28 03:53:21", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][vc_gallery el_id=\"gallery-130549\" medias=\"79259,79252,79258,79253,79254,79251,79257,79250,79256,79255,79249,79248,79247,79246,79245,79244,79243,79242,79241,79240,79239,79238,79237,79236,79235,79234,79233,79232,79231,79230,79229,79228,79227,79226,79225,79224,79223,79222,79221,79220,79219,79218,79217,79216,79215,79214,79213,79212,79211,79210,79209,79208,79207,79206,79205,79204,79203,79202,79200,79199,79198,79197,79196,79195,79193,79194,79192,79191,79190,79189,79188,79187,79186,79185,79184,79183,79182,79181,79180,79179,79178\" gallery_back_color=\"color-222\" gutter_size=\"0\" media_items=\"media|lightbox|original\" screen_lg=\"1000\" screen_md=\"600\" screen_sm=\"480\" images_size=\"one-one\" single_overlay_opacity=\"1\" single_image_anim=\"no\" single_padding=\"2\" single_border=\"yes\" single_css_animation=\"alpha-anim\"][/vc_column][/vc_row]</p>\n", "Photos", "", "inherit", "closed", "closed", "", "1161-autosave-v1", "", "", "2020-01-28 03:53:21", "2020-01-28 03:53:21", "", "1161", "http://melanieebenson.com/1161-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79372", "2", "2020-01-28 03:49:53", "2020-01-28 03:49:53", "", "Blonde", "", "publish", "closed", "closed", "", "blonde", "", "", "2020-01-28 03:53:35", "2020-01-28 03:53:35", "", "0", "http://melanieebenson.com/?post_type=uncode_gallery&#038;p=79372", "0", "uncode_gallery", "", "0");
INSERT INTO `wp_posts` VALUES("79373", "2", "2020-01-28 03:49:53", "2020-01-28 03:49:53", "", "Blonde", "", "inherit", "closed", "closed", "", "79372-revision-v1", "", "", "2020-01-28 03:49:53", "2020-01-28 03:49:53", "", "79372", "http://melanieebenson.com/79372-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79374", "2", "2020-01-28 03:49:53", "2020-01-28 03:49:53", "", "Blonde", "", "inherit", "closed", "closed", "", "gallery-attachment-blonde", "", "", "2020-01-28 03:53:35", "2020-01-28 03:53:35", "", "79372", "http://melanieebenson.com/?attachment_id=79374", "0", "attachment", "oembed/gallery", "0");
INSERT INTO `wp_posts` VALUES("79375", "2", "2020-01-28 03:54:24", "2020-01-28 03:54:24", "", "Clic", "", "publish", "closed", "closed", "", "clic", "", "", "2020-01-28 03:54:24", "2020-01-28 03:54:24", "", "0", "http://melanieebenson.com/?post_type=uncode_gallery&#038;p=79375", "0", "uncode_gallery", "", "0");
INSERT INTO `wp_posts` VALUES("79376", "2", "2020-01-28 03:54:24", "2020-01-28 03:54:24", "", "Clic", "", "inherit", "closed", "closed", "", "79375-revision-v1", "", "", "2020-01-28 03:54:24", "2020-01-28 03:54:24", "", "79375", "http://melanieebenson.com/79375-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79377", "2", "2020-01-28 03:54:24", "2020-01-28 03:54:24", "", "Clic", "", "inherit", "closed", "closed", "", "gallery-attachment-clic", "", "", "2020-01-28 03:54:24", "2020-01-28 03:54:24", "", "79375", "http://melanieebenson.com/?attachment_id=79377", "0", "attachment", "oembed/gallery", "0");
INSERT INTO `wp_posts` VALUES("79378", "2", "2020-01-28 03:55:22", "2020-01-28 03:55:22", "", "Inez", "", "publish", "closed", "closed", "", "inez", "", "", "2020-01-28 03:55:22", "2020-01-28 03:55:22", "", "0", "http://melanieebenson.com/?post_type=uncode_gallery&#038;p=79378", "0", "uncode_gallery", "", "0");
INSERT INTO `wp_posts` VALUES("79379", "2", "2020-01-28 03:55:22", "2020-01-28 03:55:22", "", "Inez", "", "inherit", "closed", "closed", "", "79378-revision-v1", "", "", "2020-01-28 03:55:22", "2020-01-28 03:55:22", "", "79378", "http://melanieebenson.com/79378-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79380", "2", "2020-01-28 03:55:22", "2020-01-28 03:55:22", "", "Inez", "", "inherit", "closed", "closed", "", "gallery-attachment-inez", "", "", "2020-01-28 03:55:22", "2020-01-28 03:55:22", "", "79378", "http://melanieebenson.com/?attachment_id=79380", "0", "attachment", "oembed/gallery", "0");
INSERT INTO `wp_posts` VALUES("79381", "2", "2020-01-28 03:56:09", "2020-01-28 03:56:09", "", "Misc. Old Photos", "", "publish", "closed", "closed", "", "misc-old-photos", "", "", "2020-01-28 03:56:09", "2020-01-28 03:56:09", "", "0", "http://melanieebenson.com/?post_type=uncode_gallery&#038;p=79381", "0", "uncode_gallery", "", "0");
INSERT INTO `wp_posts` VALUES("79382", "2", "2020-01-28 03:56:09", "2020-01-28 03:56:09", "", "Misc. Old Photos", "", "inherit", "closed", "closed", "", "79381-revision-v1", "", "", "2020-01-28 03:56:09", "2020-01-28 03:56:09", "", "79381", "http://melanieebenson.com/79381-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79383", "2", "2020-01-28 03:56:09", "2020-01-28 03:56:09", "", "Misc. Old Photos", "", "inherit", "closed", "closed", "", "gallery-attachment-misc-old-photos", "", "", "2020-01-28 03:56:09", "2020-01-28 03:56:09", "", "79381", "http://melanieebenson.com/?attachment_id=79383", "0", "attachment", "oembed/gallery", "0");
INSERT INTO `wp_posts` VALUES("79384", "2", "2020-01-28 03:57:21", "2020-01-28 03:57:21", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][vc_gallery el_id=\"gallery-130549\" medias=\"79374,79377,79380,79383\" explode_albums=\"yes\" gallery_back_color=\"color-222\" gutter_size=\"0\" media_items=\"media|lightbox|original\" screen_lg=\"1000\" screen_md=\"600\" screen_sm=\"480\" single_width=\"3\" images_size=\"one-one\" single_overlay_opacity=\"1\" single_image_anim=\"no\" single_padding=\"2\" single_border=\"yes\" single_css_animation=\"alpha-anim\"][/vc_column][/vc_row]</p>\r\n", "Photos", "", "inherit", "closed", "closed", "", "1161-revision-v1", "", "", "2020-01-28 03:57:21", "2020-01-28 03:57:21", "", "1161", "http://melanieebenson.com/1161-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79385", "2", "2020-01-28 04:01:40", "2020-01-28 04:01:40", "", "Black Lotus", "", "publish", "closed", "closed", "", "black-lotus", "", "", "2020-01-28 04:02:39", "2020-01-28 04:02:39", "", "0", "http://melanieebenson.com/?post_type=uncode_gallery&#038;p=79385", "0", "uncode_gallery", "", "0");
INSERT INTO `wp_posts` VALUES("79386", "2", "2020-01-28 04:01:40", "2020-01-28 04:01:40", "", "Black Lotus", "", "inherit", "closed", "closed", "", "79385-revision-v1", "", "", "2020-01-28 04:01:40", "2020-01-28 04:01:40", "", "79385", "http://melanieebenson.com/79385-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79387", "2", "2020-01-28 04:01:40", "2020-01-28 04:01:40", "", "Black Lotus", "", "inherit", "closed", "closed", "", "gallery-attachment-black-lotus", "", "", "2020-01-28 04:02:39", "2020-01-28 04:02:39", "", "79385", "http://melanieebenson.com/?attachment_id=79387", "0", "attachment", "oembed/gallery", "0");
INSERT INTO `wp_posts` VALUES("79388", "2", "2020-01-28 04:03:14", "2020-01-28 04:03:14", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"2\" back_color=\"color-black\" overlay_alpha=\"50\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"0\" override_padding=\"yes\" column_padding=\"0\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\"][vc_gallery el_id=\"gallery-130549\" medias=\"79374,79387,79377,79380,79383\" explode_albums=\"yes\" gallery_back_color=\"color-222\" gutter_size=\"0\" media_items=\"media|lightbox|original\" screen_lg=\"1000\" screen_md=\"600\" screen_sm=\"480\" single_width=\"3\" images_size=\"one-one\" single_overlay_opacity=\"1\" single_image_anim=\"no\" single_padding=\"2\" single_border=\"yes\" single_css_animation=\"alpha-anim\"][/vc_column][/vc_row]</p>\r\n", "Photos", "", "inherit", "closed", "closed", "", "1161-revision-v1", "", "", "2020-01-28 04:03:14", "2020-01-28 04:03:14", "", "1161", "http://melanieebenson.com/1161-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79391", "2", "2020-05-11 21:39:37", "2020-05-11 21:39:37", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79249\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/3\"][vc_row_inner limit_content=\"\"][vc_column_inner column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"3\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" align_mobile=\"align_center_mobile\" mobile_width=\"0\" width=\"1/1\" el_class=\"custom-table\"][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Trysts[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>1 hour</td>\r\n<td>600</td>\r\n</tr>\r\n<tr>\r\n<td>90 min.</td>\r\n<td>800</td>\r\n</tr>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1100</td>\r\n</tr>\r\n<tr>\r\n<td>Incall</td>\r\n<td>+100</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Touring Donations[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>1 hour</td>\r\n<td>700</td>\r\n</tr>\r\n<tr>\r\n<td>90 min.</td>\r\n<td>900</td>\r\n</tr>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1200</td>\r\n</tr>\r\n<tr>\r\n<td style=\"text-align: center;\" colspan=\"2\">Touring dates require 24 hour, pre-booking notice.</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Extended Adventures[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>4 hours</td>\r\n<td>2200</td>\r\n</tr>\r\n<tr>\r\n<td>6 hours</td>\r\n<td>2700</td>\r\n</tr>\r\n<tr>\r\n<td>Overnight</td>\r\n<td>5000</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_column_text]\r\n<ul style=\"text-align: left;\">\r\n 	<li>Please inquire for EA\'s longer than an overnight</li>\r\n 	<li>EA\'s 4 or more hours require 50% deposit</li>\r\n 	<li>EA\'s 4 or more hours require meals</li>\r\n 	<li>EA\'s of 12 or more hours require sleep</li>\r\n</ul>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Unique Interludes[/vc_custom_heading][vc_column_text el_class=\"text-align-left\"]<strong>Fly Me to You</strong>: Rate, travel, and room are required. I am passport ready. Please inquire regarding international travel.[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Couples Connections[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1400</td>\r\n</tr>\r\n<tr>\r\n<td>4 hours</td>\r\n<td>2500</td>\r\n</tr>\r\n<tr>\r\n<td>6 hours</td>\r\n<td>3000</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Doubles[/vc_custom_heading][vc_column_text]I have beautiful friends who will be happy to join us.[/vc_column_text][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fbooking%2F|title:Booking||\"]Book Now[/vc_button][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"90\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"2/3\"][vc_row_inner limit_content=\"\"][vc_column_inner column_width_use_pixel=\"yes\" align_horizontal=\"align_center\" gutter_size=\"2\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\" column_width_pixel=\"500\"][vc_custom_heading text_size=\"fontsize-28\" text_transform=\"uppercase\"]Cancellation Policy[/vc_custom_heading][vc_separator sep_color=\"color-333\" el_width=\"20px\"][vc_column_text]I understand that life can interrupt with our plans. Should you need to reschedule our date, I\'m happy to accommodate you within reason. If you cancel any time within 48 hours of the day of your appointment, you will be required to pay a 50% cancellation fee.\r\n\r\nIf you cancel within 24 hours of the day of your appointment, you will be required to pay 100% cancellation fee.\r\n\r\nIf you cancel twice in a row you will have to secure our appointment with a 50% deposit or I will no longer accept requests from you.\r\n\r\nCancelling anytime prior to the 24hr - 48hr window will incur 25% cancellation fee\r\n\r\nThank you for your understanding.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"74\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-111\" back_image=\"79245\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Considerations", "", "inherit", "closed", "closed", "", "1163-revision-v1", "", "", "2020-05-11 21:39:37", "2020-05-11 21:39:37", "", "1163", "http://melanieebenson.com/1163-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79393", "2", "2020-06-12 20:39:02", "2020-06-12 20:39:02", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\" column_width_pixel=\"480\"][vc_column_text]I am text block. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.[/vc_column_text][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79254\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" animation_delay=\"100\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]</p>\n", "Calendar", "", "inherit", "closed", "closed", "", "1167-autosave-v1", "", "", "2020-06-12 20:39:02", "2020-06-12 20:39:02", "", "1167", "http://melanieebenson.com/1167-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79396", "3", "2020-06-12 21:43:33", "2020-06-12 21:43:33", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79249\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" width=\"1/3\"][vc_row_inner limit_content=\"\"][vc_column_inner column_width_percent=\"100\" align_horizontal=\"align_center\" gutter_size=\"3\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" align_mobile=\"align_center_mobile\" mobile_width=\"0\" width=\"1/1\" el_class=\"custom-table\"][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Trysts[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>1 hour</td>\r\n<td>700</td>\r\n</tr>\r\n<tr>\r\n<td>90 min.</td>\r\n<td>900</td>\r\n</tr>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1100</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Touring Donations[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>1 hour</td>\r\n<td>700</td>\r\n</tr>\r\n<tr>\r\n<td>90 min.</td>\r\n<td>900</td>\r\n</tr>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1200</td>\r\n</tr>\r\n<tr>\r\n<td style=\"text-align: center;\" colspan=\"2\">Touring dates require 24 hour, pre-booking notice.</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Extended Adventures[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>4 hours</td>\r\n<td>2200</td>\r\n</tr>\r\n<tr>\r\n<td>6 hours</td>\r\n<td>2700</td>\r\n</tr>\r\n<tr>\r\n<td>Overnight</td>\r\n<td>5000</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_column_text]\r\n<ul style=\"text-align: left;\">\r\n 	<li>Please inquire for EA\'s longer than an overnight</li>\r\n 	<li>EA\'s 4 or more hours require 50% deposit</li>\r\n 	<li>EA\'s 4 or more hours require meals</li>\r\n 	<li>EA\'s of 12 or more hours require sleep</li>\r\n</ul>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Unique Interludes[/vc_custom_heading][vc_column_text el_class=\"text-align-left\"]<strong>Fly Me to You</strong>: Rate, travel, and room are required. I am passport ready. Please inquire regarding international travel.[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Couples Connections[/vc_custom_heading][vc_column_text]\r\n<table width=\"100%\">\r\n<tbody>\r\n<tr>\r\n<td>2 hours</td>\r\n<td>1400</td>\r\n</tr>\r\n<tr>\r\n<td>4 hours</td>\r\n<td>2500</td>\r\n</tr>\r\n<tr>\r\n<td>6 hours</td>\r\n<td>3000</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n[/vc_column_text][vc_custom_heading text_font=\"font-default\" text_size=\"fontsize-16\" text_weight=\"700\" text_transform=\"uppercase\" text_space=\"fontspace-pos-005\"]Doubles[/vc_custom_heading][vc_column_text]I have beautiful friends who will be happy to join us.[/vc_column_text][vc_button radius=\"btn-square\" border_animation=\"btn-ripple-out\" wide=\"yes\" hover_fx=\"outlined\" outline=\"yes\" custom_typo=\"yes\" font_family=\"font-default\" font_weight=\"400\" text_transform=\"uppercase\" letter_spacing=\"fontspace-pos-025em\" border_width=\"1\" link=\"url:http%3A%2F%2Fmelanieebenson.com%2Fbooking%2F|title:Booking||\"]Book Now[/vc_button][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"0\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" inverted_device_order=\"yes\"][vc_column column_width_percent=\"100\" gutter_size=\"3\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"90\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"2/3\"][vc_row_inner limit_content=\"\"][vc_column_inner column_width_use_pixel=\"yes\" align_horizontal=\"align_center\" gutter_size=\"2\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" width=\"1/1\" column_width_pixel=\"500\"][vc_custom_heading text_size=\"fontsize-28\" text_transform=\"uppercase\"]Cancellation Policy[/vc_custom_heading][vc_separator sep_color=\"color-333\" el_width=\"20px\"][vc_column_text]I understand that life can interrupt with our plans. Should you need to reschedule our date, I\'m happy to accommodate you within reason. If you cancel any time within 48 hours of the day of your appointment, you will be required to pay a 50% cancellation fee.\r\n\r\nIf you cancel within 24 hours of the day of your appointment, you will be required to pay 100% cancellation fee.\r\n\r\nIf you cancel twice in a row you will have to secure our appointment with a 50% deposit or I will no longer accept requests from you.\r\n\r\nCancelling anytime prior to the 24hr - 48hr window will incur 25% cancellation fee\r\n\r\nThank you for your understanding.[/vc_column_text][vc_empty_space empty_h=\"1\"][vc_single_image media=\"79280\" media_width_use_pixel=\"yes\" alignment=\"center\" media_width_pixel=\"240\"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_width_percent=\"74\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"2\" back_color=\"color-111\" back_image=\"79245\" back_position=\"center top\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Considerations", "", "inherit", "closed", "closed", "", "1163-revision-v1", "", "", "2020-06-12 21:43:33", "2020-06-12 21:43:33", "", "1163", "http://melanieebenson.com/1163-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79397", "3", "2020-07-13 01:26:57", "2020-07-13 01:26:57", "<p>[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\" column_width_pixel=\"480\"][vc_column_text]I am based in NYC (Manhattan &amp; Long Island)</p>\n<p>Upcoming Tours:</p>\n<p>Minneapolis: July 15-16</p>\n<p>DC: July 22-23</p>\n<p>&nbsp;</p>\n<p>I am happy to do a FMTY for a 2 hour date or longer.  Please email me to inquire.[/vc_column_text][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79254\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" animation_delay=\"100\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]</p>\n", "Calendar", "", "inherit", "closed", "closed", "", "1167-autosave-v1", "", "", "2020-07-13 01:26:57", "2020-07-13 01:26:57", "", "1167", "http://melanieebenson.com/1167-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79399", "2", "2020-06-13 14:28:08", "0000-00-00 00:00:00", " ", "", "", "draft", "closed", "closed", "", "", "", "", "2020-06-13 14:28:08", "0000-00-00 00:00:00", "", "0", "http://melanieebenson.com/?p=79399", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("79400", "3", "2020-06-13 22:24:05", "2020-06-13 22:24:05", " ", "", "", "publish", "closed", "closed", "", "79400", "", "", "2020-06-13 22:24:05", "2020-06-13 22:24:05", "", "0", "http://melanieebenson.com/?p=79400", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("79402", "3", "2020-07-13 01:27:00", "2020-07-13 01:27:00", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\" column_width_pixel=\"480\"][vc_column_text]I am based in NYC (Manhattan &amp; Long Island)\r\n\r\nUpcoming Tours:\r\n\r\nMinneapolis: July 15-16\r\n\r\nDC: July 22-23\r\n\r\n&nbsp;\r\n\r\nI am happy to do a FMTY for a 2 hour date or longer.  Please email me to inquire.[/vc_column_text][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79254\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" animation_delay=\"100\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Calendar", "", "inherit", "closed", "closed", "", "1167-revision-v1", "", "", "2020-07-13 01:27:00", "2020-07-13 01:27:00", "", "1167", "http://melanieebenson.com/1167-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79405", "3", "2020-07-29 21:44:28", "2020-07-29 21:44:28", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\" column_width_pixel=\"480\"][vc_column_text]I am based in NYC (Manhattan &amp; Long Island)\r\n\r\nUpcoming Tours:\r\n\r\nLas Vegas: July 31-Aug 1\r\n\r\nLong Island: Aug 6-7, Aug 13-14\r\n\r\nBoston: Aug 10-11, Aug 19-21, Aug 27-28\r\n\r\nPhilly:  Aug 17-18\r\n\r\nDC Aug 24-26\r\n\r\n&nbsp;\r\n\r\nI am happy to do a FMTY for a 2 hour date or longer.  Please email me to inquire.[/vc_column_text][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79254\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" animation_delay=\"100\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Calendar", "", "inherit", "closed", "closed", "", "1167-revision-v1", "", "", "2020-07-29 21:44:28", "2020-07-29 21:44:28", "", "1167", "http://melanieebenson.com/1167-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79406", "3", "2020-07-30 18:48:05", "2020-07-30 18:48:05", "[vc_row unlock_row_content=\"yes\" row_height_percent=\"0\" override_padding=\"yes\" h_padding=\"2\" top_padding=\"2\" bottom_padding=\"0\" back_color=\"color-black\" overlay_alpha=\"50\" equal_height=\"yes\" gutter_size=\"0\" column_width_percent=\"100\" shift_y=\"0\" z_index=\"0\" shape_dividers=\"\"][vc_column column_width_use_pixel=\"yes\" position_vertical=\"middle\" gutter_size=\"2\" override_padding=\"yes\" column_padding=\"3\" back_color=\"color-222\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"left-t-right\" width=\"1/3\" column_width_pixel=\"480\"][vc_column_text]I am based in NYC (Manhattan &amp; Long Island)\r\n\r\nUpcoming Tours:\r\n\r\nLas Vegas: July 31-Aug 1\r\n\r\nDC: Aug 3-4\r\n\r\nLong Island: Aug 6-7, Aug 13-14\r\n\r\nBoston: Aug 10-11, Aug 19-21, Aug 27-28\r\n\r\nPhilly:  Aug 17-18\r\n\r\nDC Aug 24-26\r\n\r\n&nbsp;\r\n\r\nI am happy to do a FMTY for a 2 hour date or longer.  Please email me to inquire.[/vc_column_text][/vc_column][vc_column column_width_percent=\"100\" gutter_size=\"3\" back_image=\"79254\" overlay_alpha=\"50\" shift_x=\"0\" shift_y=\"0\" shift_y_down=\"0\" z_index=\"0\" medium_width=\"0\" mobile_width=\"0\" css_animation=\"right-t-left\" animation_delay=\"100\" width=\"2/3\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][vc_empty_space empty_h=\"5\"][/vc_column][/vc_row]", "Calendar", "", "inherit", "closed", "closed", "", "1167-revision-v1", "", "", "2020-07-30 18:48:05", "2020-07-30 18:48:05", "", "1167", "http://melanieebenson.com/1167-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79407", "3", "2020-08-10 19:49:42", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2020-08-10 19:49:42", "0000-00-00 00:00:00", "", "0", "http://melanieebenson.com/?p=79407", "0", "post", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1544", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("1995", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2051", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("2051", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("2394", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2395", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2412", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2413", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2414", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2415", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2416", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2417", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2453", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("2584", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("2649", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("2736", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2748", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2755", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2769", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2771", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2775", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("2789", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2790", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2791", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2792", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2793", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2794", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2796", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2797", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2805", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("2806", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("2807", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("2827", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("78956", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("78959", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("78960", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("78971", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("79311", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("79400", "8", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "uncodeblock_category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "uncodeblock_category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "nav_menu", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "calendar_feed", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "calendar_type", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "category", "This is a custom category page for Lifestyle.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "category", "This is a custom category page for Arts.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "category", "This is a custom category page for Travel.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "category", "This is a custom category page for Business.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "post_tag", "This is a custom tag page for Culture.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "post_tag", "This is a custom tag page for Travel.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "post_tag", "This is a custom tag page for Trip.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "post_tag", "This is a custom tag page for Holiday.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("21", "21", "post_tag", "This is a custom tag page for Tech.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("22", "22", "post_tag", "This is a custom tag page for Design.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("23", "23", "post_tag", "This is a custom tag page for Life.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("24", "24", "post_tag", "This is a custom tag page for Enjoy.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("25", "25", "post_tag", "This is a custom tag page for Simple.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("26", "26", "post_tag", "This is a custom tag page for Sport.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("27", "27", "post_tag", "This is a custom tag page for Music.", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("28", "28", "post_tag", "This is a custom tag page for Style.", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "Uncategorized", "uncategorized", "0");
INSERT INTO `wp_terms` VALUES("3", "Header", "header", "0");
INSERT INTO `wp_terms` VALUES("6", "Footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("8", "Primary", "primary", "0");
INSERT INTO `wp_terms` VALUES("10", "google", "google", "0");
INSERT INTO `wp_terms` VALUES("11", "default-calendar", "default-calendar", "0");
INSERT INTO `wp_terms` VALUES("13", "Lifestyle", "lifestyle", "0");
INSERT INTO `wp_terms` VALUES("14", "Arts", "arts", "0");
INSERT INTO `wp_terms` VALUES("15", "Travel", "travel", "0");
INSERT INTO `wp_terms` VALUES("16", "Business", "business", "0");
INSERT INTO `wp_terms` VALUES("17", "Culture", "culture", "0");
INSERT INTO `wp_terms` VALUES("18", "Travel", "travel", "0");
INSERT INTO `wp_terms` VALUES("19", "Trip", "trip", "0");
INSERT INTO `wp_terms` VALUES("20", "Holiday", "holiday", "0");
INSERT INTO `wp_terms` VALUES("21", "Tech", "tech", "0");
INSERT INTO `wp_terms` VALUES("22", "Design", "design", "0");
INSERT INTO `wp_terms` VALUES("23", "Life", "life", "0");
INSERT INTO `wp_terms` VALUES("24", "Enjoy", "enjoy", "0");
INSERT INTO `wp_terms` VALUES("25", "Simple", "simple", "0");
INSERT INTO `wp_terms` VALUES("26", "Sport", "sport", "0");
INSERT INTO `wp_terms` VALUES("27", "Music", "music", "0");
INSERT INTO `wp_terms` VALUES("28", "Style", "style", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("35", "2", "nickname", "courtesan");
INSERT INTO `wp_usermeta` VALUES("36", "2", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("37", "2", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("38", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("39", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("40", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("41", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("42", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("43", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("44", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("45", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("46", "2", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("47", "2", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("48", "2", "dismissed_wp_pointers", "wp496_privacy,vc_pointers_backend_editor,theme_editor_notice,plugin_editor_notice,vc_pointers_frontend_editor");
INSERT INTO `wp_usermeta` VALUES("49", "2", "session_tokens", "a:2:{s:64:\"7d88a6defc549979c2a6faff7c1bffbcf0e4ae471d24f74b206a0405ab1bddb8\";a:4:{s:10:\"expiration\";i:1594777830;s:2:\"ip\";s:14:\"73.235.128.233\";s:2:\"ua\";s:115:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.116 Safari/537.36\";s:5:\"login\";i:1594605030;}s:64:\"a585b8ba9166ce7caab5b0d029b103b2147242f9fbbe2e6f104d3db98da0a322\";a:4:{s:10:\"expiration\";i:1594784332;s:2:\"ip\";s:14:\"73.235.128.233\";s:2:\"ua\";s:115:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.116 Safari/537.36\";s:5:\"login\";i:1594611532;}}");
INSERT INTO `wp_usermeta` VALUES("50", "2", "gform_recent_forms", "a:1:{i:0;s:1:\"5\";}");
INSERT INTO `wp_usermeta` VALUES("51", "2", "wp_dashboard_quick_press_last_post_id", "79403");
INSERT INTO `wp_usermeta` VALUES("52", "2", "community-events-location", "a:1:{s:2:\"ip\";s:12:\"73.235.128.0\";}");
INSERT INTO `wp_usermeta` VALUES("53", "2", "show_try_gutenberg_panel", "0");
INSERT INTO `wp_usermeta` VALUES("54", "2", "show_welcome_panel", "0");
INSERT INTO `wp_usermeta` VALUES("55", "2", "wp_user-settings", "mfold=o&edit_element_vcUIPanelWidth=860&edit_element_vcUIPanelLeft=1091px&edit_element_vcUIPanelTop=166px&editor=tinymce&libraryContent=browse&imgsize=full&align=center&panel_vcUIPanelWidth=650&panel_vcUIPanelLeft=942px&panel_vcUIPanelTop=74px");
INSERT INTO `wp_usermeta` VALUES("56", "2", "wp_user-settings-time", "1589233174");
INSERT INTO `wp_usermeta` VALUES("57", "2", "user_uncode_meta", "a:1:{s:10:\"term_media\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("58", "2", "facebook", "");
INSERT INTO `wp_usermeta` VALUES("59", "2", "twitter", "");
INSERT INTO `wp_usermeta` VALUES("60", "2", "googleplus", "");
INSERT INTO `wp_usermeta` VALUES("61", "2", "dribbble", "");
INSERT INTO `wp_usermeta` VALUES("62", "2", "instagram", "");
INSERT INTO `wp_usermeta` VALUES("63", "2", "pinterest", "");
INSERT INTO `wp_usermeta` VALUES("64", "2", "xing", "");
INSERT INTO `wp_usermeta` VALUES("65", "2", "youtube", "");
INSERT INTO `wp_usermeta` VALUES("66", "2", "vimeo", "");
INSERT INTO `wp_usermeta` VALUES("67", "2", "tumblr", "");
INSERT INTO `wp_usermeta` VALUES("68", "2", "closedpostboxes_page", "a:1:{i:0;s:16:\"page_categorydiv\";}");
INSERT INTO `wp_usermeta` VALUES("69", "2", "metaboxhidden_page", "a:6:{i:0;s:16:\"page_categorydiv\";i:1;s:11:\"postexcerpt\";i:2;s:10:\"postcustom\";i:3;s:16:\"commentstatusdiv\";i:4;s:7:\"slugdiv\";i:5;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("70", "2", "nav_menu_recently_edited", "8");
INSERT INTO `wp_usermeta` VALUES("71", "2", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_usermeta` VALUES("72", "2", "metaboxhidden_nav-menus", "a:10:{i:0;s:23:\"add-post-type-portfolio\";i:1;s:25:\"add-post-type-uncodeblock\";i:2;s:28:\"add-post-type-uncode_gallery\";i:3;s:12:\"add-post_tag\";i:4;s:15:\"add-post_format\";i:5;s:22:\"add-portfolio_category\";i:6;s:17:\"add-page_category\";i:7;s:24:\"add-uncodeblock_category\";i:8;s:18:\"add-media-category\";i:9;s:27:\"add-uncode_gallery_category\";}");
INSERT INTO `wp_usermeta` VALUES("73", "2", "meta-box-order_page", "a:3:{s:4:\"side\";s:130:\"submitdiv,pageparentdiv,page_categorydiv,postimagediv,mtsnb_single_bar_metabox,lead_call_buttons_options-lead-call-buttons-options\";s:6:\"normal\";s:153:\"wpb_visual_composer,wpseo_meta,uncode_gallery_div,postexcerpt,postcustom,commentstatusdiv,slugdiv,authordiv,_uncode_page_options,revisionsdiv,commentsdiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("74", "2", "screen_layout_page", "2");
INSERT INTO `wp_usermeta` VALUES("75", "2", "wp_media_library_mode", "list");
INSERT INTO `wp_usermeta` VALUES("76", "2", "tgmpa_dismissed_notice_wp-mail-smtp", "1");
INSERT INTO `wp_usermeta` VALUES("77", "2", "tgmpa_dismissed_notice_tgmpa", "1");
INSERT INTO `wp_usermeta` VALUES("78", "2", "closedpostboxes_dashboard", "a:2:{i:0;s:17:\"dashboard_php_nag\";i:1;s:24:\"wpseo-dashboard-overview\";}");
INSERT INTO `wp_usermeta` VALUES("79", "2", "metaboxhidden_dashboard", "a:6:{i:0;s:17:\"dashboard_php_nag\";i:1;s:18:\"dashboard_activity\";i:2;s:18:\"rg_forms_dashboard\";i:3;s:24:\"wpseo-dashboard-overview\";i:4;s:21:\"dashboard_quick_press\";i:5;s:17:\"dashboard_primary\";}");
INSERT INTO `wp_usermeta` VALUES("80", "2", "closedpostboxes_uncodeblock", "a:2:{i:0;s:9:\"authordiv\";i:1;s:21:\"mymetabox_revslider_0\";}");
INSERT INTO `wp_usermeta` VALUES("81", "2", "metaboxhidden_uncodeblock", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("82", "2", "closedpostboxes_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("83", "2", "metaboxhidden_post", "a:7:{i:0;s:11:\"postexcerpt\";i:1;s:13:\"trackbacksdiv\";i:2;s:10:\"postcustom\";i:3;s:16:\"commentstatusdiv\";i:4;s:7:\"slugdiv\";i:5;s:9:\"authordiv\";i:6;s:21:\"mymetabox_revslider_0\";}");
INSERT INTO `wp_usermeta` VALUES("84", "2", "meta-box-order_post", "a:3:{s:4:\"side\";s:61:\"submitdiv,formatdiv,categorydiv,tagsdiv-post_tag,postimagediv\";s:6:\"normal\";s:178:\"wpb_visual_composer,revisionsdiv,postexcerpt,trackbacksdiv,postcustom,commentstatusdiv,slugdiv,authordiv,mymetabox_revslider_0,uncode_gallery_div,_uncode_page_options,commentsdiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("85", "2", "screen_layout_post", "2");
INSERT INTO `wp_usermeta` VALUES("86", "2", "closedpostboxes_portfolio", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("87", "2", "metaboxhidden_portfolio", "a:3:{i:0;s:13:\"trackbacksdiv\";i:1;s:7:\"slugdiv\";i:2;s:21:\"mymetabox_revslider_0\";}");
INSERT INTO `wp_usermeta` VALUES("88", "2", "meta-box-order_portfolio", "a:3:{s:4:\"side\";s:85:\"submitdiv,portfolio_categorydiv,pageparentdiv,postimagediv,commentstatusdiv,authordiv\";s:6:\"normal\";s:139:\"wpb_visual_composer,postexcerpt,trackbacksdiv,postcustom,slugdiv,mymetabox_revslider_0,uncode_gallery_div,_uncode_page_options,revisionsdiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("89", "2", "screen_layout_portfolio", "2");
INSERT INTO `wp_usermeta` VALUES("92", "2", "wp_mail_smtp_wpforms_dismissed", "1");
INSERT INTO `wp_usermeta` VALUES("93", "2", "wp_notification_bar_ignore_notice_2", "1");
INSERT INTO `wp_usermeta` VALUES("94", "2", "_yoast_wpseo_profile_updated", "1545793187");
INSERT INTO `wp_usermeta` VALUES("95", "2", "wpseo_title", "");
INSERT INTO `wp_usermeta` VALUES("96", "2", "wpseo_metadesc", "");
INSERT INTO `wp_usermeta` VALUES("97", "2", "wpseo_noindex_author", "");
INSERT INTO `wp_usermeta` VALUES("98", "2", "wpseo_content_analysis_disable", "");
INSERT INTO `wp_usermeta` VALUES("99", "2", "wpseo_keyword_analysis_disable", "");
INSERT INTO `wp_usermeta` VALUES("100", "2", "wp_notification_bar_ignore_notice", "1");
INSERT INTO `wp_usermeta` VALUES("103", "3", "nickname", "bensonadmin");
INSERT INTO `wp_usermeta` VALUES("104", "3", "first_name", "Melaniee");
INSERT INTO `wp_usermeta` VALUES("105", "3", "last_name", "Benson");
INSERT INTO `wp_usermeta` VALUES("106", "3", "description", "");
INSERT INTO `wp_usermeta` VALUES("107", "3", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("108", "3", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("109", "3", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("110", "3", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("111", "3", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("112", "3", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("113", "3", "locale", "");
INSERT INTO `wp_usermeta` VALUES("114", "3", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("115", "3", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("116", "3", "_yoast_wpseo_profile_updated", "1577768416");
INSERT INTO `wp_usermeta` VALUES("117", "3", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("118", "2", "_pum_dismissed_alerts", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("119", "3", "session_tokens", "a:1:{s:64:\"5a99a048cf18bf29cb2d05da118041c36121d649f3074031c5760004efcbc556\";a:4:{s:10:\"expiration\";i:1597261780;s:2:\"ip\";s:13:\"88.14.161.240\";s:2:\"ua\";s:115:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36\";s:5:\"login\";i:1597088980;}}");
INSERT INTO `wp_usermeta` VALUES("120", "3", "_pum_dismissed_alerts", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("121", "3", "gform_recent_forms", "a:1:{i:0;s:1:\"5\";}");
INSERT INTO `wp_usermeta` VALUES("122", "3", "wp_dashboard_quick_press_last_post_id", "79407");
INSERT INTO `wp_usermeta` VALUES("124", "3", "community-events-location", "a:1:{s:2:\"ip\";s:11:\"88.14.161.0\";}");
INSERT INTO `wp_usermeta` VALUES("125", "2", "rocket_boxes", "a:3:{i:0;s:24:\"rocket_activation_notice\";i:1;s:26:\"rocket_notice_missing_tags\";i:2;s:34:\"rocket_warning_plugin_modification\";}");
INSERT INTO `wp_usermeta` VALUES("126", "3", "wp_user-settings", "editor=tinymce&edit_element_vcUIPanelWidth=650&edit_element_vcUIPanelLeft=726px&edit_element_vcUIPanelTop=74px");
INSERT INTO `wp_usermeta` VALUES("127", "3", "wp_user-settings-time", "1594603617");
INSERT INTO `wp_usermeta` VALUES("128", "3", "rocket_boxes", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("129", "2", "upload_per_page", "50");
INSERT INTO `wp_usermeta` VALUES("130", "2", "meta-box-order_uncode_gallery", "a:3:{s:4:\"side\";s:69:\"submitdiv,uncode_gallery_categorydiv,rocket_post_exclude,postimagediv\";s:6:\"normal\";s:81:\"uncode_gallery_div,wpb_visual_composer,postexcerpt,slugdiv,authordiv,revisionsdiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("131", "2", "screen_layout_uncode_gallery", "2");
INSERT INTO `wp_usermeta` VALUES("132", "2", "closedpostboxes_uncode_gallery", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("133", "2", "metaboxhidden_uncode_gallery", "a:4:{i:0;s:11:\"postexcerpt\";i:1;s:7:\"slugdiv\";i:2;s:9:\"authordiv\";i:3;s:12:\"revisionsdiv\";}");
INSERT INTO `wp_usermeta` VALUES("134", "3", "nav_menu_recently_edited", "8");
INSERT INTO `wp_usermeta` VALUES("135", "3", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_usermeta` VALUES("136", "3", "metaboxhidden_nav-menus", "a:10:{i:0;s:23:\"add-post-type-portfolio\";i:1;s:25:\"add-post-type-uncodeblock\";i:2;s:28:\"add-post-type-uncode_gallery\";i:3;s:12:\"add-post_tag\";i:4;s:15:\"add-post_format\";i:5;s:22:\"add-portfolio_category\";i:6;s:17:\"add-page_category\";i:7;s:24:\"add-uncodeblock_category\";i:8;s:18:\"add-media-category\";i:9;s:27:\"add-uncode_gallery_category\";}");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("2", "courtesan", "$P$Bv8OkKFoVOg1nS/qXTRMKwj4bk3ra1/", "courtesan", "contact@courtesancreative.com", "", "2018-09-12 05:35:08", "", "0", "courtesan");
INSERT INTO `wp_users` VALUES("3", "bensonadmin", "$P$BWAhA6E8pkjLF7O.X1sVWEFUfQbGa61", "bensonadmin", "melanieebensonvip@gmail.com", "http://melanieebenson.com", "2019-12-31 05:00:16", "", "0", "Melaniee Benson");

/* INSERT TABLE DATA: wp_yoast_seo_links */
INSERT INTO `wp_yoast_seo_links` VALUES("529", "mailto:MelanieeBensonVIP@gmail.com", "1165", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("535", "mailto:MelanieeBensonVIP@gmail.com", "2649", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("536", "https://melanieebenson.com/booking/", "2649", "1165", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("537", "http://melanieebenson.com/considerations/", "2649", "1163", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("538", "http://melanieebenson.com/booking/", "2649", "1165", "internal");

/* INSERT TABLE DATA: wp_yoast_seo_meta */
INSERT INTO `wp_yoast_seo_meta` VALUES("412", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("414", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1161", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1163", "0", "1");
INSERT INTO `wp_yoast_seo_meta` VALUES("1165", "0", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("1167", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1169", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1173", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1175", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1544", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1659", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1975", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1977", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1979", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1981", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1983", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1985", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1987", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1989", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1991", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1995", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2000", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2105", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2148", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2149", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2150", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2151", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2159", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2161", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2162", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2163", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2164", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2165", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2166", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2167", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2168", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2169", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2170", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2171", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2172", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2173", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2174", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2175", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2176", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2177", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2178", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2179", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2180", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2181", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2182", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2183", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2184", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2185", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2186", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2187", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2188", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2189", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2190", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2191", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2192", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2193", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2194", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2195", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2196", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2197", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2198", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2199", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2200", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2201", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2202", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2203", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2204", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2209", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2212", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2213", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2214", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2216", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2217", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2218", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2219", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2220", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2230", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2240", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2286", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2292", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2308", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2313", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2314", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2315", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2316", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2319", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2326", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2328", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2329", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2330", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2341", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2343", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2350", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2358", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2362", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2370", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2382", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2383", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2387", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2394", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2395", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2403", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2404", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2405", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2407", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2409", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2410", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2411", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2412", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2413", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2414", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2415", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2416", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2417", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2422", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2423", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2424", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2425", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2427", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2429", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2430", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2431", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2432", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2433", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2434", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2437", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2438", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2439", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2440", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2441", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2442", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2443", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2444", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2445", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2446", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2447", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2448", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2449", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2450", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2451", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2452", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2453", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2454", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2455", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2457", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2458", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2459", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2460", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2461", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2462", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2463", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2464", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2465", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2466", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2467", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2468", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2469", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2470", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2471", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2472", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2473", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2474", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2475", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2476", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2477", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2478", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2479", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2480", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2481", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2482", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2483", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2484", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2485", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2486", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2487", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2488", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2489", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2490", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2491", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2492", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2493", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2494", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2495", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2496", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2497", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2498", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2499", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2500", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2501", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2502", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2503", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2504", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2505", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2506", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2507", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2508", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2509", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2510", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2511", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2512", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2513", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2514", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2515", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2516", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2517", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2518", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2519", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2520", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2521", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2522", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2523", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2524", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2525", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2526", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2527", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2528", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2529", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2530", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2531", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2532", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2533", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2534", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2535", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2536", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2537", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2538", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2539", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2540", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2541", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2542", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2543", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2544", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2545", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2546", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2547", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2548", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2549", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2550", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2551", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2552", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2553", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2554", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2555", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2556", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2557", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2558", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2559", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2560", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2561", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2562", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2563", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2564", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2565", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2566", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2567", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2568", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2569", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2570", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2571", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2572", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2573", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2574", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2575", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2576", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2577", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2578", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2579", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2580", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2581", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2582", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2583", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2585", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2586", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2587", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2588", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2589", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2590", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2591", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2592", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2593", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2594", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2595", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2596", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2597", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2598", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2599", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2600", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2601", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2602", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2603", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2604", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2605", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2606", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2607", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2608", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2609", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2610", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2611", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2612", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2613", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2614", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2615", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2616", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2617", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2618", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2619", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2620", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2621", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2622", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2623", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2624", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2625", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2626", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2627", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2628", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2629", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2630", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2631", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2632", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2633", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2634", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2635", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2636", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2637", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2638", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2639", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2640", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2641", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2642", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2643", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2644", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2645", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2646", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2647", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2648", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2649", "3", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2650", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2651", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2652", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2653", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2654", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2655", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2656", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2657", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2658", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2659", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2660", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2661", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2662", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2663", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2664", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2665", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2666", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2667", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2668", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2669", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2670", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2671", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2672", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2673", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2674", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2675", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2676", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2677", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2678", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2679", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2680", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2681", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2682", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2683", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2684", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2685", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2686", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2687", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2688", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2689", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2690", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2691", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2692", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2693", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2694", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2695", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2696", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2697", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2698", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2699", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2700", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2701", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2702", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2703", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2704", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2705", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2706", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2707", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2708", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2709", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2710", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2711", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2712", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2713", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2714", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2715", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2716", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2717", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2718", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2719", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2720", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2721", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2722", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2723", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2724", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2725", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2726", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2727", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2728", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2729", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2730", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2731", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2732", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2733", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2734", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2735", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2736", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2737", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2738", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2739", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2740", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2741", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2742", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2743", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2744", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2745", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2746", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2747", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2748", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2749", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2750", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2751", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2752", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2753", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2754", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2755", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2756", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2757", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2758", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2759", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2760", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2761", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2762", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2763", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2764", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2765", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2766", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2767", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2768", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2769", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2770", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2771", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2772", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2773", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2774", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2776", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2777", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2778", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2779", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2780", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2781", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2782", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2783", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2784", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2785", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2786", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2787", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2788", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2789", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2790", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2791", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2792", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2793", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2794", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2795", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2796", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2797", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2798", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2799", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2800", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2801", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2802", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2803", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2804", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2808", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2809", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2810", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2811", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2812", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2813", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2814", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2815", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2816", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2817", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2818", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2819", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2820", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2821", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2822", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2823", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2824", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2825", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2826", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2827", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2828", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2829", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2830", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2831", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2832", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2833", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2834", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2835", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2836", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2837", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11269", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11295", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11296", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11297", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11298", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11299", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11300", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11304", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11305", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11306", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11307", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11308", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11309", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11311", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11312", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11315", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11316", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11357", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11362", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11419", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11649", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11764", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("12158", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("12168", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("12169", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("12456", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("13762", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("15042", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("15046", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("15051", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("15055", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("15056", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("17917", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("18796", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("18912", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("18916", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("18918", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("18920", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("19719", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("23116", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("23198", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("23339", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("23495", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("23625", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("29482", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("38260", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("42256", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("44569", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("44810", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("44814", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("54948", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("54949", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("55089", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("63030", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("65437", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71192", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71193", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71225", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71226", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71238", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71239", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71256", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71257", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71274", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71275", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71285", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("71286", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("72008", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("72363", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("74591", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78574", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78575", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78576", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78577", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78578", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78579", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78580", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78581", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78582", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78583", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78584", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78585", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78586", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78587", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78589", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78590", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78591", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78592", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78594", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78595", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78596", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78597", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78598", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78599", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78600", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78601", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78602", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78603", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78604", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78605", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78606", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78607", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78608", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78609", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78610", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78612", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78613", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78614", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78615", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78616", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78617", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78618", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78621", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78622", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78623", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78624", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78625", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78626", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78627", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78628", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78629", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78630", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78631", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78632", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78638", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78643", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78645", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78651", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78907", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78917", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78918", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78919", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78920", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78921", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78922", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78923", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78924", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78925", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78926", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78927", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78928", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78929", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78930", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78931", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78932", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78933", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78934", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78935", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78936", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78937", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78938", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78939", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78940", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78941", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78942", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78943", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78944", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78945", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78946", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78947", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78948", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78949", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78950", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78951", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78952", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78953", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78954", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78955", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78956", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78957", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78958", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78959", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78960", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78961", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78962", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78963", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78964", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78965", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78966", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78967", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78968", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78969", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78970", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78971", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78972", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78973", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78974", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78975", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78976", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78977", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78978", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78979", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78980", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78981", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78982", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78983", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78984", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78985", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78986", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78987", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78988", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78989", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78990", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78991", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78992", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78993", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78994", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78995", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78996", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78997", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78998", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78999", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79000", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79001", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79002", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79003", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79004", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79005", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79006", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79007", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79008", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79009", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79010", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79011", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79012", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79013", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79014", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79015", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79016", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79017", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79018", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79019", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79020", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79021", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79022", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79023", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79024", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79025", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79026", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79027", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79028", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79029", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79030", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79031", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79032", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79033", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79034", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79035", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79036", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79037", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79038", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79039", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79040", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79041", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79042", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79043", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79044", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79045", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79046", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79047", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79048", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79049", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79050", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79051", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79052", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79053", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79054", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79055", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79056", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79057", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79058", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79059", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79060", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79061", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79062", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79063", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79064", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79065", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79066", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79067", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79068", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79069", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79070", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79071", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79072", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79073", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79074", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79075", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79076", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79077", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79078", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79079", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79080", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79081", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79082", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79083", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79084", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79085", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79086", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79087", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79088", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79089", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79090", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79091", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79092", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79093", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79094", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79095", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79096", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79097", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79098", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79099", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79100", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79101", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79102", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79103", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79104", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79105", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79106", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79107", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79108", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79109", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79110", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79111", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79112", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79113", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79114", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79115", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79116", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79117", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79118", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79119", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79120", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79121", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79122", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79123", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79124", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79125", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79126", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79127", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79128", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79129", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79130", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79131", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79132", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79133", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79134", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79135", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79136", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79137", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79138", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79139", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79140", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79141", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79142", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79143", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79144", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79145", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79146", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79147", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79148", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79149", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79150", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79151", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79152", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79153", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79154", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79155", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79156", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79157", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79158", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79159", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79160", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79161", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79162", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79163", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79164", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79165", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79166", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79167", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79168", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79169", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79170", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79171", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79172", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79173", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79174", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79175", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79176", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79177", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79201", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79260", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79261", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79262", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79263", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79264", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79265", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79266", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79267", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79268", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79269", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79270", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79271", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79272", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79273", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79274", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79275", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79277", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79278", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79281", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79284", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79285", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79286", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79287", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79288", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79289", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79290", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79291", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79292", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79293", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79294", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79295", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79296", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79297", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79298", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79299", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79300", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79301", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79302", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79303", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79304", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79305", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79306", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79307", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79308", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79309", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79310", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79312", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79313", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79314", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79315", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79316", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79317", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79318", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79319", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79320", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79321", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79323", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79324", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79325", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79326", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79327", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79328", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79329", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79330", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79331", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79339", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79340", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79341", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79342", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79343", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79344", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79345", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79346", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79347", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79348", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79349", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79350", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79351", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79352", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79353", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79354", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79355", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79356", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79357", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79358", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79359", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79360", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79364", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79366", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79368", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79369", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79371", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79389", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79390", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79392", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79394", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79395", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79398", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79401", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79403", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("79404", "0", "0");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2020-08-10 19:51:02*/
/* DUPLICATOR_MYSQLDUMP_EOF */
